Intro

Introduction

Welcome to HYPACK!

HYPACK develops Windows®-based software for the hydrographic and dredging industry. It provides hydrographic surveyors with all of the tools needed to design their survey, collect data, process it, reduce it, and generate final products.

Whether you are collecting hydrographic survey data or environmental data or just positioning your vessel in an engineering project, HYPACK provides the tools needed to complete your job. With users spanning the range from small vessel surveys with just a GPS and single beam echosounder to large survey ships with networked sensors and systems, HYPACK gives you the power needed to complete your task in a system your surveyors can master.

Your license determines what modules are available. Additional restrictions may be configured by your system administrator who may set user permissions.

More Information:

• License Types and their Programs


HYPACK Interface

The unified HYPACK user interface displays the data and project files included in your project.

All of the HYPACK programs can be accessed from the interface. Start programs from either the toolbar or from the menu bar. The icons and menu selections are enabled according to your type of license (dongle).

Note:Some programs are available in both 32- and 64-bit versions. Where the interface of both versions are the same, HYPACK provides only one icon or menu selection and launches the version according to your operating system.

More Information:

• HYPACK Project Items List

• HYPACK Toolbars

• HYPACK Area Map

• Language Selection

• Projects in HYPACK

• License Types and their Programs


HYPACK Project Items List

The HYPACK user interface includes a tree view listing of the files associated with the current project, and each file location, called the Project Items list.

To display the Project Items list, select VIEW-PROJECT ITEMS or click the Project Items tab.

In the Project Items list, you can do any of the following:

•Control which files are loaded to your project and displayed in the area maps.

•Checkbox checked: File is enabled in your project (drawn to the screen).

•Checkbox clear: File is disabled.

•Red X: File is not available at the designated location.

Note:The red X is visible only when OPTIONS-FOLDER ICONS is selected. Otherwise, the file appears in the Project Items list without a checkbox.

To remove these files from your project list, select OPTIONS-REMOVE MISSING FILES from the Project Items menu.

•Remove files: Select one or more files or folders in the File Items list then right-click and select REMOVE FILE or REMOVE FOLDER FILES respectively. The process unloads them from your project, but does not remove them from your hard drive.

•Delete files: Select one or more files in the File Items list then right-click and select DELETE FILE. The unloads them from your project and moves them to the Windows® Recycle Bin.

•Archive files: Select one or more files in the File Items list then right-click and select ARCHIVE. The Archiving process compresses files and stores them in a separate folder within your project.

•Rename files via a right-click menu. HYPACK does not allow you to rename S57, S63, ARCS or VPF charts.

•Collapse/expand the tree view based on your needs by clicking the plus and minus signs on the left side.

•Customize the folders displayed using the Options menu selections:

•Folder Visibility: Select the project file folders to include in the File List. With these options you can omit folders that are not applicable to your project.

•Hide Empty Folders: Choose to show all folders selected under Folder Visibility, or only those that currently contain project files.

•Folder Icons: Choose traditional Windows® folder and file icons or just checkboxes.

•Sort the display order of files in each folder. Right-click on the folder and select Sort by and your choice of sort method: By name, date or file type.

Note:These sort settings remain only until you leave the project or close HYPACK.

•Open any ASCII file in NotePad: Right-click and select ‘Open in Notepad’.

•Open Windows® Explorer to the folder in which any file in your project is stored: Right-click and select ‘Open in Explorer’. Alternatively, open the project folder by selecting FILE-WINDOWS EXPLORER.

•Load input files directly to select programs: the SINGLE BEAM EDITOR, 32-bit HYSWEEP EDITOR, 64-bit HYSWEEP EDITOR and HYPLOT. Select your input files in the File Items list and drag them to the toolbar icon of the program to which you want to load the data.

To widen the display area drag the right border horizontally across the screen.

Project Items

More Information

• HYPACK Data Files

• HYPACK Project Files

• Data File Types

• Project File Types


HYPACK Toolbars

HYPACK includes many program modules to support the varying needs of our users and the changing technologies in the industry.

The menu and toolbars in the HYPACK shell access the program modules and display controls. You can toggle the toolbars on and off through a right-click menu or drag the toolbars to whatever position you prefer—even outside of the HYPACK window.

The screen controls in each Area Map window remain docked in the window, but you can dock it to any side.

More Information:

• HYPACK Menu Bar

• HYPACK Icon Bar

• HYPACK Map View Tools

• Using the Measuring Tool


HYPACK Menu Bar

The HYPACK menu bar selections group all of the component programs into basic functional areas.

In addition, the File, View and Settings menu items provide tools with which you will manage your project and its display settings.


HYPACK Icon Bar

The toolbar quickly launches a program with a click on its icon. As with all toolbars in HYPACK, if you hover the cursor over an icon, a tool tip appears which describes the function of the icon.

HYPACK Toolbar

To turn the toolbar display on/off, right-click in the toolbar area and select/deselect ‘HYPACK toolbar’.


HYPACK Color Bar

The Color Editor enables you to specify your project colors the HYPACK programs use to code your data. Most often, you color-code your displays by sounding depths, but the project colors may also represent other values. Your project color settings are reflected in the color bar, which can be displayed in the HYPACK interface by selecting WIDGETS-COLOR BAR in the map window menu.

Sample Color Bar

To label each color with their corresponding value range, right-click the color bar and select ‘Show Text’.

To include an opaque white background for the labels, right-click and select ‘Opaque’. This option assures a clear view of your labels even with a detailed chart display.

To invert the color bar, right-click the color bar and select Invert Colors.

Note:The font of the color bar labels is determined in the active scheme. However, HYPACK will display only as many labels as it can using the specified font with no overlapping text.

To temporarily display an individual value range, hold the mouse over any color in the color bar and the depth range for that color will appear in the status bar.

More Information

• Setting your Palette Colors in the COLOR EDITOR


HYPACK Map View Tools

The map view tools enable you to quickly adjust the HYPACK screen display. Many of its functions are also found in the Draw and View menus for each Map window.

The following table shows the standard, most of which are found in the screen controls for the HYPACK Map window, and throughout other program modules:

Map View Tools

Icon

Function

Zoom Extents: Draws the display at a zoom scale that displays all enabled data.

To zoom to the extents of an enabled file, right-click on it in the Project Items list and select Zoom Extents.

Zoom Window: Select this option and drag a rectangle in the window to define the extent of your desired view. The program will redraw the screen to display the defined area optimally.

Rotate: In the HYPACK Map window, select this option, click where you want to center the rotation then drag the cursor.

•To rotate around the Z axis, drag left and right.

•To rotate around a horizontal axis at the window center, drag up and down.

The diagram at the bottom left of the window shows the orientation of the display. Red, green and blue represent the X, Y and Z axes respectively.

Note:To pan the displays that support this type of rotation, right-click and drag the cursor.

2D Pan: (2D displays only) Select this option, then click in the window and drag the cursor to the position where it should be displayed. As you drag, the program displays the distance and azimuth of the cursor motion. When you release the mouse button the display updates accordingly.

The Query Tool displays attribute information about objects in S57 and SHP charts, as well as about several types of HYPACK files. When you click the Query Tool icon, the cursor changes to an Interrogate tool. When you click or drag an area in the area map, it displays the attribute information for any object within 2mm of the defined location. All supported objects within range of your query are listed in the top of the Query Results window. Select the object on the top and its attribute information appears below.

Default Cursor changes the cursor back to the default arrow used for most general HYPACK operations. The cursor position is displayed in the status bar.

Note:The Lat-Long grid is displayed in the Lat-Long of the local datum.

The Measuring Tool measures the distance and azimuth between points in the HYPACK area map.

Rotate to North Up sets the map to position north at the top of your screen (no rotation).

Undo reverses the last Zoom operation.

The Sounding Display icon provides quick and easy access to the sounding style and color options from the Control Panel.

Add Target toggles Target Editor mode, to mark targets with the cursor in the Map window. For each click, HYPACK® marks a target in the map and saves it in the Shell target group in the Project Items list.

Editor Mode: Some of the modules used to create and edit HYPACK ‘support files’ (ex. border, matrix, target and plotting sheet editors) allow you to record data in the editor by clicking positions or manipulating file borders in the area map. During these processes, you may need to temporarily interrupt this type of work to adjust the map view which would require a different cursor tool. To resume recording information to the editor, you must select your editor from the drop-down associated with this icon.

The View menu options control the zoom and rotation of the area map. The screen control bar provides quick access to many of these same options.

Go to Position centers the map at a user-defined location. Enter lat/lon or projection coordinates.

Setting the Map Center

3D Settings opens the 3D Settings Tab of the Control Panel

Zoom Extents: Draws the display at a zoom scale that displays all enabled data.

Scale: Choose from the list of zoom scales for your display.

Tip: To increase or decrease the vertical scale, use the Page Up or Page Down keys respectively.

The Rotate options rotate the Map window around the Z axis.

•Rotate to Degrees rotates the Map window counter-clockwise by a user-specified amount.

•Rotate Counter Clockwise and Rotate Clockwise rotate the chart 5 degrees .

•Rotate to North Up sets the map to position north at the top of your screen (no rotation).

The Pan-Zoom-Rotate widget also provides zoom, pan and rotate functions in the area map.

Pan-Zoom-Rotate Widget

•To rotate the map, drag your cursor around the outer ring.

•To pan, click inside the center circle. The location of your click inside the ring determines the direction the chart shifts.

•To zoom in/out, click on the bar. Click near the top to zoom in and near the bottom to zoom out.

More Information

• Querying Area Map Features

• Soundings Display Settings in HYPACK

• 3D Display Settings in HYPACK


Configuring the HYPACK Toolbars and Menu Bar

The HYPACK menu and toolbars are installed with a default set of items and icons. However, you can configure them with any number of programs and commands available according to your license (dongle) type. All toolbar configurations are restored with the current layout.

1.Right-click on any toolbar and select ‘Customize’. A tabbed dialog will appear.

2.In the Toolbars tab, select which toolbars to display, generate new ones, rename existing bars or delete custom toolbars you no longer need.

Toolbars Tab

•To select which toolbars display, check the corresponding checkbox in the toolbars list.

•To generate a new toolbar, click [New] and name your toolbar in the dialog provided then use the Command tab to add the items you need.

•To rename a toolbar, select the toolbar in the list and click [Rename]. Enter the new name in the dialog provided and click [OK].

•To delete a toolbar, select the toolbar in the list and click [Delete]. You cannot delete the default toolbars.

3.In the Commands tab, configure your menus and icons.

Each menu heading is listed on the left and the commands applicable to the selected heading are listed on the right.

Commands Tab

•To add icons or commands.

i.Select the menu where the required command is listed by default.

ii.Drag the command from the list on the right to the desired menu bar or toolbar location.

•To remove icons or commands from the toolbars drag from the toolbar to the dialog.

4.In the Options tab, set options for how your menus and toolbars display.

Options Tab

5.Return to the HYPACK screen by clicking [Close].


Using the Measuring Tool

You can use the measuring tool to measure the distance and azimuth between points in the HYPACK area map.

Distance and Azimuth Toolbar

Measuring the Distance and Azimuth Between Two Points:

To measure the distance and azimuth between two points:

1. Click the measuring tool icon in the Map View Tools.

2.Use the drop-down list to set the units in which you want to measure: U.S. feet, meters, kilometers or nautical miles.

3.Click and drag between the two points on the map. The measurements will appear in the measuring tool.

Measuring the Distance Along A Multi-segmented Line:

To measure the distance along a multi-segmented line:

1.Select [Path].

2.Click along the line you want to measure at the beginning, at each point where the line changes direction and at the end. At each click, the toolbar displays the total distance along line and the azimuth of the most recent segment.

Note: The Line to Cursor icon, used together with the Path, displays the path between the previous point and your current cursor position.

Beginning a New Path:

To begin a new path, click the Clear icon [image]. The Path button will remain depressed so you can begin another set of measurements.


HYPACK Area Map

The area map displays your project items. It enables you to preview your map display as you prepare to begin a project, and to view the results of many of the files generated in post-processing.

The Map window may optionally include one or more widgets:

•The color bar reflects the project colors set in the Color Editor panel.

•The status bar below the map displays the current cursor position in X,Y and Lat./Lon. (Local Grid) coordinates, and indicates the rotation, tilt, scale and Z-scale of the area map display.

•The geodesy bar above the map displays the project geodesy according to current options in the GEODETIC PARAMETERS program.

•The pan/zoom/rotate control to adjust your map display with your mouse.

•A north arrow

You may display multiple Map windows in a tiled (side-by-side) or tabbed (one behind the other) display. Each Map window shows the same files with the same color palette, but you can configure them with different zoom, pan, rotation and widget settings.

Tiled Map Windows

Tip: Map Views may have different files enabled, draw orders and transparency settings, but you can display only one View at a time. In the Project Items panel, you can configure and save multiple Views of your project and data files, each to its own View tab.

You can display your project data, enabling and disabling files and with all of the HYPACK view options without owning a HYPACK license (Viewer Mode). However, a dongle with current license information is required to access the supporting program modules and do any work.

HYPACK provides numerous tools and settings that enable you to optimize the display of enabled project files. These settings are configured in one or more locations in the HYPACK interface.

•In the menu and Map View tools for each Map window

•In the Control Panel

•In the Project Items List

•In the COLOR EDITOR

•Schemebuilder

More Information:

• Display Settings in the HYPACK Control Panel

• HYPACK Menu Bar

• HYPACK Map View Tools

• Setting Chart Display Order

• Area Map Views

• Project Colors in HYPACK

• Display Schemes

• Chart Display Options


Area Map Views

A View is a set of file enable, draw order and transparency settings combined with zoom and rotation settings. The combination is named and saved to a View.

In the Project Items panel, you can configure and save multiple Views of your project and data files, each to its own View tab. This enables you to rapidly display various combinations of enabled data at different zooms and rotations, though you can display only one View at a time in the HYPACK map.

• Creating a New View

• Restoring a View

• Renaming a View

• Deleting a View

Creating a New View

1.Display the View tabs. In the Project Items panel, select VIEWS-VIEWS TABS. The tabs appear at the bottom of the panel.

2.VIEWS-CREATE VIEW. The Create View dialog will appear.

Create View Dialog

3.Enter a name for your view and click [OK]. For each View, the program generates a tab at the bottom of the Project Items panel.

4.Set the display options for your View.

•Enable the files you want to display in your View.

•Set any applicable transparency settings.

•Use the zoom, pan and rotation tools to optimize your display.

Return to Top

Restoring a View

To restore a view in the Map window, click the corresponding View tab at the bottom of the Project Items panel.

Sample Views

Return to Top

Renaming a View

1.Display the View you want to rename.

2.In the Project Items panel, select VIEWS-RENAME VIEW.

3.Enter the new name in the dialog and click [OK].

Return to Top

Deleting a View

1.Display the View you want to delete.

2.Click the ‘X’ on its View tab and confirm you intend to delete.

You cannot delete the Base View.

Return to Top

More Information:

• HYPACK Map View Tools

• Setting Chart Transparency

• Setting Chart Display Order


Querying Area Map Features

The Query Tool displays attribute information about objects in S57 and SHP charts, as well as about several types of HYPACK files. When you click the Query Tool icon, the cursor changes to an Interrogate tool. When you click or drag an area in the area map, it displays the attribute information for any object within 2mm of the defined location. All supported objects within range of your query are listed in the top of the Query Results window. Select the object on the top and its attribute information appears below.

Sample Query Results—Matrix File (left), Planned Line (right), Channel (center)

S57 and SHP Charts

Click on any feature in your S57 or SHP chart, and the query window presents information about the chart itself, as well as the features at your click location. Some charts have purple information tags. Use the query tool to access the chart information embedded in the chart.

S57 information will be in either text, *.JPG or *.TIF files, which must be in the same folder as the chart file.

SHP charts require the corresponding DBF files (with the same root name) which provide the object attribute information.

Sample S57 Information in TIF Format Shows a Profile View of the Bridge Queried in the Chart.

HYPACK All Format Data Files

Click on a line of All Format data and the Query Results window presents information about the survey and the individual sounding:

To see survey information, and geodesy and hardware settings, select the line name in the Query Results window.

Select a sounding to see statistics about that sounding such as the raw and corrected values, all corrections and quality information.

Results of All Format Query—Line Query (left), Sounding Query (right)

S57 Feature Information

Camera Images

If you have used one of the HYPACK camera drivers to take photographs of your survey area while you log survey data, HYPACK places an icon in the Map window according to the positioning data embedded in each image.

When you query such an icon, HYPACK displays the corresponding image in a pop-up window.

More Information

• Displaying SHP Charts

• ENC Editor

• S57 Basics


Saving Screen Captures of the Area Map

HYPACK includes a simple tool with which you can export a bitmap (*.BMP) image of your current Area Map display (excluding the north arrow, color bar and screen controls).

1.Select FILE-CAPTURE IMAGE. A File Save dialog will appear.

2.Navigate to the location where you want to save your image.

3.Name your file and click [Save].

Original HYPACK Screen (left) with the Captured Image (right)


Custom Window Layouts

A layout is the combined arrangement of the windows, panels and toolbars in the interface.

You can, not only adjust the widths of the panels and map window, but you can resize and reposition them into any layout you want or, in one easy click, pin them to the side of the HYPACK window.

When you drag the toolbar of any window to reposition the window, the interface displays "landing pads" where you can dock your window.

"Landing Pads" at Possible Docking Positions in 3DTV

When you pin a window, it “slides out of view” leaving a 0.25 inch (0.5 cm) tab on the side of the window where it is docked. When you want to access the pane, click its tab and it slides into view. When you move your cursor to a different window, HYPACK knows you have finished in the pinned window and it slides back out of view and out of your way, providing a larger map view display area.

Pinned Project Manager, Color Editor and Project Files List

The following figures show more layout possibilities. In the first one, the Project Manager, Color Editor and Project Items list are all unstacked and docked separately. You can dock windows side-by-side or one over another. In the second example, the file list is docked across the bottom to provide a wider window in which you can see the file path without scrolling. The Project Manager is pinned on the right.

3-Window Layout - Web Maps

4-Window Layout

With so many layout options in the HYPACK window, you may like to configure your display differently according to your task at hand. While it’s easy to move windows around, you can quickly save and restore your layouts through simple menu selections. A saved layout restores the size and position of the windows (the HYPACK shell and the windows inside) as well as the toolbars.

•To save a new layout, select VIEW-LAYOUT-CREATE NEW LAYOUT, name your layout and click [OK].

Save Layout Dialog

HYPACK stores the settings to the layout configuration and adds the layout name to the Save Layout and Load Layout menus.

•To modify the current layout, arrange your panels and windows then select FILE-SAVE PROJECT.

•To restore a saved layout, select VIEW-LAYOUT and the name of the layout you want.


Display Settings in the HYPACK Control Panel

Select SETTINGS-SETTINGS (F9) to control the presentation in the area map.

Your control panel display settings are interactive with your schemes. When you make a change through the control panel, the change will also affect the current scheme. Likewise, changes in the scheme will affect your control panel settings.

There is an additional ‘twist’ to this interaction. When you change a setting in the control panel, the corresponding change is made to the current scheme, but you will not see that change until you have either left and re-entered HYPACK, opened a different project with the same scheme, or loaded a different scheme then the original one again. Any of these actions causes HYPACK to re-read the scheme record and modify the display accordingly.

[Apply] enables you to preview your settings before exiting the Control Panel.

Set as Default saves the current settings and uses them any time you create a new project.

More Information

• General Display Settings in HYPACK

• Grid Display Settings in HYPACK

• Soundings Display Settings in HYPACK

• Seabed Identification Settings in HYPACK

• Track Line Display Settings in HYPACK

• Planned Line Display Settings in HYPACK

• Chart Display Settings in HYPACK

• Target Display Settings in HYPACK

• 3D Display Settings in HYPACK


General Display Settings in HYPACK

Control Panel—General Tab

The General Tab sets the display colors of several features.

Data Color Control enables you to select various file types and click [Color] to specify the color used on the screen.

Default Display determines the Lat/Lon format for data input and in the HYPACK status bar.

Automatic Searching options are used when you return to the main HYPACK screen from one of the program modules.

•Search Data Files loads all Raw, Edited and Sorted data files in the project that are not currently loaded to the HYPACK display.

Note:To save time, it loads but does not enable HS2 or HSX files.

•Search Project Files tells HYPACK load all project files in the project to the HYPACK display.

•If you also check the Scan Project When Opened option, HYPACK reloads the files indicated by the first two options when you enter the project.

Tip: These options are selected by default, however, if you have an excessive number of files in your project, you may want to manage the files loaded to your display manually. To do this, deselect one or both of the search options and the Scan Project option, then manually draw or remove them in the display as needed using the Load and Remove options in the right-click menu for each file type of the Project Items list.

Graphics Mode: Choose to display the HYPACK Map window in two dimensions (map view only) or in a interactive three dimensional display.


Grid Display Settings in HYPACK

Grid Tab

The Grid Tab enables you to specify how HYPACK displays projection grids and latitude-longitude (lat./lon.) grids. HYPACK displays the lat./lon. of the local datum.

Plot toggles the grid display on and off.

Automatic Spacing is the default setting to determine the spacing between projection grid lines. HYPACK automatically changes the spacing as you zoom in/out.

Fixed Spacing specifies the meters (or feet) between projection grid lines and seconds of arc between lat/lon grid lines. This will be kept constant while you zoom in/out.

Style enables you to draw your projection grid using either lines or tics.

Label Projection enables you to assign which sides of the HYPACK screen you wish to have the projection labels placed.

Font enables you to assign the font of the projection grid labels. Standard Windows® Color Selection and Font Selection dialogs are presented for your choices.

Note:Select only true type fonts to achieve the correct rotation.

Color sets the color for your projection grid lines and labels.

The Latitude-Longitude Grid has an additional setting to those found under Projection Grid. Format enables you to specify how the lat./lon. labels are written in the grid and in the HYPACK status bar.


Soundings Display Settings in HYPACK

The Soundings Tab enables you to set how the soundings are presented and plotted.

To toggle the display of the soundings, right-click the data file folder and select ‘Enable Soundings’.

Soundings Tab

Orientation draws XYZ data at a user-specified angle relative to the first LNW file listed in the project files list. Elect to plot soundings:

•Perpendicular to the planned line,

•Parallel to the planned line

•At a user-defined Fixed Angle. This is the angle the text appears relative to the map window. (It is unrelated to the map orientation.) Any angle from -360 to +360 is permissible

Style: Choose the format with which to write your sounding.

•Decimal Point on the Mark (USACE) option places the decimal point at the location of the sounding and writes a normal size fraction.

•Cartographic (IHO) centers the integer portion of the sounding at the sounding location and then writes a smaller, lower fraction.

•Spanish Navy (IHM) places the decimal point at the location of the sounding and then writes a smaller, lower fraction.

•Pixel: represent the location of each sounding with a color-coded Pixel (dot) of a user-defined size.

•Russian: The sounding location is marked with a dot with the sounding value from the TIN MODEL Input file to its right. If you have a second TIN model, the depth from the Additional file appears left of the sounding position.

Color: Defines predefined sounding color settings (Black or ECDIS) or the value HYPACK is color-coded according to a user-defined palette.

When you select the Color by Depth, Color by Seabed ID, or Color by CHN Difference option, click [Color Table] to assign and configure the color palette in the COLOR EDITOR from within the Control Panel. This also affects the palette displayed in the Color Bar.

•Black: HYPACK ignores the project colors and draws all soundings in black.

•Color By File enables you to set specific colors for each catalog or individual file through the right-click menus in the Project Items list. Files loaded as part of a catalog all inherit the color of the catalog. When you assign a color to a file, the file name appears in the same color in the Project Items list.

Note:To color individual files, you must first load them to the project separately.

•ECDIS Colors: HYPACK ignores the project colors and draws all soundings according to ECDIS convention.

•Color by Depth colors your data based on the Z-values. Configure your palette according to your expected Z range.

Note:In HYPACK, the Z-value is most commonly depth, but it may also be gamma in magnetometer data, seabed identification numbers, number of soundings per matrix cell, uncertainty, etc

•Use Seabed ID: If you load an XYZid file (generated in SEABED MAPPER or GEOCODER) to TIN MODEL, where the ‘id’ is the seabed identification number, the program can output a matrix file based on the seabed ID instead of the depth. SEABED MAPPER also generates a matrix filled with seabed ID colors. These enable you to display your data by seabed classification in the HYPACK Map. Configure your palette according to your Seabed identification numbers and colors.

•Color by CHN Difference colors the soundings based on the distance above or below the sounding is from the design depth. Use the COLOR EDITOR to configure your project colors according to your expected difference values. Soundings that fall outside the channel are black. Configure your palette according to the expected difference values.

Resolution enables you to specify soundings to either one 1 Decimal (Tenths) resolution or 2 Decimal (Hundredths) resolution.

Rounding enables you to determine how the soundings are presented.

•None displays the soundings decimal places according to the resolution setting.

•Truncate to Tenth just leaves off the hundredth digit. For example, 6.97 is written as 6.9.

•HYPACK:

•Depth below Nearest Tenth value: Round to nearest tenth using a x.05 rounding point (e.g 12.46 -> 12.5)

•Depth below Nearest Half value: Round using 3 rounding points:

<x.3 =x.0 (e.g 42.28 -> 42.0)

<=x.8 = x.5 (e.g. 42.6 -> 42.5)

> x.8 = (x + 1).0 (e.g. 42.83 -> 43.0)

•Depth above Nearest Half value: Round to a whole number using x.8 rounding point (e.g. 123.7 -> 123.0, but 123.8 -> 124.0).

•ROK Rules (Republic of Korea):

•Depth < the specified Nearest Tenth threshold, it is displayed at the specified decimal resolution.

•Depth >= 31, it is truncated to a whole value, otherwise it is truncated to the first decimal.

Note:The rule stated 31 meters as the whole value threshold but, if you are using depths in feet, the threshold will be interpreted as 31 feet by the sounding engine.

•UKHO Rules (United Kingdom Hydrographic Office):

•Depth < 0: Drying Heights are rounded nearest tenth using a x.03 threshold.

•Depth below Nearest Tenth value: Round to nearest tenth using a x.08 threshold.

•Depth below Nearest Half value: Output x.0 or x.5 using a x.5 threshold.

•Depth above Nearest Half value: Round to a whole number using a x.75 threshold.

•NOAA (National Oceanographic and Atmospheric Administration):

•Depth < 0: Drying Heights are rounded to nearest whole number using a x.5 threshold.

•Depth below Nearest Tenth value: Round to nearest tenth using a x.075 threshold.

•Above Nearest Tenth (Nearest Half not used) Round to a whole number using a x.75 threshold.

•AHOI (Australian Hydrographic Office):

•Depth < 31: (designed for meters) Display in Tenths, round at a x.065 threshold.

•Depth >= 31: Display as a whole number, round at a x.65 threshold.

[Test Rounding] provides a quick test platform to aid in understanding how your current settings affect your sounding display, and to ensure that the rounding rules have been implemented correctly. Just enter any sounding value in the dialog provided and see the display value based on the current option set.

The Options settings contain the following items:

•Negative Soundings get "+" does just that. If you have processed your sounding data in elevation mode (z values are negative), this setting will display them on the screen in depth mode (z values are positive).

•Hide Soundings Above a user-defined level plots only soundings deeper than the specified depth.

•Hide Soundings Below a user-defined level plots only soundings shoaler than he specified depth.

•Depth 1 Text and Depth 2 Text (HYPACK Control Panel only) are the terms by which you, personally, call the depths in a dual frequency data string. If you prefer a term other than ’Depth 1’ and ‘Depth 2’, enter them in the fields provided. Your terms will then replace ‘Depth 1’ and ‘Depth 2’ in this and other HYPACK dialogs.

Note:These labels have not been fully implemented . They occur initially in the HYPACK and HYPLOT Control Panels, and in the SB SELECTION program.

•Hide Above CHN Design Depth Plus this Value: Omits soundings that are more than the user-defined distance from the channel template.

Draw Mode: Select a method and set the corresponding parameters.

Fonts: [Font] displays the Windows® Font dialog where you can set font, and font size. (Ignore the remaining options; HYPACK does.)

Vector options: Set the Vector Scale at which you expect to plot your survey, then enter a Vector Size that appears as you wish.

More Information:

• Project Colors in HYPACK


Seabed Identification Settings in HYPACK

The Seabed Identification Tab

The Seabed ID Matrix options affect the colors used to display matrix files filled with seabed identification values in the HYPACK window only. The matrix displays colors according to the seabed ID and the corresponding colors defined in the SIX file if you have done the following:

•Used TIN MODEL or SEABED MAPPER to create a matrix file with Seabed ID information, and

•Selected Seabed ID from the right-click menu of the Matrix folder in the Project Items list.

Click […] to select the Seabed Square File (*.SIX) which defines the project seabed identification colors.

Note:In Seabed Identification matrix files, the survey depth is replaced by the seabed ID number. If you select survey depth in the right-click menu, it is the same as selecting Seabed ID. Depth information can be viewed by selecting the Dredge Depth option.

Seabed Identification Menu Options

Show Legend displays a labeled color bar describing your seabed classifications. Select one of the options for its placement on the main screen.

Sample Legend of Seabed Colors


Track Line Display Settings in HYPACK

The Track Lines Tab affects the drawing and labeling of events and track lines.

To toggle the display of track lines to the screen, right-click the data file folder in the Project Items list and selecting Enable Track Lines.

The Track Lines Tab

Event Display Options:

Draw Event Symbol instructs the program to draw the event symbol at points where the SURVEY or DREDGEPACK program generated event marks.

Label Increment defines how often the event marks will be labeled. An increment of 1 means every event mark is labeled. An increment of 5 means every 5th event mark is labeled.

Labels tells the program whether to label Events with Event Number or Event Time.

Label Orientation sets the angle at which event labels will be drawn. Elect to label events Perpendicular or Parallel to the planned line, or define another angle. Fixed Angle is the angle the text is drawn relative to the map window. (It is unrelated to the map and sounding orientations.)

[Font] is used to determine the font of the event labels.

[Color] is used to set the color of the event labels.

Track Line Display Options:

Draw File Name enables you to label the track lines with its file name.

File Name Orientation affects track line labels in the same manner as the Label Orientation affects the event labels.

Additional Track lines enables drawing the track lines of up to 7 vessels (positioning systems) to the screen. We all know that towfish don't follow the same track of the vessel towing it. Now you can see both track lines accurately displayed. Track line 1 will always belong to the vessel designated as the main vessel in SURVEY or DREDGEPACK.


Planned Line Display Settings in HYPACK

The Planned Lines tab includes checkboxes where you can choose whether to display the lines and the labels.

Click [Line Color] to access a color dialog where you can choose the color that the planned lines will display.

The Label Orientation and [Font] options are the same a track line options.

Draw Template Points: If you have a planned line with template information, HYPACK draws small circles at each template inflection point in the area map display.

The Planned Lines Tab


Chart Display Settings in HYPACK

The Charts Tab provides display options for background charts.

The Charts Tab

Raster Options:

Hide Border displays only the map part of the chart file, omitting the text, scales and other ‘extraneous’ information around the outside.

CAD Drawing Option:

Display Normally (default) draws your chart using the colors specified in the file.

Display All Black and Display All White override the chart colors in the HYPACK display.

Additional Chart Options:

Hide Soundings above Safe Contour displays soundings, other than those in the Project Items list, greater than the Safety Contour value in the S57 Options.

Over scale Lines tell you that you are viewing the chart at a smaller scale than that in which it was created. An over scale chart will appear with diagonal, white-dotted lines. These appear on ARCS chart displays.

Show Text includes item labels in the display. If you have several labeled items in a small area or if you are viewing a large area at a small zoom scale, the labels may become confusing. If this is the case, clear this option to display only the symbols.

Color Zones shows the zone colors assigned in ADVANCED CHANNEL DESIGN. Otherwise, it only outlines the channel faces.

S57 Options:

[S57 Options] in the displays the ECDIS Display Options dialog.

S57 Options Dialog

Symbols: Choose between Traditional and Simplified.

Boundaries: Choose to have them marked with symbols (Symbolized) or as plain lines (Plain).

Units: Displays depths in your choice of U.S. feet or meters.

Scheme:

•S52: The industry standard where the colors progress from darkest to lighter shades of blue as depths increase.

•Bathy Blue: The reverse of S52 where the deepest water is the darkest color.

•Red Yellow Green: Displays three categories of depth areas:

•unsafe (red),

•safe with caution (yellow)

•safe (green)

S57 Color Schemes: S52 (left), Bathy Blue (center), Red Yellow Green (right)

Safety Depth displays depth labels in different colors above and below this depth.

Safety Contour, Shallow Contour and Deep Contour define different depth ranges which will be displayed with backgrounds of different shades of blue.

Note:This option is overridden by the Two Depth Shades option.

Scale Minimum displays different map features and symbols at varying zoom scales according to S57 standards. This option prevents your Map window from becoming overly cluttered. If this option is clear, everything will be displayed regardless of the zoom scale.

Two Depth Shades uses only two shades to display depths greater than and less than the Safety Contour.

Shallow Pattern draws a pattern in the areas of the map where the depth is shoaler than the safety contour.

Full Sector Lights includes data regarding direction and color of lights. If this is off, you will see only the position of the light source.

Show Soundings toggles the display of chart soundings.

Visual Quality of Data: S57 charts include markings that indicate whether the chart has been tested for accuracy and, if so, how accurate it is. Check this option to clear this ‘clutter’ from your display.

Draw Information Boxes: Draws S57 markers at all points of interest. Clearing this option will provide a less cluttered display.

Load Chart Updates: When you load a base chart (typically *.000) and there are update charts (typically *.001, *.002…) in the same folder, checking this option loads all related chart information to provide the most updated display.

Seasonal/Time Period Filter: Object attributes may specify time ranges when they would be most applicable to display. Check this option to display only objects whose attributes match the current time.

HYPACK Soundings Display: When 'Show Soundings' is checked, this option toggles between ECDIS display and HYPACK display options.

Isolated Danger in Shallow Water assures that those features coded as isolated dangers are always displayed.

Hide Extra Contours: Omits any contour that is above the deep contour or below the shallow contour. They are valid contours, but do not contribute to the safe navigation of your vessel.

Text Display Groups: Charts can get cluttered with excessive text. Select only those text features you want to see in your chart display.

Contour Tab:

The Contour Planning tab provides options that adjust the display by additional user-defined variables related to your vessel and tide conditions. It also enables you to search for features, such as bridges, that may be too low for your vessel to safely pass under.

Contour Planning View Options

Tide: Tide level expected when you will be on the water.

Keel Depth: Distance from the water surface to the tip of the keel.

Safety Margin: Enables you to adjust the contours to allow for this amount of clearance beneath the keel.

Ship Height: Distance from the water level to the highest point on your vessel.

Set Shallow Contour to Keel Depth and Safety Contour to Keel Depth + Safety Margin calculates the adjusted contours based on your Keel Depth and Safety Margin variables.

Adjust Contours to Tide: Depth areas, contours and spot soundings are displayed accounting for changing tide levels to provide more accurate, real-time depth information for the helmsman.

Calculating the Adjusted Contours

To calculate the adjusted contour levels without affecting the chart display, enter your variables and click [Update]. The lower part of the dialog compares your contour depths as defined in the General Display tab and their adjusted values based on your contour planning options.

Checking Vertical Clearance

To verify safe vertical clearance, click [Vertical Clearance]. The program lists chart features that include the Vertical Clearance attribute, and use the user-defined Keel Depth, Vessel Height and (optionally) tide to calculate locations where your vessel has inadequate clearance.

Vertical Clearance Report

VPF Display Options:

Check the features listed in the Feature Selection you wish to have drawn and click [Apply] and [Close].

VPF Display Options

Raster Options: Hide Border allows you to draw ARCS and BSB charts without the border visible.

More Information

• Setting Chart Transparency

• Setting Chart Display Order


Target Display Settings in HYPACK

Target Display Settings

The Targets tab of the Control Panel sets the target display in the HYPACK main window. The SURVEY or DREDGEPACK display settings are set independently.

Target Display Options:

•Circle displays a plain target. Additional display options apply:

•Number of Circles: Circles drawn around each plain target to make them more visible on your map displays.

•Circle Radius: Distance, in survey units, between the target and target circles around each target.

•Draw Target Label toggles the display of the target name when you are drawing circle targets. Too many target labels may clutter your display.

•Orientation sets the angle at which target labels will be drawn when the circle target display is selected. Elect to label targets Perpendicular or Parallel to the planned line, or define another angle. Fixed Angle is the angle the text is drawn relative to the map window. (It is unrelated to the map orientation.)

•Alarm includes a flag with the target name. Its background changes color according to the Alarm Distances settings. In SURVEY or DREDGEPACK, alarm flags also display distance and bearing from the tracking point to the target.

•Alarm Distances: If you display the alarm flags, you can set them to change color according the distance between the targets and the boat origin. In the previous figure, the alarm flag will turn green when the vessel comes within 500 survey units of the target, yellow when it is within 200 units and red when it reaches 50 units from the target. These are the default colors and may be changed using the program.

•Set the orientation of the alarm flag in SURVEY or DREDGEPACK through the Target Properties dialog or by entering the number of degrees rotated from north under ‘Angle’ in the TARGET EDITOR.

•S57 Symbols can also be displayed at target locations. The symbols are set in the TARGET EDITOR.

Sample S57 Symbols at Target Locations

Target Label Color and Font can be set through a Windows® Font dialog. Just click […] and make your changes. The alarm flag will automatically resize to fit the label information. (If your labels are too large, try a smaller font.)

More Information

• Target Display Options

• Editing Target Properties

• Target Display Defaults in SURVEY


3D Display Settings in HYPACK

Control Panel—3D Options and Levels Tab

In the 3D Options and Levels tab configure how 3-dimensional displays (e.g. the HYPACK Map window and point cloud displays) draw. (Two-dimensional displays, such as HYPLOT, draw on one plane using the options in Chart Display Order dialog.)

In most cases, files that contain vertical position information draw, by default, in three dimensions, which positions all of your data and project files together in space and enables you to tilt and rotate the display to view it from whatever angle is most advantageous.

3-Dimensional Drawing Options in the HYPACK Map

File Type

Drawing Options

•Raw Data Tracklines

•Raw Data Soundings

•Background Files

•Plotting Sheets

Except Background Charts, these files all draw, by default, at the water line (level = 0), however, you may enter an alternate level at which to display each file type.

The Background Files option applies to (2-dimensional) raster charts only. they draw, by default, at level = 1 in order to avoid conflict with other features drawn at the waterline.

•Fixed Edited Track Level

•Fixed Edited Sounding Level

•Fixed PLN Files Level

These file types draw following the depth information, however, you can set a level at which you want them to draw in two dimensions.

Border Files

Border files draw, by default, in two dimensions at the water level.

To view it in two dimensions at a different level, set both options to the new level.

To view the border in 3 dimensions (fence), enter the depth range.

Planned Line Files

•Fixed Level (selection & field): Lines draw in two dimensions at the defined depth.

•Template Depth and Template Mesh: Lines that include channel template information draw in three dimensions according to the depths in the template. Template Mesh also shows center line, toe lines and top of bank.

Targets

Targets draw, by default, in two dimensions at the water level.

•Fixed Depth: Enter an alternate level at which to display all enabled targets.

•3D Between: Set a depth range between which targets are drawn.

•Use Target Depth: Draws each target at the level of its depth property.


Setting Chart Display Order

In the Chart Display Order dialog you have full control over the draw order of each element displayed in 2-dimensional map displays.

Note:In three-dimensional displays, these options affect only raster chart order. Configure all other display options in the 3D Options and Levels tab of the Control Panel.

1.Right-click in the Project Files list and select the Chart Display Order option. A dialog appears which lists all of the charts and other files available to be drawn to your map. Items that are checked are items that are currently enabled in your project. Items at the end of the list are drawn first and will be overlaid by any above them in the list that are selected.

Chart Display Order Dialog

2.Check those items that you want to draw in your display.

3.Check the User-Defined option.

4.Order your charts. You can click and drag the files in the list or select one and reposition it with the buttons:

•With one arrow, [Front] and [Back] shift the selected file upward and down one position respectively.

•With two arrows, [Front] and [Back] shift the selected file to the beginning or end of the list respectively.

Tip: Alternatively, you can quickly move a chart to display on top of or behind all files through its right-click menu in the Project Items list: Bring to Front draws it on top. Send to Back draws it behind everything else.

Incorrect Chart Order (left: Shows two charts, but hides an XYZ file. Correct Chart Order (right: Brings the XYZ File Forward)

5.Preview your results. Click [Apply] and check the map.

6.When you’re satisfied, click [OK].

More Information

• 3D Display Settings in HYPACK


Project Colors in HYPACK

Palette 1 defines the default project colors that color-code your sounding and matrix files, or select calculated values in your HYPACK displays. You can override the palette colors with some of the Color options in the Soundings tab of the HYPACK Control Panel: Black, ECDIS Colors, and Color by File.

Color-coded Sounding Data

Alternatively, you can assign a palette to a particular XYZ or matrix file through its right-click menu in the Project Items list.

Typically, you color-code survey or dredge depths, but HYPACK can also color your files according to other values in the data:

•Seabed identification,

•Number of soundings per matrix cell,

•Difference between the depth data and your channel design,

•Side scan return,

•Magnetometer return

Use the COLOR EDITOR to create color palettes for the value ranges that are represented in your data. Each palette option in the Colors menu has a default HYPACK Color File (*.HCF) that stores the latest settings:

Default Files

Colors Menu Selection | Default HCF File Name
Palette 1 | color.HCF
Palette 2 | clr01.HCF
Palette 3 | clr02.HCF
Palette 4 | clr03.HCF
Palette 5 | clr04.HCF

HYPACK overwrites the HCF file for your current palette each time you apply the colors to your project .

The COLOR EDITOR panel is used only to configure the 5 palettes. The project colors are always Palette 1. Assign any of the additional palettes to a select XYZ or MTX file through its right-click menu in the Project Items list (SET PALETTE).

Tip: In most cases, use the COLOR EDITOR and save the color palette to an HCF file. For seabed identification projects, you can use SEABED STATISTICS to generate HCF files that reflect the colors and identification numbers in your seabed square. This enables you to display the seabed matrix, generated in SEABED MAPPER, with the seabed colors.

Your selections of color style, zone colors and band settings define your palette colors. Once you select your color style, you can further customize the colors and the values they represent by editing the color range, zones and bands.

The Color Zones set the color sequence used by your color style. The COLOR EDITOR evenly distributes the zone colors over the user-defined color range, then smooths (interpolates) the colors for the bands (value increments) between each zone color. Some color styles have fixed zones, however, most allow you to change one or more colors in the sequence. If the zone colors are editable, the Color Zones display appears below the menu in the COLOR EDITOR.

Bands are the value increments in your color palette. Typically, each band has a unique color so you can distinguish data values in your graphical displays.

More Information

• Soundings Display Settings in HYPACK

• Setting your Palette Colors in the COLOR EDITOR

• About Color Styles

• Modifying Color Zones in the COLOR EDITOR

• Generating the Color Bands for a Palette in the COLOR EDITOR

• Modifying Color Bands in the COLOR EDITOR

• Loading a HYPACK Color File to a Palette


Setting your Palette Colors in the COLOR EDITOR

If your current color palette does not reflect the values you want, you can customize the zones, colors and bands for your purposes.

To configure your color palette, do the following:

1.Open the COLOR EDITOR. Select VIEW-COLOR EDITOR (or SETTINGS-SOUNDING COLORS).

COLOR EDITOR

2.Select a color palette from the Colors menu.

3.Select your color style.

4.Customize your zones. (Optional) This option is unavailable for some color styles.

5.Generate an initial color palette. You define the range and increment for the values represented in the palette. The COLOR EDITOR evenly distributes the color zones over the user-defined color range, then “smooths” (interpolates) the colors for the bands (value increments) between each zone color.

6.Customize your color bands by setting the value range and increment. Once the initial color palette is established, you can further customize your settings by adding and deleting bands.

7.Click [Apply]. This updates your displays with the new color palette and stores your current palette in the corresponding HCF file.

8.Save your color palette for future use. (Optional) Select OPTIONS-SAVE COLOR FILE and name your file something other than the default file names: color.hcf, and clr01.hcf,clr02.hcf, clr03.hcf and clr04.hcf. This allows you to load the same color palette at a later time by simply loading the HCF file to the selected palette (OPTIONS- OPEN COLOR FILE).

More Information

• Project Colors in HYPACK

• About Color Styles

• Modifying Color Zones in the COLOR EDITOR

• Generating the Color Bands for a Palette in the COLOR EDITOR

• Modifying Color Bands in the COLOR EDITOR

• Loading a HYPACK Color File to a Palette


About Color Styles

The Color Style initiates a predefined sequence of colors (zones) that is used to color-code your data in your area map. Select your style from the Style menu in the COLOR EDITOR.

•RGB Color uses a rainbow spectrum, automatically distributing the colors over the specified depth range. The color zones, and bands are editable. RGB Color is the only style in which the colors can be smoothed (interpolated).

•DXF Color works in similar manner to RGB Color. However, color selection is limited by the AutoCAD Color dialog and only individual color bands can be edited.

•Light, Medium and Dark Spectra automatically calculates a preset range of colors over the depth range. The individual color bands cannot be edited, but the sequence of colors that create the spectrum (zones) can be customized.

•Relief and Chart automatically calculate a preset palette of colors over the depth range. You cannot edit zones or bands.

•DXF Spectrum distributes a DXF compliant rainbow spectrum over 20 bands. When you select DXF Spectrum, HYPACK automatically adjusts the current increment to evenly distribute the specified range over the 20 bands. You cannot edit zones or bands.

•Contrast uses a series of highly contrasting colors to provide distinct transitions between band ranges. You cannot edit zones or bands.

•Side Scan Options: There are several ‘Sidescan X’ options in the Color Style list are specifically designed to display side scan data. They automatically change the number of bands to range from 0 to 63 and apply color combinations that mimic the colors from the Colors tab in the Side Scan Controls dialog. You cannot edit individual bands.

Different color styles support different sets of editing capabilities:

Color Style Editing Capabilities

Color Style | Color Zones | Band Color | Color Smoothing
RGB | Yes | Yes | Yes
DXF | No | Yes | No
Light, Medium and Dark Spectrum | Yes | No | No
DXF Spectrum | No | No | No
Relief, Chart, Gray Scale and Contrast | No | No | No
Side Scan Options | Yes | No | No

All styles allow you to invert your colors across the color range.

More Information

• Project Colors in HYPACK

• Setting your Palette Colors in the COLOR EDITOR

• Modifying Color Zones in the COLOR EDITOR

• Generating the Color Bands for a Palette in the COLOR EDITOR

• Modifying Color Bands in the COLOR EDITOR

• Loading a HYPACK Color File to a Palette


Modifying Color Zones in the COLOR EDITOR

The Color Zones set the color sequence used by your color style. The COLOR EDITOR evenly distributes the zone colors over the user-defined color range, then smooths (interpolates) the colors for the bands (value increments) between each zone color. Some color styles have fixed zones, however, most allow you to change one or more colors in the sequence. If the zone colors are editable, the Color Zones display appears below the menu in the COLOR EDITOR.

To change a zone color, do the following:

1.Click on the zone. A color dialog appears.

2.Choose a color and click [OK]. Your color is inserted in the selected zone and smoothed into the neighboring colors.

3.Click [Apply]. This updates your displays with the new color palette and stores your current palette in the corresponding HCF file.

Original Medium Spectrum (left), First Color Zone Changed to Yellow (right)

More Information

• Project Colors in HYPACK

• Setting your Palette Colors in the COLOR EDITOR

• About Color Styles

• Generating the Color Bands for a Palette in the COLOR EDITOR

• Modifying Color Bands in the COLOR EDITOR

• Loading a HYPACK Color File to a Palette


Generating the Color Bands for a Palette in the COLOR EDITOR

When you have selected your palette, and color style, you are ready to define the value range for the palette and generate the color bands that compose the palette.

Bands are the value increments in your color palette. Typically, each band has a unique color so you can distinguish data values in your graphical displays.

When you define the initial color palette in your project, you set the minimum and maximum values that your colors represent. Data values less than the defined minimum use the color of the first band in the palette, while values greater than the maximum use the color of last band.

The Increment option determines the number of color bands:

(EQ 1) Number of Bands = (Maximum - Minimum) / Increment

There are two exceptions to this rule:

•The DXF Spectrum color style defaults to 20 bands and adjusts the increment accordingly.

•The Side Scan styles set the minimum to zero, the maximum to 63 and the increment to 1, then apply the colors across the bands.

1.Select BANDS-SET BANDS. The Depth Ranges dialog appears.

Depth Ranges Dialog

2.In the Depth Ranges dialog, do the following:

a.Check the Clear Existing Ranges option. This tells the editor to generate a color palette based only on the currently selected style and the information in this dialog.

b.Enter the minimum and maximum values.

c.Enter the increment. The units depend on what the colors represent. (For example, survey units for sounding depths or gamma for magnetometer data.)

d.Use the Adjust Bands feature, to fine tune the range. (Optional) Enter the increment then click the [+] and [-] to shift the range up and down. (The number and size of the bands remain constant.)

e.Click [OK] to generate your color palette.

3.Click [Apply]. This updates your displays with the new color palette and stores your current palette in the corresponding HCF file.

Tip: If you have an XYZ file representative of your data set, you can quickly set the color palette to fit your depth range:

•Right-click on the XYZ file in the Project Items list, select SET PALETTE and choose the palette with which you will color the file Z-values.

•Right-click on the XYZ file in the Project Items list and select SET PALETTE RANGE FOR ASSOCIATED PALETTE.

More Information

• Project Colors in HYPACK

• Setting your Palette Colors in the COLOR EDITOR

• About Color Styles

• Modifying Color Zones in the COLOR EDITOR

• Modifying Color Bands in the COLOR EDITOR

• Loading a HYPACK Color File to a Palette


Modifying Color Bands in the COLOR EDITOR

Bands are the value increments in your color palette. Typically, each band has a unique color so you can distinguish data values in your graphical displays.

You can modify the bands in your project colors in several ways:

•Change the color of 1 or more zones

•Change the range of values your project colors represent.

•Change the color of one or more bands

•Add bands

•Remove bands

• Changing Individual Band Colors

• Smoothing Band Colors

• Adding Color Bands

• Removing Color Bands

Changing Individual Band Colors

When you have chosen the color style and defined the initial color palette, the COLOR EDITOR displays a preview of the defined project colors. There may be times when you want to change the color of one or more bands, perhaps to highlight them in your map display.

1.Select the band from the color display in the COLOR EDITOR.

2.Select BANDS-EDIT SELECTED BAND. A color dialog appears. (If this option is disabled, your color style does not support this feature.)

3.Select the desired color and click [OK].

Individual Bands Highlighted by Contrasting Color

4.Click [Apply]. This updates your displays with the new color palette and stores your current palette in the corresponding HCF file.

Return to Top

Smoothing Band Colors

The RGB color style supports manual smoothing which interpolates the colors over several selected bands. You can interpolate colors across the full range of the color bar or only a selected portion.

1.Set the colors for the first and last band in the range where you want to interpolate the colors.

2.Hold the Shift key and click the first and last band in the range to interpolate. They are highlighted by a dark background.

3.Select BANDS-SMOOTH SELECTED BANDS.

Band Colors Smoothed Twice—Above and Below Grade Level

4.Click [Apply]. This updates your displays with the new color palette and stores your current palette in the corresponding HCF file.

Return to Top

Adding Color Bands

When you have chosen the color style and defined the color range, the COLOR EDITOR displays a preview of the defined project colors. There may be times when you want to add one or more bands at specified values in addition to those generated at the original intervals. You can add bands one at a time or at even intervals across a specified range.

Note:The COLOR EDITOR does not remove existing bands. It calculates the levels defined by the dialog and adds bands at those levels where none currently exist.

When you add bands to most existing color sets, the program assigns the color interpolated from the band colors on either side. When you add a band to RGB Spectrum and DXF Spectrum style color sets, the added band defaults to black, but you can edit the color of the band to be anything you want.

Adding One Band

1.Select BANDS-ADD SINGLE BAND. The Add Depth Band dialog appears.

Add Depth Band Dialog

2.Enter the depth for your new band and click [OK]. A new band is added to your project colors at the specified value.

Added Band at 27.5—Before (left) and After (right)

3.Click [Apply]. This updates your displays with the new color palette and stores your current palette in the corresponding HCF file.

Adding Multiple Bands

1.Select BANDS-SET BANDS. The Depth Ranges dialog appears.

Depth Ranges Dialog

2.Deselect the Clear Existing Ranges option. This tells the COLOR EDITOR to modify the existing project colors rather than creating a new color palette.

3.Enter the Minimum and Maximum of the range in which you want to increase the number of bands.

4.Enter the increment you want between the added bands and click [OK].

Adding Multiple Bands

5.Click [Apply]. This updates your displays with the new color palette and stores your current palette in the corresponding HCF file.

Return to Top

Removing Color Bands

As you customize your color palette, you may want to remove one or more color bands. When you delete a color band, the COLOR EDITOR merges the values from the deleted band with the next higher band.

1.Use your cursor to select one or more bands.

•To select one band, click on the band in the display.

•To select multiple individual bands, hold the Ctrl key while you click.

•To select several contiguous bands, hold the Shift key and click the first and last band.

2.Select BANDS-DELETE SELECTED BANDS.

Deleting a Band (14.00-15.99)—Before (left) and After (right)

3.Click [Apply]. This updates your displays with the new color palette and stores your current palette in the corresponding HCF file.

Return to Top

More Information

• Project Colors in HYPACK

• Setting your Palette Colors in the COLOR EDITOR

• About Color Styles

• Loading a HYPACK Color File to a Palette

• Generating the Color Bands for a Palette in the COLOR EDITOR

• Modifying Color Bands in the COLOR EDITOR


Loading a HYPACK Color File to a Palette

To reload a HYPACK Colors File (*.HCF) in the COLOR EDITOR, do the following:

1.In the Colors menu, select the color palette you want to configure with your HCF file settings.

2.Select OPTIONS-OPEN COLOR FILE.

3.Select your HCF file and click [Open].

4.Click [Apply]. This updates your selected palette and the corresponding HCF file with the color settings in the selected HCF file.

More Information

• Project Colors in HYPACK

• Setting your Palette Colors in the COLOR EDITOR

• About Color Styles

• Modifying Color Zones in the COLOR EDITOR

• Generating the Color Bands for a Palette in the COLOR EDITOR

• Modifying Color Bands in the COLOR EDITOR


Coordinating the Control Panel and COLOR EDITOR

Color-coding your Data

Task | Control Panel Color Option | Color Editor | Other Notes
Soundings Black | Black | N/A |
Soundings by Depth | Color by Depth | Color palette customized for your project depths and color preferences. | You can assign different color palettes to individual XYZ files: Right-click the XYZ file in the Project Items list, select SET PALETTE and the color palette you want for the selected file.
Soundings 1 Color/File | Color by File | N/A | Load files individually. Right-click on the file in the Project Items list, select SET COLOR and choose your color in the Color dialog that appears.
Soundings 1 Color/Catalog | Color by File | N/A | Right-click on the LOG in the Project Items list, select SET COLOR and choose your color. All member files are colored the same.
ECDIS | ECDIS | N/A |
Seabed ID All2 Format Sounding Files | Color by Seabed ID | N/A | In the Control Panel, Seabed ID tab: Load Seabed Square (SIX) file from SEABED STATISTICS. Does not include matrix files.
Seabed ID XYZ or Matrix Files | Color by Depth for Palette 1 or, for post-survey results, assign an alternate palette through the file right-click menu in the Project Items list. | Color palette customized for your Seabed ID numbers and color preferences. | If the XYZ is from SEABED STATISTICS, export Seabed HCFA from SEABED STATISTICS using the Seabed ID number and color combinations from the seabed square (*.SIX). If the XYZ is from GEOCODER, use the COLOR EDITOR to generate a Seabed HCF with up to 19 colors.
CHN Difference | CHN Difference | Color palette customized for expected difference values. | Shows sounding depths color-coded by difference from the CHN at that position. Channel file created in ADVANCED CHANNEL DESIGN.
Number of Soundings per Matrix Cell | Color by Depth for Palette 1 or assign an alternate palette through the file right-click menu in the Project Items list. | Color palette customized for the density of your data. | Export soundings/cell to a matrix from the 32-bit HYSWEEP EDITOR or 64-bit HYSWEEP EDITOR, or from MAPPER.
Side Scan Data | Color by Depth for Palette 1 or, for post-survey results, assign an alternate palette through the file right-click menu in the Project Items list. | Color palette customized with your choice of side scan color style. | Color-codes matrix data using the return strength to provide an approximation of a mosaic.
Magnetometer Data | Color by Depth for Palette 1 or, for post-survey results, assign an alternate palette through the file right-click menu in the Project Items list. | Color palette customized for expected gamma values. | Color-codes matrix data in HYPACK SURVEY with gamma values. Export XYZ or All format files from the MAGNETOMETER EDITOR.

ASeabed HCF: Seabed ID numbers assigned by the SEABED STATISTICS program are different than those assigned by GEOCODER.

More Information

• Coloring Soundings by Z-Value

• Coloring Soundings by File

• Color-coding Soundings by Seabed ID

• Coloring Soundings by CHN Difference

• Project Colors in HYPACK

• Saving Edited Data in the MAGNETOMETER EDITOR

• Saving Data to XYZ Format in the 64-bit HYSWEEP EDITOR

• Saving to a Matrix in the 64-bit HYSWEEP EDITOR


Coloring Soundings by Z-Value

Color by Depth is something of a misnomer. This option colors your soundings based on the Z-values, however, the Z-values may represent a number of things other than depth:

3D TIN Model Color-coded by Depth

•Number of soundings per matrix cell: MAPPER, the 32-bit HYSWEEP EDITOR and the 64-bit HYSWEEP EDITOR generate matrix files filled with the number of soundings in each matrix cell.

•Gamma in magnetometer data: The MAGNETOMETER EDITOR saves different values to the Depth field in the output All format and XYZ files:

•With IGRF corrections, the program saves the raw anomaly to the corrected value in All format files, or to the Z-value in XYZ files.

•With shore-based corrections, the program, by default, saves the total anomaly to the Z-value, but you can change it to another anomaly (raw, diurnal, total field) in the File Save options.

•Strength of return from side scan data: SURVEY and SIDE SCAN SURVEY color-code side scan matrix data using the return strength to provide an approximation of a mosaic.

Palette 1 defines the default project colors that color-code your data when the Colors option in the Soundings tab of the Control Panel is Color by Depth, Color by Seabed ID or Color by CHN Difference. It is also the palette represented by the Color Bar in the HYPACK interface.

Assigning Palettes to Individual XYZ and MTX Files

You can assign color palettes—different than the default project colors, and different from each other—to individual XYZ and MTX files. This enables you to overlay an XYZ file on a matrix and clearly see the information of each, or display two XYZ files that represent different information using different colors.

Matrix Uses Palette 1 and Overlaid XYZ Uses Palette 2

1.Enable the file in your project.

2.Right-click the file in the Project Items list, select SET PALETTE and the color palette you want for the selected file.

3.For XYZ files only, adjust the color palette to the range of your data. (Optional) Right-click on the XYZ file in the Project Items list, select SET PALETTE RANGE FOR ASSOCIATED PALETTE.

More Information

• Coordinating the Control Panel and COLOR EDITOR

• Coloring Soundings by File

• Color-coding Soundings by Seabed ID

• Coloring Soundings by CHN Difference

• Sounding Reduction on XYZ Files in the 32-bit HYSWEEP EDITOR

• Sounding Reduction in XYZ Files in the 64-bit HYSWEEP EDITOR

• Saving to a Matrix in the 64-bit HYSWEEP EDITOR

• Saving Edited Data in the MAGNETOMETER EDITOR

• Side Scan Coverage Map View Options

• Converting Seabed Identification Colors to a HYPACK Color File


Coloring Soundings by File

Color By File enables you to set specific colors for each catalog or individual file through the right-click menus in the Project Items list. Files loaded as part of a catalog all inherit the color of the catalog.

Note:You cannot load an individual file when it is a member of a project LOG file.
To color-code individual files, remove the LOG file from the Project Items list and load the files individually. Then you can assign colors to the individual files.

When you color soundings by file, HYPACK displays the soundings and each sounding file name in the Project Items list using their assigned colors.

Color-coding Soundings by File

1.In the Soundings tab of the Control Panel, select the Color By File option and click [OK].

2.If you plan to color individual files, load them to the project separately from the LOG files.

3.In the HYPACK interface, right-click on the file or catalog in the Project Items list and select ‘Choose Color’.

4.Select your color from the color dialog and click [OK].

More Information

• Coloring Soundings by Z-Value

• Color-coding Soundings by Seabed ID

• Coloring Soundings by CHN Difference


Color-coding Soundings by Seabed ID

HYPACK supports two seabed classification technologies:

•Roxann and EchoPlus seabed classification systems.

For seabed identification projects, HYPACK coordinates the E1 and E2 data from the sounder with the seabed identification information from your Seabed ID Square file (*.SIX) to assign seabed identification numbers to each sounding record.

SEABED STATISTICS is the routine where you can define a set of classifications for your project area in a Seabed ID Square.

The Seabed ID Square includes:

•A list of bottom types

•Their corresponding E1 and E2 ranges from the echosounder data.

•A seabed identification color and number for each bottom type.

The Seabed ID device driver uses the Seabed ID Square during SURVEY to apply classification numbers for each sounding record according to the E1-E2 range in which it falls.

SEABED STATISTICS can read All format files containing seabed identification data (the E1 and E2 data) then assign seabed identification codes to each sounding record based on any SIX file.

You can use these Seabed ID numbers to color your matrix in SURVEY or HYPACK, or plot your soundings and track lines in HYPLOT. A TIN model, created in the TIN MODEL program with an XYZid file, generates a model of the Seabed ID numbers for display using Seabed ID colors.

Note:The E1 and E2 data is output only from specialized sounders with this capability. The HYPACK SeabedID device driver supports Roxann or Echoplus sounders.

•Angular Response Analysis (ARA) of multibeam data.

In GEOCODER the Angular Response Analysis (ARA) compares the strength of return and the angle from nadir of each beam over a user-defined number of pings to calculate the bottom type.

The SeabedID numbers generated by GEOCODER range from 0-19 where 0 is the most coarse classification and 19 is clay.

• Displaying Seabed Identification in Raw and Edited Sounding Files

• Displaying Seabed Identification in Seabed ID Matrix Files

• Displaying Seabed Identification in Seabed ID TIN Models

Displaying Seabed Identification in Raw and Edited Sounding Files

1.Create a Seabed ID Square in SEABED STATISTICS.

2.Configure the Seabed ID settings in the Control Panel:

•Select the Color by Seabed ID option under Color in the Sounding tab.

•Load your SIX file in the Seabed ID tab.

3.Load or log sounding data containing the seabed identification information to your project.

Note:In this case, the project colors are ignored in favor of the seabed colors.

Color-Coding Your Sounding Data by Seabed Identification

Return to Top

Displaying Seabed Identification in Seabed ID Matrix Files

1.In SEABED STATISTICS, do the following:

a.Create a seabed square for your project.

b.Export your seabed identification colors to a HYPACK Colors file (*.HCF).

2.Use the SeabedID.dll to assign seabed identification numbers to each sounding record in SURVEY. (Optional)

3.In SEABED MAPPER, do the following:

a.Load the seabed square.

b.If you did not survey using the SeabedID.dll, remap your sounding data to the seabed square.

c.Save your data as a matrix. SEABED MAPPER fills the matrix with seabed identification numbers.

4.Use the COLOR EDITOR to set the seabed HCF file as your project colors.

Note:The Colors option in the Soundings tab of the Control Panel does not affect the matrix colors.

Return to Top

Displaying Seabed Identification in Seabed ID TIN Models

1.From SEABED STATISTICS, export your seabed ID colors to a HYPACK® Colors file (*.HCF).

2.From the SEABED STATISTICS, export the X,Y, Z, SeabedID (*xyzid) file.

3.In TIN MODEL, use your xyzid to build a TIN MODEL. The TIN model will automatically be filled with seabed ID information rather than depths.

4. Click the Colors icon and open the HCF file with the seabed ID colors. The TIN model draws accordingly.

Note:Exporting a matrix from a TIN model created from an X,Y, Z, SeabedID file results in a matrix filled with seabed ID values rather than depths. You can then display the seabed ID matrix in HYPACK and HYPLOT.

Return to Top

More Information

• Coloring Soundings by Z-Value

• Coloring Soundings by File

• Coloring Soundings by CHN Difference


Coloring Soundings by CHN Difference

Color by CHN Difference colors the soundings based on the distance above or below the sounding is from the design depth. Soundings that fall outside the channel are black.

Note:HYPACK displays the sounding value, not the CHN difference value.

1.Create your channel file in ADVANCED CHANNEL DESIGN and enable it in your project.

2.Set your project colors to reflect the expected channel difference range.

Tip: If your depths are both above and below your channel depth, set your project colors to show contrast between positive and negative differences.

3.Set the relevant options in the Soundings tab of the Control Panel (F9) and click [OK]:

•Color Option: Choose Color By CHN Difference.

•Hide above CHN Design Depth plus this Value (Optional): For display purposes only, you can remove soundings greater than a user-defined distance from the channel surface. Select the option and enter the distance limit.

Coloring Soundings by Their Difference from the CHN Surface

Tip: For additional information, use the Query tool to display the depth of the channel face at the query location.

Query Results in a Channel File

More Information

• Coloring Soundings by Z-Value

• Coloring Soundings by File

• Color-coding Soundings by Seabed ID

• Creating Channels and Planned Lines in ADVANCED CHANNEL DESIGN

• Project Colors in HYPACK


Display Schemes

The SCHEME BUILDER program enables you to create total ‘Schemes’ which are customized color, font and line weight settings.

You can create different color combinations to suit changing lighting and weather conditions or the personal tastes of different helmsmen. Line weights and font sizes can be increased to make them more prominent in your display. You can change from one scheme to another as often as you like.

SURVEY supports multiple map windows. Using the window tabs in SCHEME BUILDER, you can even configure different schemes, one for each map window.

When you have completed choosing your settings, select FILE-SAVE to overwrite the current scheme settings or FILE -SAVE AS to create a new scheme, and name your file. The settings will be saved by default to the \HYPACK 2017\Schemes folder with an SCX extension.

You can select the desired color scheme in either HYPACK (select SETTINGS-COLOR SCHEME) or SURVEY (select OPTIONS-COLOR SCHEME).

Note:Schemes are interactive with your Control Panel display settings. If you have a scheme loaded, then make a change through the Control Panel, the change will also affect the scheme. Likewise, changes in the scheme will affect your Control Panel settings.

There is an additional ‘twist’ to this interaction. When you change a setting in the Control Panel, the corresponding change is made to the current scheme, but you will not see that change until you have either left and re-entered HYPACK, opened a different project with the same scheme, or loaded a different scheme then the original one again. Any of these actions causes HYPACK to re-read the scheme record and modify the display accordingly.

More Information

• Creating Display Schemes in Scheme Builder

• Color Settings in Scheme Builder

• Matrix Sounding Colors in Scheme Builder

• Text Settings in Scheme Builder

• Window Settings in Scheme Builder


Creating Display Schemes in Scheme Builder

1.Launch SCHEME BUILDER from the HYPACK menu by selecting SETTINGS-SCHEME BUILDER. The SCHEME BUILDER dialog will appear.

Scheme Builder

The expandable tree view on the left lists all of the features that can be customized in SCHEME BUILDER. The display on the right shows how each feature will be displayed with the current scheme settings.

2.Select a window tab.

3.Select an object by clicking it in either the tree view or in the display on the right.

•If you select the feature in tree view, a rectangle around the corresponding feature in the sample display on the right will flash several times to show you which object in the display you have selected.

•If you select the feature in the display, the tree view selection will automatically synchronize to your selection.

4.Define the settings for each feature. In most cases, this is just choosing the color, line weight and label font. Other features have specialized settings.

•The color buttons will display the current color setting for the selected object.

•If you have selected a text item, the controls for font, size and style will become enabled for your use.

•If you have selected a line item, the control for line width will become enabled.

• [image] If you have selected the sample S57 chart, set the ECDIS day/night color settings using one of the Day/Night icons on the toolbar.

5.When you have completed all of your settings, save your scheme. FILE-SAVE will save the settings to the current scheme (overwriting the previous settings). FILE-SAVE AS enables you to save your settings under a different scheme name. In either case, your settings will be saved to the \HYPACK 2017\ Schemes folder with a *.SCX extension.

Name your schemes something that will remind you for what conditions or for whom they were created. For example, you could name them "Bright Day" or "Dark Night" according to the environmental conditions for which they were created. If you have users with different personal preferences, each person can create their own schemes and name them, for example, "Night Al" or "Day Jordan". This saves time searching through your schemes for the one you want.

More Information

• Color Settings in Scheme Builder

• Matrix Sounding Colors in Scheme Builder

• Text Settings in Scheme Builder

• Window Settings in Scheme Builder


Color Settings in Scheme Builder

To change the color of a feature:

1.Right-click the feature in the tree-view list. The color buttons will display the current settings for the selected feature, and a popup menu will appear.

2.Select the color to edit and the colors dialog appears.

Colors Dialog

3.Select the new color and click [OK]. You will see the results in the display at the right. If you don't like them, try again.

Background Color Change

You can quickly make multiple features all the same color. Just select the color for the first feature as normal then click the Copy Color 1 icon. For the rest of the features, just select the feature and click the Paste Color 1 icon. (You can use the traditional Edit menu options or Windows® keyboard shortcuts instead of the icons to cut and paste in the same procedure.)

More Information

• Creating Display Schemes in Scheme Builder

• Matrix Sounding Colors in Scheme Builder

• Text Settings in Scheme Builder

• Window Settings in Scheme Builder


Matrix Sounding Colors in Scheme Builder

The matrix sounding colors affect the color coding when SURVEY paints the matrix. (There is a separate Soundings setting for textual sounding displays in SURVEY.) These settings default to the HYPACK sounding colors set in the HYPACK control panel but you can choose to set an alternate color scheme as part of your scheme that will be used in SURVEY whenever the scheme is loaded.

1. Click the Matrix Colors icon. A Color Bar will appear next to the tree view with the project colors displayed and an additional colors icon will appear on the toolbar.

2. Click the additional colors icon to access the standard HYPACK Colors dialog where you can set the matrix sounding colors for the scheme.

More Information

• Creating Display Schemes in Scheme Builder

• Color Settings in Scheme Builder

• Matrix Sounding Colors in Scheme Builder

• Text Settings in Scheme Builder

• Window Settings in Scheme Builder

• Project Colors in HYPACK


Text Settings in Scheme Builder

To change text appearance:

1.Select the text item in the tree view list. The Font, Size and Style controls will be enabled.

Text Controls

2.Choose the font and size from the drop-down menus and select the style by clicking the icon.

Sample Font Change

More Information

• Creating Display Schemes in Scheme Builder

• Color Settings in Scheme Builder

• Matrix Sounding Colors in Scheme Builder

• Window Settings in Scheme Builder


Window Settings in Scheme Builder

Settings for the window features are controlled in much the same way as the other features. However, there are a few differences.

You can use the icons on the toolbar (or the OPTIONS-WINDOWS COLORS choices) to choose between the Scheme settings defined in the tree view, and the default Windows® settings. Choose either set of settings for the windows and save it with the scheme.

You will notice that, as you edit the window settings, your changes are not immediately visible in SCHEME BUILDER. To see the effects of your work, select FILE-TEST WINDOWS COLORS. The default Windows® display settings are stored to a temporary memory while you are in SCHEME BUILDER so you can easily return to the Windows® settings by selecting FILE-RESTORE COLORS.

Note:Testing the Windows® colors implements the scheme in all programs. Restore them before exiting SCHEME BUILDER or you will have to reset them through the Windows® settings.

More Information

• Creating Display Schemes in Scheme Builder

• Color Settings in Scheme Builder

• Matrix Sounding Colors in Scheme Builder

• Text Settings in Scheme Builder


Language Selection

HYPACK is available in multiple languages. If you want to use HYPACK using a language other than English, you must load the languages during installation. HYPACK will then default to the language set in Windows® if it is available. If the Windows® language is not available, HYPACK will default to English.

You may change the language designation by selecting your preference from the SETTINGS-LANGUAGE menu. To set your choice as the default, you must then exit and re-launch HYPACK.

The language of each program module will default to the HYPACK language if it is available. Otherwise, it will be displayed in English. You may change the language of any module individually through the language menu. That change will remain effective until you exit the module.


Projects in HYPACK

Every time you begin a new survey in HYPACK, you create a new “project”. A project is a folder, with a user-defined project name, and all of the information about your survey it contains. Under the project folder, HYPACK creates a series of subfolders:

•Raw, Edit, Sort data files will be saved, by default, to the subfolder appropriate to their type.

•Archive: Selected files from your project folder into compressed ZIP files.

•Core: Core data that supports Chinese 1 Core Volume calculations.

•PP Mosaics (Post-processing mosaics): Georeferenced TIF files of mosaicked side scan data generated in the Mosaic mode of TARGETING AND MOSAICKING.

•RT TIFs: For side scan surveys only, real-time mosaic is a series of georeferenced TIF (GeoTIF) images (tiles) generated by HYPACK SURVEY.

•SS Images:

•SIDE SCAN SURVEY stores the images of the target locations as a JPG images in the SS Images folder named with the target timestamps. They are not listed in the Project Items list, but they appear in the TARGET EDITOR with their corresponding target information.

•TARGETING AND MOSAICKING stores georeferenced TIF screen captures taken in Scan View using the Capture Image icon.

The project file group is a folder that stores one or more HYPACK projects. HYPACK stores projects, by default, to the \HYPACK 2017\Projects folder. Projects stored there are known as local projects.

Project Manager

More Information

• The Project Manager

• Managing Project Group Folders

• Managing Projects

• Project Log


The Project Manager

The Project Manager lists available projects and project group folders, and highlights the current project. Each project listing includes the date it was last modified. Each project group folder includes the hard drive location.

To view the Project Manager, select VIEW-PROJECT MANAGER.

Project Manager

Use the Project Manager to manage your individual projects and to customize the project and project group folder lists.

More Information

• Managing Project Group Folders

• Managing Projects


Managing Project Group Folders

The Project Manager displays project group folders and the projects they contain. It also controls the display of the folders in the Project Manager.

Note:Changes made to project group folders through the Project Manager do not affect the folders on your hard drive. These options are for display purposes only.

HYPACK begins with two group folders:

•The Local HYPACK 2018 group includes the projects from the \HYPACK 2017\Projects folder.

•The Network group also points, initially, to the \HYPACK 2017\Projects folder.

The HYPACK 2018 and Network groups can neither be renamed nor deleted, but they can be assigned to an alternate location.

When you have additional project locations, you can add, remove and rename additional project group folders in the Project Manager. In addition, you can select a project group folder to display in the Project Manager, or display all project group folders.

More Information

• Assigning the Group Location

• Adding and Removing Project Group Folders

• Renaming Project Group Folders

• Navigating Project Groups


Assigning the Group Location

You can make a project group display the contents of a different folder in your system. This can be useful if you move projects on your system, then need to tell HYPACK where to find them.

1.Open the Project Manager. Click the Project Manager tab or select VIEW-PROJECT MANAGER.

2.Right-click on the project group that you want to move and select Set Group Location. A File Select dialog appears.

3.Direct HYPACK to the folder to which you want the project group assigned.

4.Click [OK]. The Project Group path updates in the Project Manager.


Adding and Removing Project Group Folders

Initially, the Project Manager displays only the HYPACK 2018 and Network project folders. However, you may add alternate project group folders and display them in addition to the initial project folders.

Adding a Project Group Folder

1.Select GROUPS-ADD GROUP. A browse dialog appears.

2.Select the alternate folder and click [OK]. The Modify Display Name dialog appears.

3.Enter a display new display name. (Optional) This option is useful if you have more than one project group folder with the same name on your system memory.

4.Click [OK]. The Project Manager displays the new project group folder and any projects that may be stored there.

The name of each added project group folder appears in the Projects menu where you may select it for display.

Removing a Project Group Folder

To remove a project group folder from the Project Manager display, right-click on the project group file that you want to remove and select the Remove Folder option.

Note:This option is not available for the HYPACK 2018 or Network project groups.


Renaming Project Group Folders

The Project Manager enables you to rename your project group folders in the Project Manager display. This option is useful if you have more than one project group folder with the same name on your system memory. You cannot rename the HYPACK 2018 or Network project group.

1.Right-click on the project group folder and select Rename Group. A Set Display Name dialog appears with the current folder name.

Set Display Name Dialog

2.Name your folder.

•To customize the name, enter your new name in the field provided.

•To display the same name as Windows® Explorer, clear the field.

3.Click [OK].


Navigating Project Groups

When you store projects in multiple locations, you can display one or all of the defined project group folders in the Project Manager using the Projects menu options.

To display one project group folder, select the desired folder from the Projects menu.

To display all project group folders, select PROJECTS-SHOW ALL.

To display the projects in a project group folder, click the [+] that precedes the project group folder name in the Project Manager.


Managing Projects

When HYPACK starts for the very first time, it automatically opens the sample Halifax project that you can use as a test project, or you can create a new project of your own. HYPACK automatically opens subsequent sessions in the last project of the previous session.

HYPACK includes multiple methods for creating projects. Choose the method that best serves your needs.

•New Project: The first time that you work at a particular site, you create a new project. Each time you create a new project, HYPACK creates a folder using the project name in the user-defined project group folder location. The new project defaults to the geodesy, hardware and SURVEY or DREDGEPACK settings of the current project, but you must modify them for your current project location, sensors and requirements, if necessary.

•Copy Project: If you are going to work in an area you have worked before (for example, running a postdredge survey where you have already performed the predredge), you should create a new project by copying the existing project. The program generates a new project folder with a user-defined name and project group folder location.

All files in the selected project folder except project data, data from the project \automatrix folder, and tide and sound velocity correction files are copied to the new project maintaining their enabled or disabled state. Files referenced in the project that are outside of the project folder are not copied.

•Transfer Project: This gives you the same result as using Windows® Explorer to copy the project folder to another folder location. The result is two identical, but independently functioning projects, with the same name but different locations.

Comparison of Project Creation Techniques

 | New Project | Copy Project | Transfer Project
Geodesy | Copied from current projectA | Copied from original project | Copied from original project
Boat Hardware | Copied from current project If this is your very first project, you must set your Geodesy, Hardware and Survey settings as well. HYPACK includes a sample project with the installation and will default to those settings if no other projects have been created. | Copied from original project | Copied from original project
Survey Settings (window layout, navigation parameters, alarm settings, etc.) | Copied from current project If this is your very first project, you must set your Geodesy, Hardware and Survey settings as well. HYPACK includes a sample project with the installation and will default to those settings if no other projects have been created. | Copied from original project | Copied from original project
Planned Lines | None | Copied from original project | Copied from original project
Background Files | None | Copied from original projectB | Copied from original project
Data Files | None | None | Copied from original project
Other Files (targets, plotting sheets, channel and matrix files, etc.) | None | Copied from original project except tide correction files | Copied from original project
Display Settings | Uses default display settings set in the Control Panel | Copied from original project | Copied from original project

A If this is your very first project, you must set your Geodesy, Hardware and Survey settings as well. HYPACK includes a sample project with the installation and will default to those settings if no other projects have been created.

BExcludes Anchors.DG2 (Anchor Sweeps)

Over time, as you survey different areas at different times, you will create and work on several projects, and change from one project to another according to the set of data on which you are working.

Of course, over time, if you kept every project you ever recorded, the long project lists would become unnecessarily awkward, so you can hide them in the project list or delete them from your hard drive.

All of these tasks are done through the Project Manager.

More Information

• Opening an Existing Project

• Creating a New Project

• Copying an Existing Project

• Transferring Projects Between Project Group Folders

• Tagging your Projects

• Renaming Project Group Folders

• Hiding and Restoring your Project

• Deleting your Project

• Compressing your Project

• Project Log


Opening an Existing Project

HYPACK automatically opens to the last project of the previous session. If you want to work in another project, the Project Manager provides multiple methods with which you can open an existing project:

•Recent Projects

•Filter Your Projects

•Manually Navigate through the Project Manager

HYPACK restores the screen, geodesy, colors and other settings as when you last saved the selected project.

As long as you comply with the network system requirements, files can be read and written across the network. Anyone (with proper network permission) can access projects simultaneously across the network. This means that one user can be creating reports from data one day while another can be editing data from the next. It also means that there is potential for the two users to compromise each other’s work.

HYPACK monitors projects for multiple, simultaneous users and, by default, warns you that there are other users working in the project and who they are in the Project Usage dialog:

Project Usage Dialog

The Automatically Show option provides the automated warning. To view the same dialog manually, select FILE-PROJECT USAGE. The dialog displays the users working in the project at that time. Use [Refresh] to update the display after a time.

• Opening Recent Projects

• Filtering Your Projects

• Manually Navigating through the Project Manager Display

Opening Recent Projects

The Projects menu lists the last ten projects where you have worked. Quickly return to any of those projects by selecting it in the menu.

Selecting a Recent Project

Return to Top

Filtering Your Projects

If you know the name of the desired project or if you have tagged your projects with key words, use the project filter to quickly find it.

The project filter updates the projects listed in the Project Manager to include only those projects with names or tags fulfilling the filter criteria.

To fulfill the filter criteria, any part of the project name contains the filter sequence, or one of the project tags exactly matches a the filter sequence.

For example, the CD from the HYPACK training conference has about 40 projects with sample data of all types. If you are interested in only side scan projects, enter ‘side scan’ and the filter will show only those projects with side scan in their name.

1.Open the Project Manager. Click the Project Manager tab or select VIEW-PROJECT MANAGER.

2.Display the correct project group folder.

3.Begin typing the project name in the Project Filter area. The Project Manager updates to include only those projects with names containing the filter sequence.

Return to Top

Manually Navigating through the Project Manager Display

1.Open the Project Manager. Click the Project Manager tab or select VIEW-PROJECT MANAGER.

2.Display the correct project group folder in the Project Manager and expand it to show its projects.

3.Double-click on the desired project or right-click on the project and select Open Project.

Opening the Project Through the Right-click Menu

Return to Top

More Information

• Tagging your Projects


Creating a New Project

Each time you begin a new survey, you should create a new project. HYPACK enables you to name your project and then stores all of the information about that survey in the project folder.

1.Select FILE-NEW PROJECT and the New Project dialog appears.

Setting the New Project Name and Location

2.Name the project and select a folder where the project will be stored.

•Project Name: Enter a name that will remind you of the location and the date of the survey. Project names may not contain periods, back or forward slashes, question marks, less than or greater than signs, or bars.

Invalid Characters

.

/

\

?

<

>

|

•Project Folder: Enter the project group folder where your project should reside. We recommend you use the default project folder (HYPACK 2018).

The software creates a folder in the specified location using the project name.

3.Click [OK].

More Information

• The Project Manager


Copying an Existing Project

If you are going to survey an area you have surveyed before (for example, running a postdredge survey where you have already performed the predredge), you should create a new project by copying the existing project.

1.Open the Project Manager. Click the Project Manager tab or select VIEW-PROJECT MANAGER.

2.Direct HYPACK to the correct group folder, if necessary.

3.Right-click on the project and select Copy Project. The Copy Project dialog appears.

Copy Project Dialog

4.Name your new project, choose a project group folder and click [OK].


Transferring Projects Between Project Group Folders

To create a duplicate copy of a project in another project group folder, transfer the project. The result is two identical, but independently functioning projects, with the same name but different locations.

1.Open the Project Manager. Click the Project Manager tab or select VIEW-PROJECT MANAGER.

2.Add the destination folder as a project group folder, if necessary.

3.Direct HYPACK to the project group folder where your project currently resides, if necessary.

4.Right-click on the project and select Transfer Project then the project group folder to which you want the project copied. The Project Manager copies the project, using the same project name, to the destination folder and asks if you want to open the copied project. To stay in the current project, click [No].


Tagging your Projects

Project tags are one or more user-defined key words (tags) that provide added project filtering capability.

The project filter updates the projects listed in the Project Manager to include only those projects with names or tags fulfilling the filter criteria.

To fulfill the filter criteria, any part of the project name contains the filter sequence, or one of the project tags exactly matches a the filter sequence.

To apply project tags, do the following:

1.In the Project Manager, select PROJECTS-TAG EDITOR. A tagging area appears below the projects list.

2.Select the project you want to tag.

3.Enter one or more tags in the tagging area and click [Update Tags]. Enter tags in a space-delimited list. They are not case-sensitive.

Filtering Tagged Projects

More Information

• Opening an Existing Project


Renaming your Project

From the Project Manager, you can rename any project other than the one that is currently open. When you rename a project, the Windows® folder and the ProjectName.ini file are renamed at their current location and the name in the Project Manager list is updated accordingly.

To rename a project:

1.Open the Project Manager. Click the Project Manager tab or select VIEW-PROJECT MANAGER.

2.Navigate to the project group folder where the project to be renamed is stored.

3.Right-click on the project to be renamed and select Rename Project. The Rename Project dialog appears with the name of the selected project in the title bar.

Rename Project Dialog

4.Enter the new project name and click [OK].


Hiding and Restoring your Project

If you kept every project you ever recorded, the long project lists would become unnecessarily awkward. You can temporarily manage the project list by hiding and restoring projects.

Note:You can not hide your the currently active project.

Hiding Projects

Hiding a project appends "(deleted)" to the file name and removes the project from the list in the Project Manager. It does not delete the project or any files within the project from the hard drive.

1.Open the Project Manager. Click the Project Manager tab or select VIEW-PROJECT MANAGER.

2.Select the location (Project Group Folder) where your new project resides.

3.Right-click on the project and select HIDE PROJECT and click [Yes] to confirm the operation.

Restoring Hidden Projects to the Project Manager List

When you restore a project, the program returns the project name to its original name and the project, again, appears in the Project Manager list.

1.View a complete project list. Select PROJECTS-SHOW HIDDEN PROJECTS. The Project Manager lists hidden projects in red while the unhidden projects remain in black.

Showing Hidden Projects

2.Right-click on the project to be restored and select SHOW PROJECT. The project, again, displays in black and remains in the list.

3.Rehide hidden projects. Select PROJECTS and deselect SHOW HIDDEN PROJECTS.


Deleting your Project

If you are very sure you are finished with a project, you can send the project folder and all of its contents to the Windows® Recycle Bin.

You can not delete the current project.

Important: To avoid data loss, store a copy of your project in an alternate location.

1.Open the Project Manager. Click the Project Manager tab or select VIEW-PROJECT MANAGER.

2.Select the location (Project Group Folder) where your new project resides.

3.Right-click on the project you want to delete in the project list and select DELETE PROJECT. The program will confirm with you that you want to delete the project.

4.Click [OK] to complete the process. The project folder moves from the project group folder to the recycle bin.


Compressing your Project

There are several options for moving your data files from one computer to another. These include:

•Logging directly to a removable hard drive.

•Copying the files using standard Windows® tools.

•Copying the files using the HYPACK Program Manager.

•Compressing files and copying to disk using Zip compression software.

Note:We do not recommend logging across the network.

Use the HYPACK Compress Project program to compress selected files to a self-extracting zip file and copy to a disk.

1.Start the COMPRESS PROJECT program by selecting FILE-COMPRESS PROJECT. The COMPRESS PROJECT window will appear.

The COMPRESS PROJECT Window

2.Select your files you want to include.

•Check the boxes corresponding to the listed item types.

•Compress Only Enabled Files: Omits disabled files from the archive.

•Compress Non-folder Data: Includes project items that are stored outside of the project folder.

3.Click [Compress] and name the compressed file. The data is compressed and saved to a self-extracting executable file (*.exe).


Project Log

Each time you work in a project, the activity is recorded to a text file known as the Project Log (ProjectName.txt) along with the date, time and User Identification. This record is stored in the project folder for use as a reference or to reconstruct a sequence of events that have led to the data results in your project. To view this log select FILE-VIEW PROJECT LOG.

Sample Project File:

H:\Projects\MB\Hysweep_Survey_Simulation\realtime.mtx

Survey Oct.21.2006 10:15:33 Administrator SurveyEnded

HYPACK Oct.21.2006 10:23:25 Administrator <Started:sbMax>

HYPACK Oct.21.2006 10:23:42 Administrator <Started:MBMax>

HYPACK Oct.21.2006 11:41:35 Administrator <Started:swpWare>

Hypack Oct.21.2006 12:01:30 Administrator <LogOff>


Managing Files in your Project

Several types of files may comprise your project data. These files are listed in the Project Items lists. HYPACK provides a number of tools with which you control the files used in your project at any one time.

Loading: You must load files that you want to use in your project, but do not yet appear in your project items. The process tells HYPACK the name of the file and where it is stored on your system.

Enabling and Disabling: Generally, enabled files are drawn to your map window. By enabling and disabling select files, you control the combination of files displayed in the map window at any one time.

Renaming files in the Project Items list and on your hard drive simultaneously from the HYPACK interface.

Removing files unloads them from your project, but does not remove them from your hard drive. If you change your mind, you can reload them to you project.

Deleting files unloads them from your project and moves them to the Windows® Recycle Bin.

Archiving files: The Archiving process compresses files and stores them in a separate folder within your project. This process is intended to help keep your project from being cluttered with files you are no longer using, but want to keep together with the project.

a

More Information

• Loading Files to your Project

• Enabling and Disabling Project Files

• Renaming Project Files

• Unloading Files from your Project

• Archiving Files

• Querying Area Map Features


Loading Files to your Project

Files that you create while working in a project are saved, by default, to the project folder, enabled (drawn) on the screen, and added to the Project Items list. HYPACK attempts to draw your data in an order which will optimize the display of all enabled files. Occasionally, modifications to the draw order or transparency are required.

1.Right-click the folder in the Project Items list that corresponds to the file type you want to load in the Project Items list.

2.Select Add File or Add File & Copy and choose the file. The loaded program becomes enabled in the Project Items list.

•Add File reads the file from its current location but does not copy it to the project folder. This can be useful if you are using very large files (eg. charts) that take excessive space on your hard drive in multiple projects.

•Add File & Copy allows you to select a file from outside the project folder. It then imports the file from its current location to the project folder and enables it in the project.

More Information

• Setting Chart Transparency

• Setting Chart Display Order

• Loading ARCS Charts to HYPACK

• Loading VPF Charts to the Project

• Loading S63 Charts to the Project


Enabling and Disabling Project Files

Your Project Items list shows all files associated with your current project.

Enabled files have checks in their corresponding check box and appear in the area map.

Note:HYPACK can not display binary files. In multibeam and side scan projects, HYPACK shows the data from the corresponding RAW files which contain the positioning information.
Multibeam projects display the track lines and the nadir depth for each position record, while side scan projects can display only track lines.

•To enable all files of one type check the check box for the file type in the Project Items list.

•To enable an individual file, check its check box in the Project Items list.

Disabled files remain in your Project Items list, but HYPACK omits it from the area map.

•To disable all except the sounding files in the current project select FOLDERS-DISABLE PROJECT FILES. This includes all of your planned lines, background files, etc.

•To disable only the data files in the current project, select FOLDERS-DISABLE DATA FILES.

•To disable one type of Project Item (ex. sorted data files, matrix files, targets, etc), clear the check box associated with the file type folder in the Project Items list.

•To disable an individual file, clear its check box in the Project Items list.


Renaming Project Files

From the HYPACK interface, you can rename almost any file in the Project Items list and on your hard drive simultaneously. HYPACK does not allow you to rename S57, S63, ARCS or VPF charts.

1.In the Project Items list, right-click on the file you want to rename and select the Rename option. A Rename File dialog appears.

2.Enter the new file name and click [Save]. The file name changes in both locations.

•If you rename a data file, HYPACK also updates catalog files in which the file resides.

•If you rename georeferenced images (TIF, JPG, PNG or SHP), HYPACK also renames the associated files.


Unloading Files from your Project

To unload files from your project, you can either remove them from your Project Items list, while they remain in place on your hard drive, or remove them from your Project Items list and move them to the Windows® Recycle Bin.

Removing Files

•To remove individual files, do the following:

a.Select one or more files in the Project Items list.

•To select several individual files, hold the Ctrl key while you use your mouse to choose your lines.

•To select a range of files, hold the Shift key and select the first and last file of a range.

b.Right-click on a selected file and select REMOVE FILE.

•To remove all of one file type, right-click on the file type folder and select REMOVE FOLDER FILES.

Note:Neither disabling nor removing will delete the file from your hard drive. You can re-enable your file or reload the file to your project.

Deleting Files

To delete any file, right-click on the file in the Project Items list and select DELETE FILE. You are asked to confirm your deletion.

Note:When you delete a *.LOG file, the member files remain in the same folder in the project while the LOG file itself goes to the recycle bin. When you delete a *.MLOG file, the member matrix files go with the MLOG file to the Recycle Bin.


Archiving Files

Some projects generate large amounts of data on a daily basis. Others are used repeatedly over extended periods resulting in large amounts of accumulated data. When large amounts of data accumulate, it can clutter your project and slow your work.

To solve this problem, you can archive selected files from your project folder into compressed ZIP files. You can archive any type of file in your project. If you select a LOG file, the catalog and its member data files are archived together. HYPACK stores the archived ZIP files in an ‘Archive’ sub-folder within your project folder and lists them in your Project Items list under Archive

Beware! Take care about archiving files that may be contained in more than one LOG file. If you archive a file contained in more than one catalog, it will be unavailable to any catalogs of which it is a member in your Data Files list.

At any time, you can restore the archived files to their original project locations.

Note:There is a separate archiving procedure for 3DTV displays whinnch includes all files, even those stored outside of the project folder, in the archive.

Archiving Files

1.Right-click on the file you want to archive and select Archive. An added menu appears.

2.Choose your archive and click [Save].

•To create a new ZIP file, click CREATE NEW ARCHIVE and name your ZIP file. HYPACK suggests a default file name based on the archive creation date (“YYYYMMDD.ZIP”), but you can enter a new name if you wish.

•To add to an existing ZIP file, select the archive name from the list provided, then click [Save].

Restoring your Archived Files to the Original Project Folders

1.Expand the ZIP file under Archive in the Project Items list.

2.Select the file names you intend to restore. Hold the Ctrl key and select multiple individual files or hold the Shift key and click on the first and last records in a range of consecutive files.

Note:If you restore a LOG file, all of the member files automatically restore even if you have not selected them.

3.Right-click on the selected files and select ‘Restore’ from the pop-up menu.

Beware! This overwrites files of the same name!

More Information

• Archiving 3DTV Projects


HYPACK Data Files

The Project Items list begins with the data files: Raw, Edited and Sorted. When non-binary data files are enabled in a project, you can choose to display them in the area map:

•Draw the soundings

•Draw the track lines

•Draw both soundings and track lines

To make your choice, right-click on the data folder and select ENABLE SOUNDINGS, ENABLE TRACK LINES or both.

Note:Track lines can not be displayed for XYZ files as there is no track line information available in this format.

Other display settings are made in the Control Panel, the COLOR EDITOR. A full HYPACK Max license provides additional options in SCHEME BUILDER.

More Information

• Display Settings in the HYPACK Control Panel

• Project Colors in HYPACK


Raw Data Files

Raw files are the data files that result from the SURVEY or DREDGEPACK program. Every time you log data, a new Raw data file is created. They are ASCII format files that contain the header information and time-series information for each survey device.

By default, they have the RAW extension and, in a standard HYPACK project, are stored in the \HYPACK 2017\Projects\ProjectName\Raw folder.

You may choose an alternate naming format, an alternate folder or both in the SURVEY or DREDGEPACK program under OPTIONS-PROGRAM INFORMATION.

Important: All data should be logged on the SURVEY or DREDGEPACK computer.

Note:You may also load Sub-bottom SEGY and Edgetech JSF files as RAW data and display their tracklines in the map.

A list of individual data files is provided in a catalog (*.LOG) file. You can quickly draw or process a group of files by specifying the *.LOG name, instead of entering the name of each data file.

HYPACK programs use the data from the RAW files to position the data in the corresponding multibeam or side scan HSX files.

More Information

• Raw Data File Options in SURVEY


Edited Data Files

Upon editing the raw data files to remove outliers and to apply tide and sound velocity corrections, you save the result to an edited data file. (This requires the processing modules appropriate for your data type.)

A list of individual data files is provided in a catalog (*.LOG) file. You can quickly draw or process a group of files by specifying the *.LOG name, instead of entering the name of each data file.

Edited Output Formats

Data Type | Editor | Output Format
Single Beam | 32-bit SINGLE BEAM EDITOR | Edited ALL
Single Beam | 64-bit SINGLE BEAM EDITOR | HS2X Edited ALL
Side Scan | TARGETING AND MOSAICKING | HS2X
Multibeam | 32-bit HYSWEEP EDITOR | HS2
Multibeam | 64-bit HYSWEEP EDITOR | HS2X
Magnetometer | MAGNETOMETER EDITOR | Edited ALL (MAG extension)
Sub-bottom Profile | SUB-BOTTOM PROCESSOR | Edited ALL

More Information

• SINGLE BEAM EDITOR

• 64-bit SINGLE BEAM EDITOR

• TARGETING AND MOSAICKING

• 32-bit HYSWEEP EDITOR

• 64-bit HYSWEEP EDITOR

• MAGNETOMETER EDITOR

• Sub-bottom Processing


Sorted Data Files

After running the edited data files through a sounding selection routine, you save the resulting data files to a sorted data file in the Sort folder of the current project. In a standard HYPACK project, sorted data files are stored to ASCII XYZ format, although one of the routines saves to HYPACK ALL Format. You need the Single Beam Processing or Multibeam Processing modules to get access to the sounding selection programs.

A list of individual data files is provided in a catalog (*.LOG) file. You can quickly draw or process a group of files by specifying the *.LOG name, instead of entering the name of each data file.

More Information

• Sounding Selection Programs for Single Beam Surveys

• SORT Program

• CROSS SORT Program

• MAPPER Program


Catalog Files (*.LOG)

A Catalog File is an ASCII document that lists a series of other files. As sounding data is collected during SURVEY or DREDGEPACK, the data from each survey line is saved to its own data file in the Raw folder and the data file name is appended to the catalog file. If you shut down the SURVEY or DREDGEPACK program and re-start it during the same day, it will re-open any existing catalog file and append the names of new Raw data files to it.

You can quickly draw or process a group of files by specifying the *.LOG name, instead of entering the name of each data file.

Catalog files are named using the “LOG” extension and the date of survey. (For example, if you are surveying on December 27th, 2014 SURVEY generates a Catalog file named “RAW12272014.LOG”. In a multibeam or side scan project HYSWEEP SURVEY and SIDE SCAN SURVEY both generate HSX_12272014.LOG.) They are written to the same folder where your data files are stored. (All data files must be in the same folder.)

Note:If you log through midnight, the acquisition program creates a new LOG file, dated for the new day, and stores subsequent data files there. If midnight occurs while logging, the current line is stored to the LOG for the day in which logging started.

When you edit the data files, the editing program stores the edited files in the Edit folder and generates a new catalog file named FileFormat_12272014 where the FileFormat defaults to EDT for single beam data, HS2 or HS2X for multibeam data, or SS for side scan) of the edited files. The same applies to sorting files. The program stores the sorted All format files to the Sort folder and generates a catalog file of the sorted files.

More Information

• Creating a New Catalog File

• Editing Catalog Files

• Merging Catalog files

• Show Lines Report for Catalog Files


Creating a New Catalog File

On occasion, you may want to create a catalog file that is different from one automatically created by HYPACK. The procedure is simple.

1.Right-click on the project data folder in the Project Items list and select CREATE NEW LOG FILE from the menu. A dialog appears with a listing of all data files in the data folder.

Creating a New Catalog File (Before)

2.If there are multiple file extensions represented in the folder, choose to list only files with the extension of your choice. (Optional) Select the desired extension in the drop-down list at the bottom left.

3.Select the file names you wish to include and click [Add].

Creating a New Catalog File (After)

4.Save your catalog file. Click [Save] and name your file. HYPACK saves your file with the LOG extension in the same folder (Raw, Edit or Sort) that you originally chose.


Editing Catalog Files

You can also edit existing catalog files.

1.Right-click on a LOG File in the Project Items list and select EDIT LOG FILE from the drop-down menu. A dialog will appear listing the files in the catalog and other files available in the project.

Edit Log File Dialog

2.Modify the files included in the catalog:

•To delete line files from the catalog, select them on the right, then click the left arrow button.

•To add available line files, select them on the left, then click the right arrow button.

•To reorder the lines in the catalog, select a line then use the up and down arrow buttons to reposition it in the list.

3.Save your changes.

a.Click [Save]. A File Save dialog appears.

b.Name your LOG file and click [Save]. You can use the same file name and overwrite the existing catalog or use a different file name and create a new catalog.


Merging Catalog files

You can also merge the files contained in multiple catalog files together.

1.Right-click on the a LOG file in the Project Items list and select MERGE LOG FILES from the drop-down menu. A dialog appears with a listing of all catalog files in the same data folder.

Merging Catalog Files

2.Select the file names you wish to include by holding the control key while making your selections.

3.Click [Merge] and name your new catalog. HYPACK saves your file with the LOG extension in the same folder (Raw, Edit or Sort) as the file you right-clicked originally.


Show Lines Report for Catalog Files

A Lines Report, is an ASCII text file listing each of the lines in the catalog (or the selected line) and distance traveled while logging—the distance surveyed.

Right-click on a catalog file (or on an individual survey data file) and select SHOW LINES REPORT.

Sample Show Lines Report


Golden Soundings

Golden Soundings are soundings or a series of soundings whose positions are used to generate Point, Line or Area features that are designated as more important than other project data. They are stored as point, polyline or poly-polygon features in a project-specific Golden Soundings database and listed in the Project Items list. You can closely examine, modify and delete your golden sounding records in the GOLDEN SOUNDING EDITOR.

In HYPACK, programs that support golden soundings either write them to the database or read them from the database, but not both.

Note:Golden soundings are visible in the programs that write them only until you close that program.

Programs that Support Golden Soundings

Function | Program
Write | •SINGLE BEAM EDITOR •64-bit HYSWEEP EDITOR •SB SELECTION •SORT •TIN MODEL •CLOUD
Read | •HYPACK •HYPLOT

More Information

• Generating Golden Soundings

• Displaying Golden Soundings

• Editing Golden Sounding Features


Generating Golden Soundings

You can add golden soundings to the database from several HYPACK modules:

•The SINGLE BEAM EDITOR: Manually mark individual soundings, which are then colored gold.

•The 64-bit HYSWEEP EDITOR. In this module, golden soundings are protected from filter operations and will not be deleted without your confirmation.

•SB Selection: Once you have made your selections, you can designate some of them as golden soundings. If you are in Depth Mode, you can mark all of the selected golden soundings that fall above a user-defined depth. In Elevation Mode, you can mark all selected soundings below the user-defined depth.

•SORT: Marks all soundings shoaler than the user-defined Z-level as golden soundings.

•TIN MODEL: User-defined contours can be exported as golden sounding line features.

•EXPORT: Exports golden soundings to XYZ and CAD formats.

•CLOUD: Use CLOUD tools to select soundings, individually or as a block, and mark them as golden soundings.

•CHANNEL CONDITION REPORTER: You can export controlling depths, channel shoals or both to golden soundings.

More Information

• Displaying Golden Soundings

• Editing Golden Sounding Features

• Marking Golden Soundings in the SINGLE BEAM EDITOR

• Golden Soundings in SB SELECTION

• Sort Options

• Golden Soundings in the 64-bit HYSWEEP EDITOR

• Exporting Contours from TIN Models

• EXPORT

• Golden Soundings in CLOUD

• Previewing your Results in Channel Condition Reporter

• Soundings in HYPLOT


Displaying Golden Soundings

The Golden Soundings database lists all golden sounding features in the project. In some cases, they have a TXT attribute, which may further describe the feature. You can use the GOLDEN SOUNDING EDITOR to add, edit or delete attributes of your own.

To quickly zoom the extents of one or more golden sounding or golden feature, right-click the node under Golden Soundings in the Project Files list and select Zoom Extents. A bounding rectangle is calculated for the node and all of its children. It is this rectangle to which the map window will zoom.

HYPACK and HYPLOT overlay (larger, bold-font) golden soundings on all other chart features to display them with the prominence which they represent.

The ENC EDITOR imports golden sounding features so you can convert them to chart features in the S57 chart.

More Information

• Soundings in HYPLOT

• Importing Golden Soundings in the ENC EDITOR


Editing Golden Sounding Features

With the GOLDEN SOUNDINGS EDITOR, you can closely examine, modify and delete your golden sounding records. The program displays uneditable information about the physical structure of the selected object, and an editable list of object attributes; currently only the object name as it is listed in the Project Items list.

Tip: At this time, there is no easy way to distinguish one golden sounding feature from another. In the Project Items list, the names (in parentheses) indicate the depth of soundings and contours to help guide you toward the feature most likely looking for. In addition, you can disable all golden sounding features, then enable them, one at a time, until the one you want is displayed.

• Accessing the GOLDEN SOUNDINGS EDITOR

• Adding an Attri-bute

• Modifying an Attri-bute

• Deleting an Attri-bute

Accessing the GOLDEN SOUNDINGS EDITOR

To access the GOLDEN SOUNDINGS EDITOR, right-click on the Golden Soundings folder (or any group or feature inside it) and select GOLDEN SOUNDINGS EDITOR.

Tip: If you right-click a single golden sounding record, the editor opens with the selected record displayed.

GOLDEN SOUNDINGS EDITOR

Adding an Attribute

1.Click [+] and the Add Attribute dialog will appear.

Add Attribute Dialog

2.Enter and Attribute Name and Attribute Value. These values are entirely up to you. They are not used anywhere else.

3.Click [OK].

Modifying an Attribute

1.Select the attribute you want to change and click [~]. The Edit Attribute dialog will appear where only the Attribute Value is editable.

2.Change the Attribute Value and click [OK].

Deleting an Attribute

Select the attribute you want to remove and click [-].

Deleting Golden Soundings

Use the Golden Sounding Editor to remove golden soundings from the database. You can remove one record from a group (for example, one DEP record from a Soundings group) or an entire group.

Select the record or group you want to delete and click [Delete Record].


HYPACK Project Files

Project Files are the support files (not data files) used in the project.

Advanced Channel File (*.CHN): A channel design file contains a description of the geometry of an area. It is typically created in the ADVANCED CHANNEL DESIGN program, though the TIN MODEL program can generate simple channel files.

A channel file can be displayed in DREDGEPACK and MATRIX 3DTV to guide your data collection, or in the HYSWEEP editors to guide the editing process. SORT can give priority to soundings that fall within the boundaries of any flat surface in a specified channel file, and the INTERSECTOR program merges CHN and 2-dimensional planned line data to generate 3-dimensional planned lines. In TIN MODEL, you can use CHN files to calculate the volume between a surveyed or dredged surfaces and the channel surface.

Background charts provide context and navigational reference for your work. HYPACK displays several types of electronic charts in the area map and in the data collection and editing programs.

Note:Charts drawn in XY (DGN, DXF, DIG, TIF and SHP) must be in the same geodesy as your project to be positioned correctly. Charts drawn in WGS-84 (S57, VPF), the SURVEY or DREDGEPACK program will transform the data files to the local datum, using the datum transformation parameters in the GEODETIC PARAMETERS program, before converting them to your projection. This allows you to use these file formats on any projection.

Border Files (*.BRD): A user-defined listing of XY positions that defines an area in your project area. Typically, Border files are created in the BORDER EDITOR and stored in your project folder. They have several uses, most often to clip data or limit program calculations to a user-defined area.

Kinematic Tidal Datum Files (*.KTD) are used in the SURVEY or DREDGEPACK program when determining real time water levels using an RTK GPS system. Created in the KTD EDITOR, they provide information regarding the height of the reference ellipsoid surface and the local chart datum, or the height of the Geoid above Chart Datum, over a large geographic area.

Matrix files (*MTX) are gridded rectangular areas. You can fill the cells with depth information from your echosounder or dredge cutting tool in real time during data collection, or in post-processing.

Empty matrix files are typically created in the MATRIX EDITOR and saved to the project folder.

Matrix File in the SURVEY Programs

Planned survey lines (*.LNW) define where you want your vessel to go. The line file contains the grid coordinates and names for each planned line in your project area and can also contain cross section template information. Line files are typically created in the LINE EDITOR or ADVANCED CHANNEL DESIGN program.

Plotting Sheet files (*.PLT) contain origin coordinates, scale, rotation, and sheet dimensions for plotting on smooth sheets. These files are typically created in the PLOTTING SHEET EDITOR and saved with the PLT extension to your project file. They are primarily used by HYPLOT to define the plot area, but are also used by CROSS SORT.

Targets mark points of interest in your project area. To that end, each target must at least include a name and the XY position, but it can also include a lot of other metadata according to the project and the technology used and the program in which you mark your target.

You can create targets in the HYPACK interface or in the TARGET EDITOR then display them in the SURVEY or DREDGEPACK program. This enables you to navigate to predetermined locations or away from areas dangerous for navigation. You can also mark targets at points of interest in SURVEY or DREDGEPACK and in post-processing and save them to the project target list.

Targets in SURVEY

.

Each project maintains a target database (targets.db) in the project folder. All HYPACK® programs—acquisition, processing, and final products—read and write target information to this database. The database model currently supports a lengthy list of target properties and attributes. Each program reads and writes only the properties and attributes they need.

Template Files (*.TPL) created in the Template Editor of CROSS SECTIONS AND VOLUMES or the LINE EDITOR, contain the channel cross-section design information. They can be displayed in the Profile windows in SURVEY or DREDGEPACK or used in the CROSS SECTIONS & VOLUMES program.

Tide Correction Files (*.TID) are created in the HARMONIC TIDES and MANUAL TIDES programs. They contain corresponding tide levels (in survey units) and time information that can be used in post-processing programs to apply water level corrections to your sounding data. For each day included in the file, there is one correction value for every minute in the 24 hr. period for a total of 1,440 records per day. A multiday file marks the beginning of each day with its date.

You can display a graph of any TID file in your project by right-clicking on the file in the Project Items list and selecting ‘Graph’. The Tide View window appears with the graph of the selected tide file.

Tide View Window

While in the Tide View window, you can do the following:

•View a different tide corrections file by selecting FILE-OPEN.

•Save an image of the graph to a BMP file by selecting FILE-SAVE AS and naming your file.

•Print the graph by selecting FILE-PRINT SCREEN.


HYPACK Hydrographic Database

The HYDROGRAPHIC DATABASE program creates a library of files that you can quickly locate and add to other projects.

The program generates an SQLite database, which is stored, by default, as \HYPACK 2017\dbhydb.sqlite, but you can choose an alternate location. When you add a HYPACK file to the database, you must enter the information (metadata) that will be later used to distinguish the file from others in the database. If you have consistently entered enough metadata for each record (file) in the database, the filters provided by the HYDROGRAPHIC DATABASE program accurately narrow your file list so you can quickly find the file you need for other projects. You can then import the database file to your current project.

Currently, you can store files in the following formats in the database:

•Planned line files (*.LNW),

•Channel files (*.CHN),

•DXF files,

•Targets

•XYZ format files.

More Information

• HYDROGRAPHIC DATABASE


PrepIntro

Preparation

Before you begin your work in your project area, there are several tasks to consider:

Beware! Create a new project. You can create a new project and all of the files in it by using the FILE-NEW command.

1.Check your Geodesy. If you have not previously specified your geodesy, enter the GEODETIC PARAMETERS program and configure your geodesy.

2.Configure and calibrate your hardware. If you have not previously specified your sensors, configure your equipment in the HARDWARE program.

3.Create your planned survey lines. (Optional)

If you are working on a new dredge project, you may alternatively choose to view your coverage in a matrix file.

•If you have copied a project with one or more line files, they will be copied into the new project.

•If you are working on a new survey project, you will probably want to create planned survey lines to assure even coverage. Create planned lines in the LINE EDITOR or in ADVANCED CHANNEL DESIGN. Alternatively, DXF TO LNW and DGN TO LNW convert certain CAD drawings to the LNW format.

4.Prepare and load other support files as needed. These may include:

•Background charts

•Channel files

•Corrections files

•Schemes

More Information

• SURVEY and DREDGEPACK Preparation Flowchart

• Projects in HYPACK

• Background Charts

• Entering your Geodetic Parameters

• Planned Survey Lines and Channel Designs

• Hardware Setup in HYPACK

• Calibrating your Hardware

• Creating a Matrix File with the Matrix Editor

• Creating Targets in the TARGET EDITOR

• Creating Channels and Planned Lines in ADVANCED CHANNEL DESIGN

• Creating a Boat Shape

• Display Schemes


Background Charts

Background charts provide context and navigational reference for your work. HYPACK displays several types of electronic charts in the area map and in the data collection and editing programs.

Note:Charts drawn in XY (DGN, DXF, DIG, TIF and SHP) must be in the same geodesy as your project to be positioned correctly. Charts drawn in WGS-84 (S57, VPF), the SURVEY or DREDGEPACK program will transform the data files to the local datum, using the datum transformation parameters in the GEODETIC PARAMETERS program, before converting them to your projection. This allows you to use these file formats on any projection.

Most background files will be imported from external sources. HYPACK supports the following electronic chart formats:

•ARCS

•BSB ver. 3

•C-Map Ed. 2

•DIG

•DG2

•DGNA

•DGWb

•DWGB

•DXF

•ECW

•GML

•JPEG2000

•MIF

•MrSid

•PDF (Georeferenced)

•PNG (Georeferenced)

•S57

•S63

•SHP

•TIF

•VPF

ADGN: v7 and v8. Version 8 for display only.

BDXF and DWG: Versions 13-15, 18, 2004, 2007, 2010 and 2013. Used as chart display in any chart-supporting module, and as source or destination file in EXPORT TO CAD.

You may create background files in several HYPACK programs and save them to the project.

Module | Chart Type | Project Items Listing
ENC EDITOR | S57 | Background Charts
BUCKETS | DG2 | Background Charts
DG2 EDITOR | DG2 | Background Charts
HYPACK | Georeferenced TIF | Background Charts
HYPACK SURVEY/SIDE SCAN SURVEY | Georeferenced TIF | Real Time Mosaic
TARGETING AND MOSAICKINGA | Georeferenced TIF, Georeferenced PDF | •Full Mosaics: Post Processed Mosaic •Target Capture Files: SS Images
TIN MODEL | Georeferenced TIF, DXF | Background Charts
CLOUD | Georeferenced TIF | Background Charts
EXPORT | DXF DGN DWG | Background Charts
HYPLOT Programs | Georeferenced PDF Georeferenced TIF DGN DWG DXF | Background Charts

AJPG and PDF images captured at target locations are stored in the project \SSImages folder on your hard drive, but they are omitted from the HYPACK Project Files List as they are not georeferenced.

If you have Internet access, you can download georeferenced PNG files from Web servers through the Web Maps tab in the HYPACK interface. HYPACK stores these charts in the project \Satellites folder.

More Information

• Loading Background Charts to the Project

• Chart Display Options

• Creating Georeferenced TIF Charts in HYPACK

• Geo-referenced PNG Charts from the Internet

• AutoKMZ

• Creating Charts in the DG2 EDITOR

• Exporting Map Features to Google Earth

• Creating Bucket Charts in the BUCKETS Program

• Creating Georeferenced TIF or PDF Files in Mosaic Mode

• Exporting Georeferenced TIF Files from TIN Model

• ENC Editor

• Exporting Georeferenced TIF Files from CLOUD

• CAD Output Settings in Export

• Background Charts Supported in HYPACK


Loading Background Charts to the Project

Most charts are loaded to the project in the same manner:

Method 1:

1.Right-click Background Files in the Project Files list.

2.Select Add File, or Add File & Copy, and the chart file type from the list displayed. A File Open dialog appears.

•Add File enables the project to read a chart that is not stored in your project folder. This can be useful if you are using very large chart files in more than one project.

•Add File & Copy copies the chart to your project folder and enables it in your project.

3.Choose the file and click [OK]. The file will be drawn to the screen and enabled in the Background files list.

Method 2:

1.Use Windows® Explorer to find and select your charts.

2.Drag the selected charts to the HYPACK Map window. The selected files are copied to your project folder and enabled.

ARCS and S63 charts have special procedures that must be followed before you can add them to your project.

HYPACK attempts to draw your data in an order which will optimize the display of all enabled files. Occasionally, modifications to the draw order are required and may be made by creating a custom draw order.

More Information

• Loading ARCS Charts to HYPACK

• Loading VPF Charts to the Project

• Loading S63 Charts to the Project

• NOAA and ACOE Electronic Charts

• Geo-referenced PNG Charts from the Internet

• AutoKMZ

• Setting Chart Display Order


Loading ARCS Charts to HYPACK

British Admiralty ARCS charts are electronic raster charts. World-wide coverage is provided by these charts and updates are available throughout the year according to your permit agreement. Arcs charts and their permits can be purchased from an authorized distributor or reseller using the ARCS User Permit and PIN (Personal ID Number) from your hardlock.

Beware! Your ARCS User Permit and PIN reside on your hardlock. Any time that you load ARCS charts to your HYPACK project, you must use the same dongle that was used to load the chart permits to that computer. You must load your chart permits through the ARCS Manager each time you change dongles.

To display ARCS charts in HYPACK:

1.Acquire the ARCS Charts for your survey area. If you have multiple HYPACK licenses (dongles) and you want more than one to have ARCS capability, you will need to purchase multiple ARCS permits.

2.Load your charts to your hard drive.

3.Load the charts to HYPACK. You may only need a portion of the charts that you have purchased in a project. Load only those charts that correspond to your project area.

• Installing ARCS License and Chart Permits

• Installing ARCS Charts on your Computer

• Loading ARCS Charts to your Project

Installing ARCS License and Chart Permits

1.In HYPACK, select PREPARATION – ARCS CHART MANAGER. The ARCS Chart Manager appears.

2.Install the license.

a.Select FILE - INSTALL LICENSE.

b.Navigate to the location of the license files provided to you.

c.Select the *.lcn file and click [Open].

3.Load your permits.

a.Select FILE – ADD PERMITS.

b.Select the *.NCP file provided to you.

c.Click [Open].

The ARCS Chart Manager displays a list of charts for which you are licensed.

Charts for Which You are Licensed

Return to Top

Installing ARCS Charts on your Computer

When you have installed your ARCS license and permits, and downloaded your ARCS chart files, you are ready to install the charts you have purchased:

1.Click [INSTALL FILES].

2.Navigate to the location of your charts.

3.Click [OK]. All permitted charts that are loaded have an “OK” status in the ARCS CHART MANAGER.

The ARCS Chart Manager Displays the Status of Each Chart

4.Select FILE-CLOSE.

Return to Top

Loading ARCS Charts to your Project

1.Right-click Background Files in the Project Files list and select ARCS. A Select Chart dialog appears.

Opening your Charts

2.Select one or more charts and click [Open]. The ARCS Geodesy dialog appears next.

3.Select the panel you will use. Some charts include multiple panels. If this is the case, they are listed in the Panel drop-down box.

4.Compare your Chart and World geodesy settings. The Chart geodesy is part of the chart file. Most charts come with geodesy information relative to the geodesy the chart is drawn in (chart geodesy) and WGS-84. (If there is no WGS-84 information for your selected chart, [WGS84] is disabled.) Your goal is to get your chart geodesy coordinated with your project geodesy.

5.Choose your geodesy conversion method and the program returns you to the HYPACK screen.

•If your chart has WGS84 information ([WGS84] is enabled), we recommend that you use this option.

•If the Chart and World Geodesy settings are different, you must use the WGS-84 selection to achieve proper overlay of your chart with your other project data.

•If the Chart Geodesy (left) matches the World Geodesy (right, read from your geodetic parameters) you can choose either option.

•If the Chart and World Geodesy settings are different AND your chart has only Chart geodesy settings, the chart will not work in this HYPACK project.

Return to Top


Loading VPF Charts to the Project

Vector Product Format (VPF) is an electronic chart format from the U.S. National Imagery and Mapping Agency (NIMA, formerly DMA).

Sample VPF Chart in HYPACK

VPF files are loaded in similar manner to other charts, but they have a little quirk that might be confusing.

Method 1:

1.Right-click Background Charts in the Project Items list and select ADD FILE-VPF. A File Open dialog appears.

2.Scan the VPF database for the CAT file (no extension) for the chart you want to load.

Note:It is helpful to have the 'Full Paths in Tree' option checked in HYPACK to see which VPF files are loaded. Otherwise you will only see a list of files all named CAT.

Loading VPF Charts

Method2:

Adding several VPF files using the Add File option can be cumbersome, as you will likely have to browse through several levels to the CAT file each time. Windows® Explorer provides an easy alternative.

1.Open a search window in Explorer and search for ‘CAT’.

Results of a Search on ‘CAT’

2.Select the VPF files you want then drag and drop them onto the HYPACK map window.


Loading S63 Charts to the Project

S63 Charts are encrypted S57 charts. They are encrypted using the IHO Data Protection Scheme. In HYPACK, this requires the following:

•License data on your key

•IHO certificate file

•Permit file

•Encrypted charts

Use the S63 Manager to load the certificate, permits, and charts or chart updates:

1.Launch the S63 Manager. Select PREPARATION – S63 MANAGER.

2.Load the permits. Select FILE-ADD PERMITS and navigate to the permit listing file from your vendor. The charts for which you have permits are listed with a Not Installed status.

3.Load your Charts. Click [Install S63 Charts] and navigate to the root directory of the data files from your vendor. The manager searches this directory and its sub-directories for files matching your permits. These charts are installed, with any associated TIF and text files, in the HYPACK® S63 folder and the status for each chart changes to OK.

S63 Chart Manager

Note:A Permit Error status most likely indicates you are either using the S63 MANAGER without your dongle or your dongle is not valid for your vendor-supplied charts.

4.Exit from the S63 MANAGER and load your charts as usual.

To remove S63 chart data, select one or more permit files in the S63 MANAGER then select FILE-REMOVE SELECTIONS. This removes both the installed files from your S63 directory and the permit.

More Information

• Loading Background Charts to the Project


NOAA and ACOE Electronic Charts

NOAA (National Oceanic and Atmospheric Administration) and the US ACOE (Army Corps of Engineers) provide their latest ENC, IENC and RNC charts, free of charge, for download.

You can manually download the relevant chart files and load them to your project one at a time; however, the HYPACK interface includes an easy, process that automatically downloads and displays the latest NOAA and ACOE charts in the area currently shown in the Map window.

HYPACK stores these charts in the \HYPACK 2017\Background\NOAA and \HYPACK 2017\Background\ACOE folders.

Note:In addition to these charts, you can also add the NOAA Web Map Server in the Web Maps Panel to access geo-referenced PNG charts.

Checking for Updated Charts

Loading NOAA and ACOE S57 Charts

Checking for Updated Charts

NOAA and the US Army Corps update their site frequently so, before you head out onto the water, it’s a good idea to confirm that you have the latest charts. The Web ENC dialog shows a complete list of charts in the catalogs with each chart name, originating agency, chart type, last modified date (dd/mm/yyyy) and the status relative to your project:

•Downloaded: You have the most recent version of this chart.

•Update Available: The most recent version of this chart has not been downloaded.

1.Click ADVANCED in the ENC Web Maps toolbar. The Web ENC window appears.

Web ENC Window

2.Refresh your catalogs. Click [Refresh Catalogs] to get the most current information about available charts.

3.Check the list for charts in your project for which updates are available. (The status is Available or Updates Available.)

Tip: Show Chart Borders displays an outline for each chart in the catalog. NOAA charts are outlined in green, while the ACOA charts are multicolored.

Tip: To see the area covered by selected charts, select one or more charts in the dialog, then zoom extents.

•To select several individual files, hold the Ctrl key while you use your mouse to choose your files.

•To select a range of files, hold the Shift key and select the first and last file of a range.

4.Select any charts you want to update and click [Add ENC Charts]. HYPACK downloads the latest versions of the selected files, loads them in your project, and updates the catalog listing to “Downloaded”.

Return to Top

Loading NOAA and ACOE S57 Charts

1.If the ENC Web Maps toolbar is not visible, select VIEW-ENC WEB MAPS.

2.Update the Chart catalogs, if necessary. Click UPDATE ENC CATALOGS in the ENC Web Maps toolbar. The status bar shows the updating progress.

3.Set your Map display to show the area for which you need charts.

4.Click ADD ENC CHARTS in the ENC Web Maps toolbar. HYPACK searches the catalogs for any charts that fall in your Map area, and installs them in your project, automatically displaying them with the most detailed charts on top.

NOAA Charts Installed in the Project

Tip: Select PREPARATION-SEARCH FOR LOCATION and enter the name or zip code of your project area. [Center Map] centers the HYPACK Map display on that location at a zoom scale of 1000 fpi (foot grid) or 1:10000 (metric grid). [Add ENC Charts] downloads any NOAA or ACOE chart that intersects that map area.

Search for Location Dialog

Return to Top

More Information

• Geo-referenced PNG Charts from the Internet


Geo-referenced PNG Charts from the Internet

If you have an Internet connection, HYPACK can generate georeferenced PNG files from satellite images available on Web servers. HYPACK stores the files to the project \Satellite folder. In addition, Web maps appear in the Web Maps folder of the Project Items list.

These georeferenced PNG charts may be used as any other chart file in all HYPACK modules.

Georeferenced PNG

• Adding a Web Server to the Web Maps Panel

• Removing a Web Server from the Web Maps Panel

• Generating Geo-referenced PNG Charts from Internet Images

Adding a Web Server to the Web Maps Panel

1.Open the Web Maps panel. Select VIEW-WMS WEB MAPS.

Web Maps Panel

2.Right-click in the Web Server area and select Add Server. The Web Map Server Properties dialog appears.

Web Map Server Properties Dialog

3.Enter the Server properties:

•URL: The server Internet address.

•Display Name: What appears in the Web Maps panel.

•Password if you are using the OnTerra server or add another server that requires a password.

•Swap Latitude, Longitude: Check this option if the chart positioning information is reversed.

•This is a Tiled Map Server: Indicates the server is a Web Map Tile Server (WMTS) rather than a Web Map Server (WMS).

4.Click [OK].

To eliminate unnecessary layers from a server list, select them in the server list then right-click on your selection and select HIDE SELECTED LAYERS.

To restore hidden layers to the display, right-click on a displayed layer and select UNHIDE SERVER’S LAYERS.

Return to Top

Removing a Web Server from the Web Maps Panel

If there are Web servers in your list that you do not need, you can remove them from the list:

1.Open the Web Maps panel. Select VIEW-WMS WEB MAPS.

2.In the Web Server list, right-click on the server you want to remove and select Remove Server.

Return to Top

Generating Geo-referenced PNG Charts from Internet Images

1.Open the Web Maps panel (VIEW-WMS WEB MAPS).

2.Select one or more Web servers that are applicable to your needs and survey area. HYPACK includes several Web servers by default.

Note:You may add and remove servers or modify server properties using a right-click menu in the server list.

3.For each Web server, select a layer. Different servers and layers offer different types of imagery of varying quality.

4.Set your project area. Set your area map to show the largest area you expect to view in this project.

5.Click [Get Maps]. The program searches the selected servers for images to best match the defined extents and generates the following:

•PNG image that displays in your area map.

•PGW file that contains coordinates that describe the location, scale and rotation of the PNG image.

•TXT file that lists the coordinates of the lower left and upper right corners of your defined area, and one or more satellite image sources for the generated images.

The Status field updates as each step is completed and as each image file downloads. In addition, the overall progress appears in the HYPACK status bar.

If a problem occurs during the download, “Download Error” appears in the Layer column of the Web Maps panel. Hover your cursor over the message for a more complete description.

[Cancel] aborts the download process.

Filled Matrix Overlaid on the Georeferenced PNG

Return to Top

More Information

• NOAA and ACOE Electronic Charts


AutoKMZ

The AutoKMZ feature enables HYPACK to update the KMZ charts drawn in the project as they are added to or removed from a user-defined location.

1.Activate AutoKMZ in your project. Right-click on the Background Files folder and select the Add Auto KMZ to Project option. A KMZ_Auto item appears in the Background Files list.

2.Open the Auto KMZ configuration dialog. Right-click on the KMZ_Auto item and select Auto KMZ Properties.

Auto KMZ Configuration Dialog

3.Configure the AutoKMZ options:

•Active enables Automatic KMZ updates. When disabled, chart change activity is ignored.

•Chart Directory specifies where AutoKMZ watches for changing KMZ files.

•Display most recent charts limits the number of KMZ charts displayed.

•Transparency settings apply to all managed charts in the Chart Directory. Adjust the level of transparency with the slider.

You can also choose one color in your chart to become transparent in the display which allows other items drawn below it to show through while the remaining areas of the chart are fully opaque.

To set a transparent chart color:

i.Open the transparency dialog for your chart.

ii. Click the Colors Icon and a Color Select dialog will appear.

iii.Select the color you want to become transparent and click [OK].


Chart Display Options

Some chart types have display options unique to their file type. Some of these display options are set in the Charts tab of the Control Panel. Other options are accessed by right-clicking on the chart name in the Project Files list.

More Information

• Displaying CAD Charts

• Displaying Chart Layers

• Setting Chart Transparency

• Displaying S57 Charts

• Displaying SHP Charts

• Setting Chart Display Order


Displaying CAD Charts

You can draw any CAD file "as is", or in black or white regardless of whether the original chart is in color. Select your choice in the Charts tab of the Control Panel.

HYPACK Control Panel—Charts Tab

To override the setting in the Control Panel, right-click on the file name in the Project Files list, and select DISPLAY OVERRIDE and your desired setting.

To return to the setting in the Control Panel select DISPLAY OVERRIDE-PROJECT SETTING in the right-click menu.

More Information

• Chart Display Settings in HYPACK


Displaying Chart Layers

When you enable a PDF or CAD chart, if it has layers, a plus sign appears left of the file name in the Project Items list indicating that it can expand to show the layers.

To select the layers of the chart to display, just enable and disable them in the Project Items list.

Alternatively, you can use the Layers dialog:

1.Right-click on the enabled chart in the Project Files list and select the Layers option. A dialog will appear with the chart layers listed.

Selecting Chart Layers

2.Check the layers you want to display.

3.Preview your results by clicking [Apply].

4.When your display is satisfactory, click [OK].


Setting Chart Transparency

Background charts and matrix files are often solid areas of color. Even if they are not solid, they can obstruct your view of another file drawn beneath it.

Sometimes you can modify the draw order to place the ‘solid’ file below the file it is obstructing. However, if you have two solid files, changing the draw order will not help. In this case, you can set the transparency of the top file so you can see through it to the file below. Transparency only applies to charts and matrix files.

Note:The Transparency option is not available for ARCS, C-Map, S64, SHP or VPF charts.

To set file transparency:

1.Select one or more files, in the Project Items list, for which you want to adjust the transparency to the same level.

2.Right-click on the selection and select ‘Transparency’. The transparency dialog will appear.

Transparency Dialog

3.Adjust the level of transparency with the slider.

4.Preview the effect. (Optional) Click [Apply].

5.When your setting is satisfactory, click [OK].

TIF Overlaid on an S57 with 60% Opacity

File Transparency - The transparent matrix allows you to see the TIF chart beneath

You can also set a specified chart color to be transparent. It would be useful to set, for example, the background color of a DXF chart to be transparent. Then you could see the data beneath the DXF, but retain the display of its features.

Note:This only works if the color specified is an exact match to the one in your chart.

To set a transparent chart color:

1.Open the transparency dialog for your chart.

2.Click the Colors Icon and a Color Select dialog will appear.

3.Select the color you want to become transparent and click [OK].

Tip: Alternatively, if your DXF is constructed such that a depth area you want transparent is assigned to a layer, you can disable the layer by clearing the checkbox either in the File List or using the Layers dialog.

In TIN MODEL, you can generate a such a DXF chart from your sounding data if you take care to color your contours with colors you can later identify exactly as the transparent color.

More Information

• Displaying Chart Layers

• Exporting Contours from TIN Models


Displaying S57 Charts

S57 chart settings are accessed from the Charts tab of the HYPACK control panel.

S57 Options:

[S57 Options] in the displays the S57 Display Options dialog.

S57 Options Dialog

Symbols: Choose between Traditional and Simplified.

Boundaries: Choose to have them marked with symbols (Symbolized) or as plain lines (Plain).

Units: Displays depths in your choice of U.S. feet or meters.

Scheme:

•S52: The industry standard where the colors progress from darkest to lighter shades of blue as depths increase.

•Bathy Blue: The reverse of S52 where the deepest water is the darkest color.

•Red Yellow Green: Displays three categories of depth areas:

•unsafe (red),

•safe with caution (yellow)

•safe (green)

S57 Color Schemes: S52 (left), Bathy Blue (center), Red Yellow Green (right)

Safety Depth displays depth labels in different colors above and below this depth.

Safety Contour, Shallow Contour and Deep Contour define different depth ranges which will be displayed with backgrounds of different shades of blue.

Note:This option is overridden by the Two Depth Shades option.

Scale Minimum displays different map features and symbols at varying zoom scales according to S57 standards. This option prevents your Map window from becoming overly cluttered. If this option is clear, everything will be displayed regardless of the zoom scale.

Two Depth Shades uses only two shades to display depths greater than and less than the Safety Contour.

Shallow Pattern draws a pattern in the areas of the map where the depth is shoaler than the safety contour.

Full Sector Lights includes data regarding direction and color of lights. If this is off, you will see only the position of the light source.

Show Soundings toggles the display of chart soundings.

Visual Quality of Data: S57 charts include markings that indicate whether the chart has been tested for accuracy and, if so, how accurate it is. Check this option to clear this ‘clutter’ from your display.

Draw Information Boxes: Draws S57 markers at all points of interest. Clearing this option will provide a less cluttered display.

Load Chart Updates: When you load a base chart (typically *.000) and there are update charts (typically *.001, *.002…) in the same folder, checking this option loads all related chart information to provide the most updated display.

Seasonal/Time Period Filter: Object attributes may specify time ranges when they would be most applicable to display. Check this option to display only objects whose attributes match the current time.

HYPACK Soundings Display: When 'Show Soundings' is checked, this option toggles between ECDIS display and HYPACK display options.

Isolated Danger in Shallow Water assures that those features coded as isolated dangers are always displayed.

Hide Extra Contours: Omits any contour that is above the deep contour or below the shallow contour. They are valid contours, but do not contribute to the safe navigation of your vessel.

Text Display Groups: Charts can get cluttered with excessive text. Select only those text features you want to see in your chart display.


Displaying SHP Charts

These line and polyline shape files (*.SHP) available from ArcView and ArcInfo. HYPACK currently only supports drawing the main chart file, which defines points, lines and areas. (There are no attributes drawn.) In HYPACK, you can enhance the chart display by assigning colors and textures and line weights.

1.Load the chart to your project as you would most background files.

2.Right-click the file name in the Project Files list and select "Edit Colors". The Shape File Display dialog appears.

3.Configure your display options and click [OK].

The Line Color and Line Width affect point objects and the lines that define line and area objects in the chart.

Fill Color and Fill Type affect the interior of area objects.

Shape File Editor —Colors Tab

To modify colors, click the current color block and select a color from the selection dialog that appears.

Shape File Editor —Labels Tab

To label the SHP object, check the Show Label option and select the attribute value that will serve as the label.

Note:This only works if the corresponding *.DBF file is present in the folder with the *SHP file. Otherwise, there will be no attribute list.

4.Click [OK].

Sample SHP Displays—BRD (left) and XYZ Soundings (right)

More Information

• Querying Area Map Features


Creating Georeferenced TIF Charts in HYPACK

HYPACK includes utilities that enable you to generate georeferenced TIF images that you can then load to your project as background charts.

Generate TIF charts from your current HYPACK map display using the TIF CAPTURE tool. You can use the resulting chart in HYPACK or export it to display in other software packages.

Generate TIF charts from any TIF, BMP or JPG image using the IMAGE GEOREFERENCE routine. This option enables you to georeference images, such as satellite images or snapshots taken from a plane, and display it as a chart in your project.

More Information

• Exporting Georeferenced TIF Charts of your HYPACK Display

• Converting Image Files to Georeferenced TIFs

• Exporting Geo-TIFs of your 64-bit HYSWEEP EDITOR Display

• Creating Georeferenced TIF or PDF Files in Mosaic Mode

• Exporting Georeferenced TIF Files from TIN Model

• Loading Project Files to Guide your S57 Feature Drawing in the ENC Editor

• Exporting Georeferenced TIF Files from CLOUD


Exporting Georeferenced TIF Charts of your HYPACK Display

HYPACK enables you to create a geo-referenced TIF file from your HYPACK display or a portion of it. It will include everything that appears within user-defined boundaries, ready to display as a background chart in your project.

We define the boundaries of the area to be captured by entering the coordinates of the bottom-left corner and the dimensions of the area in survey units. You can do this with any of the following methods:

•Manually enter the information to the TIF Output dialog.

•Use the cursor to define the capture area.

•Load a matrix file that borders the capture area.

1.Enable all HYPACK features to be included in your TIF.

2.If you are using a matrix to position and size the TIF, create it in the MATRIX EDITOR. To assure that your data will be fully included in the TIF:

•Size and position the matrix over your data and

•Set the rotation to zero.

Creating the Matrix (Background File disabled to display the matrix more clearly.)

Add the BSB Chart Behind the HYPACK Features.

3.Select FILE-CAPTURE TIF IMAGE.

TIF Output Dialog

4.Define the capture area.

•Manually enter the information: Enter the coordinates for the southwest corner of the matrix, and the matrix height and width (survey units).

• [image] Use the cursor: Click the Select Area icon and drag the cursor between diagonally opposite corners of the capture area in the area map. The TIF Output dialog updates with the size and location of your defined area.

•Load a matrix file: Click [...] and select a matrix file that defines your capture area. The CornerX, CornerY, View Height and Width will update according to the matrix properties.

5.Define the resolution. The default value is 5. The Screen Scale option sets a resolution to match your current screen resolution. The program calculates the output TIF size and displays it at the bottom of the dialog. Smaller resolutions result in larger output size. It is up to you to decide what resolution best balances file size and resolution to suit your needs. Adjust the resolution and click [Refresh] to determine the image size until your are satisfied.

6.Save the results as a georeferenced TIF image.

a.Click [Save...]. The TIF Save Options dialog appears.

TIF Save Options

b.Select your options and click [OK].

•Write GeoTif (embedded TFW).

•Write TFW file enables you to generate a separate file that contains coordinates that describe the location, scale, and rotation of the TIF. It is used by geographic information systems (GIS) software for locating areas in raster map images.

•Use LZW Compression: This is a lossless compression algorithm that significantly reduces the resulting file size without losing resolution of the image.

c.Name your file and click [Save]. The TIF and TFW files will be created and saved, by default to the project directory. The program will notify you when the TIF is complete.

d.Click [OK] to close the message.

7.Click [Close] to return to the HYPACK screen.

8.Load the TIF to your project as you would most other background charts.

The Resulting TIF


Converting Image Files to Georeferenced TIFs

The IMAGE GEOREFERENCE routine is used to convert image files to georeferenced TIF images that can be used as background charts in HYPACK and SURVEY. You can also load them to the ENC EDITOR to be used as a guide for building an S57 chart of your project area.

You will need the following:

•The image files can be from anywhere: screen captures of other chart types, satellite photos or aerial fly-over shots. The tool accepts TIF, BMP or JPG. (If your image is of a different file type, it can easily be converted in most graphic programs.)

•The positions of two distinct features in your image. These positions, called ‘ground control points’, are used to calculate the correct position, rotation and scale of your image file. A third (optional) ground control point may increase your chart accuracy.

When you have your image and ground control points, you are ready to georeference your image.

1.Select PREPARATION-EDITORS-IMAGE GEOREFERENCE.

2.Load your image file.

a.Select IMAGE-LOAD.

b.Set the file type to match your image file type.

c.Select your image file and click [Open].

The image draws to the IMAGE GEOREFERENCE window.

Tip: To shift the image in the display, click and drag

3.Adjust the image display as necessary.

•To zoom in and out, use the zoom tools or mouse wheel.

•To pan, click and drag the image.

4.Define your ground control points (GCP). The program requires at least two (optionally more) ground control points.

a.With the default cursor, right-click on the image at the first known position and select ADD GCP. A red symbol appears on the image and a dialog appears.

Defining Ground Control Points

b.Select the format in which you want to enter your GCP positions.

c.Enter the position information under ‘World X’ and ‘World Y’ and click [OK].

d.Repeat for your second and third reference points.

Image with Ground Control Points

5.Calculate the rotation and scale of your image to fit the world coordinates of your ground control points.

•With two ground control points, click [2PT Transformation].

•With three or more ground control points, select GEOREFERENCE-3+ PT TRANSFORMATION.

Image Information Shows the Calculated Scale and Position Values..

6.Apply the calculated scale and rotation to the image. Click [Apply].

7.If there are features behind the TIF, you can adjust the transparency of the image preview. (Optional)

a.Click [Transparency] to access the Transparency dialog.

b.Choose the level of transparency using the slider.

c.If you have checked the Map Display option, click [Apply] to see the results in the HYPACK map.

Note:This is for preview purposes only. The TIF will be saved with 100% opacity. You can set its transparency in your HYPACK display through the Transparency option when you right-click on the chart name in the Project Files list.

d.Click [OK] to return to the Image Georeference dialog.

8.Save the results as a georeferenced TIF image.

a.Select IMAGE-SAVE. The TIF Save Options dialog will appear.

TIF Save Options

b.Select your options and click [OK].

9.Load the new chart to HYPACK.

10.Modify the HYPACK chart drawing order and transparencies, if necessary, to optimize the view of all objects in your map window.

The following figure shows a georeferenced satellite photograph of a segment of the Chesapeake Bay Bridge-Tunnel displayed with S57 and DWG files.

More Information

• Setting Chart Display Order

• Setting Chart Transparency


Merging Georeferenced TIF Files

The MERGE MOSAICS program can combine multiple geo-TIFs. This program was designed to merge generated in TARGETING AND MOSAICKING, but it works with other geo-TIFs as well. The merged file can then be displayed as a background chart.

1.Launch MERGE MOSAICS by selecting SIDE SCAN-SIDE SCAN MERGE MOSAICS.

2.Load the files that you want to merge by clicking [Input files] and selecting them in the dialog that appears. If they reside in the same folder, you may select multiple files at once.

Merge Mosaics Dialog

3.Name your merged file by clicking [Output File] and entering the name.

4.Enter the output resolution. The program defaults to "1" and displays the approximate dimensions and file size. A larger resolution results in a smaller file size. It is up to you to choose a resolution to satisfy your requirements.

5.Select the value to be represented in any area where the input TIFs overlap: Maximum, Minimum, or Overlay.

6.Set your TIF options.

•Write GeoTif (embedded TFW).

•Write TFW file enables you to generate a separate file that contains coordinates that describe the location, scale, and rotation of the TIF. It is used by geographic information systems (GIS) software for locating areas in raster map images.

•Use LZW Compression: This is a lossless compression algorithm that significantly reduces the resulting file size without losing resolution of the image.

7.Click [Merge]. A message appears at the bottom of the dialog indicating the merge progress. When it disappears, the merge is complete.

Comparison of Merge Options.

Input Files | TIF 1 | TIF 2 | TIF 3
Output Files | Merged Maximum | Merged Minimum | Merged Overlay

More Information

• Creating Georeferenced TIF or PDF Files in Mosaic Mode

• Constructing Mosaics and TIF or PDF Files from Side Scan Data in TARGETING AND MOSAICKING


Creating Charts in the DG2 EDITOR

The DG2 EDITOR is a simple tool to create a custom, digitized background file using your cursor right in HYPACK. The DG2 EDITOR includes a large selection of point, line and area objects that you can include in your chart which is saved, by default, to your project directory with a DG2 extension.

More Information

• Running the DG2 Editor

• Setting Display Attributes in the DG2 EDITOR

• S57 Options in the DG2 EDITOR

• Defining Feature Position in the DG2 EDITOR

• Importing Data to the DG2 EDITOR

• Modifying Features in the DG2 EDITOR

• Merging DG2 Charts


Running the DG2 Editor

The general process is simple, but the range of possibilities the editor offers requires a little thought. The following procedure outlines the general procedure.

1.Set your geodesy for your project location. If your geodesy settings are not correct for your location, the editor can not position your chart accurately.

2.Load any existing background files, if you have them, to help guide positioning the new features. Otherwise, you will need some idea of the XY positioning for your features.

3.Center your area map over the project area.

4.Launch the DG2 Editor. Select PREPARATION-EDITORS-DG2 EDITOR. The DG2 EDITOR dialog appears.

DG2 Editor

5.Set the display attributes for your feature.

6.Enter the S57 Options. These are options common to S57 charts. The Geometry setting must match the feature type you are creating. The remaining S57 Options are optional.

7.Position the feature(s) in your chart. Once the feature attributes are set, you can create one or more like objects by repeating this step multiple times.

8. Preview your work. (Optional) Click the Preview icon. The DG2 EDITOR will minimize to a button at the lower left of your HYPACK screen and the area map will zoom in to your chart. Return to the DG2 EDITOR by clicking its button below the Project Files list.

9.Continue to define objects, attributes and position information until you have created all of the features you want in your chart.

Note:You can remove any feature by selecting it in the Data Record and clicking the Delete button.

10.Save your chart by selecting FILE-SAVE and naming your file. Your file will be saved, by default, to your project directory with a DG2 extension.

DG2 Chart with Border, Fill and Pattern in the HYPACK Area Map

More Information

• Entering your Geodetic Parameters

• Loading Background Charts to the Project

• Setting Display Attributes in the DG2 EDITOR

• S57 Options in the DG2 EDITOR

• Defining Feature Position in the DG2 EDITOR

• Importing Data to the DG2 EDITOR

• Modifying Features in the DG2 EDITOR

• Merging DG2 Charts


Setting Display Attributes in the DG2 EDITOR

Display attributes are all included in the tabbed area in the lower right of the dialog. They describe everything about how a feature will appear in the chart. Your task is to select those that describe your chart feature.

Attributes are grouped according to the feature type and attribute type in the tabbed area to the lower right of the dialog. (Use the left and right arrows to scroll through the tabs.) You may apply attributes from more than one tab, but only those that apply to your feature type. For example, you can not apply an area feature attribute to a point feature.

Note:If you need symbols other than those available from the HYPACK install, you can create custom symbols using the S52 EDITOR.

Attributes Lists

1.Select the Data Record for which you want set display attributes.

2.Select a tab that corresponds to your feature type:

•Symbol: Chart symbols at the location of point objects.

•Line: Lines, solid or dotted, of user-defined width and color.

•Line Symbol: Line marked with chart symbols.

•Area Fill: Color and transparency or texture of the defined area.

•Area Pattern: Chart symbols pertinent to area features.

•Text: Enter text then set color, font and position.

•Circle: Draws a circle around the point object of user-defined size. It can be clear or hatched.

•Attributes provide further descriptive detail about the object.

•Sounding: Draws a dotted circle around the user-defined depth at the target position. The circle can be empty, hatched, blue-filled or underlined.

3.Select a display attribute from the tab for your chart feature. Keep in mind that attributes will be drawn in the order defined. If you are adding multiple attributes, you may need to think about the draw order required to make all attributes visible. In the previous example, the area fill is added first so the pattern and border symbols are drawn on top. If the area fill is opaque and drawn last, the other attributes will not be visible.

Note:Notes: Text attributes are only applicable to point features.
If your line weight is greater than 1, the line style will always be solid.

4.Click [Add]. The attribute will appear in the Display Commands area.

5.Repeat steps 2 and 3 for each attribute to be applied to the feature. You may include as many attributes as you need to describe your object.

6.When all attributes are described, click the Apply icon.

More Information

• Creating Custom Chart Symbols in the S52 Editor


S57 Options in the DG2 EDITOR

With the exception of the Geometry, the S57 options are optional.

Geometry must match the feature type you are creating. The rest of the options in this group are still under development, but you can add this information in your chart data to be ready for future use.

S57 Options in the DG2 Editor

Geometry types include:

•Point Features: Objects that are positioned at one point. These would include such objects as buoys or beacons.

•Line Features: Objects described by a polylines. These might include objects such as pipe lines or roads.

•Area Features are described by closed polygons. These might include objects such as land areas or depth areas.

User Text will label the point feature in your chart.

Minimum Scale is the zoom scale at which the feature will appear. It will be hidden when HYPACK is zoomed out to a scale than you have specified.

Code is the S-57 code appropriate to the feature you are creating.


Defining Feature Position in the DG2 EDITOR

When you have set the physical description of your feature through the geometry and drawing commands, there is still no information to position it in your chart.

To define the points that describe your feature position, use the cursor, type the data to a spreadsheet or import a coordinate file. Depending on the selected feature type, multiple coordinate pairs will create one point object for each coordinate pair, a line that connects each location, or an area defined by the locations indicated.

To enter and display your coordinates in local XY or lat./lon. format use the OPTIONS-UNITS menu option which alternates between the two options each time the item is selected.

Entering Position Coordinates with your Cursor

To enter position coordinates with your cursor:

1.Select your feature type by clicking the corresponding icon on the toolbar. The dialog will display a smaller editing toolbar that covers less of your area map.

Editing Toolbar

2.Click with your cursor to mark the location(s) on the HYPACK area map where the selected feature occurs.

3.Click the Finish icon to return to the full dialog. You will see the object recorded in the Data Record list and the coordinates of the points you defined with the cursor listed in the (upper right) spreadsheet. The feature will be visible in the HYPACK area map behind the editor dialog.

Entering Position Coordinates in the Spreadsheet

You can use the spreadsheet to more precisely position coordinates defined with the cursor, or to define the positions without using the cursor.

To enter position coordinates in the spreadsheet:

1.If the geometry is ‘Line’ or ‘Area’, click [Add] to append enough rows to the spreadsheet for each point needed to describe your feature.

2.Enter the coordinates for each point in the spreadsheet.

3. When you are finished, click the Add Record icon. The feature will be visible in the HYPACK area map behind the editor dialog.

More Information

• Importing Data to the DG2 EDITOR


Importing Data to the DG2 EDITOR

The DG2 Editor enables you to import data from DG2, DGW and DIG chart files, as well as XY or XYZ coordinate files, and project targets.

• Importing a Chart File to the DG2 Editor

• Importing a Coordinate File to the DG2 Editor

• Importing Targets

Importing a Chart File to the DG2 Editor

When you import a chart file, the program enters the chart information into the DG2 EDITOR. It enters all coordinates and assigns all features to corresponding point, line and area features in the DG2 format.

To import chart files:

1.Select FILE-IMPORT.

2.Select the chart file you wish to import and click Open.

3.Save your DG2 chart by selecting FILE-SAVE or FILE-SAVE AS and naming your file.

Return to Top

Importing a Coordinate File to the DG2 Editor

You can import a list of coordinates to the DG2 Editor to provide position information for chart features. Coordinates may be in Local XY, Local Lat/Lon or WGS-84 Lat/Lon.. Lat/Lon may be expressed in any format. Use negative values to designate Southern and Western positions.

When you import coordinate files, the program enters the coordinates to the DG2 EDITOR then presents a dialog where you instruct the program how to read the coordinates and what type of object or objects to create from them. Choose from point , line or area objects. Once the positions are established, you must assign the display attributes for each feature generated by the import..

To import XY or XYZ files:

1.If your import file describes a single file, or multiple like point objects, set your display attributes.

Note:This can be a real time saver if you need to create several point objects with the same attributes.

2.Select FILE-IMPORT. A File Select dialog will appear.

3.Set the File of Type field to XY or XYZ, then select the coordinate file to be read and click [Open]. The data will be read and listed in the XY Import dialog.

Importing an XYZ Data File

4.Set the import parameters.

•Delimiter tells the program whether a comma or space separates coordinates.

•Ignore Blank Lines: If the file contains a line with no coordinates, the program will simply advance to the next line and continue.

•Stop Parsing at Bad Line aborts loading the coordinates if any of the lines in the file fail to conform to a format the program can read.

Tip: Check this option and click [Check Data Syntax]. If a line is bad, it will be highlighted when the message appears with the number of valid lines.

•Units for Data: Describes the format for the data file.

•XY on Projection

•Local Lat/Lon

•WGS84 Lat/Lon

Note:Lat/Lon may be in any format, however if you use a format with spaces in it, you must use a comma delimiter.

•What to Create tells the program whether the coordinates describe a series of point objects, a line or an area.

5.Verify your file will be read by clicking [Check Data Syntax]. The program will read your file according to the parameters entered. The program will display the number of valid lines and it can read with the total number of lines.

•If this is correct, proceed to the next step.

•If this is not correct, recheck your source file.

6.Click [OK]. The objects will be generated according to your settings. In this example, an area object was created by the import.

Setting Feature Attributes

7.If you have generated features without attributes, set the attributes for each feature as follows:

a.Select the imported feature under Data Record.

b.Set the display attributes.

c.Click the Apply Icon.

Return to Top

Importing Targets

Import the positions of one or more targets from your project targets list, to create the positioning for a DG2 chart feature. Load one or more targets to select a point feature at each target position, or load 2 or more targets to create a line or area feature.

Note:For line and area features, it is easiest if the targets are created in the sequence you need them to describe the chart feature. This saves the work of reordering the points in the DG2 EDITOR.

1.Select FILE-IMPORT. A File Open dialog appears.

2.Set the File of Type field to Target Database, select the project targets.db file and click [Open]. The Import Target File dialog appears with a target listing.

Import Target File Dialog

3.Select the targets you want to import into your chart.

4.Select the type of chart feature (object)—point, line or area—you plan to generate with the target position information.

•To generate one or more point features, choose a target for each point feature and select "Point Objects".

•To generate a line feature, choose the targets that describe the waypoints of the line and select "Line Object".

•To generate an area feature, choose the targets that describe the waypoints of the area and select "Area Object".

5.Click [Import]. The positions are imported to your DG2 Chart and a data record for the defined feature (or features) appears on the left of the DG2 Editor.

At this point, the import operation is complete, but you must assign display attributes to see them in your chart.

Return to Top


Modifying Features in the DG2 EDITOR

At any time, you can load a DG2 chart to the program and modify its features. Changes for each feature must be applied in the chart by clicking the [Apply] button to record the changes.

To modify the feature position:

1.Select the feature in the Data Record.

2.Edit the positioning information.

3.Click [Apply].

4.Save your file.

To modify the display attributes:

1.Select the feature in the Data Record.

2.Select the display attribute you want to change in the Display Commands list.

3.Make your new selection(s) in the attribute tabs.

4.Click [Apply]. Features are initially listed in the Data Record in the order they are created. This list also controls their draw order in the chart. If you create features in an order that causes a feature to be hidden behind another, you can rearrange the draw order to optimize your display.

To modify feature draw order:

1. Select the feature in the Data Record whose position you want to change.

2.Relocate the feature in the draw order using the up and down arrow icons in the toolbar.

To delete a feature:

1. Select the feature in the Data Record.

2.Click the Delete icon on the toolbar.

To delete an attribute:

1.Select the display attribute you want to delete.

2.Click [Delete] below the Display Commands list.


Merging DG2 Charts

You can merge the chart data from multiple DG2 charts by importing one to another.

When you merge two charts in this way, there's a good chance that the draw order of the features will need to be modified, moving large opaque features to the top of the Data Record so that they are drawn before smaller features which would, otherwise be covered.

1.Open your first DG2 chart in the DG2 EDITOR by selecting FILE-OPEN and selecting your first chart.

2.Select FILE-IMPORT and select the file you want to add. The imported chart features will be appended to the Data Record.

3.Modify the draw order, if necessary, to display all chart features.

4.Save your file. Select FILE-SAVE to overwrite the original DG2 file, or FILE-SAVE AS to save the combined file to a new file name.


Example of Creating a DG2 Chart

You've just been out fishing and you've discovered an area particularly plentiful with fish. It was between the rocks at the west end of the lake and the tree you used to swing from as a child. Make a chart called Great_Fishing.DG2 to help you find it again.

Let's make a mental list of the features and attributes you should include.

Feature | Feature Type | Attributes
Lake | Area | Solid opaque light blue fill
Tree | Point | Trepnt05 Symbol "Tree Swing" Label
Rocks | Point | Cairns01 "Rocks" Label
Fishing Area | Area | Red border Yellow fill 3 points wide FSHHAV02 pattern

1.Check your geodesy settings and zoom to the general location of your lake.

2.Open the DG2 EDITOR.

3.Create the lake.

a.Select the Area Fill attribute tab.

b.Select the DEPMS color and Solid transparency attributes.

c.Click [Add].

d.Change the Geometry option to ‘Area’.

e.Set the Code option to ‘Lake’.

f.Click the Area icon. The DG2 EDITOR will minimize.

g.Use your cursor to outline the lake by clicking in your area map.

h.Click the Finish icon.

Lake Settings

4.Mark the tree.

a.Click [Clear] to begin a new set of attributes.

b.Select the Symbol attribute tab, choose the Trepnt05 symbol and click [Add].

c.Select the Text attribute tab, type "Tree Swing" in the Text field and click [Add].

d.Change the Geometry option to "Point".

e.Set the Code to "Landmark".

f.Click the Point icon. The DG2 EDITOR will minimize.

g.Use your cursor to mark the tree's position.

h.Click the Finish icon.

Tree Settings

5.Mark the rocks.

a.Click [Clear] to begin a new set of attributes.

b.Select the Symbol attribute tab, choose the Cairn01 symbol and click [Add].

c.Select the Text attribute tab, type "Rocks" in the Text field and click [Add].

d.Change the Geometry option to "Point".

e.Set the Code to "Landmark".

f.Click the Point icon. The DG2 EDITOR will minimize.

g.Use your cursor to mark the rock's position in the water.

h.Click the Finish icon.

Rock Settings

6.Draw an area that borders your fishing spot.

a.Click [Clear] to begin a new set of attributes.

b.Select the Area Fill attribute tab, choose the CHYLW color and 50% transparency attributes, and click [Add].

c.Select the Line attribute tab, Choose style A, width 3 and color CHRED, and click [Add].

d.Select the Area Pattern tab, choose the FSHHAV02 pattern, and click [Add].

e.Change the Geometry option to "Area".

f.Set the Code to "Depth Area".

g.Click the Area icon. The DG2 EDITOR will minimize.

h.Use your cursor to outline the fishing area by clicking in your area map.

i.Click the Finish icon.

Fishing Hole

7.Preview your chart by clicking the Preview icon.

Chart Preview

Notice that the Cairn symbol is hidden. This is because the opaque fill of the fishing hole area is drawn after the rocks. This could have been avoided if we had created the fishing hole area before the rocks.

Note:The fish pattern is widely spaced. It was not visible until we zoomed in to make the fishing hole area large enough on screen to see the pattern.

8.Reorder features to show rocks.

a.Return to the DG2 EDITOR.

b.Select the Fishing Hole in the Data Record.

c.Use the up arrow to move the fishing hole up 1 or 2 positions. It must be after the lake area in order to be visible in front of the lake.

Final draw order (above) and the results (right)

9.Save your file. Select FILE-SAVE and name it Great_Fishing. It will be saved, by default to your project directory.


Creating Custom Chart Symbols in the S52 Editor

The S52 EDITOR provides the tools for you to create your own raster chart symbols. These symbols are stored in the \\HYPACK 2017\bin\symbols folder where they are integrated into the point symbol lists presented in the DG2 EDITOR and in the TARGET EDITOR.

Sample Symbol in the S52 EDITOR

Custom Symbols Available in the TARGET EDITOR (left) and DG2 EDITOR (right)

More Information

• The S52 EDITOR Interface

• Running the S52 EDITOR

• Editing Target Properties in the Details Tab

• Assigning S57 Display Symbols from the Project Items List

• Setting Display Attributes in the DG2 EDITOR


The S52 EDITOR Interface

The S52 EDITOR opens with a design area 32 pixels square and an array of tools and settings with which you draw the symbol you need.

Sample Symbol in the S52 EDITOR

Select Pen and Set Pen Color: The Select Pen list ten pens that each draw with a pre-defined color. You can use the default color selection or change one or more pen colors to suit your needs using the Set Pen Color list.

Note:If you draw objects in the design area and later change the color associated with that pen, the color of existing objects drawn with that pen will also change to the new color.

Drawing Tools

Icon | Tool Name | Usage
 | Pencil | Draw freehand lines.
 | Line | Draw straight lines in any direction.
 | Square - Hollow | Draws a rectangular outline. Click and drag your cursor from the location of one corner to the opposite corner.
 | Square - Filled | Draws a color-filled, rectangular shape. Click and drag your cursor from the location of one corner to the opposite corner.
 | Circle - Hollow | Draws a circular outline. Click and drag your cursor from the location of the circle’s center outward.
 | Circle - Filled | Draws a color-filled circular shape. Click and drag your cursor from the location of the circle’s center outward.
 | Flood Fill | Fills an area with the currently selected color. •If the design area is empty, it fills the whole area. •If the design area contains other elements: •Click inside them to fill the shape. •Click outside them to fill the surrounding area.

Pivot X and Pivot Y: Position in the symbol measured in pixels (eg. 0,0 is in the upper left corner). This point will be positioned at the specified location in your chart or at the target location.

Name: Symbol name that appears in the menu in the supporting modules. The name must be exactly eight characters long.

Description: Additional information about the symbol.

Width and Height: The dimensions, in pixels, of the design area.


Running the S52 EDITOR

To create a custom symbol for use in the DG2 EDITOR or the TARGET EDITOR:

1.Open the S52 EDITOR by selecting PREPARATION-EDITORS-S52 EDITOR.

2.Enter a name and description for your symbol.

3.Set the dimensions in the height and width options to suit your symbol design. The design area will adjust accordingly.

4.Select a pen and set the color if necessary. You need not use the pens in order. Select the pen with the desired color. If none have the right color, choose a pen you have not used yet and change the color using the Set Pen Color option.

5.Click the icon for the shape you want to draw and draw it in the design area.

6.Repeat steps 3-5 until your symbol design is complete.

7.Save your symbol. Select FILE-SAVE and name your symbol. The symbol will be saved to the \\HYPACK 2017\Bin\Symbols folder.

Note:You must close the S52 EDITOR then close and reopen HYPACK to make the symbols available in the other modules.


GML Presentation Editor

GML (Geographic Markup Language) defines an XML grammar for the encoding of geographic information. The information that can be encoded includes, not only geographic objects and their geometries, but also more abstract notions like coverages and observations.

HYPACK extracts Points, Lines and Polygons from almost any GML file, but it will not manipulate the data as a higher level feature (eg. a bridge, which could be tested for clearance or a rock, which should be detected and avoided). We can, however, tell you about the geometry is the class of an object.

In our software, we provide a means of symbolizing a GML file based on the class name of an object and its fundamental primitive type.

HYPACK automatically projects GML data if the CRS/EPSG code within refers to WGS84. Otherwise, we treat the data without conversion. It is up to you to know your projects and data and set the appropriate geodesy settings.

More Information

• Running the GML PRESENTATION EDITOR

• Assigning Display Commands in the GML PRESENTATION EDITOR


Running the GML PRESENTATION EDITOR

In the GML Presentation Editor, you can import the GML classes from a GML chart then assign geometry and display attributes for the objects to be presented in HYPACK.

1.Launch the GML PRESENTATION EDITOR by selecting PREPARATION-EDITORS-GML PRESENTATION. The dialog will appear with all enabled GML charts listed on the right.

GML PRESENTATION EDITOR

2.Import the GML classes from an enabled GML chart. The classes include such information as positioning and object type.

a.Select one or more charts from the list on the right.

b.Click [Import GML Classes]. Once loaded they are listed on the left.

3.For each class you want to display, assign a geometry class and add display commands.

4.Save your chart (FILE-SAVE).


Assigning Display Commands in the GML PRESENTATION EDITOR

Display attributes are all included in the tabbed area in the lower right of the dialog. They describe everything about how a feature will appear in the chart. Your task is to select those that describe your chart feature.

Attributes are grouped according to the feature type and attribute type in the tabbed area to the lower right of the dialog. (Use the left and right arrows to scroll through the tabs.) You may apply attributes from more than one tab, but only those that apply to your feature type. For example, you can not apply an area feature attribute to a point feature.

Note:If you need symbols other than those available from the HYPACK install, you can create custom symbols using the S52 EDITOR.

1.Select a record in the GML Class list and click [Edit Record].

2.Assign the geometry (point, line or area) according to the object type.

3.Select display commands in each applicable tab.

a.Select a tab that corresponds to your feature type.

Attributes Lists

b.Select a display attribute from a tab relevant to your class and click [Add]. Keep in mind that attributes will be drawn in the order defined. If you are adding multiple attributes, you may need to think about the draw order required to make all attributes visible. In the previous example, the area fill is added first so the pattern and border symbols are drawn on top. If the area fill is opaque and drawn last, the other attributes will not be visible.

Note:Notes: Text attributes are only applicable to point features.
If your line weight is greater than 1, the line style will always be solid.

c.Repeat steps a and b for each attribute to be applied to the feature. You may include as many attributes as you need to describe your object.

Note:If you are unsatisfied with your work, you can remove all display commands before they are saved by clicking [Discard Edit Changes].

d.When all attributes are described, click [Save Edit Changes].

4.Save your chart. Select FILE-SAVE. When you exit the GML PRESENTATION EDITOR, the chart updates according to your changes.


Exporting Map Features to Google Earth

You can export select HYPACK file types to a Google Earth KMZ file, which you can then open in the Google Earth program and view them overlaid in the display.

The following file types are supported by this feature:

•XYZ

•track lines

•targets

•DXF contours and hatch

•matrix

•planned lines

Filled Matrix and Targets from HYPACK to Google Earth HYPACK input (left) and Google Earth Output (right)

KMZ files can be generated from the HYPACK Files list or from the EXPORT program.

Exporting KMZ from HYPACK

To export a KMZ file from HYPACK:

1.Right-click in the Project Files or Data Files area and select ‘Export Google Earth’. A dialog will appear listing all project files that are available for export.

2.Select the files to export to Google Earth and click [Export]. The Export to Google Earth dialog will appear listing all enabled files in their current draw order.

Export to Google Earth Dialog

3.Omit any of the listed files, if necessary, by clearing their check boxes.

4.Reorder the draw order, if necessary. Select a file in the list and move it up to draw sooner or down to draw later (on top) using the corresponding buttons.

5.Click [Export] and name your file in the File Save dialog. It will be saved, by default, to the project directory with the KMZ extension.

6.When you are finished exporting, return to the HYPACK window, click [Close].

Exporting KMZ from EXPORT

EXPORT includes the KMZ Output File Format. No output options are required.

1.Start the EXPORT program by selecting FINAL PRODUCTS-EXPORT. All files associated with the project are loaded in their current enabled or disabled state to the EXPORT interface.

The Main Window of the EXPORT Program

2.Select the Output file type to which you want to export from the Output File Format drop-down menu.

Selecting the Target Format

3.Click the File Open icon and name your output file. The path will default, in most cases, to your project directory. XYZ output formats default to the Sort directory.

4.Select the file or files you want to convert by enabling and disabling them in the file tree on the left side of the window as you would in the main HYPACK screen. Files of types that can not be converted to the designated output format are marked with X's.

5.Add External files (optional). These are files that were not part of your project when you started EXPORT TO CAD, but you want to add them to your exported project data. Select FILES-ADD FILES or right click on the Files folder in the External Files list and select "Add File(s)". A File Selection Dialog will appear for you to browse for additional files.

6.Set your Input and Output Options.

Export Options Dialog

a.Click [Options] or F9 to access the Options dialog.

b.For each option applicable to your output file type on the left, select the option and set the related options displayed on the right.

c.Click [OK].

7.When your list is complete and all parameters have been set, click on [Convert] (or select FILE-CONVERT). The conversion will be made and you can see its progress in the conversion log which is displayed on the screen.

Conversion Log

Note:This shows which files have been successfully converted and if, for some reason, any have not.

s


Geodesy

Geodesy is the science of positioning objects on the earth's surface. Even though you don't need to be a master of geodesy to run HYPACK, some basic geodetic knowledge can make the difference between obtaining a correct position and having your boat plot downtown.

Most GPS equipment outputs your position in WGS-84.

ΦΛHwgs-84 → ΦΛHLocal Datum → XYProjection

In other words, HYPACK receives the Latitude, Longitude and Height information based on the WGS-84 ellipsoid, and transforms it into a Latitude, Longitude and Height on the Local Datum. It then performs a grid conversion to calculate an X (Easting) and Y (Northing) on the specified projection.

More Information

• Entering your Geodetic Parameters

• Selecting Ellipsoids and Projection Parameters

• Entering Datum Transformations Parameters

• Calculating Datum Transformation Parameters from Coordinate Data

• Calculating Time Variable Datum Transformations

• Exporting VDatum Data to an XYZ File

• Geodesy Utility Programs

• Geodesy 101


Entering your Geodetic Parameters

The GEODETIC PARAMETERS define your local grid. This enables HYPACK to correctly calculate your XY position on your local grid from your GPS data (typically WGS84).

You must define the following geodetic parameters for your local grid.

•The reference ellipsoid.

•Any necessary datum transformation parameters: If your local grid is not based on the WGS-84 ellipsoid, datum transform parameters are required.

•The projection parameters: Automatic when you choose one of the pre-defined grids.

The grid, zone, ellipsoid and survey units are displayed in the HYPACK status bar above the area map.

1.Start the GEODETIC PARAMETERS program by selecting PREPARATION-GEODETIC PARAMETERS.

Geodetic Parameters Dialog

2.Select your Ellipsoids and Projection Parameters.

Note:If your ellipsoid is other than WGS-84, you must also enter datum transformation parameters. Consult your project specifications. The HYPACK User Manual and Help files include directions for calculating datum transformation parameters.

3.Select your Distance Units. Notice that you can set your vertical and horizontal distances to be measured in different units if you wish.

4.Set your Datum Transformation values.

5.Choose your degrees format. Select OPTIONS-DEGREES FORMAT and the format you want to use.

6.If you are logging RTK (Real-Time Kinematic) tides, set your vertical correction settings according to the following table. When you make your RTK Tide Calculation selection, the dialog updates to display the other relevant options.

Configuring your Geodesy for RTK Tide Corrections

Area Description | RTK Selection | Enter Geoid? | KTD File? | Enter Chart DatumA?
•US Coastal Waters | N from GeoidB, K from VDatumC | Yes | No | Chart Datum
•Geoid Present •Constant Separation of Geoid - Chart Datum | N from Geoid, K from user value | Yes | No | Height of Geoid above Chart Datum
•Geoid Present •Changing Separation of Geoid - Chart Datum | N from Geoid, K from KTD | Yes | Yes Geoid above Chart Datum values | No
•No Geoid Present •Constant Separation of Reference Ellipsoid-Chart Datum | (K-N) from user value | No | No | Height of Ellipsoid above Chart Datum
•No Geoid Present •Changing Separation of Reference Ellipsoid-Chart Datum | (K-N) from KTD | No | Yes Ellipsoid above Chart Datum values | No

AThese fields are enabled and disabled according to the RTK selection.

BIf you use the 2012 Geoid, you must also use the 2012 VDatum files. Otherwise, use the previous version of VDatum with Geoid 2009.

CWhen using the VDatum database, you must use one of the pre-defined chart datums. If you enter a user-defined chart datum level, the VDatum database is ignored.The Vertical Datum field is written to the header of your file, but HYPACK® doesn’t use it for anything else.

7.If you are working in Elevation mode, do the following:

•Select the Elevation Mode option.

•Enter a user-defined Chart Datum Level above Geoid.

8.Click [OK]. Your geodesy settings will automatically be saved to your project.

More Information

• Selecting Ellipsoids and Projection Parameters

• Entering Datum Transformations Parameters

• Calculating Datum Transformation Parameters from Coordinate Data

• Calculating Time Variable Datum Transformations

• Exporting VDatum Data to an XYZ File

• Real Time Kinematic (RTK) Tide Corrections

• Geodesy Utility Programs

• Geodesy 101


Selecting Ellipsoids and Projection Parameters

The lat/long/height that describes your position depends upon your mathematical model of the earth (your "Ellipsoid" ).

Many grids have been built into HYPACK. Just select the correct grid and zone, and your projection parameters are automatically loaded.

More Information

• Using Predefined Grids

• Manual Grid Selection

• Local Grids

• Entering Datum Transformations Parameters

• Calculating Datum Transformation Parameters from Coordinate Data

• Ellipsoids


Using Predefined Grids

Whether you're surveying in UTM, State Plane or some other grid, the procedure is the same.

To select a grid:

1.Select your Grid from the Grids drop-down list. The Zone choices will now relate to your grid choice.

2.Select your survey zone. The geodetic information for each zone is "hard-wired" in the code and will appear down the right-hand side.

3.Select your survey distance unit HYPACK provides a choice several measurement methods.

State Plane Metric Survey (left), US Survey Foot Survey (right)


Manual Grid Selection

If your survey requires a grid other than those in our predefined grids list, you can enter your own projection parameters.

Tip: If you anticipate needing these same grid settings again, save them for easy recall from the Grids list.

1.Set the Grid List to User-defined. This provides access to all of the other features on the GEODETIC PARAMETERS window.

2.Select your Ellipsoid from the choices in the ellipsoid drop-down box. As soon as you make your selection, the Semi-Major Axis (a) and Flattening (1/f) values will change. If your ellipsoid is not in the list, click on the Other ellipsoid choice and manually enter the (a) and (1/f) values.

3.Select your projection from the Projections list. Different projections require different types of information. The labels and number of box entries down the right-hand side change according to the selected projection type.

4.Select your survey distance units.

5.Save your settings. (Optional)

a.Select TOOLS-SAVE CUSTOM GRID. A dialog appears.

User-Defined Grid Tool Dialog

b.Enter a name for your grid and click [OK].

6.Click [OK].

The Semi-Major Axis and Flattening, Scale Factor and other geodetic information pertinent to your chosen projection should now be set.


Local Grids

The “Local Grid” option in the GEODETIC PARAMETERS program enables you to position yourself on a local construction grid using your GPS equipment. To accomplish this, HYPACK first takes the latitude/longitude from the GPS and converts it to an XY on one of the existing projections (e.g. State Plane 1983 or UTM). It then translates the projection coordinate to a local coordinate, using the information you supply in the “Local Grid” option box of the GEODETIC PARAMETERS program.

Example of Local Grid Calculations

An example would probably best illustrate how to go about this.

In this figure, you have two points P1 and P2. The coordinates on the local grid are as follows:

P1: | X = 10000.0 | P2: | X = 10000.0
 | Y = 10000.0 |  | Y = 11260.0

We have also performed a GPS survey on these points and found their WGS-84 (world) positions to be:

P1: | N41 – 30 – 00.0000 | P2: | N41 – 30 – 10.0000
 | W72 – 30 – 00.0000 |  | W72 – 30 – 10.0000

Since we are in the State of Connecticut, we have decided to use the NAD-1983 CT State Plane Zone as our projection.

1.Calculate State Plane coordinates for our P1 and P2, using the WGS-84 Latitude and Longitude Information.

2.Start the GEODETIC PARAMETERS program and set it for NAD-83 CT State Plane Zone.

Setting the Geodetic Parameters for your Local Grid

3.Convert both the P1 and P2 values to State Plane coordinates in the GRID CONVERSION utility program. The resulting conversions provide us with the following information:

P1: | X = 1068483.01 | P2: | X = 1067719.20
 | Y = 743007.91 |  | Y = 744017.87

Converting the P1 and P2 values to State Plane Coordinates

4.Translate the projection coordinate to a local coordinate.

a.Go back to the GEODETIC PARAMETERS program. It is still set up for NAD-1983 CT.

b.Change the “Grids” frame from “State Plane NAD-83” to “None”.

c.Check the Local Grid Adjustment check box.

d.Click [Local Grid]. The Local Grid Definition window will appear.

Calculating the X and Y values

e.Enter the world and local coordinates of each point and click [Calculate]. The program automatically calculates the local grid parameters and displays them in the dialog.

Calculating the Distances and Angles in the Local Grid

f.Click [OK] again to save your parameters and exit the GEODETIC PARAMETERS program. The local grid parameters are now applied in your project as long as the Local Grid option is checked.

5.Test your results.

a.Enter the HARDWARE program. Place your GPS over P1 and run the Test function. The resulting X-Y coordinate should be 10000X and 10000Y.

b.Now the true test. Place your GPS antenna over P2 and run the same test. If you did your math correctly, you should be able to get X=10000, Y=12260.


Entering Datum Transformations Parameters

To move from the WGS-84 position (lat/long/height) to a position on your local datum, HYPACK performs a "Datum Transformation". The lat/long/height that describes your position depends upon your mathematical model of the earth (your "Ellipsoid"), and where you place the ellipsoid to fit your terrain (your "Datum"). HYPACK can perform either a three-parameter datum transformation or a seven-parameter datum transformation in real time. The parameters for this real-time transformation are specified in the GEODETIC PARAMETERS program.

To start the GEODETIC PARAMETERS program, click the GEODETIC PARAMETERS icon. The program loads the current geodetic parameters and displays them.

More Information

• Specifying No Datum Transformation

• Specifying a 3-Parameter Datum Transformation

• Specifying a 7-Parameter Datum Transformation

• Calculating Datum Transformation Parameters from Coordinate Data


Specifying No Datum Transformation

Instructing the GEODETIC PARAMETERS Program to perform no Datum Transformation

If you do not want HYPACK to perform a datum transformation, set all of the values in the Datum Transformation window to "0". This flags the program about your intent.

Note:If you are surveying on NAD-83 (GRS-80) or (WGS-84), you do not have to perform a datum transformation and the datum transformation fields are disabled.


Specifying a 3-Parameter Datum Transformation

Three-parameter datum transformations work well over a local area. To perform these, you must enter the offsets between the two survey datums. The values, dX, dY, and dZ represent the separation between the geocentric coordinate systems of the two datums. There are many sources for these values. If you know the Latitude/Longitude/Height of a single point in WGS-84 and the local datum, you can run the HYPACK Datum Transformation program to calculate the necessary values. In the following figure, we have entered dX=2.55 dY=-123.66 and dZ=-193.40. HYPACK will use these parameters to transform your geographic position in real time.

Specifying 3-Parameter Datum Transformation Parameters


Specifying a 7-Parameter Datum Transformation

HYPACK can also perform a 7-parameter datum transformation. In addition to dX, dY and dZ, the 7-parameter transformation also contains values for rotations about the X, Y and Z-axes, and changes in scale between the two systems. Seven-parameter datum transformations can cover a larger area more accurately than 3-parameter transformations. Certain countries have published 7-parameter transformation values that are to be used for the entire country (e.g. Saudi Arabia). HYPACK uses the Coordinate Frame Rotation formulas to compute geographic positions on the local datum.

Coordinate Frame Rotation

Care should be taken when entering the rotation values.

•They are expressed in seconds of arc.

•The Delta Scale is expressed in ppm (parts per million).

• Local conventions may also require you to enter an inverted value (e.g. positives become negatives and negatives become positive.)

Specifying a 7-parameter Datum Transformation


Datum Transformations with a Datum Shift File

A datum shift file (*.LLS) contains datum shift information for a particular area. When you are not working on a WGS-84 grid, you can load the datum shift file instead of the delta values to provide the datum transformation parameters required for your data.

1.Set the predefined grid and zone (if there is one) for your project area. The dialog display updates with the corresponding projection information.

2.Check the Ellipsoid.

3.If the ellipsoid displayed by your grid selection is not WGS-84, enter a Datum Shift File for your project area. Click [...] for the Datum Shift File Field, select the pertinent *.LLS file and click [Open].

4.Set any remaining geodetic parameters as required and click [OK].

Specifying a Datum Shift File


Calculating Datum Transformation Parameters from Coordinate Data

The DATUM TRANSFORMATION program calculates three or seven datum transformation parameters from coordinate information listings. These values translate your position data from one datum to another. A 3-parameter calculation requires only one point described in each datum. A 7-parameter calculation requires a minimum of three point pairs.

Typically, this program calculates the datum transformation parameters which convert the WGS-84 position to the corresponding position on your local datum. Enter the calculated values in GEODETIC PARAMETERS.

The DATUM TRANSFORMATION program will calculate and display the requested number of transformation parameters and offer to apply them in the GEODETIC PARAMETERS program. It also creates a simple text file summarizing the transformation and listing residual errors for each of the transformed points.

1.Set your ellipsoid and projection information in the GEODETIC PARAMETERS program.

2.Launch the DATUM TRANSFORMATION program by selecting UTILITIES-GEODESY-DATUM TRANSFORMATION. The dialog will appear for you to enter your parameters.

Datum Transformation Dialog

Angle Format defines your preferred input format.

Transform Type sets the number of parameters that will be calculated.

Note:A 7-parameter transformation requires at least three points.

From Ellipsoid: The ellipsoid of your source data. If you are calculating transform values for your geodesy settings, this will typically be WGS-84, the most common GPS output.

To Ellipsoid: The ellipsoid to which you want to convert. Typically, this is your survey ellipsoid.

Lat/Lon/Height: In the spreadsheet area, you must describe each point or points with two sets of coordinates--one in WGS84 and the other based on your local datum.

The Import from Text check box allows you to import coordinates from text files. This handy option can save a lot of time typing if you happen to have the coordinates in another file. If this option is selected, the bottom section provides a display to describe the positioning of your data in the file (or files). Refer to the following sections on creating and importing the text files.

Import Parameters

3.Click [Compute]. The program will display the requested number of transformation parameters and creates a simple text file summarizing the transformation and listing residual errors for each of the transformed points.

Seven Parameter Transform Calculation

4.Click [Transfer] (optional) to copy the calculated parameters to your geodetic parameters.

Multiple Calculations with Different Data Points:

Click [New Calc]. The spreadsheet will be cleared for you to enter another set of points.

More Information

• Creating Text Files for the Datum Transform Program

• Datum Transformation Report


Creating Text Files for the Datum Transform Program

The DATUM TRANSFORMATION program can import the sample coordinates to the spreadsheet from ASCII text files. These files are easily created using any text editor.

Input Options:

•One text file containing both sets of coordinates. each point should be entered in lat/long/height and using the same format, with WGS84 first followed by the local datum information. Both coordinate pairs must reside on one line.

•Two files, each containing one set of coordinates—One in WGS-84 and one based on your local grid. Each should contain the point information, entered in the same order and format to permit the program to compare them accurately.

Note:Additional text may be included in each line, as long as all lines are formatted in the same way to allow comparison.

Local Ellipsoid Coordinate Data

WGS-84 Coordinate Data

Both Sets of Coordinate Data in One Document


Datum Transformation Report

To see a summary of the transformation and a listing of residual errors for each of the transformed points, click [View Detailed Report]. This report may be saved or printed using the Windows® Notepad functions.

Sample Report


Calculating Time Variable Datum Transformations

Satellite-based global correction systems reference a virtual International Terrestrial Reference Frame (ITRF), rather than one particular point on Earth. Since the Earth’s surface constantly changes due to shifting tectonic plates, the datum transform parameters also shift over time. To model these shifts, geodesists around the world have produced datum transformation models based on the familiar 7-parameters datum transformation. However, the models change in time so each parameter has a value at the given reference time and the speed of change.

If you use a satellite-based global correction system, you must do a 7-parameter datum transformation for the tectonic plate on which your project resides. You can calculate the correct parameters using the Time Variable Transformations tool in the GEODETIC PARAMETERS program.

1.Select TOOLS-TIME VARIABLE TRANSFORMATIONS. The Time-variable Transformations dialog appears.

Time-variable Transformations Dialog

2.Enter the parameters for your system and project area:

•ITRF/WGS84 Epoch used by your correction system.

•Target System in which your project resides: NAD83, GDA94, EUREF89 OR EUREF2000.

•Target Year: The year to which you want to reference your data. If your project spans multiple years, use the same year each time to be consistent.

To use a fractional Target Year, select the year, overtype the decimal place and click [Compute].

3.Click [OK]. The program calculates the suggested datum shift parameters and enters them in the GEODETIC PARAMETERS dialog.


Exporting VDatum Data to an XYZ File

The Export VDatum to XYZ tool uses the data from the GTX file corresponding to the selected chart datum and converts them to an (ASCII) XYZ file. You can optionally limit the area covered by the output file with a border file.

Note:To use this XYZ file to verify the VDatum is correctly shifting the WGS84 Vertical Height, it is important to select the correct chart datum.

•If you want to limit the extent of your XYZ output, use the BORDER EDITOR to define your area of interest.

1.In the GEODETIC PARAMETERS program, select TOOLS-EXPORT VDATUM TO XYZ.

Exporting the VDatum to XYZ in GEODETIC PARAMETERS

2.Set your output file name and location.

a.Click the [...] for the ‘Output file’.

b.Enter your output file name and storage location.

c.Click [Save].

3.Limit the area of your XYZ output. (Optional)

a.Click the [...] for the Border File.

b.Select the border file that defines your output area.

c.Click [OK].

4.Click [Export]. A progress bar shows the progress of the export. You can display your XYZ file in the HYPACK area map to show the exact extent of the VDatum zone.

The Output XYZ File Displayed in HYPACK


Geodesy Utility Programs

The UTILITIES-GEODESY menu section contains the following programs

Geodesy Utilities

Program | Function
DATUM TRANSFORMATION | Compute the 3-parameter transformation shift parameters and test 3- and 7-parameters transformation parameters.
GRID CONVERSION | Convert from WGS-84 Latitude-Longitude to Local X-Y and the same in reverse.
TRAVERSE | Computes an open traverse calculation on the ellipsoid.
UNITS CONVERSION | Converts between different types of angle and distance units.
PROJECT CONVERSION | Converts the project files, and edited and sorted data files in a project with one set of geodetic parameters to a new project with different geodetic parameters.
GEODETIC LIST CONVERSION | Converts XY, Lat/Lon, Depths and Ellipsoid Height from one Geodesy to another.

In all of the GEODESY programs, use the following conventions:

•Enter degrees, minutes and seconds with comma separators.

•West Longitude and South Latitude as negative numbers (with the exception of GRID CONVERSION).

More Information

• GRID CONVERSION Program

• TRAVERSE Program

• UNITS CONVERSION Program

• PROJECT CONVERSION

• GEODETIC LIST CONVERSION


GRID CONVERSION Program

The GRID CONVERSION program allows you to convert:

WGS-84 Lat/Long | => | Local Lat/Long | => | X-Y
X-Y | => | Local Lat/Long | => | WGS-84 Lat/Long

This is the same conversion used by SURVEY as it receives position data from your GPS (in WGS-84) and converts it for your local datum.

1.Configure the geodetic parameters as the GRID CONVERSION program uses the current setting as the basis for its conversion. You can access the GEODETIC PARAMETERS program from the GEODETIC PARAMETERS icon on the toolbar.

2.Enter the GRID CONVERSION program by clicking UTILITIES-GEODESY-GRID CONVERSION. The Geodetic Conversion dialog will appear.

The Grid Conversion Window

3.Indicate whether you want to transform from Geographic Position (Lat/Long) to X-Y or from X-Y to Geographic Position (Lat/Long).

4.Enter either the X-Y coordinates or the Latitude and Longitude.

5.Click [Convert]. The information will be computed and displayed.

6.Name your point. (Optional) Select the record in the list of converted points, press the Enter key and type a new name.

To re-enter converted point information in the upper part of the dialog without retyping, double-click the required point.

To remove points from the list of converted points:

•[Delete] erases the selected point.

•[Clear] erases all points in the list.

[SaveTargets] saves your converted points to targets in the GEOCONV target group.

[Print] sends a report to the printer listing the following:

•the current project geodesy settings

•the input data,

•the calculated output data

Sample Grid Conversion Report


TRAVERSE Program

A traverse computes the forward position of a point, using a previous point, a backsight point and the measured angle and distance to the next point. Since this point computes the position on the ellipsoid, the distance and azimuth information into the program must be geodetic, instead of grid-based.

1.Enter the TRAVERSE program by clicking UTILITIES-GEODESY-TRAVERSE.

The TRAVERSE Window

2.Enter Latitude and Longitude for your starting point.

3.Enter the Back Azimuth from the starting point to your backsight.

4.Enter the Geodetic Distance and Geodetic Angle for the next point in the traverse. Click [OK].

The program calculates the position of the new point. You can print this step in the traverse by clicking on [Print Results].

[Calculate Next Leg] erases the Point Two data so you can input a new set for a new calculation.


UNITS CONVERSION Program

The UNIT CONVERSION program is used to convert between different angular and distance measurements.

The Unit Conversion Window–Converting Distance

1.Select UTILITIES-GEODESY-UNIT CONVERSION.

2.Select either Angles or Distance by clicking on the coinciding button at the top left.

3.Select the Units you are converting From and To by clicking on the respective menus.

4.Enter the units you are converting from in the format specified at the base of the From column.

5.Click [OK].

The converted angle or distance will appear at the bottom of the To column.

If you wish to calculate another conversion, click on [Convert Another]. The screen will reset and you may repeat the same process.

To print your calculations to the default Windows® printer, click [Open Printer] to use the Windows® printer setup dialog, then click [Print Results].


PROJECT CONVERSION

PROJECT CONVERSION can convert the project files, and edited and sorted data files in a project with one set of geodetic parameters (the source project) to a new project with different geodetic parameters (the target project).

Important: PROJECT CONVERSION does not convert binary files.

It was originally created to assist users who are phasing out NAD-27 surveys in favor of NAD-83 surveys. For these surveyors, translating survey lines will improve the accuracy of historic comparisons between the old NAD-27 and the new NAD-83 surveys.

The PROJECT CONVERSION also solves problems for surveyors who unknowingly collected data using incorrect geodesy settings. Those in this category no longer have to resurvey the area to correct the error.

Note:Most background files can not be converted due to scaling issues and are disabled in the program.

1.Enable all files that you want to convert in the source project.

2.Create a new project with the new geodetic parameter settings.

Note:This project must be in the same directory as the original source project.

3.Launch the PROJECT CONVERSION. Select UTILITIES-GEODESY-PROJECT CONVERSION.

PROJECT CONVERSION

4.Tell the program whether your projects are in the local Projects directory or on a network drive. Check the corresponding Use Network Projects option.

5.Select the project group where each project resides.The geodesy settings for each are displayed.

6.Select the files you want to convert. (Most file types are convertible.) Use the checkbox for each file to select or deselect it.

7.Convert the files. Click [Convert]. The status of the conversion is listed at the right.

More Information

• Recalculating Position from RAW Data


GEODETIC LIST CONVERSION

GEODESY LIST CONVERSION reads XY or Lat, Lon data and converts it to an XY or Lat, Lon of different or like geodetic parameters and survey units. In addition, the program can read, convert, and output depth or ellipsoid height.

Geodesy List Conversion

1.Select the input project. This will set the geodesy for the data input.

2.Select the input type. The file need not be exactly in the selected format, but all records must be formatted in the same way.

3.Enter the input file name. Click the corresponding [...] and name your input file.

4.In the lower left corner, set the data to read and in what order they appear in the input line. Click the checkbox to enable an item then click and drag the items in the box to set the order. Use an Ignore item for values to be omitted from the conversion.

5.Select the output project and file type.

If you want your output file stored to the same project as your input file, check the Use Input Project as Output Project option. The program automatically sets the Project Group, Output Project and Ellipsoid Projection for the output to match the input.

6.Enter the output file name. Click the corresponding [...] and name your input file.

7.Indicate whether you need to convert the depth units. You can convert from meters to feet or feet to meters.

8.If you want to output to Lat./Lon,, select the Decimal Precision for Lat/Long, Degrees Format and Degree Decoration.

9.If you want to output Z or Ellipsoid Height, enter the Decimal Precision for Z/Ellipsoid.

10.Test your settings. Click on [Test Line]. The results from converting the first line in the input file is displayed in the dialog. If the results are incorrect, recheck your settings and retest.

11.When your test results are correct, click [Run] to convert all of the records from the input file and generate the output file.

Simple Meters-to-Feet Conversion—Before (left) and After (right)


Planned Survey Lines and Channel Designs

Planned survey lines (*.LNW) define where you want your vessel to go. The line file contains the grid coordinates and names for each planned line in your project area and can also contain cross section template information. Line files are typically created in the LINE EDITOR or ADVANCED CHANNEL DESIGN program.

Planned lines are generated in the following programs:

•LINE EDITOR

•ADVANCED CHANNEL DESIGN

•DXF TO LNW

•DGN TO LNW

•LNW GENERATOR

•TIN MODEL

Planned lines are saved with an LNW extension and are usually saved in the project folder. You should give each set of planned lines a unique name which will allow you to determine for what area the survey lines were created.

A 3-dimensional planned line file can be used by SURVEY or DREDGEPACK to provide channel information in the profile window. SURVEY or DREDGEPACK will also store the template information in the headers of the data files where it can be read by the editor and other post-processing programs.

Although it is possible to collect survey data without planned lines, it will make the editing process more logical and assure your required coverage if you have referenced some kind of survey lines in your area.

More Information

• Spacing Planned Lines

• Offset Patterns for Planned Lines

• Creating Planned Lines in the Line Editor

• Creating Channels and Planned Lines in ADVANCED CHANNEL DESIGN

• Creating A Planned Line File from a DXF or DGN File

• Creating Planned Lines in the LNW Generator

• Line Reports

• Generating Planned Survey Lines Based on TIN MODEL Contours


Spacing Planned Lines

Line spacing for single transducer surveys is somewhat arbitrary, because full bottom-coverage is almost never practical. For sweep surveys, where full bottom-coverage is practical, line spacing is usually chosen to insure full coverage.

If your boat is equipped with a multibeam system, where the coverage of a single sweep varies depending on water depth, line spacing will often change from one survey to the next. Some simple trigonometry gives the coverage relationship with water depth.

•Port Coverage = Water Depth x Tan(Port Theta)

•Starboard Coverage = Water Depth x Tan(Starboard Theta)

•Sweep Coverage = Port Coverage + Starboard Coverage

It is tempting to orient the sweep transducer with somewhat side-looking geometry, as this increases the coverage per sweep. Be careful about this because the trade-off is decreased data quality in the outer beams.

More Information

• Creating Planned Lines in the Line Editor


Offset Patterns for Planned Lines

Planned lines can be created in any one of several patterns using the Offsets function. All of the following patterns are available when you generate lines in the LINE EDITOR. ADVANCED CHANNEL DESIGN generates only the center line pattern.

•To support AUV travel, you may choose to join the lines together into one line, with straight or curved segments joining the end of one straight segment to the beginning of the next.

Appending Offsets to One Line Settings (left), and the Results (right)

Appending Offsets to One Line With Calculated Radius Settings (left), and the Results (right)

The center line pattern includes the Smart Corners option which rotates lines about the intersection of the planned line and the channel center line so that the line does not intersect with any other planned line.

Center Line Pattern - No Smart Corners (left), Smart Corners (right)

More Information

• Creating Planned Lines in the Line Editor


Creating Planned Lines in the Line Editor

LINE EDITOR creates planned line files. Create each line individually, or create one line then additional lines offset in a choice of several patterns. There is no limit to the number of waypoints per line or lines per file.

The LINE EDITOR is most commonly used to make two-dimensional line files, but you can choose to add channel template information to generate three-dimensional hydrographic survey lines.

Additionally, planned lines may be exported to a selection of third-party plan files.

To create planned lines in the LINE EDITOR:

1.Open the LINE EDITOR. Select PREPARATION-EDITORS-LINE EDITOR.

2.Choose to enter your position information in XY or Lat/Lon format. Select EDIT-INPUT MODE and your choice. Lat./Lon. coordinates from the local datum will be entered according to the default format specified in the HYPACK Control Panel.

Note:The LNW file stores the waypoints in XY coordinates. Alternatively, you can save the same file with WGS-84 coordinates (*.L84) for use outside of HYPACK®.

3.Set your line naming options. (Optional)

4.Define your planned lines by entering the waypoints that describe each line. Each page on the spreadsheet represents a separate planned survey line and may be viewed by selecting the line name in the left-hand pane.

5.Create and apply channel template information. (Optional)

6.Save your planned lines. HYPACK planned lines: select FILE-SAVE or FILE-SAVE AS and name your file. Your data will be saved, by default, with an LNW extension to your project folder and enabled in the project files listing.

•HYPACK planned lines: select FILE-SAVE or FILE-SAVE AS and name your file. Your data will be saved, by default, with an LNW extension to your project folder and enabled in the project files listing.

•For third party mission plans, select Mission Planning-EXPORT and the required output format. Provide any additional information required by the selected output format and save your file.

More Information

• Line Naming Options

• Creating 2-Dimensional Planned Lines - Spreadsheet Method

• Creating 2-Dimensional Planned Lines Using the Cursor and Offsets Method

• Importing Waypoints From a Text File to the LINE EDITOR

• Importing Third-party Formats to the Line Editor

• Creating Planned Lines to Fit Your Survey Area

• Generating Planned Lines at Predefined Locations

• Editing your Planned Line File in the Line Editor

• Creating 3-dimensional Planned Lines in the Line Editor

• Appending Line Files

• Creating Waypoints Using Distance and Bearing

• Creating Curved Lines with the Line Editor

• Exporting Planned Lines from the LINE EDITOR

• Exporting Template Points to XYZ


Line Naming Options

If you prefer something more than a simple line number to identify each planned line in the file, you can pre-define a text string that will be appended to the line number as specified. This feature is optional and must be set each time you enter the LINE EDITOR.

Note:This option is not available for lines created using center line offsets.

Defining a Prefix or Suffix

1.Select LINE-LINE NAME PREFIX or LINE-LINE NAME SUFFIX. A dialog will appear.

Line Name Prefix and Postfix Dialog

2.Enter the required text string and click OK.

Once a string has been entered, it will appear next to the menu selection and will be appended to all lines created after that until you change the string definition or close the LINE EDITOR.

Line Names with Prefix and Postfix


Creating 2-Dimensional Planned Lines - Spreadsheet Method

1.Open the LINE EDITOR. Select PREPARATION-EDITORS-LINE EDITOR.

2. Create the spreadsheet by clicking the Add Point icon once for each waypoint you wish to enter in the initial survey line. Each point will be automatically filled with the coordinates of the upper left corner of the area map.

3.Enter the coordinates with the waypoint position information for the first line into the spreadsheet.

Entering the Initial Line in Line Editor

4.Create your offsets.

a.Click on the Offsets icon. The offsets dialog will appear.

b.Select the pattern of lines you wish to use by selecting the corresponding tab.

c.Enter the parameters for line construction—typically, the number of offsets to be created as well as the distance or angle between them, but the parallel and centerline patterns include additional options:

•To determine which way is left or right (port or starboard) for parallel and center line offsets, imagine you are standing at the start of the initial line looking toward the end.

•Line Naming: Parallel lines default to sequential numbers, but you may choose GeoNav naming. Cross line names in the center line pattern default to ###.##, but you may choose ##.###.

•The center line pattern also requires a chainage on which the line numbering will be based and the angle at which the offsets will be generated relative to the center line.

d.If you are generating parallel offsets, choose whether to allow line renumbering.

When the LINE EDITOR generates your offset lines, usually, it creates (and numbers) the offsets, in sequence, after the initial line (eg. 1,2,3,4,5). However, since you can generate parallel offsets on either side of the initial line (line ‘1’), they would be out of sequence (eg. 2,3,1,4,5).

To generate lines sequentially numbered, we have to renumber (rename) the lines by checking Allow Line Renumbering.

Tip: There are times, such as when you have generated offsets more than once, when this method of renumbering will not yield a sequential line set. If this is the case, select LINE-RENUMBER. The LINE EDITOR will renumber all of the lines in the file.

Offsets—Parallel Tab

e. Click [OK]. HYPACK will display your filled spreadsheet and the lines will be drawn to the screen.

Alternatively, you can manually enter all of the waypoint data into the spreadsheet. (If you have a file with a lot of waypoints, you’ll need a lot of time and patience for this option.)

5.Preview your lines by clicking the Extents icon. The LINE EDITOR spreadsheet will minimize and the area map will zoom in to the line file. Arrows show the direction of the line currently selected in the editor.

Previewing Your Lines

6.Return to the LINE EDITOR by clicking [Line Editor] at the lower left.

7.Name individual lines (optional):

•Select LINE-LINE NAME and provide the name in the dialog that appears.

OR

•Right-click on the current line name, select ‘Rename’ and enter the new line name.

8.You may edit your lines, in the spreadsheet or with the cursor, if you wish. Continue to preview and edit until your lines are satisfactory.

9.Save your file. Select FILE-SAVE or FILE-SAVE AS and name your file. Your data will be saved, by default, with an LNW extension to your project Folder and enabled in the project files listing.

Note:You may start again by selecting FILE-CLOSE. Confirm that you do not wish to save the file and the LINE EDITOR will return to the point when you first launched it.

More Information

• Offset Patterns for Planned Lines

• Editing your Planned Line File in the Line Editor

• Creating 2-Dimensional Planned Lines Using the Cursor and Offsets Method


Creating 2-Dimensional Planned Lines Using the Cursor and Offsets Method

You can interactively create planned survey lines in the LINE EDITOR:

1.Open a Background File of your survey area.

Sample Background File

2.Open the LINE EDITOR. Select PREPARATION-EDITORS-LINE EDITOR

3. Create your initial planned line. Click the Cursor icon and the LINE EDITOR will minimize.

4.Click in the area map to mark each waypoint in the initial line.

5.Restore the LINE EDITOR by clicking [Line Editor] at the bottom left. You can review the points of your first line, and then continue.

6.Create your Offset Lines.

•Automatically using the Offsets icon and HYPACK will automatically make them for you.

i. Click the Offsets icon. The offsets dialog will appear.

ii.Select the pattern of lines you wish to use by selecting the corresponding tab.

iii. Enter the number of offsets to be created as well as the distance or angle between them. For Parallel and Center line Offsets, imagine you are standing at the start of the initial line looking toward the end to determine which way is left or right (port or starboard).

iv.Choose whether to allow line renaming.

v.Append offsets to single line. (Optional.) Check this option to connect the end point of one line to the start point of the next using a straight line segment.

When you join your lines in this way, you can also use the Automatically Calculate Curve Radius for Segments option to calculate the radius for a curved connecting segment, providing a smooth turning transition as you change direction.

Appending Offsets to One Line With Calculated Radius Settings (left), and the Results (right)

vi.Click [OK]. HYPACK will create the additional offset lines and display your filled spreadsheet.

•Manually adding each line as described in “Editing your Planned Line File in the Line Editor”. Repeat this process until all of your offsets have been defined.

7. Preview your lines by clicking the Extents icon. The LINE EDITOR spreadsheet will minimize and the area map will zoom in to the line file.

Planned Lines Preview on HAL.DIG

8.Return to the LINE EDITOR by clicking [Line Editor] at the lower left.

9.Name individual lines (optional) :

•Select LINE-LINE NAME and provide the name in the dialog that appears.

OR

•Right-click on the current line name, select ‘Rename’ and enter the new line name.

10.You may edit your lines in the spreadsheet or with the cursor if you wish.

11.Continue to preview and edit until your lines are satisfactory.

12.Save your Line File. Select FILE-SAVE or FILE-SAVE AS and name your file. Your data will be saved, by default, with an LNW extension to your project Folder and enabled in the project files listing.

More Information

• Loading Background Charts to the Project

• Offset Patterns for Planned Lines

• Editing your Planned Line File in the Line Editor

• Creating 2-Dimensional Planned Lines - Spreadsheet Method


Importing Waypoints From a Text File to the LINE EDITOR

The LINE EDITOR Import dialog enables you to extract data from ASCII text files and use it to populate the fields of the LINE EDITOR to generate single-segmented planned lines.

•Each line (or record) in the text file must contain the data for one line in the planned line file and present the data in the same order.

•Each line must, at least, contain the coordinates for the start and end points of the line. If no name is imported, the LINE EDITOR automatically numbers your lines when you import the data.

1.Open the LINE EDITOR. Select PREPARATION-EDITORS-LINE EDITOR.

2.Select FILE-IMPORT. This will give you the dialog box which you will use to set up your import of the text document.

Line Import Dialog—Importing the Second Through Fifth Fields of Each Record: The Waypoint Positions

3.Select and order the fields used to create your new line file.

•Place a check in the box for each field in your text file you want to use to populate the Line file.

•Use the cursor to drag the fields into the order that they appear in your file.

•To skip a field in the string, check ‘Ignore’ and drag it to the position of the field to be skipped in the list. If you need more than one Ignore field, click [Add Ignore Field] to generate as many as you need.

Ignoring Fields in the Import String—Ignoring the Second Field in an XY Import

4.Choose the correct delimited format. The program supports comma, tab and space delimiters.

5.Load the text file. Click [Load File], select your file and click [Open]. In the Lines area, you will see your waypoints as they appear in your file and you can see the syntax of the records.

6.Check the syntax of your file against the field list. (Optional) This process verifies that your configuration settings are compatible with the text file you have loaded.

a.Select a line from the Lines area.

b.Click [Check Syntax]. A message window will appear to tell you how many records of the total number can be converted using your current settings.

7.Click [Convert] A message window will appear to tell you how many records have been converted.

8.Click [Exit]. The Import dialog will close and the LINE EDITOR will be populated with the data from the text file.

9.Save your line file. Select FILE-SAVE or FILE-SAVE AS and name your file. Your data will be saved, by default, with an LNW extension to your project folder.


Importing Third-party Formats to the Line Editor

*.LIN and *.N83 Files

If you have a DOS Line file (*.LIN) or a Trimble Line file (*.N83), you can import it into HYPACK through the LINE EDITOR.

1.Select FILE-OPEN and a file selection dialog will appear.

2.Specify the file type then the file you want to import.

3.Save the file in LNW format.

Your file will be saved as an LNW file which may be used in the other modules of HYPACK.

Mission Planning Formats

For projects using unmanned mobiles, the LINE EDITOR can import waypoint information from MAVLink and GPX format mission plans and use it to generate a HYPACK planned line file.

This is for display purposes on the HYPACK computer only. As HYPACK collects the data, the planned lines matching the mission plan which controls your mobile provide context in the HYPACK displays.


Creating Planned Lines to Fit Your Survey Area

You can create a border file in the BORDER EDITOR, which defines the boundary areas of your survey area. Use it to guide HYPACK in creating or "clipping" the survey lines to exactly fit within a coastline or unorthometric survey area.

Create one or more border files to describe your survey area. You will need one border to define the perimeter of your survey area. Additional border files may be required if there are obstructions, such as islands, in your survey area that will disrupt your line pattern.

Note:The last point of the border describing the perimeter should always be inside the border area. The last point of borders describing unsurveyable areas, such as islands, within the survey area should be outside the border area.

Once you have defined your survey area with border files, you can clip existing line files or generate a new line set within the border defining the perimeter.

• Clipping Planned Lines to the Survey Area

• Creating Planned Lines inside a Border File

Clipping Planned Lines to the Survey Area

If you have a planned line file whose lines extend outside the survey area, you can use a Border file to clip the lines to fit your area.

1.Create a border file (or border files) defining the boundaries of your survey area.

2.Open your planned line file by opening the LINE EDITOR and clicking FILE-OPEN then selecting the correct line file.

Planned Line File with Border File overlaid

3. Click [Clip Lines].

4.Select the border file that you want to clip with and click [OK]. HYPACK does the rest. If the border is concave and lines are broken, the segments toward the end of the line will be renamed with an “_Number” appended. For example, line 2 would become “2” and “2_1”.

Note:You may need to repeat this process multiple times if you have more than one border file.

5.Save your file. Use FILE-SAVE if you want to overwrite your original line file. Use FILE-SAVE AS to preserve your original line file and save the clipped lines to a different name. Your data will be saved, by default, with an LNW extension to your project folder and enabled in the project files listing.

Return to Top

Creating Planned Lines inside a Border File

If you are creating a new line file the LINE EDITOR can create a set of survey lines with user-defined spacing and azimuth to fit within the border file.

1.Create the border file to describe the perimeter of your area. Take care to place the last point inside the area defined.

2.Open the LINE EDITOR.

3.Select LINE-GENERATE LINES IN BORDER. A dialog will appear.

Entering the parameters to create lines inside a border file.

4.Enter border file, line spacing and line azimuth for your file and click [OK]. The lines will be generated and drawn to the design window for preview.

5.Save your line file. Your data will be saved, by default, with an LNW extension to your project Folder and enabled in the project files listing.

Sample Line File within a border

Return to Top


Generating Planned Lines at Predefined Locations

The LINE EDITOR includes a routine that generates a set of planned lines centered over each position from a target group or XYZ file. It’s a useful tool to quickly generate a search pattern or parallel offset lines over several predefined locations.

1.Create the file to be used for positioning. You may easily create a target group in HYPACK or the TARGET EDITOR or an XYZ file in the XYZ COLLECTOR.

2.Open the LINE EDITOR and select FILE-NEW.

3.Select LINE-PLANNED LINES AT POINT. The Planned Line at Point dialog appears.

4.Enter the parameters on which the lines will be generated.

•Source file: The positioning information for each set of lines. Select the XYZ File or Target Group option, then use the corresponding ellipsis button to load the file.

•Line Length: Length of each line in the file.

•Line Azimuth: Angle the pattern is rotated around each position point. The program places the first line at the defined angle and generates the remaining lines relative to it.

•Lines Per Point: Number of lines generated around each point in the source file.

•Pattern: Choose a Search pattern or parallel offsets centered on each point.

Note:If you choose the Offset pattern, enter an odd number of lines per point so your lines will be evenly spaced with one line across the position and an even number of lines on each side. If you enter an even number of lines per point, the program generates an equal number of lines on either side of the point leaving a gap twice the size of the line spacing in the center.

•Line Spacing: Distance between lines generated in an Offset pattern.

Planned Line at Point Dialog—Search Pattern at Target Locations (left) Offsets Pattern at XYZ Positions (right)

5.Click [OK]. The line sets are generated all in one planned line file with line names in the format PointNumber_LineNumber.LNW.

Resulting Line File in the LINE EDITOR

6.Save your file. Select FILE-SAVE and name your file. It is saved, by default, to your project folder.

Resulting Line File—Search Pattern (left) Offsets (right)

More Information

• Marking Targets with your Cursor in HYPACK

• Creating Targets in the TARGET EDITOR

• XYZ COLLECTOR


Editing your Planned Line File in the Line Editor

You may edit a planned line file that has been created in the LINE EDITOR, at any time, by opening the LINE EDITOR and selecting FILE-OPEN and selecting the LNW from the file selection dialog. The saved data will appear in the spreadsheet where you can make your changes.

Many changes can be made either in the spreadsheet or by using the cursor in the area map. The following describes the editing operations available and instructions to do them in each mode.

Editing Tools and Methods in the LINE EDITOR

Task | Spreadsheet Method | Cursor Method
Add Line | Click the Add Line icon then the Add point icon. Enter the waypoint position data. | Add Line icon then the Cursor icon. Click on the map at waypoint positions.
Delete Line | Right-click on the line name of the line to be removed and select ‘Delete’. |
Insert a Waypoint | Select waypoint below where the new point should be inserted and click the Insert Point icon. Enter the appropriate coordinates. | Select waypoint immediately before it on the line. (The circle will fill.) Hold the Shift key and click with the cursor at the new waypoint location.
Delete Waypoint | Select the waypoint in the spreadsheet and click Delete Point icon. | Select the waypoint in the area map (it becomes solid filled) and push the delete key on keyboard.
Reposition a Waypoint | Type new coordinates for the point you want to move. | Select the waypoint in the area map then drag it with the cursor to the new location.
Reverse the Order of Waypoints | Right-click on the current line name and select ’Reverse Order’. |
Clip lines to survey area | (See “Clipping Planned Lines to the Survey Area”. )
Rename lines | Right-click on the current line name, select ‘Rename’ and enter the new line name.

• Undo Offsets

• Extending or Shortening Lines

• Inserting Equidistant Lines within a Line File

Undo Offsets

If you have just used the automatic Offsets feature and are unsatisfied, and you have not yet closed the file, select LINE-UNDO OFFSETS and try again. Continue to preview and edit until your lines are satisfactory.

Return to Top

Extending or Shortening Lines

Modifying the length of the planned line (at either or both ends) enables you to expand your survey area and maintain the ability to do accurate historical comparisons with previous surveys.

1.Open the line file where you want to extend lines.

2.Click the Offsets icon and select the Extend Lines tab.

Offsets – Extend Lines Tab

3.Select whether you want to extend All Lines or Specific Lines.

4.If you choose “Specific Lines”, specify a range of lines (by line number) to be affected. (The dialog default includes all of the lines in your file.)

Note:These numbers usually correspond to the line numbers. However, if the line naming scheme is other than sequential numbering beginning at one, you should count the lines in the Lines list to determine how to describe the range of lines. For example, if you are extending the offsets in a center line pattern, the center line is "1", then the section lines begin, by default, at "0+00". If you specify a range of 5-15, the lines named "3+00" to "13+00" will be extended.

5.Enter the distance that you want to extend the lines at the start or end (or both) of the specified lines. (If you want to shorten your line, enter a negative distance.)

6.Click [OK] and the LINE EDITOR will move the start line point by the specified distance.

Return to Top

Inserting Equidistant Lines within a Line File

You can insert a user-defined number of survey lines between two adjacent lines in an existing planned line file. The Line Editor will calculate the required waypoint coordinates to distribute them evenly between the two existing lines using the same offset pattern. Line Editor generates unique numeric line names for the inserted lines.

To insert additional lines into an existing planned line file:

1.Open the existing planned line file in the LINE EDITOR.

The Original Planned Line File

2.Hold the Ctrl key and use your cursor to select the two adjacent lines between which you want to insert the additional lines.

3.Right-click in the shaded space created by the selection and select “Add lines between 2 selections”. A dialog will appear.

Inserting lines in the LINE EDITOR

Specifying the number of lines to be inserted

4.Enter the number of lines you want to insert and click [OK]. The lines will be inserted into the file. In this example, we began with six lines named by number. The inserted lines are named 7, 8 and 9. You may rename them manually, if you wish.

Three Lines Inserted to a Line File with Parallel Offsets

5.Save your modified file. Select FILE-SAVE to overwrite the original line file. Select FILE-SAVE AS to write the results to a new line file. Your data will be saved, by default, with an LNW extension to your project Folder and enabled in the project files listing.

Return to Top

More Information

• Clipping Planned Lines to the Survey Area


Creating 3-dimensional Planned Lines in the Line Editor

You can add channel template information to your planned line file through the options in the Template menu. This creates a 3-dimensional planned line file that can then be used to display the template during survey and dredging operations, and in the SINGLE BEAM EDITOR. It is also used to calculate volumes in the CROSS SECTIONS AND VOLUMES and the TIN MODEL programs.

You can use the Template tab as an alternative to the one provided in the CROSS SECTIONS AND VOLUMES program, then import the TPL file into the Template column of CROSS SECTIONS AND VOLUMES to describe alternate channel designs for calculations in that program.

1.Create your channel templates. Use the Template tab to create as many templates as you need to describe your channel. Each line can have a different template if necessary.

2.If you are working in Elevation Mode or are using RTK positioning and have specified a Chart Datum, apply your Chart Datum to your template by selecting TEMPLATE-ALL LINES-APPLY DATUM.

Tip: If you are in Elevation Mode, depths should be negative values. If you have entered positive values, select TEMPLATE-ALL LINES-INVERT DEPTHS.

3.Apply the template (or templates) to the lines that it describes.

4.When you have the correct template information applied to all of your lines, save your planned line file. Select FILE-SAVE or FILE-SAVE AS and name your file. Your data will be saved, by default, with an LNW extension to your project folder and enabled in the project files listing.

• Creating a Channel Template in the Line Editor

• Applying and Removing the Chart Datum to your Template

• Applying the Template to the Survey Lines

• Changing the Default Template

• Removing the Template from Survey Lines

Creating a Channel Template in the Line Editor

1.Select the line to which you want to add the template information from the list on the left of the LINE EDITOR (click it to highlight it) and select the Template tab.

The left side of the dialog contains a 2-column spreadsheet. The area at the right draws the template as described in the spreadsheet using DBL as the horizontal axis and Depth as the vertical axis. This representation is also affected by the Elevation setting in your geodetic parameters.

Depth vs Elevation

Elevation Option is… | Mode | Depth Measurement
Selected | Elevation | Negative downward
Not Selected | Depth | Positive downward

The bottom of the dialog displays:

•The Chart Datum to show you what has been set in your geodetic parameters. You must apply your Chart Datum to your template if you are working in elevation mode or using RTK positioning.

•The Line Length to show you what the template length should be for that line.

2.Describe the channel template by entering the Distances from the Beginning of the Line (DBL), in order, and their corresponding depths to the spreadsheet. You can enter up to 200 such points and the graph on the right will draw accordingly. If the drawing on the right is incorrect, make changes in the spreadsheet to correct it.

You can easily change the sign of your depth values by selecting TEMPLATE-ALL LINES-INVERT DEPTHS.

The Template Editor draws the Template

3.Save the template information (optional) by selecting TEMPLATE-SAVE CURRENT TEMPLATE and naming the template. Name it something that describes the template to help you recognize which line or series of lines it goes with. This will be saved to a template file (*.TPL) in your project Folder.

Note:Saving the template to a TPL file is not required, but it may save you some time in applying templates to additional lines in your file. This file is then also available to use as a template file in CROSS SECTIONS AND VOLUMES.

Return to Top

Applying and Removing the Chart Datum to your Template

Apply the chart datum by selecting TEMPLATE-ALL LINES-APPLY DATUM. The depths in the spreadsheet will be recalculated (depth + datum) and the vertical axis on the graph will be labeled accordingly.

Remove the chart datum from your template, select FILE- ALL LINES -REMOVE DATUM.

Return to Top

Applying the Template to the Survey Lines

When you create a template, the template you just created is now applied only to the line that was selected when you created the template. The next step is to apply the template to any other lines that have the same template.

The Default Template makes it quick and easy to apply the same template information to multiple lines. Once you have defined a template, you can store it to temporary memory by clicking [Make Default]. You can then apply that template to one or more additional lines.

•To apply the default template to one line:

a.Select the line to which you want to apply the template.

b.Select TEMPLATE-USE DEFAULT TEMPLATE. The template that was last set as the default will be applied.

•To apply the default template to all lines select TEMPLATE-ALL LINES- USE DEFAULT TEMPLATE.

•To apply template other than the default:

a.Type new template information for the line into the Template tab.

b.Select TEMPLATE-LOAD TEMPLATE and select the required TPL file. (You must have previously entered the information and saved it using TEMPLATE-SAVE CURRENT TEMPLATE.)

Return to Top

Changing the Default Template

Unless you have a very simple channel, you will have multiple templates in your channel. As you apply template throughout your channel, from time to time, you may need change which is the default. You can:

•Copy it from a line. Select a line that already has the new template attached and click [Make Default] (or select TEMPLATE-MAKE TEMPLATE DEFAULT).

•Copy it from a TPL file. If the new template has already been defined and saved to a TPL file, select a line where you want the new default template applied, then select TEMPLATE-LOAD TEMPLATE and the template file. Click [Make Default] to set it as the new default.

Return to Top

Removing the Template from Survey Lines

To remove the template information from individual lines, select the line then select TEMPLATE- CLEAR TEMPLATE.

To remove the template information from all of the lines, select TEMPLATE-ALL LINES-CLEAR TEMPLATE.

Return to Top


Appending Line Files

You can append one existing Line File to another in the LINE EDITOR.

1.Open or create a line file in the LINE EDITOR.

2.Select FILE-APPEND and a file selection dialog will appear.

3.Choose the second line file and click [OK]. The second file will be appended to the end of the first. When the Line Editor combines the two files, it checks for duplicate line names. If there are duplicate line names in the appended file, the LINE EDITOR appends an “_1” to the name. If that name already exists, the LINE EDITOR appends an “_2”. LINE EDITOR will continue incrementing the number after the underscore until it creates a line name that is unique to the file.

4.Preview the results by clicking the Extents icon.

5.Save your file. FILE-SAVE will overwrite the original line file. FILE-SAVE AS will enable you to assign a new name to the combined file.


Creating Waypoints Using Distance and Bearing

You can extend the end of a survey line by adding a waypoint based on distance and bearing information instead of waypoint coordinates.

1.Define the coordinates of at least one waypoint in a survey line. You can enter it manually or use the cursor method.

Initial Survey Line

2.Click the Offset Icon from the lower toolbar. A dialog will appear [image].

Offset Point Dialog

3.Enter the distance and bearing from the last waypoint in the line to the end point of your extension and click [OK]. The LINE EDITOR will calculate the position and automatically append the coordinates as the last waypoint in the line.

Survey Line Extended 45 Survey Units at a Bearing of 45 Degrees


Creating Curved Lines with the Line Editor

Curved survey lines will be defined in HYPACK as any survey line containing one or more arched segments connecting their defining points.

Curved lines, in most cases, can be used in the same manner as straight-segmented, 2-dimensional lines. However, they cannot be read in CROSS SECTIONS AND VOLUMES.

1.Create your initial line as you would with straight lines. Typically, you define the initial line by entering a few points, using either the cursor or spreadsheet method. These points will automatically be connected by straight segments.

2.Add curvature to any segment of the line as needed. Enter your radius In the Arc column for the waypoint preceding the segment you want to curve. In this example, we alternated 300 and -300.

Specifying the Radius of your Arc

•Enter any radius that is, by absolute value, greater than the half-length of the segment. Otherwise, the arc can not be created.

•A positive or negative radius determines that the center point of the arc will be right or left of the segment respectively.

3.Create your offsets as normal. All offset patterns can be used with curved lines (some with more useful result than others).

Curved Parallel Lines—Four Consecutive Curved Segments

Note:The Clip Lines option does not support curved lines. It will clip curved segments, as if they were straight.


Mission Planning in the LINE EDITOR

Mission Planning expands the HYPACK support for unmanned mobile navigation—drones (UAV), unmanned surface (USV) and underwater (UUV) vehicles.

The Parallel tab of the Offsets dialog provides options that automatically join the end line point of one line to the start line point of the next line, forming one continuous survey line. In addition, it can automatically calculate the arc for these joining segments.

The LINE EDITOR can output the mission plan to a selection of formats: MAVLink, GPX, MOOS-IvBHV, and Teledyne ZRP.

Tip: You can also use MISSION PLANNING-IMPORT to read from the MAVLink and GPX formats for viewing or modification in the LINE EDITOR.

Defining the Mission Path

1.Create your initial planned line.

2.Click the Offsets icon. The Offsets dialog appears.

3.In the Parallel tab, enter your planned line options. Enter the number of offsets to be created as well as the distance between them. Imagine you are standing at the start of the initial line looking toward the end to determine which way is left or right (port or starboard).

4.If you want to alternate the run direction, reverse the line heading of alternate lines: Select the lines to be reversed, then right-click on the selection and choose Reverse Order.

Reversing Line Direction

5.Save your file configuration. Select FILE-SAVE or FILE-SAVE AS and name your file. Your data will be saved, by default, with an LNW extension to your project Folder and enabled in the project files listing. You can reload this file if you later need to make modifications to the mission plan.

6.Output the route in the required mission plan format. Select MISSION PLANNING-EXPORT and select your output format.

7.Enter any output parameters for your selected format, as necessary.

8.Name your file and click [Save].

Mission Planning Output Options

When you export your planned lines to a mission planning format, it often requires additional information. The following sections provide information about those options.

MAVlink Options

MAVLink always begins at the first waypoint in the mission plan, though you can launch it from another location. It only requires an endpoint location.

MAVLink Output Options

•Return to Launch brings the mobile back to the launch site.

•End at Last Waypoint: the mobile stops at the end of the mission plan.

Teledyne ZRP Options

ZRP Output Options

Low/Survey/High Speed: Pre-programmed Z-Boat vessel speed.

Arrival Radius: Sets an area, relative to the first waypoint, to which the vehicle should navigate to satisfy the autopilot.

Insert Line Up Points (Recommended): Allows the Z-Boat to properly “line up” the vehicle with the survey line. If the auto start/stop line logging is enabled in HYPACK SURVEY, line up points also ensure that the vessel will cross the start and end line gates.

Extension Distance: Defines how far the line up point should be from the start/end points of the survey lines.

Line Up Points Shape: Defines what type of line point(s) are to be drawn. See examples below for illustrated differences.

Note:You should be aware of factors such as sea conditions and vessel dynamics to determine an optimal settings.

Line Up Points—V-Shaped (left), U-Shaped (right)

MOOS Ivp-BV Options

MOOS-IVP Output Options

Reference Point: Launch location.

Speed (m/sec): survey speed

Capture Radius (m): Sets an area, relative to the first waypoint, to which the vehicle should navigate to satisfy the autopilot.

Lead (m): Defines how far the line up point should be from the start/end points of the survey lines.

Lead Damper (m): Sets an area, relative to the start point of the lead, to which the vehicle should navigate to satisfy the autopilot.

Note:You should be aware of factors such as sea conditions and vessel dynamics to determine an optimal settings.

Mission End determines what the mobile does when it reaches the last waypoint in the mission plan.

•Return to first waypoint

•End at last waypoint

•Return to reference point


Exporting Planned Lines from the LINE EDITOR

In addition to the HYPACK LNW format, and the generic CSV format supported in the File Save dialog, you can export your planned line information to additional, non-HYPACK formats for use in third-party software.

•MISSION PLANNING menu

•*.GPX

•MAVLink *.waypoints

•MOOS-IvP *.BHV

•Teledyne *.ZRP

•FILE-EXPORT menu

•ECDIS automatic pilot format (*.RUT or *.UOX)

•ECDIS Route format (*.route)

•Transas (*.CVT)

•L84: LNW format with WGS-84 coordinates.

•Kongsberg *.asciiplan

•CINNA format

To generate third-party line formats, use the export feature:

1.Enter your planned line information.

2.Save your data to LNW format. (Optional) This enables you to quickly reload your data to the LINE EDITOR at a later time, if necessary.

3.Select FILE-EXPORT and select your output format.

4.Enter any output parameters for your selected format, as necessary, and click [Save].

5.Name your file and click [Save].

More Information

• Mission Planning in the LINE EDITOR


Line Reports

HYPACK generates line reports from a right-click menu in the HYPACK Project Items list and from the LINE EDITOR. Both list the distance along line for each line in the planned line (*.LNW) file. The report generated in the LINE EDITOR also attempts to estimate the time to survey the line set based on your estimates of your average speed and time to change lines.

• Show Lines Report

• Estimating Survey Time and Distance

Show Lines Report

Once you have a line file loaded to HYPACK®, you can generate a listing of the distances along each survey line and their total by right-clicking on the Line File name in the Project File list and selecting Show Lines Report.

Show Lines Report

Return to Top

Estimating Survey Time and Distance

A lines report is a listing of the distances along each survey line, and the calculated the total line distance and the approximate travel time based on user-defined travel speed and line change time. You can generate lines reports from enabled planned line files (*.LNW), or raw data files (*.RAW, *.HSX).

1.Load the planned line file into the LINE EDITOR.

2.Click the Line Report icon.The Line Report dialog appears.

Line Report Dialog

3.Enter your report calculation variables and click [OK]. The generated report appears in Windows® Notepad.

•Survey Speed: Estimated average travel speed (knots).

•Interline Transit Time: Estimated time between an end line and the next start line.

A Sample Line Report

4.Save your report. (Optional) In Notepad, select FILE-SAVE AS, set the location and name for your report and click [Save].

Note:FILE-SAVE defaults to the \HYPACK 2017\Temp folder.

Return to Top


Exporting Template Points to XYZ

If you have a planned line file that includes template information, you can export the template points to an XYZ format text file.

This is useful if you want to construct a channel file (*.CHN). In ADVANCED CHANNEL DESIGN, you can import this template point XYZ file to the Nodes tab instead of manually entering each node.

1.Open the LINE EDITOR. (Select PREPARATION-EDITORS-LINE EDITOR.)

2.Open your 3-dimensional line file.

3.Select TEMPLATE-SAVE TO XYZ and name your file.

Exporting LNW Template Points to XYZ

More Information

• Entering Node Data in ADVANCED CHANNEL DESIGN


Creating Planned Lines in Channel Design

The CHANNEL DESIGN program you can create a planned line file that contains the channel cross section template information for each line.

Enter the channel information (toe line, center line, basin information and side slope, etc.) and store it as a channel plan (*.PLN) file.

From the channel plan, you can do the following:

•Create planned line files that include the template information.

•Create channel files (*.CHN).

•Display PLN and CHN files in HYPACK, SURVEY, DREDGEPACK and 3DTV to show channel limits in real time during data collection.

•Display channel template information from the data file header in the SINGLE BEAM EDITOR profile window.

•Calculate the volume of material between the survey surface and the channel template in CROSS SECTIONS AND VOLUMES and TIN MODEL.

•Plot the channel plan and channel template in HYPLOT to show the channel limits.

•Export the channel plan and channel template to DXF format and display them as a background file to show channel limits.

The default location for all of the files generated in CHANNEL DESIGN is in the current project directory.

This version of CHANNEL DESIGN is being phased out. Please consider moving forward with us to ADVANCED CHANNEL DESIGN.

More Information

• Running Channel Design

• Saving your Survey Lines and Channel Information in Channel Design

• Configuring the Profile Window

• Launching External Programs from the HYPACK Menu

• Creating Planned Lines in the Line Editor

• Creating A Planned Line File from a DXF or DGN File

• Creating Planned Lines in the LNW Generator

• Creating 3D Planned Lines in ADVANCED CHANNEL DESIGN

• Profile Window Display Settings in the SINGLE BEAM EDITOR

• Loading Pre-existing Template Data

• TIN-to-Channel Calculations

• Running HYPLOT

• Running the Export Program


Running Channel Design

1.Start the program by clicking PREPARATION–PLANNED LINES-CHANNEL DESIGN or the CHANNEL DESIGN icon.

2.If your design includes curved lines, check the ‘Enable Arcs’ option in the General tab.

3.Enter your Center Line information. Once you have entered your XY coordinates, CHANNEL DESIGN can automatically calculate the chainage1 values for you. If you have enabled arcs, you must also enter the arc radius for each curved segment.

4.Enter your toe line and turning basin2 coordinates and side slope information. If you have enabled arcs, you must also enter the arc radius for each curved segment.

5.Set your channel parameters in the General Tab.

Note:At this point, you can save the data entered to a PLN file, which can be used to reload the same data to CHANNEL DESIGN at a later time. A PLN saved at this point in the process cannot be displayed in HYPACK or SURVEY or DREDGEPACK.

6.Click [Generate] to create your planned lines.

7.Preview your lines in 2D View, 3D View and Section windows.

8.Manually adjust lines if necessary. Keep in mind that doing so will make exact replication of the line file (even using the same PLN file) nearly impossible.

9.Set which lines will be included in the LNW file.

10.Save your information to any of the following formats:

•A channel plan (*.PLN) file.

•A planned line (*.LNW) file.

•An advanced channel (*.CHN) file.

You can re-open any file created in CHANNEL DESIGN by selecting FILE-OPEN PLN and selecting the *.PLN file from the file selection dialog. You can edit the data if you wish and save it by again selecting FILE-SAVE.

More Information

• Entering your Center line Coordinates and Chainage in Channel Design

• Entering Toe Line and Turning Basin Information in Channel Design

• Setting your Channel Parameters in Channel Design

• Previewing your Planned Lines in Channel Design

• Saving your Survey Lines and Channel Information in Channel Design

1. Chainage: The linear distance along the center lineat each center line point.

2. Turning basin :An area located to the side of the main channel that is at a different depth than the main channel.


Entering your Center line Coordinates and Chainage in Channel Design

1.Click on the Center tab to access the spreadsheet that will contain your center line information.

Center Line Coordinates in Channel Design

2.For each waypoint along your center line, enter the X and Y-coordinate and the depth value (or elevation value). The X and Y values represent the grid coordinate values. You cannot enter Latitude-Longitude pairs in the CHANNEL DESIGN program.

Note:If channel depth changes along center line, make a center line waypoint on each side of the transition area, then use the Generate Line at Corners option to get a line on each side of the transition.

[Cut Row] removes a row from the spreadsheet and copies it to the clipboard.

[Paste Row] copies the current row from the clipboard back into the spreadsheet.

[Insert Row] creates a blank row above the current cursor position.

[Copy Row] copies the coordinates from the current cursor position to the clipboard.

[Fill Column] is normally used to copy the Depth entries from the current cursor position to the last filled cell in the spreadsheet. It can also be used to copy X or Y coordinates in the same manner.

[Import] extracts X-Y values from an X-Y, X-Y-Z or HYPACK LNW file.

•For data in X-Y or X-Y-Z format, it will extract the first column as the X-value and the second column as the Y-value and ignore all other columns.

•For a HYPACK LNW file, the program expects to read an LNW file that has only a single planned line and it will extract the X-Y values from this planned line into the selected spreadsheet.

3.If you have enabled arcs in the General tab, enter the radius of each segment. An additional column is included for this purpose. The arc should be greater than half, but no more than the total distance between way points. A positive radius arcs left and a negative radius arcs right as you look from the start of line toward the end.

Sample Curved Center Line

4.Calculate the chainage (linear distance along the center line). The [Chainage] button is used to compute the chainage from the current cursor position to all subsequent waypoints in the channel.

a.Enter the chainage value for the first point in your center line list.

b.Click [Chainage]. The chainage for all subsequent points will be computed.


Entering Toe Line and Turning Basin Information in Channel Design

The toe is the outside edge of the channel floor where the channel walls begin sloping upward to the top of bank.

A turning basin is an area located to the side of the channel that is designed at a different depth (usually shoaler) than the main channel.

Defining the Left Toe

The Left and Right Toe tabs list coordinates for the points that define the left and right toes. Likewise, the Left Basin and Right Basin tabs define any turning basins in your channel. All coordinates are XY grid coordinates. You cannot enter Latitude-Longitude pairs in the CHANNEL DESIGN program.

If your channel includes turning basins, the toe crosses the mouth of the turning basin while the turning basin extends outward from the toe. The end points of the turning basin must be included in the list of toe line coordinates. In the left figure, you will define the left toe line as A-B-E-F and the turning basin as B-C-D-E.

Entering the Turning Basin

The Slope is the horizontal to vertical ratio of the side slope. Enter the slope for each pair of coordinates in the field to the right of each pair. For example, if your side slope extends 25m horizontally and goes from a depth at the toe of 10m and a depth at the top of bank of 0m, you would enter 2.5 as the Slope value.

Note:Use a slope of 0.01 for vertical walls.

•The transition from the main channel up to the turning basin is computed based on the side slope, entered in the spreadsheet for the adjoining Toe (in this example, B and E in the Left Toe spreadsheet).

•The transition from the basin area up to the top of bank is computed based on the Slope information entered in the Basin spreadsheet.

If you have enabled arcs in the General tab, enter the radius of each segment. An additional column is included in each of the other tabs for this purpose. The arc should be greater than half, but no more than the total distance between weigh points. A positive radius arcs left and a negative radius arcs right.

When entering toe information:

The Toe Shift is used in rare instances where the depth of the toe line is shoaler than the depth at the center line (V Channel). Enter the amount by which the toe is shoaler. For example, if the center line design depth is 10m, but the left toe line design depth is 8m, you would enter 2 as the Toe Shift. The default Toe Shift is 0.

Offset can be used to create a toe line and side slope that are a fixed distance from the center line. Once the center line information has been entered, you can go to the Left Toe tab and click [Offset]. The Set Offset Value dialog appears. The settings in the following figure, would create a toe line that is 250m (or feet for foot grids) left and parallel to the center line and that the side slope for the left toe would be 5:1 (horizontal:vertical).

Creating Toes Parallel to the Center Line

When entering turning basin information:

When you enter the X and Y values for the turning basin line in the spreadsheet, you can either enter the actual coordinates or, the point number as is listed in the toe line list. For example, enter P2 for the second point in the toe line list or P3 for the third point in the toe line list.

Turning Basin Shorthand

The Basin Level defines the depth (or elevation) level of the basin area. Basins must be at a z-level different than the main channel.

[Add Basin] is used if you have more than one basin along a left or right toe line. Once you click [Add Basin], you can navigate from basin to basin by clicking [Next Basin] or [Previous Basin].

The current Basin ID will be displayed in the top right of the Basin window above the Basin Level text box.

[Delete Basin] removes the current basin.

Rules for Turning Basins

Rule #2

1.The first and last point in a turning basin must be included in the toe line list.

2.A Basin cannot begin or end at the first or last toe point. The turning basin in Rule #2 would be illegal. You could make it legal by adding a left toe point just before the 1 point.

Rule #3 (left), Rule #4 (right)

3.Two Basins cannot end and start at the same toe point. The basins in this figure (left) would be illegal, because the first basin ends at toe point 2 and the next basin begins at the same toe point.

4.Basins can be located about turns in the toe line. The toe line is defined by points 1-2-3-4-5 and the left basin is defined by points A-B-C-D-E. Toe line point 2 has the same coordinates as basin point A and toe line point 4 has the same coordinates as basin point E.


Setting your Channel Parameters in Channel Design

The options in the General tab provide a lot of flexibility to customize your planned lines and channel information to your needs.

CHANNEL DESIGN—General Tab

Mode toggles between Depth (Z is positive downwards) and Elevation (Z is positive upwards) modes.

Enable Arcs is checked if you plan to have curved toe line, center line or basin lines. In the following example, we have checked the Enable Arcs check box.

Once the Enable Arcs has been activated, the spreadsheet windows are modified to allow you to enter the radius for a segment.

In the following example, center line points 2 and 3 will be connected by an arc created using a 500m (or foot for foot-based grids) radius between the two points. You may enter positive or negative radii values. Positive values create an arc that runs clockwise around a circle. Negative values create an arc that runs counter-clockwise around a circle.

Entering the Curve Radius

In the following example, the center line had a radius of 500m. The left toe line was located 200m outside the center line, so it had a radius of 700m. The right toe line was located 200m to the inside of the center line, so it had a radius of 300m.

Curved Center Line and Toe Lines

Top of Bank defines the level for the Left and Right banks. In the original CHANNEL DESIGN program, the Top of Bank was always assigned at Z=0.0.

In CHANNEL DESIGN, it is possible to set the top of bank at any value. For example, if you wanted to extend the top of bank 5m above the chart datum and you were working in Depth Mode, you would enter -5.0 as the Level. The Left Top of Bank value is independent from the Right Top of Bank value.

Extension extends the planned lines beyond the intersection with the top of bank. If you enter 100, it will extend your lines 100m (or feet for foot grids) beyond the intersection point of your planned line and the top of bank line.

Search Distance defines the distance from the center line the program should search when looking for the intersection between the planned line and the top of bank line. The distance should be set so that the program can effectively search the range from the center line outward to the most distant point.

•If the search distance is too short, the program will not find the limits of the left turning basins top of bank and it will draw these lines as dashed lines in the 2D viewer. This is a warning that you should increase the Search Distance. (The distance between the center line and the red circle at the end of each line represents the current search distance.)

•If the search distance is long enough, the program can determine the intersections for all of the planned lines and top of bank lines. All survey lines will be drawn as solid lines in the 2D Viewer and you can save your results to a planned line file (LNW).

Search Distance is too short (left) and long enough (right) to find the toe.

The Search Distance also affects the rotation of lines when the Smart Corners option is selected. Where survey lines cross, Smart Corners adjusts the rotation to eliminate the intersections.

A good rule of thumb for the Search Distance is to set it large enough so that all of the top of bank lines can be found, but not so large that more lines than necessary overlap beyond the toes. In these cases, Smart Corners tries to rotate lines it doesn't have to rotate.

Spacing equals the distance between lines along the center line. If you have a curved center line, the program will compute the distance along the curve. Planned lines always pass through the center line at the exact spacing increment.

Name Format allows you to determine how the lines will be named. Each line receives a name, based on the chainage value where the planned line intersects the center line. Current options are:

•00+00

•0+000

•0+0000

•MI_00+00

The first three choices are just engineering notation where a + character is inserted after the tens, hundreds or thousands. The last choice (MI_00+00) is based on the USACE Portland River Mile naming protocol. If you select this option, you will have to enter how many feet (or meters) per river mile. The default is 5280. The program then names each line based on the last river mile marker and the distance along the center line from that mark to the current line.

In addition to creating perpendicular lines at fixed intervals along the center line, CHANNEL DESIGNprovides several modifications.

•Make profile at each corner generates a planned line at each center line waypoint.

•Add Lines at Toe Points generates a profile line at each waypoint in the toe line.

•Add Lines at Basin Points generates a profile line at each waypoint in the basin line.

•Add Lines at Top of Bank Points generates a profile line at each waypoint in the top of bank line.

•Smart Corners rotates lines about the intersection of the planned line and the channel center line so that the line does not intersect with any other planned line. This will generate the most accurate results when computing volumes in the CROSS SECTIONS AND VOLUMES program.

Note:Keep your Search Distance as short as possible to avoid excessive line rotations.

In the following figure, the image on the left shows Smart Corners disabled. The program attempts to create all lines perpendicular to the channel center line. For lines 18+50 to 20+00, it cannot find a right toe line and the lines are dashed. For lines 20+50 to 21+50, it cannot find a right toe line so the lines are dashed. Saving this collection of lines will result in large errors in the LNW file and when computing volumes in CROSS SECTIONS AND VOLUMES.

In the image on the right, Smart Corners was enabled. Beginning with line 17+50 and ending at line 22+50, it has proportioned the lines about the turn so that the planned lines do not intersect. This will give the best results when computing volumes in the CROSS SECTIONS AND VOLUMES program and in the TIN MODEL program.

Smart Corners—Disabled (Left) Enabled (Right)

Sharp turns may cause problems that Smart Corners cannot overcome. In this case, you can manually rotate the lines in the 2D View window.

In the 2D View below left, we have a sharp corner where the lines currently intersect. We can manually fix this by holding down the Ctrl key and using the mouse to click on one end of the line and manually drag it to its new orientation. The 2D View shown below on the right shows the same corner after we have manually rotated several of the lines about the turn.

Manually Correcting Crossed planned lines in the 2D View

The only trouble with manually rotating lines is that it is next to impossible to reproduce the exact results in a separate session of CHANNEL DESIGN. Given the same PLN file as a starting point, two users will probably produce LNW files that are slightly different going around the corner if they manually adjust the rotations.


Previewing your Planned Lines in Channel Design

The View menu offers options to preview the survey lines and channel that you have described. A list of short-cuts can be displayed by selecting HELP-SHORTCUTS and the tab corresponding to the view you want to adjust.

2D View allows you to examine the planned lines that have been generated and to manually rotate the planned lines. The shortcuts can be used to scale the screen.

2D View

3D View draws the channel described. User controls are available to change the 3D rotation, scale and exaggeration of the vertical.

3D View

Sections displays each generated cross section profile. Keyboard commands are available to adjust the graph display.

Sections View


Saving your Survey Lines and Channel Information in Channel Design

A list of lines will appear in the right side of the General tab with a check box enabled for each line. Clearing the check box means the line will not be included when you save the results to a planned line (*.LNW) file.

[Check All] enables all lines.

[Uncheck All] button disables all lines.

[Invert] switches the check status for all lines.

[Save to PLN] saves all of the channel geometry and CHANNEL DESIGN settings to a new-style Channel Plan (*.PLN) file.

Note:The PLN format has been updated in Version 4.3 to include all of the parameters specified in the General tab, and to allow fields for arc distances. CHANNEL DESIGN is capable of reading both the old PLN and the new PLN formats. The old CHANNEL DESIGN program is only capable of reading the old PLN format. This means that PLN files created in CHANNEL DESIGN cannot be read into the older version.

[Save to CHN] saves the channel geometry to an Advanced Channel (*.CHN) file. These files can be used to take real time cross sections in DREDGEPACK or to compute volumes in the TIN MODEL.

[Save to LNW] saves the checked lines to planned line (*.LNW) format. Each line will have the channel template information saved with the planned line coordinates. The template can be used and displayed in:

•The Profile window of SURVEY

•The Profile window of the SINGLE BEAM EDITOR

•CROSS SECTIONS AND VOLUMES

Next to [Save to LNW] are check boxes. The program will create planned line(s) for each item that is checked.

•Sections: You should always check Sections, as that is why you ran the program.

•Center would add a line to the file that runs along the Center line waypoints as entered in the CHANNEL DESIGN spreadsheet.

•Toe and Bank would create planned lines that run along the toe lines and the top of bank lines.


Creating A Planned Line File from a DXF or DGN File

The Export to Line File routine is used to create HYPACK planned line files from DXF or DGN files that meet certain requirements. You may choose to also include channel template information in the resulting planned line files. The exported LNW files may then be loaded to a project to guide you during your survey or in programs where LNW files are used for processing your sounding data.

DXF or DGN Structure Requirements:

•Defines only a simple channel.

•All channel elements must be 3D polylines.

•Channel information is defined by 5 lines representing the top of the slopes (left and right), the toe lines (left and right) and the center line. Each of these lines will occupy a different layer of the file. Channel information will only be assigned to single-segmented lines.

•All planned lines should be a standard AutoCAD Line file.

•Planned lines can be straight or multi-segmented. Curved lines are not supported.

•All planned lines must occupy the same layer in the file and there is no limit to the number of lines in the file.

Once you have your DXF or DGN that complies with the above specifications, the rest is easy.

1.Load the DXF or DGN file to your project.

2.Right-click on the file in the Project Files List and select Export to Line File. The DXF To LNW Dialog or DGN To LNW will appear according to the type of file you have selected.

Note:HYPACK can only export 2-dimensional lines from DGN files.

Selecting Your Layers—DXF to LNW (left), DGN to LNW (right) does not support lines with template information

3.Make layer assignments.

a.Right-click a layer (or level) containing the planned lines or a channel line to bring up a menu of assignment choices.

b.Click on the correct assignment for the chosen layer; it will be displayed to the right of the layer name in the dialog.

Making Layer Assignments

4.Select the starting chainage and naming format. This format will apply only to single-segmented straight lines. If you include multisegmented lines they will be named using consecutive numbers rather than chainage,

5.Select your Export format.

6.Export your file and save it. Click on [Export]. When the layer assignments meet the program requirements, the program will display a Save Dialog for you to name your file. The resulting file will be saved with the LNW extension to a user-defined filename and directory.

If the center line layer is assigned, lines will be sorted by distance-down-line where the starting point is the first node of the center line found. This will establish the center line direction. Otherwise, the lines will be written as they are read from the file, even though they may be non-sequential. The program will also swap endpoints of planned lines, if necessary, to be consistent in calculating intersection distances. Lines will be named lin_x where x starts at 0.

Planned Lines are Numbered Sequentially.

Notes:

•If you are exporting planned lines only, the planned line layer must be assigned or the program will remind you to do so and do nothing.

•If you are exporting planned lines with template, all of the layers must be assigned or the program will remind you and do nothing. This option is not available when exporting from DGN files.

If there is a problem during the export procedure, the program will give an explanation and possibly give you a chance to correct it. The most common problem is a planned line which fails to intersect the toe or slope lines. The program will queue up all offenders and ask you to remove them. This only removes them from memory, the original file is NOT modified. By agreeing, you can retry the export procedure.


Creating Planned Lines in the LNW Generator

The LNW GENERATOR reads the horizontal survey line information from the polylines in a DXF file, appends the channel profile information from a channel template (*TPL) file and exports it to a 3-dimensional planned line file. The planned line file can be used by SURVEY to provide channel information in the profile window. SURVEY will also store the template information in the headers of the data files where it can be read by the editor and CROSS SECTIONS AND VOLUMES.

1.Launch the program by selecting UTILITIES-DREDGING UTILITIES-LNW GENERATOR.

2.Load your DXF and template files. For each file, click its button and browse for your file. The DXF file will draw to the upper part of the screen.

Input Files in the LNW Generator

3. Load the right top of bank.

a.Click the Line Selector icon.

b.Select a polyline in your DXF file that represents or runs parallel to your right top of bank; the new line file will extend left from the selected line. The line will turn purple with arrows indicating its direction. You can verify that you have selected the right line by imagining you are standing on the line facing in the direction in which the arrows point. If the center channel would be to your left, you have done it correctly.
If you’ve got a line left of the channel, select another line or reverse the line direction with [Reverse Line].

c.Click [Add Line]. The selected line will turn blue.

4. Define your parameters.

•Offset defines the chainage at which you want the first cross line to be created

•Interval defines the line spacing.

5.If you want to also create a channel file, check Create CHN.

6.Click [Create]. Red lines will appear to show you where your lines will be created. Gray ones indicate your channel limits.

Red Lines Preview the Calculated Planned Lines

7. Preview your lines.

8.If the preview is not satisfactory, modify your settings and click [Create] again.

9.Save your results by clicking [Save] and naming each file you have generated.

New LNW Displayed with the DXF in HYPACK

New CHN Displayed with the DXF in HYPACK

New CHN in Advanced Channel Design

Note:INTERSECTOR is a similar program. It takes the channel information from the DXF and appends it to a 2-dimensional planned line (*.LNW).

More Information

• Line Reports


Creating Channels and Planned Lines in ADVANCED CHANNEL DESIGN

ADVANCED CHANNEL DESIGN combines the CHANNEL DESIGN and ADVANCED CHANNEL DESIGN programs of earlier HYPACK releases. Though you can enter channel plan and channel template data using methods similar to the earlier programs, or read either existing PLN or CHN files, ADVANCED CHANNEL DESIGN stores all channel data only in a channel (*. CHN) file.

Use ADVANCED CHANNEL DESIGN to define the channel design template for your project. Once you have your channel file, you can generate additional related files as required:

•Channel files (*.CHN) describe your channel template. The channel file contains (at minimum) lists of XYZ, ID points (nodes) and information about how they are connected to outline the channel faces. You can load an existing CHN (channel template) file at any time to make modifications. In other HYPACK modules, channel files are used as follows:

•Display the extents of the channel in real time in the SURVEY programs, in DREDGEPACK and in 3DTV.

•Provide guidance while editing, in the 32-bit HYSWEEP EDITOR.

•Provide context in TIN MODEL and HYPLOT displays.

•Calculate TIN-to-CHN volumes in the TIN MODEL program.

•Calculate volumes by zone in CROSS SECTIONS AND VOLUMES.

•Export to DXF for display as a chart.

•Export the Node coordinates to an XYZ file.

•3D Line Files: ADVANCED CHANNEL DESIGN uses CHN files with either user-defined line parameters or 2-dimensional planned line files to generate 3-dimensional planned line files where each line contains template information based on where it intersects the channel file.

•Zones: The CHN may also describe user-defined areas called ‘zones’. Zones are used in the TIN MODEL program to generate TIN-to-Channel volumes for each zone defined in the channel file. ADVANCED CHANNEL DESIGN can also generate border files (*.BRD) and zone edge listings (*.ZEL) that record the perimeters of each zone.

•BRD files can limit volumes calculations to a bordered area in both TIN MODEL and CROSS SECTIONS AND VOLUMES.

•ZEL files are required if you want to calculate volumes by zone in CROSS SECTIONS AND VOLUMES.

•Exported data: In addition the files already mentioned, ADVANCED CHANNEL DESIGN also exports:

•Channel Nodes to an XYZ File

•Screen Captures of the map area, 2-dimensional sections and 3-dimensional displays.

1.Launch the ADVANCED CHANNEL DESIGN program by selecting PREPARATION-EDITORS-ADVANCED CHANNEL DESIGN.

2.Enter your channel information.

3.Generate and save your channel file.

4.Generate planned lines for your channel. (Optional)

5.Define your zones. (Optional) Zones are required if you will be calculating volumes by zone. If you are calculating zone volumes in CROSS SECTIONS AND VOLUMES, remember to generate ZEL file (Zone Edge Listing). You can also export a border file (* BRD) representing the perimeter of each zone.

More Information

• Windows in ADVANCED CHANNEL DESIGN

• Describing a Simple Channel in ADVANCED CHANNEL DESIGN

• Describing a Complex Channel in ADVANCED CHANNEL DESIGN

• Creating 3D Planned Lines in ADVANCED CHANNEL DESIGN

• Creating Channel Zones in ADVANCED CHANNEL DESIGN

• Exporting Data from ADVANCED CHANNEL DESIGN


Windows in ADVANCED CHANNEL DESIGN

ADVANCED CHANNEL DESIGN offers options to preview the survey lines and channel that you have described.

To access the setup options dialog, each display includes a setup icon.

Use the standard zoom and pan tools and setup options to optimize the view for your purposes.

Zoom In/Out: When this option is selected, a left-click decreases the scale (zoom in) and a right-click increases the scale (zoom out).

Zoom Window: Select this option and drag a rectangle in the window to define the extent of your desired view. The program redraws the screen to display the defined area optimally.

Zoom Extents: Draws the display at a zoom scale that displays all enabled data.

Pan: Select this option, then click in the window and drag the cursor to the position where that point should be displayed. As you drag, the program displays the distance and azimuth of the cursor motion. When you release the mouse button the display updates accordingly.

More Information

• Map View in ADVANCED CHANNEL DESIGN

• 2D View in ADVANCED CHANNEL DESIGN

• 3D View in ADVANCED CHANNEL DESIGN


Map View in ADVANCED CHANNEL DESIGN

The Map View allows you to examine the channel and planned lines that have been generated. The XY coordinates in the status bar reflect the current cursor position.

Map View (left), Setup Options (right)

The setup dialog provides a series of check boxes, one for each type of feature in ADVANCED CHANNEL DESIGN. Check the features to include in your map view.

Tip: For a clearer display of the planned lines relative to the center line, toe lines, top of banks and basins, clear the ‘Faces’ option to remove the channel edges.

Tip: Check the ‘Zones’ option only if you have defined zones. If you check ‘Zones’, areas that have not been assigned to a zone appear with a crosshatch pattern that may make it difficult to see faces and planned lines.

Elevation/Depth icon toggles between depth mode (icon not selected, Z is positive downwards) and elevation mode (icon depressed, Z is positive upwards) modes.

Note:This setting only affects the display. It does not invert the Z values in the tabs.


2D View in ADVANCED CHANNEL DESIGN

[2D] displays the cross section profile of the section selected in the Profiles tab. Verify they are accurate and what you expected based on where they overlay the channel.

2D Sections View

In the setup dialog you can adjust the scale of the section display.

2D Section View Options

•Horizontal Spacing determines the interval, in survey units, between labels on the horizontal axis.

•Vertical Spacing sets the depth of the display.

•Synchronize Vertical and Horizontal Spacing sets the vertical scale to match the horizontal scale. If this option is cleared, the vertical scale will fill the window.


3D View in ADVANCED CHANNEL DESIGN

[3D] draws the channel described. In the setup dialog, you can change the 3D rotation, scale and exaggeration of the vertical axis.

3D View (left), 3D View Options (right)

•The Rotation angles rotate the model counter-clockwise around the imaginary center of the model.

•Light options:

•Latitude is the inclination of the light source above the model surface.

•Longitude is the rotation of the light source around the model surface.

•The Z-Axis Ratio stretches or shrinks the data along the Z-axis. The TIN Model already builds in some exaggeration. This can be amplified by the number in this entry.

•Zone Colors: If you have assigned zones, the colors will appear in the 3D view.

•Hide Edges removes the lines that delineate each face.


Describing a Simple Channel in ADVANCED CHANNEL DESIGN

One way to describe a simple channel is to enter the toe line, center line and basin information with the depth and slope requirements of your channel. ADVANCED CHANNEL DESIGN uses this data to generate 3-dimensional planned survey lines and channel template files.

In ADVANCED CHANNEL DESIGN, you can read an existing Channel Plan file (*.PLN) or describe a new channel by entering center line, toe line and basin coordinates with slope and arc information in a series of spreadsheets.

You can describe a simple channel using any of the following techniques:

•Load an existing PLN (channel plan) file and set your channel parameters.

•Load 2-dimensional LNW (planned line) files and set your channel parameters. This requires three LNW files, one each for the center line and toe lines, and all of them running in the same direction down the channel.

•Begin with an empty PLN file and describe your center line, toes and turning basins by entering waypoint and slope information. This method also supports arcs. Set your channel parameters.

More Information

• Reading an Existing Channel Plan in ADVANCED CHANNEL DESIGN

• Describing a New Simple Channel in ADVANCED CHANNEL DESIGN


Reading an Existing Channel Plan in ADVANCED CHANNEL DESIGN

Channel Plan files (*.PLN) are created in the CHANNEL DESIGN program and saved to your project folder. They contain grid coordinates for the channel center line, left-toe and right-toe lines, and turning basins.

You can import PLN files into ADVANCED CHANNEL DESIGN to populate the Center Line, Left Toe Right Toe, Left Basin and Right Basin tabs:

1.Start the program by clicking UTILITIES–ADVANCED CHANNEL DESIGN.

2.If your PLN has curved segments, check ‘Enable Arcs’ and enter the Minimum Leg for your channel in the PLN tab. This limits the number of segments the program can use to describe the curves in your output channel.

3.Click [Import PLN] and select your channel plan. The program reads the data and draws a diagram of the results in the Map View area.

4.Enter your channel parameters in the PLN tab.

5.Click [Generate CHN]. The program automatically creates channel nodes and faces from the waypoints read from the PLN file, records the channel nodes and faces in the corresponding tabs and displays the results in the Map display.

6.Save your channel. Click the Save icon and name your channel. The file will be saved with a CHN extension, by default, to the project folder.

More Information

• Setting your Channel Parameters

• Describing a New Simple Channel in ADVANCED CHANNEL DESIGN


Describing a New Simple Channel in ADVANCED CHANNEL DESIGN

1.Start the program by clicking UTILITIES–ADVANCED CHANNEL DESIGN.

2.In the PLN tab, click [Start Empty PLN] to display the tabs required to enter your template data.

3.If your design includes curved lines, check the ‘Enable Arcs’ option in the PLN tab and set the Minimum Leg size in survey units.

4.Enter your Center Line information. Once you have entered your XY coordinates, ADVANCED CHANNEL DESIGN can automatically calculate the chainage1 values for you. If you have enabled arcs, you must also enter the arc radius for each curved segment.

5.Enter your toe line coordinates and side slope information. If you have enabled arcs, you must also enter the arc radius for each curved segment.

Tip: If any values repeat in several contiguous cells in the column, the Fill Column button ([Fill Col]) in the Center Line, Toe and Basin tabs may speed things along. Enter the value in the first cell where it appears. Then, with the cursor in that cell, click [Fill Col]. The program will populate all the cells of the selected column with that value from the cursor position downward.

6.Enter your turning basin2 coordinates and side slope information. (Optional)

7.Set your channel parameters in the PLN Tab.

8.Generate your channel by clicking [Generate CHN]. The results will be drawn in the Map View.

9. Save your channel file. Click the save icon and name your file. It will be saved, by default, to the project folder with the CHN extension.

You can re-open the channel file created in ADVANCED CHANNEL DESIGN by selecting the File Open icon and selecting the CHN file from the file selection dialog. Edit the data, if you wish, and save it again.

• Entering your Center Line Information

• Entering Toe Line Information

• Entering Turning Basin Information

• Setting your Channel Parameters

Entering your Center Line Information

1.Click on the Center tab to access the spreadsheet that will contain your center line information.

Center Line Coordinates in ADVANCED CHANNEL DESIGN

2.For each waypoint along your center line, enter the XY coordinates.

[Ins] (Insert Row) creates a blank row above the current cursor position.

[Cut] (Cut Row) removes a row from the spreadsheet and copies it to the clipboard.

[Pst] (Paste Row) copies the current row from the clipboard back into the spreadsheet.

Tip: You can type the coordinates directly into the tab or click [Load Cnt Line] and load the points in an XYZ file, the waypoints of a single line defined in a planned line (*.LNW) file or a PLN file from the CHANNEL DESIGN program.

3.If you have enabled arcs in the PLN tab, enter the radius of each segment. An additional column is included for this purpose. The arc should be greater than half, but no more than the total distance between waypoints. A positive radius arcs left and a negative radius arcs right as you look from the start of line toward the end.

Sample Curved Center Line

4.Calculate the chainage (linear distance along the center line). Clicking [Calc Chainage] computes the chainage from the current cursor position to all subsequent waypoints in the channel.

a.Enter the chainage value for the first point in your center line list.

b.Click [Calc Chainage]. The chainage for all subsequent points will be computed.

Return to top

Entering Toe Line Information

The Left and Right Toe tabs list coordinates for the points that define the left and right toes.

Entering your Toe Lines

The toe is the outside edge of the channel floor where the channel walls begin sloping upward to the top of bank.

There are multiple methods with which you can enter toe information into the Left Toe and Right Toe tabs:

•Type the information directly into the tabs.

•Import the points from an existing planned line file (*.LNW) or XYZ file. You must have a separate file for each toe line.

•Create offsets from points entered in the Center tab.

Note:If channel depth changes along center line, make waypoints on each side of the transition area, then use the Generate Line at Corners option to get a line on each side of the transition.

Importing Toe Points

1.Click [Load from File]. A File Open dialog appears.

2.Select the appropriate XYZ or planned line file (*.LNW) and click [Open]. The coordinates included in your chosen file populate the table in the selected toe tab.

Offsetting Toes from a Center Line

Once you have defined your center line, you can generate your toes lines to run parallel to it at a user-defined distance and side slope.

1.Click [Offset From Center Line]. The Offset from Center dialog appears.

2.Enter the parameters the program should use to generate your toe.

•Slope: The horizontal to vertical ratio of the side slope. Enter the slope for each pair of coordinates in the field to the right of each pair. For example, if your side slope extends 25m horizontally and goes from a depth at the toe of 10m and a depth at the top of bank of 0m, you would enter 2.5 as the Slope value.

•Offset: Distance from the center line to the toe.

•Base Depth: Depth at the toe.

Offset from Center Dialog

3.Click [OK].

Return to top

Entering Turning Basin Information

A turning basin is an area located to the side of the channel that is designed at a different depth (usually shoaler) than the main channel.

Defining the Left Toe

If your channel includes turning basins, the toe crosses the mouth of the turning basin while the turning basin extends outward from the toe. The end points of the turning basin must be included in the list of toe line coordinates. In the left figure, you will define the left toe line as A-B-E-F and the turning basin as B-C-D-E.

Likewise, the Left Basin and Right Basin tabs define any turning basins in your channel. All coordinates are XYZ grid coordinates.

•The transition from the main channel up to the turning basin is computed based on the side slope, entered in the spreadsheet for the adjoining Toe (in this example, B and E in the Left Toe spreadsheet).

•The transition from the basin area up to the top of bank is computed based on the Slope information entered in the Basin spreadsheet.

If you have enabled arcs in the PLN tab, enter the radius of each segment. An additional column is included in each of the other tabs for this purpose. The arc should be greater than half, but no more than the total distance between weigh points. A positive radius arcs left and a negative radius arcs right.

Entering Turning Basin Information

Basin Name: If you have more than one basin on the same side of the channel, use [Next] and [Previous] to display the spreadsheet for each one. The basin name quickly differentiates between them.

The Basin Level defines the depth (or elevation) level of the basin area. Basins must be at a Z-level different than the main channel.

Entering the Turning Basin

Click [Save] to save the data in the current basin before you generate the channel.

Use [Add] when you need to define more than one basin along one toe line.

When you have saved more than one basin, you can navigate from basin to basin by clicking [Next] or [Previous].

[Delete] removes the current basin.

.

Rules for Turning Basins

Rule #2

1.The first and last point in a turning basin must be included in the toe line list.

2.A Basin cannot begin or end at the first or last toe point. The turning basin in Rule #2 would be illegal. You could make it legal by adding a left toe point just before the 1 point.

Rule #3 (left), Rule #4 (right)

3.Two Basins cannot end and start at the same toe point. The basins in this figure (left) would be illegal, because the first basin ends at toe point 2 and the next basin begins at the same toe point.

4.Basins can be located about turns in the toe line. The toe line is defined by points 1-2-3-4-5 and the left basin is defined by points A-B-C-D-E. Toe line point 2 has the same coordinates as basin point A and toe line point 4 has the same coordinates as basin point E.

Return to top

Setting your Channel Parameters

The options in the PLN tab provides flexibility to customize your channel information to your needs.

Enable Arcs is checked if you plan to have curved toe line, center line or basin lines. The Minimum Leg is the shortest leg, in survey units, the program can create when it generates the curved segments. A value of zero will result in many very small segments. It provides a very smooth curve, but is unrealistic if you plan to generate planned lines at each waypoint location along the curved toe or center line.

Once the Enable Arcs has been activated, the spreadsheet windows are modified to allow you to enter the radius for a segment.

In the following example, on the PLN tab, we have checked the Enable Arcs check box, and set the minimum leg to 50m (or feet in foot-based grids). In the Center Line tab, center line points 2 and 3 will be connected by an arc created using a 500m (or foot for foot-based grids) radius between the two points. You may enter positive or negative radii values. Positive values create an arc that runs clockwise around a circle. Negative values create an arc that runs counter-clockwise around a circle.

PLN Tab (left) and CHN Tab (right)

In the following example, the center line had a radius of 500m. The left toe line was located 200m outside the center line, so it had a radius of 700m. The right toe line was located 200m to the inside of the center line, so it had a radius of 300m.

Curved Center Line and Toe Lines

Top of Bank defines the level for the Left and Right banks. You can set the top of bank at any value. For example, if you wanted to extend the top of bank 5m above the chart datum and you were working in Depth Mode, you would enter -5.0 as the Level. The Left Top of Bank value is independent from the Right Top of Bank value.

Extension extends the planned lines beyond the intersection with the top of bank. If you enter 100, it will extend your lines 100 survey units beyond the intersection point of your planned line and the top of bank line.

Align Toe Lines with Center Line: Calculates positions for the ends of the toe lines such that the end of the generated channel is perpendicular to the end point of the center line.

Safe Center Line Face Creation: An alternate algorithm for generating the faces in the center channel. ADVANCED CHANNEL DESIGN usually creates neat, center channel faces without this algorithm (and they would not be as neat using this option). However, for channels where the default algorithm fails (creating faces outside the channel limits, etc.), this should succeed.

Tip: Generate your channel first without the Save Center Line Face Creation option. If the results are poor, regenerate the channel with the option selected.

Return to top

1. Chainage: The linear distance along the center lineat each center line point.

2. Turning basin :An area located to the side of the main channel that is at a different depth than the main channel.


Describing a Complex Channel in ADVANCED CHANNEL DESIGN

The ADVANCED CHANNEL DESIGN program is useful in designing complex channels for use as surfaces in volume computation in the TIN MODEL program or to provide a real-time dredging guide. You can define any channel shape.

A channel is defined using XYZ, ID points (nodes) and information about how they are connected to outline the channel faces.

When the channel design is complete, it will be saved with a CHN extension, by default to the project folder.

ADVANCED CHANNEL DESIGN can also extract and export XYZ data based on the Channel file (*.CHN) information.

More Information

• Entering Node Data in ADVANCED CHANNEL DESIGN

• Entering Face Data in ADVANCED CHANNEL DESIGN

• Importing 3D FACE Entities From DXF


Entering Node Data in ADVANCED CHANNEL DESIGN

Nodes are points where any of the faces of your channel surface have a corner.

1.In the Nodes tab, define the nodes of your channel.

Nodes Tab

2.Enter (edit) the XYZ position and name of each node. The X, Y and Z columns only accept numerical values. Positive Z values go downward. The ID field is alphanumeric and saves the node name. This may be up to four characters long, should be unique for each line and should not be left empty. It is case-sensitive.

Note:SURVEY or DREDGEPACK limits CHN files to 250 nodes.

•Manually enter the information: Type the XYZ coordinates with a unique ID—one node in each row.

[Ins] (Insert Row) creates a blank row above the current cursor position.

[Cut] (Cut Row) removes a row from the spreadsheet and copies it to the clipboard.

[Pst] (Paste Row) copies the current row from the clipboard back into the spreadsheet.

•To import all or some of the data, click the File Open icon. You can import the positions from the following file formats and the program will automatically supply IDs by simply numbering them consecutively.

•XYZ file

•3-dimensional planned line file: XYZ positions of the waypoints and generates faces to connect them.

•A Channel file (*.CHN) repopulates both Node and Face data.

•DXF files that meet certain criteria: they must be composed of closed polylines and read concentric circles.

•XML file: CAD programs commonly output the waypoint data in XML format. You can load this data to populate the Nodes tab.

Important: If you import an XML file generated by MicroStation, the coordinates are reversed.

To reverse the coordinates in each node, click [Swap X,Y] in the Nodes Tab.

Note:The Import XML feature was developed using a format common to multiple CAD programs. If this operation fails using your XML file, contact our Technical Support team to determine whether your output is compatible.

As the nodes are entered in the spreadsheet, they appear, labeled with their IDs, in the map view to show you their positions relative to each other.

Note:When you click in any row of the Nodes tab, a red box surrounds the corresponding node in the map view.

You can zoom in and out on this display using your mouse wheel or the zoom tools.

Nodes Drawn in the Map View

At any time, you can save your work to a CHN file by clicking the Save icon and providing a name.

Tip: If you save your work in stages, each time to a different name, it allows you to return to that stage if you find you have made a mistake or your results are not what you expected.

More Information

• Entering Face Data in ADVANCED CHANNEL DESIGN


Entering Face Data in ADVANCED CHANNEL DESIGN

Once you have entered your nodes, you are ready to define the faces of your channel.

• Rules for Defining Faces

• Describing the Channel Faces

• Adding Slopes, Walls and Floors: Bottom Up Construction

• Adding Side Slopes to Nodes of a Border File

• Correcting Face Errors

Rules for Defining Faces

A face is defined by a closed polygon line. In ADVANCED CHANNEL DESIGN, define a face according to the following rules:

•Each face is a space-delimited sequence of nodes.

•In depth mode, define them in counterclockwise order.

•In elevation mode, define them in clockwise order.

•All faces should be convex to ensure the volume calculation program works correctly. Every non-convex shape can be composed of two or more convex shapes.

Convex Shapes

•All nodes are in the same plane.

Return to Top

Describing the Channel Faces

To describe the faces of your channel:

1.Select the Faces tab.

Edit Faces dialog

2.Use the Node point names to define the faces of your channel. Describe a face by entering point names in counterclockwise order and separated with spaces. Choose from the following methods:

•Type the nodes directly into the spreadsheet.

•Use the mouse to define your faces. Hold the Shift key and click the mouse on the nodes for each face in counter-clockwise order.

[Ins] (Insert Row) creates a blank row above the current cursor position.

[Cut] (Cut Row) removes a row from the spreadsheet and copies it to the clipboard.

[Pst] (Paste Row) copies the current row from the clipboard back into the spreadsheet.

As the faces are entered in the spreadsheet, they are drawn in the map view. You can zoom in and out on this display using the mouse wheel or the zoom tools.

Note:When you click in any row of the Faces tab, the corresponding face turns yellow in the map view.

Faces Drawn in the Map View

All faces should be filled with gray when you are done. If the drawing is incomplete, return to the Faces tab to fill in the missing faces.

3. Check your faces. Click the Check Faces icon. The program will check each face for the following standards:

•is convex,

•has all points in the same plane and

•has nodes defined in the counterclockwise direction.

A text file (face_chk.txt) will be created in your project folder and displayed in Notepad with the results. Ideally, all errors should be corrected before using your channel in other HYPACK modules.

Checking the Faces

4. Remove unused nodes. (Optional) that are not part of any face description. Just click the ‘Remove Unused Nodes’ icon and the program will remove them from the Nodes list and from the displays.

5. Save the channel. Click the save icon and name your channel file. it will be saved, by default, to your project folder with a CHN extension.

Return to Top

Adding Slopes, Walls and Floors: Bottom Up Construction

ADVANCED CHANNEL DESIGN includes a set of tools on the Faces node that help automate constructing the sides of an existing face.

Add Face Tools (left to right): Left Slope, Right Slope, Vertical Face, Left Horizontal Plane, Right Horizontal Plane

These tools can be very useful, for example, to construct side slopes on the sides of a center channel face. Once you construct the center channel face by entering the node and face information, you can then use the add face tools to generate faces on one edge or on multiple adjacent edges.

To see how these tools work, let’s begin with a simple square face for each example and see what we can do.

Original Center Channel Face

Example 1: Adding Left and Right Side Slopes

To enter the right side slope on the existing face:

1.Click the Add Right Slope icon. The Right Side Slope dialog will appear.

Adding the Toes

a.Enter the nodes at each end of the right side of the center channel.

Note:Imagine that you are standing on the first node looking toward the second. Your toe will slope off to the right.

b.Enter the Slope and Toe Depth.

c.Click [Apply] and the program will compute the size and position of the toe and assign names to the outside corners. The map view will update accordingly.

d.If the result is not what you expected, click [Cancel] and try again.

e.When you are satisfied with your slope, click [Close].

2.Click the Left Slope icon and repeat the process for the left slope.

3. Save your Channel File when you are finished by clicking the File Save icon and naming your file. The data will be saved to the project directory with the CHN extension.

Center Channel with Left and Right Side Slopes

Example 2: Adding Vertical and Horizontal Faces

1.Click the Add Vertical Wall icon. The Vertical Wall dialog will appear.

Adding the Vertical Wall

a.Enter the nodes that describe the side of the center channel to which the wall will join.

Note:In this example, we are adding a wall on two adjacent sides in one operation. We could surround the entire face, if necessary.

b.Enter the depth at the top of your wall (Top Depth).

c.Click [Apply] and the program will compute the size and position of the wall and assign names to the top corners. The map view will update accordingly however, since the nodes have the same horizontal position, they will overlay the nodes below them.

Tip: Click [3D] to check your results. The 3D view will show the walls more clearly.

d.If the result is not what you expected, click [Cancel] and try again.

e.When you are satisfied with your wall, click [Close].

Center Channel with a Vertical Wall on the Right and Top Edges

2.Click the Add Right Horizontal Plane icon. The Horizontal Wall dialog will appear.

Adding the Right Horizontal Plane

a.Enter the nodes that describe the edge to which the horizontal plane will join. In this example, we are adding a plane to the two vertical walls.

b.Enter the depth at the distance the plane will measure from the attachment edge to the outside edge.

c.Click [Apply] and the program add the plane and assign names to the outside corners. The map view will update accordingly.

d.If the result is not what you expected, click [Cancel] and try again.

e.When you are satisfied with your wall, click [Close].

Adding a Horizontal Plane to Adjacent Sides

3. Save your Channel File when you are finished by clicking the File Save icon and naming your file. The data will be saved to the project directory with the CHN extension.

Return to Top

Adding Side Slopes to Nodes of a Border File

Often our DREDGEPACK users know the perimeter and depth of their digging area, and they need to generate a channel file with a side slope of user-defined, horizontal-to-vertical ratio.

Instead of manually entering individual nodes in the Nodes dialog, you can import a border file to the Faces tab in ADVANCED CHANNEL DESIGN to define the bottom face of your channel template and add side slopes at the same time.

1.In the BORDER EDITOR, create a border file to define the perimeter of the bottom face (bottom-of-slope) in the digging area.

Note:Note the direction, clockwise or counterclockwise, in which the waypoints define your border. It is important when you add your side slopes.

2.Open ADVANCED CHANNEL DESIGN.

3.Load the Border file.

a.In the Faces tab, click the appropriate side slope icon. If your border waypoints are listed in clockwise order, click the left slope icon. Otherwise, click the right slope icon. The Side Slope dialog appears.

b.In the Side Slope dialog, click [...] and select your border file. The program imports the vertices of the border file as nodes, numbers them and saves them to the node list.

4.Enter the side slope ratio.

5.Enter the finished depth of your digging area under Top Depth.

Importing a Border File to ADVANCED CHANNEL DESIGN

6.Click [Apply]. The program calculates additional nodes for the top of bank, then joins the nodes into faces.

Faces Resulting from the Imported Border

7.Describe faces to describe the floor of the digging area.

Final Digging File

8. Check the faces. (Optional) If you plan to use this channel template for volume calculations, check the faces. Click the check faces icon and examine the report for non-convex faces and proper face orientation.

9.Visually check your result (optional) in the 3D View.

10. Save your channel file. Click the File Save icon and name your CHN file.

Return to Top

Adding Slopes, Walls and Floors: Top Down Construction

You can also construct your channel based on the top of bank:

1.In the LINE EDITOR, construct a 2D planned line file using the waypoints for each top of bank. You need separate files for each bank.

2.Open ADVANCED CHANNEL DESIGN.

3.Use the File Open function to import the waypoints from each of your top of bank lines. Each waypoint appears in the Nodes tab. The program automatically assigns an ID and depth of zero to each node.

a. Click the File Open icon.

b.Set the File of Type field to LNW.

c.Select one of your top of bank lines and click [Open].

d.Repeat to load the other line file.

Top of Bank Nodes

4.Add the right slope.

a.Click the Add Right Slope icon. The Right Side Slope dialog will appear.

b.Enter the nodes at each end of the right side of the center channel.

Note:Imagine that you are standing on the first node looking toward the second. Your toe will slope off to the right.

c.Enter the Slope and Toe Depth.

Adding the Right Side Slope

Right Side Slope Results

d.Click [Apply] and the program will compute the size and position of the toe and assign names to the outside corners. The map view will update accordingly.

e.If the result is not what you expected, click [Cancel] and try again.

f.When you are satisfied with your slope, click [Close].

5.Click the Left Slope icon and repeat the process for the left slope.

Adding the Left Side Slope

6.In the Faces tab, describe the channel bottom connecting the nodes from the toe lines.

7. Save your Channel File when you are finished by clicking the File Save icon and naming your file. The data will be saved to the project directory with the CHN extension.

Final Channel

Correcting Face Errors

If the Check Faces routine reports one or more errors, you should review the report and correct the faces that fail to conform to the rules. The following table describes what each error message means and how you can correct the erroneous face.

Face Errors and their Corrections

Face Error

Definition

Corrective Action

Non-Convex Shape

The face is concave.

The face must be divided into two or more convex shapes. You can do this by manually editing the faces in the spreadsheet or by using the Split function.

1.Select the offending face in the Face Editor by right-clicking the face and selecting Select from the pop-up menu.

2.Right-click the selected face and select Split. The program will divide the face.

Note:Check to be sure that both resulting shapes are now convex. If the original face was particularly complex, you may need to create more than one split to eliminate all concave shapes.

Non-flat Face Error

All the nodes are not in the same plane. The number following the message tells you the distance (in survey units) that the nodes vary.

It's up to you how much error your survey will tolerate. You can choose to leave it or correct the node.

Orientation Error

The nodes were described in the clockwise direction.

Click the Fix Orientation icon.

More Information

• Entering Node Data in ADVANCED CHANNEL DESIGN

• Importing 3D FACE Entities From DXF


Importing 3D FACE Entities From DXF

If your DXF file is constructed using 3DFACE entities, ADVANCED CHANNEL DESIGN can import the information and automatically populate both the Nodes and the Faces tabs.

To import the DXF file, click the File Open icon and select the DXF chart.

Original DXF Displayed in CAD

Resulting CHN in ADVANCED CHANNEL DESIGN

More Information

• Entering Node Data in ADVANCED CHANNEL DESIGN

• Entering Face Data in ADVANCED CHANNEL DESIGN


Removing Redundant Nodes in ADVANCED CHANNEL DESIGN

As you build and modify your channel, you may find yourself with multiple nodes that define the same XYZ position, though they have different names. This condition can be problematic in certain operations such as merging faces. The following process cleans your redundant nodes to correct this problem.

1. Remove redundant names in the face descriptions by clicking the Remove Duplicate Points icon. The program searches your channel file for redundant points (for example A and B) then searches the face descriptions and replaces all references to ’B’ with ’A’. It does not remove the now unused node B from your file.

2. Remove the unused nodes. Click the Remove Unused Nodes icon to delete nodes that do not appear in the Faces tab.


Generating your Channel File in ADVANCED CHANNEL DESIGN

When you have described your channel, you must generate the channel described and save to use in your project.

1.In the PLN tab, click [Generate CHN]. ADVANCED CHANNEL DESIGN constructs the channel file and draws it in the Map view window.

2.Verify your results. View your channel in the Map View, 2D View and 3D View windows to be sure the channel file is constructed as you expected.

3.If your channel is not correct, modify your channel parameters and regenerate your channel until it is correct.

4.Save your channel file.

a. Click the Save icon.

b.Select CHN as your file type, name your file and click [Save].

The file is saved with the CHN extension, by default to your project folder.

More Information

• Map View in ADVANCED CHANNEL DESIGN

• 2D View in ADVANCED CHANNEL DESIGN

• 3D View in ADVANCED CHANNEL DESIGN


Merging Two Channel Files in ADVANCED CHANNEL DESIGN

If you have two or more channel files (*.CHN) in the same project area, and you can merge them into one channel file.

1.Click the Open icon and load the first channel file.

2. Click the Add Channel icon and select the second CHN file. You can continue to add CHN files as needed.

Original Separate Channel Files

Nodes and Faces of Both Channels in One File

3.Manually create additional faces to join your CHN files, as necessary. ADVANCED CHANNEL DESIGN adds the nodes and faces and renumbers them.

4.In the Faces page, remove the duplicate and unused nodes.

5.Save the merged channel.

The Resulting Merged Channel


Creating 3D Planned Lines in ADVANCED CHANNEL DESIGN

ADVANCED CHANNEL DESIGN includes two methods for generating 3-dimensional planned lines based on your channel.

•Where you have a simple channel, you can generate cross-channel lines spaced along the center line and according to a few additional, selected options.

•When you have a complex channel, you will generate a 2-dimensional planned line file then merge the data with the channel template information to generate your 3-dimensional lines. This method will also work with a simple channel.

More Information

• Planned Lines from a Simple Channel File in ADVANCED CHANNEL DESIGN

• Planned Lines for a Complex Channel in ADVANCED CHANNEL DESIGN


Planned Lines from a Simple Channel File in ADVANCED CHANNEL DESIGN

Once you have you have generated a simple channel, you create planned lines, customized for that channel, that include the template information.

1.Describe your simple channel. You can enter the channel information manually or by importing an existing channel plan (*.PLN) file.

2.Set your planned line parameters on the Center Line tab.

3.Generate your lines by clicking [Generate LNW] on the Center Line tab.

4.Verify the cross sections.

5.Save your generated line file by clicking [Save LNW] in the Profiles tab.

• Planned Line Parameters

• Verifying your Templates

Planned Line Parameters

A simple channel template includes waypoints that describe the left and right toe lines, optional left and right basins, and the center line. The Center Line tab includes options for placing a set of cross-channel lines along the center line in your channel template.

Sample Center Line Tab

Spacing equals the distance between lines along the center line. If you have a curved center line, the program will compute the distance along the curve. Planned lines always pass through the center line at the exact spacing increment.

Maximum Cross Distance defines the distance from the center line the program should search when looking for the intersection between the planned line and the top of bank line. The distance should be set so that the program can effectively search the range from the center line outward to the most distant point.

•If the Maximum Cross Distance is too short, the program will not find the limits of the left turning basins top of bank.

•If the Maximum Cross Distance is long enough, the program can determine the intersections for all of the planned lines and top of bank lines.

Maximum Cross Distance—Too Short (left) and Long Enough (right) to Find the Toe.

The Maximum Cross Distance also can affect the rotation of lines when the Smart Corners option is selected. Where survey lines cross, Smart Corners adjusts the rotation to eliminate the intersections.

A good rule of thumb for the Maximum Cross Distance is to set it large enough so that all of the top of bank lines can be found, but not so large that more lines than necessary overlap beyond the toes. In these cases, Smart Corners tries to rotate lines it doesn't have to rotate.

Name Format allows you to determine how the lines will be named. Each line receives a name, based on the chainage value where the planned line intersects the center line. Current options are:

•0+000

•0+0000

•00+00

•00+000

•000+00

•MI_00+00

The first several choices are just engineering notation where a + character is inserted after the tens, hundreds or thousands. The last choice (MI_00+00) is based on the USACE Portland River Mile naming protocol. If you select this option, you will have to enter how many feet (or meters) per river mile. The default is 5280. The program then names each line based on the last river mile marker and the distance along the center line from that mark to the current line.

In addition to creating perpendicular lines at fixed intervals along the center line, ADVANCED CHANNEL DESIGN provides several modifications.

•Add Lines at Center Line Points generates a planned line at each center line waypoint.

•Add Lines at Toe Points generates a profile line at each waypoint in the toe line.

•Add Lines at Basin Points generates a profile line at each waypoint in the basin line.

•Add Lines at Top of Bank Points generates a profile line at each waypoint in the top of bank line.

•Smart Corners rotates lines about the intersection of the planned line and the channel center line so that the line does not intersect with any other planned line. This will generate the most accurate results when computing volumes in the CROSS SECTIONS AND VOLUMES program.

Note:Keep your Maximum Cross Distance as short as possible to avoid excessive line rotations.

Return to Top

Verifying your Templates

Once you have generated your planned lines, it would be smart to verify that your results are as you expected and appropriate to the needs of your project.

The map view provides an overhead view of your line file with your channel.

•Check whether the Maximum Distance long enough so the lines reach from the center line to the farthest top-of-bank point.

•If you will use your data to calculate volumes, check that the line positioning in the channel will provide the most accurate results.

The 2D view and the LINE EDITOR display the channel profiles for each line as you select it.

Tip: The template tab in the LINE EDITOR is most accurate for this purpose as it is exactly the data that SURVEY or DREDGEPACK will read during data collection.

•Check that each template is complete and as expected.

Return to Top

More Information

• Describing a Simple Channel in ADVANCED CHANNEL DESIGN


Planned Lines for a Complex Channel in ADVANCED CHANNEL DESIGN

To generate lines for a complex channel, you will generate a 2-dimensional planned line file in the LINE EDITOR then overlay that file with the channel template in ADVANCED CHANNEL DESIGN and generate your 3-dimensional lines. This method will also work with a simple channel.

1.In the LINE EDITOR, create 2-dimensional planned lines that cover your survey area.

•The lines must be single-segmented lines.

•The lines can be oriented in any direction you choose.

•The lines must reach across or extend beyond opposite top-of-bank points.

2.In ADVANCED CHANNEL DESIGN, open the channel file. (Click the File Open icon and select the CHN file.)

3.In the Profiles tab, click [Read LNW] and select your 2-dimensional line file. It will appear, overlaid on the channel file, in the map view.

4. Preview your channel profiles in the map and 2D views. In the map view, you can use the selector tool to adjust the position and rotation of individual lines.

•To reposition the line, click and drag the center point to the new location.

•To change the rotation, click and drag one of the end points to the new location.

Note:Keep in mind that doing so will make exact replication of the line file (even using the same PLN file) nearly impossible.

5.Click [Save LNW]. The Save LNW dialog will appear.

Sample Save LNW Dialog

6.Set the parameters for your output line file and click [OK].

•LNW File Name: Click the [...] and set the file name and its location. The file location defaults to the project folder.

•Remove Colinear Template Points: Without this option, the program generates a template point at each location where the LNW crosses the edge of a face. If your planned lines cross multiple adjacent faces all at the same depth, the template will have multiple consecutive points at the same depth. If you check this option, the program will include only the first and last template point at each depth.

•Create Template Point at Center Line: Check this option if you plan to do Philadelphia method volumes calculations which require a center line point.

More Information

• Verifying your Templates


Creating Channel Zones in ADVANCED CHANNEL DESIGN

If you are using ADVANCED CHANNEL DESIGN to build a channel file, your project area is probably irregular to some degree. Meaningful volumes calculations in such a channel add an extra challenge.

A TIN-to-channel comparison in the TIN MODEL program typically reports a volume for each face of your channel. In a complex channel, it might be more helpful for you to define the areas in your channel for which volumes will be calculated. That is exactly what we do with channel zones. Before you can calculate the TIN-to-CHN volume with zones, you will define your channel template (*.CHN) and your desired zones in ADVANCED CHANNEL DESIGN.

The TIN MODEL and CROSS SECTIONS AND VOLUMES programs can both calculate volumes of user-defined channel zones. CROSS SECTIONS AND VOLUMES calculates the volume in each zone for each section.

Once you have defined your project area, you can define your channel zones in ADVANCED CHANNEL DESIGN as follows:

1.Open the Zones tab. The map view will display your channel with a cross-hatched pattern.

2.Name each reporting zone.

a.Click [Add]. The Zone Attributes dialog will appear.

Adding your Zones

b.Enter the zone name.

c.Choose the zone color by clicking in the color box and selecting from the colors dialog. (The color is only to clearly distinguish between zones in the map view.)

d.Click [OK].

e.Repeat the process for each zone.

3.Assign each face in the channel file to a zone.

Note:Vertical walls can not be assigned to zones.

Assigning Zones

a.Select the target zone by clicking in the list on the left.

b.In the map view, click on each face that belongs to that zone. ADVANCED CHANNEL DESIGN paints the faces with the zone color as you click on each one.

c.Repeat the process for each zone.

Important: Be sure every face has been assigned to a zone.

4. Save the channel. In the ADVANCED CHANNEL DESIGN shell, click the File Save icon and name your file. It will be saved, by default, to your project folder.


Creating a Zone Edge Listing

If you plan to calculate volumes by zone in the CROSS SECTIONS AND VOLUMES program, you must also generate a Zone Edge Listing (ZEL) file.

Zone edge listing (*.ZEL) is an ASCII text file that contains a listing of where each line crosses each zone boundary and each inflection point of the model within a zone boundary. CROSS SECTIONS AND VOLUMES reads the ZEL file for the template information and generates volume quantities based on that listing.

To generate a Zone Edge Listing, you will need the following:

•The planned line file used to collect your data.

Important: The line names in the ZEL file must match the line names of the base survey in CROSS SECTIONS AND VOLUMES.

•A channel file (*.CHN) that meets the following specifications:

•Each face must be assigned to a zone.

•It must begin before the first survey line and past the last line in your survey line file.

•The survey lines must extend past the top-of-bank in the channel file.

The last survey line falls inside the channel and extends beyond the top-of-bank. Full Channel and Line Files (left), Close-up view (right)

1.In the Zones window, import your survey line file by clicking [Read LNW] and selecting your survey line file. The survey lines will be superimposed on your channel design in the map view.

Note:If any of the lines in your line file fall fully outside of your channel area (as line 1 in the following figure), ADVANCED CHANNEL DESIGN displays them, but automatically omits them from the lines used in the ZEL file.

Planned Lines Imported onto a Zoned Channel

2.In the Zones tab, click [Export ZEL] and name your file. The zone edge listing will be saved, by default, to the project folder with a ZEL extension.

More Information

• Exporting Zone Borders from ADVANCED CHANNEL DESIGN

• Volumes by Zone in CROSS SECTIONS AND VOLUMES

• Itemized by Channel Zone


Exporting Data from ADVANCED CHANNEL DESIGN

Exporting Your Channel Nodes to an XYZ File

In ADVANCED CHANNEL DESIGN, you can export the XYZ coordinates of each node in your channel to an XYZ format file.

1. Click the File Save icon. A File Save dialog will appear.

2.Set the File of Type to ‘XYZ’.

3.Name your output file and click [OK]. Your node data will be saved, by default, to your project folder with an XYZ extension.

Sample Nodes in XYZ Format (red) Overlaid on the Channel File


Exporting your Channel Surface to A Matrix

ADVANCED CHANNEL DESIGN can save the channel surface to an existing matrix file that overlays the channel area. The filled matrix can then be used in SURVEY or DREDGEPACK to show the channel template.

1.Use the MATRIX EDITOR to generate an empty matrix that overlays your channel area.

2.Use ADVANCED CHANNEL DESIGN to generate your channel design (*.CHN).

3.Click the File Save icon and save your channel data to the matrix created in step 1.

The Resulting Matrix Overlaid with the Original Channel


Exporting Zone Borders from ADVANCED CHANNEL DESIGN

If you have defined zones, you may also have use for border files that outline each zone area.

Once you have defined your zones, just click [Save BRD] in the Zones tab. The program will automatically generate one border file (*.BRD) for each zone and save them to the project directory named ZoneName.BRD

Channel Zones Saved to BRD

Vertical Walls in One Zone

If you have a vertical wall in your channel, you can not select it to assign it to a zone.

Channel Faces Joined by a Vertical Wall

If the faces adjacent to the wall are in the same zone, you have two choices:

•[Save BRD] creates separate borders for each level naming the borders ZoneName.BRD and ZoneName1.BRD.

•[Save BRD-Flat] ignores the changing Z-level (at the wall) and creates one border around the full horizontal area naming the border ZoneName.BRD.

Border File Results—[Save BRD] (left) and [Save BRD-flat] (right)

More Information

• Creating Channel Zones in ADVANCED CHANNEL DESIGN


Saving Screen Captures in ADVANCED CHANNEL DESIGN

Use the Print and Snapshot icons in the toolbar of each display window to quickly save an image of the window display.

Printing a Copy of Your Display

1. Click the Print icon. The Windows® Print window will appear.

2.Set your printer settings and click [OK].

Saving a Bitmap Image File

1. Click the snapshot icon. A File Save dialog will appear.

2.Name your image file and click [OK].

Your bitmap image (*.BMP) will be saved, by default, to your project folder.

Sample Windows—Map (left), 2D (top right), 3D (bottom right)


Hardware Setup in HYPACK

‘Hardware’ is the term we use for the sensor devices from which HYPACK receives data. In order for HYPACK to work properly, we need to know what kind of instruments you have, how they are connected, how often you want to read them, how often you want to record them, etc.

All devices are configured from a common HARDWARE interface; however, HARDWARE includes three separate sets of configuration tabs according to the type of project and device—HYPACK, HYSWEEP and SIDE SCAN HARDWARE.

Only the most commonly used drivers are initially included in your HYPACK device list. If your configuration requires custom or dredging drivers, you will find them in subdirectories contained in the \HYPACK 2017\Devices folder. Use Windows® Explorer to move them into the \HYPACK 2017\Devices folder then click [Rescan Driver List] to update your list of available devices.

When you indicate that your configuration includes multibeam, side scan or both on either the first vessel or towfish, corresponding subheadings appear below the main vessel. When you select the HYSWEEP SURVEY or SIDE SCAN SURVEY subheading, the program displays the corresponding tabs for multibeam (HYSWEEP HARDWARE) and side scan (SIDE SCAN HARDWARE) devices and options respectively.

System Setting | Devices
HYPACK HARDWARE | •Positioning devices •Devices used exclusively in single beam projects (single beam sounders) •Devices used in both single beam and multibeam surveys (ex. GPS, tide gauges) •Dredging tools (inclinometers, digging tool drivers) •Other non-bathymetric sensors
HYSWEEP | •Devices used only in multibeam or multiple transducer surveys •Side scan devices when they are used together with multibeam devices
Side Scan | •Side scan devices when no multibeam data is to be included in your project.

If your equipment does not change, and you are satisfied with the communication between your equipment and the survey programs, you don’t have to run HARDWARE again.

If you change survey equipment, you will have to reconfigure your hardware.

1.Select PREPARATION-HARDWARE SETUP or click on the Hardware icon. The HARDWARE window will appear with any configured devices listed on the left. When there are no devices configured, it lists a “boat” with no devices.

2.Select FILE-NEW. The configuration begins with a single vessel and no devices. The program asks whether to save the current configuration. If you want to save it, click [Yes] and save your configuration file before proceeding with this step. If you don't need it or have already saved the current configuration, click [No] and build a new hardware configuration from the beginning.

3.Create a mobile for each device position you will track. For example, the vessel and the towfish or, in an excavator dredge, the barge, spud, excavator and bucket.

4.Set your mobile settings. Your hardware configuration includes a mobile for each device position you will track.

Each vessel (mobile) in your configuration has an associated Mobile dialog which appears when you select the vessel name in your device list. This is where you can rename the mobile and set the tracking point. You may also assign a boat shape which can be used in place of the simple symbol options to more closely represent your vessel in SURVEY or DREDGEPACK.

5.Configure your System settings.

•If you are configuring a system with multibeam or side scan devices, add either or both group to the appropriate mobile.

•Configure any output to a printer or file.

•Other System Settings

6.Configure each device in your system. This includes selecting a device driver for each device and configuring the driver setup options, connection information and the position of the device relative to a fixed reference point on the mobile (measured offsets).

7.Configure your time-tagging.

8.Test the communication between the devices and your survey computer.

9.Calibrate your system and correct your offsets.

10.Save your configuration. Your current hardware configurations are stored in the project INI files when you select FILE-SAVE.

Saving Your Hardware Configurations

Device Type | FILE-EXPORT Menu Selection | Default INI File
GPS, Single Beam and Dredge equipment | Hardware Settings | \Projects\ProjectName\survey32.ini
Multibeam and any Side Scan devices logged simultaneously | Multibeam Settings | \Projects\hysweep.ini
Side Scan devices | Side Scan Settings | \Projects\sshardware.ini

More Information

• Mobiles and Mobile Settings

• System Settings in HARDWARE

• Configuring your Devices

• Disabling Devices in the HARDWARE

• Time-Tagging Your Data

• Managing Multiple Hardware Configurations


Mobiles and Mobile Settings

A Vessel (also called a mobile) in HYPACK is any independently mobile object. ‘Vessel’ most commonly means some sort of boat, but in HYPACK, it may be a lot of other things—a towfish, an ROV, a digging tool on a dredge, one HYPACK® computer monitoring signals broadcast over wireless connection from multiple vessels, etc. If HYPACK needs to have a position for it, it’s a vessel. For each mobile, SURVEY or DREDGEPACK displays a symbol or boat shape at its current position.

HARDWARE always has at least one mobile. Each mobile has an origin (reference point) and at least one tracking point.You may also assign a boat shape which can be used in place of the simple symbol options to more closely represent your vessel in SURVEY or DREDGEPACK.

The vessel origin is the reference by which you position your devices and tracking point on your vessel. The tracking point and each sensor is referenced to the origin based on the distance in survey units it is starboard (X-direction), forward (Y-direction) and vertically (Z-direction). Vertical offsets are measured from the static water line, and are always positive downward.

A tracking point is the position used by SURVEY or DREDGEPACK to position the mobile in the world. It is used to provide left/right guidance, make automatic “start line” and “end line” decisions, and calculate horizontal distances between the vessel and features in your survey area. It is also the location at which Quickmark targets are marked.

SURVEY or DREDGEPACK must know the position of each mobile and, in order to properly position your other data, which devices are on each mobile. To do this our hardware configuration defines the devices, the mobiles, which devices are on each mobile and each device position relative to the origin of its mobile.

More Information

• Adding a Mobile

• Assigning the Tracking Point in HARDWARE

• Assigning a Boat Shape to Each Mobile

• Towfish with Simple Layback

• Dredge Configurations

• Monitoring Multiple Vessels with Wireless Connections


Adding a Mobile

A new HARDWARE configuration begins with a ‘boat’ mobile. Your configuration must include a mobile for each independent position SURVEY or DREDGEPACK will track.

For configurations requiring multiple mobiles, you must insert additional mobiles.

1.Right-click on HYPACK Configuration and select ‘Add Mobile’. An additional boat mobile appears.

2.Select the boat in the configuration tree to display the Mobile, Survey Devices and Vessel Shape tabs for the selected mobile.

3.Name your mobile. Each mobile should have a unique name.

4.Set your Mobile properties: the tracking point and vessel shape.

Setting your Mobile Properties

More Information

• Assigning the Tracking Point in HARDWARE

• Assigning a Boat Shape to Each Mobile


Assigning the Tracking Point in HARDWARE

In addition to the sensors, your hardware configuration must include a tracking point.

A tracking point is the position used by SURVEY or DREDGEPACK to position the mobile in the world. It is used to provide left/right guidance, make automatic “start line” and “end line” decisions, and calculate horizontal distances between the vessel and features in your survey area. It is also the location at which Quickmark targets are marked.

To define the tracking point position, enter its offset distances from the vessel origin in the Mobile tab.

The following table lists recommended tracking point positions. A single beam or multibeam survey vessel would place the tracking point over the transducer because all of the tracking point functions should be relative to the transducer. If you are also running a multibeam, you should choose the transducer most important to you to guide down the survey line.

Typical Tracking Point

Vessel Type | Typical Tracking Point Location
Single Beam, Multibeam | Transducer
Vessel with sensors other than a sounder | Choose the location most important to you: •Most important sensor •GPS antenna •Center of mass
Cutter Suction and Excavator Dredges | Trunnion

In HYPACK SURVEY, you can configure up to 15 additional tracking points and the display of any number of these 16 locations in SURVEY or DREDGEPACK. These tracking points are useful for the following purposes:

•You can set any of the 16 locations to use as the tracking point at any time during data collection.

•Averaging the position of any tracking point over a user-specified time.

•When there are active targets, you can configure Target windows to display statistical data about the position of a selected target relative to a selected tracking point.

More Information

• Boat Track Parameters in SURVEY

• Multiple Tracking Points


Assigning a Boat Shape to Each Mobile

In the Vessel Shape tab, you may select a boat shape file (*.SHP) and view an overhead display of the shape and a rear view of a vessel, overlaid with the device positions. The devices in your configuration are listed in the order they are entered in the configuration and their device numbers are positioned in the boat shape according to their offset settings.

When you assign a boat shape to a mobile in HARDWARE, you can display a shape that more closely represents your vessel in SURVEY or DREDGEPACK.

Boat Symbol

Boat Shape in SURVEY or DREDGEPACK

To assign a boat shape to a mobile do the following:

1.Use the BOAT SHAPE EDITOR to create a boat shape file (*.SHP) that represents each mobile.

2.In HARDWARE, select the mobile in the tree view.

3.In the Vessel Shape tab, click the [...] and browse for the boat shape file that represents the selected mobile and click [Open]. The boat shape is then displayed, in top and rear views, with the origin and tracking points.

The Vessel Shape Tab includes a toolbar with some basic tools with which you can adjust the display.

•Basic zoom tools adjust the scale of the vessel display.

•Grid Options affect the display other than the boat shape and devices. Access the dialog with the Control Panel icon.

Control Panel

•Show Device Coordinates displays the offsets for each device.

•Show Grid draws grid lines or tics, according to the Grid Style selection, in the display to provide information about the scale of the vessel.

•Show HYPACK Devices and Show HYSWEEP Devices: Choose whether to display of the devices configured in HARDWARE or HYSWEEP HARDWARE respectively.

•X, Y and Z displays of the current cursor position relative to the vessel origin in the displays.

More Information

• Boat Shapes and Symbols in SURVEY

• Creating a Boat Shape


System Settings in HARDWARE

To access the System settings select “Hardware” in the tree view.

The Include options make multibeam and side scan devices available in the HARDWARE interface.

Installed on Towfish and Side scan Devices on Towfish options assign the multibeam or side scan devices to the second mobile in the tree view. Otherwise they are assigned to the first mobile. Use the Towfish driver to calculate the towfish position relative to the boat.

Important: All multibeam devices must reside on the same mobile. Likewise, all side scan devices must reside on the same mobile. To log multibeam and side scan data together, use only the options in the HYSWEEP SURVEY area.

Multibeam and Side Scan System Settings

Option | Dialog Area | Multibeam | Side Scan | Multibeam/with Towed Side Scan
Include | HYSWEEP SURVEY | Yes | No | Yes
 | SIDE SCAN SURVEY | No | Yes | No
Installed on Towfish | HYSWEEP SURVEY | If Towed | Yes | No
 | SIDE SCAN SURVEY | No | If Towed | No
Side Scan Devices on Towfish | HYSWEEP SURVEY | No | No | Yes

Synchronize the Computer Clock: All devices must use the same time basis—the computer Veritime or UTC time. If any device sends UTC time-stamped data, you must synchronize your computer clock with UTC time using the 1PPS box or the NMEA ZDA message.

If you synchronize the clock, HYPACK adjusts the Veritime clock speed to match the UTC time based on the time in the ZDA message from the GPS.

Note:You should run SURVEY or DREDGEPACK for two minutes before collecting data to allow the Veritime clock to synchronize with UTC time.

Note:This is different than the update frequency of the driver.

Survey Options:

•Show XYZ in SURVEY: Check this option and enable XYZ files in your HYPACK display and they will also display in the SURVEY or DREDGEPACK area map.

•Automatically Start Logging upon Startup: When you launch HYPACK SURVEY, it will immediately begin logging.

•Individual Tide per Mobile enables you to use multiple tide devices—up to one for each mobile in your configuration. When this option is checked, any mobile without a tide device assigned to it will inherit the tide of the main vessel.

Printer allows you to send data string s to a printer during survey.

Tip: Experience tells us that this is usually difficult, if not impossible. We recommend that you save your data to a text file and print it later.


Configuring your Devices

For each device in your configuration, you must provide HYPACK with the information it needs to read, interpret and record the device output.

1.Select the device driver (*DLL) for one of your devices.

2.If it’s a HYPACK device, set the type of data to be obtained from the device.

3.Set the offset and connection information.

4.Click [Setup] (or double-click the driver in the Installed list) and specify any setup information specific to that device driver. Each setup is different according to the needs of the device driver. Some devices do not require any special configuration, and [Setup] is disabled or just returns information about that device. Other device drivers require detailed information that can only be entered through the Driver Setup dialog.

More Information

• Specifying Devices in HARDWARE

• HYPACK Device Functions and Options

• Connection Information in HARDWARE

• Offsets and Latency in HARDWARE

• Station Information in HARDWARE


Specifying Devices in HARDWARE

When you have created a mobile for each position you want to track in SURVEY or DREDGEPACK, you are ready to begin configuring your devices.

HARDWARE divides devices into three categories: HYPACK, HYSWEEP and Side Scan.

• HYPACK devices (positioning, single beam, sub-bottom, dredge equipment, etc.): You must configure at least one positioning device for each mobile. HARDWARE includes position drivers for mobiles that move independently (eg. GPS.dll) and mobiles that move relative to another mobile (eg. towfish.dll, inclinometer.dll).

•Multibeam equipment: This includes not only multibeam and multiple transducer sounders, but motion sensors and gyros that are required for accurate sounding positioning. In addition, the multibeam list includes side scan devices that you may log simultaneously with multibeam data. The drivers are listed in alphabetical order by manufacturer. Multibeam devices automatically get their positioning from HYPACK SURVEY.

•Side scan sonar devices: The drivers are listed in alphabetical order by manufacturer. Side scan devices automatically get their positioning from HYPACK SURVEY.

Note:To assist in configuring your drivers, you can refer to the Interfacing notes found in the \HYPACK 2017\Help folder.

When your configuration includes multibeam or side scan devices, HARDWARE displays a subheading for each included type below the mobile to which they are assigned. If you log side scan simultaneously with multibeam, configure them from the multibeam device list.

Note:Multibeam or side scan devices must be assigned to the first or second mobile. All multibeam devices must be assigned to the same mobile. Likewise, all side scan devices must be assigned to the same mobile.

1.Open the HARDWARE program. Select PREPARATION-HARDWARE SETUP.

2.In multibeam or side scan projects, add multibeam or side scan subheadings (or both) to the appropriate mobile using your system settings.

a.Access the System settings. Select “Hardware Configuration” in the tree view.

Hardware System Settings

b.Indicate the device types included in your configuration. The Include options make multibeam and side scan devices available in the HARDWARE interface.

3.For each HYPACK device:

a.Select the Survey Devices tab.

b.Use the View option to sort the device list by driver name (eg. gps.dll) or description (eg. GPS NMEA-0183). (Optional)

HARDWARE Drivers—Sorted by Description (left) and by Dll Name (right)

c.Use the Available option to list only drivers that record the desired data type. (Optional)

Note:Only the most commonly used drivers are initially included in your HYPACK device list. If your configuration requires custom or dredging drivers, you will find them in subdirectories contained in the \HYPACK 2017\Devices folder. Use Windows® Explorer to move them into the \HYPACK 2017\Devices folder then click [Rescan Driver List] to update your list of available devices.

d.Display the device ID number. (Optional) Select OPTIONS-SHOW DEVICE ID to turn the device ID number display on and off. The device number can be useful information when you need to know which raw data strings come from which device.

e.Select the driver in the Available list on the left and click [Add->]. You must, at least, include a positioning driver for each mobile. (For example, use the GPS driver for your boat and the towfish driver to position towed devices).

Select the positioning driver in the Available list on the left and click [Add->].

4.Select the subheading on the correct mobile in the tree view for your device type. Choose HYSWEEP SURVEY for multibeam devices and side scan devices logged simultaneously with multibeam, and SIDE SCAN SURVEY for side scan devices.

Note: If you are logging both multibeam and side scan, configure all of them using the options in the HYSWEEP SURVEY area.

5.Move the HYSWEEP or side scan devices in your configuration to the Installed list. Select the device in the Available list on the left and click [Add->] or Double-click the device in the available list.

6.Configure the driver options:

•Name your device. (Optional) The name (under the Installed list) defaults to the driver description, but you can change it to something simpler or to distinguish between two devices using the same device driver.

•Click [Setup] and select the appropriate options according to the Interfacing Notes, your device manual and your project requirements.

•If you are using GEOCODER™ with side scan data, check the device specified under ‘Specific Sonar Identification’ to be sure it matches the model you are using. This is automatically filled when you add your device, but some drivers support more than one model. GEOCODER™ needs detailed information that may differ between models.

•Assign any multibeam and side scan devices each to the correct mobile. The Installed on Towfish and Side scan Devices on Towfish options assigns the multibeam or side scan devices to the second mobile in the tree view. Otherwise, they are assigned to the first mobile.

7.Configure the Connection, Offsets and Driver Setup options.

8.Save your configuration (FILE-SAVE).

Note:Alternatively, you can save the settings for the HYPACK, multibeam and side scan devices separately using the FILE-EXPORT options. Later, you can reload the same settings using the FILE-IMPORT options.

9


HYPACK Device Functions and Options

When you are configuring HYPACK devices (not multibeam or side scan), the Functions list in the Survey Devices tab shows types of data the selected driver can collect. Select the driver in the tree view and check the data types that you want to record with the selected driver. For example, a GPS unit, may be used to get the position, calculate speed and heading. With RTK capability, the GPS driver can also calculate tide information.

•Position tells the driver to accept the designated position messages and convert them to X-Y coordinates, using the datum transformation and projection parameters as given in the GEODETIC PARAMETERS program.

SURVEY tags position records with POS in the raw files.

•Depth saves sounding or magnetometer data.

SURVEY tags depth records with EC1 (single beam) EC2 (dual frequency) and ECM (multibeam and multitransducer) in the raw files.

•Heading tells the SURVEY or DREDGEPACK program to store heading data.

SURVEY tags heading records with GYR in the raw files.

Beware!If you have a gyro, the program will use that as the primary orientation information. In this case, you should not also select for GPS heading as this would cause to switch between gyro and GPS orientation as each device updates, and your vessel will ‘twitch’ on screen.

•Speed tells the SURVEY program to use the speed information from the VTG message for the vessel speed. The GPS speed is much smoother and more accurate than the speed the SURVEY program will calculate.

SURVEY tags speed records with SPD in the raw files.

•Tide is available for tide gauge drivers and for the GPS Device Driver which can perform real-time water level determination. If you check this box, the program will store water level corrections from a tide gauge or, used with the GPS driver and an RTK device, it will create water level corrections at each GPS position update, based on the separation between the ellipsoid height and chart datum and the separation between the GPS antenna and the echosounder transducer.

SURVEY tags tide records with TID in the raw files. If it is calculating tide from RTK GPS data, it records the calculation values in KTC records.

•Heave records motion data. Drivers with this function may record heave only, pitch and roll, or heave, pitch and roll data. SURVEY tags these records with HCP in the raw files.

•Record Raw Messages enables you to record the data string, as it is read from the device, into your raw files.

SURVEY tags raw messages records with MSG (single beam), RMB (multibeam) or RSS (side scan) in the raw files.

Note:This option is required to record positioning data necessary to recalculate RTK tides in post-processing if necessary. If you are working with RTK tides, and collect data with erroneous configuration settings, this data will allow you to recover in post-proccceotessing.

•Record Device Specific Messages records data strings as described in the driver. It allows us to customize output strings for our users where necessary.

SURVEY tags these records in the raw files using unique tags determined in the device driver.

•Generate Output Messages: The driver constructs and sends messages out the designated port.
The NMEA driver is one such driver. In this case, it tells the NMEA driver to output NMEA messages. It can generate NMEA style messages, even if your positioning system is a non-NMEA device (e.g. range-azimuth or range-range system). You specify which messages to send in the Driver Setup dialog.

•Paper Annotation: Annotates each event on the sounder’s paper roll or digital echogram. SURVEY tags these records in the raw files using FIX tags.

The Options settings allow you to optionally record or annotate (or both) the Raw and Quality measurements from certain types of survey equipment. HYPACK records all of the final information for all sensors. It always records the calculated position for GPS updates, the raw depth information received from echosounders, the gyro heading from gyros, etc.

•Use for Matrix Update is only available for echosounders and magnetometers. If this option is checked, data from this device is used to fill the matrix file in HYPACK SURVEY. If you have more than one depth device in your setup, check this box for only one of them.

•The Paper Annotation selection is only applicable to echosounders with annotation capability. Checking this will enable echosounders with this capability to mark significant events during the survey.

•Record Raw Data: When this box is checked for a GPS device, the program will also record the WGS-84 latitude/longitude/ellipsoid height along with the position record. This enables you to recalculate positions or RTK tides in post-processing should you collect data with erroneous settings.

•Record Quality Data allows you to record quality information obtained from different devices.

More Information

• Data Strings in the HYPACK Raw Format


Connection Information in HARDWARE

The Connect information provides the device location and communication parameters to the SURVEY program.

• Configuring Connections for HYPACK Devices

• Configuring Connections for Multibeam and Side Scan Devices

• Testing Serial Communication with WCOM32

• Testing Serial Communication with the COMPort Test

• Testing Network Communication for All Network Devices

Configuring Connections for HYPACK Devices

The Connect information tells the SURVEY program the device location and communication parameters.

1.Select the device in the tree view and open the Survey Connect tab.

Survey Connect Tab

2.Check the Enabled option.

3.Specify the device connection type for this device.

a.Click [...]. The Device Connection dialog appears.

Device Connection Dialog

b.Select the connection type. The default settings corresponding to the selected type are displayed below the selection.

c.Enter the port settings or data file you are simulating. If the default settings are not accurate, they may be edited.

HYPACK uses the same serial (COM1: through COM50:) and parallel (LPT1: through LPT4:) drivers utilized by the Windows® operating systems.

•The Serial connections (Parity, Flow Control, Baud, Data Bits, Stop Bits and Flow Control) must be set to match your equipment or SURVEY or DREDGEPACK will not read the device data.

Serial Connect Options

•Network Connections: Network devices are becoming more common. Echosounders with network connections are advantageous in that full scan information can be recorded instead of only the depths.

Network Connect Options

Protocol: Choose between TCPIP, which passes data between two specific computers or UDP, which broadcasts to all computers on the local network.

Role: Only valid for TCPIP protocol, it depends the configuration in the echosounder. You can check your sounder’s user manual for that information but, the majority of the time, the sounder will be the Server so you should configure HYPACK to be the Client.

Host: This is the IP address of your sounder. Your sounder should be set to read the IP address of your survey computer.

Port: The port number is set for each device. It is the port from which HYPACK is to read data. (Odom devices use 1601. Reson devices use 1998.)

Write Port is only required for the UDP protocol. It is the port at which HYPACK should respond to this device.

•Parallel Connections: The port number is the only setting required for parallel connections.

•No Connection (None): Analog devices are frequently found on dredges to measure rotation. They interface with your survey computer through an Analog to Digital (A/D) card specific for the kind of input: 4-20mA, 0-5VDC, 0-10VDC, or -5 to +5VDC

d.Click [OK].

4.Set any of the remaining options where they are applicable:

•The Limit Update Rate To option is the time interval (in milliseconds) that the SURVEY or DREDGEPACK program requests information from the device. The default value is 10, but you can modify the amount of information passed between the device driver to the SURVEY or DREDGEPACK program through this setting.

A millisecond is 1/1000th of a second. If your echosounder is updating 20 times per second and you specify an update frequency of 100 milliseconds, the device driver will only pass the last depth received to the SURVEY or DREDGEPACK program 10 times per second, based on the update frequency setting.

All devices in HYPACK operate on a “Last Only” basis. This means if a new piece of information arrives at the device driver before it has delivered the last update, it deletes the earlier information and holds only the last measurements. If you want to get every bit of information received from a particular device, make sure the update frequency is quicker than the update rate of the equipment.

•Recording Rate is the rate (in seconds) at which SURVEY or DREDGEPACK records values for the device when logging. The default rate is 10 msec.

The exceptions would be for certain drivers in dredging configurations:

•For drivers that output information you need only during data collection. For example, the Vulcan driver expands the area of the matrix that will be painted by any one sounding. You need an update rate fast enough to assure accurate painting of the matrix, but if you also stored the soundings in raw files, you would rapidly accumulate data that is excessive for the slow speed of a dredge.

•Barge position changes so slowly, multiple updates/second are unnecessary.

You can reduce the size of the raw data file and still maintain sufficient records of your work by slowing the recording rate. It is up to you (or your job specifications) to determine the appropriate rate. Alternatively, if you need device data while out in the water, but not when you’re back in the office, you may choose not to record device data.

•Device Initialization Script sends user-supplied configuration information to certain echosounders. The information is sent at the start of HYPACK SURVEY to restore the device to exact settings.

Return To Top

Configuring Connections for Multibeam and Side Scan Devices

Select the device in the tree view then click the Connect tab to access device communication settings. Connection settings are required for each serial or network device. Serial or Network connection options are included in this dialog according to your device.

Serial Connections

•Enabled: Clear this selection to temporarily remove a device from the configuration without losing the device settings.

•Ignore Checksum is not recommended, but there are situations (normally testing) where the checksum is wrong, but the data is good.

•The Timeout Interval: The Devices alarm turns from green to red.when the last data received from any, individual device exceeds the defined time. It defaults to 15 seconds.

This option can be useful where a normal return interval is greater than the 30 second time out that is hard-coded for the other individual device alarms (Nav, Side scan, etc).

•Record Raw Messages saves the original data string as it is read from the device into the raw data file. (Binary data is output in hexadecimal format.)

Serial Connection Settings

•Port, Baud Rate, Parity, Data Bits, Stop Bits: Enter your device settings. These should be in the information received from the device manufacturer.

•The Read from File checkbox enables you to simulate data input from this device by reading a file. Many times, when you are having a problem with a device in the field, we will ask you to log some of the output from the device to a file and upload it to us. We can then replay the information using the File setting to see what is happening.

Network Device Connections

Drivers specify the network connection automatically. Define the network settings in the Connect Tab.

Network Connections

If you have a DNS server, you can define your destination computer by name or by IP Address. If you do not have a DNS server, you must include the IP Address. If these values are unknown, contact HYPACK or the device manufacturer for help.

Important: Be sure each network device has a unique IP Address to avoid network conflicts.

No Connection

Some devices, such as the HYPACK Side Scan, receive data from other places and no connection settings are necessary.

HYPACK Side Scan converts analog side scan data from single beam devices with side scan capability, which are configured in HARDWARE, and passes it to SIDE SCAN SURVEY or HYSWEEP SURVEY where it is stored to RSS records in the raw HSX file. When this driver is loaded, the Analog Side Scan program is automatically launched with HYPACK SURVEY and the Analog Side Scan Monitor appears. This dialog enables you to monitor and control the device activity.

Most analog devices are supported by the Analog Side Scan option and an A/D card connection in your data collection computer.

Note:Certain A/D adapters are not compatible with Windows® Vista.

Analog Side Scan Monitor

Input: Select a -5 to +5 volt or 0 to 10 volt range according to the device specifications.

Gain: Multiplies signal by this amount. A value of 1.0 is usually the best choice.

Ping Number displays the sequential ping numbers.

Trigger: Enter the change in the strength of the return when it hits the bottom (the threshold) in A/D count. The value must be within the 0-4096 range.

The graphs allow you to monitor device activity.

Test: Check the Simulate Data box for simulated side scan data.

Return To Top

Testing Serial Communication with WCOM32

1.Make sure the equipment is turned on and actually sending information. This can be confirmed by attaching a serial LED line tester to the end of your cable. The Receive Data light should be flashing (changing state from red to green) at each measurement transmission. If there are no lights flashing, your equipment is not transmitting or your cable is grossly wrong. A serial LED line tester is a great piece of equipment that can be picked up inexpensively at an electronics store.

2.If you have verified the equipment is transmitting, try to display or record the data in the WCOM32 program. HYPACK has included a shareware program (courtesy of Comtrol Corp., the manufacturer of Rocketport serial cards) in your HYPACK install to make this recording process really easy. Here's how it works.

a.Launch the Wcom32 program by selecting OPTIONS-WCOM32 in the HARDWARE window. The WCom32 dialog will appear.

Connect-Data Window

b.Select PORT-OPEN PORT and select the port from which you want to capture data.

Selecting the Port

c.Select SETTINGS-PORT SETTINGS and select settings that match those of your device.

Port Settings

d.Repeat the steps 3 and 4 for each device from which you would like to record data.

e.Select PORT-SAVE TO DISK and wait about a minute. The data is now recording to files on your hard drive.

f.Select PORT-SAVE TO DISK again (deselecting this option) to end the recording process.

g.Rename your saved data files by device name. Use Windows® Explorer to go to the \HYPACK 2017\Support\Com directory. The files that you have just recorded are named KOMx.txt where x is the port number from which the data was recorded. You can see that a data file named for the port rather than the device would soon be mixed up with all of the others that are named in the same way. This will avoid that problem.

Note:Note This is also the procedure to use if you have questions or problems regarding your data and or Technical Support asks you to send us some sample data.

3.If you are successful in reading the messages in the WCOM32 program, test each device in the HARDWARE program. This checks that you are using the correct device driver and whether the communication settings have been properly set.

a.Start the HARDWARE program.

b.Test your first device by right-clicking on the device in the configuration list and selecting “Test”, The HARDWARE program will launch the TEST program with a sample device window for that device.

To suspend the display updates to allow you to view it more easily, select TEST-PAUSE ALL. Repeat the same selection to resume scrolling.

To terminate the test select TEST-STOP ALL.. If you are unsuccessful at this point, you probably have the wrong device driver specified in the library entry. Contact HYPACK, and ask for Technical Support.

Launching the Interface Test for all equipment from the HARDWARE Program

c.Repeat the test process for each device. When all test correctly individually, go on to the next step.

Note:Once the Test program is open, you can test remaining devices from within the Test program by selecting TEST- DeviceName.

d.Test all of the survey devices at once. This determines if there are hardware conflicts between serial ports. In the TEST program, select TEST-TEST ALL. A device window will appear for each device.

If every device is being properly interfaced, you are ready to enter the HYPACK SURVEY program.

If all of your devices work when testing them individually, but do not work when testing them together, you have a problem with your serial communication hardware. Contact Technical Support at HYPACK, Inc. for assistance.

Return To Top

Testing Serial Communication with the COMPort Test

The Comport test shows status of serial communication ports 1 through 50. Ports shown as available are those that can be open for reading, although this can be misleading. Modems, for example, show up as available but are seldom used for device connection. Ports shown as not available are truly that.

Ports connected to working devices show the latest messages. ASCII devices send easy to read messages. Binary devices, which include all side scan devices, show garbled messages even when the data is good.

The Comport Test Tab

Return To Top

Testing Network Communication for All Network Devices

If you are using a network connection, you can test your settings to which you are connecting:

Click [Network Test] on the Connect tab. The Network Connections dialog automatically displays the connect information you have entered in the Connect tab.

Network Test Dialog

•For TCP/IP connections, click [Ping Device]. If the designated address is found, the status reads ‘Ping OK’. If not, it says ‘Time out waiting for a reply’.

Note:If you leave the address at the default 127.0.0.1, you ping your own computer and the status message tells you it is not a remote address.

•For UDP connections, click [UDP Connect] to attempt to read incoming data from the UDP port. If the connection is successful, the status field continuously updates the number of messages and their size. Each message display in the field at the bottom, though it will not be text you can read.

Testing Network Device Connections Using Wireshark

1.Install the Wireshark Program. The 32-bit and 64-bit installer packages for the Wireshark program can be found in your \HYPACK 2014\Support\Utilities\Wireshark folder.

2.Open Wireshark to find the home page.

3. List the available network connections from which to capture data. Click the List Available Interfaces icon.

Available Interfaces

4.Choose the network connection from which you would like to view network packets and click [Start].

5.Enter the port setting in the Filter field using the following format:

Udp.port == PortNumber. (For example, Udp.port == 5656” displays the device attached to port number 5656.) The field turns green to indicate a valid input string.

6.Click [Apply]. The data from that port scrolls through the Wireshark display.

Note:You must see packets displayed for HYPACK to receive data.

Wireshark with Streaming Data

To view the contents of any packet, select it in the list then check the display at the bottom of the dialog.

Return To Top


Offsets and Latency in HARDWARE

The vessel origin is the reference by which you position your devices and tracking point on your vessel. The tracking point and each sensor is referenced to the origin based on the distance in survey units it is starboard (X-direction), forward (Y-direction) and vertically (Z-direction). Vertical offsets are measured from the static water line, and are always positive downward.

The offsets for a device on the towfish is measured from the cable anchoring point on the towfish.

The best position for the boat origin varies depending on what sensors are included in your configuration. The following table provides our general recommendations for the position of the origin.

• Measuring Hardware Offsets

• Specifying Offsets and Latency in HARDWARE

• Mobile Offsets

Measuring Hardware Offsets

The position of everything on a mobile is determined by applying their offsets to the mobile heading and origin position. For the most accurate data collection, it is important to measure as accurately as possible.

Location Measurements:

Position measurements are the distances, measured in survey units, starboard, forward and vertically from your boat origin to your device.

•The Starboard and Forward offsets: Use positive numbers for positions forward and starboard of the origin and negative numbers for devices aft and port of the origin.

•The Vertical offset is the distance below the static waterline of the vessel. This is the waterline location when the boat is stationary. Of course, this point changes under various conditions (weight of passengers, fuel and cargo), but you have to start somewhere. Enter the antenna height above the water line as a negative value. The distance from the waterline to the transducer head will be positive.

Tip: To view an overhead display of the boat shape and a rear view of a generic vessel, overlaid with the device positions, select the mobile in the tree view and open the Vessel Shape tab. The devices in your configuration are listed in the order they are entered in the configuration and their device numbers are positioned in the boat shape according to their offset settings.

Rotation Measurements:

The rotation angles (yaw, pitch and roll) are critical to the success of multibeam surveys. These measurements are difficult to make with high accuracy. Do the best you can then do a patch test to find the real rotation or use 0 for all angles and let the patch test do the work.

•The Yaw offset is an orientation offset that is added to ship’s orientation. It is intended for use with multiple transducer systems that are not oriented perpendicular to the ship’s longitudinal axis. Yaw corrections are normally determined in the Patch Test program and are entered as decimal degrees in this dialog. Yaw offset can also be entered when gyros provide magnetic orientation to correct for magnetic variation.

Transducer and MRU Yaw: The transducer and MRU should be aligned with the keel. If they are, use 0 for yaw (or 180 for reverse mounting of the transducer). If either is slightly misaligned, use a positive angle when it is rotated clockwise.

Gyro Yaw: The Gyro should be aligned with the keel. If it is, use 0 for gyro yaw. If the gyro is slightly misaligned, use a positive angle when the gyro is pointing to the port side, negative when pointing starboard. Gyro yaw is also used to correct for variation of magnetic north from true north. To correct, add the variation to the mounting offset. For example, if the gyro has a mounting offset of –1.5 degrees and magnetic north is + 4 degrees from true north.
Gyro yaw offset = mounting offset + magnetic variation
=-1.5 + 4
=2.5 degrees

•The Pitch offset is normally only entered for multibeam sensors which are not oriented directly below the vessel. It allows you to enter mounting angles for forward- or rear-looking sonars. These angles are also determined in the Patch Test are entered in decimal degrees. The transducer and MRU should be aligned vertically. If they are, use 0 for pitch. If either is slightly misaligned, use a positive angle when it is pointing forward.

Note:The MRU is usually calibrated during installation and adjustments made in the device itself. The Patch Test calculates a combined adjustment value which will be applied to the transducer.

•The Roll offset is normally only entered for multibeam sensors which are not oriented directly below the vessel. It allows you to enter mounting angles for forward- or rear-looking sonars. These angles are also determined in the Patch Test are entered in decimal degrees. The reference roll angle is 0 for vertical mounting of the transducer and MRU. Use a positive angle when the transducer is rotated to the port side, negative when rotated to starboard.

Latency:

The latency time is the time delay in seconds from when a piece of survey equipment makes a measurement to when it outputs it to the survey computer. This allows the HYPACK SURVEY program to correctly time-tag information from each piece of equipment. Values for single beam and multiple transducer systems can be determined in the SINGLE BEAM LATENCY or the multibeam PATCH TEST routines.

Return to Top

Specifying Offsets and Latency in HARDWARE

When you have carefully measured your position offsets, enter your measurements for each in the Offsets tab of HARDWARE.

Note:You can leave latency set to zero then correct it with the results from your latency test or patch test. In multibeam systems, the same is true for the rotational offsets—pitch, roll and yaw.

1.Open HARDWARE.

2.For each device, do the following:

a.Add the device to the appropriate mobile in your configuration.

b.Select the device in the tree view.

c.Click the Offsets tab.

d.Enter your position offsets and close HARDWARE.

3.Run your calibration tests. For single beam surveys, the LATENCY TEST measures GPS latency. For multibeam and laser surveys, the PATCH TEST measures latency and the rotational offsets. Side scan surveys do not require latency.

4.Reopen HARDWARE and enter the offset corrections derived from your calibration test.

5.Save your configuration (FILE-SAVE).

6.If your single beam antenna offsets are different than your multibeam or side scan offsets, instruct HARDWARE how to proceed. When you save your configuration, HARDWARE compares your antenna offsets in your survey32.ini (single beam settings) and your hysweep.ini (multibeam and side scan settings). If they differ, a dialog alerts you to the difference.

•To leave the offsets as they are, click [Ignore Difference].

•To update the survey32.ini to match the hysweep.ini, click [Use Single Beam Position Driver Name].

•To update the hysweep.ini to match the survey32.ini, click [Use HYSWEEP].

HYSWEEP Offset Resolution Dialog

Sample Single Beam Setup

The following example shows a simple single beam configuration:

Sample Single Beam Boat

•The boat origin has been positioned directly over the echosounder transducer and at the level of the static water line. (The horizontal and vertical offsets are all zero.)

•The tracking point, used by HYPACK SURVEY to position your vessel in the world, is positioned over the transducer. This assists the helmsman in keeping the transducer head over the survey line and bases all logging calculations such as start and end line, alarms, etc on the transducer position.

Tracking Point Coordinates in the Mobile Tab

•The GPS antenna is positioned based on the starboard and forward offsets from the boat origin. Since the GPS antenna is port and forward of the boat origin in our example, it has a negative starboard offset and a positive forward offset.

Sample GPS Offsets

Sample Multibeam or Side Scan Setup

The following example shows a simple multibeam or side scan configuration:

Hull-mounted Multibeam or Side Scan

The Origin in a multibeam or side scan vessel is at the center of mass (vessel center of gravity (X,Y) and at the static waterline (Z)).

Multibeam boats require some type of Motion Reference Unit (MRU) to compensate for vessel heave, pitch and roll during survey. MRU devices are optional in side scan configurations. We do not measure rotational offsets for side scan sonar.

Tip: For best results, the MRU should be mounted at the pivot point for roll and pitch rotations and the multibeam transducer should be mounted as close as possible to the MRU. This way, the heave measured by the MRU is the same as the heave experienced by the transducer. Measure the horizontal distances from the navigation origin using the sign convention used with transducer measurements.

In this configuration, the GPS antenna is directly forward of the origin and above the water line, so the forward and vertical offsets are positive. The transducer is aft and port of the origin so the forward and starboard offsets are both negative.

Sample Transducer Offsets

Return to Top

Mobile Offsets

If a mobile has no positioning device, HYPACK SURVEY can calculate its position based on a set of user-defined measurements and the position of another mobile.

Beware!When the position of a mobile is calculated relative to another mobile, the horizontal offset signs are reversed from the normal convention (i.e. distances port and forward of the origin are negative and distances starboard and aft of the origin are positive). To avoid confusion, enter the offsets, using the normal convention, in the driver setup dialog instead of in the usual Offsets field when possible. The driver then assigns the correct offset signs.

For example, if your device was port 3 and aft 10 survey units from the origin on the mobile, you would normally specify a starboard offset of -3 and a forward offset of -10. If this is an offset for the attachment point (e.g. the A-frame for a towfish or the trunnion on an excavator dredge), SURVEY or DREDGEPACK will interpret the same offsets as starboard and forward of the origin.

To accommodate this idiosyncrasy:

•Specify offsets in the driver setup dialog where available. Some drivers, such as the towfish driver, include offsets in the driver setup dialog (accessed when you select the driver and click [Setup] in HARDWARE). There, you can enter the offsets using the normal sign convention and leave the forward, starboard and height offsets in the Offsets tab of HARDWARE set to zero.

Note:The height offset can be entered using the normal sign convention either in the driver setup or in the Offsets tab, but not both!

Towfish Driver Setup—Offsets in the Device Setup are All Zero

Inclinometer Driver Setup (left), Offsets to the Trunnion 3m Forward of the Dredge Origin (right)

Return to Top

More Information

• Assigning a Boat Shape to Each Mobile

• Creating a Boat Shape

• Measuring GPS Latency in Single Beam Configurations

• Multibeam PATCH TEST


Station Information in HARDWARE

Station Information is needed for Range-Range and Range-Azimuth type of positioning systems. It is not required for any other type of systems including GPS.

1.Access the Navigation Stations dialog.

a.Select the device driver for your system in the driver list.

b.Click [Nav Stations].

List of Navigation Stations

2.Click on [Add]. A “New Station” will appear in the Stations list.

3.Enter a name and the X-Y-Z coordinate information for your station in the fields to the right.

4.If you have a range-azimuth system, enter a reference azimuth in decimal degrees. This value can calculated for you when you have entered the second station coordinates. Select Station 1 and click [Recalc] to calculate the Reference Azimuth from north to Station 2.

5.Click [Apply] and your specified station will be added to the list.

You can enter multiple stations for range-range systems by repeating this process.

Range-Azimuth Systems

Range-Azimuth systems, require the coordinate information for the shore-based station site. This includes the X-Y-Z coordinate information. These coordinates must be on the ellipsoid and projection that has been selected in your geodetic parameters.

For a typical range-azimuth station, the Number is denoted by the order it is placed in the Stations List for range-azimuth systems.

The Reference Azimuth is critical to the computation of correct positions. The SURVEY program adds the Reference Azimuth to the horizontal angle received from the shore-based station. It is always entered in decimal degrees.

There are two different ways you can operate with range-azimuth systems.

•The operator of the shore-based station “zeros” the unit on the backsight and sets the unit to output “0”. The reference azimuth at the location of the shore-based station from north to the backsight station. This is always entered in decimal degrees.

•The operator of the shore-based station turns to the backsight and sets the shore-based station to read the actual azimuth from grid north to the backsight target. The shore-based station will then be outputting “true” azimuths to the survey program and there is no need to add a reference azimuth value. In this case, you will enter “0” for the Reference Azimuth.

Return to Top

Range-Range Systems

Range-Range systems, require from two to four stations. The HYPACK SURVEY program uses the “Variation of Coordinates” technique to calculate the “best fit” position during surveys where more than two shore-based stations are available. This is a universally accepted technique that is used throughout the hydrographic industry. It determines the best-fit position as the location where the sum of the square of the residual errors for each range (calculated minus observed distance) is a minimum.

To accomplish this computation, the algorithm needs a starting position. This value is the “Approximate Position” which is entered in the SETUP window for range-range systems. For a two-range system, the approximate position only needs to be on the appropriate side of the base line. For three- or four-range systems, the approximate position needs to be somewhere in the vicinity of the survey vessel.

In the Navigation Stations window, the “Number” for each station corresponds to the order in which the navigation station reports the range information. The SURVEY program needs to know the exact order in which the distance is being delivered to the computer.. If the SURVEY program gives the error “Non-Convergence”, it is usually because the stations have not been entered in the correct sequence.

The Reference Azimuth entry has no meaning for range-range systems and should be set to “0” for each station.

Return to Top


Disabling Devices in the HARDWARE

At times, you may want to temporarily ignore one or more devices in your setup. You could delete the driver from your setup, but then you would have to enter it with all of its settings when you want to reinstate it. An easier way to accomplish the same thing is to disable the device in the configuration.

In the HARDWARE dialog, select the device in the list and clear the Enabled option in the Connect tab. A disabled device will remain in the devices list with a red ‘X’ marking it. HYPACK SURVEY will display a blank device window for each disabled device.

When the device is disabled, HYPACK will not read data from that device. When you are ready to include that data again, just select the device and check the ‘Enabled’ option.


Time-Tagging Your Data

To correctly correlate positions with other data, it is essential to determine the precise time of the GPS measurement.

SURVEY and DREDGEPACK use a proprietary clock model called Veritime. Veritime is initially set to the Windows® clock time, but the two clocks slowly drift apart. In a simple hardware configuration (eg. a GPS and single beam echosounder), all time tags are assigned based on the same standard: the Veritime clock.

Important: All devices must use the same time basis—the computer Veritime or UTC time. If any device sends UTC time-stamped data, you must synchronize your computer clock with UTC time using the 1PPS box or the NMEA ZDA message.

If you synchronize the clock, HYPACK adjusts the Veritime clock speed to match the UTC time based on the time in the ZDA message from the GPS.

Note:You should run SURVEY or DREDGEPACK for two minutes before collecting data to allow the Veritime clock to synchronize with UTC time.

Beware!Update settings on your GPS of faster than 1000 msec (or 1 Hz) when you are using the Sync. Clock feature may result in significant drift between the computer clock and GPS time.

The following table presents the three techniques used in HYPACK to determine the time of measurement. Each has its advantages and drawbacks.

Time Tagging Options

Method | Advantages | Disadvantages
Apply a Fixed Latency Time. | •Simple. It does not require any special cable and allows you to operate on local time. | •GPS latency can vary, depending on the type of receiver, the number of satellites and the geometry of the satellites.
Use the NMEA ZDA message to synchronize the computer clock. | •Simple. It does not require any special box or cable. •Eliminates drift between the GPS and computer time. •Accuracy to within 1 msec. 98% of the time. | •The $ of the $GPZDA message must be transmitted at the referenced UTC time. •Some GPS units do not have ZDA capability.
Monitor the 1PPS Output of the GPS | •Provides a time tag of 1PPS times accurate in HYPACK to within 100 microsec. with standard deviation of 2 microsec. | •Requires a special hardware box and cable. •GPS manufacturers differ over the timing of the 1PPS pulse.

More Information

• Applying a Fixed Latency

• Synchronizing the Computer Clock to UTC Time Using the ZDA Message

• Synchronizing the Computer Clock to UTC Time Using a 1PPS Box


Applying a Fixed Latency

Enter a latency value in the Offsets for the GPS device. When a measurement is received from the GPS, the computer takes the current computer clock time and subtracts the latency value to determine the time of the measurement.

For example, if the latency is 0.5 seconds. When the computer receives a GPS message, it gets a time tag when it receives the first character. It would then subtract the 0.5 seconds from the time tag to obtain the final time of measurement.

Specifying the Latency for a GPS device

To obtain a latency value, perform a single beam latency test or, if you also have a multibeam system, a patch test. This determines the combined latency between the GPS and your echosounder.

Beware!There is some variation in GPS latency. For most newer equipment, we have performed tests that show the standard deviation of latency to be within 0.050 seconds for most GPS receivers. The main problem occurs with RTK units. There are some RTK units that take up to two seconds to output a position. These sets have major variation in latency and this method should be used at survey scales of 1:25,000 or higher.


Synchronizing the Computer Clock to UTC Time Using the ZDA Message

Using the arrival time of the ZDA message, HYPACK eliminates clock drift between the GPS and the computer clock and generates time tags to within 1 millisecond accuracy 98% of the time.

This is only important when using devices that output time-tagged information. In these cases, the device must also be synchronized to the UTC time in the ZDA message and we maintain the time the device assigned to the data because it is more closely correlated to the data than if we were to assign a time tag when the survey computer receives the data.

Note:This works for all GPS devices, whether they are RTK-capable or Differential.

Many GPS units can output a ZDA message, which contains only the UTC time, at the UTC time tic. As soon as the message is received, the SURVEY program uses the local time offset from the Windows® registry and resets the computer clock to the local time. All of the time tagging for other devices (echosounder, gyro, etc.) will now be based on the computer clock. You should let SURVEY run for at least two minutes to begin the process. From then on, the SURVEY program uses the UTC time contained in the GGA message as the time tag for the GPS position.

Beware!Update rates for ZDA messages, set in the GPS, should be no faster than 1000 msec (or 1 Hz) when you are using the Sync. Clock feature. Faster update rates may result in significant drift between the computer clock and GPS time.

•In the HARDWARE System tab, select the GPS driver under the Synchronize Computer Clock option.

•In the General tab of the GPS driver setup, clear the Use PPS Box for Timing option.

•Graphing the Synchronization Values is optional, but the displays will alert you if the synchronization has gone awry.


Synchronizing the Computer Clock to UTC Time Using a 1PPS Box

If you include data from another computer with time synchronized data (such as the POS MV or Geoswath), your survey computer must also be synchronized in order to accurately match the data. In HYPACK, we synchronize to UTC time.

Many GPS units can output a 1PPS (pulse per second) signal that is synchronized with the measurement phase. By using a 1PPS box to synchronize the computer clock to UTC time indicated in the ZDA message, HYPACK can achieve time tag precision to within 100 microseconds of the 1PPS pulse (the most accurate indicator of the UTC time) with a standard deviation of 2 microseconds.

The HYPACK SURVEY program uses the 1PPS box to monitor the CTS line of the GPS serial port. Every time it changes state (from 0 VDC or from 5 VDC to 0 VDC), it takes a time tag from the Veritime computer clock (corrected with the Windows® time zone offset). If a latency value has been entered, it also offsets the time tag by the value in the latency offset. The next message arriving from the GPS then receives that time tag.

Note:You should run SURVEY or DREDGEPACK for two minutes before collecting data to allow the Veritime clock to synchronize with UTC time.

•In the HARDWARE System tab, select the GPS driver under the Synchronize Computer Clock option.

Beware!Update settings on your GPS of faster than 1000 msec (or 1 Hz) when you are using the Sync. Clock feature may result in significant drift between the computer clock and GPS time.

Note:This is different than the update frequency of the driver.

•In the General tab of the GPS driver setup, select the Use PPS Box for Timing option.

•Graphing the Synchronization Values is optional, but the displays will alert you if the synchronization has gone awry.

Synchronizing the Clock to the GPS

Instructing the SURVEY Program to use the 1PPS Output for Time Tagging in the GPS.dll Setup.

You can use the ZDA TEST to verify the synchronization and view statistics regarding various factors affecting the level of synchronization.


Managing Multiple Hardware Configurations

FILE-SAVE: Each time you save your settings in HARDWARE, your current hardware configurations are stored in the projects INI files:

Saving Your Hardware Configurations

Device Type | FILE-EXPORT Menu Selection | Default INI File
Single Beam, GPS and Dredge equipment | Hardware Settings | \Projects\ProjectName\survey32.ini
Multibeam | Multibeam Settings | \Projects\hysweep.ini
Side Scan | Side Scan Settings | \Projects\sshardware.ini

They are recorded to these files where they are read by other programs to enable your data collection and by HARDWARE itself to display your settings when you re-open the program.

FILE-EXPORT options enable you to save the configuration settings with a file name that you provide. This is useful if you use more than one hardware configuration on your vessel. Instead of manually changing the individual devices and settings in HARDWARE each time, it is quicker and easier to save each complete configuration to its own file and load all of the settings at once by reloading the appropriate file.

•Save the settings for HYPACK, HYSWEEP or Side Scan drivers. The settings for each group of drivers is saved with an INI extension, by default, to the project folder.

•Save the full hardware configuration (FILE-EXPORT-ALL SETTINGS) to a ZIP file in your project folder.

To reload your configuration, select FILE-IMPORT and select your file.


Calibrating your Hardware

Before surveying, you should first confirm that the required offsets are as accurate as possible. Calibration tests provide accurate measurements which you must enter in your hardware configuration to complete the calibration of your system.

When you collect data, the offsets from the hardware configuration are recorded in the header of each raw file where they are read by the editor in post-processing.

•If you collect data before your system is calibrated, you must correct the data by loading the correct offsets in the Read Parameters dialog of the editing program.

•If you collect data with a calibrated system, you are set. The correct offsets are recorded to your raw data where they are read by the editor program.

Depth sent to the computer is sum of the measured depth from the transducer to the bottom transducer and the static draft correction.

The ‘Static Draft’ represents the vertical offset of the transducer beneath the static waterline when the vessel is not moving.

Static Draft

In HYPACK, static draft (and dynamic draft) are measured positive downward. The deeper the transducer is beneath the static waterline, the larger (more positive) the static draft correction.

Static draft can be corrected in one of two methods in HYPACK.

•Enter the static draft adjustment into the echosounder and set the vertical offset for the echosounder to 0.00 in the HARDWARE program. Most surveyors use this method. The echosounder will then output a sounding that incorporates the static draft.

•Set a static draft adjustment of 0.00 in the echosounder and enter the static draft as the vertical offset into HYPACK.

Beware!Do one or the other, but not both. Otherwise, you will be double-correcting for the static draft.

Note:If you are using real time kinematics (RTK) referencing the water line, you must include the static draft in your echosounder to get the correct tide information.

For single beam systems:

•The latency test measures the GPS latency offset. Enter the results in HARDWARE.

•The bar check measures the static draft for your echosounder.

•To output depths from the surface, enter this distance and adjust the sound velocity in your echosounder.

•To output depths from the transducer, enter this distance as the vertical offset for the echosounder in HARDWARE, so SURVEY corrects the depth for static draft.

Beware!Do one or the other, but not both. Otherwise, you will be double-correcting for the Static Draft.

For multibeam systems:

•The patch test measures your GPS latency as well as the rotational alignment of the system with the keel. While it is difficult to accurately measure the angular mounting components (roll, pitch, and yaw) of multibeam systems, errors in these measurements can lead to inaccurate surveys. The patch test is a data collection and processing procedure to calibrate these angles, along with positioning system latency.

•The bar check measures the static draft for your echosounder. The Bar Check routine in HYSWEEP SURVEY enables you to confirm the accuracy of the vertical offset for your multibeam echosounder, adjust it if necessary, and save documentation of the process. Once this process is accomplished, your echosounder outputs soundings relative to the transducer head.

In dredging projects, the angle sensors must be calibrated to set the ‘0’ depth at the water surface. This calibration is included in the driver configuration routines in HARDWARE. Unfortunately, dredge equipment and configurations are so varied, there are no standardized calibration methods. Please contact Technical Support for assistance.

More Information

• Confirming Time Synchronization with the ZDA TEST

• Measuring GPS Latency in Single Beam Configurations

• Bar Checks

• Multibeam Bar Check Tool

• Multibeam PATCH TEST

• Fixed-Mounted Topographic Laser Calibration

• Finalizing Hardware Offsets Using Calibration Test Results

• Correcting Offset and Latency Errors in Survey Data


Confirming Time Synchronization with the ZDA TEST

The ZDA TEST monitors your GPS input and provides detailed feedback allowing you to adjust your system settings to optimize proper function.

The program checks for the following conditions:

•ZDA messages are arriving from the GPS once per second. Anything between 0.8 sec and 1.2 sec is considered good.

•Number of characters is consistent with baud rate. If the number of characters received in one second is more than 80% of the maximum number that could be received, shows the following message:

Too many characters received in one second. Increase the baud rate or reduce the number of NMEA messages.

•Checks if the PPS pulse are correctly received if configured for PPS pulses.

To run the test, do the following:

1.Launch the ZDA TEST by selecting UTILITIES-CALIBRATION-ZDA TEST. A tabbed dialog will appear.

2.In the Configuration tab, enter your connection settings and click [Start].

•The Configuration tab displays the data received from the GPS.

Configuring your Connection Settings in the ZDA TEST

•The Graph tab displays a scrolling graph of the synchronization error.


Measuring GPS Latency in Single Beam Configurations

For single beam systems:

•The latency test measures the GPS latency offset. Enter the results in HARDWARE.

•The bar check measures the static draft for your echosounder.

•To output depths from the surface, enter this distance and adjust the sound velocity in your echosounder.

•To output depths from the transducer, enter this distance as the vertical offset for the echosounder in HARDWARE, so SURVEY corrects the depth for static draft.

Beware!Do one or the other, but not both. Otherwise, you will be double-correcting for the Static Draft.

More Information

• Calculating Latency Offsets in the Latency Test

• Latency Test History


Calculating Latency Offsets in the Latency Test

The Latency Test is used to determine the "fixed" delay time between the GPS and single beam echosounder. Subtract the adjustment value (positive) from the current latency for the final latency value (negative).

The latency correction is used in HARDWARE to adjust the "latency" time in the Offsets dialog for the positioning device. It represents a combined delay time between the GPS and echosounder. This method works well on GPS systems that have a constant latency time and for surveys at scales of 1:5,000 to 1:100,000.

If you have collected data with incorrect latency settings, you can adjust the latency in the SINGLE BEAM EDITOR which will correct the resultant edited data, but the raw data will remain unchanged.

We calculate latency by comparing data from pairs of reciprocal lines over a changing bottom.

For the best results:

•Collect your data at slack tide when the water level changes slowly.

•Follow the planned line as exactly as possible.

•Monitor the number of satellites read by your GPS. You can set your system to log data based on the HDOP or number of satellites in the Alarm tab of the driver setup dialog for the GPS.dll.

•Run the test three times, each with a separate pair of lines and average the calculated latency time.

The goal is to find the correction value that will result in the best alignment when the profiles are overlaid.

1.Log your test data. Run the same line up and down over a sloping bank or over a prominent bottom feature.

2.Open the program. Click UTILITIES-CALIBRATION-LATENCY TEST.

3.Select FILE-OPEN SOUNDING CATALOG and select the LOG file containing your latency test lines.

4.Click [OK]. A list of files will appear.

Sounding Catalog in LATENCY TEST

5.Click on the two files to be used for the latency calculation and click [OK]. After the first file header is read, the Read Parameters dialog appears.

Latency Read Parameters Dialog

6.Set your Read Parameters and click [OK] to continue. A cross section graph will display the profiles of your two survey lines. You may notice the sections are not "aligned" meaning there is an error in the latency time setting.

•Select the devices whose data you are using. Make sure you have selected the single beam echosounder. If your data files were collected over an area of fluff, use Depth 2 for the calculation.

•Choose a Tide Correction method.

•None: If you collect your test data at slack tide, you should be able to get fairly accurate results without accounting for tide.

•RTK Tides

•Read from TID file: Reads the corrections from a tide correction file that you typically generate from tide gauge data in the MANUAL TIDES program.

Graph Displaying the Results of Coarse Adjustments

7.Select FILE - ADJUSTMENTS (or click the wrench icon) to display the Adjustments dialog.

Latency Adjustments Dialog

8.Set Filters to omit obvious bad soundings. You can set filters for minimum and maximum depth or elevation, and for soundings farther off line than the user-defined limit.

9.Perform Coarse Adjustments.

a.Select the coarse adjustment settings. Click [Coarse] and the settings are automatically calculated.

b.Begin calculations. Click [Start]. When the calculations are complete, a graph will appear showing the results.

c.Return to the Adjustments dialog. Click [Close] .

10.Perform Fine Adjustments.

a.Click [Fine].

b.Click [Start] to test using the Fine settings. The graph reappears with a new value, listed as the final offset, to be used as your latency offset.

Latency Value

Manually Testing Latency Adjustment Values

You can also use the LATENCY TEST to test the results of a latency value of your choice:

1.Enter your value as the Position Latency.

2.Click [Recalc]. The program redraws the profiles using your latency value so you can see how closely they align.

More Information

• Measuring GPS Latency in Single Beam Configurations

• Latency Test History

• Finalizing Hardware Offsets Using Calibration Test Results

• Correcting Offset and Latency Errors in Survey Data


Latency Test History

Each time you apply a new latency value to your test data by clicking either [Recalc] or [Start], the adjustment value is recorded in the History tab. This listing is not project specific; it includes all latency tests run on this computer.

Latency Test - History Tab

To remove a record from this log, select the record and click [Delete Row].

To remove all records at once, click [Clear History].

To print your history, click [Print], configure your printer settings and click [OK].

More Information

• Measuring GPS Latency in Single Beam Configurations

• Calculating Latency Offsets in the Latency Test

• Finalizing Hardware Offsets Using Calibration Test Results


Bar Checks

Single Beam, Dual Frequency and Multiple Transducer Systems

Most single beam, dual frequency and multiple transducer systems are calibrated by lowering a plate a fixed distance below the transducer then adjusting the draft and sound velocity settings on the echosounder. The procedure is summarized in the following example where we will use 5 and 25 foot depths.

Bar Check Calibration

1.Lower a bar or disk directly below the transducer to a predetermined depth. (Keep the bar close enough to the transducer so that sound velocity errors don’t enter into this.)

2.Adjust the Draft setting on your echosounder until the paper chart/digitizer reads the correct depth. In this example, the depth is 5 feet.

This incorporates the static draft into your echosounder readings; the vertical offset for your echosounder in HARDWARE will be ‘0’.

3.Lower the bar/disk to a depth that is approximately the depth of your channel. In our example, we have lowered it to 25 feet.

4.Adjust the Sound Velocity setting until your echosounder reads 25 feet.

5.Return the bar/disk to 5 feet and check the depth. It may have changed, since you just changed the sound velocity.

•If the depth has not changed, your echosounder is calibrated and you may begin work.

•If the depth has changed, repeat the process (steps 1-4) until the sounder accurately reports the 5-foot and 25 foot levels.

Using this process, you now have an echosounder that is calibrated at 5 feet and 25 feet. Assuming the sound velocity is constant through the water column, it should also be calibrated for the depths between this range. If sound velocity is not a constant through these ranges, your intermediate depths may have small errors.

Slight depth errors occurring due to sound velocity factors

Note:Another method used for calibrating your echosounder is to set the sounder for a fixed velocity (for example 1500m/s or 4800 ft/s) and then use a sound velocity profile to adjust the depths in real time or post processing. The sounder is first calibrated using the process described above. This finds the electronic draft of the sounder. After calibration, the velocity is then set at a recommended level. Measured depths are later adjusted based on the initial setting and the sound velocity profile to determine the final measured depth.

Multibeam Systems

For multibeam systems, the most common practice is to set your echosounder for a fixed velocity (for example 1500m/s or 4800 ft/s) and use a sound velocity profile to adjust the depths in real time or post processing.

Enter the static draft as a vertical offset of the echosounder in HARDWARE then use the Bar Check tool in HYSWEEP SURVEY to check the accuracy of your data throughout your project depth range. The Bar Check tool provides statistical data for each beam and enables you to adjust your vertical offset accordingly if you choose.

More Information

• Multibeam Bar Check Tool


Multibeam Bar Check Tool

The Bar Check routine, in the HYSWEEP SURVEY, enables you to calibrate your echosounder and save documentation of the process. The Bar Check tool provides statistical data for each beam and enables you to adjust your vertical offset accordingly. Once this process is accomplished, your echosounder output soundings relative to the transducer head and writes the vertical offset to the header of the raw data file (*.HSX). The survey programs add the vertical offset to the received depth and report the result as the raw Depth.

Important: Use draft/squat corrections in SURVEY only for dynamic draft. When you incorporate the static draft into the hardware configuration and as a draft/squat correction in SURVEY, HYPACK corrects for the static draft twice.

The Bar Check window also displays the average pitch and roll over the time span of the test. These values can be significant, particularly if you added weight, changed weight distribution in your vessel after the MRU was installed, resulting in the MRU no longer being level.

1.Open the Bar Check program by selecting TOOLS-BAR CHECK. The Bar Check window will appear.

Bar Check Window

2.Click [Reset Barcheck.txt] to begin a new Bar Check Report.

3.Set your filters.

•Depth Gate determines the scope of the display in the lower part of the window.

•Angle Limit defaults to 75 degrees. If you see indications on the sides that the outer beams are inaccurate you may need to narrow your focus. We have seen instances where, at 75 degrees, the outer beams were hitting the chains suspending the bar thus affecting the accuracy of the test.

•Sonar Draft: The Bar Check Tool initially displays the Vertical offset from your hardware configuration, but you can adjust this value as necessary until the Bar Depth equals the Measured Depth and use the new value to update your hardware configuration.

•Bar Depth is the depth at which the bar is currently set.

•Measured Depth is a calculated average of all sounding data over the three-second interval.

4.Set your Bar Depth just a short distance below the transducer (eg. 5 feet), enter the same depth in the Bar Check dialog under Test Bar Depth and watch the data on the screen.

5.When the Measured Depth stabilizes, if the Measured Depth does not approximate the Test Bar depth, adjust the Sonar Draft value until it does.

6.When the Measured depth approximately equals the Bar Depth, click [Save Depth]. This saves statistical documentation about the data gathered by each beam over the past three seconds.

Bar Check Calibration

7.Repeat steps 4 and 6 at each Bar Depth for which statistics are required.

8.When the test is complete, click [Barcheck.txt] to view and print the stored data in Windows® Notepad.

Sample Barcheck.txt File

9.Note the Pitch and Roll Average values to update the MRU offsets in HARDWARE.

10.Update the Vertical Offset for your transducer. (Optional) If you have adjusted the Draft value in the Bar Check Tool, when you exit the tool it asks if you want to save your change. Click [Yes] to update your hardware configuration (hysweep.ini) with the sonar draft value from the Bar Check Tool. (This assumes your original measurement of the vertical offset for the sonar was inaccurate and adjusts your settings according to the Bar Check.) Otherwise, click [No] and investigate further to resolve the vertical difference.

11.In HARDWARE, update the pitch and roll offsets for your MRU using the Average Pitch and Roll values.

Important: Changing these values affects your patch test results. If you change these offsets after your patch test, you should do new patch tests for pitch and roll.

More Information

• Bar Checks


Multibeam PATCH TEST

While it is difficult to accurately measure the angular mounting components (roll, pitch, and yaw) of multibeam systems, errors in these measurements can lead to inaccurate surveys. The PATCH TEST is a data collection and processing procedure to calibrate these angles, along with positioning system latency.

In the latency test, we successively modify GPS latency by the time step for the number of steps selected using the original GPS latency time as the center time. At each step, the depth profiles are recalculated and drawn in cross section, so that the number of cross-sections equals the number of time steps.

In yaw, roll and pitch tests, we successively modify the respective mounting angles by angle step for the number of steps selected. Again, at each step the depth profiles are recalculated.

Since the calibration of one offset will affect the results of subsequent tests, you should process each pair of lines separately and in the following order:

1.Latency: Delay between the position fix and the data arrival time introduces positioning error, independent of any transducer misalignment.

2.Roll: Vertical misalignment, port and starboard, between sonar and MRU can cause depth errors, especially at the outer beams.

3.Pitch: Vertical misalignment, forward and aft, between sonar and MRU can cause depth and position errors across the swath.

4.Yaw: Misalignment of the sonar and gyro relative to the boat frame can cause position errors.

Note:If you save the results of one test then load the next pair of lines, you can apply the offsets calculated thus far. Since one offset affects the accuracy of later calculations, this is usually a good thing to do.

Latency | Pitch
Roll | Yaw

Multibeam offset adjustments are calculated with the PATCH TEST in the 32-bit HYSWEEP EDITOR and the 64-bit HYSWEEP EDITOR programs.

More Information

• PATCH TEST Procedure

• PATCH TEST Data Collection

• PATCH TEST Interface in the 32-bit HYSWEEP EDITOR

• PATCH TEST Interface in the 64-bit HYSWEEP EDITOR

• Calculating Offset Adjustments with the 32-bit PATCH TEST

• Calculating Offset Adjustments with the 64-bit PATCH TEST


PATCH TEST Procedure

1.Collect survey data in the prescribed pattern.

2.Process the data through all phases of editing. At this point, the Patch Test option will be enabled.

•In the 32-bit HYSWEEP EDITOR, you will load two lines of raw test data at a time according to which offset you are testing. If you have a dual head system, it also depends on the head for which you are testing.

•In the 64-bit HYSWEEP EDITOR, you can load two lines of test data at a time (as in the 32-bit version) or load all of the test lines at once, but move back and forth between stage 1 and 2 editing, each time selecting the correct pair for the next test in stage 1 editing then clicking the stage 2 icon to take only the selected lines to stage 2.

Use the editor to apply your sound velocity and tide corrections, and remove all spikes and outliers. After you have completed all editing, run the PATCH TEST from the Tools menu.

3.Run the PATCH TEST which will calculate offset adjustment values for latency, pitch, roll and yaw.

The values calculated from each test can be applied to each subsequent test for better results.

Once you have run each test once and applied the results, you may run each test again using fine step settings. This second pass may improve the accuracy of the calculations as the first tests did not have the benefit of the values produced in the later tests.

4.Enter the adjustment values in the Offsets Dialogs in the HARDWARE and HYSWEEP HARDWARE programs.

5.Correct the offsets in data collected with incorrect offsets in post-processing. Enter the correct offsets in the Offsets Tab of the Read Parameters dialog of the editor program. This process corrects only the edited data. The Raw data will remain unchanged.

More Information

• Multibeam PATCH TEST

• PATCH TEST Data Collection

• PATCH TEST Interface in the 32-bit HYSWEEP EDITOR

• PATCH TEST Interface in the 64-bit HYSWEEP EDITOR

• Calculating Offset Adjustments with the 32-bit PATCH TEST

• Calculating Offset Adjustments with the 64-bit PATCH TEST

• Basic Acoustics for the Hydrographer


PATCH TEST Data Collection

Run lines, 200-300 feet (100 m) long. For each offset test, the lines must be run over specific bottom terrain in a specific way as follows:

Map View of Patch Test Survey Lines (single head transducer) with Bottom Contours—Roll (R), Latency (L), Pitch (P), and Yaw (Y) Test Lines.

Single Head Transducer Data Collection Specifications

Offset | Collection Specifications
Latency | •Perpendicular to a slope •Run same line twice in the same direction •One line at maximum survey speed and one as slowly as possible
Roll | •Over Flat bottom •Run same line twice in opposite directions •Normal survey speed
Pitch | •Perpendicular to a slope •Run same line twice in opposite directions •Normal survey speed
Yaw | •Perpendicular to a slope •Two parallel lines spaced at a distance equal to the channel depth. •Run each line in the same direction •Normal survey speed

The data collection pattern for a dual head multibeam system is a little different than for the single head system in order to overlap the soundings and PATCH TEST for head 1 and head 2 separately.

Tip: In the Multibeam view options of HYSWEEP SURVEY, you can choose whether the data from Head 1 or Head 2 will paint the matrix to ensure proper overlap.

Roll Data (left), and Yaw, Latency, Pitch (right)

Dual Head Transducer Data Collection Specifications

Offset | Test Specifications
Latency | •Perpendicular to a slope •Run same line twice in the same direction •One run at maximum survey speed and one as slowly as possible
Roll | •Over Flat bottom •Three parallel lines spaced at a distance equal to the channel depth •Run in alternating directions •Normal survey speed
Pitch | •Perpendicular to a slope •Three parallel lines spaced at a distance equal to the channel depth •Run in alternating directions •Normal survey speed
Yaw | •Perpendicular to a slope •Three parallel lines spaced at a distance equal to the channel depth •Run all in the same direction •Normal survey speed

Tip: Before you log each line for a patch test, select the offset calculation for which the line is intended from the Patch Test menu. The menu selection is appended to the raw file name so it’s easy to tell which lines to use for each calculation in the 32-bit HYSWEEP EDITOR.

Patch Test Files with Appended Tags

For optimal test results, consider the following:

•Verify the multibeam power and gain settings before data collection to minimize spikes.

•Verify good positioning. Small position errors can cause erroneous patch test results. If your HDOP is high, consider calibrating at another time.

•Take care to minimize your cross track error. PATCH TEST only works on overlapping data.

•Parallel lines require 50% (1/2 swath) overlap where the data from each swath will be compared.

•Test in the deepest section of your survey area. Errors are most apparent and more accurately calculated in deeper waters.

•Always collect three sets of data to confirm the results.

•Average the results from multiple patch tests for final results.


PATCH TEST Interface in the 32-bit HYSWEEP EDITOR

The PATCH TEST interface is a 4-tabbed dialog, one tab for each offset you will test.

PATCH TEST Interface

In each tab shows the alignment of the data in your two overlapping data sets (red soundings from the first file and green from the second), default angle and step settings and the matrix cell size.

When the calculations are complete, the profiles are drawn using the offset adjustment value and a graph displays the difference between the cross sections (Y-axis) for each angle or time adjustment (X-axis). In the graph, you are looking for a distinct ‘V’-shaped graph where the best offset adjustment value is at the apex of the ‘V’.

(EQ 1) Initial Offset + Adjustment = Final Offset

You should then enter the Final Offset value as your sounder offset in HYSWEEP HARDWARE.


PATCH TEST Interface in the 64-bit HYSWEEP EDITOR

The PATCH TEST interface shows the alignment of the data in your two overlapping data sets. The PATCH TEST tools are merged in an A-B Cross Section and Patch Test window where you can do your stage 2 editing, removing any spikes that will negatively effect your patch test, then run the adjustment calculation routines.

PATCH TEST Interface

When the calculations are complete, the profiles are drawn using the offset adjustment value and a graph displays the difference between the cross sections (Y-axis) for each angle or time adjustment (X-axis). In the graph, you are looking for a distinct ‘V’-shaped graph where the best offset adjustment value is at the apex of the ‘V’.

(EQ 2) Initial Offset + Adjustment = Final Offset

You should then enter the Final Offset value as your sounder offset in HYSWEEP HARDWARE.

Tip: Use [Update Config Files] in the PATCH TEST interface to quickly and accurately update your HYSWEEP HARDWARE configuration.


Calculating Offset Adjustments with the 32-bit PATCH TEST

1.Run one pair of test lines (latency, roll, pitch or yaw) through the 32-bit HYSWEEP EDITOR to phase 3.

Tip: As you go to phase 3, the Matrix Options dialog enables you to select the matrix and set the cell dimensions. We recommend that you select the Auto-Size to Data, Rotate to Survey Line and Auto Cell Size options. These options attempt to optimize the matrix configuration based on your data and equipment.

Tip: After you run each test and progress to the next, apply the previously calculated adjustments to the subsequent tests. (The program will ask; just say yes!)

2.In phase 3 of the 32-bit HYSWEEP EDITOR, start PATCH TEST. The PATCH TEST interface is a 4-tabbed dialog—one tab for each offset tested.

•Manually choose the cross section on which to base the statistics.

Tip: This method is recommended as it enables you to cut the profile at optimal positions in your data for each test.

Click the wrench icon in the Survey window then drag the cursor across the data in the Survey window. The Patch Test will appear displaying the selected data and a Manual Cross Section label.

•If you want the 32-bit HYSWEEP EDITOR to choose the cross section on which to base the statistics, select TOOLS-PATCH TEST. The Patch Test will appear displaying the selected data and an Automatic Cross Section label. In this case, the cross sections will be positioned as follows:

•Latency and Pitch: Directly under the track line.

•Roll: Transverse to the survey lines at their mid-point.

•Yaw: Mid-way between the track lines.

3.Select the tab that corresponds to the sounding lines you selected. (If you selected the data to test roll, select the roll tab.)

4.If you are using a system with two sonar heads, tell the 32-bit HYSWEEP EDITOR whether to use data from head 1, head 2 or both. (Select Head 1 if your echosounder has only one head.) This option is useful where two sonar heads are mounted in different places on the survey vessel.

5.Set Angle/Time Step and Number of Steps. In each tab, [Coarse Steps], [Medium Steps] and [Fine Steps] provide suggested Angle/Time Step settings, but you may enter other values if you wish.

•Angle/Time Step is the increment for each step. (Refer to the following table for suggested settings for each test.)

•Number of Steps is the number of calculations either side of the original latency time.

Suggested Angle/Time Step Settings for Each Test

Test | Angle/Time Step
Latency | Time Step = 0.1 sec for DGPS. 0.05 with RTK GPS
Pitch | Angle Step = 1 degree for DGPS. Better with RTK GPS
Roll | Angle Step = 0.1 degree
Yaw | Angle Step = 1 degree for DGPS. Better with RTK GPS

6.Click [Start Test]. The 32-bit HYSWEEP EDITOR will do the calculations to determine if any offset adjustments are necessary.

7.Save test results (optional). The [Save Test Results] button saves a screen capture of the current PATCH TEST tab to an RTF file1 and to a running history of the session’s PATCH TEST results. When you save your first result, the program will ask you to name the RTF file. All subsequent saves performed during the current 32-bit HYSWEEP EDITOR session are automatically saved to the same file.

8.View history (optional).

•[View History] opens a tabbed dialog with one tab per test. Each tab displays a spreadsheet with one record for each saved test of that type. Each record includes the survey time and date information from the header of your survey data and the final offset calculated by the test.

To save a screenshot of this display to your RTF file, click [Save to RTF] and name your file. The file is saved, by default to the \HYPACK 2017\Projects folder, but you can choose an alternate path.

Tip: If you save multiple test results to the same RTF document, the current results are appended to the existing records in the document. This allows you to generate a document that includes all four tests.

•To view the results of each test, open your RTF file saved from PATCH TEST.

1. RTF (Rich Text Format) files are text documents that support graphics. If your current word processor does not support graphics, you can download the Word Viewer from Microsoft free of charge.


Calculating Offset Adjustments with the 64-bit PATCH TEST

In the 64-bit HYSWEEP EDITOR, you can still load, edit and patch test files two at a time, as in the 32-bit PATCH TEST, but the 64-bit HYSWEEP EDITOR also enables you to load all of your patch test lines at once then advance only selected lines to stage 2 for each patch test. Remember to run the tests in order: latency, roll, pitch then yaw. In stage 2, edit your data in the editor or in the PATCH TEST interface before you run the calibration test.

Tip: When you load all of your patch test files to the 64-bit HYSWEEP EDITOR, you can update the offsets with calculated Final Offset value of each test, directly from the PATCH TEST interface, and use it in successive tests. In this way, the accuracy of the later tests is improved because they use correct offsets from the earlier tests.

Tip: If you load survey data with the patch test, you can go right into editing because offsets would’ve been updated during the patch test. Alternatively, you can update your boat configuration file, then load the survey data separately and load the PATCH TEST results from the boat configuration file.

Note:If you are calibrating a dual head system, you can load all lines for the same test (roll, pitch, yaw), then choose to view data from Head 1, Head 2 or both during the tests.

1.Load all patch test files to the 64-bit HYSWEEP EDITOR.

2.Do any editing required in stage 1.

3.Take the lines for your test into stage 2 editing.

a.Select the test lines.

b.Advance to stage 2 editing. The program asks if you want all lines or selected lines.

c.Click [Selected Files]. Your selected lines advance to stage 2 and the File List updates accordingly.

4.Load the data to the PATCH TEST. The cross section on which the calculations are based may be selected manually or automatically:

•Manually choose the cross section on which to base the statistics.

Tip: This method is recommended as it enables you to cut the profile at optimal positions in your data for each test.

i. Click the A-B Cross Section and Patch Test icon then drag the cursor across the data in the Survey window. The A-B cross section window appears displaying the data at the selected cross section location.

ii.If the PATCH TEST controls are not visible, check the Show PATCH TEST option.

iii.In the Select options, select the correct test for the data.

•Allow the editor to choose the cross section on which to base the statistics, select the correct test for your data in the TOOLS-PATCH TEST menu. The PATCH TEST will appear displaying the selected data. In this case, the cross sections will be positioned as follows:

•Latency and Pitch: Directly under the track line.

•Roll: Transverse to the survey lines at their mid-point.

•Yaw: Mid-way between the track lines.

PATCH TEST Interface

5.Perform stage 2 editing as necessary.

6.Perform the PATCH TEST calculations. [Coarse Steps], [Medium Steps] and [Fine Steps] provide suggested Angle/Time Step settings for each step level, but you may enter other values if you wish. When each calculation is complete, the profile display is updated according to the calculated offset correction and the graph of the difference between the cross sections (Y-axis) for each angle or time adjustment (X-axis) appears.

Note:If you are calibrating a dual head system, you can choose to view data from Head 1, Head 2 or both during roll, pitch and yaw tests.

Tip: If your graph is a bit jagged, try adding data by increasing the number of stacks and rerunning the calculations. The selected number of stacks is centered on the original profile location.

a.Click [Course Steps] then [Start.... Test]. (The text on the button matches the offset to be calculated.)

b.Click [Medium Steps] then [Start... Test].

c.Click [Fine Steps] then [Start... Test].

7.If the results are unacceptable, close the PATCH TEST window and start again. The program will ask if you meant to save the results. Since your results are unacceptable, click [No] to return to the editor interface and begin again. This provides the opportunity to load alternate test files or to correct errors you may have made in the previous test.

8.When your completed results are satisfactory, click [Test OK]. The [Save Test to History], [Update Config Files] and [Save to RTF] buttons are then enabled.

•[Save Test to History]: Stores your test results in a record of all PATCH TEST calculations for the project and displays the records in the PATCH TEST History window.

Sample PATCH TEST History

•[Use Average] calculates each Final Offset value as an average of all results saved in the project history and applies that offset to all currently loaded files.

Tip: If you have loaded all of your patch test files, this adjusts them with the current correction which will, in turn, make the next patch test calculation more accurate.

Tip: You may also load your survey data with the patch test data and update the offsets in those as well. This means that, after the patch test is complete and you have updated your files with each offset value, you would go back to stage one, select all of your data files, then move to stage 2 with only the selected files.

•[Update Config Files] copies the calculated Final Offset to the selected initialization files.

•HYSWEEP HARDWARE: Quickly and accurately updates the Hysweep.ini which populates the settings in HYSWEEP HARDWARE with your test results.

•Boat configuration file: The boat configuration file stores all of the offsets in a central location. If you will be running multiple sets of data using the same device settings, you can save your current offset settings for easy reload. Boat configuration files are generated and loaded in the 64-bit HYSWEEP EDITOR Read Parameters dialog.The editor uses these offsets to present your data for editing and stores the correct offsets in the edited output files.

In this case, the program updates the boat configuration file with the current offset calculation.

Note:This option is only enabled if you have used one of the boat file options in the Read Parameters dialog when you loaded your data.

•[Save Screen to RTF] saves a screenshot of the display, labeled with the tested offset and sounder head, to an RTF1 file. The program asks you to name each file.

Tip: Alternatively, if you name the first file, then choose the same file for each successive test, the results are appended to the existing file. It is not overwritten.

9.Close the Patch Test window. This completes the patch test for the lines you brought to Stage 2.

10.If you have not yet run each of the four patch tests, bring the lines for the next test to Stage 2.

a.Change the File List display in the drop-down selection above the File List to All Files. All files loaded to the 64-bit HYSWEEP EDITOR are displayed.

b.Select the files for the next test and repeat the process taking them to Stage 2 and PATCH TEST.

More Information

• Running the 64-bit HYSWEEP EDITOR

• Read Parameters in the 64-bit HYSWEEP EDITOR

1. RTF (Rich Text Format) files are text documents that support graphics. If your current word processor does not support graphics, you can download the Word Viewer from Microsoft free of charge.


Fixed-Mounted Topographic Laser Calibration

Fixed-mounted laser calibration requires that you scan a tall, thin feature (eg. flag pole) from all four sides without changing the mount of the laser. The taller the feature, the easier it will be to see the patch test working. The aim of the patch test is to match the position of the pole in all four lines.

Tip: Collect the patch test data in a parking lot while the boat is still on the trailer. It is probably easier to find an appropriate object to scan and the solid surface of the ground, as opposed to the water, provides better data for the roll test.

Patch test data for topographic laser systems is processed through the multibeam editors. Because you run all of the tests—roll, pitch and yaw, in that order—all with the same data set, you can load the data once, then run each test by just moving from one tab to the next.

In each tab shows the alignment of the data in your overlapping data sets, default angle and step settings and the matrix cell size.

When the calculations are complete, the profiles are drawn using the offset adjustment value and a graph displays the difference between the cross sections (Y-axis) for each angle or time adjustment (X-axis). In the graph, you are looking for a distinct ‘V’-shaped graph where the best offset adjustment value is at the apex of the ‘V’.

The Adjustment field shows the value that, when added to the Original Offset value, determines the Final Offset value that you should then enter as your sounder offset in HARDWARE.

Roll Test

The roll test attempts to line up the flat ground. (Although the roll test doesn't strictly need to include the pole, it doesn't hurt.) A roll offset causes the bottom to make X's and slightly affects the position of the pole, if it is visible.

Sample Roll Tests—Roll Offset (left), Calibrated (right)

Pitch Test

A pitch offset appears as a series of poles which angle outward from the base.

Sample Pitch Tests—Pitch Offset (left), Calibrated (right)

Yaw Test

A yaw offset appears as a series of parallel poles that are separated horizontally from each other.

Sample Yaw Tests—Yaw Offset (left), Calibrated (right)

More Information

• Patch Test Data Collection For Fixed-Mounted Laser Systems

• Processing Patch Test Data for Fixed-Mounted Topographic Laser Systems

• Logging Data in HYSWEEP SURVEY


Patch Test Data Collection For Fixed-Mounted Laser Systems

Fixed-mounted laser calibration requires that you scan a tall, thin feature (eg. flag pole) from all four sides without changing the mount of the laser. The taller the feature, the easier it will be to see the patch test working. You will scan the feature from all four sides, without changing the mount of the laser. The aim of the patch test is to match the position of the pole in all four lines.

Tip: Collect the patch test data in a parking lot while the boat is still on the trailer. It is probably easier to find an appropriate object to scan and the solid surface of the ground, as opposed to the water, provides better data for the roll test.

1.Mount your equipment on your vessel.

2.Identify a tall pole to scan for your calibration.

3.Scan the pole running four equidistant lines, one on each side of the pole, from a short distance (on the order of 20 yards or meters). The exact distance and heading of each line is unimportant.

Running a Line on Each Side

More Information

• Fixed-Mounted Topographic Laser Calibration

• Processing Patch Test Data for Fixed-Mounted Topographic Laser Systems


Processing Patch Test Data for Fixed-Mounted Topographic Laser Systems

Patch tests for laser systems are different from those for multibeam systems in that all tests use all of the same lines. You can load all four of your test lines at once and move from one test to the next by simply selecting the next test in the dialog.

1.Run all four test lines to the last phase of one of the HYSWEEP EDITOR programs. Do all necessary editing as you progress.

Tip: As you go to the last phase, the Matrix Options dialog enables you to select the matrix and set the cell dimensions. We recommend that you select the Auto-Size to Data, Rotate to Survey Line and Auto Cell Size options. These options attempt to optimize the matrix configuration based on your data and equipment.

2. Start the PATCH TEST. Click the wrench icon in the Survey window then drag the cursor across the pole location. PATCH TEST appears displaying the data.

Cutting the Section for Your Patch Test

3.Run the Roll, Pitch and Yaw tests, in that order. (Laser systems do not require latency tests.) The values calculated from each test can be applied to each subsequent test for better results.

For each test, do the following:

a.Select the test that you want to run.

•In the 32-bit HYSWEEP EDITOR, select the corresponding tab.

•In the 64-bit HYSWEEP EDITOR, select the corresponding Select option in the Patch Test area.

b.Set Angle/Time Step and Number of Steps. In each tab, [Coarse Steps], [Medium Steps] and [Fine Steps] provide suggested Angle/Time Step settings, but you may enter other values if you wish.

Note:Typically, you run each test with Coarse, Medium then Fine settings and save the best results.

•Angle/Time Step is the increment for each step.

•Number of Steps is the number of calculations either side of the original offset.

Default Fine Angle/Time Step Settings for Each Test

Test | Angle/Time Step
Pitch | Angle Step = 0.5 degree for DGPS. Better with RTK GPS
Roll | Angle Step = 0.05 degree
Yaw | Angle Step = 0.5 degree for DGPS. Better with RTK GPS

c.Click [Start Test]. PATCH TEST does the calculations to determine if any offset adjustments are necessary.

d.Save the test results and apply them to the next test. Click [Save Test].

•In the 32-bit HYSWEEP EDITOR, the program asks if you want to apply the results when you load the next set of lines during the same editing session. Just say ‘yes’.

•In the 64-bit HYSWEEP EDITOR, click [Update Config Files] and, optionally, [Save Screen to RTF].

[Update Config Files] updates the hysweep.ini which populates the settings in HYSWEEP HARDWARE with your test results.

If you have used a boat configuration file in your Read Parameters, [Update Config Files] also updates the boatconfig.ini with your test results. The editor uses these offsets to present your data for editing and stores the correct offsets in the edited output files.

[Save Screen to RTF] saves a screenshot of the display, labeled with the tested offset and sounder head, to an RTF1 file. The program asks you to name each file.

Tip: Alternatively, if you name the first file, then choose the same file for each successive test, the results are appended to the existing file. It is not overwritten.

4.Repeat the procedure for the next test

5.Run each test again using finer, 0.05 degree step settings, which more closely reflect the level of accuracy typical of laser scanners, and save your results. In addition to the finer resolution, the second pass may also improve the accuracy of the calculations as the first tests did not have the benefit of the values produced in the later tests.

More Information

• Fixed-Mounted Topographic Laser Calibration

• Patch Test Data Collection For Fixed-Mounted Laser Systems

1. RTF (Rich Text Format) files are text documents that support graphics. If your current word processor does not support graphics, you can download the Word Viewer from Microsoft free of charge.


Finalizing Hardware Offsets Using Calibration Test Results

Calibration tests calculate adjustments that must be made in your hardware offset settings to collect accurate depth and position data. The values calculated in the LATENCY TEST or PATCH TEST should be used as follows for maximal accuracy of your hardware offsets.

In the HARDWARE program:

1.Click on the DEVICE menu and select your position device.

2.Click [Offsets] and enter your latency in seconds.

•Single beam configurations: Subtract the value calculated in the LATENCY TEST program from the current latency value.

•Multibeam configurations: The latency value calculated by the PATCH TEST should be entered into the hardware setup for your GPS to correct timing errors in the system.

3.Click [OK] to exit OFFSETS, and [OK] again to exit the DEVICE SETUP.

For multibeam configurations, enter the Final Offsets value from the PATCH TEST dialogs to the device offsets in the HARDWARE program. Select the positioning driver to apply the latency and the echosounder to apply the roll, pitch and yaw values.

Tip: If you run your patch test through the 64-bit HYSWEEP EDITOR, you can update the Latency, Yaw, Pitch and Roll settings in HARDWARE from the PATCH TEST interface: click [Update Config Files] and select the HYSWEEP HARDWARE option.

Adjusting Hardware Offsets in HYSWEEP HARDWARE

4.Save test results (optional). The [Save Test Results] button saves a screen capture of the current PATCH TEST tab to an RTF file1 and to a running history of the session’s PATCH TEST results. When you save your first result, the program will ask you to name the RTF file. All subsequent saves performed during the current 32-bit HYSWEEP EDITOR session are automatically saved to the same file.

5.After you have run all three tests and applied the suggested offsets, repeat the tests a second time with values more reflective of the accuracy you can expect from laser devices. Experiment with 0.05° resolution on all tests as a final "Ultra-fine" mode.

6.View history (optional).

•[View History] opens a tabbed dialog with one tab per test. Each tab displays a spreadsheet with one record for each saved test of that type. Each record includes the survey time and date information from the header of your survey data and the final offset calculated by the test.

To save a screenshot of this display to your RTF file, click [Save to RTF] and name your file. The file is saved, by default to the \HYPACK 2017\Projects folder, but you can choose an alternate path.

Tip: If you save multiple test results to the same RTF document, the current results are appended to the existing records in the document. This allows you to generate a document that includes all four tests.

•To view the results of each test, open your RTF file saved from PATCH TEST.

1. RTF (Rich Text Format) files are text documents that support graphics. If your current word processor does not support graphics, you can download the Word Viewer from Microsoft free of charge.


Correcting Offset and Latency Errors in Survey Data

If you run your calibration test before the survey, and the calculated adjustments made in the hardware setup, data should not have to be adjusted. We all know, however, that things happen and we may need to adjust survey data. When it is required, existing data files are fixed in the editing program.

If you have already collected survey data with incorrect offsets, the LATENCY TEST or PATCH TEST values can be used to adjust data files as they are read into the editor program.

When the editor reads your raw data, the Read Parameters dialog displays the offsets for each device as they were set in your hardware configuration during SURVEY. (Select the Offsets tab in the SINGLE BEAM EDITOR or the Device Information tab in the HYSWEEP EDITOR.)

The dialog displays settings for each device in your project. Select the device of interest from the drop-down box and enter the correct offsets (as they should have been during SURVEY). These offsets are applied to all currently selected files in place of those in your hardware configuration during Survey.

Note:Editing the offsets in this manner affects only the edited data. It does not affect raw data.

Offsets Tab in the Single Beam Editors

Device Information in the 32-bit HYSWEEP EDITOR


Hardware Notes

HYSWEEP HARDWARE Setup in HYPACK

HYSWEEP SURVEY takes over collection of the high-speed devices. The HYPACK SURVEY program does not require a driver to send data to HYSWEEP SURVEY; it is done automatically through the shared memory mechanism.

A HYSWEEP Interface driver (Hysweep.dll) is required in your HARDWARE configuration for HYPACK SURVEY to use Gyro and Heave data collected by HYSWEEP SURVEY. Just select the HYSWEEP driver and check Heading and Heave comp. in the Device Setup dialog. The Hysweep driver is not required to paint the matrix in HYPACK SURVEY with multibeam data.

You can also use the Hysweep.dll to pass depths to HYPACK SURVEY:

•In multibeam projects, it stores the nadir depth as an EC1 record.

•In side scan projects, it will report towfish depth as depth 1 and towfish altitude as depth 2.

This is done by checking Echosounder in the device setup dialog.


Towfish with Simple Layback

In certain surveys, you need to position devices, such as a magnetometer or side scan towfish, by using a simple layback formula. HYPACK supports up to 10 such devices in your hardware setup.

The following figure provides details on configuring the HARDWARE and SURVEY programs for this operation. We have used a towfish as an example, but the same procedure is applicable to other types of mobiles.

Towfish Offsets and Measurements

Devices carried by a towfish are configured in the same manner as if they were on a survey boat. Offsets for the devices on your towfish should be relative to the attachment point of the cable to the towfish.

HYPACK uses the towfish depth, Z-offset and corrected cable length to calculate the horizontal distance from the A-frame connection point to the towfish. That distance is added to the Y-offset to calculate the layback.

A cable counter device driver, the towfish driver, calculates the corrected cable out. Additional information in the driver setup completes the formula to calculate a position for your towfish.

More Information

• Mobiles and Mobile Settings

• Towfish Device Setup in HARDWARE

• Specifying Cable Out in Survey

• Real-Time Towfish Altitude

• Towfish with TrackPoint Systems

• Dredge Configurations


Towfish Device Setup in HARDWARE

1.Create the towfish as a mobile. Right-click on HYPACK Configuration and select ‘Add Mobile’.

2.Name your mobile. (Optional) This name will be used to identify the mobile in both the HARDWARE and the SURVEY programs.

3.Load the HYPACK towfish driver as one of the devices on the towfish mobile.

•Specify the X, Y and Z offsets in the driver setup dialog, not in the Offsets tab.

•If you have an automatic cable counter, use the connect settings to specify the communication parameters. Check the documentation from the manufacturer of your device for the proper settings.

Towfish Driver Setup

4.Save this configuration. (Optional) Select FILE-SAVE AS and naming the configuration. The information will be saved with an INI extension to your project directory.


Specifying Cable Out in Survey

When you enter SURVEY, the cable count dialog appears for you to enter your cable length (or it will display the readings from those devices that automatically output that distance) in survey units.

•If you selected ‘manual layback’ in the device setup, enter your new value and click [Set]. You may adjust the cable length using [In] and [Out] to change the current cable out value by 1 distance unit.

Specifying the Cable Out in the Towfish.dll Device Driver

•If you have selected one of the devices from the drop-down list in the setup, the device will send your cable count value automatically. In either case, HYPACK will calculate the layback.

In the example, we have specified the cable out as 200. Once you have specified the Cable Out, click [Set]. The program will calculate the layback using a NOAA concatenation formula.


Real-Time Towfish Altitude

HYPACK can also calculate and record the vessel altitude above the bottom.

Real Time Altitude Calculations

The Alt3dtv driver calculates the altitude using the following equation:

Z = A – (T + D + C)

Where: Z = Real Time Altitude

A = Z-Value of MTX or TIN

T = Tide Correction from SURVEY

D = Draft Correction from SURVEY

C = Keel Offset.

The driver can work either with SURVEY or 3DTV to get the corrected depth value (A) and the keel offset (C). This option is set in the Alt3DTV driver setup.

Alt3DTV.dll Driver Setup

The depth and keel offset values are read from different sources, depending on the calculation source.

Calculation Source | Depth (A) read from… | Keel Offset (C) from…
3DTV | TIN Model in 3DTV | 3DTV Multivessel Settings Dialog: Activate the Altitude setting and define the keel offset in the Z-Distance field.
SURVEY | Filled Matrix/Matrices | Vertical Offset in the Alt3DTV driver setup.

Setting 3DTV to Calculate Altitude in the Multivessel Settings Dialog

The Use Draft Instead of Depth option is included to simplify simulations.

SURVEY displays the altitude in the Alt3DTV device window and in the data display.

Vessel Altitude displayed in Survey’s Data Display

3D TERRAIN VIEWER displays the altitude in the upper-left corner of the Terrain Window and displays the vessel to which the driver is assigned in the correct vertical position.

Vessel Altitude is displayed in the Terrain Window

To record this data, use the Shared Memory Output program to output X, Y, Altitude data to a file.

More Information

• Shared Memory Output Program


Towfish with TrackPoint Systems

The SURVEY program can track a single beacon from a TrackPoint system configured to output the EC2 format (Error Correction Version 2).

The TRACKPOINT system uses the TrackP.DLL.

1.Create a new mobile and assign the Trackp.dll to the mobile.

2.Configure the TrackP.dll.

•Driver Setup:

TrackP Driver Setup in HARDWARE

The Target Number is the beacon number, which will be tracked on the screen. The current version of HYPACK® supports only a single beacon from the TrackPoint system, however you may install the Trackpoint.dll multiple times, each to a different COM port and Target Number, to track up to 10 devices.

Manual Depth is used to improve the position computation. If this value is checked the program will pass the depth information from the SURVEY program to the TrackPoint system. It works best if the depth is determined from a pressure transducer on the ROV. The depth device must be set up as a separate device in the HARDWARE program.

Compass Connected to Trackpoint (typically checked) tells the program that the bearing received from the TrackPoint is already corrected with the boat heading. If you cannot connect your gyro to the TrackPoint system, HYPACK® will use the heading of your vessel to correct the bearing received from the TrackPoint.

Ignore Position When Error>0 is still under development. The idea is that it will give you the option to accept or reject questionable sounding data. Certain readings are coded by the TrackPoint system as questionably accurate. Checking this box rejects suspect data from being saved.

Convert Feet to Meters

Show Debug Messages

•Offsets: Forward and Starboard Offsets indicate the relative position of the TrackPoint device from the boat origin.

Beware!These signs are reversed from the normal offsets. Distances port and forward of the origin are negative. Distances starboard and aft of the origin are positive.

Note:Many surveyors set the origin at the TrackPoint Hydrophone. In this case, all TrackPoint offsets would be zero.

More Information

• Mobile Offsets


Dredge Configurations

Dredge configurations vary widely depending on the type of dredge and the devices in use.

Dredge cutting tools are configured in the same manner as additional mobiles. For each cutting tool, add a mobile and assign to it the driver required to report its position to DREDGEPACK. Precise measurements of offsets and arm or ladder lengths are essential to assure accurate positioning of your mobiles including your cutting tool.

More Information

• Cutter Suction Dredge Configuration

• Hopper Dredge Hardware Configuration

• Excavator Dredge Hardware Configuration

• Bucket Dredge Hardware Configuration


Cutter Suction Dredge Configuration

Cutter suction configurations must generate data for the dredge position and heading, and for the cutter head position and depth.

Cutter Suction Dredge Diagram

Sample Cutter Suction Dredge Driver List

Data | Driver | Assigned to…
Dredge Position | GPS.dll | Boat
Dredge Orientation | Gyro or GPS | Boat
Cutter Head Position and Depth | Inclinometer.dll - several brands are built into the driver. Also includes manual configuration. OR Bubblers.dll (or other bubbler driver) for bubbler systems. | Arm
Cutter Display Graphics (Optional) | Cutter.dll | Arm
Spud Position | LRInd.dll | Spud

The HYPACK Driver Interfacing Guides, located in your \HYPACK 2017\Help folder, includes detailed configuration information.

The Dredge:

The dredge position is the same as a simple survey boat with one exception: the dredge origin will be the trunnion position at the height of the static water line.

An ‘Orientation GPS’ system can provide both position and heading without the need of a gyro.

Note:Fluxgate compasses do not work well on dredges.

The Cutting Tool:

The cutting tool is configured as a separate mobile. The inclinometer driver uses a ladder length from the setup and the angle it measures to calculate the depth and position of the cutter head.

Inclinometer.dll Driver Setup Dialog

A short calibration routine assures accurate returns. While the setup dialog is open, set the cutter head on the waterline and click [Calibrate]. The driver calculates its depths using that height as 0.

Swing-ladder dredges also require the HD25A.dll assigned to the cutter head to measure horizontal motion of the arm.

Optional Settings

The Ladder Arm may also be configured as a separate mobile. Assign the cutter driver to this mobile to support more realistic graphics in its device window. Sample shape files for those required by this driver are included in the \HYPACK 2017\BoatShapes\Shapes for the Cutter folder. The driver will automatically adjust the scale to convert the dimensions in the shape file to the real-world sizes specified in this dialog. The results are seen in the Cutter Device window. This driver should be assigned to the arm that is designated as the main vessel.

Sample Cutter.dll Driver Setup

Sample Cutter Driver Device Window

The Spud Position can be configured as an additional mobile. This would be only for the sake of realism in 3DTV; it has no bearing on data collection. The position would be calculated using the GenOffset or Sim_rel driver.


Hopper Dredge Hardware Configuration

Hopper dredge configurations must generate data for:

•The dredge position and heading,

•The cutter head position and depth.

Your configuration should also include draft sensors to measure the significant change in draft as the load on your dredge increases.

Hopper Dredge Diagram

Sample Hopper Dredge Driver List.

Data | Driver | Assigned to…
Dredge Position | GPS.dll (either DGPS or RTK) | Boat
Dredge Orientation | Any Heading system | Boat
Draft | Bubbler.dll (Pressure Transducers) | Boat
Hopper Position and Depth | Pressure Sensor or Bubbler—OPC Network | Arm
Hopper Display Graphics (Optional) | Hopper.dll | Boat

The HYPACK Driver Interfacing Guides, located in your \HYPACK 2017\Help folder, includes detailed configuration information.

The Hopper driver, combined with boat shape files (*.SHP) representing the profile and rear views of the dredge and the cutter head, create detailed displays in the Hopper driver device window. When dredges have more than one hopper arm, each is represented by a mobile with its own hopper driver assigned to it. The Forward and Starboard Offsets indicate the relative position of the pinion points from the boat origin.

Most hopper dredges report their information via various OPC configurations. This requires a custom driver for each hopper dredge. Contact HYPACK Technical Support for assistance.

Hopper Dredge Diagram

Devices | Offset Dialogs
Hopper Arm #1 | X-Offset = -12 Y-Offset = -10
Hopper Arm #2 | X-Offset = 4 Y-Offset = -10

Hopper Driver Setup

Sample Hopper Display


Excavator Dredge Hardware Configuration

Excavator configurations must generate position and heading data for the excavator cab, and an include an inclinometer for each joint in the arm—cab to boom, boom to stick, stick to bucket. The barge position is optional.

Sample Excavator Driver List.

Data | Driver | Assigned to…
Cab Position | GPS.dll (either DGPS or RTK) | Boat
Cab Orientation | Any Heading system | Boat
Bucket Position and Depth | Excavator.dll | Excavator
Barge Position (Optional) | GPS.dll using OTFGyro option | Barge
Tide | If GPS is not RTK. | Boat

The HYPACK Driver Interfacing Guides, located in your \HYPACK 2017\Help folder, includes detailed configuration information.

The Excavator driver reads values for the angles and distances, and calculates the correct positions for the arm and bucket. This driver supports multiple angle sensors. Select your sensor type at the top of the dialog.

Excavator Driver Setup

The driver then does the required calculations, stores the data to shared memory and provides a real-time graphical display of your excavator relative to your matrix and channel depths.

Sample Excavator Device Window

The barge position is for display purposes only. Using the OTFGyro option in the GPS driver, you can position the barge in your area map.


Bucket Dredge Hardware Configuration

Bucket dredges may be configured in either of two ways:

•Get the Position and Heading of the cab then calculate the position of the boom using cable length from the LCI90 driver and, if you vary your boom height, angle data from an inclinometers.

Bucket Dredge Drivers.

Data | Driver | Assigned to…
Cab Position | GPS.dll (either DGPS or RTK) | Boat
Cab Heading | Any Heading system | Boat
Bucket Position and Depth | A2TS.dll – for variable boom heights LCI90.dll – for cable out | Bucket
Crane Heading | RelHdg.dll provides bucket position relative to the position of the cab. | Barge

The HYPACK Driver Interfacing Guides, located in your \HYPACK 2017\Help folder, includes detailed configuration information.

A2TS Driver Setup Dialog

•Place a GPS on the boom.

Data | Driver | Assigned to…
Bucket Position and Depth | GPS.dll (RTK) | Bucket (Boat if cab omitted)
Cab Position (optional) | GPS.dll (DGPS or RTK) | Boat
Cab Heading (optional) | Any Heading system | Boat

Sample Bucket Dredge

Beware!Accurate bucket depths are very difficult to attain. A postdredge survey is required to measure final channel contours.


Monitoring Multiple Vessels with Wireless Connections

When you have multiple vessels collecting data independently at different locations in their project area, sometimes it is helpful to monitor data from all of them on one central computer.

HYPACK provides multiple methods by which you can pass survey data across a network. Each method has different sets of requirements, advantages and disadvantages to support various applications.

More Information

• Pitcher.dll

• Shared Memory Output

• Broadcasting Your GPS Data over the Network

• Broadcasting SURVEY or DREDGEPACK Windows in Survey Viewer

• Monitoring SURVEY or DREDGEPACK Over the Network with Remote Access

• Monitoring Vessels with the Automated Identification System


Pitcher.dll

The Pitcher.dll, acting as the server, outputs position, heading and tide corrected depth data, and, acting as the client, receives the data at the monitoring computer. The configuration of this driver is very simple, if you remember just a few things:

•Both computers must be licensed HYPACK computers.

•The Connections settings should be set as Serial Port with a baud rate equal to that of your radio modem.

•The port number of the broadcast computer must match the port number of the receiving computer.

•The receiving computer must have a separate serial connection and modem for each vessel monitored.

If you have a vessel with associated mobiles such as a dredge with multiple drag arms, one pitcher driver can be configured to output data from each of those mobiles. The receiving computer must still, however, have one pitcher driver and modem for each mobile.

The setup in SURVEY or DREDGEPACK allows you to select data for each mobile associated with one vessel to be broadcast by checking the appropriate check box. Each mobile will be identified by the number in the drop-down box. In most cases, the default ID number will suffice, however, if the receiving Pitcher driver is receiving data from multiple unassociated vessels, the ID numbers must be modified to eliminate duplicate IDs.

Pitcher Driver Setup

For example, suppose you are working in a large dredging project. There are two dredges, each with two drag arms. The project manager wants to monitor their work from the comfort of his air conditioned office on shore. In this case, each dredge would use one pitcher driver to output data for their platform and each drag arm—three mobiles each with their own ID. If both vessels retained the default ID numbers, the receiving computer could receive two data streams from two vessels, each with IDs of 1, 2 and 3. It is not smart enough to differentiate Mobile 1 at port 1 from Mobile 1 at port 2 so we adjust the settings in one Pitcher driver to output using different ID numbers (4, 5 and 6 for example).

The manager’s hardware configuration includes a Pitcher driver for each mobile. In this example, there would be six instances. Each device window would then be adjusted to read a different ID number using the Catcher scroll box.

When targets are created by any of the mobiles:

•The coordinates will appear in all of the Pitcher windows.

•Targets will be drawn in the Map window of the Manager’s computer.

•Targets will be drawn in the Map window on the survey computer of the vessel that created the target.


Shared Memory Output

If you save your Shared Memory Output settings to an INI file and export your Shared Memory Output to the network, any network computer, including your own, can use the Shared Memory Input device driver (SMInput.dll) to read the data strings.

This requires that both computers have licensed versions of HYPACK that can run SURVEY or DREDGEPACK and the dongle that goes with it.

In this way you can run another incident of SURVEY or DREDGEPACK, but read the data from Shared Memory instead of the devices themselves.

More Information

• Shared Memory Output Program


Broadcasting Your GPS Data over the Network

When your project involves multiple vessels, it may be useful for the crew on one vessel to be able to monitor the other vessel positions. For example, when tugboats are working to position a barge, it will be useful for the barge master to see tugboat positions.

The GPStoNet utility, included in the \HYPACK 2017\Support folder, automatically broadcasts your GPS output to a Wi-Fi network where it can be read by the GPS device driver in the hardware configuration on another network computer.

Though this feature may have many uses, it was designed as part of the anchor management system in SURVEY or DREDGEPACK. It enables the HYPACK computer on one vessel (the barge) to read the position of other vessels (the tugboats) into SURVEY or DREDGEPACK on the HYPACK computer. The GPStoNET application does not require a HYPACK license.

Preparation:

•All vessels are on a wireless network.

•On the barge:

•One HYPACK license for the barge master.

•Barge boat shape file (*.SHP) for the barge which includes named locations for each anchor attachment point.

•Tugboat shapes are optional.

•The hardware configuration includes a mobile for each tugboat position, each with the GPS driver assigned to it that reads its vessel position over the network.

•The computer runs SURVEY or DREDGEPACK and broadcasts the windows via SURVEY VIEWER This allows the helmsmen on the tugboats to see the same display as the barge master.

•On the tugboats:

•Broadcast position and heading to the network using the GPStoNet utility.

•If you use SURVEY VIEWER, copy the program to the onboard computer. The SURVEY VIEWER requires no license for the tugboat helmsman.

More Information

• Broadcasting SURVEY or DREDGEPACK Windows in Survey Viewer

• The Anchor Manager


Broadcasting SURVEY or DREDGEPACK Windows in Survey Viewer

The SURVEY or DREDGEPACK program can broadcast its windows over the local network to be received by any computer using the SURVEY VIEWER program. You can also send and receive broadcasts on the same computer in order to create a helmsman display on one monitor and the survey window on another, or monitor a survey or dredge off site via a wireless network.

SURVEY VIEWER is the program that will receive the window broadcast over a network. It is a free-standing executable that requires no license or dongle, but must reside on the receiving computer. The SURVEY VIEWER program and its supporting files are found in the \HYPACK 2017\SurveyViewer folder. Copy these files to a single folder, in any location, on the receiving computer.

1.On the Survey computer do the following:

a.Set network file sharing and security settings to allow file sharing.

b.Launch SURVEY or DREDGEPACK and configure your windows.

2.On the receiving computer, do the following:

a.Setup \HYPACK 2017\SurveyViewer\surveyviewer.exe to run through the HYPACK TOOLS menu.

b.Launch the SURVEY VIEWER. Select TOOLS-SURVEY VIEWER. The SURVEY VIEWER dialog will appear.

c.Enter your options at the top of the dialog:

Survey Viewer

•Server: The IP address and Port Number of the broadcasting computer on your network.

•Select the window. You can select from the list in the drop-down box. Select Survey Window to display all of the windows in the Survey screen. Alternately, you can choose to view an individual window. You can also run more than one instance of SURVEY VIEWER—one for each window from SURVEY or DREDGEPACK you want to see.

•Stretch Image: If this is cleared, SURVEY VIEWER retains the same size windows as on the survey computer. If this option is checked, your display will be sized to fill the SURVEY VIEWER window and may not be orthographically correct.

SURVEY or DREDGEPACK Map Window Displayed in Survey Viewer—Stretched (left) Not Stretched (right)

d.Click [Start] to begin viewing the selected window.

More Information

• Monitoring SURVEY or DREDGEPACK Over the Network with Remote Access


Monitoring SURVEY or DREDGEPACK Over the Network with Remote Access

You can invite anyone with Web access to view your Survey from devices other than your Survey computer through a Web browser.

You must configure the survey computer for remote viewing, then provide the IP Address and Port number with a User Name and Password to your remote viewers. When they enter IP Address:Port in their Web Browser, an authentication dialog appears where they must enter the User Name and Password to gain access to your Survey display.

The Web browser display shows the map window, a left-right indicator, a non-configurable data display window and up to three Target windows at a time. (If you have more than three Target windows, use the slider to access the other Target windows.)

Sample Remote Access Display

• Configuring Remote Viewing on the Survey Computer

• Configuring Remote Viewing on the Remote Computer

• Remote Access Display Options

Configuring Remote Viewing on the Survey Computer

1.Enable the option in SURVEY, select OPTIONS->REMOTE VIEW OVER WEB. The Remote Access dialog appears.

Remote Access Setup

2.Check the Enable Remote Access option.

3.Set the Port Number. (The default value is 4972.)

4.Set the number of simultaneous remote viewers.

5.Set the Remote Refresh Rate. The default 1 refresh/second should work well.

Tip: If you have a low-end computer, reduce the number of simultaneous users and the refresh rate.

6.Set the User Name and Password to allow remote viewing. The default User Name and Password is “admin”. We recommend that you change them.

7.If you want remote viewers to access logging controls, check the Allow Remote Users to Start/Stop Logging option.

8.Click [OK].

9.Provide the User Name and Password with your IP Address and Port number to your viewers.

10.Test these settings before beginning your survey to ensure that remote viewers do not negatively affect the performance of the survey computer.

To prevent remote viewing, clear the check from the Enable Remote Access option or change the User Name and Password.

Return to Top

Configuring Remote Viewing on the Remote Computer

With the Local IP Address, User Name and Password configured on the survey computer, viewers can connect from their remote devices through a Web browser.

Note:The required streaming mpeg technology is not supported by Internet Explorer.

1.Enter the IP address and Port number to your Web browser in the following format:

IPAddess:Port

Entering the IP Address of the Survey Computer for Remote Viewing

2.Enter the User Name and Password when connecting, which has been set in the Remote View Over Web options. The browser then access the remote display as it would any other Web page.

Return to Top

Remote Access Display Options

The Remote Access display, shows the Map window and a limited amount of data about the project and current vessel position. It also provides controls with which you can control data logging, and mark targets:

Remote Access Logging Controls

Icon | Function
 | Start and stop logging
 | Increment, decrement and swap survey lines,
 | Mark targets

View controls enable you to customize the display on your device:

View Controls

Icon | Function
 | Zoom in and out
 | Pan control: Click the point in the direction you want to pan. To toggle boat tracking, click in the center.

Tip: If you are having trouble panning, make sure boat tracking is turned off by pressing the crosshair in the middle of the panning arrows.

Return to Top

More Information

• Broadcasting SURVEY or DREDGEPACK Windows in Survey Viewer

• Shared Memory Programs


Monitoring Vessels with the Automated Identification System

The Automated Identification System (AIS) is used to track other vessels in your area that are broadcasting the AIS signal. This requires and AIS receiver and the AIS.dll in your hardware configuration.

The AIS receiver is a standard serial device that receives AIS signals from other vessels within radio range. HYPACK SURVEY uses this data to display one symbol for each vessel.

In the following figures, the red boat shape is your HYPACK vessel. The other vessel symbols are displayed according to information from the AIS system and in compliance with IMO standards. HYPACK reads basic position and heading information from AIS broadcasts.

To display the vessel identification, right-click on its symbol.

To activate/deactivate individual vessels in this display, right-click on the vessel and select the ‘Activate’ option.

SURVEY Displays Symbols According to Vessel Information Received Through the AIS Receiver.

The device setup for the AIS.dll requires only the AIS receiver function and the correct serial connection settings. Offsets are unnecessary as this driver is reporting, rather than calculating position information.


Matrix Files (*MTX)

Matrix files (*MTX) are gridded rectangular areas. You can fill the cells with depth information from your echosounder or dredge cutting tool in real time during data collection, or in post-processing.

Empty matrix files are typically created in the MATRIX EDITOR and saved to the project folder.

More Information

• Creating a Matrix File with the Matrix Editor

• Matrix File View Options in HYPACK

• Filling a Matrix File with Sounding Data

• Filling a Matrix with Channel Template Depths

• Matrix File Backups in HYPACK

• Exporting Sounding Data from your Matrix

• Editing an Existing Matrix File

• Matrix Files in SURVEY


Creating a Matrix File with the Matrix Editor

1.Load the files that define your survey area (ex. background files or planned line files). Right-click on background files or planned line files at the lower left and select Add File and follow the prompts to select your file. You may choose to zoom-in or –out to adjust the size of the area to fit your screen.

2.Open the Matrix Editor by selecting PREPARATION-EDITORS-MATRIX. A default Matrix will be drawn to the screen and defined in the Matrix Editor dialog.

The Matrix Editor

3.Position and size the Matrix File to cover your survey area.

•With the cursor, drag the corners in the HYPACK map window.

•To move the matrix file, click and drag the circled corner.

•To rotate the matrix file, click and drag the square corner opposite the circled corner.

•To change the length of your matrix area, click and drag the first square corner counter-clockwise from the circled corner.

•To change the width of your matrix area, click and drag the first square corner clockwise from the circled corner.

•In the MATRIX EDITOR, edit the length, width and rotation information displayed.

The X-Y coordinates represent the position of the circled corner of the matrix file. All other information is relative to that point.

As you enter each change in the MATRIX EDITOR, the drawing in the Area Map updates accordingly.

4.Define the cell length and width to set the size of the individual cells inside the matrix. The number of cells and approximate memory required for this matrix is displayed in the status bar.

5.Choose the Type of matrix.

Matrix Types:

Matrix Type | Data Recorded
HYPACK | •Single beam depths •Multibeam depths •Number of soundings/cell for either single beam or multibeam surveys.
DREDGEPACK | •Single beam (predredge) depths •Dredge depths
HYSWEEP | •Multibeam depths and statistics

If you are collecting both single beam and multibeam data types, only one type can be painted to the matrix during your survey. Choose which data type is painted by choosing the corresponding matrix type.

Note:The other data type can be saved to a matrix file during post-processing using MAPPER or the 32-bit HYSWEEP EDITOR.

6.Save your matrix file by selecting FILE-SAVE. You will be asked to name your file. It will be saved to your project directory with the MTX extension and will be enabled in your project. You now have an empty (unfilled) matrix!


Matrix File View Options in HYPACK

Access the display options by right-clicking on the Matrix Files label and on the matrix file name in the Project Items list. In each case, a pop-up menu appears:

Matrix Right-click Menus: From Matrix Folder (left) and Matrix File (right)

Color Coding

Matrix files can store two depths for each cell—the Survey Depth and the Dredge Depth. Here you can choose to color-code the matrix by either of these depths, the difference between them, the difference between the design template and either depth value or the seabed identification number.

In TIN MODEL, you can export a matrix filled with seabed identification information. A seabed-type matrix stores the seabed identification information in the Survey Depth memory of the output matrix and depth information in the Dredge Depth memory.

To display your data using seabed identification colors:

1.In SEABED STATISTICS or SEABED MAPPER, export your data to XYZId format.

2.In SEABED STATISTICS, export the seabed ID colors to a HYPACK Color file (*.HCF).

3.In HYPACK, load the Seabed HCF file as your project color file.

4.In HYPACK, set the matrix to display either Survey Depths or Seabed ID; either will work.

5.In TIN MODEL, TIN your seabed ID values by using your XYZId file as the input file.

Since you have loaded your seabed colors as your project colors, your color TIN models should draw in seabed colors. Likewise, if you export your TIN data and display it in the HYPACK map, it will be color-coded according to your seabed colors.

More Information

• Project Colors in HYPACK

• Setting Chart Transparency

• Seabed Identification in Mapper

• SEABED STATISTICS


Filling a Matrix File with Sounding Data

Filled matrices can be used in DREDGEPACK® to monitor dredging progress and to compare pre-and post-dredging depths. With a channel loaded, you can also display the difference between either depth value and the channel depth at that location. In the HYPACK® design window, you can display matrices used in this manner showing any of the same values.

DREDGEPACK can then update the matrix with depths recorded at the digging tool. In this way, the operator can see where digging has occurred and what depths they have reached.

If the predredge survey was performed with HYPACK there may already be a matrix filled with survey data ready for the dredge. If the surveyors did not store data to a matrix during the predredge survey, there are other methods to prepare such a filled matrix.

More InformationMore Information

• Filling a Matrix with Soundings in the XYZ to Matrix Program

• Filling a Matrix with Uniform Depth

• Filling a Matrix with Channel Template Depths

• MAPPER

• Exporting Matrix Files from TIN Models


Filling a Matrix with Soundings in the XYZ to Matrix Program

XYZ TO MTX and TIN MODEL are the most useful methods for filling matrices as they interpolate data to cover areas where your data is sparse or non-existent. They can therefore create a fully filled, yet quite accurate HYPACK-type matrix file to guide your dredge project. XYZ TO MTX is easier for simply filling matrix files and creates the same results.

1.Start the XYZ TO MTX program by either clicking on the icon or clicking UTILITIES-OTHER-XYZ TO MTX .

XYZ to MTX Transformation dialog

2.Fill in all of the fields.

•XYZ File: XYZ or XYZ-date file you wish to convert. ([Browse] makes it a snap!)

•MTX File: Enter the path and name for your new matrix file.

•Max Leg specifies the maximum distance used to connect to XYZ data points. This value must be a positive value. You should set this large enough so your data points connect, but not so large that points which have little relationship connect to each other. The value of this field depends on the density of the input data. If the value is too small, the final result will be incomplete. If the value is too large, the creation will be slow.

•Matrix Size fields define the cell size within the Matrix to be created. Alternatively, you can check the Get Info from MTX File to use the matrix and cell size from the matrix entered in the MTX File field.

Beware!The Get Info from MTX File requires any data in the existing matrix will be overwritten.

3.Click [Run]. The program generates a surface model and then calculates the Matrix size and rotation to fit the data. It then fills the matrix cells with the depth nearest the center of each cell calculated from the surface model.

A small representation of the results is drawn to the lower part of the dialog. You may also view the results by loading the Matrix file to the HYPACK screen.

The Resulting Matrix Displayed in the Main Window


Filling a Matrix with Uniform Depth

In some cases, you may want to begin with a filled matrix file, but you have no survey data with which to fill one. The MATRIX EDITOR provides a method of filling a matrix with a uniform, user-defined depth.

1.Create an empty matrix file in the MATRIX EDITOR. Include cell size and matrix rotation.

2.Select FILE-SAVE FILLED MATRIX. A Windows® Save As dialog will appear for you to name your file.

3.Name your new matrix file and click [OK]. The Fill Matrix dialog will appear.

Fill Matrix Dialog

4.Enter the depth with which you want to fill the matrix and click [OK] and the new matrix will be drawn to the HYPACK Map.

Fill Matrix Results—Filled Matrix overlaid with Planned Lines


Filling a Matrix with Channel Template Depths

ADVANCED CHANNEL DESIGN can save the channel surface to an existing matrix file that overlays the channel area. The filled matrix can then be used in SURVEY or DREDGEPACK to show the channel template.

1.Use the MATRIX EDITOR to generate an empty matrix that overlays your channel area.

2.Use ADVANCED CHANNEL DESIGN to generate your channel design (*.CHN).

3.Click the File Save icon and save your channel data to the matrix created in step 1.

The Resulting Matrix Overlaid with the Original Channel

More Information

• Creating a Matrix File with the Matrix Editor

• Describing a Simple Channel in ADVANCED CHANNEL DESIGN

• Describing a Complex Channel in ADVANCED CHANNEL DESIGN


Matrix File Backups in HYPACK

You can quickly and easily make a backup copy of your filled matrix file and include it in your Project Items list. HYPACK automatically names the backup copy by appending the date and time to the original matrix file name: FileName yyyy.mm.dd hh.mm.ss.mtx.

This enables you to maintain a series of backup matrix files over time. You can compare files to see changes from one time to another.

1.Select one or more matrix files in the Project Items list.

2.Right-click on the selection and select Backup MTX Files from the menu.

Two Matrix Files Backed up at 3:06 on August 20, 2014


Exporting Sounding Data from your Matrix

If you have a filled matrix file, you can extract the depths represented in it to an XYZ data file. This data can be used to create models and contours in TIN MODEL, plotted in HYPLOT and displayed in HYPACK. It can also be exported to third party programs.

You could use your matrix to build a TIN model then export an XYZ file. If your matrix was a postdredge matrix, this method could only extract the survey depths; it can not extract the dredge depths.

HYPACK includes a simpler tool that can extract the survey depths, dredge depths or the difference between the two depth values with less work. It is tucked away in the right-click menu of matrix files in HYPACK.

1.Right-click on the filled matrix file in your Project Files list. A pop-up menu appears.

Matrix Right-click Menu

2.Choose SAVE DEPTHS TO XYZ and a save option. You can save either the survey depths, the dredge depths or the difference of the two values to XYZ format. A File Save dialog appears.

3.Name your file and click [Save]. The program saves one sounding value for each cell in your matrix and saves it, by default, to your Sort directory.


Editing an Existing Matrix File

You can make changes to an existing Matrix file in the MATRIX EDITOR. The changes can be saved to the original file name (overwriting it), or saved to a new file name.

1.Load the Matrix file to the MATRIX EDITOR. You can do this by:

•Double-clicking on the file name in the Project Files List.

•Selecting FILE-OPEN from the MATRIX EDITOR menu and selecting the file you want to change.

2.Edit the matrix file. you can click and drag the corners to move, rotate or resize the matrix. You can also go to the MATRIX EDITOR and change cell dimensions as well as the positioning of the matrix area. The changes are reflected in the area map as they are entered.

3.When you are satisfied, save your file.

•To overwrite the original matrix information with a new, empty matrix, select FILE-SAVE.

•To create a new, empty matrix, select FILE-SAVE AS and name your file.

The HYPACK screen display will reflect your work.


Border Files

Border Files (*.BRD): A user-defined listing of XY positions that defines an area in your project area. Typically, Border files are created in the BORDER EDITOR and stored in your project folder. They have several uses, most often to clip data or limit program calculations to a user-defined area.

More Information

• Creating a Border File with the Cursor Method

• Creating a Border File with the Spreadsheet Method

• Importing Border Points To the Border Editor

• Adjusting Border Size

• Border Reports

• Exporting Border Files (*.BRD) from TIN Models

• Exporting Zone Borders from ADVANCED CHANNEL DESIGN


Creating a Border File with the Cursor Method

In the BORDER EDITOR, the cursor method is a quick and easy way to define your borders if you have a background file of your survey area available to you.

Use your cursor to define the perimeter of your area. These locations appear as open circles at the map location. The BORDER EDITOR also, automatically generates small, black “virtual waypoints” between each pair of defined waypoints. At any time, you can click and drag a waypoint or virtual waypoint to a new position. If you reposition a virtual waypoint, it becomes a waypoint and two additional virtual points appear on either side of it.

Note:You may need to repeat this process multiple times if more than one area must be defined.

1.Open the background file in your project.

2.Open the BORDER EDITOR by selecting PREPARATION-EDITORS-LINE EDITOR.

3.Specify that you are creating a new file by selecting FILE-NEW.

4.Click [Cursor]. The BORDER EDITOR will minimize and a BORDER EDITOR button will appear at the lower left, leaving the map visible again.

5.Click on the map at enough locations around the perimeter of your survey area to define its shape.

6.Restore the BORDER EDITOR to the screen by clicking [Border Editor]. It will display a spreadsheet of all points you have selected.

BORDER EDITOR

7.Check or clear the Outside option to indicate the area in which you want to keep your data.

8.Edit your points at this time if necessary using the Add icon and right-click menu.

Once a border is defined, you can select any point in the border, which will turn it red, and modify the file as follows:

•Overtype any coordinates you want to change.

•[Add]: Inserts a waypoint at the end of the spreadsheet mid-way between the first and last points.

•Insert: Adds a point mid-way between the selected point and the point before it.

•Delete: Removes the selected point.

•Delete All: Removes all waypoints in the current file.

•Copy: Copies the selected coordinate pair to the Windows® clipboard.

•Paste: Overwrites the selected coordinate pair with the copied coordinate pair on the clipboard.

9.Preview your entries by clicking [Preview]. The BORDER EDITOR will minimize and the area map will zoom in on your points.

10.Save the file. When you are satisfied, click FILE–SAVE AS. You will be asked to name the border file which will be saved, by default, with a BRD extension to the project directory and enabled (drawn to the screen) in your project.

Note:The BRD file stores the waypoints in XY coordinates. Alternatively, you can save the same file with WGS-84 coordinates (*.B84) for use outside of HYPACK®.

More Information

• Creating a Border File with the Spreadsheet Method


Creating a Border File with the Spreadsheet Method

In this method, it is useful if you know the coordinates of your shoreline, islands and any other areas you want to exclude from your survey area that is currently covered by your planned lines.

Note:You may need to repeat this process multiple times if more than one area must be defined.

1.Open the BORDER EDITOR by selecting PREPARATION-EDITORS-BORDER EDITOR. The BORDER EDITOR will appear.

2.Click on FILE-NEW to clear the spreadsheet.

3.Set the format in which you want to enter your target positions. You can enter position data in either X,Y or Lat./Lon. format. Toggle between these options using the EDIT-UNITS menu selection. Lat./Lon. displays follow the default setting found in the General Tab of the HYPACK Control Panel.

4.Enter the coordinates for your boundary. To enter your waypoints manually:

a. Click the Add Point icon for each point needed to define the area perimeter. Each point will be automatically filled with the coordinates of the upper left corner of the area map.

b.Edit the coordinates with the waypoint position information for your border file.. Remember that the points must form one continuous line.

5.Check or clear the Outside option to indicate the area in which you want to keep your data.

The BORDER EDITOR Window

6.Preview your entries by clicking [Preview]. The BORDER EDITOR will minimize and the area map will zoom in on your points.

7.You may edit your points as necessary by reopening the BORDER EDITOR and making any changes using the right-click menu.

Once a border is defined, you can select any point in the border, which will turn it red, and modify the file as follows:

•Overtype any coordinates you want to change.

•[Add]: Inserts a waypoint at the end of the spreadsheet mid-way between the first and last points.

Tip: Alternatively, HYPACK automatically generates a virtual point in the area map at the midpoint between each point defined in the BORDER EDITOR. Virtual points only become part of the border file if you click on it. At this time, two new virtual points appear before and after the new border point.

A right-click on the selected point accesses the following menu:

•Insert: Adds a point mid-way between the selected point and the point before it.

•Delete: Removes the selected point.

•Delete All: Removes all waypoints in the current file.

•Copy: Copies the selected coordinate pair to the Windows® clipboard.

•Paste: Overwrites the selected coordinate pair with the copied coordinate pair on the clipboard.

8.Save your file by clicking on FILE-SAVE, giving it a name and saving your file to your project. Your Border File will be saved with the BRD extension in your project directory and enabled (drawn to the screen) in your project.

Note:The BRD file stores the waypoints in XY coordinates. Alternatively, you can save the same file with WGS-84 coordinates (*.B84) for use outside of HYPACK®.


Importing Border Points To the Border Editor

The Border Import dialog enables you to extract data from ASCII text files and use it to populate the fields of the BORDER EDITOR. Each line (or record) in the text file must contain the data for one point in the border and present the data in the same order.

1.Open the BORDER EDITOR from the Editors menu in the HYPACK shell.

2.Select FILE-IMPORT. This will give you the dialog box which you will use to set up your import of the text document.

Border Import Dialog--importing the first two fields of each record: the XY positions

3.Select and order the fields used to create your new border file.

a.Place a check in the box for each field in your text file you want to use to populate the border file.

b.Use the cursor to drag the fields into the order that they appear in your file.

•To skip a field in the string, check ‘Ignore’ and drag it to the position of the field to be skipped in the list. If you need more than one Ignore field, click [Add Ignore Field] to generate as many as you need.

Ignoring Fields in the Import String--Ignoring the Second Field in an XY Import

4.Choose the correct delimited format. The program supports comma, tab and space delimiters.

5.Load the text file. Click [Load File], select your file and click [Open]. In the Lines area, you will see your border points as they appear in your file and you can see the syntax of the records.

6.Check the syntax of your file against the field list. (Optional) This process verifies that your configuration settings are compatible with the text file you have loaded.

a.Select a line from the Lines area.

b.Click [Check Syntax]. A message window will appear to tell you how many records of the total number can be converted using your current settings.

7.Click [Convert] A message window will appear to tell you how many records have been converted.

8.Click [Exit]. The Import dialog will close and the BORDER EDITOR will be populated with the data from the text file.

9.Save your border file by selecting FILE-SAVE and naming your file. Your file will be saved, by default, to your project folder.


Adjusting Border Size

If you find an existing border file is incorrectly sized, you can quickly expand or contract the border by a user-defined amount.

If the value is mathematically impossible to implement based on the original border measurements, the editor displays a message and aborts the adjustment.

1.Open the BORDER EDITOR from the Editors menu in the HYPACK shell.

2.Open the border file you want to resize. Select FILE-OPEN, select your file, and click [Open].

3.Select EDIT-OFFSET BORDER. The Adjust Border Size dialog appears.

Border File Adjust Dialog

4.Enter the distance, in survey units, by which you want to shift the border waypoints and click [OK]. A positive value expands the border area, and a negative value decreases the border area.

The adjusted waypoints replace the original waypoints in the BORDER EDITOR spreadsheet, and a preview of the adjusted border appears in the HYPACK Map display.

Three Border Files—The Original BRD, a BRD Increased by 50 and a BRD Decreased by 50

5.Save your border file.

•To overwrite the original border file, select FILE-SAVE.

•To generate a new border file, select FILE-SAVE AS and name your file. Your file will be saved, by default, to your project folder.


Border Reports

A border report displays the perimeter distance and area of a border file.

To display a border report:

1.In the Project Files list, right-click on the border file for which you would like to generate the statistics.

2.Select ‘Border Report’.

Sample Border Report


Targets

Targets mark points of interest in your project area. To that end, each target must at least include a name and the XY position, but it can also include a lot of other metadata according to the project and the technology used and the program in which you mark your target.

You can create targets in the HYPACK interface or in the TARGET EDITOR then display them in the SURVEY or DREDGEPACK program. This enables you to navigate to predetermined locations or away from areas dangerous for navigation. You can also mark targets at points of interest in SURVEY or DREDGEPACK and in post-processing and save them to the project target list.

A target group is a list of individual targets, which allows you to enable and disable all targets in the group in one operation (in much the same way catalogs facilitate data files).

HYPACK automatically creates several default groups in the Project Items list named according to the program in which the member targets were created. You can also create target groups to suit your needs. Targets can be members of more than one group.

Each project maintains a target database (targets.db) in the project folder. All HYPACK® programs—acquisition, processing, and final products—read and write target information to this database. The database model currently supports a lengthy list of target properties and attributes. Each program reads and writes only the properties and attributes they need.

More Information

• Marking Targets with your Cursor in HYPACK

• Creating Targets in the TARGET EDITOR

• Target Display Options

• Zoom Extents on Targets in HYPACK

• TARGET EDITOR

• Importing and Exporting Target Data to the TARGET EDITOR

• Managing Targets and Target Groups

• Target Classification

• Target Reports

• Targets Database


Marking Targets with your Cursor in HYPACK

You can use the cursor, in Target Editor mode, to mark targets in the Map window. For each click, HYPACK marks a target in the map and saves it in the Shell target group in the Project Items list. HYPACK automatically names targets using consecutive numbers, but you can rename them in the TARGET EDITOR.

1.If you have files that define your survey area (ex. background files or planned line files), load them.

2. In the Map View tools, click the Add Target icon. The cursor changes to a triangle beside crosshairs.

3.Click in the Map window (with the cross hairs part of the cursor) at each target location. For each click, HYPACK marks a target in the map and saves it to the Shell group.

More Information

• Targets

• Creating Targets in the TARGET EDITOR

• Target Display Options

• Zoom Extents on Targets in HYPACK

• TARGET EDITOR

• Importing and Exporting Target Data to the TARGET EDITOR

• Managing Targets and Target Groups

• Target Classification

• Target Reports

• Targets Database


Target Display Options

The Targets tab in the HYPACK Control Panel affects the display in the HYPACK area map. The Target Parameters in SURVEY or DREDGEPACK provide the default target display options in SURVEY or DREDGEPACK. These settings are applied universally to all targets enabled in your map windows.

For options that affect only select targets, use the right-click menu or TARGET EDITOR to modify the target properties.

More Information

• Target Display Settings in HYPACK

• Editing Target Properties

• Target Properties

• Assigning S57 Display Symbols from the Project Items List

• Zoom Extents on Targets in HYPACK

• Targets

• Creating Targets in the TARGET EDITOR

• TARGET EDITOR

• Targets Database


Zoom Extents on Targets in HYPACK

You can use the right-click menu to zoom in on an individual target, on the enabled targets in a select group or on all of the project targets:

1.In the Project Items list, right-click on the target item on which you want to zoom.

Targets to Zoom | Right-click Location
Individual target | Target
Target group | Target group
All project targets | Target folder

2.Select Zoom Extents.

More Information

• Targets

• Marking Targets with your Cursor in HYPACK

• Creating Targets in the TARGET EDITOR

• Target Display Options

• TARGET EDITOR

• Importing and Exporting Target Data to the TARGET EDITOR

• Managing Targets and Target Groups

• Target Classification

• Target Reports

• Targets Database


TARGET EDITOR

The TARGET EDITOR is the interface where you can create, view and edit your target information.

To open the TARGET EDITOR, use any of the following methods:

•Select PREPARATION-EDITORS-TARGET EDITOR.

•Right-click on the Targets folder in the Project Items list and select Open Target Editor.

•Right-click on a target in the Project Items list and select Edit Target.

•Double-click on a target in the Project Items list.

It presents your target properties and attributes in two tabs: Details and Spreadsheet.

More Information

• Details Tab

• Spreadsheet Tab

• Creating Targets in the TARGET EDITOR

• Target Properties

• Editing Target Properties

• Translating Targets in the TARGET EDITOR

• Offsetting Targets in the TARGET EDITOR

• Deleting Targets in the TARGET EDITOR

• Targets Database


Details Tab

The Details tab lists all of the targets in your project. Most viewing and editing can be done in this tab.

•Choose a sort method: date, survey line, name or group. Click on the link above the tree listing until you reach your preferred sort option.

•Enable and disable targets or target groups using the check boxes. You may also use these selections to display only selected targets from the spreadsheet menu. The Export Checked options in the File menu limit target reports and target exports.

•View and edit target properties. When you select a target in the tree, its properties appear in the tab. Only select fields can be modified in Edit Target Mode.

Sample Details Tab


Spreadsheet Tab

The Spreadsheet tab enables you to see each of your targets and their properties in one row of a table. In this view, you can see the properties of multiple targets at once.

You can configure the TARGET EDITOR Spreadsheet using common Windows® spreadsheet operations:

•Sort the spreadsheet based on any attribute in ascending or descending order by clicking on the column heading.

•Resize the columns. Click and drag the right-hand edge of each column heading.

•Reorder the columns. Click and drag the column heading.

•Enable and disable targets. Click the target number.

•Display only enabled targets (SPREADSHEET-SHOW CHECKED) or all project targets (SPREADSHEET-SHOW ALL).

•Choose the displayed properties by selecting and deselecting them in the Columns menu or click the Columns icon to access the Select dialog, which enables you to more easily configure multiple columns:

Items available are listed on the left, while items selected are listed to the right. Select items in either column then use the [Add=>] and [<=Remove] to include or omit them from your spreadsheet display.

Note:The list of items available is maintained in alphabetical order. The list of items selected shows the order that the columns will be displayed in the spreadsheet. Normally, they will be listed in the order that they are selected. To reorder the selected items, use the cursor to drag and drop items in the list.

Select Dialog—Classic Defaults

Select Dialog Defaults—Side Scan (left), Magnetometer (center) and Sub-Bottom (right)

Sample Spreadsheet View


Creating Targets in the TARGET EDITOR

When you know the coordinates of your target positions, you can create targets by entering target names and positions in the TARGET EDITOR:

1.Open the TARGET EDITOR. Select PREPARATION-EDITORS-TARGET EDITOR.

2. Select FILE-ADD TARGET (or click the Add icon). The Add Target dialog appears.

Add Target Dialog

3.Select your preferred units with which to enter the position: X/Y, Local Latitude/Longitude, or WGS-84 Latitude/Longitude.

4.If you have chosen one of the Latitude/Longitude options, set your preferred input format.

5.Enter your target name and position coordinates.

6.Click [Add]. The TARGET EDITOR saves the target to the Default group.

More Information

• Targets

• Marking Targets with your Cursor in HYPACK

• Target Display Options

• Zoom Extents on Targets in HYPACK

• TARGET EDITOR

• Importing and Exporting Target Data to the TARGET EDITOR

• Managing Targets and Target Groups

• Target Classification

• Target Reports

• Targets Database


Target Properties

Properties

Target Properties can apply to all targets, regardless of where or how you generate them.

Target Properties

Property | Definition | Editable?
Name | Target Name | Yes
Date Acquired | Date and time the target was originally generated. | No
Date Modified | Date and time the target was last edited. | No
WGS-84 Latitude and Longitude | Current target position. Automatically updates if you change X,Y. | Yes
X, Y | Current target position. Automatically updates if you change Lat/Lon. | Yes
Depth | Water depth at target location. | Yes
Event | If the target is marked during SURVEY, this is the latest event number. Otherwise, this value will be 0. | Yes
Survey File/Line Name | Survey line file on which the target is marked during SURVEY or DREDGEPACK. | Yes
Source | Program in which you mark the target or “imported”. | No
Notes | User-defined memo regarding target position. User notes entered in the Target Properties dialog in SURVEY or DREDGEPACK, in TARGETING AND MOSAICKING during targeting, or in TARGET VIEWER. | Yes
Symbol | S57 chart display symbol that can be displayed at target locations. The symbols are set in the TARGET EDITOR or through the right-click menu from the Project Items list. Overridden by Display Method = 1 (Alarm) | Yes
Rotation | Clockwise symbol rotation. | Yes

Attributes

Target attributes are generally only pertinent to the source program. For example, circles, alarm, transparency is only supported in HYPACK SURVEY, but not in main HYPACK Map window.

Target Attributes

Attribute | Definition | Editable?
Distance | Distance from the current target position. SURVEY or DREDGEPACK displays the target at the position calculated using Distance and Bearing properties, with a dotted line back to the original location. You can relocate all targets based on these attributes in the TARGET EDITOR. | Yes
Bearing | Direction the target is offset by the Distance property value. | Yes.
Code | Target type: 0 = Default Value, 1 = Water’s Edge | In development
Quality | Confidence Code for Target Classification. Otherwise, value is always ‘0’. | Yes
Orientation | The angle of the alarm flag from the target when displaying it in SURVEY or DREDGEPACK. | Yes
Sigma |  |
Circle Radius | Radius of the first circle around the target (and distance from there to any subsequent circles) when you select the Circle Target Display option in the HYPACK Control Panel | Yes
Number of Circles | Number of concentric circles around the target when you select the Circle Target Display Method in the HYPACK Control Panel. | Yes
Height | Height of targeted object from the bottom. Typically originates in TARGETING AND MOSAICKING. | Yes
Length | Measured Length of targeted object. Typically originates in TARGETING AND MOSAICKING. | Yes
Width | Measured width of targeted object. Typically originates in TARGETING AND MOSAICKING. | Yes
Range | Distance (measured diagonally) from the sonar head to the object. | Yes
Towfish Altitude | Towfish Height above the bottom when the target was marked. | Yes
Towfish Heading | Towfish Heading when the target was marked. | Yes
Capture File | •Screen capture of targeted object originating in TARGETING AND MOSAICKING. •Screen capture of the WMA display from the MAGNETOMETER EDITOR. | No
Display Method | Circle or Alarm | Yes
Class Name | Target Classification. Generated in TARGETING AND MOSAICKING. | Yes
Distance Over Ground | For Magnetometer targets. Geographical distance covered. Generated in the MAGNETOMETER EDITOR. | Yes
Time Elapsed | For Magnetometer targets. Time span for user-defined peak-to-peak data. Generated in the MAGNETOMETER EDITOR. | Yes
Peak Minimum | For Magnetometer targets. Generated in the MAGNETOMETER EDITOR. | Yes
Peak Maximum | For Magnetometer targets. Generated in the MAGNETOMETER EDITOR. | Yes
Peak Spread | For Magnetometer targets. Peak Maximum - Peak Minimum. Generated in the MAGNETOMETER EDITOR. | Yes
Depth of Burial | Isopach depth. Generated in the SUB-BOTTOM PROCESSOR. | Yes
Transparency | Percent opaqueness. (0 = transparent, 100 fully opaque) | Yes

More Information

• Editing Target Properties


Editing Target Properties

In the TARGET EDITOR, when you are in Edit Mode, you can edit or add target properties and attributes in either the Tree or Spreadsheet tab. The program automatically saves your changes when you close the dialog.

Set Edit Mode in the Spreadsheet menu. The Edit Mode item toggles the mode on and off.

Target attributes are generally only pertinent to the source program. For example, circles, alarm, transparency is only supported in HYPACK SURVEY, but not in the main HYPACK Map window.

A right-click menu from the Project Items list also accesses a routine specifically for assigning S57 symbols to a select target.

• Editing Target Properties in the Details Tab

• Editing Target Properties in the Spreadsheet Tab

• Assigning S57 Display Symbols from the Project Items List

• Assiging an Image File

Editing Target Properties in the Details Tab

1.Right-click on a target in the Project Items list and select Edit Target. The TARGET EDITOR appears with the target information displayed.

2.Select SPREADSHEET and be sure the Edit Mode is checked.

3.Return to the Details tab.

4.Select (highlight) the target you want to edit. The properties for the selected target are displayed on the right side of the TARGET EDITOR.

5.Modify the target properties as needed.

•Enter new information in an empty property field.

•Change existing properties.

•Assign or change the S57 Symbol.

•Assign or change the associated image file.

6.Add any other applicable attributes as needed:

a.Click [+] and select the required attribute. The selected attribute appears in the Other Attributes list.

b.Enter the attribute value.

7.Close the dialog.

Return to Top

Editing Target Properties in the Spreadsheet Tab

In the Spreadsheet tab, you can edit properties for individual targets, as you can in the Details tab. (Just find the row for the target and change the property value in the appropriate column.) You can also apply the same property to multiple targets at once:

1.Open the Target Editor. Select EDITORS-TARGET EDITOR.

2.Select SPREADSHEET and be sure the Edit Mode is checked.

3.Limit your Spreadsheet display to the targets you want to modify:

a.In the Details tab, check all targets to which you want to enter the same property.

b.In the Spreadsheet tab, select SPREADSHEET-SHOW CHECKED.

4.Enter the new property at the top of the column (eg. the target symbol).

5. Multiselect the column and click the Fill Selection icon. The property value of the first selected cell gets copied to the remaining selected cells. It is not applied to targets that are not displayed.

6.Close the dialog.

Return to Top

Assigning S57 Display Symbols from the Project Items List

You can assign an S57 display symbol to any target in HYPACK, in the TARGET EDITOR or from Project Items list. The symbol appears at the target location together with the circles or alarm flags designated in the Control Panel settings.

1.Access the Target Symbol dialog.

•In the Project Items list, right-click on the target to which you want to assign the symbol and select Assign Display Symbol.

•In the Spreadsheet tab of the TARGET EDITOR, right-click on the target name in the spreadsheet and select Edit Symbol.

Target Symbol Dialog

2.Use the Symbol drop-down to select your S57 symbol.

3.Enter the rotation. (Optional) The number of degrees to rotate the symbol clock-wise.

4.Preview the results, (Optional) Click [Apply].

Sample S57 Target Symbols

5.Click [OK].

To remove the S57 Symbol, do the following:

1.Right-click in the Project Items list on the target to which you want to assign the symbol and select Assign Display Symbol. The Target Symbol dialog appears.

2.Click [Clear]. The symbol disappears in the dialog.

3.Preview the results. (Optional) Click [Apply].

4.Click [OK]. The HYPACK displays remove the symbol and the map window restores the default target symbol.

Return to Top

Assiging an Image File

In some HYPACK programs, when you mark a target, you can capture an image file of the target area which is then referenced and displayed in the TARGET EDITOR. (If there is no assigned image, the dialog displays “File Not Found”.)

Additionally, you can manually assign an image or change the assigned JPG or TIF image in the TARGET EDITOR.

1.Select (highlight) the target to which you want to assign an image.

2.Click the icon in the image field (top right). A File Open dialog appears. (If the target already has an assigned image, it first asks you to confirm that you are overwriting the current image.)

3.Select the image file and click [Open]. The selected image appears in the TARGET EDITOR.

If your selected image was not already stored in the project root or \Side Scan Images folder, the program copies it to the project \Side Scan Images folder and it appears in the Project Items list.

Return to Top

A

More Information

• Target Properties

• Target Display Settings in HYPACK

• Targeting in Side Scan Survey

• Marking Targets in Scan View

• Screen Captures in Scan View

• Targets in the MAGNETOMETER EDITOR

• Marking Targets in the SUB-BOTTOM PROCESSOR


Translating Targets in the TARGET EDITOR

In SURVEY, when a target is created at the tracking point of the main vessel, You can offset the target display position from there by a user-specified distance and bearing entered in the Target Properties dialog.

Target Translated 500m at 90 Degree Bearing in HYPACK SURVEY

Note:These targets appear at their translated location in the HYPACK Map window.

In the TARGET EDITOR, the Selected Target Shows Distance and Bearing Properties

In the TARGET EDITOR, you can move the targets to the positions calculated based on their distance and bearing properties. Select FILE-TRANSLATE TARGETS; all of the targets shift positions according to their distance and bearing properties which then reset to 0.

More Information

• Details Tab

• Spreadsheet Tab

• Creating Targets in the TARGET EDITOR

• Editing Target Properties

• Offsetting Targets in the TARGET EDITOR

• Deleting Targets in the TARGET EDITOR

• Targets Database


Offsetting Targets in the TARGET EDITOR

In the TARGET EDITOR, you can create additional targets at user-defined positions relative to existing targets.

1.In the TARGET EDITOR, select one or more targets in the tree view.

Tip: To multiselect files, hold the Ctrl key and select multiple individual records or hold the Shift key and click on the first and last records in a range of consecutive records.

2.Right-click and select Offset Selected Targets. The Offset Point Dialog appears.

Offsets Point Dialog

3.Enter the distance and bearing, at which you want the new targets generated relative to the selected targets and click [OK].

The Resulting Targets in the TARGET EDITOR

4.Name your new targets. Enter a Name attribute in the TARGET EDITOR.

HYPACK assigns the new targets to the Default target group

Resulting Targets in HYPACK

More Information

• Details Tab

• Spreadsheet Tab

• Creating Targets in the TARGET EDITOR

• Editing Target Properties

• Translating Targets in the TARGET EDITOR

• Deleting Targets in the TARGET EDITOR

• Targets Database


Deleting Targets in the TARGET EDITOR

Important: There is a critical difference between removing and deleting targets:
Removing a target omits it from the current group listing, but the target remains in the project. If it has no assigned group, HYPACK automatically assigns it to the Default group.
Deleting a target removes it from your project and from your hard drive. It no longer exists.

•From the HYPACK Interface, right-click in the Project Items list on the target you want to delete and select Delete Target.

•From the TARGET EDITOR, select the target you want to delete in the Details tab and click the Delete icon.

More Information

• Details Tab

• Spreadsheet Tab

• Creating Targets in the TARGET EDITOR

• Editing Target Properties

• Translating Targets in the TARGET EDITOR

• Offsetting Targets in the TARGET EDITOR

• Managing Targets and Target Groups

• Removing Targets from Target Groups

• Targets Database


Importing and Exporting Target Data to the TARGET EDITOR

When you open a project with legacy TGT format target files from earlier HYPACK versions, HYPACK automatically converts each TGT file to a target group.

In addition, you can import or export target information in the Project Items list using either a simple text (*.TXT) file or the HYPACK target file (*.TGT) format, respectively.

Note:This procedure was designed to import HYPACK TGT files from earlier projects. For this reason, it only supports select target properties (not target attributes).

More Information

• Target Properties

• Importing Text Files to the TARGET EDITOR

• Exporting Text Files from the TARGET EDITOR

• Importing Legacy Target Files to the Project

• Exporting to the Target File Format from the TARGET EDITOR

• Target Reports

• Generating a Target Report in the TARGET EDITOR


Importing Text Files to the TARGET EDITOR

The Target Import dialog enables you to extract data from ASCII text files and use it to populate the fields of the TARGET EDITOR. Each line (or record) in the text file must contain the data for one target and present the data in the same order.

1.In the HYPACK File List, right-click on the target group to which you want to import the targets and select Import Targets: *.TXT FILE. The Target Import dialog appears where you configure the import.

Target Import Dialog

2.Select and order the fields used to create your new target file.

a.Place a check in the box for each field in your text file you want to use to populate the line file.

b.Use the cursor to drag the fields into the order that they appear in your file.

•To skip a field in the string, check ‘Ignore’ and drag it to the position of the field to be skipped in the list. If you need more than one Ignore field, click [Add Ignore Field] to generate as many as you need.

3.Choose the correct delimited format. The program supports comma, tab and space delimiters.

4.Load the text file. Click [Load File], select your file and click [Open]. In the Lines area, you will see your targets as they appear in your file and you can see the syntax of the records.

5.Check the syntax of your file against the field list. (Optional) This process verifies that your configuration settings are compatible with the text file you have loaded.

a.Select a line from the Lines area. (Optional) The default is the first line in your input file.

b.Click [Check Syntax]. A message window will appear to tell you how many records of the total number can be converted using your current settings. If you don’t get the expected results, adjust your configuration and check the syntax again.

Note:Alternatively, you may need to adjust the structure of your text file and restart the entire process.

6.Click [Convert] A message window appears to tell you how many records have been converted.

7.Click [Exit]. The Import dialog closes and the target group is populated with the data from the text file.

More Information

• Exporting Text Files from the TARGET EDITOR

• Importing Legacy Target Files to the Project

• Exporting to the Target File Format from the TARGET EDITOR


Exporting Text Files from the TARGET EDITOR

You can generate a user-configured text file which may then be imported to a text editor or spreadsheet programs. You can export all targets in the project or only selected targets. The output file is stored, by default to the project folder.

1.Configure your Spreadsheet tab with the data you want to export.

a.Select the data using the Columns menu or dialog.

b.Order the columns. Drag the spreadsheet headings.

c.Select the targets you want to export:

i.Select SPREADSHEET-SHOW ALL.

ii.Click the target number to select or deselect targets until only the targets for export are checked.

iii.Select SPREADSHEET-SHOW CHECKED.

2.Select FILE-SPREADSHEET EXPORT. A File Save dialog appears.

3.Choose a location, name your file and click [Save]. The exported file is saved, by default, to the project folder with a CSV extension.

Sample Output File:

455473.70,4942631.39,0.00,"Man Overboard"

455216.00,4943428.67,0.00,"Red Buoy"

454113.00,4945510.67,0.00,"Green Buoy"

More Information

• Importing Text Files to the TARGET EDITOR

• Importing Legacy Target Files to the Project

• Exporting to the Target File Format from the TARGET EDITOR

• Target Reports


Target Database Comparisons

The Difference routine compares the target database (targets.db) from the current project with a second target database. For example, you can compare targets in your project between your survey and office computers, or historical and current target data.

The routine compares the targets by name, position or both.

Each target (row) is color-coded based on how it compares to those in the project targets:

Target Comparison Color-coding

Color | Comparison Results
Red | Missing (No match in the project targets.)
Green | Match
Yellow | Partial match: When comparing both name and position, only one of the two criteria matches.

Initial Comparison—Project Targets.db (left) and Second Targets.db in the Difference Dialog

You can then, optionally, import targets from the second file based on how they compare to the first. The imported targets are copied to the Default target group.

Note:The second target database remains unchanged.

1.Configure the columns in the Spreadsheet tab. The same columns appear in the comparison results.

2. Click the Difference icon. The Import Target File dialog appears.

3.Select the second target database and click [Open]. The Difference window appears listing the targets in the second database.

4.Set your comparison criteria:

•Compare: Positions, Name or both.

•Tolerance: When comparing positions, if targets are within the specified distance (survey units), it is considered a match.

The color-coding updates accordingly.

5.Import select targets to the project targets database. (Optional)

a.Set the import criteria:

•Accept Misses Only imports only the red rows. (Red rows update to green and yellow rows remain yellow.)

•Accept Partial Matches imports the red and yellow rows. (All rows become green.)

•Accept All imports all targets from the second database regardless of comparison results. Green rows create targets in the Default target group that duplicate targets already in another target group. (All rows become green.)

b.Click the Import icon. The Default target group receives the imported targets and the color-codes in the Difference display update.

The Project Targets.db—Before Importing the Missing Targets (left) and After (center and right)

6.Close the Difference window to return to the TARGET EDITOR.


Importing Legacy Target Files to the Project

You can import the targets from an existing target file (*.TGT) to your current project. HYPACK imports target files (*.TGT), creating a target group named according to the TGT file name. With this feature, you can import a target file from someone using earlier versions of HYPACK to your current project (targets.db).

You can import target files through the Project Items list or in the TARGET EDITOR.

• Importing Target Files through the Project Files List

• Importing Target Files through the TARGET EDITOR

Importing Target Files through the Project Files List

1.Right-click on the Targets item in the Project Files list and select Import Targets: *.TGT File. A File Open dialog appears.

2.Select the target file you want to import and click [Open].

Return to Top

Importing Target Files through the TARGET EDITOR

1.Select FILE-IMPORT TARGET FILE. A File Open dialog appears.

2.Select the target file (*.TGT) you want to include in your project and click [Open].

Return to Top

More Information

• Importing Text Files to the TARGET EDITOR

• Exporting Text Files from the TARGET EDITOR

• Exporting to the Target File Format from the TARGET EDITOR


Exporting to the Target File Format from the TARGET EDITOR

You can export one or more targets to the legacy target file (*.TGT) format. This can be helpful if you are working with another HYPACK user who has an earlier version of HYPACK that cannot read the targets database.

You can export all targets in the project or only selected targets. The output file is stored, by default to the project folder.

1.Choose your targets to export:

•To export select targets, check the targets or groups you want to export and select FILE-EXPORT CHECKED TO TGT.

•To export all targets, select FILE-EXPORT ALL TO TGT.

2.Choose a location, name your file and click [Save].

Exporting Targets—Target Editor Selections (left), Export Results (right)

More Information

• Importing Text Files to the TARGET EDITOR

• Exporting Text Files from the TARGET EDITOR

• Importing Legacy Target Files to the Project


Target Reports

The TARGET EDITOR and TARGETING AND MOSAICKING generate a report in rich text format (*.RTF) that presents the data about each target in an easy-to-read form, one page per target. The output file is stored, by default to the project folder.

More Information

• Generating a Target Report in the TARGET EDITOR

• Generating a Target Report in TARGETING AND MOSAICKING

• Creating Targets in the TARGET EDITOR

• Marking Targets with your Cursor in HYPACK

• Target Display Options

• TARGET EDITOR

• Managing Targets and Target Groups

• Importing and Exporting Target Data to the TARGET EDITOR

• Targets Database


Generating a Target Report in the TARGET EDITOR

1.Choose your targets to export:

•To export select targets, check the targets or groups you want to export and select FILE-EXPORT CHECKED TO RTF.

•To export all targets, select FILE-EXPORT ALL TO RTF.

2.Name your file and click [Save]. The report is saved, by default, to your project folder.

Sample Target Report


Generating a Target Report in TARGETING AND MOSAICKING

1.Open the TARGET VIEWER. From the TARGETING AND MOSAICKING program in either Scan View or Mosaic mode, select TOOLS-TARGET VIEWER. The program automatically loads the targets associated with the currently loaded data.

2. Click the ‘Save Target Book to RTF’ icon. A File Save dialog appears.

3.Name your file and click [Save]. The report is saved, by default, to your project folder.

Sample Target Report


Managing Targets and Target Groups

A target group is a list of individual targets, which allows you to enable and disable all targets in the group in one operation (in much the same way catalogs facilitate data files).

HYPACK automatically creates several default groups in the Project Items list named according to the program in which the member targets were created. You can also create target groups to suit your needs. Targets can be members of more than one group.

Note:The Project Items list displays empty groups, but the TARGET EDITOR displays only populated groups.

Sample Target Groups

More Information

• Adding Target Groups

• Adding Targets to Target Groups

• Removing Target Groups

• Removing Targets from Target Groups

• Renaming Target Groups

• Marking Targets with your Cursor in HYPACK

• Creating Targets in the TARGET EDITOR

• Target Display Options

• TARGET EDITOR

• Importing and Exporting Target Data to the TARGET EDITOR

• Target Classification

• Target Reports

• Targets Database


Adding Target Groups

1.Open the Create New Target Group dialog.

•From the HYPACK Interface, right-click on Targets in the Project Items list and select Add Group.

•From the Target Editor, select FILE-ADD GROUP.

Create New Target Group

2.Enter the name for your new group and click [OK]. Your new target group appears under Targets in the Project Items list when you close the TARGET EDITOR. It appears in the Details tab of the TARGET EDITOR only when you add a target to the group.

More Information

• Adding Targets to Target Groups

• Removing Target Groups

• Removing Targets from Target Groups

• Renaming Target Groups


Adding Targets to Target Groups

When you first mark a target, HYPACK stores it in the default group according to the program in which you marked it. However, targets can be members of multiple groups, if you wish. You can copy one or more targets from their current group to another as follows:

1.Select one or more targets in the Details tab.

2.Right-click on the selection and select Add to Group then the name of the group to which you want to copy the selected targets.

Adding Selected Targets to a Target Group

More Information

• Adding Target Groups

• Removing Target Groups

• Removing Targets from Target Groups

• Renaming Target Groups


Removing Target Groups

When you remove a target group, the targets in the selected group remain and become part of the Default target group.

•From the HYPACK Interface, right-click in the Project Items list on the target group you want to remove and select Remove Target Group.

•From the TARGET EDITOR, select one or more groups to remove in the Details tab and select FILE-REMOVE GROUP.

More Information

• Adding Target Groups

• Adding Targets to Target Groups

• Removing Targets from Target Groups

• Renaming Target Groups


Removing Targets from Target Groups

In the TARGET EDITOR, you can remove select targets from one or more groups:

Important: There is a critical difference between removing and deleting targets:
Deleting a target removes it from your project and from your hard drive. It no longer exists.
Removing a target omits it from the current group listing, but the target remains in the project. If it has no assigned group, HYPACK automatically assigns it to the Default group.

1.Select one or more targets in the Details tab.

2.Right-click on your selection and select the appropriate Remove option:

•Remove from Group omits the selected target from the group in which you have selected it. If it resides in another group, it remains there.

•Remove from All Groups omits the selected target from all groups and moves it to the Default group.

More Information

• Adding Target Groups

• Adding Targets to Target Groups

• Removing Target Groups

• Deleting Targets in the TARGET EDITOR

• Renaming Target Groups


Renaming Target Groups

1.From the TARGET EDITOR, select the group you want to remove in the Details tab.

2.Select FILE-RENAME GROUP. A dialog appears with the current group name.

3.Enter the new name and click [OK].

More Information

• Adding Target Groups

• Adding Targets to Target Groups

• Removing Target Groups

• Deleting Targets in the TARGET EDITOR


Target Classification

You can classify targets according to criteria of your choosing.

Target classification is a two-step process:

1.Build your target classification database. This is where you define your classification codes with a title and illustrative images.

2.Assign a classification code to each target. You assign classification codes through the TARGETING AND MOSAICKING Target dialog or Target Viewer, or the HYPACK TARGET EDITOR.

In the TARGETING AND MOSAICKING program, the Target dialog automatically appears when you mark a target and you can assign a classification code at that time. Select TOOLS-TARGET VIEWER to scan your targets in the Target Viewer window.

In the TARGET EDITOR, assign the classification code under the Class Name attribute.

More Information

• Building the Target Classification Database

• Classifying your Targets in the TARGET EDITOR

• Reviewing Targets in the TARGET VIEWER

• Editing Target Properties


Building the Target Classification Database

When you decide to classify your targets, it is logical that you have a number of categories in mind to which you want to assign your targets. So the first step is to define these categories by building a reference database.

The target classification database is a listing of classification codes with examples of each that may be used as a reference as you classify new targets. The database information is stored in the \HYPACK 2017\Support\TargetInfo folder and is used across all HYPACK projects. You build the database in the Target Classification Database dialog.

Tip: If you have multiple HYPACK computers where the database will be used, you can copy the database between HYPACK computers by copying the \HYPACK 2017\Support \TargetInfo folder.

Beware! Do not modify the database through the Target Classification Database dialog while the TARGETING AND MOSAICKING program is open. TARGETING AND MOSAICKING will not recognize such changes and the database may be corrupted.

1.Open the database. Set up the TgtClassDB.exe file, found in the \HYPACK 2017 folder, to run as an external program from the HYPACK Tools menu and run it from there.

Note:If you have not yet entered any data to the database, the dialog will be blank.

Sample Target Classification Database Dialog

2.Enter your classifications.

a.Select FILE-NEW CODE. The New Code dialog will appear.

Sample New Code Dialog

b.Enter the code name and click [OK].

3.Add existing images to each classification as available.

a.Select a class from your list on the left.

b.Click [Add].

c.Browse for a BMP or JPG image that illustrates this class and click [Open].

d.Set your level of confidence. The program provides a default list of 1-5, however you may extend the list by typing other numeric values.

4.Save the database by selecting FILE-SAVE DATABASE.

Tip: You can also add images and their confidence levels to existing classifications in the database from the Target Classification Comparison dialog which is accessed from the Target Viewer. Select the correct classification code and click [Add Image to Code].

More Information

• Target Classification

• Classifying your Targets in the TARGET EDITOR


Classifying your Targets in the TARGET EDITOR

Once you have created a target classification database, you assign classification codes through the TARGETING AND MOSAICKING Target dialog or the HYPACK TARGET EDITOR.

The Target dialog automatically appears when you mark a target in the TARGETING AND MOSAICKING program and you can assign a classification code at that time.

1.Open the TARGET EDITOR. Select PREPARATION-EDITORS-TARGET EDITOR.

2.Select a target from the list to view its information on the right.

3.Enter the classification under the Class Name attribute.

Sample TARGET EDITOR Display

4.Verify you have the correct code (Optional) by comparing your current target to those in the database through the Target Classification Comparison dialog.

a. Access the Target Classification Comparison dialog. Click the [?] next to the Classification Code field.

Sample Target Classification Comparison Dialog

b.Compare your current target (left) with the database reference images (right).

i.Select a classification code in the drop-down list.

ii.Scroll through the reference images using the arrow buttons.

iii.If your target does not resemble the reference images satisfactorily, repeat the process selecting a different classification code.

c.Add your target to the database. (Optional) If your current target is a particularly good example of its classification, you may choose to add it to the Target Classification Database by clicking [Add Image to Code].

d.Return to the TARGET EDITOR. Click [Close].

5.Close the TARGET EDITOR. Select FILE-EXIT or click the [X] in the title bar. The program saves each change automatically as you make them.

More Information

• Marking Targets in Scan View


Plotting Sheets (*.PLT)

Plotting Sheet files (*.PLT) contain origin coordinates, scale, rotation, and sheet dimensions for plotting on smooth sheets. These files are typically created in the PLOTTING SHEET EDITOR and saved with the PLT extension to your project file. They are primarily used by HYPLOT to define the plot area, but are also used by CROSS SORT.

More Information

• Creating Plotting Sheets in the Plotting Sheet Editor

• Editing an Existing Plotting Sheet File in the Plotting Sheet Editor

• Generating Plotting Sheet Layout Graphics

• HYPLOT

• HYPLOT-Multiple Sheets


Creating Plotting Sheets in the Plotting Sheet Editor

1.Load the files that define your survey area (ex. background files or Planned Line Files). Right-click on background files or Planned Line Files at the lower left and select Add File and follow the prompts to select your file. You may choose to zoom-in or –out to adjust the size of the area to fit your screen.

2.Open the PLOTTING SHEET EDITOR by selecting PREPARATION-EDITORS-PLOTTING SHEET EDITOR.

3.Open a new Plotting File by selecting FILE-NEW. The PLOTTING SHEET EDITOR is open and displays, behind it, a Plotting file on a blank grid or with your background file if you have opened one. The Plotting file is defined by pink lines to indicate it is only in memory. When the file has been saved, the lines will change color according to the settings in the HYPACK Control Panel.

4.Set your input units. You can enter either X,Y or Lat./Lon.. Select EDIT-UNITS to toggle from one unit to the other.

5.If you want to position the file with your cursor, set the sizing method. In the Edit menu, the sizing option can be toggled between Scale or Length/Width.

•Scale (ft/in on foot grids or m/m on metric grids) maintains the scale ratio between the length and width of the plotting sheet.

•Length/Width (inches on foot grids and cm on metric grids) enables you to resize the length and width of the plotting sheet independently of each other.

6.Position and size the Plotting File. You may position the Plotting file and resize it to cover your survey area.

•With the cursor:

•Click and drag the circled corner to move the plotting file.

•Click and drag the square corner opposite the circled corner to rotate the plotting file.

•Click and drag corners adjacent to the circled corner to change the length and width of your plotting area.

Note:If you selected the ‘Scale’ sizing method, the border will maintain the specified length:width ratio. Otherwise, you can scale length and width independently.

•Edit the information in the PLOTTING SHEET EDITOR.

•The X-Y or Lat./Long. coordinates represent the position of the circled corner of the plotting file.

•All other information is relative to that point.

Any changes you have made will be reflected in the screen when you click [Enter].

Note:Most standard MS Windows® printers will not print to the very edge of a piece of paper. You probably need to account for this margin. The size of the margin is printer-dependent. Check the printer’s manual.
Also, you must leave space for any border you plan to add in HYPLOT.

7.Save your Plotting Sheet file by selecting FILE-SAVE and naming your file. It will be saved with the extension .PLT to your project directory and displayed in the HYPACK Area Map .

The PLOTTING SHEET EDITOR

More Information

• Editing an Existing Plotting Sheet File in the Plotting Sheet Editor

• Generating Plotting Sheet Layout Graphics

• HYPLOT


Editing an Existing Plotting Sheet File in the Plotting Sheet Editor

You can make changes to an existing Plotting file in the PLOTTING SHEET EDITOR. The changes can be saved to the original file name (overwriting it), or saved to a new file name. The procedure is very simple.

1.Load the plotting sheet file to the PLOTTING SHEET EDITOR. You can do this by:

•Double-clicking on the file name in the Project Files list.

•Selecting FILE-OPEN from the PLOTTING SHEET EDITOR menu and selecting the file you want to change.

2.Edit the plotting sheet file, you can click and drag the corners to move, rotate or resize the plotting area. You can also use the PLOTTING SHEET EDITOR to change the Scale, Sheet Dimensions and the positioning of the plotting area. Convert your coordinates from XY to Lat Long (or vice versa) by selecting EDIT-UNITS. You will automatically see your results displayed on the screen.

Note:If you are editing a PLT file that has had additional display settings saved to it in HYPLOT, the display settings will remain. However, if you are making the sheet smaller, be mindful of the placement of your non-data items (for example, the north arrow, ruler, color bar...). Objects near the top or left edge of a larger plot may disappear out of range of the smaller plotting sheet size. You will have to retrieve them by repositioning them in the HYPLOT Control Panel.

3.When you are satisfied, save your file. Click on either FILE-SAVE or FILE-SAVE AS. If you select SAVE, it will overwrite the original size, scale and rotation information. If you use SAVE AS, it will ask you for a new file name and create a new plotting file using that name.

The plotting sheet display in the HYPACK window will show only the plotting sheet border.

In HYPLOT, the non-data items remain positioned relative to the lower left corner of the PLT.

More Information

• Creating Plotting Sheets in the Plotting Sheet Editor

• Generating Plotting Sheet Layout Graphics

• HYPLOT


Generating Plotting Sheet Layout Graphics

When you plot your data, it is often helpful to know where your plotting sheet fits in the context of the surrounding area. This may be particularly helpful if you are plotting a small portion of a large project area.

A plotting sheet layout graphic is a bitmap screen capture of the HYPACK area map that highlights the selected, active plotting sheet file.

Sample Plotting Sheet Layout Bitmaps

To generate a Plotting Sheet Layout graphic:

1.Setup your HYPACK Map display as you want it to appear in the graphic.

•Enable one or more PLT files.

•Enable other project and data files you want to include.

•Set other view options in the control panel, by selecting a scheme or both.

2.In the Project Files list, right-click on the enabled PLT file that should be highlighted in the resulting graphic and select ‘Sheet Layout Block’. The graphic is automatically named FileName_SheetLayout.bmp and saved to the project folder.

More Information

• Creating Plotting Sheets in the Plotting Sheet Editor

• Editing an Existing Plotting Sheet File in the Plotting Sheet Editor

• Generating Plotting Sheet Layout Graphics

• HYPLOT


TPU Editor

TPU (Total Propagated Uncertainty) is a calculation of sounding uncertainty based on sonar, environmental and sensor (e.g., GPS) information. There are vertical and horizontal components of TPU: TVU and THU, respectively.

The TPU calculations in HYPACK are from the spreadsheet developed by Rob Hare of the Canadian Hydrographic Service.

The TPU EDITOR is a 3-tabbed dialog where you must enter the information required for TPU calculations. These calculations are performed and displayed by HYSWEEP SURVEY and by the 64-bit HYSWEEP EDITOR.

Your current TPU configuration is stored in the project TPE.ini file. Each time you make your settings current in the TPU EDITOR, they are recorded to this file where they are read by other programs and by the TPU EDITOR itself to display your settings when you re-open the program.

More Information

• Setting your TPU Parameters

• Exporting TPU Parameter Reports

• Managing Multiple TPU Configurations


Setting your TPU Parameters

1.Launch the TPU EDITOR by selecting PREPARATION-EDITORS-TPU PARAMETER EDITOR. The editor opens with the most recent values from the TPE.ini.

2.Configure your TPU parameters.

a.Assign default values. Select FILE-RESTORE DEFAULTS.

b.Enter parameters for common systems through the menu. Each device type has a menu in which you select the model of the device in your system.The program automatically updates those parameters that are relevant to the selected model.

c.Load your offset information from the project HYSWEEP.ini file. Select FILE-LOAD HYSWEEP.INI and load the file.

d.Manually enter the remaining parameters you know.

3.Review the data in each tab for accuracy. You should make every attempt to understand the required inputs and modify the parameters to fit your survey equipment. However, many of the parameters have very little effect on TPU results, and some of them are unknowable and require approximation.

4.Compare uncertainty estimation graphs to your required IHO or USACE standard. (Optional) This predicts whether your system will meet the standard.

a.If the sample graphs are not visible, select FILE-SHOW GRAPHS.

Estimation Graphs

b.Check the standard to which you want to compare your system error. A horizontal line will show the standard on the graph and the point at which your estimation graph intersects with the standard is labeled.

c.Enter various ‘Estimation Graph Parameters’ in the General Tab. These values are hypothetical values which, during SURVEY, will be supplied by your survey data. You can enter different values to see how the TPU graphs are affected.

TPU EDITOR - General Tab

TPU Editor - Environment Tab

TPU Editor - Sensor Information Tab

5.Save your TPU information. The TPU EDITOR enables you to save multiple combinations of TPU settings for use with different hardware configurations or environmental conditions.

•FILE-SAVE (Optional) saves your current settings to the current initialization file.

•FILE-SAVE AS (Optional) allows you to save your settings to an alternate initialization file.

•FILE-SAVE RTF REPORT (Optional) generates a report that includes replicas of each graph and a table, one for each tab in the dialog, listing your current TPU parameters.

•FILE-MAKE CURRENT (Required) When you are satisfied with your settings, use this option to save your settings to the TPE.ini file in the \HYPACK 2017 folder. The HYSWEEP SURVEY and 64-bit HYSWEEP EDITOR programs use the values in the current TPE.INI for their TPU calculations.

More Information

• Exporting TPU Parameter Reports

• Managing Multiple TPU Configurations

•http://ccom.unh.edu/sites/default/files/publications/Calder_07_CUBE_User_Manual.pdf


Exporting TPU Parameter Reports

To save your current settings to a TPU report, select FILE-SAVE RTF REPORT and name your report. The report includes replicas of each graph and a table, one for each tab in the dialog, listing your current TPU parameters.

Sample TPU Report (page 1)

Sample TPU Report (page 2)

More Information

• Setting your TPU Parameters

• Managing Multiple TPU Configurations


Managing Multiple TPU Configurations

Some survey vessels work with more than one hardware configuration as different devices or device combinations may be used on the same vessel. Instead of manually changing the individual settings in the TPU EDITOR each time, it is quicker and easier to save each complete configuration to a file which will enable you to load all of the settings at once when you switch devices or settings.

It will be most useful if you name each configuration file in a way that you’ll know which devices and settings it includes. The configuration file is saved, by default, to your project folder.

Tip: If it is likely that you will use the configuration in multiple projects, consider saving it to another location.

1.Save each TPU configuration to a configuration (*.INI) file.

a.Enter your TPU settings in the TPU EDITOR.

b.Select FIE-SAVE AS and name your file.

c.Repeat the process for each configuration, using a unique name for each INI file saved.

2.Each time you change hardware configurations, load the corresponding TPU configuration.

a.Load the settings to the TPU EDITOR. Select FILE-OPEN and the INI file with the desired TPU settings.

b.Copy the settings to the TPE.INI file. Select FILE-MAKE CURRENT. When you open the TPU EDITOR, it reads the TPR.INI file to populate the parameter display, it reads the HYSWEEP SURVEY and 64-bit HYSWEEP EDITOR programs use the values in the current TPE.INI for their TPU calculations.

To modify a TPU configuration file without affecting the TPE.INI file, do the following:

1.Load the file to the TPU EDITOR. Select FILE-OPEN and the INI file you want to change.

2.Edit your settings.

3.Select FILE-SAVE.

More Information

• Setting your TPU Parameters

• Exporting TPU Parameter Reports


1Survey

Survey

The survey programs provide you with information to monitor survey data collection and to assure full coverage of the survey area. Customize the real-time displays and set the navigation parameters to suit your normal needs and preferences then use the easy keyboard commands to manually guide your data collection.

HYPACK SURVEY provides navigational data and logs single beam and magnetometer data.

In multibeam or side scan surveys, HYPACK SURVEY runs simultaneously with HYSWEEP SURVEY or SIDE SCAN SURVEY to provide the navigational data while HYSWEEP SURVEY or SIDE SCAN SURVEY collects the multibeam or side scan data respectively.

Once you have set up your project, you are ready to set up your SURVEY options. The consider the following tasks before you begin to collect data:

•Set the correct geodesy settings.

•Test and calibrate your hardware. Do this before you are far from shore with pressing deadlines.

•Configure the size, position and features of the display windows.

•Load and configure planned survey lines. (Optional) Recommended for survey projects.

•Set the Navigation Parameters.

•Input the Project Information.

•Load and configure any Targets. (Optional)

•Recommended in dredging projects. )

More Information

• SURVEY and DREDGEPACK Preparation Flowchart


HYPACK SURVEY

Program Interface

To launch HYPACK SURVEY, select SURVEY-HYPACK SURVEY or click the icon.

•Single beam, sub-bottom or magnetometer configurations launch only HYPACK SURVEY.

•Multibeam configurations, including those with side scan sonar, launch HYPACK SURVEY and HYSWEEP SURVEY.

•Side scan configurations launch HYPACK SURVEY and SIDE SCAN SURVEY.

The HYPACK SURVEY program loads the information from the current project. The program reads geodetic information and hardware information from the project initialization files. It loads the most recently used planned survey line file (*.LNW) from the current project, as well as any background files and matrix files that are currently ‘Enabled’.

HYPACK SURVEY functions can be executed through the menus in the shell, the (optional) toolbar, or through keyboard shortcuts.

HYPACK SURVEY Toolbar

The toolbar is a row of icons that duplicate the function of several of the menu selections. To determine each icon's function, hold the cursor over the icon and a tool tip will appear.

Though color schemes are defined in the SCHEME BUILDER program, you can choose an alternate color scheme to use while you are in HYPACK SURVEY from the OPTIONS-COLOR SCHEME menu item and HYPACK SURVEY will immediately assume the new color scheme. This is handy if the environmental lighting changes while you are working as it allows you to change to a more suitable scheme without suspending your survey.

More Information

• SURVEY and DREDGEPACK Preparation Flowchart

• Managing Files in your Project

• Display Schemes

• Calibrating your Hardware

• Project Information in SURVEY

• Windows in SURVEY

• Shared Memory Programs

• Boat Features in HYPACK SURVEY

• Chart (Background) Files in SURVEY

• Targets in SURVEY

• Matrix Files in SURVEY

• Corrections in SURVEY

• Navigating Planned Lines in SURVEY

• Logging Data in SURVEY

• Printing Survey Data


Windows in SURVEY

The SURVEY or DREDGEPACK display is comprised of the ‘shell’, with a menu bar and toolbars, as well as your choice of several independently-displayed and configured windows:

•Area Map: This is a plan view of your project area. It displays any enabled project files along with the position of the vessels and their track lines.

•Left-Right Indicator: Shows the position of the boat relative to the current planned line segment.

•Data Display: Shows real-time, textual information regarding your work.

•Profile: Displays the cross section profile and off-line information for the entire planned line.

SURVEY or DREDGEPACK can display multiple windows of each type, each independently configurable through its menus. Multiple windows of the same type are distinguished by numbers, both on their title bars and in the Window Manager.

You may reposition and size all windows, in one or more monitors, using the cursor to drag the title bars and window edges.

Once you have configured, sized and placed the windows on the screen, the SURVEY or DREDGEPACK program remembers and restores them to the same status and location each time you start the SURVEY or DREDGEPACK program.

More Information

• Area Map in SURVEY

• Left-Right Indicator in SURVEY

• Data Display Window in SURVEY

• Profile Window in SURVEY

• Comments in SURVEY

• Device Windows in SURVEY

• GPS Graphs in SURVEY

• Alarms in SURVEY

• Configuring your Window Display with the Window Manager

• Monitoring SURVEY or DREDGEPACK Over the Network with Remote Access


Area Map in SURVEY

The Area Map window contains a plan view of your survey area that includes all files active in HYPACK when you start SURVEY and a symbol representing each mobile in your hardware configuration.

A Sample Area Map

Sounding colors are determined by the project’s color settings. The position of the survey boat is updated on the Area Map at an interval defined by the GPS Update Frequency in the HARDWARE program.

Each area map includes the standard zoom and pan controls:

Note:The Range setting in the Area Map toolbar enables you to set the zoom at any of a series of preset zoom scales.

A tracking setting other than "No Tracking" overrides the effect of the pan tool.

When you exit the SURVEY program, it records the status of the items in the Area Map and restores the same configuration when you re-start the program.

Printing your Map:

You can also print a full page-sized screen capture of your Area Map window by clicking the Print Screen icon in the toolbar.

Querying your Map Features:

The Query Tool displays attribute information about objects in S57 and SHP charts, as well as about several types of HYPACK files. When you click the Query Tool icon, the cursor changes to an Interrogate tool. When you click or drag an area in the area map, it displays the attribute information for any object within 2mm of the defined location. All supported objects within range of your query are listed in the top of the Query Results window. Select the object on the top and its attribute information appears below.

More Information

• Project Colors in HYPACK

• Querying Area Map Features

• Mobiles and Mobile Settings

• Configuring your Area Map Display in SURVEY


Left-Right Indicator in SURVEY

The Left-Right Indicator window only appears when you have planned lines loaded into the SURVEY or DREDGEPACK program. It shows the position of the main vessel relative to the planned survey line, as well as certain information of particular interest to the helmsman:

Left-Right Indicator Statistics

Logging Status | Display
Logging | Distance and TimeA to the end of the current survey line.
Not Logging | Distance and Time* to the start of the next survey line.
Always | Logging status, uncorrected depth and tide

ATimes are calculated based on distance and current speed.

Additional, displays can be loaded by selecting WINDOW-NEW- LR INDICATOR.

To modify the font, select OPTIONS-FONT in the indicator menu. The Windows® Font Dialog appears for you to make your adjustments. Only the font, style and size apply. These settings override the current scheme until you exit SURVEY or DREDGEPACK.

SURVEY or DREDGEPACK alerts you that your vessel is too far off the currently selected survey line. You can decide the distance at which you will be alerted.


Data Display Window in SURVEY

The Data Display window shows textual information about the your work.

The Data Display Window

When you first start the SURVEY or DREDGEPACK program, the display does not contain any items. Use the menu in the Data Display window to configure the Data Display. You can select the items to display, the font of the displayed items, or change the style of the display.

Once the Data Display has been configured, the program will restore the items and font in the same way, when the program is re-started.

STYLE-STAY ON TOP assures the Data Display window remains visible even when it overlaps with another window.


Profile Window in SURVEY

The Profile window is only available if you have planned survey lines loaded in the SURVEY program.

To generate a Profile window, click [Profile Window] in the vessel setup dialog for the vessel whose profile you want to see.

The Profile window shows a cross section view of the entire planned survey line. The channel profile will automatically display if the planned line file contains channel template information or if you load the channel information separately.

The Profile window display updates during logging and, when you end line, it remains on the screen until the next survey line is begun (status changes to "Logging"). Then, the Profile window clears and the information for the new line is drawn.

The Profile Window

More Information

• Configuring the Profile Window

• Channel Profile Settings in Survey


Device Windows in SURVEY

Each device you have selected in the HARDWARE program will generate it’s own window. The device driver, not the SURVEY or DREDGEPACK program, controls the content of each window. This means that the information for different devices will vary according to the device type and model.

You can also adjust the scale of the display by resizing the window itself and often by using the mouse wheel to zoom in and out.

There are additional ‘device windows’ that display depth, tide or heave, pitch and roll (HPR) data from shared memory. Each window is a scrolling, event-annotated graph display. These windows are similar to the device windows generated by each device driver except you can choose the mobile from which you want to display data.

To access these device windows, select WINDOW-NEW-DEVICE and the required window name.

Sample Device Windows--HPR (top), Tide (lower left), Depth (lower right)

To access the view options window for each window, right-click on the graph you wish to modify and select ‘Setup’.

Configuration Dialog - Depth and HPR Device Windows (left), Tide Window (right)

•GPS Device ID: Devices are numbered according to the order in which they are entered. The first device ID is ’0’.

•Update Rate of the graph determines how frequently new data is recorded to the graph.

•The Time Range defines the horizontal range of the graph.

•Graph Minimum and Maximum values to define the vertical range of the graph where applicable. Check Auto Min./Max to let SURVEY or DREDGEPACK adjust the range to fit the data.

•Apply Offsets is available only for the HPR and Depth Device Windows. Check this option to correct the graphed values using no real-time lever-arm calculations.


GPS Graphs in SURVEY

In addition to the data in the GPS device window, GPS drivers provide several real-time graphical displays of data extracted from your GPS input. Each value is configured and graphed independently. You can choose to display any number of displays offered.

Most of the graphs are linear displays:

•Number of Satellites

•Undulation

•Ellipsoidal Height

•Sync Error

•Math

•Sky

To access the view options window for each window, right-click on the graph you wish to modify and select ‘Setup’.

Sample Graph Setup Options - Ellipsoidal Height

•GPS Device ID: Devices are numbered according to the order in which they are entered. The first device ID is ’0’.

•Update Rate of the graph determines how frequently new data is recorded to the graph.

•The Time Range defines the horizontal range of the graph.

•Graph Minimum and Maximum values to define the vertical range of the graph where applicable. Check Auto Min./Max to let SURVEY or DREDGEPACK adjust the range to fit the data.

•The Ellipse Error graph shows the error in the ellipsoid, which is calculated from data in the PTNL,QA or GST string. Select the appropriate scale factor to size the ellipse to fit the screen.

Sample Ellipse Error Graph (left) and Setup (right)

•The Math Display is a diagram of your vessel relative to the surfaces in your survey. It displays each value (measured and calculated) in the real-time kinematic tide calculation.

Math Display in SURVEY (left) and its setup (right)

•The Sky window displays the position of available satellites (90 degrees is straight overhead) with their Sat ID written inside their symbol. If their signal to noise ratio is adequate (it usually is), the satellites are colored green. If the signal-to-noise ratio of a satellite is less than required, it turns them red.

Note:This display requires the GSV string from the GPS.

Sample GPS Sky window


Comments in SURVEY

The Comment window stores your input to the project log.

Sample Comments Window

Enter your notes in the field at the top. Each time you press your Enter key, your comment drops down to the display in the lower part of the window and a copy is stored to the project log. In the single beam and HYSWEEP editors, you can refer to these comments during the editing process.


Alarms in SURVEY

Alarm windows are located along the bottom of the SURVEY or DREDGEPACK screen. They are used to denote error conditions to the operator. When the criteria are met, the alarm window turns red and the Windows® exclamation alarm sounds. You can turn off the audio alarm by pressing the Escape key. This will also change the alarm boxes to yellow until the reason for the alarm has been corrected.

The SURVEY or DREDGEPACK program can generate the following alarms:

Survey Alarm

Alarm | Text Displayed | Reason | Documented
Track Error | XTE | Generated when the tracking point is outside the limit set in the Navigation Parameters dialog or the Left-Right Indicator. | Trace FileA
Time Out | Time Out | Generated when a device has not reported an update within the last 5 seconds. | Survey Log
Minimum Depth | Min Depth | Generated when the measured depth drops below the value defined in the Navigation Parameters dialog | Survey Log
Maximum Depth | Max Depth | Generated when the measured depth is greater than the value defined in the Navigation Parameters dialog | Survey Log
Heave Drift | Drift = Current Drift Value | If the heave value differs from the average of the last 100 heave readings by more than the “Alarm Threshold” set in the Vessel Setup. | Survey Log

AThe Trace file is named RAW date.txt (eg RAW0927.txt) and saved in your project folder. It contains basic information about which files you are using as you survey, as well as data about events, targets, logging, etc. You can read it with any text editor.


Configuring your Window Display with the Window Manager

The Window Manager may be used to arrange your survey windows in one or more monitors.

1.Access the Window Manager by selecting WINDOW-WINDOW MANAGER in the SURVEY or DREDGEPACK shell.

The Window Manager will appear with a list of your current Survey windows. Multiple windows of the same type are distinguished by numbers, both on their title bars and in the Window Manager.

2.Choose the windows to view.

a.Select one or more windows in the list.

b.Click [Minimize], [Hide] or [Restore].

•[Minimize] closes the selected window and positions a restore button at the bottom of the screen.

•[Hide] closes the selected window. It can only be restored through the Window Manager.

•[Restore] reopens the selected window in your display.

3.If you have multiple monitors, assign windows to each monitor. (Optional) The monitor numbers designated in the Windows® display settings populate the Monitor drop-down list.

a.Select the monitor window to configure.

b.Select the windows for the selected monitor.

4.Position the windows in the monitor.

a.Select the windows for the selected monitor.

b.Click [Tile] or [Cascade].

• [Tile]: SURVEY or DREDGEPACK attempts to arrange the selected windows optimally on the screen.

•[Cascade] arranges all of the windows, diagonally offset from each other, in the upper-left corner of your screen.

5.Save your configuration. (Optional) Click [Save Cfg] and name your window configuration. At any time, you can return to this layout by clicking [Restore Cfg] and selecting the file. This is handy to quickly switch between multiple configurations or to return to a “user-defined default” after you have rearranged the windows.

6.Click [Exit] and manually make any final adjustments to window size and positioning.


Shared Memory Programs

The Shared Memory programs enable you to display and export information from the SURVEY or DREDGEPACK program. These programs were developed to enable you to write powerful interface drivers for application programs without interfering with the SURVEY or DREDGEPACK program. These programs can be launched from the OPTIONS–SHARED MEMORY menu item of SURVEY or DREDGEPACK.

More Information

• Memory Viewer

• Shared Memory Output Program

• NMEA Output

• Odometer

• Graphical Motion Reference Unit

• Heading and Speed Indicator


Memory Viewer

This program is used to monitor items from the SURVEY or DREDGEPACK program. It also provides for scrolling DOP and # of Satellites graphs which can be useful while surveying.

Start the program by selecting OPTIONS–SHARED MEMORY–MEMORY VIEWER. The program will automatically seek and display the information to the screen.

If this program is open when you close SURVEY or DREDGEPACK, it will store the options in the ProjectName.ini file and use the same settings the next time you launch SURVEY or DREDGEPACK.

Vessel Information Window from Memory Viewer

DOP History Window from the Memory Viewer Program

Number of Satellites Window from the Memory Viewer Program


Shared Memory Output Program

The Shared Memory Output program is used by those who need to save specific data from the HYPACK SURVEY program out the serial, network or parallel ports or to a file. You can select which items to export from a set-up window and format the chosen items according to your needs.

If this program is open when you close SURVEY or DREDGEPACK, it will store the options in the project smo.ini file and use the same settings the next time you launch SURVEY or DREDGEPACK.

Tip: If you use multiple shared memory output configurations, you can save each to a separate, user-defined INI file (FILE-SAVE AS) that you can quickly reload at a later time (FILE-OPEN).

Note:If you want to output multiple sets of data, you can launch more than one incident of this module with different connection settings for each.

1.Start the program by selecting OPTIONS-SHARED MEMORY-OUTPUT. The Shared Memory Output window will appear.

2.Select and order your output data.

3.Set your output format and connection options.

4.Start the data output by clicking [Start]. You can preview the data strings on the status bar at the bottom of the window.

• Setting your Memory Output Data

• Setting your Memory Output Options

• Broadcasting Survey Data over the Network

Setting your Memory Output Data

The SHARED MEMORY OUTPUT interface includes one tab for survey data that is not vessel-specific (the General tab) and one tab for each active mobile in the hardware configuration.

1.Select each item you wish in your export string.

a.Select the correct tab.

b.Select the item and click the right arrow button to move it to the list on the right.

Note:You can also enter up to five custom strings which may then be selected when configuring your Shared Memory Output.

2.Arrange the items on the right in the order that they should appear in the exported data string. You can reposition an item relative to another by:

•Selecting the item and using the up or down arrows.

•Selecting an item and dragging it in the list.

Return to Top

Setting your Memory Output Options

All data available from SURVEY or DREDGEPACK is listed in the left-hand side of the Shared Memory Output window.

The whole idea of Shared Memory Output is that you can create a custom output string. There are several output options to consider beyond the data you want to include in your output string:

•The exported data string format according to the needs of the receiving computer.

•Use Decimal Degrees: If unselected, lat./lon. is output in dddmm.mmmm format with or without a degree and minute symbol.

•Invert depth: If you are exporting depths and you want to invert them, check the box.

•Add Checksum: If your device expects a checksum, check the box.

•Lat./Lon. Options enable you to choose the format of the position information regarding degree signs and the use of N/S and E/W. At this time the only configuration is dd mm.mmm.

•Speed units: Choose knots, meters/second, or feet/second.

•Delimiter: Items in your output string can be separated by commas or spaces.

•Enter the characters expected by your receiving device for the start and end of the message. The End of Message string from the second column will appear immediately before the End of Message selection in the third column.

•Indicate what message should appear at the end of the string. You have a choice of Carriage Return, Line Feed or both. If none of these suits your need, create one that does under Other.

•Towfish Source Mobile: If you have more than one towfish mobile, select the mobile from which the output data should be read.

•Automatically Start after 5 Seconds: All options are disabled and the Shared Memory Output begins to send output five seconds after you open the program.

•Initialization String options enable you to configure and send an initialization string if you are outputting data to a recording device that first needs to be prepared in this manner.

a.Enter the initialization string required by your device.

b.Check the Send String At Startup option. This automatically sends the initialization string when you start the Shared Memory Output.

•The Send Frequency: You can send your string at any of the following times:

•At each reading of any kind.

•At each record with a new position. (Export New Position Only)

•Only when an event is marked. (On Event Only)

Note:Selecting both check boxes will result in no output.

•Tell the program where to send the message. Click [Connect] to access the standard connect parameters as in the HARDWARE program.

Serial and Parallel Connection Settings

Network and File Connection Settings

a.Select the output destination. The data can be exported through either a parallel or serial port, to a file or over a network.

If you connect to a file, the program will output to a write-only text file with the *.OUT extension (SMOutput.out, by default) to the project folder. The program continues to append data to that file until you change this setting.

b.Provide the output information pertinent to the destination.

c.Specify the Update Frequency (msec).

d.Click [OK] to return to the Shared Memory Output dialog.

Return to Top

Broadcasting Survey Data over the Network

If you save your Shared Memory Output settings to an INI file and export your Shared Memory Output to the network, any network computer, including your own, can use the Shared Memory Input device driver (SMInput.dll) to read the data strings.

This requires that both computers have licensed versions of HYPACK that can run SURVEY or DREDGEPACK and the dongle that goes with it.

In this way you can run another incident of SURVEY or DREDGEPACK, but read the data from Shared Memory instead of the devices themselves.

Return to Top


NMEA Output

NMEA Output enables you to export user-defined NMEA strings from the SURVEY or DREDGEPACK program. It can be used together with the NetNMEA.dll to broadcast the output strings over the network. If you want to output multiple sets of data, you can launch more than one incident of this module with different connection settings for each. If this program is open when you close SURVEY or DREDGEPACK, it will resume using the same settings the next time you launch SURVEY or DREDGEPACK.

1.Select OPTIONS-SHARED MEMORY-NMEA OUTPUT.

2.Select which NMEA strings to export. Checking the WGS84 option tells it to output WGS84 rather than local coordinates.

3.Define the Update Rate (the frequency to send messages).

4.Define the Prefix. This is typically GP, but it can be anything.

5.Choose to output your position data in WGS84 (check WGS84) or local grid coordinates.

6.If your output must include a GPS status code, check ‘Fake GPS Status’. This option outputs hard-coded GPS status values and ellipsoid height.

•Mode = 2

•Number of Satellites = 7

•HDOP = 0

•Ellipsoid Height = 0

When unselected, the output uses the incoming GPS data.

7.Set the connection information by clicking [Connect] and filling in the dialog (as in HARDWARE).

8.Click [Start]. You can preview the output in the bottom of the screen or click on [Hide Screen] to remove this display.

Note:The [Start] key changes to [Pause] when the program is exporting data. You can toggle the export of data on and off with this button.


Odometer

The Odometer program enables you to monitor the distance traveled. This is only for on-screen viewing; there is no data output. The program allows you to view up to 3 different configurations.

If this program is open when you close SURVEY or DREDGEPACK, it will store the options in the ProjectName.ini file and use the same settings the next time you launch SURVEY or DREDGEPACK

1.Launch the ODOMETER program by selecting OPTIONS-SHARED MEMORY-ODOMETER.

Odometer Display

2.Select the distance units.

3.Specify distance to measure, all travel or only the distance traveled while surveying.

4.Check the Active check box and view the distances in the windows on the left. Toggle this measurement on and off manually by checking and clearing the box.

To prevent the Odometer from being hidden behind other windows (optional), right-click on the window and select Always On Top.

To display zeros up to the 1 million place (Optional), right-click and select Show Leading Zeros.


Graphical Motion Reference Unit

The Graphical MRU program shows Heading, Pitch and Roll in a real time, visual display.

Graphical MRU Display

The scale at the top of the window represents the heading.

The vessel is represented by the square in the center. When the vessel:

•Is stationary, the lines extending out on either side lie at the change from green to blue.

•Rolls, the diagram green/blue border rotates out of line with the horizon line by the amount of the roll.

•Pitches, the square moves vertically out of line with the circle by the amount of the pitch.

The Day/Night label enables you to toggle between dark and light displays according to your survey environment.


Heading and Speed Indicator

The heading and speed indicator is a graphical display of your vessel's heading and speed.

Heading and Speed Indicator


Real Time Cloud in SURVEY

The Real Time Cloud window provides a 3-dimensional display of your survey area. Originally designed to draw a point cloud of multibeam soundings, it can now be configured to include other project files for other purposes.

In single beam surveys, you can paint your matrix in the context of your other project files in a 3-dimensional display. You may provide further context to the display with the projection grid, charts and other project files (planned lines, plotting sheets, matrix files, etc.) displayed as charts.

Painting a matrix with your sounding data in a single beam survey requires the following preparation:

•In HARDWARE, configure your sounder to update the matrix with its depths.

•Create a Survey type matrix for your project area.

Tip: Before you launch HYPACK SURVEY, enable your Survey matrix and any other project files you may want to display in any of the SURVEY displays. This is the quickest and easiest way to assure the files are loaded and enabled in SURVEY.

In addition to the tools in the toolbar, the Boat Settings and Settings dialogs provide additional controls for the Real Time Cloud display.

1.Launch HYPACK SURVEY and open the Real Time Cloud display. Select OPTIONS-SHARED MEMORY-HYPACK REAL TIME CLOUD.

2.Open the Settings dialog. (Click the Settings icon.)

Note:Most of the options in the Settings dialog are not applicable to single beam surveys and should be deselected.

3.Use the tools to optimize the display and enhance your viewing capabilities.

•In the Settings dialog, select Capture Matrix. (Required.)

•In the Background Charts dialog, configure charts and project files to be displayed as charts. (Optional)

•In the Vessels dialog, configure a 3D shape (*.3OD or *.3DS) for each mobile.

•Lighting settings (Optional) can accentuate bottom contours.

4.Go to work!

• Toolbar

• Painting the Matrix

• Charts and Project Files

• Vessel Display

• Real Time Cloud Colors

• Lighting Settings

Toolbar

Use the tools to optimize the display and enhance your viewing capabilities.

Real Time Cloud Toolbar

Real-time Cloud Display Tools

Icon | Useage
 | Zoom Extents: Draws the display at a zoom scale that displays all enabled data from above.
 | Reset removes all of the currently displayed points.
 | Add Target sets the cursor to mark targets.
 | Set Center Point set a user-selected point as the world center point around which the cloud rotates.
 | Measure Tool: Click at two locations in the REAL TIME CLOUD display. The status bar displays the coordinates of the two locations and the distance between them.
 | Play and Pause start and stop the collection of points in the display, respectively. This only affects the display. Logging continues uninterrupted.
 | Center on Boat focuses the display on the boat rotating around it. Deselected, it leaves the focus on the last position.
 | Change Mobile advances the display to focus on the next vessel in the hardware configuration.
 | [ - ] and [ + ] decrease and increase the size of the points in the cloud respectively.
 | Export to image enables you to save the current display to a BMP, PNG or TIFF image.
 | Set Colors accesses the colors dialog where you can modify the Palette 1 colors for your display.
 | Background Color enables you to choose the color behind your sounding display.
 | Legend toggles a color bar display on and off.

Return to Top

Painting the Matrix

Painting a matrix in Real Time Cloud requires the following conditions:

•An enabled matrix in your project of the correct type according to your project—Survey for single beam surveys, HYSWEEP for multibeam surveys, or dredge for dredging projects.

•Your depth device (sounder for surveys or cutting tool for dredge projects) is configured to paint the matrix.

•The Gap Interpolation option in the Matrix Options dialog is disabled.

1.Open the Real Time Cloud Settings dialog. (Click the Settings icon.)

2.Check the Capture Matrix option. The other display and Channel settings are not applicable. Background Chart settings are optional.

Real Time Cloud Settings Dialog

3.Click [OK].

Return to Top

Charts and Project Files

When you launch HYPACK SURVEY, it automatically loads all project files enabled in your project. From the Real Time Cloud Settings dialog, the Background Charts options enable you to modify the configuration for the Real Time Cloud window.

Real Time Cloud Background Charts Dialog

1.Check Enable Charts. (Required)

2.Check Enable Grid (Optional) to overlay the projection grid on your display.

3.Click [Configure Charts]. A dialog appears with a list of additional files, currently enabled in your project, that you may display.

4.Choose the files to display:

•To add another file, click [Load Chart], select the file in the File Open dialog and click [Open].

•To enable and disable file, select it in either column then use the right or left arrow button to include or omit them from your display.

•To change the chart drawing order, select an enabled chart and use the up or down arrow to move it up or down in the chart order.

5.Set Transparency. Move the slider left to increase transparency; the far right makes the chart opaque.

6.Set Chart Depth. The default value of 0.0 draws the charts at the waterline. A value slightly larger than your project depth draws your charts below your soundings so you can see each distinctly.

7.Click [OK].

Return to Top

Vessel Display

Boat Settings affect the mobile display in the Real Time Cloud window.

To access the dialog, click the Boat Settings icon.

Boat Settings Dialog

•Active Mobile: Select the mobile on which to focus the display.

•Shape: Choose a 3-dimensional shape (*.3OD or *.3DS) for your active mobile.

•Default uses a generic boat shape for which you can adjust the size using the Width, Length and Height options.

•From File: Click [...] and choose a file from the \HYPACK 2017\Shapes folder. The HYPACK install includes several shapes, or you may create your own *.3OD shapes in the 3D SHAPE EDITOR or import *3DS files from a third-party source. In this case, you adjust the display scale using percentages of the original shape size.

•Width and Length affect the horizontal display size of the shape.

•Height affects the vertical display size.

Note:Height, Width and Length are based on the orientation of the 3OD file in the 3D SHAPE EDITOR. If you make a custom boat shape, take care to use the orientation.

Return to Top

Real Time Cloud Colors

In SURVEY, color the soundings in the Real Time Cloud display using depth, which uses the project colors. Use the VIEW-COLOR METHOD menu options to make your selection.

To modify the project colors, click the Set Colors icon and configure the desired palette.

Return to Top

Lighting Settings

The Light Icon is available only for three-dimensional models. It launches the light control where you can enable/disable the light feature, and set the color and position of your lighting for optimal viewing of your model.

If the ‘Enabled’ box is checked, the lighting in the Light Control, as well as in your model window will update according to each setting change.

Light Control

Color: Click on either color block to access a color dialog where you can select your favorite color for each option.

•Diffuse color comes from the light source.

•Ambient sets the color of the light that brightens the entire display. It is similar to the brightness setting in your favorite graphics program.

Position:

•Inclination is the angle of the light relative to the horizon.

•Rotation is the position around the Z-axis of the model.

Together they describe the exact position of the light source relative to the model.

Rather than puzzling out what the angles should be, you can imagine that the shape on the left is your TIN model then use your cursor to click where you would like the light source to be positioned relative to your model.

Return to Top

More Information

• HYPACK Project Files

• Background Charts

• Matrix Files in SURVEY

• Project Colors in HYPACK

• 3D SHAPE EDITOR


Configuring your Area Map Display in SURVEY

The SURVEY or DREDGEPACK program loads the information from the current project. It gets geodetic information and hardware information by reading the project’s initialization files. It loads the most recently used planned survey line file (*.LNW) from the current project, as well as any background files and matrix files that are currently ‘Enabled’.

The HYPACK SURVEY interface also enables you to load additional files and set other display options. If you have more than one area map display, you can configure each display independently.

More Information

• Loading Files to your Area Map Display in SURVEY

• Area Map Layer Manager

• Area Map Menu Options

• Area Map Grid Properties

• Area Map Tracking and Orientation Options

• Area Map Range Options


Loading Files to your Area Map Display in SURVEY

In addition to the files loaded based on the HYPACK display, you can load files through the SURVEY or DREDGEPACK menus.

•Background Files may be loaded using the CHART menu in the SURVEY or DREDGEPACK shell. In addition to background chart files, you can also load several other HYPACK file types (eg. BRD, CHN, MTX, LNW, PLN, TGT...) for display purposes only.

•Planned Lines: A planned line file may be loaded by selecting LINE-SELECT FILE and choosing your file. Since you may only have one line file loaded at a time, SURVEY or DREDGEPACK will unload any active Line File and load the selected file. This will be the one on which the Cross Track Error, Distance from Beginning of Line and other such measurements are based. You may display other planned line files as charts by loading them through the Charts menu.

•Targets: Select targets for display the Targets menu. SURVEY or DREDGEPACK append new targets to the SURVEY or DREDGEPACK target groups respectively.

•Active Matrix files: Load matrix files through the Matrix menu. You may use multiple matrix files loaded at a time to cover large project areas. You may also load matrix files for display purposes only through the Charts menu.

•Corrected or Raw Soundings and/or Events at each event mark. These items are stored in the current Project directory. Each day, separate Sounding and Event files are created. The SURVEY or DREDGEPACK program automatically re-loads each file to provide you with a history of the day’s survey.

Once displayed, you can toggle them on and off through the Layer Manager. Files loaded through the Chart menu will be preceded by “Chart”.


Area Map Layer Manager

In addition to your project files, you may also include chart features, such as a legend, scale, north arrow, and projection and lat./lon. grids, in your area map display.

To set the files displayed and their draw order:

1.Access the Layer Manger by selecting SETTINGS-LAYER MANAGER.

2.Check the files and features you want to display.

3.Set the draw order. You can click and drag the files in the list or select one and reposition it with the Up and Down buttons. Items at the end of the list are drawn first and will be overlaid by any in the list above them that are selected.

4.Click [OK].

A Sample Area Map


Area Map Menu Options

Print Output Menu:

•Save Bitmap saves a bitmap record of the current Area Map window to the project directory.

•Print Map sends a copy of the Area Map to the default Windows® printer.

View Menu:

•Zoom In and Zoom Out decreases and increases the display scale respectively.

•Zoom Window: Select this option and drag a rectangle in the window to define the extent of your desired view. The program redraws the screen to display the defined area optimally.

•Zoom Extents: Draws the display at a zoom scale that displays all enabled data.

•Pan: Select this option, then click in the window and drag the cursor to the position where that point should be displayed. As you drag, the program displays the distance and azimuth of the cursor motion. When you release the mouse button the display updates accordingly.

•Move options (or the arrow keys) can be used to pan the screen.

•Rotate options rotate the area map display around the Z axis.


Area Map Grid Properties

Grid Properties set how the projection and lat/long grids are presented. Select SETTING-GRID PROPERTIES to access the Grid Setup dialog. As in the HYPACK Control Panel, you can choose automatic or fixed spacing and the style of the labels. Labeling is available on all four sides of the map.

Note:Note The Lat/Lon grid is displayed in Lat/Lon of the local datum.

Grid Setup Dialog


Area Map Tracking and Orientation Options

Tracking and Orientation options automatically re-adjust the screen when the boat leaves the display area and to rotate your map to your preferred orientation. These options are set independently for multiple Map displays. A handy feature for the helmsman who may want a closer view and different orientation than anyone else on the vessel.

Vessel track points are limited to one per second.

Tracking and Orientation Dialog

Select SETTINGS-TRACKING/ORIENTATION from the menu and the Orientation and Tracking dialog appears.

Vessel Tracking:

•In Center returns the boat to the center of the screen as it nears the edge. The Edge Dist to Win Size Pct option determines when the centering will occur based on the distance between the vessel and the edge of the area map (expressed in percentage of the Area Map window size with an allowable range of 5-25%).

Note:If you enter a value outside the 5-25 range, the program will reset the value to 5, if you have entered a value less than 5, or 25 if you have entered a value greater than 25.

•Look Ahead moves the boat further back from the center to maximize the amount of space displayed ahead of the vessel.

•Vessel and Target keeps the boat and the current active target in view. The map automatically zooms to fit as you approach.

•All Vessels: The map automatically zooms to fit to keep all mobiles in view.

•No Tracking allows you to move the screen anywhere you want without having it zoom back to keep the boat in view. (Press the Home key to center the vessel on your screen.)

If you set your preferred method of tracking, you can quickly toggle between this setting and “No Tracking” by selecting SETTINGS-TOGGLE TRACKING (Ctrl+T).

Map Orientation:

•Vessel Up aligns the Area Map with the current vessel heading. Define a threshold (in degrees) to determine how much the vessel heading must change to cause the map orientation to adjust. This prevents constant (annoying) updates of the map orientation with only small changes in vessel heading.

•Line Up draws the screen so the current line segment is directly “up” the screen. If you are in the “Line Up” orientation, the boat should be progressing up the screen. If your boat is going “down” the screen, you need to “whip” the line ends (change the start-line and end-line points) by using the Ctrl-W key command or the LINE–SWAP menu item.

•User-Defined Rotation draws the Area Map according to the specified degrees. Zero degrees will orient the map with North up.


Area Map Range Options

Range options on the Area Map toolbar allow you to quickly scale the map display. Just select a range in the SURVEY or DREDGEPACK toolbar. SURVEY or DREDGEPACK automatically scales the selected Map window so the length of shortest side displays the selected real-world distance. Each subsequent window resize adjusts the scale accordingly, but any zoom action will cause the range to revert back to "None".

The default values are 500, 1000, 2000, 3000 and 5000 survey units, but you can customize this list for your needs in each project:

1.Select the Edit option from the Range drop-down list. A dialog appears with a list of the current zoom ranges.

2.Modify the list as needed and click [OK].

Map Zoom Ranges—Default (left), Edited (right)


Measuring Distance and Bearing in the Area Map

You can measure the distance and azimuth between points in the SURVEY or DREDGEPACK area map.

1.Use the drop-down list in the toolbar to set the units in which you want to measure: U.S. feet, meters, kilometers or nautical miles.

2.Click and drag between the two points on the map. The measurements appear in the status bar.

Measuring in SURVEY or DREDGEPACK


Configuring the Profile Window

If your planned line file does not include channel template information, you can load any of the following files in SURVEY or DREDGEPACK to provide that information.

The cross section profile in the Profile window can be drawn from:

•A Channel Plan file (*.PLN) created in CHANNEL DESIGN.

•A 3-dimensional Line file (*.LNW), typically created in ADVANCED CHANNEL DESIGN.

•An Advanced Channel file (*.CHN) from ADVANCED CHANNEL DESIGN or TIN MODEL.

•A filled Matrix file (*.MTX), typically generated the TIN MODEL program. You can use this option for channels too complex to generate in ADVANCED CHANNEL DESIGN or when you need to dig or cap a uniform distance relative to the existing surface.

Note:DREDGEPACK performs more reliably using a matrix in place of an excessively complex channel file (*.CHN) from ADVANCED CHANNEL DESIGN.

ADVANCED CHANNEL DESIGN can also export matrix files representing the channel surface which can be used in SURVEY or DREDGEPACK as the channel template. Use this option for extremely complex channels.

•A combination of a 2-dimensional center line created in the LINE EDITOR and a template (*.TPL) created in CROSS SECTIONS AND VOLUMES or LINE EDITOR. In this case, the line file should have only one line representing the center line of the channel. It can be a multi-segmented line. Create the template file referencing the distances to the center line; negative values are left of the center line and positive values are right. Negative depths will be recognized as points above chart datum. The program will automatically enter the correct depths and widths according to the template information. The resulting channel will also be displayed in the Map Window.

More Information

• Loading Channel Profile Features in Survey

• Channel Profile Settings in Survey


Loading Channel Profile Features in Survey

1.Select CHART-CHANNEL and the Channel/Center Line Setup dialog appears.

The Channel/Center Line Dialog

2.Click the button that corresponds to the information type you want to add and choose the file through the File Select dialog. [Channel] accepts PLN, CHN, MTX or 3-dimensional LNW files.

3.Add any Overdredge or Extensions.

•Overdredge draws a line a user-defined distance outside of the template, parallel to the side slopes and bottom.

•Extensions lengthen the features outward from the top of the bank by this amount.

4.Click [OK].

More Information

• Configuring the Profile Window

• Channel Profile Settings in Survey


Channel Profile Settings in Survey

HYPACK SURVEY displays a profile window for each mobile. Each window is independently configured.

To configure the profile window, click ‘Setup’ in the profile window menu. The Profile Setup dialog will appear.

Profile Setup Dialog

Vertical and Horizontal Label settings control the spacing of the labels and tics on each axis of the graph.

The Top of Graph and Bottom of Graph are used to set the depth values at the top and bottom of the depth portion of the Profile window.

Current survey profile: Select the traces you want to display and choose a color for each one. (Click the color square, then choose your color from the color selection dialog and click [OK].)

Overlay: Displays historical data from the same survey lines.

•Overlay LOG: Click [...] and select the catalog of the edited data from the previous survey.

•High Depth and Low Depth: Choose high or low frequency (or both)

•Display Raw Values: Choose to display raw or corrected data.

•Choose a color for each trace.

To set colors for each trace, click its corresponding color block in the dialog. The standard Colors dialog will appear. Just select the color that you want then click [OK].

The Auto JPG and Auto Print options save an image of the completed profile window when you end each line. Auto JPG saves a digital image, while Auto Print sends the image to your default printer. The display clears and begins again when you go start logging the next line.

Tip: Since survey boats are not usually equipped with printers, set your default printer to a PDF writer, then print them to paper later.

More Information

• Configuring the Profile Window

• Channel Profile Settings in Survey


Configuring the Data Display Window

You can select the items displayed and the order in which they are displayed using the Data Display Configuration dialog.

1.Select CONFIGURE on the menu bar and the Data Display Configuration window appears.

Configuring the Display

2.Select the items to be displayed.

There are two lists: ‘Available’ and ‘Display’. The items in the ‘Display’ list appear in the Data Display.

To move any item from one list to the other, do either of the following:

•Double-click on the item

•Select the item in the list, then click [Add=>] or [<=Remove].

Items appear in the Data Display in the order they have been added to the Display list. To re-configure the entire order, just drag the items up or down the Display list.

If your configuration includes multiple vessels, each vessel has a list of items which is preceded by the vessel name in your Data Display window. For example, if you have main vessel and a towfish named “ROV”, you will find items named “ROV–East”, “ROV–North”, etc.

The Data Display uses black for all items that are not associated with a specific vessel. It uses the outline color designated for each vessel to display vessel-specific information. This is an easy way to distinguish between the different vessels in the Data Display.

Note:Note If you are surveying with only a multibeam system, the depth reading in the Data Display is the nadir depth. (The hysweep.dll must be installed to report this data.)

s


Boat Features in HYPACK SURVEY

You can configure the display options and draft correction for each vessel through a Vessel Setup dialog. In addition, each Map window can display the same vessels identically or differently, each according to its own vessel setup.

Vessel Setup Dialog

1.Open the Vessels Setup dialog by clicking VESSELS on the menu bar.

2.Select the vessel whose features you want to modify and the Map window for which these settings apply at the upper left.

3.Choose your vessel settings and click [Apply]. The Apply button allows you to preview your display before exiting the dialog. If it doesn't suit you, make some adjustments and apply again.

4.When you are satisfied, click [OK].

The configuration for each vessel is saved when you exit the SURVEY or DREDGEPACK program and are restored when you re-start the program.

More Information

• Specifying the Main Vessel in SURVEY

• Boat Shapes and Symbols in SURVEY

• Boat Track Parameters in SURVEY

• Position Filters in SURVEY

• Multiple Position Devices on One Mobile in SURVEY

• Precise Mobile Positioning

• Multiple Tracking Points

• Anchors in SURVEY


Specifying the Main Vessel in SURVEY

For applications with multiple vessels or a vessel and towfish, one vessel must be set as the “Main Vessel”. The main vessel is used for calculating Cross Track Error and Distance To Go information. It is also used for the automatic Start Line and End Line decisions.

To set your selected vessel as the Main Vessel:

1.Open the Vessels Setup dialog by clicking VESSELS on the menu bar.

2.Select the vessel whose features you want to modify at the upper left.

3.Check the ‘Main Vessel’ option. Checking this box will automatically clear this option for any other vessel.

Note:The selected vessel will be the main vessel in all Map windows.

Tip: If you are tracking an ROV or using a towfish, you probably want to make the ROV or towfish the main vessel.


Boat Shapes and Symbols in SURVEY

When the SURVEY or DREDGEPACK program first loads a new vessel , it defaults to a the ECDIS symbol.

In the Vessels Setup dialog (VESSELS menu), you can assign one of the alternate symbols or a boat shape (*.SHP) that reflects the dimensions of your vessel (created in the BOAT SHAPE EDITOR).

There is an important distinction between symbols and boat shapes: In the Map window, boat symbols are positioned at the vessel tracking point. The custom boat shapes are designed and positioned based on the boat origin to provide correct real-world positioning of the vessel in the display.

Assigning a Boat Shape

You can assign a custom Boat Shape, created in the BOAT SHAPE EDITOR (*.SHP) to a vessel through the vessel setup dialog.

1.Access the Vessel Setup dialog, select VESSELS in the menu.

2.Select the vessel whose features you want to modify and the Map window for which these settings apply at the upper left.

3.Check the ‘Display Shape File’ option and click the [...] for the Shape field. It will bring up a listing of the available shapes, defaulting to the \HYPACK 2017\Shapes folder.

4.Select the vessel shape file that represents your vessel and click [Open]. Multiple file types are supported:

•SHP files: The default file type is created in the BOAT SHAPE EDITOR

•DXF files, typically drawn in a CAD program, with the 0,0 point at the boat origin.

•BMP files

To display the boat symbol instead of the shape, clear the ‘Display Shape’ check box.

By default, SURVEY or DREDGEPACK draws each vessel shape using the ECDIS boat symbol. You can select an alternate symbol (circle, fish or square) from the Symbol list or a boat shape for each vessel.

In the following figure, we selected the BOAT.SHP (custom shape found in the \HYPACK 2017\Support\Boat Shapes folder) for our main vessel. For the ROV, we have selected a Fish shape from the SHAPE options.

Main Vessel and Towfish Shapes and Symbols in SURVEY or DREDGEPACK

You may distinguish between different vessels by assigning different symbols, shapes or fill colors, or by displaying vessel labels.

Displaying Origin, Tracking Point and Device Locations

When you display a boat shape, check Display Offsets in the Vessels dialog to display colored pixels at the locations of the vessel origin (green), the tracking point (blue) and the location of each device (red).

Note:If a device is located at the origin or tracking point, the red pixel representing the device will hide the green and blue pixels for the origin and tracking point.

Viewing the Origin and Device Locations on the Vessel Shape in SURVEY or DREDGEPACK.— In this example, the tracking point is at the echosounder location so it is not visible.

Vessel Shape Transparency

A transparent shape allows you to view other map display items (chart information, soundings, etc.) that may otherwise be obscured from view by the boat shape. Transparency affects only the fill color; the perimeter remains opaque.

Sample Transparent Vessel Shape

To change the level of transparency, use the transparency slider.

Vessel Shape Scale

Scale affects the size of the vessel shape displayed. Enter a scale multiplier in the Vessels Setup dialog to adjust the size of your vessel in the Map window.

Tip: If you use real measurements in the BOAT SHAPE EDITOR when you generate your boat shape, a scale of 1 should display your vessel at a proper scale in SURVEY or DREDGEPACK.

Vessel Perimeter Colors

The Vessel Perimeter Color.defines the color of the vessel symbol, the outline of the boat shape that may be assigned to this vessel, as well as the color used to display text information about the boat in the Data Display.

Note:Notes: If you have multiple vessels, you can keep track of different ones by assigning different perimeter colors for each vessel.

If you have multiple map windows, the vessel perimeter color will be the same in all of the map windows because it corresponds to the text in the Data Display.

The Vessel Fill Color is the color used to fill a boat shape. Note the fill color is independent of the symbol color and can be different for the same vessel in different Map windows.

To assign either the perimeter or fill color, click in its color square and select a new color from the color selection dialog.

Labeling your Vessels

It may be useful, when tracking multiple vessels, to place a short label on the vessel.

To label your vessels, check the ‘Display Vessel Label’ option.

Labeling the Boat

Note:Vessel names (determined in HARDWARE) should be kept short, as the SURVEY or DREDGEPACK program needs to capture the entire area surrounding the boat and label. If boats and labels overlap, the display can get confused as it captures pieces of other labels. This can be re-set by zooming the screen in/out one time.

More Information

• Assigning the Tracking Point in HARDWARE

• Using Bitmap Images as Boat Shapes


Boat Track Parameters in SURVEY

The track parameters are the settings that affect the calculation and display of the boat track line in SURVEY or DREDGEPACK.

To access the Vessel Setup dialog, select VESSELS in the MENU.

Vessel Setup Dialog

The track line shows the path that the vessel has traveled. It updates once per second.

To Display the Track Line:

•Check Display Visible Track and set the track length in seconds. A longer time results in a longer displayed track line.

•Set the track color by clicking in the Vessel Track Color square and selecting your color from the Colors dialog.

CMG (Course Made Good) Vector draws a line that projects the future path of the vessel from the tracking point using the current heading and speed. Set the length (in seconds) of the vector. Extend CMG to Edge of Window overrides the CMG Vector setting and draws the vector to the extent of the window.

To Display the CMG Vector:

•Set the damping. Damping is the number of previous position updates used to calculate the ship speed and course made good. The Speed and Course Made Good (CMG) are normally taken from external devices. If there is no external Speed or CMG device, the SURVEY or DREDGEPACK program will calculate these.

•Set the vector length with the CMG Vector setting or the Extend CMG to Screen Limit check box.

•CMG Vector sets the length of the vector line in seconds. An entry of zero draws no vector. An entry of 20 will draw a vector from the tracking point to the position at which the tracking point will be in 20 seconds if the vessel continues at the same heading and speed.

•Extend CMG to Screen Limit overrides the distance entered with the CMG Vector setting. Check this option and the vector will extend to the edge of the Area Map window.

•Check the ‘CMG Vector’ option.

To Draw a Range Circle:

A range circle is a circle drawn at a user-defined distance around the vessel tracking point.

1.Check ‘Show range circle’.

2.Enter the radius, in survey units.

Boat Shape with Track, Vector and Range Circle


Vessel Heading in SURVEY

Typically, HYPACK SURVEY orients your boat shape according to heading data received from your sensor (GPS or compass) configured in HARDWARE with the heading function. If no driver is configured to read heading, HYPACK SURVEY calculates the heading based on course over ground (COG).

The Use COG for Heading option in the Vessel Setup dialog (VESSELS menu) enables you to ignore heading sensor data and use COG until you close HYPACK SURVEY or deselect this option in the Vessel Setup dialog.

Important: Each time you open HYPACK SURVEY, the program automatically resets this option according to your HARDWARE configuration.

To permanently use course over ground and ignore your heading data, close your SURVEY programs, return to HARDWARE and deselect the Heading function.


Position Filters in SURVEY

GPS devices can occasionally generate an inaccurate reading. Position spikes such as this may cause a problem for users who are using automated features such as switching planned line segments, cross-track error, and Start and End Line Gates to control data logging in SURVEY. The position filters in the Vessel Setup dialog provide criteria for SURVEY to recognize a bad position and ignore it for these purposes.

1.Open the Vessels Setup dialog by clicking VESSELS on the menu bar.

2.Select the vessel whose features you want to modify and the Map window for which these settings apply at the upper left.

The Dead Reckoning option tells SURVEY to calculate a position based on current heading, speed and elapsed time since the last position, and use it in place of a rejected position.

Gate Distance is the maximum distance allowed between two consecutive positions when the vessel is stationary. Each time SURVEY receives a position, it calculates the distance it should be from the last recorded position based on the vessel speed and elapsed time since the last position. It compares that calculated distance against the actual distance. If the actual distance exceeds the calculated distance by more than the gate distance, SURVEY records the position to the data file, but ignores it for the purpose of the automated features in SURVEY.

Maximum Consecutive Positions Rejected limits the number of points that can be rejected without accepting one. If SURVEY has rejected this number of consecutive position readings, it will accept the next position regardless of where it is.


Multiple Position Devices on One Mobile in SURVEY

Your hardware configuration may include multiple positioning devices (gps.dll, posmv.dll and novatel.dll) on one mobile. In SURVEY or DREDGEPACK, you can see the current position and quality information for each device and change the source of your navigation information without interrupting your data collection.

Important: In the HARDWARE setup, every multi-positioning driver must log only position.

For each mobile with multiple positioning devices, SURVEY or DREDGEPACK® displays a window with the mobile name in the title bar and a list of all of its positioning devices with their current position and quality information. Use the check box for each device to enable and disable the device. When you select multiple devices, the program calculates the average position. (You can not disable all of the positioning devices.)

SURVEY Calculates the Average Position from Multiple Position Devices


Precise Mobile Positioning

The Ghost shape is a static image of the main vessel’s boat shape shown on the map at a user-defined position and heading. It provides guidance to precisely position the main vessel—a barge or rig (the main vessel) in a pre-defined position.

1.In the BOAT SHAPE EDITOR, create a boat shape to match the shape of the mobile you want to precisely position.

Sample Boat Shape

2.Select VESSELS from the menu in SURVEY or DREDGEPACK. The Vessel Setup dialog appears.

Vessel Setup Dialog

3.Click [Ghost Shape]. The Ghost Shape Settings dialog appears.

Ghost Shape Settings Dialog

4.Configure the Ghost Shape and click [OK]:

•Show Ghost Shape displays the vessel shape designated for your Main Vessel at the defined position and heading.

•Select a Fill Color for the ghost shape. Click the color block to access a color selection dialog.

•Set the Transparency using the slider: Left is fully opaque. Move the slider right to increase the level of transparency.

Sample Ghost Shape


Multiple Tracking Points

A tracking point is the position used by SURVEY or DREDGEPACK to position the mobile in the world. It is used to provide left/right guidance, make automatic “start line” and “end line” decisions, and calculate horizontal distances between the vessel and features in your survey area. It is also the location at which Quickmark targets are marked.

The tracking point specified in HARDWARE is automatically the first tracking point location. In HYPACK SURVEY, you can configure up to 15 additional tracking points and the display of any number of these 16 locations in SURVEY or DREDGEPACK. For each location you choose to display, you also set the symbol, its size and whether it is labeled with its name.

These tracking points are useful for the following purposes:

•You can set any of the 16 locations to use as the tracking point at any time during data collection.

•Averaging the position of any tracking point over a user-specified time.

•When there is an active target, you can configure Target windows to display statistical data about the position of a selected target relative to a selected tracking point.

Note:You can only have one active tracking point per mobile at any one time. You must configure a separate mobile for each position you want to continuously monitor.

Six Tracking Points Displayed in DREDGEPACK

• Configuring Additional Tracking Points

• Displaying Tracking Point-to-Target Relative Positions

• Displaying Tracking Point-to-Tracking Point Relative Positions

• Reporting Average Positioning for Multiple Tracking Points

Configuring Additional Tracking Points

The Tracking Points window has a tab for each mobile in your hardware configuration. It displays all of the tracking points with their positions relative to their mobile origin and in XYZ projection coordinates. It is also where you control which location is currently used by SURVEY or DREDGEPACK as the tracking point, potentially overriding the tracking point set in HARDWARE.

The tracking point specified in HARDWARE is automatically the first offset location and, initially, it is still the tracking point used in SURVEY or DREDGEPACK. (The name defaults to “Origin”, but you can rename it.) Once you enter additional tracking points, you can use any of the defined locations as your tracking point and change from one to another without leaving the SURVEY or DREDGEPACK program.

To configure additional tracking points, do the following:

1.Open the Tracking Points window. Select WINDOW-NEW-TRACKING POINTS.

2.Click [Configure]. A Configure window appears with the tracking point from HARDWARE entered as the first tracking point.

Configure Window

3.Configure your tracking points:

a.Enter the coordinates for your additional tracking points. (You can only modify the coordinates for the origin in HARDWARE.)

Note:The Z-value of tracking points are always in elevation (negative values).

b.For each point, including the original tracking point, assign a name, symbol and size (in survey units) for the symbol.

c.Select which tracking points to display in SURVEY or DREDGEPACK by checking the Plot box for each.

d.Select which tracking points to label with its name in SURVEY or DREDGEPACK by checking the Label box for each.

e.Return to the Tracking Points window. Click [OK]. All of your tracking points display with their current positions.

4.Select which point will be the tracking point by selecting its Main option. SURVEY or DREDGEPACK draws the active tracking point in red.

Important: This option overrides the tracking point set in HARDWARE.

Tracking Points Window

Return to Top

Displaying Tracking Point-to-Target Relative Positions

When there is an active target, you can configure Target windows to display statistical data about the position of a tracking point relative to a selected target. Data options include the target and tracking point names, distance, bearing, the change in X and Y coordinates, and the difference in the target and tracking point depths.

Note:The Data Display window displays the same statistics, relative to the current tracking point only. If you change the main tracking point in the Tracking Points window to see the statistics in the Data Display, it affects the recorded position and the position used for other SURVEY calculations. The Target windows provide the same statistics without affecting the recorded data.

1.In the Tracking Points window (WINDOW-TRACKING POINTS), click [New Target Window].

2.Open the Options dialog. Right-click and select Options.

In the Options dialog, the target names populate the Target list and the configured tracking point names populate the Tracking Point list. If your hardware configuration includes more than one mobile, each tracking point name is preceded by its mobile name.

Options Dialog

3.Select the target and tracking point for which you want SURVEY or DREDGEPACK to display the data.

4.Check which information to include in the display window.

•Target Name

•Tracking Point

•2D Distance: Horizontal distance between the two points.

•3D Distance: between the tracking point and target, accounting for Z-values. If target and tracking point are at the same depth, this equals the 2D Distance.

•Bearing between the two points.

•DX: Difference in easting between the two points.

•DY: Difference in northing between the two points

•DZ: Difference in depth between the two points.

Note:This is always in elevation.

•DStarboard: Difference in easting between the two points accounting for vessel heading.

•DPort: Difference in northing between the two points accounting for vessel heading.

•Background Color: Defaults to match the SURVEY area map. To choose an alternate color, click the color square and select a color from the Color dialog.

5.Click [OK]. The Target window updates according to your selected options.

6.Configure your distance units. (Optional) Right-click in the Target window and select DISTANCE UNITS then your choice from the menu.

Note:You can configure distance units independently for each Target window.

Sample Target Window

Return to Top

Displaying Tracking Point-to-Tracking Point Relative Positions

You can track the slope, angle, and horizontal and vertical distances between any two tracking points by configuring a Tracking Point Slope window in SURVEY or DREDGEPACK.

1.In the Tracking Point window, click [New Slope window].

2.Set which tracking points to compare from the drop-down menus.

Designating the Tracking Points to Compare

3.Click [OK] to generate the corresponding window. The window displays the data for tracking point 2 relative to tracking point 1.

Sample Tracking Point Slope Window

Return to Top

Reporting Average Positioning for Multiple Tracking Points

SURVEY or DREDGEPACK can record and generate a report of positioning statistics for each of your tracking points over a user-defined time period while logging.

For each tracking point, the report shows its average X, Y and Z position and the standard deviation of each. It also includes the date and time span, and some GPS quality information.

1.Click [Options], set your tracking point options and click [OK].

•To automatically display the report when it is generated, check the Show Report option. Otherwise, the program still generates the report and stores it in the project folder, but you have to manually open it.

•To record the data for each tracking point to the RAW data file, check the Log Tracking Points option and enter the frequency the data should be recorded (at least 500 msec.). The program logs the tracking point data to TPP and TPN records.

Options Dialog

2.Begin working.

3.In the Tracking Points window, define your time-span.

a.Click [Start Averaging] to begin tracking the positions of each offset. The button text changes to “Stop Averaging”.

b.Click [Stop Averaging]. The program generates a report of each offset position over the defined time-span and stores it in the project folder.

Sample Tracking Points Report

More Information

• TPN Strings

• TPP Strings


Anchors in SURVEY

In the BOAT SHAPE EDITOR, you can attach up to nine anchors to your boat shape. You first describe the vessel shape, entering the coordinates defining the perimeter of the boat shape relative to the boat origin. You can then define the anchor attachment points.

When you have created a boat shape file with anchors in the BOAT SHAPE EDITOR and loaded it in SURVEY or DREDGEPACK, you can drop and raise its anchors in the map windows. Each vessel configured with anchors has an Anchor Manager, accessed through the Vessel Setup dialog, with the controls to move any anchor from the vessel to any location and raise it back to its original anchor attachment point. You can also set display properties for each anchor: name, color, marker position, radius and floats.

More Information

• Boat Shapes and Symbols in SURVEY

• Anchor Management Preparation

• Marking your Required Anchor Positions

• The Anchor Manager

• Dropping and Raising Anchors

• Transporting Anchors in the Anchor Manager

• Anchor View Options in SURVEY or DREDGEPACK

• Anchor Sweeps

• Anchor Data Displays

• Anchor Event Reports

• BOAT SHAPE EDITOR


Anchor Management Preparation

When you have created a boat shape file with anchors in the BOAT SHAPE EDITOR and loaded it in SURVEY or DREDGEPACK, you can drop and raise its anchors in the map windows. Each vessel configured with anchors has an Anchor Manager, accessed through the Vessel Setup dialog, with the controls to move any anchor from the vessel to any location and raise it back to its original anchor attachment point. You can also set display properties for each anchor: name, color, marker position, radius and floats.

The Anchor Manager is designed to be used with remote viewing options (SURVEY VIEWER or Remote Access) to coordinate efforts of the barge master with the tugboat helmsman as they position the anchors for the barge.

With this method, the tugboats broadcast their positions over a wireless network to the barge using the GPStoNet utility. The barge runs SURVEY or DREDGEPACK and all of the vessels appear in the area map. The helmsmen on the tugboats view the area map from the barge through SURVEY VIEWER or a Web browser while the barge master marks the required anchor positions in the area map and uses the controls in the Anchor Manager to control the anchor displays.

•All vessels are on a wireless network.

•On the Barge:

•One HYPACK® license for the barge master. Neither the SURVEY VIEWER nor the WebIF display requires a license for the tug helmsman to view them.

•Barge boat shape file (*.SHP) which includes named locations for each anchor point.

•Tugboat shapes are optional.

•The hardware configuration includes a mobile for each vessel position with the GPS driver assigned to them.

•The barge computer runs SURVEY and broadcasts the SURVEY windows via SURVEY VIEWER or provides remote access through a Web browser.

•On the tugs:

•Broadcast position and heading to the network. There are multiple ways to do this. The GPStoNET application is a stand-alone program that transmits the data from the GPS to the network. It is included in the \HYPACK 2017\Support folder. The GPS data stream is read over the Wi-Fi network by GPS.dll assigned to the tug mobile in the barge hardware configuration. The GPStoNET application does not require a HYPACK® dongle.

•If the tugs are using SURVEY VIEWER, they must copy the program to their onboard computer. Otherwise, they need only a web browser to use the Remote Access feature.

•If the tugs are using the Remote Access option, they must enter the Local IP Address, Port, User Name and Password provided by the barge master.

More Information

• Boat Shapes and Symbols in SURVEY

• Marking your Required Anchor Positions

• The Anchor Manager

• Dropping and Raising Anchors

• Transporting Anchors in the Anchor Manager

• Anchor View Options in SURVEY or DREDGEPACK

• Anchor Sweeps

• Anchor Data Displays

• Anchor Event Reports

• BOAT SHAPE EDITOR


Marking your Required Anchor Positions

To improve the accuracy of your dropped anchor positioning, use targets or anchor marks.

Targets mark predefined real-world positions; the current vessel position is irrelevant. You may configure SURVEY or DREDGEPACK to display one or more circles of user-defined radius around each target position to show your proximity to the target with the anchor.

Targets with Target Radius Circles

Anchor marks are drawn in SURVEY or DREDGEPACK at user-defined XY positions or at a required distance and bearing from the anchor attachment point on the vessel. Each anchor mark appears in the area map of SURVEY or DREDGEPACK as an inverted anchor with a dashed line between it and the anchor attachment point. You may also include a circle of user-defined radius that is color-coded to match the color of its anchor through the view options for each anchor.

Anchor Mark in SURVEY or DREDGEPACK

Note:To create an anchor mark, the anchor must be in the raised position.

To set the anchor point at a defined position:

1.In the Anchor Manager, select the anchor and click [Edit Anchor].

2.Enter the position coordinates under Marker X and Marker Y.

3.Click [OK].

To set the anchor marker based on distance and bearing from its attachment point:

1.Hold the Ctrl key down, click on the anchor in the area map and drag the cursor toward its required position. The program displays the distance and bearing between the anchor attachment point and the current cursor position.

2.When the cursor is at the required distance and bearing for the anchor drop, release the mouse button. The anchor mark appears at the current cursor position.

More Information

• Marking Targets with your Cursor in HYPACK

• Creating Targets in the TARGET EDITOR

• Target Display Options

• Anchor Management Preparation

• Marking your Required Anchor Positions

• The Anchor Manager

• Dropping and Raising Anchors

• Transporting Anchors in the Anchor Manager

• Anchor View Options in SURVEY or DREDGEPACK

• Anchor Data Displays

• Anchor Event Reports


The Anchor Manager

When you have created a boat shape file with anchors in the BOAT SHAPE EDITOR and loaded it in SURVEY or DREDGEPACK, you can drop and raise its anchors in the map windows. Each vessel configured with anchors has an Anchor Manager, accessed through the Vessel Setup dialog, with the controls to move any anchor from the vessel to any location and raise it back to its original anchor attachment point. You can also set display properties for each anchor: name, color, marker position, radius and floats.

The Anchor Manager is designed to be used with remote viewing options (SURVEY VIEWER or Remote Access) to coordinate efforts of the barge master with the tugboat helmsman as they position the anchors for the barge.

With this method, the tugboats broadcast their positions over a wireless network to the barge using the GPStoNet utility. The barge runs SURVEY or DREDGEPACK and all of the vessels appear in the area map. The helmsmen on the tugboats view the area map from the barge through SURVEY VIEWER or a Web browser while the barge master marks the required anchor positions in the area map and uses the controls in the Anchor Manager to control the anchor displays.

To access the Anchor Manager, do the following:

1.Open the Vessels Setup dialog. Click VESSELS on the menu bar.

2.In the vessel list, select the vessel whose anchors you want to control.

3.Configure the program to display the boat shape with anchors in the area map. Check the Display Shape option then click the corresponding [...] and browse for your boat shape.

4.Click [Anchor Manager]. The Anchor Manager for the selected vessel appears. The title bar includes the vessel name in case you are working with anchors on more than one vessel.

Anchor Manager

Use the controls in the Anchor Manager to update the anchor location in the maps based on your observations and communication with the crew on the tugboats. The Status column updates with the current placement of each anchor:

•Racked: At the anchor attachment point. If the vessel moves, the anchor position updates accordingly.

•On VesselName: At the vessel origin. If the tugboat moves, the anchor position updates accordingly.

•On Bottom: Directly below the current anchor position.

•At Target: Drops the anchor at the currently selected target location.

When you raise an anchor, it always returns to its attachment point on the vessel.

You can customize each anchor display individually by editing its view options.

More Information

• Monitoring Multiple Vessels with Wireless Connections

• Broadcasting SURVEY or DREDGEPACK Windows in Survey Viewer

• Monitoring SURVEY or DREDGEPACK Over the Network with Remote Access

• Anchors in SURVEY

• Anchor Management Preparation

• Marking your Required Anchor Positions

• Dropping and Raising Anchors

• Transporting Anchors in the Anchor Manager

• Anchor View Options in SURVEY or DREDGEPACK

• Anchor Sweeps

• Anchor Data Displays

• Anchor Event Reports


Dropping and Raising Anchors

In the Anchor Manager, you can place an anchor at any location:

•Directly below it’s current position

•At a user-defined distance and bearing from its current position

•At a target location

•On a tugboat

Dropping Anchors at the Current Anchor Position

To drop an anchor at the current anchor position:

1. In the Anchor Manager, select the anchor you want to drop.

2.Click [Drop]. The anchor display shows the anchor right-side up on the screen at the current location and its status in the Anchor Manager becomes “On Bottom”.

Dropping Anchors at an Anchor Mark

To drop the anchor on an anchor mark:

1.Right-click the anchor mark in the area map

2.Select the Drop at Marker option. The anchor display shows the anchor right-side up on the screen at the current location and its status in the Anchor Manager becomes “On Bottom”.

Anchor Dropped at Anchor Mark

Dropping Anchors at a Target Location

To drop an anchor at a target location:

1.Select the target in the Targets drop-down list.

2.Click [Drop at Target] in the Anchor Manager. The anchor display shows the anchor right-side up on the screen at the target location and its status in the Anchor Manager becomes “At Target”.

Anchor Dropped at the Target Location

Raising Anchors

When you raise an anchor, it always returns to its attachment point on the vessel.

To raise the anchor:

1.Select the anchor you want to raise in the Anchor Manager

2.Click [Raise]. The anchor display shows the anchor upside down on the screen at the attachment point position and its status in the Anchor Manager becomes “Racked”.

Alternatively, you can right-click on the anchor in the area map and select Raise.

More Information

• Anchors in SURVEY

• Anchor Management Preparation

• Marking your Required Anchor Positions

• The Anchor Manager

• Dropping and Raising Anchors

• Transporting Anchors in the Anchor Manager

• Anchor View Options in SURVEY or DREDGEPACK

• Anchor Sweeps

• Anchor Data Displays

• Anchor Event Reports


Transporting Anchors in the Anchor Manager

If you need to transport the anchor to another location, you would first place it on a tugboat. Then, when the tugboat reaches the required position with the anchor, drop the anchor. Use the controls in the Anchor Manager to update the anchor location in SURVEY or DREDGEPACK based on your observations and communication with the crews on the tugboats.

You may choose to use targets or anchor markers to guide the tugboat into position. In either case, SURVEY or DREDGEPACK can display a circle of user-defined diameter around the position to show when your tugboat is close.

1.Set an anchor mark where you want to drop your anchor. (Optional)

2.Place the anchor on the tugboat using the Anchor Manager. When the anchor is on the tugboat, it moves with the tugboat.

a.Select the anchor you want to transport.

b.Select the tugboat on which you want to place the anchor from the Tugboats drop-down list.

c.Click [Place on Tug]. The selected anchor moves to the selected tugboat in your area map and its status in the Anchor Manager becomes “On Tug”.

Anchor Placed on the Tugboat

3.Navigate your tugboat to the required position and drop the anchor.

•To drop the anchor at its current location, select the anchor in the Anchor Manager and click [Drop].

•To drop the anchor on a target, select the anchor in the Anchor Manager, and the target name from the Targets list, then click [Drop at Target].

Anchor Dropped at the Target Location

•To drop the anchor on an anchor mark, right-click the anchor mark in the area map and select Drop at Marker.

Anchor Dropped at Anchor Mark

More Information

• Anchors in SURVEY

• Anchor Management Preparation

• Marking your Required Anchor Positions

• The Anchor Manager

• Dropping and Raising Anchors

• Anchor View Options in SURVEY or DREDGEPACK

• Anchor Data Displays

• Anchor Sweeps

• Anchor Event Reports

• Marking Targets with your Cursor in HYPACK

• Creating Targets in the TARGET EDITOR

• Target Display Options


Anchor View Options in SURVEY or DREDGEPACK

You can customize each anchor display individually by editing its view options:

1.Open the Anchor Parameters dialog. Select an anchor in the Anchor Manager and click [Edit Anchor].

Anchor Parameters Dialog

2.Set the view options for the selected anchor.

•Radius draws a circle of the defined size in survey units around the marker for that anchor. The radius shows only when the anchor is raised.

Anchor Marker with 35 foot Radius

•Floats: Enter the distances of the floats from the anchor in a comma delimited list. The area map shows small circles at those distances measured from the anchor toward the anchor attachment point. The floats show only when the anchor is dropped.

Two Floats Between the Anchor and its Attachment Point

•Marker X and Y show the position of anchor markers the barge master can set where anchors should be placed. You can also set these coordinates using the cursor in the area map.

•Color: Select a color to color-code the anchor label and the anchor marker radius in the map window, as well as the data for that anchor in the Anchor Data Display. Click the color block to access a color selection dialog.

More Information

• Anchors in SURVEY

• Anchor Management Preparation

• Marking your Required Anchor Positions

• The Anchor Manager

• Dropping and Raising Anchors

• Transporting Anchors in the Anchor Manager

• Anchor View Options in SURVEY or DREDGEPACK

• Anchor Sweeps

• Anchor Data Displays

• Anchor Event Reports


Anchor Sweeps

An Anchor Sweep is the area defined by the anchor drop position, the anchor raise position, and the positions of the anchor attachment point over the time the anchor is deployed on the bottom. SURVEY or DREDGEPACK stores all anchor sweep areas to an anchor sweep chart (Anchors.DG2) in the project folder. You can display the anchor sweep chart in the Map window and other programs that support DG2 charts.

The anchor sweep feature has some prerequisites:

•In the BOAT SHAPE EDITOR, create a boat shape that includes one or more named anchor connection points.

•In SURVEY or DREDGEPACK, use the Vessel Setup dialog to load and display the boat shape with the anchor connection points.

To draw anchor sweeps in the Map window in SURVEY or DREDGEPACK, check the Anchor Sweeps option in the Layer Manager (OPTIONS LAYER MANAGER).

Sample Anchor Sweep in Action

Anchor Sweep Result—Anchors.DG2

More Information

• Anchors in SURVEY

• Anchor Management Preparation

• Marking your Required Anchor Positions

• The Anchor Manager

• Dropping and Raising Anchors

• Transporting Anchors in the Anchor Manager

• Anchor View Options in SURVEY or DREDGEPACK

• Anchor Data Displays

• Anchor Event Reports

• Creating a Boat Shape

• Boat Shapes and Symbols in SURVEY


Anchor Data Displays

Anchors have their own data displays, one display for each vessel, to show the distance and bearing to dropped anchors and anchor markers.

Access the Anchor Data Display through the Vessels Setup Dialog.

The title bar includes the vessel name in case you are working with anchors on more than one vessel. The data for each anchor is color-coded according to the color set in the anchor view options.

Sample Anchor Data Display

When an anchor is raised, the window displays its distance to mark and Bearing to Mark. When the anchor is deployed, the window displays the Distance and Bearing values. In each case, the remaining values are displayed as not applicable (N/A).

• Opening the Anchor Data Display

• Configuring the Anchor Data Display

Opening the Anchor Data Display

Access the Anchor Data Display through the Vessels Setup Dialog.

1.Open the Vessels Setup dialog by clicking VESSELS on the menu bar.

2.In the vessel list, select the vessel whose anchors you want to control.

3.Configure the program to display the boat shape with anchors in the area map. Check the Display Shape option then click the corresponding [...] and browse for your boat shape.

4.Click [Anchor Display]. The Anchor Data Display for the selected vessel appears. The title bar includes the vessel name in case you are working with anchors on more than one vessel.

Sample Anchor Data Display

Return to Top

Configuring the Anchor Data Display

You can select the items displayed and the order in which they are displayed using the Anchor Data Display Configuration dialog:

1.Select CONFIGURE on the menu bar and the Anchor Display Setup window appears.

Configuring the Display

2.Select the items to be displayed.

There are two lists: ‘Available’ and ‘Display’. The items in the ‘Display’ list appear in the Data Display.

To move any item from one list to the other, do either of the following:

•Double-click on the item

•Select the item in the list, then click [Add=>] or [<=Remove].

Items appear in the Data Display in the order they have been added to the Display list. To re-configure the entire order, just drag the items up or down the Display list.

The anchor name precedes the label for each of its items in the display and their values are color-coded according to the anchor view options.

Return to Top

More Information

• Anchors in SURVEY

• Anchor Management Preparation

• Marking your Required Anchor Positions

• The Anchor Manager

• Dropping and Raising Anchors

• Transporting Anchors in the Anchor Manager

• Anchor View Options in SURVEY or DREDGEPACK

• Anchor Sweeps

• Anchor Event Reports


Anchor Event Reports

HYPACK SURVEY records anchor activity in a daily Anchor Events Report. Each time you drop or raise an anchor at the anchor point, or on a target or anchor mark, the program appends a record to the report for the current day.

Anchor Events Reports are named “AnchorEvents_mm_dd_yyy.txt” and stored in your project folder.

Sample Anchor Events Report

05018DF8 09:43:28 500083.84 3000174.85 500083.84 3000174.85

05018DF8 09:43:31 500083.84 3000174.85

05018DF8 09:43:47 500083.84 3000174.85 499952.37 3000192.20

In this example, the anchor at 500083.84, 3000174.85 was dropped and raised at the anchor point position. It was then dropped at either an anchor mark or target at 499952.37, 3000192.20.

More Information

• Anchors in SURVEY

• Anchor Management Preparation

• Marking your Required Anchor Positions

• The Anchor Manager

• Dropping and Raising Anchors

• Transporting Anchors in the Anchor Manager

• Anchor View Options in SURVEY or DREDGEPACK

• Anchor Sweeps


Chart (Background) Files in SURVEY

The SURVEY or DREDGEPACK program loads the information from the current project. It gets geodetic information and hardware information by reading the project’s initialization files. It will load the most recently used planned survey line file (*.LNW) from the current project, as well as any background files and matrix files that are currently “Enabled”.

In addition to background chart files, you can also load several other HYPACK file types in SURVEY or DREDGEPACK (eg. BRD, CHN, MTX, LNW, PLN, TGT...) for display purposes only.

SURVEY or DREDGEPACK with a DIG Chart, Target File (*.TGT) as Background File (Red Buoy) and an Active Target File (13:26:17).

More Information

• Loading Charts during SURVEY

• Unloading Charts During SURVEY

• Displaying Hazard Contours in SURVEY


Loading Charts during SURVEY

1.Select CHART–LOAD. A file selection window will appear.

2.Select the desired file type and the name of the data file you wish to add to the SURVEY or DREDGEPACK Area Map.

Note:Vector Product Format charts may also be loaded from SURVEY or DREDGEPACK through the Chart menu. The process is the same as loading them to HYPACK.

Chart Geodesy:

For Chart data to be correctly drawn, the geodetic parameters of HYPACK must match the geodetic parameters of the background file (BSB, DIG, DGN, DGW, DXF, TIF, ARCS). For data stored in WGS-84 (C-Map, S57, VPF), the SURVEY or DREDGEPACK program will transform the data files to the local datum, using the datum transformation parameters in the GEODETIC PARAMETERS program before converting them to your projection. This allows you to use these file formats on any projection.

More Information

• Unloading Charts During SURVEY

• Setting Chart Display Order

• Setting Chart Transparency


Unloading Charts During SURVEY

1.Select CHART–UNLOAD. The window shown in the following figure will appear.

Unload Chart File Window

2.Click on the file you wish to “Unload” and click [Remove]. The screen will now redraw without the file you have unloaded.

More Information

• Loading Charts during SURVEY

• Setting Chart Display Order

• Setting Chart Transparency


Displaying Hazard Contours in SURVEY

A Hazard Contour (also known as a safety contour) is a user-defined contour level that warns of depths unsafe for navigation.

When you display contours exported from the TIN MODEL program, the hazard contour can be set to draw in red in the SURVEY or DREDGEPACK Map window. More than one DXF file can be affected by the Track Hazard Contour setting.

During SURVEY, the program monitors changes in your real-time tide and draft corrections, and shifts the red contour up or down accordingly.

Note:The Hazard Contour setting affects only DXF contours constructed in the TIN MODEL program.

1.Load one or more DXF files to SURVEY or DREDGEPACK.

2.Select TIDE-CONTOUR. The Track Hazard Contour dialog appears.

Track Hazard Contour Dialog

3.Enter the hazard contour level when the tide is at zero for your project area.

4.Choose which contours you want to display.

•Hazard contour shows in red

•Shallow displays the hazard contour in red and all shoaler contours in gray.

•All: Shows all contours from your files with the hazard contour in red.

•None: Shows all contours from your files, but the hazard contour is not drawn in red.

5.Preview your results (Optional) by clicking [Apply].

Hazard Contour - Shallow (left), Hazard (right)

6.When you are satisfied with the results, click [OK] to return to SURVEY or DREDGEPACK.


Targets in SURVEY

Targets mark points of interest in your project area. To that end, each target must at least include a name and the XY position, but it can also include a lot of other metadata according to the project and the technology used and the program in which you mark your target.

You can create targets in the HYPACK interface or in the TARGET EDITOR then display them in the SURVEY or DREDGEPACK program. This enables you to navigate to predetermined locations or away from areas dangerous for navigation. You can also mark targets at points of interest in SURVEY or DREDGEPACK and in post-processing and save them to the project target list.

In SURVEY or DREDGEPACK , targets can be used to mark items such as navigation aids (buoys, beacons, etc.), locations where you take water quality or bottom samples, or the “Waters Edge” location when surveying on rivers.

When you mark a target, SURVEY or DREDGEPACK draws it to the area map and stores it to the SURVEY target group.

Targets in an Area Map

More Information

• Marking Targets in SURVEY

• Editing Target Properties in HYPACK SURVEY

• Target Properties in SURVEY

• Deleting Targets in SURVEY

• Choosing Targets to Display in SURVEY

• Removing Targets from the Display in SURVEY

• Setting the Active Target in SURVEY

• Target Display Defaults in SURVEY

• Water's Edge Targets

• Connecting Targets with Survey Lines in SURVEY

• Connecting Targets to the Boat Position in SURVEY


Marking Targets in SURVEY

When you mark a target in SURVEY or DREDGEPACK, the name defaults to the computer clock time at which a target was marked, except when you create it through the Target Select dialog.

You can use any of the following methods:

•Select TARGETS–QUICK MARK (or F5 key), marks a target at the current tracking point position.

•If you have multiple mobiles:

•Alt + F5 marks a target at the tracking point of the second mobile.

•Shift+F5 marks a target at the tracking point of the third mobile.

•Double-click in the Area Map window, a target is set at that position.

•Select TARGET-SELECT and click [New] in the dialog. The Target Properties dialog appears for you to enter the necessary data.

Each time you create a target in SURVEY or DREDGEPACK, it is saved to the Survey target group.

More Information

• Targets in SURVEY

• Editing Target Properties in HYPACK SURVEY

• Target Properties in SURVEY

• Deleting Targets in SURVEY

• Choosing Targets to Display in SURVEY

• Removing Targets from the Display in SURVEY

• Setting the Active Target in SURVEY

• Target Display Defaults in SURVEY

• Water's Edge Targets

• Connecting Targets with Survey Lines in SURVEY

• Connecting Targets to the Boat Position in SURVEY


Editing Target Properties in HYPACK SURVEY

You may edit the target properties just by typing in the new information in the Target Properties dialog.

1.Access the Target Properties dialog.

•Right-click on a target and select Properties.

•Select TARGET–PROPERTIES from the menu.

•Select a target and press F6.

•Through the Select Target dialog:

i.Select TARGETS-SELECT. The Select Target dialog displays a list of project targets.

ii.Click on the target you want to delete. (It is highlighted.)

iii.Click [Modify].

2.Enter your new target properties and click [OK].

More Information

• Targets in SURVEY

• Marking Targets in SURVEY

• Target Properties in SURVEY

• Deleting Targets in SURVEY

• Choosing Targets to Display in SURVEY

• Removing Targets from the Display in SURVEY

• Setting the Active Target in SURVEY

• Target Display Defaults in SURVEY

• Water's Edge Targets

• Connecting Targets with Survey Lines in SURVEY

• Connecting Targets to the Boat Position in SURVEY


Target Properties in SURVEY

The Target Properties Dialog

The Name of a Target defaults to the computer clock time a target was marked.

Display the Boat Position and Target Position in either X-Y or Lat-Lon. in the format specified in the HYPACK Control Panel. The Target Position is the actual location of the target, offsetting it by the Distance and Bearing entered from the tracking point. This is changed with the Display Position in Lat/Lon check box.

The Boat Position is the location of the tracking point when the target is marked using the Quickmark function. If the target was created with the Targets cursor in the HYPACK Screen Controls, it will be the same as the Target Position.

Distance and Bearing settings enable you to display a target offset from the marked location. Enter the Distance and Bearing then click [Recalc]. SURVEY displays the target in the new position with a line connecting it to the original position to show the offset.

The Depth represents the corrected depth at the time the target was marked.

The Code and Notes fields are available to you for whatever purpose you desire.

Orientation (Angle) The angle of the alarm flag from the target when displaying it in SURVEY or DREDGEPACK.

Alarm: Display method in SURVEY or DREDGEPACK. To display the alarm flag, enter 1. For circle display enter 0.

Display Options:

•Number of Circles: Circles drawn around each plain target to make them more visible on your map displays.

•Radius Increment: Distance, in survey units, between the target and target circles around each target.

•Transparency: Adjusts the circle display to be opaque or allow viewing charts and data drawn beneath.

Time, Date, Event, and QUA data are saved for each target as it is created.

In the following figure, Buoy 23 Red is the current selected target, noted by the triangle in the center. Buoy 20 Green has been offset 100’ at a bearing of 045 degrees. A vector is drawn from the boat origin to the Target Position and the Target Circles are centered about the Target Position.

Displaying an Offset Target (Buoy 20 Green)

More Information

• Targets in SURVEY

• Marking Targets in SURVEY

• Editing Target Properties in HYPACK SURVEY

• Deleting Targets in SURVEY

• Choosing Targets to Display in SURVEY

• Removing Targets from the Display in SURVEY

• Setting the Active Target in SURVEY

• Target Display Defaults in SURVEY

• Water's Edge Targets

• Connecting Targets with Survey Lines in SURVEY

• Connecting Targets to the Boat Position in SURVEY

• Translating Targets in the TARGET EDITOR


Deleting Targets in SURVEY

Deleting targets permanently removes them from your project.

1.Select TARGETS-SELECT. The Select Target dialog displays a list of project targets.

2.Click on the target you want to delete. (It is highlighted.)

3.Click [Delete] and confirm the deletion.

More Information

• Targets in SURVEY

• Marking Targets in SURVEY

• Editing Target Properties in HYPACK SURVEY

• Target Properties in SURVEY

• Choosing Targets to Display in SURVEY

• Removing Targets from the Display in SURVEY

• Setting the Active Target in SURVEY

• Target Display Defaults in SURVEY

• Water's Edge Targets

• Connecting Targets with Survey Lines in SURVEY

• Connecting Targets to the Boat Position in SURVEY


Choosing Targets to Display in SURVEY

SURVEY or DREDGEPACK automatically displays the targets that were are enabled in HYPACK when you launch the program. You can modify the target display through the Target Select dialog:

1.Select TARGETS-SELECT. The Select Target dialog displays a list of project targets.

Select Target Dialog

2.Check the checkbox for each target you want to have displayed in the Area Map.

•Check the checkbox for each target.

•Select one or more targets in the list and click [Select].

Note:[Select] toggles the check status of each selected target.

3.Click [Close] to close the dialog and draw the checked targets in the Area Map window.

More Information

• Targets in SURVEY

• Marking Targets in SURVEY

• Editing Target Properties in HYPACK SURVEY

• Target Properties in SURVEY

• Deleting Targets in SURVEY

• Removing Targets from the Display in SURVEY

• Setting the Active Target in SURVEY

• Target Display Defaults in SURVEY

• Water's Edge Targets

• Connecting Targets with Survey Lines in SURVEY

• Connecting Targets to the Boat Position in SURVEY


Removing Targets from the Display in SURVEY

You can configure which targets display in the Area Map by selecting them in the Select Target dialog. Additionally, you can remove one or all targets from the Area Map. When you remove targets from the display, the targets remain in the target list, but they become deselected and can be restored to the display in the Select Target dialog.

•To remove any target from the Area Map display, right-click on the target and select Erase.

•To remove the currently active target (denoted by a red triangle), select TARGETS-ERASE CURRENT.

•To remove all of the targets from the Area Map display, select TARGETS-ERASE ALL.

More Information

• Targets in SURVEY

• Marking Targets in SURVEY

• Editing Target Properties in HYPACK SURVEY

• Target Properties in SURVEY

• Deleting Targets in SURVEY

• Choosing Targets to Display in SURVEY

• Setting the Active Target in SURVEY

• Target Display Defaults in SURVEY

• Water's Edge Targets

• Connecting Targets with Survey Lines in SURVEY

• Connecting Targets to the Boat Position in SURVEY


Setting the Active Target in SURVEY

The currently active target is drawn with a triangle at its center while other targets are drawn with a “plus” sign at their center. SURVEY or DREDGEPACK can calculate and display several statistics about the active target relative to the main vessel in the Data Display window.

To set the active target, use either of the following methods:

•Use the right-click menu: Right-click on the desired target and select the Select option.

Right-clicking on a Target Displays the Target Selection Menu.

•Use the Select Target dialog:

a.Select TARGETS-SELECT. The Select Target dialog displays a list of project targets.

b.Select the desired target in the list and click [Make Current] then [Close].

More Information

• Targets in SURVEY

• Marking Targets in SURVEY

• Editing Target Properties in HYPACK SURVEY

• Target Properties in SURVEY

• Deleting Targets in SURVEY

• Choosing Targets to Display in SURVEY

• Removing Targets from the Display in SURVEY

• Setting the Active Target in SURVEY

• Water's Edge Targets

• Connecting Targets with Survey Lines in SURVEY

• Connecting Targets to the Boat Position in SURVEY


Target Display Defaults in SURVEY

To set the Target Display defaults:

1.Select TARGETS-TARGET PARAMETERS. The Default Target Parameters dialog appears.

2.Set your options and click [OK].

Default Target Parameters

Number of Circles When the Alarm option is unselected, this option draws concentric circles around the target.

Radius Increment: Distance, in survey units, between the target and target circles around each target.

Making Targets does not produce Events prevents events at target locations. Clear this option to produce events when targets are created.

Display Label toggles the display of the target name when you are drawing circle targets. Too many target labels may clutter your display.

Alarm includes a flag with the target name. Its background changes color according to the Alarm Distances settings. In SURVEY or DREDGEPACK, alarm flags also display distance and bearing from the tracking point to the target. The text box changes color, according to the alarm distances set in the Target tab of the HYPACK Control Panel. The default colors are green (low), yellow (medium caution) and red (danger), but you can set your own colors using the SCHEME BUILDER program.

Note:This Alarm setting overrides the setting in the Control Panel, Targets tab.

More Information

• Targets in SURVEY

• Marking Targets in SURVEY

• Editing Target Properties in HYPACK SURVEY

• Target Properties in SURVEY

• Deleting Targets in SURVEY

• Choosing Targets to Display in SURVEY

• Removing Targets from the Display in SURVEY

• Setting the Active Target in SURVEY

• Water's Edge Targets

• Connecting Targets with Survey Lines in SURVEY

• Connecting Targets to the Boat Position in SURVEY


Water's Edge Targets

Water's Edge Target Parameters

The Water's Edge option creates a special kind of target used to mark the river bank when running lines perpendicular across the river.

Note:It is not accurate for use in volumes calculations. A straight line will be drawn from the last logged point to the Water's Edge target.

1.Select TARGETS-WATER'S EDGE (F7) and the Water's Edge dialog appears.

2.Mark Start of Line.

a.When you are Off-Line, approach the river bank at the end you want to start in the opposite direction of planned travel.

b.When the boat can approach no closer, press the F7 key (or use the menu). A Water's Edge Target Parameter menu will appear.

c.Enter the distance from the tracking point to the river bank. The program will calculate the X-Y point of the river bank and store this location in memory with a depth of “0.0” and bearing opposite your planned line. When you maneuver the boat and go “On Line”, the HYPACK SURVEY program writes this Water's Edge record as the first depth in the data file.

3.Maneuver the boat and go “On Line”, the HYPACK SURVEY program writes this Water's Edge record as the first depth in the data file.

4.Mark End of Line.

a.When you are On-Line and approaching the far bank, proceed as close to the bank as possible and press the F7 key (or use the menu).

b.Enter the Distance from the tracking point position to the riverbank. The program calculates the X-Y of the river bank and saves this as the last record in your data file with a depth of “0.0”. It then closes the data file and selects the next data file in the queue.

More Information

• Targets in SURVEY

• Marking Targets in SURVEY

• Editing Target Properties in HYPACK SURVEY

• Target Properties in SURVEY

• Deleting Targets in SURVEY

• Choosing Targets to Display in SURVEY

• Removing Targets from the Display in SURVEY

• Setting the Active Target in SURVEY

• Target Display Defaults in SURVEY

• Connecting Targets with Survey Lines in SURVEY

• Connecting Targets to the Boat Position in SURVEY


Connecting Targets with Survey Lines in SURVEY

You can create a single-segmented survey line wherever you need one--right in HYPACK SURVEY.

1.Create two targets, one at each end of the line you need.

2.Select the Target to which you want to draw the line.

3.Right click on the Target that you want to draw the line from and select "Line to Current". A survey line will be drawn between the indicated Targets and added to the currently selected Planned Line File.

Drawing a Survey Line Between Two Targets

More Information

• Targets in SURVEY

• Marking Targets in SURVEY

• Editing Target Properties in HYPACK SURVEY

• Target Properties in SURVEY

• Deleting Targets in SURVEY

• Choosing Targets to Display in SURVEY

• Removing Targets from the Display in SURVEY

• Setting the Active Target in SURVEY

• Target Display Defaults in SURVEY

• Water's Edge Targets

• Connecting Targets to the Boat Position in SURVEY


Connecting Targets to the Boat Position in SURVEY

If you have a planned line file enabled, you can create a survey line from your tracking point position to a target. Just right-click on the target and select ‘Line to Vessel’. A survey line will be drawn between the indicated target and your vessel, and added to the currently selected planned line file.

Note:This option is disabled if there is no planned line file enabled.

Drawing a Survey Line Between a Target and the Boat Position

More Information

• Targets in SURVEY

• Marking Targets in SURVEY

• Editing Target Properties in HYPACK SURVEY

• Target Properties in SURVEY

• Deleting Targets in SURVEY

• Choosing Targets to Display in SURVEY

• Removing Targets from the Display in SURVEY

• Setting the Active Target in SURVEY

• Target Display Defaults in SURVEY

• Water's Edge Targets

• Connecting Targets with Survey Lines in SURVEY


Matrix Files in SURVEY

Matrix files (*MTX) are gridded rectangular areas. You can fill the cells with depth information from your echosounder or dredge cutting tool in real time during data collection, or in post-processing.

Empty matrix files are typically created in the MATRIX EDITOR and saved to the project folder.

Matrix File in SURVEY

Matrices can be filled in the survey programs to provide a coverage diagram. This is particularly useful for multibeam and multiple transducer surveys.

Note:Be aware that there are limits to the maximum size of a matrix that can be successfully used in SURVEY or DREDGEPACK. The maximum size depends on the amount of RAM, free hard drive space and processing power on your computer. Users with very large project areas should consider creating multiple matrices.

You can save matrix files at even time intervals by setting a Matrix Backup Time in the navigation parameters. The Matrix Backup file is a binary record of the matrix of the same root name, minus the last letter, appended with the time of backup (hh_mm). It is stored in the project Archive folder.

The color bar in the map window gives you a general idea of the depths displayed in your matrix, but you can also view the exact depth in any matrix cell in the right-click display.

Right-click Display from a Matrix

More Information

• Loading and Unloading Matrix Files in SURVEY

• Multiple Matrix Files

• Auto-Matrix for Multibeam Surveys

• Saving Soundings to a User-defined Matrix in SURVEY

• Editing Matrix Depths in SURVEY

• Matrix Display Options in SURVEY

• Matrix Color Settings in SURVEY

• Saving Matrix Files in SURVEY

• Creating a Matrix File with the Matrix Editor


Loading and Unloading Matrix Files in SURVEY

If matrix files (*.MTX) have been enabled in the HYPACK project screen, they are automatically loaded into the SURVEY program. You can also “Load” and “Unload” matrix files in real time.

Note:You should be aware that there are limits as to the maximum size of a matrix that can be used successfully. The maximum size depends on the amount of RAM, free hard drive space and processing power on your computer. If you are working in a very large project area, consider creating multiple matrices.

Loading a Matrix File

Select MATRIX-LOAD and select the Matrix File from the project selection dialog.

If you have loaded a "filled" matrix and wish to remove the sounding data, select MATRIX-CLEAR CURRENT DATA.You can choose to save the data to a backup matrix file in the project's backup directory or just discard it.

Note:If you clear the data, you can not later use the MATRIX-SHOW ORIGINAL DATA option to compare previous data from the survey area with current ones.

Unloading a Matrix File

Select MATRIX-UNLOAD.

More Information

• Multiple Matrix Files

• Auto-Matrix for Multibeam Surveys


Multiple Matrix Files

In certain projects, it may be advantageous to have a series of smaller matrix files, rather than one huge matrix file. It is more efficient for the program to concentrate on one, small matrix file at a time and automatically change from one to the other according to the vessel position rather than to manage and re-draw one matrix that is hundreds of megabytes in size.

The SURVEY or DREDGEPACK program loads multiple matrix files. It displays and updates any matrix while the main vessel falls within its boundary. As the vessel moves through the project area, the program continues to load and unload the individual matrix files, depending on its location.

Note that only one matrix can display data at a time while you are logging data. All matrices may be displayed simultaneously (complete with sounding data) only when you are not logging data by selecting MATRIX-DISPLAY ALL MATRICES.

Tip: For Multibeam surveys, Auto-matrix is a method by which matrix data is logged to a binary data file and stored in the project \Automtx folder. When you close the SURVEY program, HYPACK® generates a matrix file according to user-defined options, and the right dimensions to fit your survey data. This eliminates the need to “size” a matrix over your survey area in the MATRIX EDITOR.

More Information

• Auto-Matrix for Multibeam Surveys


Auto-Matrix for Multibeam Surveys

For multibeam surveys only, Auto-matrix is a method by which hydrographic or topographic matrix data is logged to a binary data file. When you close the SURVEY program, HYPACK generates matrix files according to user-defined options, and the right dimensions to fit your survey data. This eliminates the need to size one or more matrix files over your survey area in the MATRIX EDITOR.

You may use Auto-matrix to log both hydrographic and topographic data simultaneously from HYSWEEP SURVEY, but you must configure them separately and SURVEY generates separate matrix files for each data type.

Note:The auto-matrix feature draws only in HYPACK SURVEY.

When HYPACK SURVEY starts to paint sounding data, a series of matrix blocks appears in the Map window. HYPACK SURVEY starts with one or more matrix blocks according to your auto-matrix settings. As you move toward the edge of the current matrix block, the HYPACK SURVEY program adds one or more blocks ahead of the vessel for continuous coverage display.

In the HYPACK SURVEY Map windows, a matrix display drop-down—MB_MTX for hydrographic data, and Topo_MTX for topographic data—enables you to choose the data displayed: Minimum, Maximum or Average Depths, Standard Deviation or Sounding Count per Cell. All options are available for display regardless of what you have chosen to log in the auto-matrix settings.

Minimum, Maximum or Average Depth—Average Depth (left), Standard Deviation (center), Sounding Count (right)

• Implementing Auto-matrix

• Managing Auto-matrix Data

Implementing Auto-matrix

You may use Auto-matrix to log both hydrographic and topographic data simultaneously from HYSWEEP SURVEY, but you must configure them separately and SURVEY generates separate matrix files for each data type.

1.Open the auto-matrix settings dialog for the type of data you want to log.

•For hydrographic data, select CHART-MULTIBEAM MATRIX.

•For topographic data, select CHART-TOPO MATRIX.

Auto-matrix Configuration Dialogs— Hydrographic Data (left) and Topographic Data (right)

2.Select the Enable option for that data type and configure the related options:

•Choose one or more values you want to store for each cell in the output HYPACK-type matrix files.

•Minimum Depth

•Maximum Depth

•Average Depth

•Standard Deviation

•Sounding Count

•The Cell Size is the size (in survey units) for each matrix cell in the matrix block and when HYPACK generates the matrix from the binary data.

•Cells Per Side determines the size of each matrix block when multiplied by the Cell Size.

Beware!If you edit the Cell Size or Cell Per Side in a filled matrix file, you will lose its data. To retain your matrix coverage, exit HYPACK SURVEY to generate filled matrix files with your current data, then restart the survey programs, change your matrix options and resume logging.

•Choose when to paint the matrix—all of the time, or only when you are recording data.

3.Click [OK].

When you close HYPACK® SURVEY after logging data, for each matrix block the program generates a matrix file for each selected value. (For example: If you have 3 auto-matrix blocks, and you have selected Average and Standard Deviation Multibeam Auto-matrix options, the program generates 6 MTX files—3 with average values and 3 with standard deviation. If you have also configured the Topographic Auto-matrix options in the same way, the program generates 6 more MTX files using the topographic data.)

In addition, the matrix files with the same value type are grouped into a Matrix Catalog File (*.MLOG) to keep them organized and facilitate viewing.

Beware!If you delete an MLOG in the Project Items list, HYPACK also deletes all member matrix files.

Matrix Log (*.MLOG) in HYPACK

Return to Top

Managing Auto-matrix Data

The binary files with the data for the auto-matrix remain in your project, even after the matrix files have been created.

If you want to resurvey the same area, still using the auto-matrix, remove the BIN files from the project. Doing so insures your displays in SURVEY, and the matrix files generated at the end of your survey session, will represent only your current data.

Important: Auto-matrix files and their catalogs, will be overwritten with new auto-matrix files of the same location in subsequent surveys.

The menu selection to remove the auto-matrix files depends on the type of data:

•For hydrographic data, select CHART-CLEAR MULTIBEAM MATRIX.

•For topographic data, select CHART-CLEAR TOPO MATRIX.

If you logged survey data, you still have a permanent copy of that data for post-processing, but SURVEY will generate no matrix charts of the cleared data.

Return to Top

More Information

• Multiple Matrix Files


Saving Soundings to a User-defined Matrix in SURVEY

As you log data to a user-defined matrix during SURVEY, you can ‘paint’ either an empty matrix with only the current survey data or a matrix filled with data from a previous survey.

If you begin with a filled matrix, the new sounding data will overwrite what was previously entered.

The soundings you record to the matrix will be saved according to the criteria set in the matrix options. Select MATRIX-OPTIONS and the Matrix Options dialog will appear.

Matrix Options Dialog

Record Depth determines the depth reading to be stored to each Matrix Cell. Note how they are affected by Elevation or Depth Mode that you have set in the Matrix Menu.

Minimum will record the smallest depth value received in that cell.

•In Depth Mode, the smallest value is at the shoalest point.

•In Elevation Mode, the smallest value is at the deepest point.

Maximum will record the largest depth value received in that cell.

•In Depth Mode, the largest depth is deepest, while the smallest depth is shoalest.

•In Elevation Mode, the largest depth is shoalest, while the smallest depth is deepest.

Last will record the last sounding received.

Use Depth Filter option can be used to eliminate depths outside a user-defined range (Min Depth to Max Depth) from being saved to the matrix. This function can be used in either Depth or Elevation Mode. Since soundings are output as positive values, the Min. and Max values are always positive and the depths saved will fall in that range.

Save only strikes in XYZ file: When you select MATRIX-SAVE TO XYZ, it saves the difference between the sounding value and the user-defined Strike Depth. This is useful to see how much must be dredged to level the area to the strike depth.

•If selected in depth mode, it only saves sounding if the Z-value of the As Dredged Depth is less than the Strike Depth. In this case, it saves the difference of the Strike Depth minus the Z-value of the As Dredged Depth

•If selected in elevation mode, it only saves sounding if the Z-value of the As Dredged Depth is greater than the Strike Depth. In this case, it saves the difference of the As Dredged Depth minus the Z-value of the Strike Depth

•If unselected, this option saves all depths.

Matrix Update Basis:

•Always updates your Matrix continuously. This option enables you to follow your dredging in the Matrix while not recording the Raw data if you don't need it.

•While Logging updates your Matrix only when you are logging Raw data.

•Never causes the program not to update the matrix with dredge depths.

Use Uncorrected Depths: The Matrix is updated, by default, with corrected depth information. If your device outputs corrected data, check ‘Use Uncorrected Depths’ to avoid double corrections in the matrix.

Gap Interpolation Span fills empty cells between filled cells in SURVEY. The interpolated data is not saved in the matrix, but you may export it with the all of the other cell depths to and XYZ file from SURVEY.

Backup to XYZ at Midnight: At midnight, the program saves the value of each cell to an XYZ file at the position of the cell center.

Dredge Data in Empty Cells: This option, available only in DREDGEPACK, enables you to paint matrix cells in DREDGEPACK even if they contain no survey data. Use this option to paint an empty matrix or when you are working beyond the filled area of the matrix.

• Interpolating Matrix Depths While Logging

• Interpolating Matrix Depths When Not Logging

Interpolating Matrix Depths While Logging

1.In SURVEY, select MATRIX-OPTIONS to open the Matrix Options dialog.

2.Select the appropriate Interpolation Span to limit the interpolation distance.

3.Start logging. The program will interpolate the data to fill unpopulated cells with no additional intervention.

Return to Top

Interpolating Matrix Depths When Not Logging

1.In SURVEY, open the Matrix Options dialog. Select MATRIX-OPTIONS.

2.Disable the Gap Interpolation Span and click [OK].

3.Log your data.

4. When you stop logging, return to the Matrix Options dialog and select the desirable Gap Interpolation Span.

5. Select MATRIX-FILL GAPS.

You can experiment with different Gap Interpolation Span values until you get a satisfactory result.

Return to Top

More Information

• Multiple Matrix Files

• Auto-Matrix for Multibeam Surveys


Editing Matrix Depths in SURVEY

SURVEY and DREDGEPACK, provide a few tools for minimal editing of your matrix data.

Clearing Matrix Cells

Editing Bordered Areas in a Matrix

Clearing Matrix Cells

SURVEY and DREDGEPACK both color code your matrix, but each populates a different fields: the survey and dredge depths. This enables you to display either depth or the calculated difference. In either program, you can remove the data entered by each program respectively from individual matrix cells.

To remove data from a matrix cell, right-click on the cell and select Clear Cell.

In SURVEY, the survey depth is removed leaving an empty cell.

In DREDGEPACK, the dredge depth is removed, but the survey depth remains.

Return to Top

Editing Bordered Areas in a Matrix

The Matrix menu in the Map window in SURVEY or DREDGEPACK has a group of selections that, together, enable you to use a border file to modify the matrix soundings inside or outside its boundaries.

Note:The options and their effects on the data are a little different according to the module in which you perform them.

1.Create a Border File describing the area you wish to edit. You can:

•Create it in the BORDER EDITOR and load it into SURVEY or DREDGEPACK by selecting MATRIX-LOAD BORDER.

•Create it in SURVEY or DREDGEPACK.

i.Select MATRIX-CREATE BORDER.

ii.Click as many points as you need to outline your area.

iii.Right-click either inside or outside of the border you have created according to which portion of your data you want to modify. The polygon will automatically connect the first and last left-clicked points.

Border File Superimposed son Matrix File

iv.Save your border file by selecting MATRIX-SAVE BORDER and providing a name. The file will be saved to your project directory with the *.BRD extension.

2.Modify your data. Select MATRIX-EDIT BORDER and the Edit Matrix Region dialog will appear. For all soundings inside or outside the border (depending on where you right-clicked when you created the border) you can do the following:

Editing your Matrix—Options and Actions

Dialog Option | Action in SURVEY | Action in DREDGEPACK
Erase | Deletes the survey data. | Deletes both the survey and dredge data.
Reset Dredge Depth | (Not Available) | Copies the survey depth to the dredge depth.
Shift by and enter a positive or negative amount | Increases or decreases the survey depth by the user-defined amount. | Increases or decreases the dredge depth by the user-defined amount.
Set to and enter a depth | Sets the survey depth to the user-defined depth. | Sets the dredge depth to the user-defined depth.

3.Click [OK]. The dialog disappears and the matrix display updates to reflect the modification.

4.Remove the border file from your display. (Optional) Select MATRIX-REMOVE BORDER.

Return to Top


Matrix Display Options in SURVEY

The matrix file display can be independently configured in each area map using the Matrix Appearance dialog (In the Map window, select MATRIX-DISPLAY OPTIONS.)

Set Matrix Appearance Dialog

Matrix files have two depth fields. This allows you to choose for the matrix to be color-coded according to any of the following values:

•In SURVEY

•Survey displays the ‘as surveyed’ depths (stored in column 1).

•Channel-Survey: Available only if channel information is loaded. Displays the difference between the survey depth and channel template. Soundings outside of the channel are black.

•Soundings Count: Number of soundings/matrix cell (stored in column 2).

•Seabed ID: Seabed identification stored to the matrix in place as depth 1 by the SeabedID driver.

•In DREDGEPACK:

•Survey displays the survey depths.

•Dredge displays the dredge depths.

•Dredge-Survey displays the difference between the survey and dredge depths.

•Channel-Survey: Available only if channel information is loaded. Displays the difference between the survey and channel template. Soundings outside of the channel are black.

•Channel-Dredge: Available only if channel information is loaded. Shows the difference between the dredge depth and the channel template. Soundings outside of the channel are black.

Note:Note These settings do not affect the values that are stored in the matrix. They are for display purposes only. You can change them at any time.

Sun Illuminated Model Options: When you enable these options, the matrix will be displayed as a gray-scale solid TIN Model with a virtual light source that can be repositioned to accentuate the contours of your surface model.

•Z-factor multiplies the depth values to exaggerate or flatten the surface contours.

•Light Azimuth is the horizontal angle of the light source relative to the matrix.

•Light Inclination is the vertical angle of the light source relative to the matrix.

The Transparency option allows a user-defined transparency of the matrix in order to see displays, such as charts, that are drawn beneath it. The following figures show the matrix at varying levels of transparency.

Transparency equal to 0

Transparency equal to 1

Transparency equal to 0.4 (or 40% )


Matrix Color Settings in SURVEY

The matrix file colors default to the project colors set in HYPACK Sounding Colors.

If a matrix is loaded in your area map, the matrix file legend appears along the left-hand side of the Area Map. This displays the current color zones used to display the matrix depths.

Sample Matrix Legend

To modify the colors, right-click on the legend and select Settings. The COLOR EDITOR appears for you to make any changes.

Color Settings


Saving Matrix Files in SURVEY

You can manually or automatically save your matrix data at any time as you work in your project.

Manual Saves

At any time, you can manually save your MTX or extract the data to an XYZ file based on the settings in your Matrix Options dialog.

•To save your MTX to its current file location and in its current state, select MATRIX-SAVE MATRIX.

•To save the MTX data in XYZ format, select MATRIX-SAVE TO XYZ to the current data in XYZ format. In this case, the data will be saved according to the choices in the Matrix Options dialog.

Automatic Saves.

At user-defined time intervals, the filled matrix is saved to a binary record in the project Archives folder. SURVEY or DREDGEPACK names each binary backup using the original matrix file name appended with the time and an MXB extension (FileName_HH_MM.MXB). This provides you with a series of MXB files generated over the course of a day. The binary files are quite small; the improved security against data loss is well worth the storage space.

Note:The time for the first MXB is rounded to a time at or previous to the backup time and divisible by the time interval. For example, an MXB record generated at 10:23 will be named FileName_10_20.MXB. After that, the time extension will match the file generation time.

You can use any of these MXB files to restore your project MTX to its state at the time the file was generated. This provides an easy recovery from power failure.

To automatically generate binary backups of your matrix:

1.Select OPTIONS–NAVIGATION PARAMETERS and the Navigation Parameters dialog will appear.

2.Enter a number, in minutes, in MTX Backup Time. This is the frequency that the program automatically saves the MTX file. (A value of ‘0’disables this option.)

To restore your MTX from an MXB file:

1.In the HYPACK screen, right-click on the Matrix Files folder in the Project File list and select ‘Convert Mxb->Mtx’. A File Select dialog will appear.

2.Select the MXB file you want to restore to MTX and click [Open]. A File Save dialog will open.

3.Name your restored matrix (MTX) and click [Save]. The name defaults to the root name of the selected MXB file.


Real-time Mosaic for Side Scan Data

For side scan surveys only, real-time mosaic is a series of georeferenced TIF (GeoTIF) images (tiles) of your side scan data, generated by SURVEY based on your real-time mosaic options.

When you enable the Side Scan Mosaic (CHARTS-SIDE SCAN MOSAIC), HYPACK® SURVEY paints a preview of the real-time mosaic tiles at the vessel location. As the vessel moves through the project area, the program continuously loads and unloads the individual tiles according to the vessel location and logs the data to a binary file in the project \Autoscan folder.

Note:The real-time mosaic draws only in HYPACK SURVEY.

When you close the SURVEY program, HYPACK® generates a series of GeoTIF files from the binary data, stores them to your project \Real Time Mosaic folder and enables them as background charts in your project.

Real-time Mosaic in the HYPACK SURVEY Map Window (left) and Side Scan Waterfall (right)

Sample Mosaics from Real-Time Mosaic—Two Tiles Disabled in the Display to Illustrate Tiling

More Information

• Configuring the Real-time Mosaic

• Managing Real-Time Mosaic Data


Configuring the Real-time Mosaic

When you enable the Side Scan Mosaic (CHARTS-SIDE SCAN MOSAIC), HYPACK® SURVEY paints a preview of the real-time mosaic tile at the vessel location. When you close the SURVEY program, HYPACK® generates a series of GeoTIF files from the binary data, stores them to your project \Real Time Mosaic folder and enables them as background charts in your project.

1.Open the real-time mosaic settings dialog select CHART-SIDESCAN MOSAIC.

Real-Time Mosaic Settings

2.Select the Enable option and configure the options and click [OK].

•Enable: Check this option to start drawing the real-time side scan mosaic.

•Cell Size: The distance per pixel in the real-time mosaic. It defaults to 0.15m per pixel for metric grids and 0.50 ft per pixel for foot grids.

Tip: For high resolution sonars, you probably want to reduce these values. If your cell size is too small, a message box appears instructing you to increase the Cell Size.

Important: Changing cell size erases all previously logged real-time mosaic data. If you want to change the cell size and you have already logged real-time mosaic data, exit HYPACK SURVEY to generate the GeoTIF files for your logged data, then return to HYPACK SURVEY, change the cell size and resume your survey.

•Update determines when the SURVEY program updates the real-time mosaic.

•Always updates the mosaic regardless of your logging status.

•While Logging: SURVEY only updates the mosaic when you are logging survey data.

•Transparency: When set to Opaque, you won’t be able to see anything underneath the mosaic as it draws. As you move the slider to the left, the new mosaic lines will become more transparent.

Note:This does not affect the resulting GeoTIF files.

More Information

• Real-time Mosaic for Side Scan Data

• Managing Real-Time Mosaic Data


Managing Real-Time Mosaic Data

The binary files with the data for the real-time mosaic remain in your project, even after the GeoTIF files have been created. If you want to resurvey an area, you have some choices:

•Erase all the real-time mosaic (BIN) data: Select CHART-CLEAR SIDE SCAN MOSAIC. If you logged data using start/end logging, you still have a permanent copy of that data for post-processing, but SURVEY will generate no GeoTIF charts of the cleared data.

•Erase select mosaic tiles: Close the survey programs and delete the selected GeoTIF files from the Project Items list (right-click-DELETE FILE). This also deletes the corresponding BIN file so the mosaic tile can not be displayed in SURVEY or regenerated as a GeoTIF until you resurvey the area. It does not affect your raw data files.

•Resurvey the area. HYPACK SURVEY overwrites the BIN files and updates the real-time mosaic display with the new data as you go. When you finish logging and exit SURVEY, all new GeoTIF files are generated according to the current BIN files.

More Information

• Real-time Mosaic for Side Scan Data

• Configuring the Real-time Mosaic


Corrections in SURVEY

Tide, draft and sound velocity corrections affect the accuracy of the depth and positioning data. During acquisition, SURVEY logs these corrections in the header of each raw data file when you start logging, and in a correction-specific record any time a correction changes during your data collection.

More Information

• Tide Corrections in SURVEY

• Draft Corrections in SURVEY

• Heave Drift Correction in SURVEY


Tide Corrections in SURVEY

In HYPACK:

Final Depth

=

Measured Depth

+

Tide
Correction

+

Draft
Correction

+

Sound Velocity
Correction

Since the tide correction is normally added to the measured depth, it will normally be a negative value in HYPACK (unless the tide drops below the chart datum).

For example, if the water level is 1.3m above the chart datum, the tide correction in HYPACK would be “-1.3”.

Assigning Tide Corrections to Your Sounding Data

•Use a telemetry tide system.

•Manually enter tide corrections in the SURVEY or DREDGEPACK program.

•Use the Real Time Kinematic (RTK) Tide options in the GPS device driver.

•Read predicted tides into SURVEY or DREDGEPACK using the Tidefile driver.

•Enter the tide correction values in post-processing.

Configuring your Data Display Window to Show Tide Data

You can display one or more of the following data affected by tide in the Data Display:

•Current tide correction

•Measured depth from the echosounder

•Corrected depth

Since the tide correction is applied to all vessels, it is displayed in Black in the Data Display window.

• Telemetry Tide Gauges in SURVEY

• Manual Entry of Tide Corrections in SURVEY

• Predicted Tide Corrections in Survey

• RTK GPS Tide Corrections in Survey

Telemetry Tide Gauges in SURVEY

The SURVEY or DREDGEPACK program treats telemetry tide gauges like another piece of survey equipment. A device driver in the hardware configuration receives data from the device and automatically sets the tide correction to the appropriate value.

Return to Top

Manual Entry of Tide Corrections in SURVEY

You can set the initial value of the tide correction by clicking the TIDE–SET menu item. This value will be assigned to all soundings logged until you set a new value. Update this value often, especially if the tide level is changing quickly.

Setting the Tide Value

The Tide Increase (Alt-Y) and Tide Decrease (Alt-Z) can be used to increase or decrease the current tide value by the current increment. The increment is set from the OPTIONS–CORRECTIONS INCREMENT menu item.

Setting the Corrections Increments

Note:If you use the same time and tide correction information to create a tide correction file, then use it to apply your corrections during post-processing, your results will be more realistic. The editor will interpolate the tide correction values over time, thus avoiding the sudden changes in tide correction values.

The tide correction value at the time each raw file is opened will be recorded in the header of the file. Each time you modify the correction value, it will be recorded as a TID record and used to correct soundings taken after that time.

Return to Top

Predicted Tide Corrections in Survey

You may assign predicted tide values to your raw data.

1.Create a predicted tide file for your area using either the MANUAL TIDE program’s High/Low Water routine or the HARMONIC PREDICTION program.

2.Create a device using the TIDEFILE.DLL device driver when you configure your hardware. Under “Setup”, select the name of your predicted tide file (*.TID).

The SURVEY or DREDGEPACK program will then assign a tide correction to each sounding, based on the values in the prediction file. These values can be overwritten with actual tides when processing the data in the SINGLE BEAM EDITOR or 32-bit HYSWEEP EDITOR.

Return to Top

RTK GPS Tide Corrections in Survey

Real Time Kinematic (RTK) GPS receivers can measure the latitude, longitude and height above the WGS-84 reference ellipsoid to within a few centimeters. Using this vertical accuracy, you can determine water level corrections (tide corrections). This eliminates the need to use conventional tide gauges or to assign personnel to monitor tide staffs.

Return to Top

More Information

• Tide Corrections in the SINGLE BEAM EDITOR

• Tide Corrections in the 32-bit HYSWEEP EDITOR

• Tide Corrections in the 64-bit HYSWEEP EDITOR

• Tide (Water Level) Corrections

• Harmonic Tidal Predictions

• Manual Tides Program

• Real Time Kinematic (RTK) Tide Corrections


Draft Corrections in SURVEY

In HYPACK, Final Depth = Raw Depth + Static Draft + Dynamic Draft (+ Tide, SV and Heave corrections)

To log accurate depths, you must correct for both static and dynamic draft. You have already accounted for static draft in your hardware configuration, but you correct for dynamic draft during data collection.

Dynamic draft corrections are logged with the rest of your data using your choice of the following options:

•Manual Corrections: Use the Draft option in the Vessel Setup dialog to adjust the correction currently logged in the data file. The draft correction is logged in the header of each data file and to a DFT record each time it is changed. This value is also displayed for each vessel in the Data Display using the Vessel Perimeter Color associated with each vessel.

•Use the DraftTable Driver: The DRAFTTABLE.DLL allows you to construct a table of Dynamic Draft Correction versus Speed. The driver then uses the Speed Over Ground from the GPS (or the internal speed computed by SURVEY or DREDGEPACK) and interpolates a draft correction based on the Speed Over Ground.

Note:On a river, your speed through the water column may not equal your speed over ground. This could cause some significant errors in the Dynamic Draft correction being assigned by the driver.

Note:If you are using RTK tides with HYPACK you do not need to enter any dynamic draft corrections. The GPS.dll subtracts the dynamic draft correction to compute the "true" tide correction. Without a dynamic draft correction, the driver will still calculate a correct chart sounding, but the RTK Tide value will be different from the conventional tide value.

• Manual Draft Corrections

• Automatic Draft Corrections

Manual Draft Corrections

Define Draft corrections for each vessel in the Vessel Setup dialog in SURVEY or DREDGEPACK under "Dynamic Draft".

To set the amount that the arrow keys in the Vessels dialog increment/decrement the Dynamic Draft, select OPTIONS–CORRECTION INCREMENT and enter it under "Draft/Squat".

Setting the Corrections Increments

More Information

• Boat Features in HYPACK SURVEY

Return to Top

Automatic Draft Corrections

Automatically apply draft/squat corrections by installing the Draft Table Driver in HARDWARE. The Draft Table is a listing of draft correction values with their corresponding vessel speeds. This option enables SURVEY or DREDGEPACK to automatically apply dynamic draft/squat corrections based on the speed of the vessel.

The driver allows for Shallow Water and Deep Water curves. Shallow depths can affect how the wake forms around the vessel and it has been shown it can significantly affect the draft. If this is the case, enter different drafts for shallow and deep water.

If you enter both shallow water and deep water draft values:

•When the depth is less than the Shallow Depth Limit, use just the shallow water table.

•When the depth is greater than the Deep Depth Limit, use just the deep water table.

•When the depth is between the Shallow and Deep Depth Limits, interpolate between the two table values.

Note:If there are soundings taken at speeds greater than those defined in the Draft Table, the driver will assign draft correction value that corresponds to the fastest speed in the draft table.

1.In HARDWARE, select DEVICES-ADD DEVICE and select the DraftTable driver.

2.Click [Setup] and configure your driver for your project. The Driver Setup is a table defining draft values and their corresponding vessel speeds. SURVEY interpolates draft values according to the selected interpolation method and within the defined speed range and stores a draft correction value appropriate to the vessel speed with each sounding.

[Graph] plots your corrections over speed on the right.

DraftTable Driver SetupI

3.Click [OK].

Return to Top


Heave Drift Correction in SURVEY

In the Vessels dialog, you can set an alarm for heave drift.

1.Access the Vessels dialog by clicking the Vessels menu.

2.Check the Heave Drift Alarm Enable option and set the Alarm Threshold--the amount of drift that should trigger the alarm.

3.Click [OK].

Setting the Heave Drift Alarm

SURVEY or DREDGEPACK averages the heave over a couple of wave periods. If the center of the heave average gets above or below the specified range, an alarm is generated in SURVEY or DREDGEPACK.

Note:Do not leave the Alarm Threshold set to 0.00 with the Drift Alarm enabled. This will cause an annoying, constant alarm status.


Navigating Planned Lines in SURVEY

The Navigation Parameters dialog in SURVEY or DREDGEPACK provides options to help automate the planned line navigation and data logging. This allows the helmsman to focus on driving while the program handles the data.

More Information

• Selecting Survey Lines in SURVEY

• Changing Survey Direction

• Selecting Segments on Multiple Segment Lines in SURVEY


Selecting Survey Lines in SURVEY

The active planned line file in your project will be loaded to the SURVEY or DREDGEPACK program. You can load a different line file by selecting LINE-SELECT FILE and choosing the new line file from the file selection dialog. The program will unload any active line file and load the selected file. Only one planned line file may be enabled at a time. (You can unload any active line file and work with no lines loaded by selecting LINE-UNLOAD.)

When you first enter the SURVEY or DREDGEPACK program, it will select the first line in the queue as the current active line. When you exit the program, it writes the current active line to a default file. Next time, it reads this default file and re-establishes the last active line as the current active line.

To select the line you wish to survey, use one of the following methods:

•Right-click on a line handle and then click the “Select” item. The “handles” are located at each line origin (the first point entered when creating the line) and are drawn as little boxes at the origin of a planned line.

Selecting a Line Using "Handles"

•Use the LINE–INCREMENT LINE menu item or Ctrl-I to move ahead by the number of lines defined under Line Increment in the Navigation Parameters.

•Use the LINE–DECREMENT LINE menu item or Ctrl-D to move back by the number of lines defined under Line Increment in the Navigation Parameters.

•Enter the desired line number under Next Line in the Navigation Parameters. You may enter either the number or name (“34+00”) associated with a line.

Navigation Parameters


Changing Survey Direction

When you select a new planned line or when the SURVEY program selects a new planned line, it sets the “Start Line” end according to the Line Direction Mode in Navigation Parameters, and assumes you will be running the line from that end to the far end. It draws a red circle about the “Start Line” end (when off-line) to show you which end it has selected as the “Start Line” end. It also superimposes a series of arrows along the line to indicate the expected direction of travel.

•Line Direction Mode tells SURVEY the pattern the survey vessel will normally follow when a new planned line is selected.

•Closest looks for the end of the line closest to the vessel and assumes you want to run the line starting from that end.

•Line Origin starts the line at the first set of coordinates for the line in the Planned Line File. This is useful for surveyors who want to run all of their lines in the same direction.

•Line Terminus starts the line at the last set of coordinates for the line in the Planned Line File. This is useful for surveyors who want to run all of their lines in the same direction.

•Alternate Direction starts the next line in the opposite direction from the direction of current one based on the coordinates entered in the Planned Line File. (Alternates Origin-to-Terminus, then Terminus to Origin.)

To change the selection of the “Start Line” end:

•Select LINE-SWAP.

•Right-click on the line handle and clicking “Swap”.

Swapping line direction using the ‘handles’.

•Select the line and press Ctrl + W.


Selecting Segments on Multiple Segment Lines in SURVEY

This is used by SURVEY or DREDGEPACK to determine how to step through multiple segment planned lines.

•While Logging: Using this method, the current segment is fixed until the program goes “On Line”. It then automatically switches to the closest segment, based on the off-line distance of each segment.

•Always: This method constantly updates to the most appropriate segment, whether the program is “On Line” or “Off Line”.

•Never: This will not change the current segment. You may manually change segments using the Ctrl+F (Forward Segment) or Ctrl+B (Backward Segment) key commands.


Adding New Lines in SURVEY

Surveyors can create a new planned line in SURVEY or DREDGEPACK using any of the following methods:

•Create a parallel offset from an existing planned line.

•Use the cursor to digitize a new planned line in the Map window.

•Connect targets with a planned line.

•Connect the vessel tracking point to the current target.


Digitizing Planned Lines in SURVEY

At any time that you are off line while in SURVEY, you can use the cursor to define path of one or more additional planned lines. Each new line will be defined by two or more waypoints that describe its path.

When you are not logging, the first of two icons in the toolbar of Map window becomes enabled for you to begin this process.

1. Click on the red icon.

2.Use your cursor to click at the location of each waypoint in the new planned line. Each waypoint will be marked with red and connected with black line segments. As soon as you have defined at least two waypoints, the second (blue) icon is enabled.

3. When you have finished digitizing the line, click the blue icon. The new planned line becomes the active planned line.

If you have a planned line loaded in SURVEY, the new line will be appended to the active planned line file. Otherwise, a line file containing the new planned line file, manual_entry.LNW, will be created.

Each digitized line will be automatically named using the time at which it was created. For example, a line created at 9:05:25 will be named 09_08_25.


Creating Parallel Line Offsets in SURVEY

To create a new planned line a parallel offset from an existing planned line.

Select LINE-ADD and the Add New Line dialog will appear. This example, tells SURVEY or DREDGEPACK to create a new line named “33”. This line will be created 15’ (or meters, according to the current grid units) from line number “1”. Positive offset values create lines to the right of the “Base Line” when you stand at point 1 of the base line and look at point 2. The new line created is saved to the LNW file and becomes a permanent line in the planned line file.

Add New Line Window


Logging Data in SURVEY

Typically, when you set up a survey project, you create a set of planned survey lines to guide your navigation as you collect data. They help insure that you achieve the proper coverage of your survey area. Most surveyors begin on the first line of the line file and navigate up one line and down the next, logging data for each line, until they reach the end.

When you begin logging data at the beginning of each planned line (start line), the SURVEY program opens a data file and begins to record data. The status in the Data Display window will change to ‘Logging’. This is your indication that you have started line and the SURVEY program is logging data.

To Start Logging:

You can start line manually or automatically.

•Manually by selecting LOGGING-START LOGGING (Ctrl+S)

•Automatically using the automatic Start Line Gate feature.

The automated Start Line Gate feature begins logging automatically if the vessel tracking point passes within the specified distance of the start line point.

The Start Line Gate is specified in the Navigation Parameters window. Select OPTIONS–NAVIGATION PARAMETERS.

•Start Line Gate = “0.0”, the feature is disabled and the SURVEY program only starts and ends logging if you manually intervene.

•If the Start Line Gate > 0, the program starts logging automatically when the distance from the tracking point to the starting point of the planned line is less than the absolute value of the Start Line Gate. This "trigger area" is shown as a circle at the beginning of the planned line. A positive Offset shifts the circle down line by the specified amount, while a negative offset shifts it backward along the line.

Start Line Gate = 25 (left), with Offset=10 (right)

•Start Line Gate < 0, the SURVEY program only starts logging when the tracking point breaks the perpendicular projection of the start line point and the distance from the tracking point to the starting point of the planned line is less than the absolute value of the Start Line Gate.

Negative Start Line Gate

Approach Line Extends 50 Meters from the Start Line

To Suspend Logging:

At any time while logging, select LOGGING-SUSPEND LOGGING (Ctrl+U). The status in the Data Display window will display the word “Suspended”. A target with the name “Paused” will be placed on the screen at the tracking point position. You will still receive screen updates and position information, but the program will not write information to disk. This is useful if the survey boat needs to pause for traffic.

To Resume Logging:

Select LOGGING-RESUME LOGGING (Ctrl+R).

To Abort Logging:

At any time while “On-Line”, select LOGGING-ABORT LOGGING (Ctrl+A). SURVEY stops logging data and saves the data logged to that point with an *.XXA extension. (If this would cause a duplicate file name, the extension becomes *.XXB, *.XXC...). The aborted file is not included in the current catalog file.

To End Logging:

Once logging has been started, it can be ended (end line) as follows:

•Manually by selecting the LOGGING-END LOGGING (Ctrl+E).

•Automatically if you are using the Start Line Gate. The line will be ended automatically when the tracking point breaks the a line projected perpendicular from the end segment point of the planned line.

To disable the automatic end line, select the Disable End Line Gate option in the Navigation Parameters dialog. In this case, you must stop logging manually, though a start line gate automatically starts logging.

When the SURVEY program executes an “End Line” event, it closes and saves the data file and then selects the next line in the line queue. It determines the start line point based on the Line Mode in the Navigation Parameters dialog. A small red circle is drawn about the start line point and arrows indicate the direction of travel.

More Information

• Project Information in SURVEY

• Raw Data File Options in SURVEY

• Logging Events in SURVEY

• Logging Seabed Identification Data in SURVEY

• Recording Comments in SURVEY

• Survey Keyboard Commands


Project Information in SURVEY

The project header data, which is written to the header of the raw data files, is defined in the project information. The header data is optional, (for display purposes only) but a year from now you may be thankful that somebody took the time to fill out the available fields.

To enter your project information:

1.Access the project information dialog by selecting OPTIONS–PROJECT INFORMATION.

2.Describe your project and click [OK].

•The Project, Job, Area, Boat and Surveyor fields are self-explanatory.

•Choose your file-naming convention.

•‘Override Project Path’: Define alternate location to store your raw survey data. The default location is the ProjectName\Raw folder.

Project Information Window

More Information

• Raw Data File Naming Convention


Raw Data File Options in SURVEY

Raw files are the data files that result from the SURVEY or DREDGEPACK program. Every time you log data, a new Raw data file is created. They are ASCII format files that contain the header information and time-series information for each survey device.

By default, they have the RAW extension and, in a standard HYPACK project, are stored in the \HYPACK 2017\Projects\ProjectName\Raw folder.

You may choose an alternate naming format, an alternate folder or both in the SURVEY or DREDGEPACK program under OPTIONS-PROGRAM INFORMATION.

Important: All data should be logged on the SURVEY or DREDGEPACK computer.

Note:You may also load Sub-bottom SEGY and Edgetech JSF files as RAW data and display their tracklines in the map.

A list of individual data files is provided in a catalog (*.LOG) file. You can quickly draw or process a group of files by specifying the *.LOG name, instead of entering the name of each data file.

HYPACK programs use the data from the RAW files to position the data in the corresponding multibeam or side scan HSX files.

• Raw Data File Naming Convention

• Data Directories for Raw Data Files

• Closing Data Files Based on Time

Raw Data File Naming Convention

Each time SURVEY or DREDGEPACK goes “on-line”, it creates a new data file with a unique name.

To set your file naming format, select OPTION-PROJECT INFORMATION and choose from the following options:

Naming Format | Description | Example
Standard HYPACK | (See details below.) |
Named Lines | LineName.RAW | 34P00.RAW, LineOne.RAW
Unnamed Lines | LineNumber_start line time.RAW | 0014A1325.RAW
Long Filenames | YR+ 1ST 2 char. of boat + Julian day + time(HHMM)_Line Number | 00BO0911325_014.RAW
CHS Filenames | YR + 1ST 2 char. of boat + Julian day + time(HHMM) | 00BO0911325.RAW
Julian Day as Extension | HYPACK name with Day Number as the extension | 014A1325.091
Other Extension | You define the extension in the adjoining box. | 014A1325.NEW
Use File Prefix | You define the prefix in the adjoining box. | JJB_014A1325.RAW
Append Julian Day to Prefix | Julian day is applied as a prefix. | 153_014A1324.RAW

Standard HYPACK Naming:

•If your lines have names, your data file will be the name of the planned line, plus the extension. For example, if you are logging data on a line named “34+00”, the resulting data file will be named “34P00.RAW”. If you log on the same line again, it creates a data file named “34P00_0001.RAW”. If you log on the same line once again, it creates a data file named “34P00_0002.RAW”, etc.

Line names of four or less numeric characters are an exception; they are named as if the lines do not have names.

•If your lines do not have names, your data file will be named using a combination of the start line time from the computer clock and the number associated with the line. For example, if you begin line #14 at 13:25, the survey information will be stored in a data file named “0014_1325.RAW”. If you start the same line again during the same minute, a data file named “0014A1325.RAW” will be created.

•If you are not using survey lines, the line names will begin with “0000” in place of the line number.

You may also choose to append a prefix to any of these file name formats. Use the Julian Day, define your own prefix or use both options together.

It is impossible to duplicate or overwrite existing files in the SURVEY or DREDGEPACK program.

Return to Top

Data Directories for Raw Data Files

When you create a new project, HYPACK creates a sub-directory under the \HYPACK 2017\Project directory with the name of your project. It then creates a sub-directory named ‘Raw’. For example, if your new project was named “Richmond 1998”, your raw data files from the SURVEY or DREDGEPACK program would be stored in the “\HYPACK 2017\Projects\Richmond 1998\Raw” directory.

The SURVEY or DREDGEPACK program stores your survey data, by default, in the HYPACK “Raw” format in the \RAW directory under the current project.

To specify another directory path, select OPTIONS-PROJECT INFORMATION from the SURVEY or DREDGEPACK menu and set a path under ‘Override Project Path’.

Beware!Logging data to a network location has not been done successfully. All data should be logged on the survey computer.

Return to Top

Closing Data Files Based on Time

If you anticipate being ‘on line’ for extended periods of time, you can instruct the SURVEY or DREDGEPACK program to automatically close the current data file and open a new data file without changing the current survey line.

For example, say your planned line would take four hours to survey and you have entered “15” as the Log Backup Time. Every 15 minutes, SURVEY would close the current Raw data file and open a new data file. This would result in 16 data files for the planned line.

To set an automatic Log Backup Time:

Select OPTIONS–NAVIGATION PARAMETERS and enter a non-zero value in the “Log Backup Time”. The value entered represents the number of minutes elapsed before closing the current data file and opening a new file. New files that are opened using this feature are named using the conventional naming scheme for data files which eliminates duplicate file names.

Return to Top

More Information

• Project Information in SURVEY

• Log Backup and Data File Overlap in HYSWEEP SURVEY


Logging Events in SURVEY

Event marks are also called “Fix Marks”. They are used to mark recorders to allow you to correlate digital (HYPACK) and analog records. Include the beep.dll in your hardware setup to sound a user-defined tone each time an event mark is created. Configure the basis on which events are generated in the Navigation Parameters dialog (OPTIONS–NAVIGATION PARAMETERS).

Automatic events

Next Event sets the number of the next event mark.

Reset Events on Startup causes your event numbers to begin at one, each time you launch SURVEY. If you deselect this option, SURVEY remembers the last event number when it is shut down and, when restarted, will begin numbering event marks accordingly.

Event Marks are always generated when you pass a waypoint (switch legs) in your survey line.

Event Marks can also be automatically generated based on time or distance along line. Choose the Event Basis.

•If you select "Time", the Event Increment is expressed in seconds.

•If you select "Distance", the Event Increment is the distance in survey grid units (feet or meters) between events.

Note:HYPACK does not predict when your survey vessel passes over precise fix locations. It simply generates a fix mark at the first position update which is equal to or farther down-line from the pre-defined event location.

Marking Events on Even Intervals

Check Events on Even Intervals.

•If your event basis is time, automatic, mid-line events are generated at even second intervals. For example, if your event interval is 5 sec. and your start line event is at xxx12.072 sec., the next event will be at xxx15.000 (plus or minus .001 sec).

•If your event basis is distance, SURVEY attempts to place the events at even distance intervals based on DBL as you progress down the line.

Generating a Manual Event Mark

At any time, select LOGGING-MANUAL EVENT (Ctrl+N).

Drawing a Line Between Consecutive Events

Check the Connect Events with Segments option. This is for display purposes in SURVEY only.


Logging Seabed Identification Data in SURVEY

The SeabedID device driver should be used for all bottom classification surveys. It requires the following:

•Your echosounder outputs the E1 and E2 soundings necessary to distinguish between varying bottom types.

•You have a Seabed Square for the bottom types in your survey area. This is a user-defined table of E1-E2 ranges with their corresponding bottom types and ID numbers. It is created in the SEABED STATISTICS utility program.

•You have saved your seabed colors represented in your Seabed Square as your project colors. When you create your Seabed Square in SEABED STATISTICS, the program will ask if you would like to create a corresponding HYPACK Color File (*.HCF) and make it the current project color file. Click “Yes”.

During SURVEY, the SeabedID device driver refers to the Seabed Square to assign a Seabed ID number for each sounding record. It saves the E1-E2 pairs with their assigned numbers to ROX strings in the Raw data files.

The SeabedID driver has two device windows for each data channel. One shows your Seabed Square with a dynamic display of the most recent 500 soundings overlaid where they fell within the square. The other graphs depths over time.

Seabed Square with Overlaid Data

Graph of Depths over Time

The matrix will also display in HYPACK using seabed colors. Just right-click on the matrix folder in the Project Files list and select either ‘Survey Depth’ or ‘Seabed ID’.

More Information

• SEABED STATISTICS


Recording Comments in SURVEY

The Comment window stores your input to the project log.

Sample Comments Window

Enter your notes in the field at the top. Each time you press your Enter key, your comment drops down to the display in the lower part of the window and a copy is stored to the project log. In the single beam and HYSWEEP editors, you can refer to these comments during the editing process.


Printing Survey Data

You can print survey data to any printer while logging. The location of the printer is specified under the Device menu of the HARDWARE program. The message to be printed is defined in the SURVEY or DREDGEPACK program.

1.Configure HARDWARE to perform this function.

a.Click on PREPARATION -HYPACK HARDWARE.

b.Select ‘Hypack Configuration’ and the System tab to the right.

c.Set your Printer Connection to Data File. This will send the information you want to a text file. The Data file configuration options will appear.

d.Click [Browse], navigate to where you want to save the file, enter a name.

2.Configure your output to the file. SURVEY is where we configure exactly what we want to output to the file and at what frequency: Time, Distance, or Event.

a.Launch SURVEY. Click the whale icon on the Icon Bar or select SURVEY-SURVEY from the menu.

b.Select LOGGING-PRINT-CONFIGURE to open the Printer Configuration window. The Printer Configuration window, first appears with the “Printed” list blank.

c.Configure each item you want sent to your data file.

i.Move items you want to have printed from the Available list to the Printed list in the order you want them printed. You can move an item by clicking on an item in the Available list and then clicking [Add->] or by double-clicking on the item in the Available list.

ii.Enter the number of characters you want to reserve for each item in the Printed list. Click on the item, then enter a value in the Width box. Click [Apply Width]. You can see the actual message constructed beneath the list windows.

Note:Take care that your printer message does not exceed 80 characters.

3.Set other output options.

•Print Basis is the frequency, in seconds, at which the data is sent to the data file.

•Print While Off-line: Check this option to print regardless of your logging status. Clear this option to print only while logging.

•Page Advance at End of Line: This option begins a new page at the start of each new planned line.

4.Test your report generation in SURVEY.

•If the ‘Print while offline’ option is selected, SURVEY will automatically begin sending data to the text file as long as you are in SURVEY.

•If the ‘Print while offline’ option is not selected, you must manually start the print function when you first open SURVEY. (Select LOGGING- PRINT- START.) After that, the printing will turn on and off with your logging status.

•Print Basis: You can elect to have your message printed based on distance, time or events. In most operations, you should select “Events” with an increment of “1”. This prints the requested data at each event mark.

To begin printing, select LOGGING–PRINT–START.

To shut down printing, select LOGGING–PRINT–STOP.

To print the header, at any time, select LOGGING–PRINT–HEADER.

Note:You may elect to print the information to a text file instead of sending the text to the printer. This can be done by specifying a “Data File” under the Connect information for the Printer in the HARDWARE program and then providing a name for the text file.

To print a full page-sized screen capture of your Area Map window, click the Print Screen icon in the toolbar.


SURVEY DATA TRANSFER

SURVEY DATA TRANSFER sends a copy of your data files out via a LAN or an Internet connection. It is a separate program that you run simultaneously with HYPACK SURVEY.

Each time you end logging, SURVEY tells SURVEY DATA TRANSFER that there’s data available. SURVEY DATA TRANSFER sends the data to user-defined destination. In a very short time after the end of line, the data can be in post-processing elsewhere on the boat (via your LAN), at the office on shore, or half-way around the world.

Alternatively, you can instruct the program to send the files only when you close HYPACK SURVEY.

To transfer data over the Internet, both the survey computer and the receiving computer must have access to a Dropbox account. The file transfer occurs through the Dropbox folder.

In the Options area of the program, you can configure the program to transfer the raw data types according to your project type: RAW, BIN (echogram data), and HSX files. The program must compress HSX files in a ZIP or EXE file before the transfer, but if you send only RAW files, the program can transfer them directly when you end logging.

Running the SURVEY DATA TRANSFER to Dropbox

1.Open SURVEY DATA TRANSFER. In the HYPACK menu, select SURVEY-SURVEY DATA TRANSFER.

2.Configure your output destination.

•Browse for your LAN destination or Dropbox folder.

•Send Data When Survey Closes: SURVEY sends no data until you close the program. To send data at the end of each line, clear this option.

•Zip Files Before Sending enables you to compress your data before the transfer. When you select this option, also select your preferred extension (ZIP or EXE). To send uncompressed data, clear this option.

3.Click [Start]. SURVEY DATA TRANSFER waits for an end line message from SURVEY.

4.Run SURVEY as usual. Each time you stop logging, the SURVEY DATA TRANSFER copies the data to your destination folder, adds a message in the dialog that the transfer was successful, and updates the Status field.

5.When your survey session is finished, or you no longer want to transfer data, click [Stop] and close the program.


SURVEY LOG

The SURVEY LOG program runs simultaneously with HYPACK SURVEY and generates a log sheet for your survey session based on the main vessel.

1.Open the SURVEY LOG. Select SURVEY-SURVEY LOG from the HYPACK shell menu.

SURVEY LOG Interface

2.Enter the project information in the top section of the dialog.

3.Configure your spreadsheet.

•Select columns. Right-click on the spreadsheet header and select them.

•Adjust column widths. Drag the dividers.

4.Run HYPACK SURVEY. You can enter any remarks as you run the line then, at the end of each line, the program automatically completes the record with the survey line statistics and adds a new blank record for the next survey line.

5.At the end of each survey session. output the log information output the log to a PDF document or Excel spreadsheet (*.xls). Click [Export]. In the File Save dialog, select the output file type and name your report.

When you close SURVEY LOG, the program stores the header data and restores it when you next open the program.

At any time, you can clear the project information or the survey line statistics using the [Delete Header] or [Delete Data] button, respectively.

Sample Survey Log in Excel


SIDE SCAN SURVEY

SIDE SCAN SURVEY is a side scan data collection and logging program. The displays give real-time information on your survey area.

Digital or analog side scan data is logged to the HYPACK HSX format. This data can then be imported by the SIDE SCAN MOSAIC program for viewing and targeting. HSX-formatted side scan data can also be used to create a mosaic. This mosaic may then be saved as a geo-referenced TIF file, which can be displayed in your project as a background file.

The playback mode replays the raw HSX files giving the same view seen on the selected survey vessel.

The HYPACK SURVEY and SIDE SCAN SURVEY programs run simultaneously. HYPACK SURVEY provides navigation and single beam data collection while SIDE SCAN SURVEY provides the side scan data. The logging status of SIDE SCAN SURVEY is controlled by SURVEY. Each time SURVEY begins or stops logging, it stores the logging status to shared memory. SIDE SCAN SURVEY monitors shared memory and matches its logging with SURVEY.

Note:If you are collecting multibeam data with your side scan data, you may only need HYSWEEP SURVEY program, instead of SIDE SCAN SURVEY, which supports side scan devices.

SIDE SCAN SURVEY provides a scrolling display of its data. You can create targets here in real-time or in the post-processing TARGETING AND MOSAICKING program. You can also capture a TIF file of areas of interest as you progress.

To launch SIDE SCAN SURVEY, select SIDE SCAN - SIDE SCAN SURVEY.

More Information

• Side Scan Survey Windows

• View Options in Side Scan Survey

• Logging Data in Side Scan Survey

• Using the Coverage Driver to Monitor Side Scan Coverage

• Side Scan Playback


Side Scan Survey Windows

SIDE SCAN SURVEY includes the Side Scan Survey window with a waterfall display, and alarm status indicators.

The View menu provides access to existing windows, and options to generate (VIEW-NEW-WindowName) and remove (VIEW-REMOVE-WindowName) windows in your display. In this way, SIDE SCAN SURVEY can show multiple windows of the same type, but you can configure them to display data from different devices (selected in the toolbar for each window) or the same data with different display options.

Most windows have a toolbar at the top, providing shortcuts to window configuration. Pass the mouse pointer over a tool to see a hint as to what the tool does. Toolbars are toggled on / off with the F10 key.

Each window can be resized and moved around the screen, retaining it’s size and position until changed. VIEW-TILE WINDOWS will arrange the currently open windows in a manner that attempts to optimize your viewing in each window.

More Information

• Side Scan Survey Window

• Side Scan Signal Window

• Side Scan Coverage Map

• Side Scan Altitude Window

• Towfish Sensors Window in Side Scan Survey

• Message Window in Side Scan Survey

• Graphical MRU in SIDE SCAN SURVEY


Side Scan Survey Window

The Side Scan Survey window is the traditional side scan display (forward looking and without slant range corrections). It updates at 1Hz, regardless of how quickly your GPS or side scan is updating.

You can include the side scan signal and a bottom tracking tool in the display options, and adjust the reflection brightness and contrast through the side scan controls. The status bar shows the cursor position in either X/Y or lat./lon. in the status bar.

Side Scan Survey Window

If you have dual frequency side scan, use the frequency icon toggle between frequency displays. A second Side Scan Waterfall window is available through the View menu to support dual frequency units.

To display in lat/lon, check the ‘Display Positions in Lat/Lon’ option in the View Options dialog.

You can control your sonar settings from SIDE SCAN SURVEY. Device controls in the interface directly control sonar pinging, and can change the sonar range. For more complex setting changes, the controller icon accesses the full device controller window. (These tools are unavailable in playback mode.)

Ping Range Tools (from right to left) —Start/Stop Pinging, Range Controls, Device Controller Access

SIDE SCAN SURVEY is configured to continuously check for and notify you of data errors or loss of data input. The alarm indicators show green (OK), yellow (careful) or red (no good) depending on status. Click the indicator to show status history.

The Nav and Sidescan alarms turn red when no data has been received from the corresponding device for 10 seconds.

The Devices alarm turns red when no data has been received for a period longer than the Time Out Interval that you set for each device in the hardware setup.

More Information

• Measuring Object Height with the Height Measurement Tool

• Measuring Horizontal Distance in the Side Scan Waterfall

• Saving Side Scan Waterfall Screen Captures


Side Scan Signal Window

The signal window graphs amplitude vs. time for each sonar ping. Reflection amplitude is in units of A/D converter count.

Side Scan Signal Window

While this window has no particular value for bottom imaging, it is quite useful for verifying sonar operation. A second Side Scan Signal window is available to support dual frequency units.

You can choose to draw:

•Raw Signal as received directly from the sonar.

•Processed Signal: The Raw Signal with HYPACK scaling and gains applied. The range can be adjusted using the arrow buttons.

•Amplitude Range can be adjusted using the arrow buttons.

•Color Saturation in the SIDE SCAN SURVEY display can be adjusted using the horizontal sliders above and below the amplitude profile. Signal above the upper sliders will appear white in the waterfall window. Signal below the lower sliders will appear black. This method provides better results than using the side scan controls.

Access the Side Scan Signal window using VIEW-SIDE SCAN SIGNAL.


Side Scan Coverage Map

The Side Scan Coverage Map is an overhead view of your vessel and the area covered by your side scan sonar.

Side Scan Survey—Coverage Map

In this window you can:

•Target contacts by double-clicking the object of interest.

•Monitor coverage using a HYSWEEP type matrix file.

•Display grid position by moving the cursor across the window. To display in lat/lon, check the ‘Display Positions in Lat/Lon’ option in the View Options dialog.

More Information

• Using the Coverage Driver to Monitor Side Scan Coverage


Side Scan Altitude Window

Many of our users tow the side scan device on a towfish with an altitude sensor and it is handy, if not required, to know the towfish altitude during data collection. If your device outputs bottom ftracking you can display the current towfish altitude in the Altitude window.

You may configure this window to display a red background if the altitude returned by the sensor falls below a user-defined limit.

To configure this window, select VIEW OPTIONS(F9). In the Altitude Tab, set the alarm limit to display a red background if the altitude returned by the sensor falls below this limit.

In the following example, the alarm limit was set to 36 survey units. At 37, the background is green but red at altitudes less than 36.

Side Scan Altitude Window

Setting the Side Scan Altitude Window Alarm Limit


Towfish Sensors Window in Side Scan Survey

The Towfish Sensors window displays the pitch, roll, heading, pressure and depth of your side scan sonar.

Towfish Sensors Window


Message Window in Side Scan Survey

The Message window is a scrolling display of all messages read over an Ethernet device. You can pause the scrolling to study the content by clicking [Pause]. Click [Resume] to continue scrolling.

You may also record these messages to Message.txt, an ASCII text file stored in the HYPACK install folder by checking the box.


Graphical MRU in SIDE SCAN SURVEY

The Graphical MRU program shows Heading, Pitch and Roll in a real time, visual display.

Graphical MRU Display

The scale at the top of the window represents the heading.

The vessel is represented by the square in the center. When the vessel:

•Is stationary, the lines extending out on either side lie at the change from green to blue.

•Rolls, the diagram green/blue border rotates out of line with the horizon line by the amount of the roll.

•Pitches, the square moves vertically out of line with the circle by the amount of the pitch.

The Day/Night label enables you to toggle between dark and light displays according to your survey environment.

This display reflects the motion of either the boat or the fish according to the vessel selected in the SIDE SCAN SURVEY shell.


View Options in Side Scan Survey

The view options determine what data appears in the display windows and how the windows should be configured to optimize the display. They do not affect data logging.

•The Device Selections dialog is used to choose the source for each type of data displayed.

To access the Device Selections dialog, select VIEW-DEVICE SELECTIONS.

•The settings in the View Options dialog determine how the data should be displayed. Each of the windows is configurable to a certain extent. Range settings are adapted to expected bottom depths, display styles are selected to the operators personal preference and need.

To access View Options:

•Select VIEW-OPTIONS from the shell menu.

•Press the F9 key.

•Press Shift + F9 for Waterfall controls.

• [image] Click the View Options icon in the toolbar where available.

More Information

• Device Selections in SIDE SCAN SURVEY

• Side Scan Coverage Map View Options

• Side Scan Waterfall Controls

• Other Side Scan Survey View Options


Device Selections in SIDE SCAN SURVEY

The Device Selections dialog is a three-tabbed dialog. Each drop-down listing is populated based on your hardware configuration.

[Default] sets each field to the first device of each description in your device list.

•In the Survey Windows tab, select the device from which your displayed data should be read.

Device Selections Dialog - Survey Windows Tab

•In the Boat Corrections tab, select the device from which each value is read for the survey boat (first mobile) in your hardware configuration.

Device Selections Dialog - Boat Corrections Tab

•In the Towfish Corrections tab, select the device from which each value is read for the second mobile in your hardware configuration.

Device Selections Dialog - Towfish Corrections Tab


Side Scan Coverage Map View Options

The Coverage Map View Options (F9) allow you to define which objects are displayed in your coverage map.

Coverage Map View Options

Show Scale Bar displays the distance scale bar.

Follow Boat re-centers map when the boat leaves the screen.

Black Window Background displays the data on black. The alternative is a white background with black display.

Boat Shape shows a generic boat shape vs the circle boat symbol.

Show Side scan Coverage displays lines extending outward from the transducer to indicate the coverage area.

Show Planned Lines displays the survey lines.

[Clear History] removes side scan coverage lines that have drawn to that point.

Show Matrix displays the matrix enabled in your project in the Coverage Map.

The Draw Matrix in HYPACK SURVEY option paints the matrix in HYPACK SURVEY Area Map with side scan strength of return instead of depths.

Note:You must also select the Show Matrix option.

Update Matrix options control when SIDE SCAN SURVEYpaints the matrix in the Coverage Map window and when side scan data is passed to SURVEY.

Important: If you are painting the matrix in HYPACK SURVEY, you must update the matrix in SIDE SCAN SURVEY at least as often as you update your matrix in HYPACK SURVEY. If the matrix update setting is less frequent in SIDE SCAN SURVEY, it cannot supply the data required to accurately paint the matrix in HYPACK SURVEY.

Matrix Style:

•1x 2x Coverage paints each matrix cell according to the number of times the cell has been covered. Cells painted once are light gray. Additional coverage paints them dark gray.

•Real Time Mosaic colors the matrix according to the return intensity.

Painting a Matrix in SIDE SCAN SURVEY Coverage Map—1x2x Coverage (left) and Real Time Mosaic (right)

Tip: If you select this option, use the HYPACK Colors dialog to set your colors to mimic the Side Scan Waterfall display and the color combinations offered in the side scan controls. To do this, set the bands to range from 0 to 255 and select one of the predefined side scan options in the Color Options list.

[Clear Matrix] empties the matrix file.


Side Scan Waterfall Controls

The Side Scan Controls enable you to adjust the display settings for the Side Scan Survey window. Additional tools appear in the toolbar.

To access the side scan controls:

•Right-click on the side scan waterfall and select Side Scan Controls.

•Click the icon [image] .

•Shift + F9

• Side Scan Color Controls

• Side Scan Gain Controls

• Side Scan Display Controls

• Bottom Tracking Controls

Side Scan Color Controls

The side scan data is colored based on the intensity of the acoustic signal. The Color tab allows you to adjust all of the color properties of the scrolling data in the display

Side Scan Controls Dialog—Colors Tab

There are several default color options for which you can adjust the brightness and contrast using the corresponding sliders. In each case, low amplitude is light and high amplitude is dark (the traditional display method), but you can also reverse amplitudes represented by the dark and light color by checking the Invert checkbox. This is a more natural display because it emulates light and shadows.

You can neither modify the colors, nor the color distribution in the default palettes; however, you can create or modify custom palettes in the Color Palette Editor. Custom palettes are saved separately from your project, so you can use them across all of your side scan projects.

Creating Custom Palettes

1.Open the Color Palette Editor. Click [Edit Custom Palettes].

Color Palette Editor

2.Select a palette to modify and click [Load Selected Palette]. The palette name and colors appear in the Current Palette display.

3.Modify the palette as required, in the current palette display.

•To select new colors, click one of the sliders and choose a new color from the color dialog that appears.

•To add a color (slider), click on the current palette spectrum where you want to place it, then choose its color from the Color dialog that appear and click [OK].

•To shift the color distribution, reposition the sliders.

•To delete a slider, hold Shift and click the slider.

4.Save your palette. Enter a name at the bottom right and click [Save Palette].

•If you have modified a default palette, you must save your modifications to a new palette. The editor suggests the name by appending (1) to the default palette name, but you may change it. Your new palette appears in the Custom Palettes list.

•If you have modified a custom palette, you can overwrite the existing palette, or save it to a new palette with a different name.

Deleting Custom Palettes

You can delete any custom palette. Just select it in the Custom Palettes list and click [Delete Selected Palette].

Default Settings

If your results are unsatisfactory and, perhaps, you don’t know why, the dialog provides two buttons that restore typical settings:

[Default Values] reloads the Gold setting with 50% brightness and contrast.

[Reset Color Saturation Limits] resets the average amplitude value. The color schemes are all based on this value so, if your display looks light or dark and the Brightness control doesn't help, try this button to correct it.

Return to Top

Side Scan Gain Controls

The basic gain controls are available separately for port and starboard transducers. Check ‘Apply Basic Gains’ and use the sliders to optimize your displays.

Side Scan Controls Dialog

Gain adjusts the signal level uniformly up or down.

TVG (Time Varied Gain) compensates for signal loss due to absorption. It is a linear increase with time.

Starboard Gain =Port Gain keeps the two settings synchronized.

The TVG controls are custom controls for which we were contracted by some of our French users. Auto TVG scales colors based on the along track time series of each sample.

Typically, the side scan image darkens as the distance from the sonar head increases. Since the decreased strength of return toward the outer areas is due primarily to the distance from the sonar head, the program attempts to even the color over the distance scanned.

•Auto TVG: Attempts to automatically find present the best display.

•Apply TVG = dBs/100Meters: The strength of return will be multiplied by this value for every 100 meters of distance from the transducer it is.

•Apply TVG equation: This option enables you to apply a straight shift, a linear shift, an exponential shift or any combination of the three according to the values you enter for the P1, P2 and P3 variables. Each side scan device is different, so there are no default or suggested values. Experiment with different values to optimize your display.

You can toggle between these TVG settings using the Toggle TVG icon on the window’s toolbar. With each click it changes to the next method:

•Click 1: Auto TVG. The current sigma setting is displayed and the scroll buttons enable you to adjust the sigma setting 1 sigma for each click.

•Click 2: dBs/100 meters. The dB setting is displayed and the scroll buttons enable you to adjust the dB setting 5 dB for each click.

•Click 3: Off. (The TVG equation is only applied through the dialog.)

Return to Top

Side Scan Display Controls

The Display Tab contains options which determine the method to calculate the data to be displayed.

Side Scan Controls Dialog—Display Tab

Remove Water Column shows the side scan data corrected for slant ranges.

Note:For this option to work well, your towfish altitude must be accurately measured.

Draw Center Line draws a line vertically between the port and starboard channels in the waterfall display.

Show Signal Graph displays the side scan signal below the toolbar.

Show Bottom Tracking (recommended) superimposes a blue line that represents the bottom tracking in the Survey window.

Show HYSCAN Bottom Track Slider displays a bar above the waterfall display with a blue bar for the bottom track and a red bar on each side to define the amount the bottom track can change vertically per second before adjusting the bottom tracking. This helps filter bad soundings.

Range Lines draws reference range lines at the user-defined Spacing Interval and color from the water column outward.

Display Optimal Fish Altitude draws a red line at 10% of the sonar ping range—typically the height at which you can record the best quality data.

Display Range can be used to limit the data for display purposes only. For example, the side scan might be set to scan 100m, but you only wish to view 50m. The SIDE SCAN SURVEY program still logs all of the side scan data for post processing. Set this value to 0 and the window automatically scales according to the full extent of the data.

Smoothing eliminates minute depth changes.

The Side Scan Channel options enable you to view both channels (recommended) or the Port or Starboard channel alone.

Clip Range to NOAA Guidelines reduces the range of the mosaic produced when the towfish gets too close to the bottom. When it is less than the 8% of the device range scale from the bottom, the range of the mosaic created is 12.5 times the towfish altitude. For example, at a 100 meter range scale with the towfish at 5 meter altitude, the mosaic will extend only to 62 meters (5 x 12.5).

Return to Top

Bottom Tracking Controls

The Bottom Tracking options draw a blue line in your side scan display at the position where SIDE SCAN SURVEY recognizes the bottom. This position is also recorded to your file and used as the assumed bottom by TARGETING AND MOSAICKING in post-processing, but you can override this setting at that time if you wish.

Side Scan Controls Dialog—Bottom Tracking

Choose the source from which you want to read the depth or select "No Bottom Tracking" and set a constant value that approximates the depth.

•If your side scan sonar has a function to determine the bottom track, select “Use Fish Sensor”.

•If you want SURVEY to detect the bottom, select “Use HYSCAN Bottom Tracking”, then adjust the Blanking, Gate Size, Sensitivity and Smoothing settings to lock onto the bottom.

Note:You must also select the Show Bottom Tracking option and clear the Remove Water Column option in the Display tab.

•Blanking tells the program to ignore all signal down to this depth.

•0 is the same as no bottom tracking.

•Low setting eliminates the effects of backscatter to help find the true bottom.

•Very high setting can actually set the bottom tracking at a depth greater than the true depth.

•Gate Size tells SIDE SCAN SURVEY the amount the bottom track can change vertically per second before adjusting the bottom tracking. This helps to filter bad soundings from the bottom tracking records. Leave it set to 1.0 except in extreme cases

•Sensitivity sets the level of intensity at which the bottom is classified. Try it with a couple of different settings.

Click the ‘Bottom Tracking’ icon, then click on the waterfall display at the approximate level where you think the bottom should be. SIDE SCAN SURVEY then begins searching for the bottom at that level, and continues to search based on the other settings in the Bottom Tracking tab until it detects the actual bottom.

•If you want to fix the bottom track at a defined depth, select “No Bottom Tracking” and enter the Default Fish Altitude.

Return to Top


Other Side Scan Survey View Options

Display Positions as Lat/Long: All SIDE SCAN SURVEY windows that display position information can do so in projection grid coordinates (default) or in lat/lon.. To display position in lat/lon, check the ‘Display Positions as Lat/Long’ option in the View Options dialog.

Show Events: Draws event marks in the Side Scan Waterfall display.

View Options – Other Tab

The normal speed of the Side Scan Waterfall is constant, but the speed of your vessel generally is not.

To adjust the speed to match the speed of the survey vessel, [image] click the Speed Compensation icon. It displays objects and shapes in the scan in more realistic proportions (i.e. round objects look more round), but the display is not as smooth.


Logging Data in Side Scan Survey

Data logging may be controlled by HYPACK SURVEY or SIDE SCAN SURVEY. Logging commands are passed between the two programs to keep them in the same mode.

Data logging is controlled through options in the Navigation Parameters dialog, as well as through a series of keyboard shortcuts:

Logging Methods

FILE-HYPACK Commands | Keyboard Shortcuts
Start Logging | Ctrl + S
End Logging | Ctrl + E
Suspend Logging | Ctrl + U
Resume Logging | Ctrl + R
Increment Line | Ctrl + I
Decrement Line | Ctrl + D
Swap Line | Ctrl + W
Mark Event | Ctrl + N

Raw data is logged, by default, to the project Raw folder.

More Information

• Side Scan Device Controls

• Log Backup and Data File Overlap in SIDE SCAN SURVEY

• Matrix Files in Side Scan Survey

• Targeting in Side Scan Survey

• Real-time Mosaic for Side Scan Data

• Survey Keyboard Commands


Side Scan Device Controls

You can control your sonar settings from SIDE SCAN SURVEY. Device controls in the interface directly control sonar pinging, and can change the sonar range. For more complex setting changes, the controller icon accesses the full device controller window from your survey computer instead of using the device controls and without exiting the survey programs. (These tools are unavailable in playback mode.)

SIDE SCAN SURVEY Device Controls (from right to left) —Start/Stop Pinging, Range Controls, Device Controller Access

Side Scan Device Control for C-Max CM2 Side Scan


Log Backup and Data File Overlap in SIDE SCAN SURVEY

Long survey lines are often broken into smaller segments using the Log Back Time (in the HYPACK SURVEY Navigation Parameters). Log Backup Time starts logging a new data file every ‘n’ minutes. It is easier in processing to have a lot of smaller files than just a few overly large files.

Data File Overlap prevents data gaps, by continuing to log to the previous (Raw) HSX file after a new one has been opened. Overlap is selected in the Logging Options dialog of SIDE SCAN SURVEY (FILE- LOGGING OPTIONS).

Logging Option Dialog

There’s no harm in too much overlap, but too little will lead to data gaps.

Record Method: SIDE SCAN SURVEY can save your data to the HYPACK HSX format or to XTF format.


Matrix Files in Side Scan Survey

Matrix files are gridded rectangular areas. A matrix file enabled in your project is automatically loaded into SIDE SCAN SURVEY.

In SIDE SCAN SURVEY, your matrix files appear in the Coverage Map and can be used to track your side scan coverage in your survey area. It does not save depth data; instead, the program paints the matrix cell color according to the number of times the cell has been covered. Cells painted once are light gray. Additional coverage paints them dark gray.

Note:SIDE SCAN SURVEY supports multiple matrix files. One or more HYSWEEP type matrix files should be enabled in your project when you launch SIDE SCAN SURVEY.

To check the matrix type, open the matrix file in the MATRIX EDITOR and check the Type field.

Set the matrix options in the Coverage Map tab in the View Options dialog. Files are automatically updated and saved at program close.

Matrix Options

More Information

• Side Scan Coverage Map

• Side Scan Coverage Map View Options

• Saving Soundings to a User-defined Matrix in SURVEY

• Real-time Mosaic in SURVEY


Targeting in Side Scan Survey

SIDE SCAN SURVEY has multiple methods for marking targets:

•Double-click in the waterfall or coverage map display.

•When you mark the target in the waterfall display, a red circle with an X marks the spot in the waterfall display and the Targets dialog appears with the target information and a screen capture of the waterfall display. Not only is the image stored with the other target information for future reference, but it enables you to measure a targeted object and store that information as well.

•When you mark the target in the Coverage Map display, the Targets dialog appears with only the default timestamp name and the X,Y location.

•Take a screen capture. SIDE SCAN SURVEY automatically generates a target centered in the captured area and named like the captured image file.

•Use the Height Measurement tool and mark a target at the location.

SIDE SCAN SURVEY stores all targets to the SS Survey target group. In addition, it stores the images of the target locations as a JPG images in the SS Images folder named with the target timestamp.

Note:Quickmark targets (F5) are considered HYPACK SURVEY targets and are always stored in the Survey target group. No image is captured.

When you double-click to mark a target in SIDE SCAN SURVEY, the Targets dialog appears for you to inspect and edit the file entry, email or text the target information, then save or delete the target.

Targets Dialog

Tip: To access the Targets dialog without marking a target select TARGETS-EDIT TARGETS.

More Information

• Targeting in Side Scan Survey

• Editing Target Properties in Side Scan Survey

• Emailing the Target Information in Side Scan Survey

• Saving or Deleting Targets in Side Scan Survey


Editing Target Properties in Side Scan Survey

The Targets dialog shows the target position and default timestamp name with an image of the target area, if one has been captured.

Targets Dialog

To adjust the captured image display, use the Zoom tools:

•[Zoom] enables you to zoom to a user-defined area (zoom window). Click the button, then click and drag in the display to define the area.

•[Zoom Extents] restores the zoom scale to show the full swath.

Note:For display purposes only. The captured image always shows the full swath.

To shift the target position, click [Retarget] then click in the display at the new location.

You can edit the target properties using any number of the following methods:

•Rename your target. Replace the default timestamp name.

•Add notes about the target object.

•Measure the length and width of your target object. Click in the corresponding field for the target then click and drag across the target. The distance is then recorded in the selected field.

•Measure the height of the target object. Click in the Height field, then click on the top of the target and drag your cursor to the outer edge of its shadow.

Note:The Height Measurement tool may provide more accurate results as you then control the bottom track position. The Targets dialog relies on algorithms to determine the bottom track at your target location.

More Information

• Targeting in Side Scan Survey

• Emailing the Target Information in Side Scan Survey

• Saving or Deleting Targets in Side Scan Survey

• Measuring Object Height with the Height Measurement Tool


Emailing the Target Information in Side Scan Survey

When you mark a target in SIDE SCAN SURVEY, the Share button in the Targets dialog sends an email or text message through your email account with the target coordinates and its associated image (if you captured one).

When you share your first target, you must enter your the email account settings. (Check with your IT department or your email service provider.) The program remembers the settings for future sharing.

Targets Dialog

1.Click [Share]. The Share dialog will appear.

Share Dialog

2.If this is the first shared target, configure your email account settings.

a.Click [Settings]. The Email Settings dialog appears.

Entering your Email Server Settings

b.Enter your email server settings and click [Save].

3.Enter the email address where you want to send the target information. After the first shared target, this is saved from the previous share, but you can change it.

A text message is an email sent to a phone through the carrier’s SMS gateway. Check with the cell provider for the SMS email address. The smartphone must be configured to receive multimedia texts because of the image file.

4.Click [Send].

More Information

• Targeting in Side Scan Survey

• Editing Target Properties in Side Scan Survey

• Saving or Deleting Targets in Side Scan Survey


Saving or Deleting Targets in Side Scan Survey

When you capture a target, you can save it, with the default properties or with your added target information, or you can delete it.

Saving Targets

To save your target, close the Targets dialog. SIDE SCAN SURVEY stores all targets to the SS Survey target group. In addition, it stores the images of the target locations as a JPG images in the SS Images folder named with the target timestamp.

Note:The Project Items list includes only the TIF screen captures of your target area in the SS Images list.

Deleting Targets

You can delete one or all targets from the SS Survey group:

•To delete one target, select the target name in the target list at the top of the dialog and click [Delete].

•To delete all of the listed targets, click [Delete All].

More Information

• Targeting in Side Scan Survey

• Editing Target Properties in Side Scan Survey

• Emailing the Target Information in Side Scan Survey


Measuring Object Height with the Height Measurement Tool

The Height Measurement feature enables you to make measurements of a potential target object in the waterfall window and, optionally, mark a target at the object location.

Note:This method is potentially more accurate than measuring an object in the Targets dialog. In the Height Measurement dialog, you define the bottom track instead of relying on the computer algorithms used in the Targets dialog.

1. Click the Height Measurement icon, then click on the object you want to measure. The Height Measurement window appears with a capture of the section of the scan containing the cursor location, the corresponding Side Scan signal profile and three vertical sliders.

Height Measurement Window

2.Select and drag the three sliders into place using the waterfall and signal capture as your guides:

•Place #1 on the first return.

•Place #2 on the peak of the object.

•Place #3 on the outer edge of the shadow.

SIDE SCAN SURVEY calculates:

•The height of the towfish above the bottom

•The range from the towfish to the top of the object (assuming a flat bottom)

•The height of the object above the bottom

3.Save the information to the Target Database. (Optional) Click [Target]. The program creates the target with the default name and position and the Targets dialog appears with the coordinates where you clicked to initiate the dialog, the measured height and an image captured from the waterfall display.

4.Add length and width measurements, and notes. (Optional)

5.Click [Close] to return to the SIDE SCAN SURVEY interface.

Tip: To access this dialog without marking a target select TARGETS-EDIT TARGETS.


Measuring Horizontal Distance in the Side Scan Waterfall

Click and drag your cursor across the distance to be measured. The dialog displays the distance and azimuth of the cursor's track.


Saving Side Scan Waterfall Screen Captures

You can save JPG and geo-TIF screen captures of a user-defined area in the Side Scan Waterfall display, and generate a target centered in the defined area. These images are stored, by default, to the project \SS Images folder.

Note:The geo-TIF will not be exactly spatially correct, but it will be a clear representation of the area.
The JPG does not display with in the TARGET EDITOR.

1.If the toolbar is not visible, select VIEW-SHOW TOOLBARS (F10).

2. Click the Capture Image icon, then click and drag the area that you wish to capture. The described area will appear in a pop-up dialog for you to preview.

Side Scan Screen Capture Dialog

3.Save the capture. The program automatically generates the target named to match the screen capture.

•Click the File Save icon, set the output file type to *.TIF or *.JPG format, and name your picture.

•[Save and Close] automatically stores the geo-TIF named with the timestamp at the image location.

The program automatically generates the target named to match the screen capture.


Real-time Mosaic in SURVEY

For side scan surveys only, real-time mosaic is a series of georeferenced TIF (GeoTIF) images (tiles) of your side scan data, generated by SURVEY based on your real-time mosaic options.

When you enable the Side Scan Mosaic (CHARTS-SIDE SCAN MOSAIC), HYPACK® SURVEY paints a preview of the real-time mosaic tiles at the vessel location. As the vessel moves through the project area, the program continuously loads and unloads the individual tiles according to the vessel location and logs the data to a binary file in the project \Autoscan folder.

Note:The real-time mosaic draws only in HYPACK SURVEY.

When you close the SURVEY program, HYPACK® generates a series of GeoTIF files from the binary data, stores them to your project \Real Time Mosaic folder and enables them as background charts in your project.

Real-time Mosaic in the HYPACK SURVEY Map Window (left) and Side Scan Waterfall (right)

Sample Mosaics from Real-Time Mosaic—Two Tiles Disabled in the Display to Illustrate Tiling


Using the Coverage Driver to Monitor Side Scan Coverage

The Coverage driver draws a series of contiguous polygons to a DIG chart file representing the area covered by your survey. This chart file is saved to your project folder.

Each time you start line, a colored swath draws to the Area Map according to the parameters in the Coverage Driver setup. Though you set these parameters initially in HARDWARE, the device window for the Coverage.dll in SURVEYenables you to modify your settings in real time during SURVEY.

Each time you end line, these swaths are saved in the project folder to a DIG chart file with the same root file name as the corresponding raw data file. The Area Map in SURVEY automatically displays each DIG chart.

Tip: To minimize the number of files, you can periodically consolidate the DIG files into a DXF chart in the EXPORT program.

Coverage.dll Displays in the Area Map in SURVEY - Transparent Swath (left), Display Edges (right)


Side Scan Playback

You can play back any ASCII or binary file recorded by HYSWEEP® or SIDE SCAN SURVEY so you can review the data as it appeared during the data collection.

•The Simulation (Playback) driver in the HYSWEEP® or SIDE SCAN SURVEY driver list, paired with the HYSWEEP_Playback driver from the HYPACK® driver list can provide a complete simulation of your survey in HYPACK® SURVEY together with HYSWEEP SURVEY or SIDE SCAN SURVEY. Please refer to the Common HYPACK Drivers document found in your \HYPACK 2017\Help folder.

•The Playback Controller replays the data only in HYSWEEP SURVEY or SIDE SCAN SURVEY.

More Information

• The Playback Controller

• Playback Simulation Drivers


The Playback Controller

SIDE SCAN SURVEY will replay any HSX file recorded by SIDE SCAN SURVEY.

To access the Playback Controller, select FILE-PLAYBACK (F8).

Playback Controller

[Browse]: Pick a file for playback.

[Pause]: Temporarily suspend playback.

[Play>]: Playback in real time.

[Fwd>>]: Playback at 20 x real time.

[Search]: Activates search dialog. You can go directly to a specific event, to the next event from your current position in the playback, or to a specific time. Select your choice and define the event or time you are looking for, then click [Start Search].

Playback Search Parameters

[End]: End playback.


Playback Simulation Drivers

The Side Scan Simulation (Playback) driver, paired with the HYSWEEP_Playback HYPACK® driver can provide a complete simulation of your survey in HYPACK SURVEY and SIDE SCAN SURVEY together.

1.Click on ‘Boat’.

2.Select ‘HYSWEEP Playback’ from the Survey Devices list.

3.Click [Add].

4.Select the Position and Heading functions.

There are no setup parameters, as it will be reading everything from the HSX file.

5.Select ‘HYPACK Configuration’ and select ‘Include’ under SIDE SCAN SURVEY.

6.Select ‘SIDE SCAN SURVEY’.

7.Select ‘Simulation (Playback)’ from the Manufacturer/Model list and click [Add].

8.Click [Setup…]. The Simulation Setup window appears.

9.Click […] and navigate to the Raw folder containing the *.HSX files that you want to playback in the simulation. The folder can be the Raw folder within your current project, the Raw folder in another project, or a specific folder somewhere else on your computer, or network. You may play an individual HSX file or a catalog (*.LOG) of HSX files.

10.Select the *.LOG or *.HSX file to use in the simulation and click [Open].

11.Verify the path and file selected, and click [OK].

12.Save your hardware settings and close the HARDWARE program.

You can now open HYPACK SURVEY and SIDE SCAN SURVEYto view your simulation.


HYSWEEP SURVEY

HYSWEEP SURVEY is a multibeam and side scan data collection and logging program. Real-time displays and quality control testing give on-the-spot information on bottom conditions and data quality.

The HYPACK and HYSWEEP SURVEY programs run simultaneously, with HYPACK providing navigation and single beam data collection and HYSWEEP providing the multibeam features.

Note:Side scan devices are supported by HYSWEEP SURVEY. When you are logging both side scan and multibeam data, you should load your side scan devices through HYSWEEP HARDWARE and collect the data with HYSWEEP SURVEY.

Data is logged to HSX format, then processed through the 32-bit HYSWEEP EDITOR or 64-bit HYSWEEP EDITOR. The playback simulations replay HYSWEEP SURVEY files giving the same view as seen on the boat.

To start HYSWEEP SURVEY, select HYSWEEP-HYSWEEP SURVEY or, since it runs in tandem with HYPACK SURVEY, select SURVEY-HYPACK SURVEY AND HYSWEEP SURVEY.

More Information

• HYSWEEP SURVEY Display Windows

• Display Settings in HYSWEEP SURVEY

• Files and Filenames in HYSWEEP SURVEY

• Corrections in HYSWEEP SURVEY

• Logging Data in HYSWEEP SURVEY

• Playback in HYSWEEP SURVEY


HYSWEEP SURVEY Display Windows

There are several windows which may be displayed through HYSWEEP for real-time monitoring of your data collection. HYSWEEP SURVEY also includes displays for side scan and LIDAR data.

The View menu provides access to existing windows, and options to generate (VIEW-NEW-WindowName) and remove (VIEW-REMOVE-WindowName) windows in your display. In this way, HYSWEEP SURVEY can show multiple windows of the same type, but you can configure them to display data from different devices (selected in the toolbar for each window) or the same data with different display options.

Most windows have a toolbar at the top, providing shortcuts to window configuration. Pass the mouse pointer over a tool to see a hint as to what the tool does. Toolbars are toggled on / off with the F10 key.

Each window can be resized and moved around the screen, retaining it’s size and position until changed. VIEW-TILE WINDOWS will arrange the currently open windows in a manner that attempts to optimize your viewing in each window.

More Information

• Main Window in HYSWEEP SURVEY

• Profile Window in HYSWEEP SURVEY

• 3D Seafloor in HYSWEEP SURVEY

• Waterfall Windows in HYSWEEP SURVEY

• Shore View Window

• Real Time Cloud Window

• Topography Window in HYSWEEP SURVEY

• Coverage Map and Cross Section Windows in HYSWEEP SURVEY

• Interferometry Window in HYSWEEP SURVEY

• Limits Window in HYSWEEP SURVEY

• Nadir Window In HYSWEEP SURVEY

• QC Test Window HYSWEEP SURVEY

• Time Series Windows in HYSWEEP SURVEY

• Total Propagated Uncertainty in the HYSWEEP SURVEY

• Message Window in HYSWEEP SURVEY

• Device Control Windows in HYSWEEP SURVEY

• Graphical MRU in HYSWEEP SURVEY

• Side Scan Coverage Map View Options


Main Window in HYSWEEP SURVEY

The main window consists of a menu, some indicators and some measurements. It can be resized to show only items of interest and will retain the size on subsequent program runs.

The title bar gives logging and playback status. "Offline" is shown when neither logging nor playback is active. The current data file is shown when logging or playback is active.

You can choose to display data relative to the boat or to the towfish by selecting the option at the bottom of the dialog.

HYSWEEP SURVEY Shell

• Alarms in HYSWEEP SURVEY

• HYSWEEP SURVEY Measurements

Alarms in HYSWEEP SURVEY

HYSWEEP SURVEY can be configured to continuously check for and notify you of data errors or loss of data input. They show green (OK), yellow (careful) or red (look out) depending on status. Click the indicator to show status history.

The Nav, MRU, Gyro, Side Scan and Multibeam alarms at the top of main window of HYSWEEP turn red when no data has been received from the corresponding device for some time. Set the Time Out Interval in the Connect tab in HARDWARE.

There are also quality control alarms for heave drift, excessive multibeam–single beam difference and excessive multibeam overlap difference and several other problematic conditions.

To set up the alarms and limits, select VIEW-OPTIONS-QC Test and choose your alarms and limits.

View Options—QC Test Tab

Return to Top

HYSWEEP SURVEY Measurements

The measurements displayed in the HYSWEEP SURVEY shell are updated about once a second. They include the following:

Depth: Nadir beam depth in survey units.

Time (Event): Latest sounding time and event number. Time will not update if no soundings are being received.

Tide Corrections: Latest tide correction from HYPACK SURVEY.

Draft Corrections: Latest dynamic-draft correction from HYPACK SURVEY or from the HYSWEEP squat & settlement table.

Heave: Latest heave in survey units, positive upward.

Roll: Latest roll in degrees, positive port side up.

Pitch: Latest pitch in degrees, positive bow up.

Heading: Latest ship heading.

Easting / Northing: Latest grid position from HYPACK SURVEY.

SV from Profile is the current sound velocity correction from the sound velocity profile entered under CORRECTIONS-SOUND VELOCITY.

SV from Controller is the current sound velocity correction from the sensor. If there is no sound velocity sensor, it will display the sound velocity value entered in the sonar controller.

More Information

• Sound Velocity Corrections in HYSWEEP SURVEY

• QC Test Settings in HYSWEEP SURVEY

Return to Top


Profile Window in HYSWEEP SURVEY

The Profile window shows sweep profiles in various ways:

•a profile line

•the beam pattern (shown)

•a bizarre wave-front display.

Only the profile line is available with multiple transducer and LIDAR systems. The view is looking forward from behind the sonar.

Profile Window

This display is limited to 75 beams and the swath width is displayed in the status bar. Note the color of the beams. The coding is such that blue indicates good data, yellow marginal and red bad. The relationship between color and beam quality code is established under VIEW-OPTIONS-OTHER.

To show the Profile Window, select VIEW-PROFILE WINDOW from the HYSWEEP SURVEY menu. Display settings for the Profile Window are set by selecting VIEW-OPTIONS then RANGE SETTINGS and MULTIBEAM DISPLAY.

If you are collecting data from multiple sensors configured in HYSWEEP HARDWARE (for example, multibeam and LIDAR data) the display defaults to the first device in the hardware configuration. You can manually select the device for which the data should be displayed in the Device Selections dialog.

More Information

• Device Selections in HYSWEEP SURVEY

• Range Settings in HYSWEEP SURVEY

• Multibeam Display Settings in HYSWEEP SURVEY


3D Seafloor in HYSWEEP SURVEY

The 3D Seafloor window shows a three-dimensional representation of the aft seafloor. The view is through the rear-view mirror, which is somewhat odd but is the only way to draw these 3Dimensional images effectively. Display methods are:

•3D Wiggle

•Color Wire Frame

•Solid TIN

•Color TIN (shown)

F11 toggles scrolling on / off and is useful to freeze the frame in case something interesting shows up. Moving the cursor across the window displays grid position and depth. Contacts may be targeted by double clicking the object of interest and object size is measured by dragging the cursor from point to point.

3D Seafloor

To show the 3D Seafloor, select VIEW-3D SEAFLOOR from the main HYSWEEP SURVEY menu. Display settings may be set by selecting VIEW-OPTIONS then Range Settings and Multibeam Display.

If you are collecting data from multiple sensors configured in HYSWEEP HARDWARE (for example, multibeam and LIDAR data) the display defaults to the first device in the hardware configuration. You can manually select the device for which the data should be displayed in the Device Selections dialog.

More Information

• Range Settings in HYSWEEP SURVEY

• Multibeam Display Settings in HYSWEEP SURVEY


Waterfall Windows in HYSWEEP SURVEY

Waterfall windows are scrolling displays of your data. HYSWEEP SURVEY includes waterfall windows of multibeam data colored based on depth or intensity, and a sideways waterfall—the shore view window—for topographic laser systems.

Multibeam and Intensity Waterfalls

The Multibeam and Intensity Waterfall windows are forward-looking representations of the seafloor shown as a gray or color TIN. The original multibeam waterfall can be colored based on intensity instead of depth, however the Intensity Waterfall provides a better display.

The waterfall is a more traditional display method than the 3D view.

Multibeam Waterfall

F11 toggles scrolling on / off and is useful to freeze the frame in case something interesting shows up. Moving the cursor across the window displays grid position and depth. Contacts may be targeted by double-clicking the object of interest and object size is measured by dragging the cursor from point to point.

To access this window, select VIEW-MULTIBEAM WATERFALL from the main HYSWEEP SURVEY menu. Display settings may be set by selecting VIEW-OPTIONS then Range Settings and Multibeam Display.

If you are collecting data from multiple sensors configured in HYSWEEP HARDWARE (for example, multibeam and LIDAR data) the display defaults to the first device in the hardware configuration. You can manually select the device for which the data should be displayed in the Device Selections dialog.

Side Scan Waterfall Window

The Side Scan Survey window is the traditional side scan display (forward looking and without slant range corrections). It updates at 1Hz, regardless of how quickly your GPS or side scan is updating.

You can include the side scan signal and a bottom tracking tool in the display options, and adjust the reflection brightness and contrast through the side scan controls. The status bar shows the cursor position in either X/Y or lat./lon. in the status bar.

Side Scan Survey Window

If you have dual frequency side scan, use the frequency icon toggle between frequency displays. A second Side Scan Waterfall window is available through the View menu to support dual frequency units.

To display in lat/lon, check the ‘Display Positions in Lat/Lon’ option in the View Options dialog.

You can control your sonar settings from SIDE SCAN SURVEY. Device controls in the interface directly control sonar pinging, and can change the sonar range. For more complex setting changes, the controller icon accesses the full device controller window. (These tools are unavailable in playback mode.)

Ping Range Tools (from right to left) —Start/Stop Pinging, Range Controls, Device Controller Access

The normal speed of the Side Scan Waterfall is constant, but the speed of your vessel generally is not.

To adjust the speed to match the speed of the survey vessel, [image] click the Speed Compensation icon. It displays objects and shapes in the scan in more realistic proportions (i.e. round objects look more round), but the display is not as smooth.

More Information

• Range Settings in HYSWEEP SURVEY

• Multibeam Display Settings in HYSWEEP SURVEY

• Project Colors in HYPACK

• Side Scan Waterfall Controls

• Topography Window in HYSWEEP SURVEY


Shore View Window

The Shore View window is for laser data only. It displays the data in a sideways scrolling display.

Sample Shore View Display

The Color By Intensity option changes from the project depth colors to an alternate color code for intensity.

To adjust the colors, the Colors icon accesses the HYPACK Colors dialog.

Configure the vertical and horizontal range of the data displayed in the Range Settings tab of the View Options dialog.

When you have laser devices facing both port and starboard, the Toggle Port/Starboard button enables you to view data from either device.

If you have more than one driver configured to display laser data, choose the device from the drop-down list.


Real Time Cloud Window

The Real Time Cloud window provides a 3-dimensional display of your survey area. Originally designed to draw a point cloud of multibeam soundings, it can now be configured to include other project files.

For HYSWEEP SURVEY, it merges topographic and hydrographic data in one window in a scrolling point cloud display. If you reach the user-defined maximum number of data points, the window removes the earliest points as it draws new soundings.

You may provide further context to the display with the projection grid, charts and other project files (planned lines, plotting sheets, matrix files, etc.) displayed as charts. You can even paint the matrix in the Real Time Cloud window.

Sample Real Time Cloud Window

More Information

• Real Time Cloud Display Options

• Cloud Keyboard Shortcuts


Topography Window in HYSWEEP SURVEY

The Topography window shows laser coverage using real-time corrections. It displays the profile view and an optional map view that you can turn on and off with the Toggle Overhead View icon.

Topography Window

To set the display options, access the Ranges and Multibeam tabs in the View Options dialog.

•In the Ranges tab, set the horizontal and vertical limits for your display in the Topographic Laser section.

Tip: You can also use your mouse wheel to adjust the zoom scale.

•In the Multibeam tab, set the point size in all displays.

More Information

• Range Settings in HYSWEEP SURVEY

• Multibeam Display Settings in HYSWEEP SURVEY

• Waterfall Windows in HYSWEEP SURVEY


Coverage Map and Cross Section Windows in HYSWEEP SURVEY

The Coverage Map views the survey area from above. It has a number of features and options.

•Multibeam, side scan and laser topographic coverage as scan lines.

•Color-coded matrix display showing depths according to the options set in the matrix view options.

Note:This requires a HYSWEEP type matrix.

•Planned survey line display.

•A toolbar for cutting cross sections, panning and zooming.

•Distance and color scale bars.

•Boat tracking

•Current sweeps colored differently to distinguish them from previous sweeps and assist navigation.

•To target contacts double-click the object of interest.

•To measure object size drag the cursor from point to point.

•Toggle scrolling on/off with F11. This is useful to freeze the frame in case something interesting shows up.

•Cursor position display: Moving the cursor across the window displays grid position and depth.

Coverage Map

To cut a cross-section through the sounding matrix, click the cross-section tool and drag the section line across the matrix. The cross section is displayed in a separate window.

Matrix Cross Section

To access the Coverage Map, select VIEW-COVERAGE MAP from the main menu. Display settings are in the Coverage Map tab of the View Options dialog, and through the Matrix Options dialog (Show Coverage).

More Information

• Coverage Map Settings in HYSWEEP SURVEY

• Matrix Files in HYSWEEP SURVEY


Water Column Logger

The Water Column Logger launches automatically in HYSWEEP SURVEY when you have enabled water column logging in your hardware configuration. Select the Log Water Column Data option in the driver setup of an echosounder that supports logging such data and check the device controller software for additional settings that enable water column data output. (Refer to the HYSWEEP Interfacing Notes for the expected device output.)

The HYSWEEP® Water Column Logger reads multibeam data in real time over the network and enables you to monitor and log data, and mark targets at points of interest.

Water Column Logger

Use the Water Column Display options in the Water Column Logger to optimize your display:

•Amplitude Graph shows nadir beam amplitude in time series.

•Graph Maximum adjusts the graph scale.

•Color Maximum sets the color saturation limit. The blue horizontal bar is at the saturation limit. Click and drag the bar or change the Color Maximum value to reset the limit.

•Dot Size adjusts the amplitude pixel size.

•Soundings overlays the survey raw depths.

More Information

• Logging Water Column Data

• Water Column Playback

• Logging Data in HYSWEEP SURVEY


Interferometry Window in HYSWEEP SURVEY

The Interferometry window displays all data from an interferometer. If the device filters the data before sending it to the survey computer, flagging data outside of its filter criteria. You may honor the flags generated by the device or choose for HYSWEEP SURVEY to ignore them by checking the ‘Ignore manufacturer flags’ option in the Interferometry Options dialog.

Data flagged as ‘bad’ by the filters are red; good data is green. If filters are enabled in the Interferometry Options dialog, the boundaries are shown in blue.

Sample Interferometry Window

Any of the interferometry options may be modified while logging if you choose.

More Information

• Interferometry Logging Options


Limits Window in HYSWEEP SURVEY

The Limits window shows information about the depth and width of the sweep.

•The Corrected Depth displays data from the outer beam on each side and the nadir beam. The depths on the left of each graph show the minimum to maximum depths read from that beam. The depths on the right show the current depth reading.

•The Offset display shows the width of the sweep. The top numbers are the width of the most recent reading. The bottom numbers show the maximum distances to either side of the nadir beam and the total of the two values.

Access the Limit window using VIEW-LIMITS. Display settings may be set by selecting VIEW-OPTIONS-RANGES.

Limits Window

More Information

• Range Settings in HYSWEEP SURVEY


Nadir Window In HYSWEEP SURVEY

The Nadir Depth window displays the current, uncorrected nadir depth. It may also be configured to display a red background if the depth returned by the sensor falls below a user-defined limit.

In the following example, the alarm limit was set to 70 survey units. At 85.2, the background is green but red at depths less than 70.

HYSWEEP SURVEY Nadir Window

More Information

• Multibeam Display Settings in HYSWEEP SURVEY


QC Test Window HYSWEEP SURVEY

The QC Test window shows the results of one of four HYSWEEP quality control tests.

•Depth change by Beam: Shows the depth change of each beam over a specified number of pings. Faulty beams and incorrect attitude compensation show up clearly in this test.

•Standard Deviation by Beam: Approximates the standard deviation of each beam over the last 500 pings using the method of Eeg1. May be used in flat areas to assess overall sounding precision.

•Multibeam vs. Single Beam: Compares multibeam nadir with single beam. Useful for validating the multibeam sonar against the more traditional (and more widely accepted as correct) single beam echosounder.

Multibeam vs. Single Beam Comparison

•Multibeam Sounding Overlap: Provides multibeam overlap statistics within matrix cells. May be used in flat areas to validate multibeam system calibration.

All of these tests make some approximations and work better over a flat surface. An example of the multibeam vs. single beam test is shown in the screen capture. The problem with this test over variable bottom terrain is that the wide-angle single beam transducer sounds a wider area per ping than the narrow nadir beam, resulting in a slight shoal bias for the single beam.

To access this window, select VIEW-QC TESTS from the main HYSWEEP SURVEY menu. Set display settings by selecting VIEW-OPTIONS then QC Tests tab.

More Information

• QC Test Settings in HYSWEEP SURVEY

1. Eeg, Jorgen On the Estimation of Standard Deviation in Multibeam Soundings. The Hydrographic Journal, No. 89, July 1998.


Time Series Windows in HYSWEEP SURVEY

Three time series windows graph Surface Sound Velocity, Heave and Tide Correction (one value per window) in real-time.

Sample Heave Window


Total Propagated Uncertainty in the HYSWEEP SURVEY

Total Propagated Uncertainty (TPU) calculations attempt to account for all possible causes of error in your survey data and how they affect each other.

Based on the general, environmental and sensor data entered in the TPU EDITOR and real-time sounding data, HYSWEEP SURVEY calculates and displays three uncertainty values:

•Total Vertical Uncertainty (TVU): Level of confidence in the depth value, calculated based on Depth 1 in dual frequency surveys and on the nadir beam of multibeam surveys.

•Total Horizontal Uncertainty: Level of confidence in the horizontal positioning of the sounding.

•Target Size Limit Value: Minimum size object likely to be found given the sounding and positioning uncertainties.

Note:With the exception of the TVU in single beam surveys, these values are not recorded; they are for display purposes only.

You can compare the each uncertainty display against the following IHO and USACE specifications in the HYSWEEP TPU windows.

•IHO Special Order Requirements

•IHO 1st Order Requirements

•USACE Hard Bottom Requirements

•USACE Soft Bottom Requirements

To view one or more of the TPU windows in HYSWEEP SURVEY, select VIEW-TOTAL PROPAGATED UNCERTAINTY and check the graph you want to view.

Sample TPU Windows

More Information

• TPU Editor

• 64-bit HYSWEEP EDITOR Options

• Color Settings in 64-bit HYSWEEP EDITOR


Message Window in HYSWEEP SURVEY

The Message window is a scrolling display of all messages read over an Ethernet device. You can pause the scrolling to study the content by clicking [Pause]. Click [Resume] to continue scrolling.

You may also record these messages to Message.txt, an ASCII text file stored in the HYPACK install folder by checking the box.


Device Control Windows in HYSWEEP SURVEY

The HYSWEEP SURVEY Tools menu includes two control dialogs--one for multibeam devices and one for side scan devices. These controls communicate directly with the device without exiting the survey programs.

Geoswath Remote Control


Graphical MRU in HYSWEEP SURVEY

The Graphical MRU program shows Heading, Pitch and Roll in a real time, visual display.

Graphical MRU Display

The scale at the top of the window represents the heading.

The vessel is represented by the square in the center. When the vessel:

•Is stationary, the lines extending out on either side lie at the change from green to blue.

•Rolls, the diagram green/blue border rotates out of line with the horizon line by the amount of the roll.

•Pitches, the square moves vertically out of line with the circle by the amount of the pitch.

The Day/Night label enables you to toggle between dark and light displays according to your survey environment.

This display reflects the motion of either the boat or the fish according to the vessel selected in the HYSWEEP SURVEY shell.


Display Settings in HYSWEEP SURVEY

The view options determine what data appears in the display windows and how the windows should be configured to optimize the display. They do not affect data logging.

•The Device Selections dialog is used to choose the source for each type of data displayed.

To access the Device Selections dialog, select VIEW-DEVICE SELECTIONS.

•The settings in the View Options dialog determine how the data should be displayed. Each of the windows is configurable to a certain extent. Range settings are adapted to expected bottom depths, display styles are selected to the operators personal preference and need.

To access View Options:

•Select VIEW-OPTIONS from the shell menu.

•Press the F9 key.

Note:The side scan windows have separate display options accessed from an icon in their windows.

More Information

• Device Selections in HYSWEEP SURVEY

• Range Settings in HYSWEEP SURVEY

• Multibeam Display Settings in HYSWEEP SURVEY

• QC Test Settings in HYSWEEP SURVEY

• Coverage Map Settings in HYSWEEP SURVEY

• Other Display Settings in HYSWEEP SURVEY

• Color Settings in HYSWEEP SURVEY


Device Selections in HYSWEEP SURVEY

The Device Selections dialog is a three-tabbed dialog. Each drop-down listing is populated based on your hardware configuration.

[Default] sets each field to the first device of each description in your device list.

•In the Survey Windows tab, select the device from which your displayed data should be read.

Device Selections Dialog - Survey Windows Tab

•In the Boat Corrections tab, select the device from which each value is read for the survey boat (first mobile) in your hardware configuration.

Device Selections Dialog - Boat Corrections Tab

•In the Towfish Corrections tab, select the device from which each value is read for the second mobile in your hardware configuration.

Device Selections Dialog - Towfish Corrections Tab


Range Settings in HYSWEEP SURVEY

Click the Range tab to set depth, offset and angular display limits. Note that while these limits are used by the HYSWEEP SURVEY display windows, they do not affect data logging. All soundings are always logged.

Some of the range settings (multibeam depth, offset, angle and quality limits) are saved in data files for optional use in post-processing. This feature allows the surveyor, who knows the water where he’s working, to control range settings for post-processing.

The Range Tab

Work Units: Work units are taken from your geodesy settings.

Multibeam Options:

HYSWEEP SURVEY supports logging from multibeam sonar, laser scanners or both simultaneously.

•Minimum Depth: Enter minimum depth gate. No soundings above this depth are displayed.

•Maximum Depth: Enter maximum depth gate. (You can also increment and decrement this value by 5 using F2 and F3 respectively.) No soundings below this depth are displayed. This value also determines the resolution of the saved depth value (which is always saved in meters).

Max Depth Resolution

Depth | Resolution
< 500 meters | 0.01 meters
> 500 meters and < 5000 meters | 0.10 meters
<5000 meters | 1.00 meters

•Offset Limit: Maximum horizontal distance from the vessel origin allowed for display.

•Depth Range for Overlap Colors: When a matrix is displayed in the Overlap method, depth differences are color coded from 0 to this value.

Note:Depth, offset and angle limits also affect interferometric data when it is filtered by display limits.

Topographic Laser Options:

•Minimum Depth: Enter minimum depth gate. No soundings above this depth are displayed.

•Maximum Depth: Enter maximum depth gate. (You can also increment and decrement this value by 5 using F2 and F3 respectively.) No soundings below this depth are displayed. This value also determines the resolution of the saved depth value (which is always saved in meters).

•Port and Starboard Offset Limit: Maximum horizontal distance from the vessel origin to the topographic surface allowed for display. This option filters points that are too far in the background to be meaningful.


Multibeam Display Settings in HYSWEEP SURVEY

The Multibeam Display Settings control the style and coloring of the multibeam displays.

Multibeam Display Tab

Profile Window:

•Sweep Profile shows the bottom profile of each sweep.

•Beam Pattern shows each beam with color-coding based on quality.

•Wave front shows the sounding wave front and backscatter points.

•Sounding Points: Each sounding is shown as a color-coded dot of user-defined Point Size (pixels). The point size is defined for all HYSWEEP window displays in the 3D Seafloor options.

•Fix Vertical =Horizontal Scale keeps the view from being stretched disproportionately in either direction which causes some distortion.

3D Seafloor:

•Wiggle shows a succession of sweep profiles.

•Wire frame shows a wire frame seafloor model with depth color-coding.

•Solid TIN shows a TIN model with illumination.

•Color TIN shows a TIN model with depth color-coding.

•Sounding Points: Each sounding is shown as a color-coded dot of user-defined Point Size (pixels).

Multibeam Waterfall:

•Solid TIN shows a TIN model with illumination.

•Color TIN shows a TIN model with depth color-coding.

•Intensity: If your echosounder has the capability of measuring the strength of the return signal, this can be represented in gray scale. A stronger return is represented by a lighter color.

Nadir Depth:

•Alarm Depth defines the minimum depth you expect. If the depth drops below this limit, the background of the Nadir Depth window will turn red.

Dual Head Calibration options: When you are collecting patch test data with a dual head system, choose whether the data from Head 1 or Head 2 will paint the matrix to ensure proper overlap.

More Information

• Profile Window in HYSWEEP SURVEY

• 3D Seafloor in HYSWEEP SURVEY

• Waterfall Windows in HYSWEEP SURVEY

• Nadir Window In HYSWEEP SURVEY


QC Test Settings in HYSWEEP SURVEY

QC Test Settings control the QC Test Window.

QC Test Tab

Display: Selects one of the four multibeam QC methods.

•Depth Change by Beam: Shows the depth change seen at each beam over the last N sweeps.

•Estimated Standard Deviation: Estimates the standard deviation of each beam over the last 100 sweeps.

•Multibeam vs. Single Beam: Provides multibeam vs. single beam statistics.

•Multibeam Sounding Overlap: Provides statistics on multibeam overlap. This test is only available when a matrix file is loaded.

Alarm Limits: Enable QC alarms and set limits. Yellow indicators in the main window bring these alarms to the surveyors attention.

•Heave Drift: Alarm heave drift (over 10 seconds) beyond the limit. One must watch this closely on small boats because sharp turns can cause one or more foot of heave error.

•Multibeam–Single beam Difference: Alarm difference (over 500 samples) beyond the limit.

•Multibeam Overlap Difference: Alarm difference (averaged over all matrix cells) beyond the limit.

•SV Profile – Sensor Difference: Shows an alarm if the difference between the sound velocity correction from the sensor and the first value in the Sound Velocity Profile is greater than the user defined amount.

•Show Warning Until SV Profile is Entered provides an alarm if you have not loaded your sound velocity corrections. Of course (unless you are using the EM2000, EM3000 or EM3002 driver, which preprocesses your data) you can add or change these corrections during post-processing by loading a Sound Velocity Corrections file (*.VEL) in the 32-bit HYSWEEP EDITOR.

•Minimum SV Limit and Maximum SV Limit: Shows alarm if the surface sound velocity is outside the user-defined limits.


Coverage Map Settings in HYSWEEP SURVEY

Coverage Map settings allow you to define which objects are displayed in your coverage map.

Coverage Map Tab

Show Scale Bar: Displays the distance scale bar.

Show Matrix: Displays the sounding matrix. This option is enabled only if you are drawing your soundings to HYSWEEP SURVEY.

Follow Boat: Re-centers map when the boat leaves the screen.

Show Multibeam Coverage: Displays multibeam sweep lines while logging.

Show Topo Coverage: Displays laser topographic coverage while logging.

Show Side Scan Coverage: Show side scan lines while logging.

Show Planned Lines: Displays the planned survey lines.

Save History to File saves the coverage information when you exit HYSWEEP SURVEY. It automatically displays when you resume data collection to assure complete coverage of your survey area. [Clear History] deletes the contents of the file.

Ignore Beams with TPU above IHO/USACE level sets the Coverage Map to paint cells only when IHO Criteria are met. The sounding data is still logged to the raw data file regardless of the TPU status.

[Clear Matrix]: Clear matrix file of all sounding data.

[Matrix Options]: Select matrix display options.

[Clear History]: Clear multibeam and side scan coverage lines.

More Information

• Coverage Map and Cross Section Windows in HYSWEEP SURVEY


Other Display Settings in HYSWEEP SURVEY

The Other Tab

Apply Heave, Pitch, Roll Corrections and Apply Tide Corrections: Select whether or not to apply these corrections to the multibeam soundings before display.

Black Window Background: Select black or white window background. As of this writing, displays over a White background are pretty bad.

Adjust SV Profile Each Ping Using SV at the Sonar Head: If your sounder has a surface sound velocity probe, the sound velocity at the sonar head is recorded by HYSWEEP SURVEY in real time. This option updates the SV profile with the value reported by the sound velocity probe.

Display Positions as Lat/Long: The default setting displays position information as XY. Check this box if you prefer lat/lon.

Nadir Depth Window Always on Top prevents the Nadir Depth window from being covered by any other. This could be particularly important if you are using it as an alarm to warn you of shoals.

Side Scan Display Has Highest Priority guarantees every scan will be drawn to the Side Scan Waterfall window providing the clearest image possible. If this is not checked, logging data gets the precedence. If your computer is fast enough, it should be able to do both, but it is your responsibility to check for complete data files.

Manufacturer’s Beam Coding: Assign as sounding quality based on quality codes received from the multibeam echosounder. The Profile window color-codes soundings based on quality: high = blue, marginal = yellow, bad = red.

•High Quality Limit: All soundings greater than or equal to this value are assumed good.

•Marginal Quality Limit: All soundings less than this value are assumed bad.

•Show Bad Soundings: Selects display of bad sounding data.

Show Events annotates the 3D seafloor; bathymetric; and intensity, side scan and shore waterfall displays at each event.

More Information

• Water Column Logger

• Logging Water Column Data

• Water Column Playback

• Logging Data in HYSWEEP SURVEY


Real Time Cloud Display Options

In addition to the tools in the toolbar, the Boat Settings and Settings dialogs provide additional controls for the Real Time Cloud display.

• Toolbar

• Painting the Matrix

• Charts and Project Files

• Vessel Display

• Sounding Display

• Clipping the Soundings with a Channel File

• Real Time Cloud Colors

Toolbar

Use the tools to optimize the display and enhance your viewing capabilities.

Real Time Cloud Toolbar

Real-time Cloud Display Tools

Icon | Useage
 | Zoom Extents: Draws the display at a zoom scale that displays all enabled data from above.
 | Reset removes all of the currently displayed points.
 | Add Target sets the cursor to mark targets.
 | Set Center Point set a user-selected point as the world center point around which the cloud rotates.
 | Measure Tool: Click at two locations in the REAL TIME CLOUD display. The status bar displays the coordinates of the two locations and the distance between them.
 | Play and Pause start and stop the collection of points in the display, respectively. This only affects the display. Logging continues uninterrupted.
 | Center on Boat focuses the display on the boat rotating around it. Deselected, it leaves the focus on the last position.
 | Change Mobile advances the display to focus on the next vessel in the hardware configuration.
 | [ - ] and [ + ] decrease and increase the size of the points in the cloud respectively.
 | Export to image enables you to save the current display to a BMP, PNG or TIFF image.
 | Set Colors accesses the colors dialog where you can modify the Palette 1 colors for your display.
 | Background Color enables you to choose the color behind your sounding display.
 | Legend toggles a color bar display on and off.

Sounding Display

The Settings dialog governs sounding display in the Real Time Cloud window:

To access the Settings dialog, click the Settings icon.

Settings Dialog

Maximum Points to Display sets the maximum number of points drawn in the Real Time Cloud display. The default is 3 million. The number is limited by the resources of your computer and the volume of data.

Capture Multibeam Points and Capture Topographic Points: Choose whether to display hydrographic (multibeam) or topographic (LIDAR) data.

Capture Matrix: When you configure HYPACK SURVEY to paint depths to a HYSWEEP matrix, check this option to draw the same matrix in the Real Time Cloud window.

Tip: If you are collecting topographic and hydrographic data together, you may prefer to omit the multibeam points and paint the matrix instead. The matrix, together with the topographic data makes a clean display; and the matrix is constant, while the point data omits older points from the display when you reach the specified maximum number.

Hide Near Points: Produces an effect similar to if you physically moved into the point cloud toward the designated cloud center. When you reach a high enough zoom scale, Real Time Cloud removes the points closer to the edge of the point cloud allowing you to see objects in the center of the cloud more clearly. Without this option, all soundings remain in the display. In the following figure, the tree in the center foreground is removed from the display when the option is selected.

Hiding Near Points—Distant Display (left), Near Points Removed (center), Near Points Remain (right)

Return to Top

Painting the Matrix

Painting a matrix in Real Time Cloud requires the following conditions:

•An enabled matrix in your project of the correct type according to your project—Survey for single beam surveys, HYSWEEP for multibeam surveys, or dredge for dredging projects.

•Your depth device (sounder for surveys or cutting tool for dredge projects) is configured to paint the matrix.

•The Gap Interpolation option in the Matrix Options dialog is disabled.

1.Open the Real Time Cloud Settings dialog. (Click the Settings icon.)

2.Check the Capture Matrix option. The other display and Channel settings are not applicable. Background Chart settings are optional.

Real Time Cloud Settings Dialog

3.Click [OK].

Return to Top

Charts and Project Files

When you launch HYSWEEP SURVEY, it automatically loads all charts and project files enabled in your project. From the Real Time Cloud Settings dialog, you may modify the configuration for the Real Time Cloud window.

Background Charts Dialog

1.Check Enable Charts. (Required)

2.Check Enable Grid (Optional) to overlay the projection grid on your display.

3.Click [Configure Charts]. A dialog appears with a list of additional files, currently enabled in your project, that you may display.

4.Choose the files to display:

•To add another file, click [Load Chart], select the file in the File Open dialog and click [Open].

•To enable and disable file, select it in either column then use the right or left arrow button to include or omit them from your display.

•To change the chart drawing order, select an enabled chart and use the up or down arrow to move it up or down in the chart order.

5.Set Transparency. Move the slider left to increase transparency; the far right makes the chart opaque.

6.Set Chart Depth. The default value of 0.0 draws the charts at the waterline. A value slightly larger than your project depth draws your charts below your soundings so you can see each distinctly.

7.Click [OK].

Return to Top

Vessel Display

Boat Settings affect the mobile display in the Real Time Cloud window.

To access the dialog, click the Boat Settings icon.

Boat Settings Dialog

•Active Mobile: Select the mobile on which to focus the display.

•Shape: Choose a 3-dimensional shape (*.3OD or *.3DS) for your active mobile.

•Default uses a generic boat shape for which you can adjust the size using the Width, Length and Height options.

•From File: Click [...] and choose a file from the \HYPACK 2017\Shapes folder. The HYPACK install includes several shapes, or you may create your own *.3OD shapes in the 3D SHAPE EDITOR or import *3DS files from a third-party source. In this case, you adjust the display scale using percentages of the original shape size.

•Width and Length affect the horizontal display size of the shape.

•Height affects the vertical display size.

Note:Height, Width and Length are based on the orientation of the 3OD file in the 3D SHAPE EDITOR. If you make a custom boat shape, take care to use the orientation.

Return to Top

Clipping the Soundings with a Channel File

The CHN File options enable you omit soundings below or above a user-defined channel file.

•The Draw option draws a translucent model of your channel file in the Real Time Cloud display.

•Clip Below or Clip Above omit the soundings below or above the channel depth respectively. Both cases omit soundings that are horizontally outside the channel limit.

Channel Drawn in Real-Time Cloud

Return to Top

Real Time Cloud Colors

You can color the soundings in the Real Time Cloud display using depth, intensity or a combination of both. Use the VIEW-COLOR METHOD menu options to make your selection.

•Depth: Uses the project colors.

•Intensity: Uses a separate user-defined palette. The first time you color by intensity, the Real Time Cloud window uses the depth colors.

To set an alternate color palette, click the Set Colors icon and modify the colors to your intensity range. The next time you color by intensity, the window uses the same intensity colors.

•Depth and Intensity: Uses the depth color palette and brightens or darkens the color based on the intensity. Lower intensity returns are darker to appear shadowed.

Coloring by Depth and Intensity

Return to Top

More Information

• Real Time Cloud Window

• Project Colors in HYPACK


Color Settings in HYSWEEP SURVEY

Several HYSWEEP windows include an icon in their toolbars to access the standard Color dialog where you can adjust your project colors as you would in HYPACK. The dialog in HYSWEEP SURVEY shows an additional option.

Autoscale: When selected, the color range is calculated dynamically based on depth statistics.

The colors can be distributed over a user-defined depth range by deselecting this option and setting the minimum and maximum color depth values.

Standard Color Dialog

More Information

• Project Colors in HYPACK


Files and Filenames in HYSWEEP SURVEY

When HYSWEEP SURVEY is run in combination with HYPACK, it bases data and target file names on theHYPACK names. With minor changes of course, so the names aren’t identical. When HYSWEEP SURVEY is run stand alone, it has it’s own naming scheme.

Raw file folder: Uses HYPACK Raw data folder.

Catalog Filenames: “HSX_” + HYPACK catalog name.

Data Filenames: HYPACK data filename + “.HSX”

Note:HSX means HYSWEEP SURVEY extension


Corrections in HYSWEEP SURVEY

Tide, draft and sound velocity corrections affect the accuracy of the depth and positioning data. During acquisition, SURVEY logs these corrections in the header of each raw data file when you start logging, and in a correction-specific record any time a correction changes during your data collection.

More Information

• Tide Corrections in HYSWEEP SURVEY

• Dynamic Draft Corrections in HYSWEEP SURVEY

• Sound Velocity Corrections in HYSWEEP SURVEY


Tide Corrections in HYSWEEP SURVEY

HYSWEEP SURVEY gets real-time tide corrections from HYPACK SURVEY. This is done automatically through the shared memory mechanism.

More Information

• Tide Corrections in SURVEY


Dynamic Draft Corrections in HYSWEEP SURVEY

HYSWEEP SURVEY has two methods for application of dynamic draft correction. HYSWEEP SURVEY can do either of the following:

•Take dynamic draft corrections from SURVEY (whether you enter them manually or use the draft table). This is the default setting.

•Use the Squat and Settlement Table available in HYSWEEP SURVEY.

To enter a squat & settlement table, select CORRECTIONS-SQUAT AND SETTLEMENT and enter the draft correction values (in survey units) versus speed (in knots). When a table is entered, HYSWEEP SURVEY calculates the dynamic draft correction from boat speed (from GPS via HYSWEEP SURVEY) and the table.

Squat and Settlement Corrections Table

Note:If you are using RTK tides with HYPACK, you do not need to enter any draft corrections. The GPS.dll subtracts the dynamic draft correction to compute the "true" tide correction. Without a draft correction, the driver will still calculate a correct chart sounding, but the RTK Tide value will be different from the conventional tide value.


Sound Velocity Corrections in HYSWEEP SURVEY

For multibeam surveys, HYSWEEP SURVEY includes a sound velocity corrections table where you should enter (or import) the sound velocity profile information after each cast. This information is recorded to the header of each multibeam raw file (*.HSX). You can also store each cast to a sound velocity corrections file (*.VEL) then interpolate corrections between multiple casts in post-processing.

The survey programs use the correction data to provide real-time correction depths, and record the corrections into headers of the raw files for use in post-processing. In HYSWEEP SURVEY, you can also mark a target to mark the cast location.

Note:If there is a pre-existing Sound Velocity Profile when you enter HYSWEEP SURVEY, the multibeam alarm shows yellow. It's a good idea to verify it is accurate before you begin to collect data. The alarm will turn off when you click [OK] in the sound velocity model.

HYSWEEP SURVEY uses the average sound velocity calculated from the model for display calculations instead of the more time-consuming ray path calculations used in post-processing.

Enter the depth and sound velocity values (in survey units & survey units/sec) into the spreadsheet in increasing depth order. Manually type the data or import the file generated by your sound velocity probe. You can use [Graph] to check for errors when you’re done.

Note:If the units of your sound velocity cast differ from your survey units, use the Convert menu options to automatically convert the values in one or both columns.

Sound Velocity Model

1.Select CORRECTIONS-SOUND VELOCITY. The Sound Velocity Model window appears.

2.If you plan to interpolate between multiple sound velocity casts in post-processing, enter your cast information:

a.Check the Save Cast Information option.

b.Enter the position, date and time of the sound velocity cast. Manually enter the data or use [Update] to automatically enter the current position, date and time.

3.Mark a target at your cast location. (Optional.)

a.Click [Mark Target]. The Target dialog appears with the target name, X, Y and Z. The target name defaults to SVP Time Date.

Targets Dialog

b.Modify the information as required and click [Close].

4.Enter the cast data. Manually enter the depth/velocity pairs or import the data from your sound velocity profiler:

a.If the values in your profiler data are separated by commas, check Comma Separated Data.

b.If your profiler data is an XBT file, check XBT.

c.If the first record does not contain correction values, click [Skip Record] to advance the program one line in your imported file. Continue to skip records until you find a depth/correction pair.

Sample Import Dialog

d.Check the Accept box next to the two fields that represent the depth and sound velocity correction values. This tells the program which two values to read from the displayed record.

e.Accept the data for your Sound Velocity Corrections.

•If your depth and correction values are always in the same position, as suggested, click [Accept All] and the program will extract the selected fields from each line in the file.

•If the value position varies or if each line is not a record, click [Accept Record]. The program will copy only the displayed values to your Sound Velocity Corrections file, then display the values from the next line of the text file. This allows you to step through your text file, one line at a time, changing the position designations (select new checkboxes) before accepting each record or skipping lines all together ([Skip Record]). Continue through your file until you have all of the values in your corrections file that you need.

5.Click [OK].

•If you have selected the Save Cast Information option, a Save As dialog appears for you to store the sound velocity correction file: name your file and click [Save].

•If you have not selected the Save Cast Information option, the dialog closes and HYSWEEP SURVEY writes the data to the raw data files and displays corrected depths in the HYSWEEP SURVEY displays.

Note:Corrected soundings are for display only. HYSWEEP SURVEY logs all raw data directly to the HSX files without calculations or corrections.

More Information

• Importing Sound Velocity Data From CastAway to HYSWEEP® SURVEY

• Importing from the Valeport SWift Profiler to HYSWEEP SURVEY


Logging Data in HYSWEEP SURVEY

HYSWEEP SURVEY logs data simultaneously with HYPACK SURVEY.

More Information

• Matrix Files in HYSWEEP SURVEY

• Marking Targets during HYSWEEP SURVEY

• Interferometry in HYSWEEP SURVEY

• Logging with Laser Scanners in HYSWEEP SURVEY

• Logging Water Column Data

• Log Backup and Data File Overlap in HYSWEEP SURVEY

• Real-Time Device Controls in HYSWEEP SURVEY


Matrix Files in HYSWEEP SURVEY

Two of the most useful features in HYSWEEP SURVEY–the color-coded coverage map and multibeam overlap statistics – are available only when a matrix file is loaded. Matrix files are simply areas divided into cells. Empty matrix files are created in the MATRIX EDITOR.

Matrix files enabled in your project automatically load into HYSWEEP SURVEY which will load and unload the individual matrix files, depending on the vessel location. When you close the program, files automatically update and save.

If you are logging multibeam data, you should use one or more HYSWEEP type matrix files and paint them in HYSWEEP SURVEY, or use the Auto-matrix feature in HYPACK SURVEY.

Beware! You can paint a HYPACK matrix in HYSWEEP, but the filled matrix will not be saved when you exit HYSWEEP SURVEY.

HYPACK vs HYSWEEP Matrix Files

Matrix Type | Paint in HYPACK SURVEY | Paint in HYSWEEP SURVEY
HYPACK | Maximum Minimum Last | MTX will paint but will not save!
HYSWEEP | •Maximum •Minimum •Last | •Minimum •Maximum •Average •Overlap (Max-Min) •Coverage
Auto-matrix | •Minimum •Maximum •Average •Standard Deviation •Soundings/Cell | Not Applicable

In HYSWEEP SURVEY, the matrix options are in the Coverage Map tab of the View Options dialog.

View Options - Coverage Map Tab

Show Matrix displays the matrix enabled in your project in the Coverage Map.

[Clear Matrix] empties the matrix file.

[Matrix Options] or the MATRIX-OPTIONS menu selection accesses another dialog that controls how the matrix works in HYSWEEP SURVEY.

Matrix Options

The Draw Matrix in HYPACK SURVEY option determines whether the matrix will be displayed in the HYPACK SURVEY Area Map as well as in the HYSWEEP SURVEY Coverage Map.

Important: If you check the Draw Matrix in HYPACK SURVEY option, HYSWEEP SURVEY passes its data to HYPACK SURVEY through shared memory. The matrix will be painted according to the matrix options in HYPACK SURVEY (i.e. minimum, maximum or last sounding in each cell).

Note:You must also select the Show Matrix option in the Coverage Map tab of the View Options.

Cells options enable you to modify the cell dimensions and calculate the effects.

Beware! If you edit the cell size in a “filled” matrix file, it will lose its depth content.

•Length and Width: Matrix files are given cell length and width when designed. The HYSWEEP operator can override them here. If the matrix update process is excessively slow in the coverage map, make the cells larger until an acceptable speed is reached.

•[Calculate] Calculates the number of cells and approximates the total memory required for the matrix. If a matrix requires 256 Mb of memory and your computer only has 128 Mb, you need to make the cells larger.

Show options determine which value to display in HYSWEEP SURVEY.

•Minimum: For each cell, show the minimum of all soundings falling within the cell.

•Maximum: Show maximum sounding.

•Average: Show the sounding average.

•Overlap: Show sounding difference (Max–Min).

•Coverage: Show 1x / 2x multibeam coverage.

The Update Matrix options control when HYSWEEP SURVEY paints the matrix in the Coverage Map window and when the survey data is passed to SURVEY.

Important: If you are painting the matrix in HYPACK SURVEY, you should update the matrix in HYSWEEP SURVEY at least as often as you update your matrix in HYPACK SURVEY. If the matrix update setting is less frequent in HYSWEEP SURVEY, it cannot supply the data required to accurately paint the matrix in HYPACK SURVEY.

More Information

• Coverage Map Settings in HYSWEEP SURVEY

• Saving Soundings to a User-defined Matrix in SURVEY


Marking Targets during HYSWEEP SURVEY

HYSWEEP SURVEY provides multiple methods to mark targets:

•At the position of the boat tracking point: Select TARGETS-QUICKMARK or press F5.

•At the cursor location in the Real-time Waterfall or Coverage Map displays: Double-click the location.

•At the cursor location in the Real Time Cloud display: Click the Add Target icon in the toolbar then click at each target location.

By default, a Targets dialog appears for you to edit the file entry. You can avoid this by clearing the Show Target Editor check box.

Targets Dialog

The Targets dialog enables you to modify the target properties by selecting a target from the list on the left and revising the data on the right.

Tip: To access this dialog without marking a target select TARGETS-EDIT TARGETS.

HYSWEEP SURVEY stores targets to the Survey target group. Those marked with the Quickmark method or in the Waterfall or Coverage Map windows are named with the time at which you mark the target. Those marked in the Real Time Cloud display are named RTC Depth = xx.xx.


Interferometry in HYSWEEP SURVEY

Interferometry diagnoses the properties of two or more waves by studying the pattern of interference created by their superposition. In hydrography, the interferometer analyzes the way the waves in the ping returns overlap to precisely measure depths. Interferometric systems provide shallow water, wide swath bathymetry.

HYSWEEP SURVEY supports several interferometers, however they typically output more than 1440 beams per ping—the maximum number allowed by HYSWEEP SURVEY. For this reason, the data must be filtered and downsampled during data collection to be stored to the multibeam raw file (*.HSX). Filtering the data also removes extraneous data and improves bottom tracking.

• Interferometry Logging Options

• Configuring your Interferometry Filters

Interferometry Logging Options

Some devices can filter the data before sending it to the survey computer, flagging data outside of its filter criteria. If you pre-filter the data, you may set HYSWEEP® SURVEY to honor the flags generated by the device or ignore them by checking the ‘Ignore manufacturer flags’ option in the Interferometry Options dialog.

HYSWEEP SURVEY has a series of filters for interferometric data, each potentially more restrictive than the previous filter. Each ping is evaluated by each filter in order. If the ping falls outside the limits of any filter, it is flagged and ignored in subsequent work with the data. Thus, a ping must comply with all enabled filters to be considered good data. Pings outside of the filter limits will be flagged and drawn to the Interferometry window in red while those that fall within all of the filter limits will be drawn in green.

Configure the filters in HYSWEEP SURVEY in the Interferometry Options dialog. The filters are applied in the order they are presented in the dialog, top to bottom. Once data is flagged as bad, it is ignored by any subsequent filters.

Return To Top

Configuring your Interferometry Filters

Configure the filters in HYSWEEP SURVEY in the Interferometry Options dialog. The filters are applied in the order they are presented in the dialog, top to bottom. Once data is flagged as bad, it is ignored by any subsequent filters.

1. Access the Interferometry Options dialog by clicking the Interferometry Options icon in the Interferometry window toolbar.

Interferometry Options —User-defined parameters are displayed for each selected filter option.

2.Select each filter you want to use. If there are additional parameters for any selected filter, the appropriate fields will appear when the filter is selected.

•Avoid options allow you to skip some of the processing if the data is already sufficiently thin (ie < 1440 points).

•“Avoid Any Processing” will do nothing unless the data exceeds 1440 points.

•“Avoid Downsampling” will filter, but only beamform if the data exceeds 1440 points.

•Filtering Options: Typically, you need not use all of these. Points can be flagged on the basis of depth, offset, intensity, or quality code.

•Ignore Manufacturer Flags: If the sonar pre-flags bad points, you must choose to honor or ignore them.

•Display limits filters based on the depth, offset, and angle limits specified in the view options.

•Manual limits allows you to specify limits that are not tied to your viewing limits. You can also set your offset limits to be a multiple of water depth.

•Intensity and quality code simply filter by a specified min/max. Note that the drivers will scale intensity to a 0—32767 range and quality code to a 0—255 range. The meaning of these vary somewhat depending on the sonar.

•The water column filter can track a single beam echosounder depth and reject points with a range less than that value.

•The along track filter makes a user-specified number of bins of a specified height across the track, each bin vertically centered on what the filter recognizes as the current depth. Those samples falling within the bin are flagged good and affect the depth of the bin by a specified weight. The lower the weight, the slower the filter reacts to change.

•The across track filter works similar to the along track option, but it does not remember bin depth from ping to ping. This filter is meant to be used with the along track filter, but with a smaller height.

3.Set your beamforming options. Two modes are provided:

•Simple downsample will take the results of filtering and downsample to 1440 beams. You can opt to select by intensity, quality code, or average. This option retains the entire swath coverage, but the beam footprint will be necessarily reduced to compensate.

Note:Simple downsampling will retain vertical features such as quay walls while binning will average them out.

•Binning by horizontal offset: Given a bin footprint size, it will form a beam for each bin by averaging the good points in each bin, optionally weighted by intensity or quality. In this mode, the beam quality is set to the bin point count, and standard deviation and colinearity tests are run. If the bin data fails, the beam quality is set to 1. Binning guarantees the footprint resolution at the expense of a swath width which is limited to 1440 * bin size.

4.Close the Interferometry Options dialog. All settings are saved and applied when you close the dialog.

5.Log some data while observing the effectiveness of your filters in the Interferometry window.

6.Modify the filters as necessary. All interferometry filters can be toggled on and off by right-clicking on the Interferometry window and selecting and deselecting the filter name in the pop-up menu. If you want to modify any of the filter parameters, you must return to the Interferometry Options dialog.

When your filter settings are working well, you’re ready to survey.

Return To Top

More Information

• Range Settings in HYSWEEP SURVEY


Logging with Laser Scanners in HYSWEEP SURVEY

HYSWEEP SURVEY can log laser scanner data either to multibeam RMB records or to TOP (topographic) records.

•Logging to RMB records essentially treats topographic lasers as upward-pointing multibeam sonars, using the same display and logging code for both. This requires the number of beams to be downsized to conform to the 1440 beam per ping limit, but they can be processed in the 32-bit HYSWEEP EDITOR or 64-bit HYSWEEP EDITOR.

•Logging to TOP records provides a 10,000 beam/ping limit; the laser data is not downsized.

Important: You can process TOP records only in the 64-bit HYSWEEP EDITOR. If you do not have a 64-bit capable computer for editing your data, you should log RMB records.

The Use TOP Message option in the Logging Options dialog (FILE-LOGGING OPTIONS) determines the record format for laser data. Check the option to log TOP records, clear the checkbox to log RMB records.

Logging Options Dialog

In addition, for Velodyne systems, HYPACK SURVEY provides filters (TOOLS-VELODYNE HDL-32E CONTROL) to limit the range of logged data:

Velodyne Controls

Range (survey units) omits data outside the defined distances from the device.

Angle omits data outside of the defined range. If you define only Minimum angle, the program assumes the maximum to be 360. If you define only a Maximum angle, the program assumes the minimum to be zero.

Enabled Beams limits the beams from which you log data. (Beams 17 - 32 apply only to 32-beam devices.)

More Information

• Fixed-Mounted Topographic Laser Calibration


Logging Water Column Data

Water Column data files are very large (about 2Gb/minute) so, while constant logging is certainly an option, there may be more practical options:

•On Demand Logging: Turn water column logging on and off in real time when you see something of interest. This requires someone to watch the display and control the water column logging throughout the survey.

•Resurvey Select Areas: Do a preliminary multibeam survey of your project area, then resurvey areas of interest, collecting water column data as well.

In either case, configure the Water Column Logger to retain the data long enough for you to start logging when you see something of interest and still capture the related data.

Water Column Logger

• Real-Time Water Column Logging

• Water Column Logging Options

Real-Time Water Column Logging

The Ping Buffering water column logging option retains data for a short time after you see it on-screen. This provides a short delay so you can watch the screen in real time and have time to initiate logging to capture anything of interest.

Water Column data is logged to a separate file from the multibeam HSX: *.7K from Seabat data or *.R2S from R2Sonic data. The multibeam and water column data files, logged simultaneously, share the same root name, but the water column file name has “_WC” appended to the end to distinguish it from HYPACK snippet data. (The data is merged in the 64-bit HYSWEEP EDITOR.)

1.Configure your sounder to log water column data.

•Configure the device itself to output the appropriate data.

•Seabat 7K sonar must output version 2 datagrams.

•R2Sonic sonar must output Magnitude data (not magnitude + phase).

2.In HARDWARE, check the Log Water Column option to signal HYSWEEP SURVEY to display the Water Column Logger.

3.In HYSWEEP SURVEY, configure the water column logging options to provide enough time delay for you to manually start the Water Column Logger.

4.Log your data for each feature:

a.Start logging in HYPACK SURVEY and HYSWEEP SURVEY. (The text on the logging button of the Water Column Logger changes from “Logging Disabled” to “Not Logging”.)

b.When you see a feature on-screen that you want to capture with water column data, click [Not Logging]. The button turns green and the text changes to “Logging” and the program begins recording data.

c.When you are done logging the water column, click [Logging]. The button turns yellow and the text changes to “Not Logging” and the program pauses recording data.

d.Stop logging in HYPACK SURVEY and HYSWEEP SURVEY.

5.Exit HYPACK SURVEY and HYSWEEP SURVEY.

Return to Top

Water Column Logging Options

You control water column logging from the Logging Options dialog.

To access the Logging Options dialog, click [Logging Options] in the Water Column Logger window.

Water Column Logging Options

Logging information:

•Low Disk Threshold (Gb): The status indicator displays “Low Disk Limit” when your available disk space reaches this user-defined level.

•Available Disk: Current amount of free disk space.

•Folder to which your data is logged. You can change the location in the HYSWEEP SURVEY log options.

Ping Buffering provides the delay for on-demand logging. The program will populate the Pings per Second and Bytes per Ping fields.

Enter a Buffer Size and click [Calculate]. The Buffer Time is the amount of time between when a feature appears on screen and when you must start logging the water column data to capture it. The default Buffer Size is 100 Mb.

Return to Top

More Information

• Water Column Logger

• Logging Data in HYSWEEP SURVEY

• Water Column Playback


Log Backup and Data File Overlap in HYSWEEP SURVEY

Long survey lines are often broken into smaller segments using the Log Back Time (in the HYPACK SURVEY Navigation Parameters). Log Backup Time starts logging a new data file every ‘n’ minutes. It is easier in processing to have a lot of smaller files than just a few overly large files.

Data File Overlap prevents data gaps, by continuing to log to the previous (HYSWEEP Raw) HSX file after a new one has been opened. Overlap is selected in the Logging Options dialog of HYSWEEP SURVEY (FILE- LOGGING OPTIONS).

Logging Option Dialog

Three seconds should be enough unless you are working in deep water. Then, logging overlap is based loosely on sonar range allowing for three pings of delay within the sonar:

(EQ 1) delay = 6 * meter range/ 1500 m/sec,

For example, if the sonar range is 5000 meters, the overlap should be 20 seconds.

(EQ 2) Overlap seconds = 6 * 5000 / 1500 = 20 seconds.

There’s no harm in too much overlap, but too little will lead to data gaps.

More Information

• Closing Data Files Based on Time


Real-Time Device Controls in HYSWEEP SURVEY

The HYSWEEP SURVEY Tools menu includes two control dialogs--one for multibeam devices and one for side scan devices. These controls communicate directly with the device without exiting the survey programs.

Geoswath Remote Control


Playback in HYSWEEP SURVEY

You can play back any ASCII or binary file recorded by HYSWEEP® or SIDE SCAN SURVEY so you can review the data as it appeared during the data collection.

•The Simulation (Playback) driver in the HYSWEEP® or SIDE SCAN SURVEY driver list, paired with the HYSWEEP_Playback driver from the HYPACK® driver list can provide a complete simulation of your survey in HYPACK® SURVEY together with HYSWEEP SURVEY or SIDE SCAN SURVEY. Please refer to the Common HYPACK Drivers document found in your \HYPACK 2017\Help folder.

•The Playback Controller replays the data only in HYSWEEP SURVEY or SIDE SCAN SURVEY.

More Information

• The Playback Controller

• Playback Simulation Drivers


The Playback Controller

The HYSWEEP®Playback Controller replays the data only in HYSWEEP® SURVEY.

To access the Playback Controller, select FILE-PLAYBACK (F8).

Playback Controller

[Browse]: Pick a file for playback.

[Pause]: Temporarily suspend playback.

[Play>]: Playback in real time.

[Fwd>>]: Playback at 20 x real time.

[Search]: Activates search dialog. You can go directly to a specific event, to the next event from your current position in the playback, or to a specific time. Select your choice and define the event or time you are looking for, then click [Start Search].

Playback Search Parameters

[End]: End playback.


Playback Simulation Drivers

The Simulation (Playback) HYSWEEP® driver, paired with the HYSWEEP_Playback HYPACK® driver can provide a complete simulation of your survey in HYPACK® SURVEY and HYSWEEP® SURVEY together.

1.Click on ‘Boat’.

2.Select ‘HYSWEEP Playback’ from the Survey Devices list.

3.Click [Add].

4.Select the Position and Heading functions.

There are no setup parameters, as it will be reading everything from the HSX file.

5.Select ‘HYPACK Configuration’ and select ‘Include’ under HYSWEEP® SURVEY.

6.Select ‘HYSWEEP® SURVEY’.

7.Select ‘Simulation (Playback)’ from the Manufacturer/Model list and click [Add].

8.Click [Setup…]. The Simulation Setup window appears.

9.Click […] and navigate to the Raw folder containing the *.HSX files that you want to playback in the simulation. The folder can be the Raw folder within your current project, the Raw folder in another project, or a specific folder somewhere else on your computer, or network. You may play an individual HSX file or a catalog (*.LOG) of HSX files.

10.Select the *.LOG or *.HSX file to use in the simulation and click [Open].

11.Verify the path and file selected, and click [OK].

12.Save your hardware settings and close the HARDWARE program.

You can now open HYPACK SURVEY and HYSWEEP SURVEY to view your simulation.


SB_Intro

Single Beam Processing

There are many sounding selection and final product programs so the task sequence to process your data from raw data to your final product can be confusing. The flowcharts provided in this manual, and in the HYPACK Help file (HELP-WORK FLOW GUIDES) should guide you along your way.

All single beam data should first be run the SINGLE BEAM EDITOR to apply tide and sound velocity corrections, where required, and edit out bad data. The resulting output is Edited All Format files. After that you have some choices.

The Sounding Selection programs (SB Selection, SORT, CROSS SORT and MAPPER) are optional programs that reduce your data in an attempt to speed your final product calculations without adversely affecting the accuracy of the results. Choose which of these programs is best for you based on which selection methods you like the best and which file format you need to input to your final products program.

3D TERRAIN VIEWER builds its models from XYZ data or matrix files.

HYPLOT, TIN MODEL and EXPORT can all take either XYZ format or All format files, so any of the sounding selection programs are available options if you want to reduce your data.

The CROSS SECTIONS AND VOLUMES program requires the channel template information found only in All Format files. It is not recommended to thin your data for volumes calculations in CROSS SECTIONS AND VOLUMES as it can adversely affect the accuracy of the results.

.

More Information

• Single Beam Processing Flowcharts

• Previewing Your Soundings in the Main Window

• SINGLE BEAM EDITOR

• Sounding Selection Programs for Single Beam Surveys


Previewing Your Soundings in the Main Window

There is nothing worse than thinking your are finished with a survey, packing up the boat and gear, driving 1,000 miles back to the home office only to discover that line 13 was not surveyed. It is usually a good practice to check your Raw data files in the main window to see if there are any problems.

Use the Project Items list to view your files. The HYPACK map window displays non-binary files that are enabled in the Project Items.

Your Project Items list shows all files associated with your current project.

Enabled files have checks in their corresponding check box and appear in the area map.

Note:HYPACK can not display binary files. In multibeam and side scan projects, HYPACK shows the data from the corresponding RAW files which contain the positioning information.
Multibeam projects display the track lines and the nadir depth for each position record, while side scan projects can display only track lines.

•To enable all files of one type check the check box for the file type in the Project Items list.

•To enable an individual file, check its check box in the Project Items list.

Disabled files remain in your Project Items list, but HYPACK omits it from the area map.

•To disable all except the sounding files in the current project select FOLDERS-DISABLE PROJECT FILES. This includes all of your planned lines, background files, etc.

•To disable only the data files in the current project, select FOLDERS-DISABLE DATA FILES.

•To disable one type of Project Item (ex. sorted data files, matrix files, targets, etc), clear the check box associated with the file type folder in the Project Items list.

•To disable an individual file, clear its check box in the Project Items list.

Drawing Data and Project Files to the Screen


Sound Velocity Corrections

Sound Velocity Corrections files are generated in the SOUND VELOCITY program and contain depth vs sound velocity data in survey units. They are used to correct soundings for variations of sound in the water column. In most shallow-water, small-boat surveys, the echosounder is calibrated for the range of soundings encountered and no sound velocity corrections are needed. For multibeam surveys and deep-water surveys, sound velocity corrections are used to provide more accurate soundings. Typically, you will perform one or more sound velocity casts in your project area. You can import the data to the SOUND VELOCITY program which generates the sound velocity corrections (*.VEL) file for post-processing.

For multibeam surveys, HYSWEEP SURVEY includes a sound velocity corrections table where you should enter (or import) the sound velocity profile information after each cast. This information is recorded to the header of each multibeam raw file (*.HSX). You can also store each cast to a sound velocity corrections file (*.VEL) then interpolate corrections between multiple casts in post-processing.

Sound velocity corrections are applied in the survey programs or in the editor programs during post-processing based on the data collected from a sound velocity probe. The editing program assigns a sound velocity correction to each sounding record based on the depth value, and the depth ranges and correction values specified in your sound velocity profile.

The survey programs use the correction data to provide real-time correction of depths, and record the corrections into the raw files for use in post-processing.

The editors calculate ray-bending corrections to sounding data as it is read into the program. When you enter a sound velocity correction file in the editor, it ignores any sound velocity data recorded in the raw file and uses the new sound velocity corrections in your edited data. The raw data remains unchanged.

More Information

• Creating a Sound Velocity File in the SOUND VELOCITY Program

• Importing Sound Velocity Data from a Text File

• Importing Data from Sound Velocity Profilers


Creating a Sound Velocity File in the SOUND VELOCITY Program

Enter the depth and sound velocity values (in survey units & survey units/sec) into the spreadsheet in increasing depth order. Enter the file generated by your sound velocity profiler. You can use [Graph] to check for errors when you’re done.

You can enter as many depth-sound velocity pairs you choose; however, when more than 512 layers are found, down sampling occurs, merging the layers with the most similar gradients.

The 64-bit HYSWEEP EDITOR can interpolate sound velocity corrections between multiple VEL files based on time or position. This interpolation requires the cast position, date and time in the VEL header.

Tip: If you mark a target when you take your sound velocity cast, you can import the cast position, date and time to your output file from the target data.

1.Start the SOUND VELOCITY program by selecting PROCESSING-SOUND VELOCITY. The Sound Velocity spreadsheet will appear.

2.If you plan to interpolate between multiple sound velocity casts in post-processing, enter your cast information:

a.Check the Save Cast Information option.

b.Enter the position, date and time of the sound velocity cast. If you marked a target at the time of the cast, use [Load Target] to import the target position, date and time; otherwise, manually enter the data.

3.Enter your cast data in survey units.

Note:If the units of your sound velocity cast differ from your survey units, use the Convert menu options to automatically convert the values in one or both columns.

4.Click [Graph] (Optional) to display a graph the data on the right side of the window.

5.Save your spreadsheet data. Select FILE-SAVE and name your file. The spreadsheet data will be saved to a sound velocity corrections file (*.VEL) in your project directory. You may re-open the spreadsheet for editing purposes at a later time by selecting FILE-OPEN and selecting the file.

More Information

• Sound Velocity Corrections

• Importing Sound Velocity Data from a Text File

• Importing Data from Sound Velocity Profilers


Importing Sound Velocity Data from a Text File

Many of you save the data from your sound velocity casts in a text document (or format that can be easily converted to a text document). You can quickly and easily import a text file to the SOUND VELOCITY program.

The file can be either space- or comma-delimited with each record on a different line. It is easiest if depth and sound velocity values are in the same position in each line.

The SOUND VELOCITY program limits the profile to 512 depth/sound velocity pairs.

Note:You may load more than 512 SV layers from text files or VEL files; however, when more than 512 layers are found, downsampling occurs, merging the layers with the most similar gradients.

Sample Import File for the Sound Velocity Program

1.Select FILE-IMPORT and a File Selection dialog will appear for you to select your text file. The Import dialog will appear with a display of the values from the first line in your text file.

a.If the values in your profiler data are separated by commas, check Comma Separated Data.

b.If your profiler data is an XBT file, check XBT.

c.If the first record does not contain correction values, click [Skip Record] to advance the program one line in your imported file. Continue to skip records until you find a depth/correction pair.

Sample Import Dialog

d.Check the Accept box next to the two fields that represent the depth and sound velocity correction values. This tells the program which two values to read from the displayed record.

e.Accept the data for your Sound Velocity Corrections file.

•If your depth and correction values are always in the same position, as suggested, click [Accept All] and the program will extract the selected fields from each line in the file.

•If the value position varies or if each line is not a record, click [Accept Record]. The program will copy only the displayed values to your Sound Velocity Corrections file, then display the values from the next line of the text file. This allows you to step through your text file, one line at a time, changing the position designations (select new checkboxes) before accepting each record or skipping lines all together ([Skip Record]). Continue through your file until you have all of the values in your corrections file that you need.

f.Click [OK] to return to the SOUND VELOCITY spreadsheet. The selected data are listed in the spreadsheet and graphed in the SOUND VELOCITY dialog.

2.If the depths and correction values have been reversed in the spreadsheet, correct them by clicking [Swap Columns].

3.If your depths are not in chronological order, Sort your depths by clicking [Sort].

More Information

• Sound Velocity Corrections

• Creating a Sound Velocity File in the SOUND VELOCITY Program

• Importing Data from Sound Velocity Profilers


Importing Data from Sound Velocity Profilers

HYPACK directly imports data from the SonTek CastAway and Velodyne SWiFT sound velocity profilers to the SOUND VELOCITY program and to HYSWEEP SURVEY. Both programs can generate a HYPACK sound velocity corrections (*.VEL) file.

Additionally, HYSWEEP SURVEY loads the profile in HYSWEEP SURVEY and writes the data in the headers of the raw data files (*.HSX) during acquisition.

More Information

• Importing Sound Velocity Data from a SonTek CastAway

• Importing Sound Velocity Data From CastAway to HYSWEEP® SURVEY

• Importing from the Valeport SWift Profiler to SOUND VELOCITY

• Importing from the Valeport SWift Profiler to HYSWEEP SURVEY


Importing Sound Velocity Data from a SonTek CastAway

The SOUND VELOCITY program provides a choice of calculation methods: CastAway, Mackenzie and UNESCO.

1.Open the SOUND VELOCITY program. Select PROCESSING-SOUND VELOCITY-SOUND VELOCITY.

2.If you want to use the Mackenzie or UNESCO calculation methods, select FILE-IMPORT FORMULA and the method you want to use.

3.Select FILE-IMPORT FROM CASTAWAY. A dialog appears with a listing of all casts currently recorded on the device.

SonTek CastAway

4.Download the cast information:

•To download the most recent cast information, click [Download Latest Cast].

•To download data from a selected cast, select the cast from the list in the dialog and click [Download Selected Cast].

The program creates a VEL for the selected CTD file and stores it in the project folder.


Importing Sound Velocity Data From CastAway to HYSWEEP® SURVEY

HYSWEEP SURVEY automatically uses the CastAway method and, in addition to generating the VEL file, it loads the profile in HYSWEEP SURVEY which writes the data in the headers of the raw data files (*.HSX) during acquisition.

1.In HYSWEEP SURVEY, select TOOLS-SONTEK CASTAWAY CTD CONTROLLER. A dialog appears with a listing of all casts currently recorded on the device.

SonTek CastAway

2.Download the cast information:

•To download the most recent cast information, click [Download Latest Cast].

•To download data from a selected cast, select the cast from the list in the dialog and click [Download Selected Cast].

You can view the results in the Sound Velocity Model window (CORRECTIONS-SOUND VELOCITY).


Importing from the Valeport SWift Profiler to SOUND VELOCITY

You can import the cast data from the Valeport SWiFT Sound Velocity Profiler as follows:

1.Open the SOUND VELOCITY program. Select PROCESSING-SOUND VELOCITY-SOUND VELOCITY.

2.If you want to use the Mackenzie or UNESCO calculation methods, select FILE-IMPORT FORMULA and the method you want to use.

3.Select FILE- IMPORT FROM VALEPORT. A dialog will appear.

4.Select the proper COM Port and click [RECONNECT]. When the device is connected, the dialog displays a folder for each day’s casts.

FIGURE 5. Connecting the Valeport

5.Download the required cast.

•To download the most recent cast, click [Download Latest Cast].

•To download an earlier cast, do the following:

i.Select the folder for the cast date from the dialog listing and click the File Open icon. The dialog then lists all casts from the selected day.

If you find you need a different folder, you can return to the folder listing: Select the “../” at the top of the list and click the File Open icon.

ii.Select the cast file and click the download icon.

The status changes from “Waiting for device” to “Downloading.” The downloaded sound velocity data populates the SOUND VELOCITY spreadsheet and the Valeport dialog closes.

FIGURE 6. Downloaded Data Populates the SOUND VELOCITY Spreadsheet

Since the device has a built-in GPS, the SOUND VELOCITY program also downloads the time and position of the current cast. The position appears, in local coordinates, based on the project geodetic parameters.

6.Save the *.VEL file.


Importing from the Valeport SWift Profiler to HYSWEEP SURVEY

To use the SWiFT sound velocity profiler in HYSWEEP SURVEY, include the Valeport SWiFT SVP driver in the HARDWARE configuration.

In HYSWEEP SURVEY, you can then download the latest cast. (Select TOOLS-VALEPORT SWIFT SVP CONTROL.) HYSWEEP SURVEY downloads the cast, then gives you the option to preview the cast and save a HYPACK *.VEL file.


SINGLE BEAM EDITOR

The SINGLE BEAM EDITOR reads raw or edited sounding files containing single beam or dual frequency survey data. It applies tide and sound velocity corrections files to the soundings to find corrected depth or elevation.

The SINGLE BEAM EDITOR displays all measurements graphically and provides a number of editing methods. When editing is complete, the program saves the corrected and cleaned data in the HYPACK proprietary ALL format for further work in the Sounding Selection and Final Product programs.

The SINGLE BEAM EDITOR Shell

The title bar of the SINGLE BEAM EDITOR shell displays the files you have loaded to the program.

Most procedures initiated from the many display windows are initiated with the click of an icon. If you are not sure which icon is referred to in the procedures of this manual, hold the cursor over each button and its name will appear.

The file currently displayed is shown in the field on the right. If you have loaded a catalog file, you can scroll through the files in the catalog by using the left and right arrows or select a file from the drop-down list. Typically you would edit the first line then use the right arrow to move on to the next one.

More Information

• SINGLE BEAM EDITOR Procedure

• Selecting Sounding Files in the SINGLE BEAM EDITOR

• Corrections in the SINGLE BEAM EDITOR

• Read Parameters in the SINGLE BEAM EDITOR

• Merging Digitized Depth Data with Raw Survey Data

• Windows in the SINGLE BEAM EDITOR

• Display Settings in the SINGLE BEAM EDITOR

• Search and Filter Options in the SINGLE BEAM EDITOR

• SINGLE BEAM EDITOR Statistics

• Editing Sounding Data in the SINGLE BEAM EDITOR

• Data Other Than Soundings in the SINGLE BEAM EDITOR

• Targets in the SINGLE BEAM EDITOR

• Saving Edited Data in the SINGLE BEAM EDITOR

• Exporting Edited Single Beam Data to a Text File


SINGLE BEAM EDITOR Procedure

1.Set your geodetic parameters in the GEODETIC PARAMETERS program. Typically they should match those of the survey.

2.If you have not applied tide corrections during SURVEY, or want to apply new tide corrections, create a Tide Corrections file using the MANUAL TIDES or HARMONIC TIDES program.

3.If necessary, take a sound velocity cast and create a Sound Velocity file in the SOUND VELOCITY program. You can skip this step if you have set your echosounder to account for sound velocity before the survey.

4.If you are using Seabed ID data, use the SeabedID device driver in your hardware configuration to assign seabed identification numbers to your data. (This requires a Seabed ID Square from the SEABED STATISTICS program.) Once your data files are loaded to the SINGLE BEAM EDITOR, you can view your E1, E2 and seabed ID data in the Spreadsheet. The Survey and Profile windows can also display depth data color-coded according to the seabed ID.

5. Open the SINGLE BEAM EDITOR by selecting PROCESSING-SINGLE BEAM EDITOR or by clicking the icon.

6.Select your Soundings file The SINGLE BEAM EDITOR can read either raw or edited soundings; it can not read XYZ data files. You can select a Catalog file (*.LOG), which is a list of several data files, or a single data file.

•If you load multiple transducer data, a dialog will appear for you to select the beam from which the SINGLE BEAM EDITOR should read.

Choosing a Beam from Multiple Transducer Data

•If you load multibeam data, the program will read the nadir depth.

The Corrections dialog will appear next.

7.Enter your corrections.

•If you are working with raw data and have not applied tide corrections during SURVEY, select the Tide Corrections (*.TID) file which you want to applied to the data.

•If you are working with raw data and have not applied sound velocity corrections during your survey, select the sound velocity corrections (*.VEL) file to which you want to apply the data.

8.Set your read parameters. This enables you to apply pre-filtering and perform other operations on the data as it is read into the editor.

9.Examine and edit your data.

a.Examine and edit the graphs representing corrections and track lines.

b.Graphically examine the soundings. Scroll through the survey lines by using the arrow buttons on the shell and making any necessary corrections for each survey line until you have edited all of your data.

c.Set your Search and Filter Options. These criteria are used to search out cells with data outside of user-defined limits.

d.Use the Search and Filter feature to find and evaluate any stray points. You can evaluate each instance yourself and edit if you think it's necessary or instruct the SINGLE BEAM EDITOR to delete all points outside the limits.

10.Save the final edited data. FILE-SAVE will save the data in All format to a file with the same name in the project's edit directory.

11.Exit the SINGLE BEAM EDITOR by selecting FILE-EXIT.

More Information

• Selecting Sounding Files in the SINGLE BEAM EDITOR

• Corrections in the SINGLE BEAM EDITOR

• Read Parameters in the SINGLE BEAM EDITOR

• Search and Filter Options in the SINGLE BEAM EDITOR

• Editing Sounding Data in the SINGLE BEAM EDITOR

• Saving Edited Data in the SINGLE BEAM EDITOR


Selecting Sounding Files in the SINGLE BEAM EDITOR

Select FILE-OPEN to call up an open dialog. SINGLE BEAM EDITOR reads single beam data from any of the following formats:

•HYPACK Raw Data: Single beam or multiple transducer files collected by the HYPACK SURVEY program.

•All Format files: Files that have been saved by the SINGLE BEAM EDITOR may be reopened for further examination and editing.

You may select either individual files or a catalog file. A catalog file is a list of individual data files. If a catalog file is selected, the SINGLE BEAM EDITOR reads the file and provides you with a list of files in the catalog.

Important: The catalog listing also shows if any of the files in the catalog have previously been saved to edited format. If you reload the raw data with these notations and save them using the same file naming format, you will overwrite the edited files from the previous editing session. To avoid overwriting, change the file naming method in the File Save options.

Tip: Use alternative drag-and-drop loading: Drag files from the Project Files list to the SINGLE BEAM EDITOR icon on the tool bar.

Selecting Sounding Files in the SINGLE BEAM EDITOR

To include all of the line files, click [Select All].

To include individual files hold the Ctrl key and select them in the list then click [Select].

When multiple files are loaded, the SINGLE BEAM EDITOR defaults to the next selected file in the list every time you scroll to the next line file number in the field on the SINGLE BEAM EDITOR toolbar. This list is also used to track which files have been edited.

If you are loading multibeam data, a multibeam dialog appears for you to select the beam from which the SINGLE BEAM EDITOR should read.

Selecting Soundings from Multiple Transducer Data


Corrections in the SINGLE BEAM EDITOR

The SINGLE BEAM EDITOR enables you to work in depths or elevations, applying Tide and Sound Velocity Corrections along the way.

Corrected Depth = Tide Correction + (Raw Depth + Transducer Depth Offset + Draft Correction)

Corrected Elevation = Tide Correction - (Raw Depth +Transducer Depth Offset + Draft Correction)

The Corrections dialog is part of the sequence of dialogs presented when you load your data files into the program. This enables you to load Tide and Sound Velocity Correction files to apply corrections other than those that may have been logged originally.

Corrections Dialog

•To select your tide file click [Open File] in the Tide File section and select the correct file from the file selection dialog.

•To select your sound velocity file, click [Open File] in the Sound Velocity section and select the correct file.

•Echosounder SV Setting tells the SINGLE BEAM EDITOR what sound velocity setting the transducers were using while collecting data.

•Use Depth 1, Use Depth 2 and Use Both control whether you load one or both depth frequencies.

More Information

• Manually Editing Correction Values in the SINGLE BEAM EDITOR

• Tide Corrections in the SINGLE BEAM EDITOR

• Sound Velocity Corrections in the SINGLE BEAM EDITOR

• True Heave Corrections on the SINGLE BEAM EDITOR

• Dynamic Draft Adjustments in the SINGLE BEAM EDITOR

• Merging Corrections in the SINGLE BEAM EDITOR

• Advanced Read Parameters in the SINGLE BEAM EDITOR

• Sound Velocity Corrections Window in the SINGLE BEAM EDITOR

• Tide and Draft Corrections Window in the SINGLE BEAM EDITOR

• Heave Window in the SINGLE BEAM EDITOR

• Tide Corrections in SURVEY

• Creating a Sound Velocity File in the SOUND VELOCITY Program

• Tide (Water Level) Corrections


Manually Editing Correction Values in the SINGLE BEAM EDITOR

Once your data is loaded to the program, you can manually edit corrections in either the current line only (displayed in the toolbar) or in all of the files you have loaded.

Editing in the Current Line

Records Edited | Procedure
Individual records: | Type a new value into the record
All records from a specific point in the line to the end of the current file. | 1.Select the tide value in the record at the starting point and enter the desired value if necessary. 2.Copy that value in each record to the end of the line, click [Fill Column].

To edit all files currently loaded to the editor, you must first open the fill Survey dialog. Select EDIT-FILL SURVEY.

Fill Survey Dialog

.Editing All Files in the Editor

Values Edited | Procedure
Change the value of one or more correction types | 1.Check one or more correction type. 2.Enter the desired value for each selected type and click [OK].
Invert the existing values of one or more correction type | Check its invert option and click [OK].

More Information


Tide Corrections in the SINGLE BEAM EDITOR

Tide Corrections are usually read from Tide files (*.TID) created by the MANUAL TIDES or HARMONIC TIDES PREDICTION programs. They may also be read from Raw Survey files that have tide information in their headers.

• Applying Predicted Tides in the SINGLE BEAM EDITOR

• Interpolating Tide Corrections from Multiple Tide Gauges

• RTK Tides in the SINGLE BEAM EDITOR

Applying Predicted Tides in the SINGLE BEAM EDITOR

If tide corrections were not recorded during your survey or you need to change your tide corrections, select a new tide file by clicking [Open File] under Tide Corrections and selecting the correct file from the file selection dialog.

The tide corrections data is saved for each sounding in the edited All format file, overriding any data that may appear in the header of the raw data.

Tide Corrections relate raw soundings to the chart (low water) datum. When creating a Tide file for depth mode, enter tide values as negative numbers. When creating a Tide file for elevation mode, enter tide values as positive numbers. Units are according to those selected under Geodesy (feet or meters).

Return to Top

Interpolating Tide Corrections from Multiple Tide Gauges

The center line and three-point tide adjustment tools interpolate tide correction values from multiple tide gauges. These tools are available in the single beam and HYSWEEP editors to adjust the tide data of the edited output files.

• Center Line Tide Adjustment

• Three-Point Tide Adjustment

Center Line Tide Adjustment

The center line method is for surveys where the tide gauges are in a line along a river or coastline. This method interpolates tide correction values, based on the distances along a line between gauges.

You will need:

•A *.TID file for each gauge location

•The distance of each gauge along the center line.

•A *.LNW file that contains just the center line (limited to 1000 waypoints).

•The data files to adjust.

River with 3 Tide Gauges and a Center Line LNW File

1.Select the files you want to adjust in the files list.

2.Start the program by selecting TOOLS–TIDE ADJUSTMENTS-CENTER LINE METHOD.

If you have not selected all of the loaded files in the list, a confirmation dialog will appear for you to confirm your intentions:

•To edit the lines selected in the file list, click [Selected Lines].

•To edit all files currently loaded, click [All Lines].

•To change your selection in the files list, click [Cancel] and begin again.

The Tide Adjust dialog window appears next.

Tide Adjust Dialog

3.Enter the name of the *.LNW file that has your center line (and nothing else). Click [Open File] below the LNW File field and select the file name from the File Select dialog.

4.Enter the names of the *.TID files. For each Tide file, place your cursor in the first available cell in the table, click [Open File] under Tide Stations and select the tide file from the file selection dialog.

5.Enter the Chainage (and their distances along the center line) for each tide file.

6.Correct the soundings by clicking [Adjust Tides]. The program will assign tide correction values only to the edited files. It does not change the raw files.

Return to Interpolating Tides Heading

Three-Point Tide Adjustment

The three point method is for survey areas with 3 tide gauges around the area. This method creates a triangular tidal surface between the three stations to generate a correction at the vessel position.

Note:For best results, your survey area must lie within the triangular area defined by the three tide stations.

Tide Adjustments - 3 Point Method

1.Start the program by selecting TOOLS–TIDE ADJUSTMENTS-3 POINT METHOD. The 3-Point Method dialog will appear.

Tide Adjustments Dialog

2.Enter the names of the *.TID files. For each tide file, place your cursor in the first available cell in the table, click [Open File] and select the tide file from the file selection dialog.

3.Enter the position of each tide gauge for each tide file.

4.Correct the soundings by clicking [Adjust Tides]. The program will assign tide correction values only to the edited files. It does not change the raw files.

Return to Interpolating Tides Heading

Return to Top

Offsetting Tide Corrections

If, once you load your tide corrections, you discover that they are all off by a constant amount, this tool enables you to shift each tide correction by the same user-defined amount.

1.In the Survey Files List, select the files you want to adjust.

2.Select TOOLS-TIDE ADJUSTMENTS-TIDE OFFSET.

If you have not selected all of the loaded files in the list, a confirmation dialog will appear for you to confirm your intentions:

•To edit the lines selected in the file list, click [Selected Lines].

•To edit all files currently loaded, click [All Lines].

•To change your selection in the files list, click [Cancel] and begin again.

The Tide Offset dialog appears next.

Tide Offset Dialog

3.Enter the amount, in survey units, that you need to adjust the tide corrections. This value will be added to the current tide correction for each sounding so, if you need to decrease the tide correction, enter a negative number.

4.Click [OK]. The graph in the Tide and Draft Corrections window will update automatically. In the Spreadsheet window, click the [Refresh] button to display the updated tide values.

Return to Top


Sound Velocity Corrections in the SINGLE BEAM EDITOR

Sound velocity corrections are applied in the survey programs or in the editor programs during post-processing based on the data collected from a sound velocity probe. The editing program assigns a sound velocity correction to each sounding record based on the depth value, and the depth ranges and correction values specified in your sound velocity profile.

The survey programs use the correction data to provide real-time correction of depths, and record the corrections into the raw files for use in post-processing.

The editors calculate ray-bending corrections to sounding data as it is read into the program. When you enter a sound velocity correction file in the editor, it ignores any sound velocity data recorded in the raw file and uses the new sound velocity corrections in your edited data. The raw data remains unchanged.

In the SINGLE BEAM EDITOR, sound velocity corrections are not interpolated; the same sound velocity value is assigned to all depths in the same depth range.

• Applying Corrections from a VEL File

• Sound Velocity Adjustments

Applying Corrections from a VEL File

If you are editing raw data:

1.Select your Sound Velocity Corrections file by clicking [Open File] under Sound Velocity Corrections and choosing one or more VEL files from the file selection dialog.

•Where sound velocity profiles are constant, enter one VEL file.

•Where your sound velocity profiles are likely to change, you can enter up to 48 sound velocity profiles and the time of each cast. The editor interpolates the sound velocity correction value based on the times in the VEL files and the time-tag of your soundings.

i.In the File Select dialog, hold the Ctrl key and select the VEL files for your survey then click [Open]. The selected VEL files will be listed in a dialog with their creation times.

Loading Multiple Sound Velocity Files

ii.Edit the times to match the times of the sound velocity casts, if necessary, and click [OK].

Important: The corrections are assigned based on time so you should edit your data one day at a time.

2.Enter the Echosounder SV Setting (m/sec) according to the setting on your echosounder during the survey.

3.Select the depth at which to base the correction.

•Depth 1 and Depth 2 tells the editor to read that depth, match it to the corresponding correction from the Sound Velocity Corrections file and correct both depths with that corrections value.

•Both uses the deeper of the two values.

Sound Velocity Corrections are read from files created in the Sound Velocity program (*.VEL) described earlier in this section and stored for each sounding in a sound corrections field in the edited All format file. No Sound Velocity corrections will be applied where depth equals 0.

Return to Top

Sound Velocity Adjustments

The Sound Velocity Adjustment routine corrects the sound velocity based on errors measured at each depth during a bar check. The program reads edited All format files and applies sound velocity corrections to them based on where the depth falls in the Data Corrections Table and the data that you enter into it. The program adds the fixed corrections (not interpolated values) to the current sound velocity values in the data.

1.Select PROCESSING-SOUND VELOCITY ADJUSTMENT. The Data Corrections Table appears.

Depth Corrections Table

2.Enter the depths and adjustment values to the Data Corrections Table.

Any sounding less than the minimum depth specified in the Depth Correction table, is assigned the sound velocity adjustment of the lowest depth in the table. Soundings equal to the minimum depth, but less than the second depth is corrected by the second correction amount, etc. In this example, depths less than or equal to 40 will receive the sound velocity correction of 0.40, depths greater than 40 and less than or equal to 60 will receive the correction of 0.60, etc

3.Choose to apply the adjustments to one or both frequencies.

4. Save your Depth Corrections Table. Click the File Save or File Save As icon and give it a name.

Your data will be saved to your project directory with a DCT extension and can be reloaded in another editing session using the File Open icon.

5.Apply the corrections to your data by clicking [Apply]. The corrections are automatically saved as sound velocity corrections in the currently loaded files.

Return to Top

More Information

• Creating a Sound Velocity File in the SOUND VELOCITY Program

• Correcting your Sound Velocity Profile with the Sound Speed Adjustment Tool

• Correcting your Sound Velocity Profile with the SVP Adjust Tool

• SOUNDING ADJUSTMENT


True Heave Corrections on the SINGLE BEAM EDITOR

If you have logged POS/MV Group 111 data or F180 CSV data during survey, the editor programs include a specialized routine that applies that true heave data to your sounding data.

1.In the Survey Files list, select the files you want to adjust.

2.Select TOOLS-HEAVE ADJUSTMENT and the type of true heave data you have collected.

If you have not selected all of the loaded files in the list, a confirmation dialog will appear for you to confirm your intentions:

•To edit the lines selected in the file list, click [Selected Lines].

•To edit all files currently loaded, click [All Lines].

•To change your selection in the files list, click [Cancel] and begin again.

The Heave Adjustment dialog will appear next.

Heave Adjustment Dialog

3.Click [Open File] and select one or more true heave files. (Hold the Ctrl key and use your cursor to select more than one.) The start times from both your single beam file and your true heave are displayed.

4.If your device is outputting both GPS and UTC time, verify your the program is loading UTC time. If not, begin again and check the Use Time 2 option to load the other.

5.If your device outputs heave values positive upward, check the Invert Heave option.

6.Calculate the time difference between the two start times and enter it under ‘Enter Hour Difference’.

7.Click [Adjust] to apply the delayed heave. All soundings are now corrected with the true heave values.

More Information

• Heave Window in the SINGLE BEAM EDITOR


Dynamic Draft Adjustments in the SINGLE BEAM EDITOR

The Draft Adjustments routine does the same thing in the SINGLE BEAM EDITOR as the drafttable driver does in real time in SURVEY.

A table defines the draft values and their corresponding vessel speeds. SINGLE BEAM EDITOR will use these values to store a draft correction value appropriate to the vessel speed with each sounding in the edited output only. It interpolates draft values according to the selected interpolation method and within the defined speed range.

The Draft Adjustment routine, supports Shallow Water and Deep Water curves and interpolates when the depths are between the Shallow and Deep Depth Limits. Shallow depths can affect how the wake forms around the vessel and it has been shown that it can significantly affect the draft. If you are working in varying depths, enter different drafts for shallow and deep water.

•If you enter both shallow water and deep water draft values:

•When the depth is less than the shallow water definition, the driver uses just the shallow water table.

•When the depth is greater than the deep water definition, the driver uses just the deep water table.

•When the depth is between the shallow and deep water definitions, the driver interpolates between the two table values.

•If you only enter values in the shallow water column, just use the shallow water values.

•If you only enter values in the deep water column, just use the deep water values.

Note:If there are soundings taken at speeds greater than those defined in the Draft Table, the driver will assign draft correction value that corresponds to the fastest speed in the draft table.

The graph options are used to configure the graph on the right to suit your needs.

•Shallow and Deep Depth Limits: Determines the depth range where the draft corrections are interpolated based on the depth and speed. (For example, if the current depth in the middle of the specified depth range, the draft will be calculated as 1/2-way between the shallow and deep draft graphs.)

•[Graph] plots your corrections over speed on the right in the driver setup dialog.

More Information

• Tide and Draft Corrections Window in the SINGLE BEAM EDITOR


Merging Corrections in the SINGLE BEAM EDITOR

This feature adds the tide, draft and sound velocity correction to the raw sounding. It then resets all corrections to zero. Just select EDIT-MERGE CORRECTIONS, confirm that you're sure and the SINGLE BEAM EDITOR will do the rest. The effect of this process can be easily viewed in the spreadsheet.

Depths and Corrections Displayed Separately Before the Merge Process

After the Merge


Read Parameters in the SINGLE BEAM EDITOR

Selections Tab in the SINGLE BEAM EDITOR Read Parameters

In the Selections tab, select the devices to use for each type of data.

SINGLE BEAM EDITOR Read Parameters—Selections Tab

Depth Conversion Options

Depth Conversion options enable you to convert depths from feet to meters or from meters to feet. It also enables you to invert the depths. This facilitates converting your data from depth to elevation data.

To convert your data to elevation mode select DEPTH CONVERSION-INVERT. The depth values become negative. For example, a depth of "17.2" will appear as "-17.2" in the spreadsheet. You can add the tide correction and the program will add the two values to determine the depth.

The Snap to Line option takes all of your soundings and moves them perpendicular until they fall right on the planned survey line. This is a dangerous option.

Check Invert Tide Values when you are working in elevation mode and using RTK tide corrections.

Ignore Depth Records Before First Event saves sounding data only after the first event occurs in each line.

Ignore Planned Line Information: Check this if you have planned lines that do not correspond well with the survey data. It is also helpful when there is a large position spike with a multi-segmented planned line, which can be difficult to edit.

Ignore Echogram: The editor does not load the corresponding echogram with the bathymetric data.


Offsets Tab in the SINGLE BEAM EDITOR Read Parameters

The Offsets tab displays the offset settings for each device in your project. Select the device of interest from the drop-down box and view or modify the offsets.

The offsets are displayed as they were configured during your survey. If they are incorrect, enter them as they should have been during survey.

Any changes you make here will be applied to all currently selected files.

Note:Editing the offsets will affect only the edited data. It will not affect raw data.

SINGLE BEAM EDITOR Read Parameters—Offsets Tab


Survey Information Tab in the SINGLE BEAM EDITOR Read Parameters

The Survey Information tab displays some basic project information entered during SURVEY. You can add or modify this information. It is stored in the header of the edited files.

Read Parameters—Survey Information Tab


Presort Tab in the SINGLE BEAM EDITOR Read Parameters

The Presort option is a way of reducing the amount of data you have to edit in the EDITOR program.

Tip: Its use is not recommended, as we feel there are better ways of thinning your data later on in the program.

Read Parameters—Presort Tab

In the top section, you can elect to window all of the data or any points that are not event marks (or to omit presort at all). Some users wish to read the event marks to maintain the integrity of the track line If a point with an event mark is removed, the event mark will be moved to the next point when you plot track lines.

If you select either “Yes” option, the Presort options are enabled.

Presort divides your survey data into “blocks”. Blocks can be based on the Time Elapsed, the Number of Samples (depths) or the Distance Along Line.

Increments are determined by the above choices you have made.

Basis Selected | Increments
Time Elapsed | Seconds
Number of Samples | Number of depths
Distance Along Line | Feet or Meters

Once Presort has divided your data into blocks, it will only bring one depth from each block into the editor spreadsheet. This depth can be the First Depth, the Minimum Depth, the Maximum Depth, or the Average Depth in each block. If you choose the Average Depth option, the depth is positioned at the center of the block. For each of the other choices, the point is positioned at its original location.


GPS Pre-Filter Settings in the SINGLE BEAM EDITOR

The GPS Pre-filter Tab options enable you to omit position and RTK tide data as it is read into the SINGLE BEAM EDITOR. Any data that does not meet the criteria set in this tab will be edited out for you before anything is displayed in the data windows.

GPS Pre-Filter

Accepted GPS Modes: List GPS modes for which you want to read data. If the GPS mode does not match any of the specified values, the POS or TID record will be omitted from being read into the editor. Values may be separated by commas or spaces.

Minimum Number of Satellites: If the number of satellites recorded in the quality information is less than the user-specified number, the POS or TID record will be omitted from being read into the editor.

Maximum HDOP: If the HDOP recorded in the quality information is more than the user-specified number, the POS or TID record will be omitted from being read into the editor.

Maximum Speed over Ground (Kts): If the speed calculated ((pos2-pos1)/time) is more than the user-specified speed, the POS record will be omitted from being read into the editor.


Advanced Read Parameters in the SINGLE BEAM EDITOR

The Advanced Tab in the Read Parameters dialog provides an opportunity to set preferences for RTK Water Level processing and Motion Reference Unit (MRU) options.

Tip: We recommend that you use neither or both RTK and MRU settings. If you have a Motion Sensor, apply the corrections to your data then, since you are applying corrections for heave, remove the heave from your tide data by selecting one of the RTK options.

Advanced Tab

• RTK Tides in the SINGLE BEAM EDITOR

• MRU (Motion Reference Unit) Settings in the SINGLE BEAM EDITOR

• Adjusting Single Beam Data with POSPac Data

• Correcting Positioning and RTK Tides Based on GPS PPK Data

RTK Tides in the SINGLE BEAM EDITOR

The RTK Tides checkbox tells the program you want to calculate water level corrections using RTK GPS elevation. If this option is selected, the items below it become active to specify the basis for the calculation.

For RTK Tides to accurately determine water levels requires the following conditions during your survey:

•Geodesy settings for RTK

•A motion sensor. The methods that average or merge tide data require heave, pitch and roll, while the experimental method requires only pitch and roll.

•Correctly configured an RTK-capable GPS driver. The GPS driver is the most common,

•In your HARDWARE configuration, all measurements between the RTK antenna and echosounder transducer must be precise.

•You should not include the draft correction in the echosounder, as it does not factor into the calculation.

•Reliable Fixed RTK GPS conditions.

• Adjusting the RTK Tides for Heave

• Calculating RTK Tides Without a Heave Sensor

• Recalculating RTK Tides from the RAW Mes-sages

Adjusting the RTK Tides for Heave

The first two RTK Tide methods both use heave, pitch and roll corrections and give similar results.

•The Average Tide Data to Remove Heave method averages the RTK elevations over a user-specified Average Period to determine the normalized heave plane. It then uses the heave information from the motion reference unit to determine the position of the RTK antenna. This method seems to be preferable, particularly if your survey boat is in rough waters.

•The Merge Tide Data with Heave method uses the RTK elevation as the starting point. It then uses the heave data received to determine the antenna height, until the next RTK elevation is received.

Return to RTK Tides Heading

Calculating RTK Tides Without a Heave Sensor

The Experimental Method calculates a tide correction that includes the heave correction based on the GPS antenna height above the reference ellipsoid. The pitch and roll data from the MRU together with the device offset information determines the exact boat origin and transducer positions relative to the GPS antenna. Heave corrections are set to zero because they are incorporated into the tide correction.

Calculating RTK Tides with No Heave Corrections

Recalculating RTK Tides from the RAW Messages

The Raw File Adjustments routine corrects raw data logged with incorrect geodesy, KTD (Kinematic Tide Datum), or with the GPS configured without the Tide function selected.

It recalculates horizontal positioning based on the current geodesy settings and the RAW messages in your raw data files. If your hardware configuration includes more than one positioning device (mobile), SURVEY automatically reads the position from the first positioning device in the configuration. Using this routine you can recalculate the positioning based on the positions from other positioning devices in the configuration.

If your project is configured for RTK tides, it can also recalculate the RTK tide data.

To recalculate your RTK tides in the SINGLE BEAM EDITOR:

1.Verify that your current geodesy settings are correct.

2.Verify that your KTD file is correct.

3.Load your raw data to the SINGLE BEAM EDITOR, making sure to check the ‘Recalculate RTK Tides using Project Geodesy’ option.

The SINGLE BEAM EDITOR ignores the TID records in your data set, recalculating each correction based on the raw messages, your current geodesy and KTD file. It then corrects for heave according to your selections.

Return to RTK Tides Heading

Return to Top

More Information

• Correcting Positioning and RTK Tides Based on GPS PPK Data

MRU (Motion Reference Unit) Settings in the SINGLE BEAM EDITOR

The MRU options let you specify how the heave-pitch-roll information from a motion reference unit (MRU) will be applied.

•Apply Heave Correction determines a heave correction for every sounding.

•Remove Heave Drift corrects heave values that have drifted off-center due to rapid accelerations or changes of direction. Check the option and enter a value of seconds over which the heave should be averaged. Start with the time it takes to complete three full heave cycles.

The pitch and roll data from the MRU together with the device offset information determines the exact boat origin and transducer positions relative to the GPS antenna.

•Apply Pitch and Roll Corrections is used to offset the position of the transducer from the navigation antenna.

•Steer Sounding Beam computes the X-Y coordinate for the point where the center of the transducer cone hits the bottom, based on the pitch and roll data (rather than directly below the transducer) then calculates the corresponding depth. Normally you will not need this option, but it can be helpful where you have a narrow sounding beam and significant pitch and roll.

Return to Top

SBET Editor

If you are using the Applanix POS MV with POSPac for positioning and as your motion sensor, you can improve the accuracy of your survey data.

The POSPac Adjustments routine in the editor program can use the POSPac file (*.OUT or SBET file) to recalculate one or more of the following:

•GPS Latitude, Longitude and elevation

•Pitch and Roll

•Heading

•Tide

Since the data in the POSPac file is quite accurate and post-processing calculations can be better than those done in real time, this routine typically improves the accuracy of your survey data.

That being said, sometimes vertical drift occurs in SBET files, so you must carefully review your data and remove those areas. The corrected, more accurate SBET data may be used multiple times for adjustments to different data files.

You can edit the SBET corrections before or after the POSPac Adjustments:

•Before the adjustment, use the SBET EDITOR. This method enables you to view and edit SBET data for the entire day, resulting in an accurate SBET file that may be used multiple times for adjustments to different data files.

•After the adjustment, use the Heave Tide Draft window in the data editing program. Using this method, you see only the portion of the SBET data corresponding to the logged data, and any editing affects only the currently loaded survey data. However, the cursor location is synchronized in all windows, providing added information with which you can make your editing decisions.

Use block editing to remove the bad SBET data, which results in a straight line interpolation between the remaining data.

Important: When you load your data, leave the Tide Corrections option in the Corrections dialog blank. In the editor, this TID file overrides all other tide correction calculation methods.

Adjusting Single Beam Data with POSPac Data

1.Load your raw survey data to the SINGLE BEAM EDITOR.

2.In the Advanced tab of the Read Parameters dialog, select ‘POSPac Adjustments’ and click [Configuration]. The POSPac Adjustments dialog will appear.

POSPac Adjustments Dialog

3.Enter the adjustment parameters.

•POSPac file logged with your survey data.

•HYPACK File Start Time and PosMV Start Time update automatically according to the information in the files themselves.

•Hour Difference is the difference between the POSPac UTC time and Local Time setting on the Survey Computer.

•Recalculate RTK Tides Using PosPac Elevation and Project Geodesy: Check this option if you want to recalculate your tide corrections with all of the other calculation adjustments.

4.Click [OK]. A series of numbers will be displayed at the lower left and the cursor shows the hourglass to indicate the calculations are in progress.

5.When the calculations are finished, click [OK] to return to the SINGLE BEAM EDITOR.

Return to Top

Correcting Positioning and RTK Tides Based on GPS PPK Data

Postprocessed Kinematic (PPK) surveys store raw observations that, in RTK mode, produce centimeter-level accuracy in post-survey processing.

If your GPS is capable of storing PPK data, you can configure the receiver to output the PPK data to a file. You can then use this file, or any similar text file, in the editor programs and improve your positioning, tide corrections or both. This is quite useful to correct positioning when there are obstructions to satellite reception.

Required PPK Data for each Correction Type

Correction Type | Required String Values
Position | •Time •Easting/Northing (preferred) or Latitude/Longitude
Tide | •Time •Ellipsoid Height.

1.Load your RAW data files (as normal).

2.In the Read Parameters-Advanced Tab, check the 'Use Post-Processed GPS Correction File' option

3.Click [Configuration]. The Post-Processed GPS Correction dialog will appear.

Post-Processed GPS Correction Dialog

4.Under Input File, select your PPK file.

5.Describe the records in your PPK file.

•Check the values that occur in each record. You can add ignored fields (click [Add Ignore Field]) for any variables which you don't need.

•Set the order of the values Use your cursor to click and drag items up or down in the list.

•Select the delimiters.

•If the ellipsoid height is in meters instead of survey units, check the ‘Ellipsoid in meters’ option.

•If the input file accounts for your antenna height, select ‘Ignore Z Offset’.

•Choose the date format.

•Hours Difference is the difference between the UTC time and Local Time setting on the survey computer.

•HYPACK File Start Time and Input File Start Time update automatically according to the information in the files themselves.

6.Select the corrections you wish to make:

•To correct position, select ‘Use Position’.

•To correct tide data, select the ‘Recalculate Tides...’ option.

7.Click [OK] to finish loading your data.

Return to Top


Merging Digitized Depth Data with Raw Survey Data

In areas of "fluff" or "Liquid mud", it is sometimes necessary to hand digitize the sounding data to a separate file (in the ECHOGRAM program) then merge these files with the raw sounding data.

To merge digitized data with the raw data:

1.Select FILE-MERGE DEPTHS. The Merge depth dialog will appear.

Merge Depths Dialog

2.Enter the name of the Digitized Depth file (*.DEP) by clicking [Select…] and selecting it from the file selection dialog.

3.Enter the name for the output file by clicking [Select….] and entering it in the file selection dialog. You use this file in the SINGLE BEAM EDITOR to assign correction data, and examine and edit your data.

4.Click [Start Merge] and the SINGLE BEAM EDITOR matches the event marks in each file and merge the sounding data from the *.DEP file to the data file. The merged files are saved by default to the Edit directory with an EDT extension.


Windows in the SINGLE BEAM EDITOR

The SINGLE BEAM EDITOR is composed of a shell, five editing windows the Sound Velocity Profile window and the Pitch, Roll and Heading window.

Right-click on any window to display a pop-up menu of all applicable options (ie. display options, search and filter options, color options) for that window. The display options and color dialog may also be accessed through the icons in the SINGLE BEAM EDITOR window.

You may edit data in any of the editing windows and the data will be automatically updated in the other windows.

Note:The Auto Refresh option must be checked in the Spreadsheet display options to keep the Spreadsheet synchronized with the other windows. Otherwise, you must update it as needed using [Refresh] in the window.

If, at any time, you delete position, heave, tide or draft data, the program interpolates the data. Soundings will only be removed if data is removed at either end of the survey line, rendering interpolation impossible.

If Sounding data is deleted, the data will be interpolated or removed according to the status of the button beneath the icons in that window which toggles between the two choices.

More Information

• Profile Window in the SINGLE BEAM EDITOR

• Survey Window in the SINGLE BEAM EDITOR

• Spreadsheet Window in the SINGLE BEAM EDITOR

• Sound Velocity Corrections Window in the SINGLE BEAM EDITOR

• Tide and Draft Corrections Window in the SINGLE BEAM EDITOR

• Heave Window in the SINGLE BEAM EDITOR

• Pitch Roll and Heading Window in the SINGLE BEAM EDITOR

• Echogram Window in the SINGLE BEAM EDITOR

• Comments Window in the SINGLE BEAM EDITOR


Profile Window in the SINGLE BEAM EDITOR

The Profile window is composed of two graphical representations of your survey data, one line at a time—the track line and profile displays. The window synchronizes with the other window displays, providing you with additional information and tools with which you may edit your data.

Profile Window

Track Line shows the survey track line superimposed on the Planned Survey Line. Use the zoom tools on the track line display to define the section of the line.

• [image] To view a select section of the line, use the Zoom Window tool and drag a rectangle around the area you want to view. You can then scroll up and down the line using the Pan Left and Pan Right icons.

•To zoom in and out, use the mouse wheel.

• [image] To see the full line at once, click the Zoom Extents icon.

Profile shows the Depth Profile data. If the planned survey line contains template information, you will see it displayed.

•In depth vs distance mode (set in the Display Options), the depth data is always displayed so the line origin is on the left-hand side of the screen, regardless of which direction the planned line was surveyed.

•In depth vs time mode, the earliest sounding is always on the left.

This is the window where you can view bad soundings and edit them out. When you delete a sounding, the program can delete or interpolate the data. This option is determined by the button below the icon bar. The selected option is displayed on the button. Choose the other option by clicking the button. (The label will change to confirm your choice).

In the Profile window, you can delete data from both frequencies or delete data from one frequency and still retain the data in the other. The interpolation option continues to interpolate values for both frequencies.

To view data that has been deleted marked with a red “X”, select the Show Deleted Points option in the View Options.

To take a screen shot of the profile, click the camera icon and name the file. Your screen shot will be saved in JPG format, by default to the project directory.

More Information

• Profile Window Display Settings in the SINGLE BEAM EDITOR


Survey Window in the SINGLE BEAM EDITOR

The Survey window shows the survey track lines, event marks and enabled targets. The line shown in red indicates that which is represented in the Spreadsheet and Profile windows.

Tip: Press the Auto Zoom to Line icon to automatically zoom in on only the selected line with one line on either side.

In the Survey window tab of the Display Options dialog, you can enhance the display with:

•soundings

•planned lines

•background charts

To measure the distance and azimuth between two points, drag the default cursor from one point to the other. The measurements are displayed in the status bar.

Note:Though soundings are displayed in the Survey window, you can only edit position (track lines) in this window. Soundings must be edited in the Profile window.

Survey Window

More Information

• Survey Window Display Settings in the SINGLE BEAM EDITOR


Spreadsheet Window in the SINGLE BEAM EDITOR

The Spreadsheet provides the data for every survey record. If data has been deleted, the corresponding cell in the spreadsheet displays “xxxxx” in place of the deleted depth reading.

[Highlight] provides optional color-coded columns according to the type of data:

•Raw Data: Yellow

•Corrections: Blue

•Final Value: Orange

•Quality Data: Green

•Position Data: White

The Auto Refresh option in the Spreadsheet Display Options, keeps the Spreadsheet data synchronized with the other windows. You can manually edit the values in the spreadsheet and the other windows will update accordingly.

If the Auto Refresh option is not selected, you will need to update it, as needed, using [Refresh].

The Spreadsheet

More Information

• Spreadsheet Window Display Settings in the SINGLE BEAM EDITOR


Sound Velocity Corrections Window in the SINGLE BEAM EDITOR

The Sound Velocity Profile shows a graph of the data from your Sound Velocity Corrections file. It plots the velocity correction against depth.

A Sample Sound Velocity Profile

More Information

• Sound Velocity Corrections in the SINGLE BEAM EDITOR


Tide and Draft Corrections Window in the SINGLE BEAM EDITOR

The Tide and Draft Corrections window graphs show the tide and draft correction values over time. You can block edit the graphs by dragging a block and clicking the button to delete inside or outside of the box. The program will interpolate the data to “fill the gap”. If the beginning of the line is deleted, interpolation is not possible and soundings will be removed.

Tide and Draft Corrections Window

More Information

• Tide Corrections in the SINGLE BEAM EDITOR

• Dynamic Draft Adjustments in the SINGLE BEAM EDITOR


Heave Window in the SINGLE BEAM EDITOR

The Heave Window graphs the heave correction over time. You can drag a block around any portion of the graph and define a new value by clicking [N] in the corner of the dialog. Typically, if you have a stretch of bad heave, you would replace it with zero since, theoretically, heave averages out to zero. (This really helps after those speedy turns from the end of one line to the beginning of the next!)

The Heave Window

More Information

• True Heave Corrections on the SINGLE BEAM EDITOR


Pitch Roll and Heading Window in the SINGLE BEAM EDITOR

The Pitch, Roll and Heading Window graphs roll, pitch and heading over time. These graphs are not editable.

The Pitch Roll and Heading Window


Echogram Window in the SINGLE BEAM EDITOR

The Echogram Window provides an editable graphical display of Odom MKIII analog data. It displays high frequency (red) and low frequency (blue) depth data in a time vs distance graph (left) and the return strength information corresponding to the current cursor position (right). The window synchronizes with the other window displays, providing you with additional information and tools with which you may edit your data.

To access an alternate color scheme, best for EA400 data and familiar to Kongsberg users, toggle the Toggle Color Scheme icon.

To print a copy of the current profile graph, click the ‘Capture Profile to Printer’ icon. A Windows® Print dialog will appear for you to select your printer, set its properties and print your graph.

To take a screen shot of the profile, click the camera icon and name the file. Your screen shot will be saved in JPG format, by default to the project directory.

Echogram Window


Comments Window in the SINGLE BEAM EDITOR

If you have recorded comments during SURVEY, you can display them and refer to them as you edit your data.

To view your comments log:

1.Load your survey data to the editor.

2.Select FILE - SURVEY NOTES. A separate window will display the comments logged in SURVEY.

Sample Comments Display

More Information

• Comments in SURVEY


Display Settings in the SINGLE BEAM EDITOR

The View Options in the SINGLE BEAM EDITOR dialog include all of the options to configure your displays. It is a tabbed dialog with one tab for each SINGLE BEAM EDITOR window and an additional tab for settings that are not specific to any one window.

More Information

• Profile Window Display Settings in the SINGLE BEAM EDITOR

• Survey Window Display Settings in the SINGLE BEAM EDITOR

• Spreadsheet Window Display Settings in the SINGLE BEAM EDITOR

• Echogram Display Settings in the SINGLE BEAM EDITOR

• Other Display Settings in the SINGLE BEAM EDITOR


Profile Window Display Settings in the SINGLE BEAM EDITOR

The Profile Window tab of the View Options dialog (F9) controls the display of the files you are editing in the Profile window. Additionally, you may choose to overlay historical (edited All format) data and channel files to enhance your display.

• View Options - Profile Tab

• Historical Data Overlay

• Channel Template Overlay

View Options - Profile Tab

View Options—Profile Tab

•The Depth 1 (red), Depth 2 (blue), Raw Depth (gray) and Strike Depth (pink) checkboxes are used to specify which elements you want displayed in the Profile window.

•Soundings as Depths displays larger soundings toward the bottom of the graph. Soundings as Elevations inverts the graph (not the sounding values) so that the larger soundings are toward the top.

•Strike Depth is used to place a reference line at the user-specified depth.

•Style: Choose whether to draw the soundings in the profile display as individual points, a line connecting the soundings or as a solid fill area. When you choose the solid fill option, the track line draws as a line.

Tip: You can use the style icon on the toolbar to rotate through the three styles.

•Scaling: Choose whether to view your data relative to time or distance traveled.

In addition, you can manually adjust the range of data displayed using the toolbar in the Echogram window.

The File menu in the SINGLE BEAM EDITOR shell provides additional display options.

Return to Top

Historical Data Overlay

You can display up to three additional sounding files from the same survey line. The depths are displayed according to the options set in the View Options dialog and the Pen Properties accessed in the Overlays dialog. The overlaid data cannot be edited. It is only used as a reference, should you want to compare the current data file to a previous survey of the same line.

1.Select FILE-OVERLAY. A dialog will appear with your base survey files listed under Primary Log File.

Overlays Dialog

2.Click in the top cell of the 1st Overlay column, click the File Open icon and select the catalog file containing your overlay files. The files will be listed in the order they appear in the catalog.

3.If the lines names in the overlay file are unmatched with those of the primary file, click the Sort Files icon.

4.Set the pen properties for the overlay file by clicking the Overlay Draw Parameters icon. A dialog will appear for you to set line width, style and color for each depth value in the selected overlay file.

Overlay Pen Properties Dialog

5.If you want an additional overlay, click the Add Overlay icon and repeat the process for each one. The SINGLE BEAM EDITOR supports up to three overlay files.

6.Save your overlay settings. (optional) Click the Save icon and name your settings. The parameters in this dialog will be saved, by default, to you project with an OVL extension.

Tip: If you have multiple file combinations that you want to display, save an OVL file for each combination, then quickly switch from one to another by clicking the File Open icon and selecting the appropriate OVL file.

7.Click [OK] to return to the editor.

Return to Top

Channel Template Overlay

You can also display up to four channel templates in the profile window. These are based on the templates of the primary files.

To display the channel templates:

1.Select FILE-TEMPLATES. The dialog will appear.

Template Dialog

2.Check the template levels you wish to display.

3. For each selected level, enter the distance below the template, which is defined in the primary data headers, each level will be drawn.

4.Click [OK].

An Example of Overlaid Files and Templates

Return to Top

More Information

• Profile Window in the SINGLE BEAM EDITOR


Survey Window Display Settings in the SINGLE BEAM EDITOR

The Survey window tab of the View Options dialog (F9) controls the Survey window display. These options allow you to see bottom trends (slopes and bumps) or historical features (such as wrecks and pipelines).

Tip: Press the Auto Zoom to Line icon to automatically zoom in on only the selected line with one line on either side.

The track lines and events may be superimposed against:

•Background charts

•Planned lines

•Soundings

Note:A change in the Show Charts option will only be implemented after you restart the SINGLE BEAM EDITOR.

Targets enabled in the HYPACK Area Map are automatically shown in the Survey window.

View Options—Survey Window

More Information

• Survey Window in the SINGLE BEAM EDITOR


Spreadsheet Window Display Settings in the SINGLE BEAM EDITOR

The Spreadsheet Tab of the View Options dialog (F9) enables you to select which items you want to see in the Spreadsheet Window.

View Options—Spreadsheet Tab

Items available are listed on the left, while items selected are listed to the right. Select items in either column then use the [Add=>] and [<=Remove] to include or omit them from your spreadsheet display...

Note:The list of items available is maintained in alphabetical order. The list of items selected shows the order that the columns will be displayed in the spreadsheet. Normally, they will be listed in the order that they are selected. However, if you wish to insert a column in the middle of the list, select the item in the selected items list that you wish your new selection to follow. The next added items will be inserted there.

•If Auto-refresh is selected, the spreadsheet is automatically synchronized to the graphical windows. This is great if your data files are small enough (and you have a fast computer or both). This can become a cumbersome process, however, if you have large data files or a slow computer (or both). To solve this problem you can deselect Auto-refresh while you are editing.

•If Auto-refresh is deselected, when data is changed in one of the other windows (profile, survey, tide, etc), the change is not reflected in the spreadsheet but [Refresh] will be enabled to update it on an as needed basis. Spreadsheet editing is when it is out of synch with the other windows.

More Information

• Spreadsheet Window in the SINGLE BEAM EDITOR


Echogram Display Settings in the SINGLE BEAM EDITOR

The Echogram view options control the scale of the display in the Echogram window.

View Options—Echogram Tab

Auto scale Amplitude automatically adjusts the scale of the Echogram and Profile displays to fit the amplitude of the data. You can manually set a constant range by clearing this option and entering your desired scale range.

In addition, you can manually adjust the range of data displayed using the toolbar in the Echogram window.

• [image] To view a select section of the line, use the Window tool and drag a rectangle around the area you want to view. You can then scroll up and down the line using the Pan Left and Pan Right icons.

•To zoom in and out, use the mouse wheel.

• [image] To see the full line at once, click the Extents icon.

• [image] To access alternate color schemes, toggle the Toggle Color Scheme icon.

Apply Heave Corrections to the Echogram Display shows heave corrected data.

More Information

• Echogram Window in the SINGLE BEAM EDITOR


Other Display Settings in the SINGLE BEAM EDITOR

The Other Tab of the View Options dialog (F9) just provides a place for display settings that don't fit any other category. There are also a few settings that are available regardless of which tab is selected.

View Options—Other Tab

Other Tab:

•Black Background provides a choice to use black instead of white background in the SINGLE BEAM EDITOR windows.

•Double Width Graph Lines thickens the sounding lines in the Profile Window.

•Color Code By GPS Mode options enable track lines in the Survey window or the tide graph to be color-coded based on GPS mode.

•Quick Targets: After the first target, when you choose the target group in the Target dialog, subsequent targets are automatically named with the time-stamp from your data and saved to the same target group without presenting the Target dialog. This enables you to quickly capture multiple targets.

Always Available in View Options:

•The Auto-scale Depth/Elevation determines the scaling of the depth profile based on the minimum and maximum depth in the data file, updating after each editing operation. You can manually set the scale by deselecting this option and entering minimum and maximum depths.

•Show Active Filters marks all points that would be omitted based on the current Search and Filter settings with a yellow "X".

•Show Events determines if the events are labeled in the Survey window.

•Show Deleted Points marks all points that have been deleted in The SINGLE BEAM EDITOR with a red “X.


Search and Filter Options in the SINGLE BEAM EDITOR

Open the Search and Filter Options dialog by selecting EDIT-SEARCH AND FILTER OPTIONS (Ctrl+F). Search and Filter Options are used by the SINGLE BEAM EDITOR to search for data outside of these user-defined limits.

You can instruct the SINGLE BEAM EDITOR to display filtered points with a yellow "X" by checking Show Active Filters in the Display Options (F9).

The SINGLE BEAM EDITOR can also automatically delete all of these points; however, this is not a recommended process for anything but getting a fast and approximate idea of your results.

Search and Filter Options

Search and Filter Options:

•Minimum Corrected Depth and Maximum Corrected Depth reject any depths which are outside user-specified Minimum and Maximum Allowable Depths.

•Off-line Limit rejects any points that are more than a specified distance away from the planned survey line.

•Spike Limit defines a gate above and below an accepted depth. If the depth is outside the gate, it is rejected and the gate is expanded by adding the Gate Step to the Spike Limit. When a depth is accepted, the gate collapses to that depth level plus and minus the Spike Limit.
In the following figure, the Spike Limit is 3 and the Gate Step is 1. Each time a sounding is more than 3 units deeper or shoaler than the previous one, it is filtered out (yellow ‘X’) and the spike limit increases to 4. The process is repeated with the next sounding and wider spike limit until we get a sounding that falls within the spike limit. In this segment, several in a row all fell within the 6 unit range. The next three soundings were filtered because they were outside of the (expanding) spike limit. The next sounding fell within the limits so the gate again narrowed to 3 units either side of that depth and the procedure continued on to the next point.

Spike Limits and Gate Steps in the Profile Window of the SINGLE BEAM EDITOR

•Roll, Pitch Limit removes soundings where pitch or roll are greater than a user-specified number of degrees.

•Keep Events Only removes all soundings except those that occur on the event.

•Filters Remove Soundings and Filters Interpolate Soundings offer a choice about how the filtering option affects your data. During the filtering process, soundings outside of the Search and Filter settings can be deleted or interpolated according to this selection.

Search Only Options:

•XY Change/Time and Depth Change are used with the Search feature to seek bad data points based on the predicted position for the Position (XY) and Depth. If the actual value is too far from the predicted value, it is assumed the data point is bad and the cursor is moved directly to that point. You must decide what, if anything, to do about it.

•Search Basis determines what data is included in the search and filter operations.

•Search based on Depth 1, Depth 2 or both.

•Apply the filters for Minimum Depth and Maximum Depth based on the corrected or raw depth value.

•Elect to filter all of the data or only points that are not event marks. Some users wish to read the event marks to maintain the integrity of the track line. If a point with an event mark is removed, the event mark will be moved to the next point when you plot track lines.

More Information

• Automatic Editing Single Beam Data


SINGLE BEAM EDITOR Statistics

The SINGLE BEAM EDITOR provides statistics relating to your currently loaded files.

File Information

File Information includes ranges of depths, distance off line, tide correction values, number of satellites and DOP readings for the loaded file. Select FILE-INFORMATION (or click the icon) and the File Information statistics will appear.

A Sample File Information Dialog

Off-line Statistics

The Off-line Statistics option displays an off-line histogram of the survey data. It provides an average position, in case you logged data over a point for a couple of minutes to get a statistically calculated position.

Select FILE - OFFLINE STATISTICS and the dialog will appear. You can change the Off-line Interval and view statistics about one line or all of them.

Offline Statistics Dialog


Editing Sounding Data in the SINGLE BEAM EDITOR

The SINGLE BEAM EDITOR provides several tools you will use to clean your raw data set:

•Manual Editing using your cursor

•Automatic Editing using the Search and Filter options.

•Depth Smoothing

Typically, you will use the automated methods to remove data that is obviously in error then continue using manual methods as you examine and clean your data on a more granular level.

Tip: If editing operations have produced unsatisfactory results, you can reverse them, in the reverse order in which they were performed, using the Undo icon on the toolbar.

More Information

• Manual Editing Single Beam Data

• Digitizing Data in the Echogram Window

• Automatic Editing Single Beam Data

• Marking Golden Soundings in the SINGLE BEAM EDITOR

• Smoothing Your Data in the SINGLE BEAM EDITOR


Manual Editing Single Beam Data

This process is typically done in the Profile window while you scroll using the arrow keys on the SINGLE BEAM EDITOR shell. The data in the Survey and Tide/Draft Corrections windows may also be edited in this manner.

1.Scan and edit your data. You can quickly scroll through your lines, to view your data while you remove obviously bad data and insert points where there are gaps in your data. This is optional, but it may save you a bit of time in the search and filter process.

2.Return to the first selected file.

3.Set your Search and Filter criteria.

Tip: You can instruct the SINGLE BEAM EDITOR to display filtered points with a yellow "X" by checking Show Active Filters in the Display Options (F9).

4.Select EDIT-FIND NEXT (F3). The SINGLE BEAM EDITOR will systematically scan the survey data for soundings outside of the Search and Filter limits and position your cursor at that point in sequence.

5.Examine and edit your data. Decide to delete the sounding (and possibly others around it) or leave it and search out the next.

6.Continue to repeat the last two steps until the SINGLE BEAM EDITOR has progressed to the end of your data.

Tip: You can instruct the SINGLE BEAM EDITOR to display deleted points with a red "X" by checking Show Deleted Points in the Display Options (F9).

In the Spreadsheet display, deleted soundings appear with asterisks as depths.

Spreadsheet Shows Deleted Soundings with Asterisks

• Point Editing Methods in the SINGLE BEAM EDITOR

• Block Editing in the SINGLE BEAM EDITOR

• Clipping Data with a Border File in the SINGLE BEAM EDITOR

• Omitting Lines in the SINGLE BEAM EDITOR

• Swapping Frequencies in the SINGLE BEAM EDITOR

• Depth Differences in the SINGLE BEAM EDITOR

• Converting Depths to their Absolute Value in the SINGLE BEAM EDITOR

Point Editing Methods in the SINGLE BEAM EDITOR

To delete individual points select the point with the cursor and click the delete point icon.

To delete small segments of data, click the eraser icon. The cursor changes to a small square. Each time you click that cursor, all data in that square will be deleted.

To manually Insert Points where there are gaps in your data.

1.Position your cursor adjacent to where you want to insert your point(s).

2.Select EDIT-INSERT POINT…. The Insert Points dialog will appear.

Insert Points Dialog

3.Enter your choices and click [OK].

•Before Current Point or After Current Point indicate where you want to insert data relative to the cursor.

•Interpolate Depth assigns depths, tide corrections and draft corrections to the inserted points based on the points positioned on either side. Clear this option to insert depths all with value of zero.

•Number of Points: Specify how many points should be inserted. You can insert up to 999 points (total) in your file. If you attempt to insert 1000 or more points, a message that you have reached the maximum number of points will be displayed and no points will be inserted to your file.

Return to Top

Block Editing in the SINGLE BEAM EDITOR

To delete a block of points, define the range of points then delete all points inside or outside the block.

1.Select a block of data points:

•In the Survey window: Use the [Current Line Only]/[All Lines] button to set whether you will edit only the current line (displayed in red) or all data currently loaded in the editor, then click the Block Tool and drag from one corner of the area to edit to the diagonally opposite corner. (If you're unhappy with the results, just try again.)

•In the Profile window:

• [image] Click and drag a rectangle from one corner to the corner diagonally opposite. (If you're unhappy with the results, just try again.)

•Flag a point at each end of the range by selecting it and clicking the flag icon [image].

2.Delete the Data by clicking the Delete Inside Block (I) or Delete Outside Block (O) icon [image] . The data will either be erased or interpolated according to the setting in the Profile Window.

To delete all points above or below a user-defined line in the Profile window:

1. Click the Edit Above Line or Edit Below Line icon.

2.Holding the left mouse button down, use the cursor to draw a line to define where data should be removed. (Your line will draw in yellow.) When you release the mouse, the data above or below your line will be deleted according to which icon you chose.

Sample Edit Above the Line (Before)

Sample Edit Above the Line (After)

To restore deleted points:

• [image] Immediately after the delete operation, use the Undo icon in the SINGLE BEAM EDITOR shell.

•At any time:

a.In the View Options dialog, select the View Deleted Points option. Each deleted point will be displayed in your Profile with red ‘X’.

b.Select the points you wish to restore by dragging a box around them with your mouse.

c.Click the Undelete Block Icon in the Profile window toolbar.

Return to Top

Clipping Data with a Border File in the SINGLE BEAM EDITOR

In the Survey window, you can clip your data using a border file, choosing to delete the data either inside or outside of the area defined by the border file.

1. Click the Clip to Border File icon. A File Select dialog will appear.

2.Select your border file and click [Open]. The border file will be displayed with your data in the Survey window.

Note:The position of the In/Out point in the border file is unimportant in this case.

Trimming to a Border File—Before

3. Click the Delete Inside or Delete Outside icon according to which data you want to remove.

Trimming to a Border File—After

Return to Top

Omitting Lines in the SINGLE BEAM EDITOR

To omit lines with little or no data select the line in the SINGLE BEAM EDITOR toolbar and click the Ignore Current Line icon [image] . The ignored lines will no longer be displayed as you scroll through your data nor will they be saved with your edited data.

Return to Top

Swapping Frequencies in the SINGLE BEAM EDITOR

To swap High Frequency data with Low Frequency data. In the Profile window, click and drag a block around the data that you want to swap and click the Swap Depths Inside Block icon [image] .

If the result is not satisfactory, reverse the operation using the Undo icon.

Return to Top

Depth Differences in the SINGLE BEAM EDITOR

To calculate the difference between the high and low frequency depths, select EDIT - DEPTH1-2 DIFFERENCES or EDIT - DEPTH2-1 DIFFERENCES, then click [Refresh] in the spreadsheet window. Depth 1 will assume the value of the calculated difference. Depth 2 becomes zero.

Return to Top

Converting Depths to their Absolute Value in the SINGLE BEAM EDITOR

To convert either depth value to it absolute value, select EDIT-ABSOLUTE VALUE DEPTH 1 or EDIT-ABSOLUTE VALUE DEPTH 2.

Return to Top

More Information

• Automatic Editing Single Beam Data

• Digitizing Data in the Echogram Window

• Marking Golden Soundings in the SINGLE BEAM EDITOR

• Smoothing Your Data in the SINGLE BEAM EDITOR

• Search and Filter Options in the SINGLE BEAM EDITOR


Digitizing Data in the Echogram Window

The digitizing tool enables you to quickly edit the depths in the Echogram window.

1.Select the frequency that you want to edit by selecting a depth on its path.

2. Click the Digitizing Tool icon. The cursor will become a crosshair.

3.Use the cursor to mark at least 2 new points or drag a line that defines the bottom in the graph.

4.Click the Digitizing Tool icon again. The depths of that frequency in the marked range will be updated according to your marks, interpolating the intervening depths.

Digitizing New Depths in the Echogram—Select Frequency (left), Digitize New Depths (Center), Resulting Depths (right)

More Information

• Manual Editing Single Beam Data

• Automatic Editing Single Beam Data

• Marking Golden Soundings in the SINGLE BEAM EDITOR

• Smoothing Your Data in the SINGLE BEAM EDITOR

• Search and Filter Options in the SINGLE BEAM EDITOR


Automatic Editing Single Beam Data

1.Set your Search and Filter criteria.

Tip: You can instruct the SINGLE BEAM EDITOR to display filtered points with a yellow "X" by checking Show Active Filters in the Display Options (F9).

2.Run the filters.

• [image] To affect all currently loaded data, click the Filter All icon in the SINGLE BEAM EDITOR toolbar. The SINGLE BEAM EDITOR automatically deletes all points outside the limits from all of the selected data files.

• [image] To affect only the line currently displayed, click the Filter Line icon in the Profile window.

•To affect only a select area of the line currently displayed, use your cursor in the Profile display to draw a box around the area where you want to apply the filters then click the Filter Line icon.

More Information

• Manual Editing Single Beam Data

• Digitizing Data in the Echogram Window

• Smoothing Your Data in the SINGLE BEAM EDITOR

• Search and Filter Options in the SINGLE BEAM EDITOR


Marking Golden Soundings in the SINGLE BEAM EDITOR

Golden Soundings are soundings or a series of soundings whose positions are used to generate Point, Line or Area features that are designated as more important than other project data. They are stored as point, polyline or poly-polygon features in a project-specific Golden Soundings database and listed in the Project Items list. You can closely examine, modify and delete your golden sounding records in the GOLDEN SOUNDING EDITOR.

In HYPACK, programs that support golden soundings either write them to the database or read them from the database, but not both.

Note:Golden soundings are visible in the programs that write them only until you close that program.

Programs that Support Golden Soundings

Function | Program
Write | •SINGLE BEAM EDITOR •64-bit HYSWEEP EDITOR •SB SELECTION •SORT •TIN MODEL •CLOUD
Read | •HYPACK •HYPLOT

In the SINGLE BEAM EDITOR, you can use the golden soundings tool to manually mark individual soundings which generates golden sounding point features associated with the sounding at each position.

Sample Golden Soundings

More Information

• Manual Editing Single Beam Data

• Digitizing Data in the Echogram Window

• Automatic Editing Single Beam Data

• Smoothing Your Data in the SINGLE BEAM EDITOR


Smoothing Your Data in the SINGLE BEAM EDITOR

If you have been surveying in rough waters and do not use a heave sensor, your data can be very jagged. In cases such as these, you can smooth the position and depth of the corrected soundings.

Note:You can smooth horizontal positioning only on full lines. If you select an area of your profile, before smoothing, only the depth options will be available.

Sample Data Before Smoothing

1.Calculate the approximate number of soundings in about three heave cycles. To do this,

a.Zoom in on a small area of your profile view.

b.Note the time it takes for 3 full cycles. (Place your cursor and note the time at the crests of the 2 heave cycles, three cycles apart. Calculate the difference.)

c.Multiply the time by the number of soundings/second.

2.Decide the number of soundings used to smooth the horizontal positions. The default is 25, but you can use another value if you think it gives you better results.

3.If you want to smooth only a selected area, define the range.

•Use the Block Select tool to draw a block around that area.

•Set flags at each end of the area.

4. Click the smooth icon. A dialog will appear.

Smoothing Options Dialog

a.Set what data you want to smooth.

•All lines currently loaded to the editor

•Only the current line.

•Area inside the block (or flagged area). The default option if you have marked such an area.

b.If you are smoothing depths, enter the number calculated in step 1 for your number of samples under that option.

c.If you are smoothing positions, enter the number of samples you wish to average under that option.

d.Click [OK].

The Same Data After Smoothing

More Information

• Manual Editing Single Beam Data

• Digitizing Data in the Echogram Window

• Automatic Editing Single Beam Data

• Marking Golden Soundings in the SINGLE BEAM EDITOR

• Smoothing Your Data in the SINGLE BEAM EDITOR


Data Other Than Soundings in the SINGLE BEAM EDITOR

HYPACK processes data from environmental sensors in the SINGLE BEAM EDITOR.

When HYPACK stores more than two values from a device as depths, it records an SMI record which can be processed in the SINGLE BEAM EDITOR two values at a time. When you load data containing SMI (Specialized Marine Instrument ) records to the SINGLE BEAM EDITOR, the Specialized Marine Instrument dialog appears after the Read Parameters dialog in the file loading sequence. In this dialog, you specify the device and which two of its recorded values you wish to process. When you click [OK] the data will load to the editor interface.

Note:To see both sets of selected data, remember to check both Depth 1 and Depth 2 in the Profile tab of the View Options dialog.


Targets in the SINGLE BEAM EDITOR

Displaying Targets in SINGLE BEAM EDITOR

To aid in your editing decisions, the Survey window automatically displays enabled targets in your project and targets marked in the current editing session.

Targets appear as small triangles labeled with their target name.

Targets in the Survey Window

More Information

• Marking Targets in the SINGLE BEAM EDITOR


Marking Targets in the SINGLE BEAM EDITOR

As you view your data in the various windows of the SINGLE BEAM EDITOR, you can create a target to mark some point of interest.

1.In the SINGLE BEAM EDITOR shell, select the line where you want to mark your target.

2.Select the point where the target should be placed and press F5. A Target dialog appears with the XYZ coordinates of your selected position and the default name (time) and target group (SBMAX).

Target Dialog

3.Edit your Target Name (Description) and Position information (Optional) and click [OK]. SINGLE BEAM EDITOR saves your target to your target group and displays it in the SINGLE BEAM EDITOR editing windows.

Note:Note: Be careful if you are editing the Easting and Northing, an error in typing could place it outside of your survey area.

4.Choose a target Group. Select an existing group from the list or create a new group to which your targets will be stored.

To create a new group, enter a group name and click [Add Group]. The new group name is added to the Groups list where you can then select it.

After the first target, when you choose the target group, subsequent targets are automatically named with the time-stamp from your data and saved to the same target group without presenting the Target dialog. This enables you to quickly capture multiple targets.

Tip: To bypass the Target dialog, select the Quick Targets option in the Other tab of the View Options dialog. Then, after the first target, when you choose the target group, subsequent targets are automatically named with the time-stamp from your data and saved to the same target group. This enables you to quickly capture multiple targets.

When you exit in the SINGLE BEAM EDITOR, you can display the targets in the HYPACK map window and use the target group as any other target group.

More Information

• Displaying Targets in SINGLE BEAM EDITOR

• Managing Targets and Target Groups


Saving Edited Data in the SINGLE BEAM EDITOR

When you have finished editing your data, save your edited data to the HYPACK edited All format. You may also save your soundings to XYZ format. The edited data is always stored to a new data file. This preserves the raw survey data so you may begin with the original data set at any time.

In most cases, your All format data will be saved to a file of the same name with an EDT extension in the project Edit directory (e.g., edited 001_1007.RAW is stored as 001_1007.EDT). If you edit a catalog of raw data, the SINGLE BEAM EDITOR also generates a catalog of edited data (e.g., Raw0830.LOG generates EDT0830.LOG).

If you log your raw data with an extension other than ‘RAW’ in SURVEY, the edited data will retain the same extension, but the log filename will still begin with EDT (e.g., ABC0830.LOG generates EDTABC0830.LOG).

In the File Save options, you can also specify a custom extension for your edited All files, regardless of your raw file names. This is useful to compare the results when you process data with different settings or to distinguish between depth data and other kinds of data (e.g.,environmental sensor data) that are processed in the SINGLE BEAM EDITOR. In this case, edited 001_1007.RAW is stored as 001_1007.CustomExt and Raw0830.LOG input generates EDT0830_CustomExt.LOG.

More Information

• Saving Edited Single Beam Data to the ALL Format

• Saving Edited Single Beam Data to XYZ Format


Saving Edited Single Beam Data to the ALL Format

1.Select FILE-SAVE OPTIONS and check your save options in the Save Options dialog and click [OK].

Save Options Dialog

•To save with the EDT extension, select Use Default Naming.

•To set an alternate extension, select Select Extension and enter your new extension in the corresponding field.

•Save to New Format (ALL2) is the default format for continued processing in HYPACK.

•Save to Old Format is for users with routines that import that format to third-party software.

2.Save your data. You may save all loaded data at once, or one line at a time according to your save options.

•To save only the line currently displayed, select FILE-SAVE.

•To save all loaded data according to your save options, select FILE-SAVE ALL.

•To save only the line currently displayed to a different name, location or both, select FILE-SAVE AS.


Saving Edited Single Beam Data to XYZ Format

You can save your soundings to an XYZ format file, very simply:

1.Select FILE-SAVE TO XYZ. A File Save dialog will appear.

2.Name your output file and click [Save].


Exporting Edited Single Beam Data to a Text File

You can export the contents of the spreadsheet to a text file.

1.Click [Export]. The Spreadsheet Export dialog will appear.

Spreadsheet Export Dialog

2.Select your file and format options. (The options are pretty self-explanatory.)

Tip: To align with the column titles with the correct data, import the text file to a spreadsheet program.

3.Click [OK]. A File Selection dialog will appear for you to name the text file and designate where it should be saved.

4.Name your file and file destination and click [OK]. The file will be saved with a TXT extension. You can view your text file in any text editor or import it to a spreadsheet program.

A Sample Exported Spreadsheet Text File


64-bit SINGLE BEAM EDITOR

The 64-bit SINGLE BEAM EDITOR reads raw or edited single beam HS2X sounding files containing single beam, dual frequency or multiple transducer survey data. It applies corrections to the soundings to find corrected depth or elevation.

Unlike the SINGLE BEAM EDITOR, the 64-bit program processes only bathymetric data.

The 64-bit SINGLE BEAM EDITOR displays all measurements graphically and provides a number of editing methods. When editing is complete, the program saves the corrected and cleaned data for further work in the Sounding Selection and Final Product programs. The resulting output options include HS2X, XYZ, and All2 format files.

Important: Always save your results in HS2X format! You can only reload HS2X files in the 64-bit SINGLE BEAM EDITOR for further review or editing. ALL2 files are primarily for backward compatibility.

Note:To run the 64-bit modules, you must install HYPACK on a computer with 64-bit capability.

More Information

• Running the 64-bit SINGLE BEAM EDITOR

• 64-bit SINGLE BEAM EDITOR Interface

• Display Settings in 64-bit SINGLE BEAM EDITOR

• Targets in the 64-bit SINGLE BEAM EDITOR

• 64-bit SINGLE BEAM EDITOR Options

• 64-bit SINGLE BEAM EDITOR Input

• Read Parameters in the 64-bit SINGLE BEAM EDITOR

• Editing Tools in the 64-bit SINGLE BEAM EDITOR

• Recalculating Positions and Corrections in the 64-bit SINGLE BEAM EDITOR

• Editing Positions and Corrections in the 64-bit SINGLE BEAM EDITOR

• Cleaning your Soundings in the 64-bit SINGLE BEAM EDITOR

• Saving your Edited Data in the 64-bit SINGLE BEAM EDITOR

• Extracting Tide Corrections in the 64-bit SINGLE BEAM EDITOR


Running the 64-bit SINGLE BEAM EDITOR

Before you begin your editing session, check the following items:

•Confirm that your geodetic parameters match those of your survey data.

•If your project area is affected by tides and you have not applied tide corrections during your survey, create a Tide Corrections file using the MANUAL TIDES or HARMONIC TIDES program.

•If necessary, take a sound velocity cast and create a Sound Velocity file in the SOUND VELOCITY program. You can skip this step if you have set your echosounder to account for sound velocity before the survey.

When you these items are complete, you are ready to begin your editing session.

Note:The 64-bit SINGLE BEAM EDITOR allows you to perform any of the editing processes at any time. For example, you can change your corrections or device offsets for one or more lines, even after you have begun to edit your soundings, and the program will update the displayed data accordingly. However, it makes the most sense to do all processes involving corrections and positioning to make your soundings as accurate as possible, before you begin evaluating and cleaning sounding data.

1.Open the 64-bit SINGLE BEAM EDITOR by selecting PROCESSING- 64-bit SINGLE BEAM EDITOR or by clicking the icon.

2.Set your Editor Options.

3.Load your Soundings.

4.Set your Read Parameters. The Read Parameters dialog provides options for how the program reads, corrects and displays the data. If you want to apply tide or sound velocity corrections files, enter them in the Corrections tab.

5.Apply any post-processing corrections. Under certain circumstances, positions and corrections can be more accurately calculated and applied in the editor than in real-time during the survey.

•POSPac Adjustment uses the POSPac file (*.OUT or SBET file) to recalculate position, pitch and roll, heading and tide.

•PPK Adjust uses a PPK (post-processed kinematic) file to improve positioning, tide corrections or both.

•Apply True Heave corrections.

•Remove Heave Drift with the Heave Adjustment tool, if you did not select this option in the Read Parameters.)

•Tide Adjustments: Interpolating between multiple gauges, Offsetting tide corrections, tidal areas/zones, invert tides.

•Draft smoothing or apply a Squat/Settlement table.

•Raw File Adjust: Recalculates positioning and RTK tides based on RAW messages and current geodesy settings.

•It recalculates horizontal positioning based on the current geodesy settings and the RAW messages in your raw data files.

•If your project is configured for RTK tides, it can recalculate the RTK tide data.

•If your hardware configuration includes more than one positioning device (mobile), SURVEY automatically reads the position from the first positioning device in the configuration. Using this routine you can recalculate the positioning based on the positions from other positioning devices in the configuration.

When the adjustment is complete RAWFILE appears as an additional device in the Device Offsets dialog accessed in the Read Parameters. You can choose either original or adjusted positioning.

6.Remove bad positions in your track line.

7.Check your corrections. You can return to the Read Parameters dialog and load different corrections files, if necessary. You can also edit heave, tide and draft in the Heave/Tide window.

8.Clean your soundings. Use the editing tools to manually remove obviously bad data, then use Search and Filter criteria to find and evaluate less obvious outliers.

9.Save your data.

More Information

• 64-bit SINGLE BEAM EDITOR Interface

• Display Settings in 64-bit SINGLE BEAM EDITOR

• Targets in the 64-bit SINGLE BEAM EDITOR

• 64-bit SINGLE BEAM EDITOR Options

• 64-bit SINGLE BEAM EDITOR Input

• Read Parameters in the 64-bit SINGLE BEAM EDITOR

• Editing Tools in the 64-bit SINGLE BEAM EDITOR

• Recalculating Positions and Corrections in the 64-bit SINGLE BEAM EDITOR

• Editing Positions and Corrections in the 64-bit SINGLE BEAM EDITOR

• Cleaning your Soundings in the 64-bit SINGLE BEAM EDITOR

• Saving your Edited Data in the 64-bit SINGLE BEAM EDITOR

• Extracting Tide Corrections in the 64-bit SINGLE BEAM EDITOR


64-bit SINGLE BEAM EDITOR Interface

The 64-bit SINGLE BEAM EDITOR displays a map view of your survey area (the Survey window) with a list of loaded files, and provides all of the buttons and menus with which you control your window displays and edit your data.

Additional windows display data. Some data is only for your reference and cannot be modified. Most windows allow you to remove or correct the data, as you deem appropriate.

The Speed Editor, Heave/Tide, HPR (Heading/Pitch/Roll), and SV (Sound Velocity) windows display data for one or more lines at a time according to the files selected in the file list. This enables you to closely examine the information for one line or compare multiple lines.

All of the displays are synchronized; click anywhere in the graphs and the cursor points in the other windows update to coincide with the new position.

The title bar displays whether you are in Depth or Elevation mode. If you have loaded a catalog file, the title bar also displays the LOG file name.

The status bar shows the time, frequency, XYZ coordinates and the DBL (Distance from Beginning of Line) of the current cursor position to guide editing decisions.

64-bit SINGLE BEAM EDITOR Interface

The controls on the left affect all windows. They are divided into three areas according to their purpose:

•The Survey Files controls relate to the data itself—loading the data, then saving the results—and selecting which files in a catalog are drawn in the window displays. Files that have been edited, but not saved, are marked with an asterisk.

•The buttons display additional data display windows.

•The Toolbox provides all of the tools required to clean your data, and a small selection of view options. When the Floating Toolbar option is checked, a separate toolbar with all of these tools will appear, always on top of your open windows.

Most procedures are initiated with the click of an icon. Hold your cursor over any icon to display a short description.

More Information

• Survey Window in the 64-bit SINGLE BEAM EDITOR

• Speed Editor Window in the 64-bit SINGLE BEAM EDITOR

• Heave/Tide Window in the 64-bit SINGLE BEAM EDITOR

• HPR (Heading, Pitch, Roll) Editor in the 64-bit SINGLE BEAM EDITOR

• SV (Sound Velocity) Window in the 64-bit SINGLE BEAM EDITOR

• Profile Window in the 64-bit SINGLE BEAM EDITOR

• Echogram Window in the 64-bit SINGLE BEAM EDITOR

• Spreadsheet Window in the 64-bit SINGLE BEAM EDITOR

• Flow Vector View in the 64-bit SINGLE BEAM EDITOR

• Survey Notes Window in the 64-bit SINGLE BEAM EDITOR

• Display Settings in 64-bit SINGLE BEAM EDITOR


Survey Window in the 64-bit SINGLE BEAM EDITOR

The Survey window displays a map view of the track lines for the data files you have loaded. You can trim position spikes using point editing techniques; however, area-based editing is more efficient to trim curves from the ends of the track lines.

Note:The dots on the track lines are not soundings or event marks, however their absence for a span indicates track editing.

You can use the Tilt and Rotate tool to rotate the display along the vertical and horizontal axes to provide a 3-dimensional view.

Survey Window

Edit Mode determines whether your editing will affect the track lines or only the soundings. Editing the track line removes all other data associated with the removed track line segments.

More Information

• Survey Window Display Settings in the 64-bit SINGLE BEAM EDITOR

• Editing Tools in the 64-bit SINGLE BEAM EDITOR

• Clipping Track Lines in the 64-bit SINGLE BEAM EDITOR


Speed Editor Window in the 64-bit SINGLE BEAM EDITOR

The Speed Editor window graphs your speed over ground (SOG) in red and course over ground (COG) in green, both over time. You may choose to graph speed over ground, course over ground or both for one or more lines selected in your file list. Though the graphs are overlaid, they are individually scaled to fit the window. The status bar displays time, position, SOG, COG and GPS quality data for the current cursor position.

Sample SOG/COG Editor —Single Line

Sample SOG/COG Editor—Multiple Lines

More Information

• Other Display Settings in the 64-bit SINGLE BEAM EDITOR

• Editing Tools in the 64-bit SINGLE BEAM EDITOR

• Removing Position Spikes in the 64-bit SINGLE BEAM EDITOR


Heave/Tide Window in the 64-bit SINGLE BEAM EDITOR

The Heave/Tide window draws heave, tide and draft in time series. Each graph is color-coded and labeled.

Heave vs Time graphs show heave drift and evidence of a faulty sensor, and give a good idea of wave dynamics at the time of the survey. It is important to edit heave drift, typically found at the start and end of survey lines or where there are sharp curves in your survey lines.

Sample Heave/Tide Window

Display Options

Corrections: Heave, Tide and Draft based on the options in the read parameters. Total is the sum of all corrections applied to depths.

Raw Data: Heave and Tide as recorded in the survey data.

Auto-scale Tide and Auto-scale Heave automatically present the heave and tide graphs with independent vertical ranges calculated to optimally display each data set. Alternatively, you can clear the auto-scale checkboxes and manually set the vertical range for each value.

Invert Heave for Display provides a comparison between heave and RTK tides. This option does not affect the data.

Comparing Heave with RTK Tide

More Information

• Other Display Settings in the 64-bit SINGLE BEAM EDITOR

• Corrections in the 64-bit SINGLE BEAM EDITOR

• Editing Tools in the 64-bit SINGLE BEAM EDITOR

• Filling Values in the Heave/Tide Window

• Replacing Bad RTK Tide in the 64-bit SINGLE BEAM EDITOR

• Removing Heave Drift in the 64-bit SINGLE BEAM EDITOR


HPR (Heading, Pitch, Roll) Editor in the 64-bit SINGLE BEAM EDITOR

The graph shows heave, pitch, roll and heading over time. It shows a faulty sensor and heave drift, and gives a good idea of wave dynamics at the time of the survey.

HPR Editor

The status bar shows the time, with the heave, pitch, roll and heading values at the current cursor position or the average values over a user-defined time range.

Auto-scale Pitch/Roll automatically present the pitch and roll graphs calculated to optimally display the data together. Alternatively, you can clear the auto-scale checkboxes and manually set the vertical range. The Heading and Heave graphs have independent vertical ranges calculated to optimally display each data set.

To view the average heave, pitch, roll and heading over a defined time span, click at the start time on the graph and drag the cursor to the end time. The values appear in the status bar.

More Information

• Other Display Settings in the 64-bit SINGLE BEAM EDITOR

• Corrections in the 64-bit SINGLE BEAM EDITOR

• Editing Tools in the 64-bit SINGLE BEAM EDITOR


SV (Sound Velocity) Window in the 64-bit SINGLE BEAM EDITOR

The Sound Velocity Profile Window is for display only. It has two displays:

•The SV vs Depth graph shows the sound velocity corrections information which is either embedded in the header of each raw multibeam data file (*.RAW) or contained in the VEL file (or files) loaded in the Corrections tab of the Read Parameters. It shows velocity variation with depth.

Note:This does not work if your vessel origin references the sonar head at the head level instead of sonar at the water level.

•For multiple transducers, the Sonar graph shows the sound speed at the transducer head. Erroneous spikes are pronounced and easily removed. The program also removes all soundings from that ping.

The status bar shows the average correction value from the profile and the sonar setting:

•Time

•Sonar: Sound velocity at the sonar head.

•Average sound velocity

•Surface: Sound velocity at the top of the sound velocity profile.

Sound Velocity Window

More Information

• Corrections in the 64-bit SINGLE BEAM EDITOR

• Sound Velocity Corrections


Profile Window in the 64-bit SINGLE BEAM EDITOR

Profile shows the Depth Profile data. If the planned survey line contains template information, you will see it displayed.

This is the window where you can view bad soundings and edit them out. When you delete a sounding, the program can delete or interpolate the data. This option is determined in the Settings dialog (EDIT-SETTINGS).

To view data that has been deleted marked with a red “X”, select the Show Deleted Points option in the Toolbox.

The program recognizes single beam or multiple transducer data and the window displays the appropriate depth selection options for you to choose the depths that you want to edit:

•If you are editing dual frequency data, select Depth 1, Depth 2 or both.

•If you are editing multiple transducer data, [Depth Selection] and select the beams you want to edit. This setting affects both the Survey and Profile displays.

Important: You can edit only displayed beams. Data in undisplayed beams retain their data unchanged.

Beam Selection Dialog

Scroll through the survey lines by using the arrow buttons on the toolbar, making any necessary corrections for each profile. Repeat the editing process for each selected survey line until you have edited all of your data.

Sample Profile Window—Dual Frequency

More Information

• Display Settings in 64-bit SINGLE BEAM EDITOR

• Editing Tools in the 64-bit SINGLE BEAM EDITOR

• Cleaning your Soundings in the 64-bit SINGLE BEAM EDITOR

• Filtering Your Data in the 64-bit SINGLE BEAM EDITOR


Echogram Window in the 64-bit SINGLE BEAM EDITOR

The Echogram Window provides an editable graphical display of analog data. It displays high frequency (red) and low frequency (blue) depth data in a time vs distance graph (left) and the return strength information corresponding to the current cursor position (right). The window synchronizes with the other window displays, providing you with additional information and tools with which you may edit your data.

Sample Echogram Window

The depth profile display settings are synchronized with the Profile window settings.

To access alternate color schemes, click the Color Scheme icon.

To take a screen shot of the profile, click the camera icon and name the file. Your screen shot will be saved in JPG format, by default, to the project directory.

To pan the display, right-click and drag the graph.

To adjust the zoom scale, use the mouse wheel to zoom in and out, and the zoom extents icon to scale the display to the current line.


Spreadsheet Window in the 64-bit SINGLE BEAM EDITOR

The Spreadsheet provides the data for every survey record. If data has been deleted, the corresponding cell in the spreadsheet displays “xxxxx” in place of the deleted depth reading.

The highlighted record corresponds to the cursor position in the other display windows.

Only data in the white columns are editable.

Spreadsheet Window

More Information

• Spreadsheet Display Settings in the 64-bit SINGLE BEAM EDITOR


Flow Vector View in the 64-bit SINGLE BEAM EDITOR

When you load raw SonTek HydroSurveyor data, the 64-bit SINGLE BEAM EDITOR automatically loads the corresponding YDFF files and draws them in the Flow Vector window. The toolbar provides display and output options.

Sample Flow Vector Window

More Information

• Flow View Display Settings

• Saving Flow Vector Data


Survey Notes Window in the 64-bit SINGLE BEAM EDITOR

If you have recorded comments during SURVEY, you can display them and refer to them as you edit your data.

To view your comments log:

1.Load your survey data to the editor.

2.Select FILE - SURVEY NOTES. A separate window will display the comments logged in SURVEY.

Sample Comments Display

More Information

• Comments in SURVEY


Display Settings in 64-bit SINGLE BEAM EDITOR

Each window in the 64-bit SINGLE BEAM EDITOR has its own display controls within the window. Additional display settings are not window-specific.

More Information

• Survey Window Display Settings in the 64-bit SINGLE BEAM EDITOR

• Profile Window Display Settings in the 64-bit SINGLE BEAM EDITOR

• Spreadsheet Display Settings in the 64-bit SINGLE BEAM EDITOR

• Other Display Settings in the 64-bit SINGLE BEAM EDITOR


Survey Window Display Settings in the 64-bit SINGLE BEAM EDITOR

To configure the Survey window display, use the options above the map:

In the Show section, select the items you want to display in the Survey window:

•Charts: Display charts enabled in your project.

•Color Bar: A legend for the current color-coding selection.

•Targets

•Track Lines

•Soundings

•Planned Lines

•Events

If you are editing dual frequency or multiple transducer data, click [Depth Selection] and select the beams you want to edit. This setting affects the Survey and Profile displays and, where the data supports it, the Flow Vector display. You can edit only displayed beams. Data in undisplayed beams retain their data unchanged.

Style: Choose how the soundings are displayed.

Additional Tools to Control Your Display

Task | Procedure
Toggle between map and profile view. |
View the data from any angle. When the Lock Survey Window in 2D option is checked in the View Options dialog (F9), the Survey display can rotate only around the Z-axis. Any other rotations are reset to zero until this option is cleared. |
Change Vertical Scale | Ctrl + Shift + Mouse Wheel
Open Color Settings dialog. |

More Information

• Other Display Settings in the 64-bit SINGLE BEAM EDITOR


Profile Window Display Settings in the 64-bit SINGLE BEAM EDITOR

Profile shows the Depth Profile data. If the planned survey line contains template information, it also appears.

Design and Overdepth Template Overlaid with Soundings

Profile Display tools

Task | Procedure
Display full line with its template. | Click Zoom Extents.
Zoom in and out. | Use the mouse wheel.
Pan | Right-click and drag.
Shift the cursor position by one sounding. | Use keyboard arrow keys.

• View Options

• Historical Overlays

• Channel Template Overlays

View Options

Profile Orientation:

•Lines or Points: Choose whether to draw the soundings in the profile display as individual points or a line connecting the soundings.

•Solid Fill colors the area below the soundings. When the display includes multiple profiles, each profile has a separate fill color.

•Depth vs. Distance or Depth vs. Time: Choose whether to view your data relative to time or distance traveled.

•In depth vs distance mode (set in the Display Options), the depth data is always displayed so the line origin is on the left-hand side of the screen, regardless of which direction the planned line was surveyed.

•In depth vs time mode, the earliest sounding is always on the left.

Auto-scaling automatically calculates the scale to optimally display the data. Alternatively, you can clear the auto-scale checkbox and manually set the vertical range (Minimum and Maximum values).

Auto-zoom: Each time you view a new profile, the program performs an automatic zoom to the full extents of the data.

Show Color Bar displays a color legend.

Show Raw Depths displays the uncorrected soundings in gray.

Strike Depth places a reference line at the user-specified depth.

The program recognizes single beam or multiple transducer data and the window displays the appropriate depth selection options for you to choose the depths that you want to edit:

•If you are editing dual frequency data, select Depth 1, Depth 2 or both.

•If you are editing multiple transducer data, [Depth Selection] and select the beams you want to edit. This setting affects both the Survey and Profile displays.

Important: You can edit only displayed beams. Data in undisplayed beams retain their data unchanged.

Depth Selection Dialog

Return to Top

Historical Overlays

You can display up to three additional sounding files from the same survey line. The depths are displayed according to the options set in the View Options and Color Settings dialogs. The overlaid data cannot be edited. It is only used as a reference, should you want to compare the current data file to a previous survey of the same line.

Important: The root names and order should match the primary files.

1.Select FILE-OVERLAY. A dialog will appear with your base survey files listed under Primary Log File.

Overlays Dialog

2.Click in the top cell of the 1st Overlay column, click the File Open icon and select the catalog file containing your overlay files. The files will be listed in the order they appear in the catalog.

3.If the lines names in the overlay file are unmatched with those of the primary file, click [Sort]. You can manually reorder individual file names by selecting a cell and using the up or down arrow button.

Tip: To remove an overlay, select the column and clidk [Clear Col].

4.Click [OK] to return to the editor.

Overlaid File in the Profile Window

Return to Top

Channel Template Overlays

You can also display up to four channel templates in the profile window. These are based on the templates of the primary files.

To display the channel templates:

1.Select FILE-TEMPLATE. The dialog will appear.

Template Dialog

2.Check the template levels you wish to display.

3.For each selected level, enter the distance below the template, which is defined in the primary data headers, each level will be drawn.

4.Click [OK].

Return to Top

More Information

• Profile Window Display Settings in the 64-bit SINGLE BEAM EDITOR

• Editing Tools in the 64-bit SINGLE BEAM EDITOR

• Cleaning your Soundings in the 64-bit SINGLE BEAM EDITOR


Spreadsheet Display Settings in the 64-bit SINGLE BEAM EDITOR

To configure the columns included in your spreadsheet, use the panel on the left side of the window. The top list shows an alphabetical list of available values, while the bottom shows displayed values in display order.

1.Move the values between the two lists until the bottom panel shows only your chosen spreadsheet values.

•Select a value and move it up or down to the other list with the arrow key or

•Double-click a value to move it to the other list.

2.Order your columns. Use your cursor to drag the values in the lower list into your desired order.

3.When your spreadsheet values are configured, click [Hide Panel] (Optional) to provide more space for your spreadsheet display. The same button then changes to [Show Panel] which restores the display options, if necessary.

More Information

• Spreadsheet Display Settings in the 64-bit SINGLE BEAM EDITOR

• Spreadsheet Display Settings in the 64-bit SINGLE BEAM EDITOR

• Editing Spreadsheet Data in the 64-bit SINGLE BEAM EDITOR


Flow View Display Settings

The toolbar provides the following display options:

The Vector Length and Vector Width sliders affect how the window draws the vectors.

Averaging: Select the number of samples (up to 100) to be averaged for each vector, and the depth range of the samples the program should use in the calculation. The ranges provided correspond to the SonTek HydroSurveyor software:

•Surface: Surface to 10% of measured depth

•Middle: 40% to 60% of measured depth

•Bottom: 90% to 100% of measured depth

•Depth Average: Entire water column

•User-Defined: Define the depth range.

Color Options: Choose the basis for color-coding the vectors: direction of the flow, survey line, magnetic error, or velocity.

Display Legend shows a color bar labeled according to the selected color option.

Display Background Charts includes charts and project files currently enabled in the project.

More Information

• Flow Vector View in the 64-bit SINGLE BEAM EDITOR

• Saving Flow Vector Data


Other Display Settings in the 64-bit SINGLE BEAM EDITOR

In addition to the controls found in each window, the 64-bit SINGLE BEAM EDITOR includes dialogs where you can choose how your data is drawn. These dialogs can be accessed though the View menu.

The Toolbox also provides a few options that affect your Survey and Profile displays.

• Color Settings

• View Options Dialog

• Off-Screen Window Recovery

Color Settings

The Color Settings provide color-coding options for all of the displays. You can elect to show a color legend in the Survey and Profile displays.

Color Settings Dialog

Black Background displays data in all windows against black (checked) versus the default light gray.

Color By File: The track lines in the Survey window are colored according to the data file to which they are associated. The colors repeat every 7 lines.

Color by GPS Mode: The track lines in the Survey window, raw tides in the Heave/Tide window, and the data in the Speed Editor window are colored according to the GPS mode. The colors repeat every 7 lines. You can elect to show a color legend in most of these windows.

Palette for Depth Colors: You can choose from a number of color palettes to color code the soundings.

•Relief uses the color schemes common to relief maps.

•Spectrum uses a rainbow color spectrum.

•Chart uses the color schemes common to nautical charts.

•HYPACK uses the project color settings.

•Shoals displays red where the soundings are shoaler than the specified Project Depth.

•High Contrast uses a color selection designed to clearly distinguish one depth band from the next.

[Custom Colors] displays the Feature Colors dialog where you can choose some of the colors used in the 64-bit SINGLE BEAM EDITOR displays.

Feature Colors Dialog

Customizing Colors

1.Select one or more features for which you want to change the colors.

2.For each feature, click the corresponding [Edit]. A Color dialog will appear.

3.Select your new color and click [OK].

4.When all of your colors are set, return to the Color Settings dialog by clicking [Close].

Soundings Options

Soundings options affect the displays in the Survey and Profile windows.

•Color By options determine the basis on which soundings are color-coded. Display the color bar in each window to interpret the coloring.

•Depth

•Port/Starboard: Starboard are green, and port are red.

•Beam Angle

•Beam Number (for multiple transducer data)

•Depth Number

•Tide Correction

•Heave Correction

•Pitch Angle

•Roll Angle

•Intensity

•None: All soundings are black.

•Auto-scale Z Range uses the minimum and maximum values of the whole data set and evenly distributes the colors across that range. It creates the optimal settings unless you have values that are drastically out of range. Manual scaling highlights depths that are outside a user-defined range.

Edited Data—Manually Scaled Depths (left), Auto-scaled Depths (right)

To manually scale your soundings, clear the Auto-scale Z Range option and enter the Minimum and Maximum values for your color scale. Depths outside of the range receive the color of either the specified minimum or maximum, whichever is closer in value.

Tip: This can be useful to highlight depths or shoals in your data.

TVU (Total Vertical Uncertainty) and THU (Total Horizontal Uncertainty) are not yet calculated in the 64-bit SINGLE BEAM EDITOR.

Return to Top

View Options Dialog

The View Options dialog (F9) just provides a place for display settings that don't fit any other category.

View Options Dialog

Normal Dot Size: The size of soundings (pixels) of soundings when drawn as dots. The Large Dots option in the toolbox overrides this setting with 5px dots.

Normal Line Width: The size of lines used for the track line, planned line and target displays in the Survey window, and the crosshairs in the Profile window. The Wide Lines option in the toolbox overrides this setting with 3px lines.

Project Level: Draws a thick, solid line at the defined depth in the Profile window.

Target Radius: Distance, in survey units, between the target and target circles around each target.

Lock in 2D: The Survey display can rotate only around the Z-axis. Any other rotations are reset to zero until this option is cleared. Otherwise, you can use the Tilt and Rotate tool to rotate the display along the vertical and horizontal axes to provide a 3-dimensional view.

[Reload HYPACK Charts] enables you to change the charts displayed in the Survey window without leaving the editor.

Exclude MTX Files and Exclude TIF Files remove those file types from the background chart display. Use these options to avoid duplicate displays of the same data, presented in different file formats.

1.Launch 64-bit SINGLE BEAM EDITOR and load at least one data file.

2.Without closing 64-bit SINGLE BEAM EDITOR, change your chart settings in the HYPACK shell and save the project.

3.Return to the 64-bit SINGLE BEAM EDITOR and click [Reload HYPACK Charts]. If you are displaying charts in the Survey window, the display will update according to the settings in the shell.

Return to Top

Off-Screen Window Recovery

The 64-bit SINGLE BEAM EDITOR remembers the most recent size and position of each window. In most cases, the program automatically displays your data in your preferred window configuration. If your monitor display changes between editing sessions, however, it may result in windows located off-screen.

To recover off-screen windows, select VIEW-TILE WINDOWS. The program repositions all of the editor windows at the upper left corner of the monitor set as the main display in Windows®. You can then resize and position them as you choose.

Return to Top

More Information

• The Toolbox


Targets in the 64-bit SINGLE BEAM EDITOR

Targets are often useful to mark points of interest during SURVEY for later reference. You can then load the project targets in the 64-bit SINGLE BEAM EDITOR so you can view your data in the context of what you know about the target locations.

You can also mark new targets in the Survey window.


Displaying Targets in the 64-bit SINGLE BEAM EDITOR

You can toggle the targets display on and off, using the Targets checkbox in the Show area of the toolbar. The project targets that are enabled in the HYPACK shell appear in the Survey window as labeled squares.

To make the targets more visible, add a target radius in the View Options dialog.

Targets in the Survey Display—10 m Target Radius (left), No Target Radius (right)


Marking Targets in the 64-bit SINGLE BEAM EDITOR

As you view your data in the various windows of the 64-bit SINGLE BEAM EDITOR, you can create a target to mark some point of interest.

1.In the 64-bit SINGLE BEAM EDITOR shell, select the line where you want to mark your target.

2.Select the point where the target should be placed and press F5. A Target dialog appears with the XYZ coordinates of your selected position and the default name (time).

Target Dialog

3.Edit your Target Name (Description) and Position information (Optional) and click [OK]. The program saves your target to the SBMAX target group and displays it in the Survey window display.

Note:Be careful if you are editing the Easting and Northing, an error in typing could place it outside of your survey area.


64-bit SINGLE BEAM EDITOR Options

The Editor Options (EDIT-SETTINGS) affect the overall function of the 64-bit SINGLE BEAM EDITOR. You should check your options before you begin.

Editor Settings Dialog

Delete Soundings Between Deleted Position Points: If this option is not selected, sounding positions will be interpolated between the remaining positions.

Use Custom Edit Folder enables you to specify a location to which your edited data is saved instead of the project’s \Edit folder. Check the option then use the browse button ([...]) to select your alternate location.

Time Format: Choose to display time in HH:MM:SS format (default) or in Seconds Past Midnight.

Include Type in LOG File Name appends the file type tag as a prefix to the catalog file name so you can easily tell what type of data the LOG file contains.

New Style Open/Save: Windows® New File Open and Close dialogs provide a more user-friendly interface and, typically, the new dialogs work perfectly. Occasionally, however, they cause an error next time you attempt to run.

Windows® Open/Close Dialogs Styles—Old (left) and New (right)


64-bit SINGLE BEAM EDITOR Input

Select FILE-LOAD SURVEY to call up an open dialog. The 64-bit SINGLE BEAM EDITOR recognizes single beam or multiple transducer data and the window displays the appropriate depth selection options for you to choose the depths that you want to edit. Multiple transducer data loads each transducer as a separate line; you can display and edit one or more at a time.

The 64-bit SINGLE BEAM EDITOR reads single beam data from any of the following formats:

•HYPACK Raw Data: Single beam, dual frequency or multiple transducer files collected by the HYPACK SURVEY program.

•HS2x Format: 64-bit edited single beam, dual frequency or multiple transducer.

•HYPACK All2 Format: 32-bit edited single beam data.

Note:The 64-bit SINGLE BEAM EDITOR reads and writes All2 format; however, you can not apply different read parameters or do any of the post-processing recalculations of position or corrections that are possible using Raw or HS2x formats.

You can load individual files or a catalog file of any one or more of the accepted file types.

A catalog file is a list of individual data files. If a catalog file is selected, the 64-bit SINGLE BEAM EDITOR reads the file and provides you with a list of files in the catalog. The 64-bit SINGLE BEAM EDITOR can handle a maximum of 256 lines at a time.

To unload one or more lines, make your selection in the file list and click the Remove File From Survey Icon.


Loading Soundings in the 64-bit SINGLE BEAM EDITOR

1.Select FILE-LOAD SURVEY.

2.Select the data you want to edit and click [Open].

You can load a catalog file (*.LOG) or a single data file. The 64-bit SINGLE BEAM EDITOR reads raw or edited single beam HS2X or All2 format sounding files containing single beam, dual frequency survey data. In addition it supports raw, multiple transducer data.

When multiple files are loaded, the 64-bit SINGLE BEAM EDITOR defaults to the next selected file in the list every time you scroll to the next line in the 64-bit SINGLE BEAM EDITOR interface.

File Selection

Procedure

Selecting Individual Files

1.Set the file type.

2.Browse to the correct folder.

3.Hold the Ctrl key and use the cursor to select the files.

4.Click [Open].

Selecting Catalog Files

Select the catalog file and click [Open]. The 64-bit SINGLE BEAM EDITOR provides a list of files in the catalog.

•To load individual files from the catalog, hold the Ctrl key, use the cursor to select the files and click [Select].

•To load all files from the catalog, click [Select All].

When loading is complete, the LOG file name appears in the title bar.

Selecting Sounding Files in the 64-bit SINGLE BEAM EDITOR

Important: The catalog listing also shows if any of the files in the catalog have previously been saved to edited format. If you reload the raw data with these notations and save them using the same file naming format, you will overwrite your edited files from the previous editing session. To avoid overwriting, change the file naming method in the File Save options.

To abort the file loading, press the Escape key. The Read Parameters dialog will appear next.

More Information

• Read Parameters in the 64-bit SINGLE BEAM EDITOR


Corrections in the 64-bit SINGLE BEAM EDITOR

HYPACK determines the final depth (or elevation) and position of each sounding by applying multiple corrections to the raw data recorded in SURVEY.

The 64-bit SINGLE BEAM EDITOR provides a wide variety of options as to when you load your corrections data, when in the editing process corrections are applied and to which files they are applied.

Applying Corrections in the Read Parameters

Typically, you will load HYPACK corrections files and values and make processing choices in the Read Parameters dialog when you load your data.

Note:You can load data from multiple surveys where these settings differ between files. In this case, review each data set, one at a time, in the Corrections tab by selecting its files in the file list before reviewing and modifying their settings.

Read Parameters—Corrections Tab

In the Corrections tab, you will apply tide, sound velocity and draft corrections to one or more of your files. (You may alternatively apply draft corrections after your files are loaded to the editor using a draft and squat table.)

Important: You must first select one or more files in the list, then set the correction options for the selected files.

Loading a correction file in the 64-bit SINGLE BEAM EDITOR overrides corrections of the same type stored in your raw data or overwrites those corrections previously saved in your edited data. The results will affect only the edited data saved from this session.

Post-processed Corrections

In some cases, even when corrections have been recorded with the survey data, when you apply them in the editing stage it can result in more accurate data. The 64-bit SINGLE BEAM EDITOR provides routines with which you can apply True Heave, POSPac and PPK data.

Applying Corrections in the Editing Windows

During editing, you can use the Fill Options to modify Heave, Tide and Draft corrections. The program also provides several additional routines for calculating and applying corrections using other data sources and methods. In some cases, these routines can correct configuration errors present during the survey.

• Tide Corrections

• Sound Velocity Corrections

• Dynamic Draft Corrections

• Heave Corrections

Tide Corrections

Tide corrections relate raw soundings to the chart (low water) datum. When creating a tide file for depth mode, enter tide values as negative numbers. When creating a tide file for elevation mode, enter tide values as positive numbers. Units are according to those selected under Geodesy (feet or meters).

The 64-bit SINGLE BEAM EDITOR reads tide corrections recorded to the header of the raw files during survey.

If no tide data was logged, or if you want to apply different corrections than those that were logged, the 64-bit SINGLE BEAM EDITOR provides a number of options.

In the Read Parameters you can do any of the following:

•Apply Tide corrections files generated in the MANUAL TIDES or HARMONIC TIDES program.

•Load a single corrections file, and the tide corrections replace those logged during acquisition.

•Load multiple tide corrections files from multiple tide gauges along a river or distributed around your project area and interpolate tide corrections based on your vessel position relative to the tide stations.

Important: If you plan to recalculate your tides with Raw or POSPac data, leave the Tide Corrections option in the Corrections dialog blank. In the editor, the TID file overrides all other tide correction calculation methods.

•Enter a user-defined constant tide value.

•Invert your tide corrections when you are working in elevation mode and using RTK tide corrections.

Important: If you have loaded data from multiple surveys where these settings differ between files, review each data set, one at a time, by selecting its files in the file list before reviewing and modifying their settings.

When the data is loaded, you can then do any of the following:

•Recalculate RTK tides from HYPACK raw data.

•Recalculate tide in POS MV survey data using the POSPac raw data.

•Use the Fill Options in the Heave/Tide window to modify Heave, Tide and Draft corrections to select areas or to one or more survey lines.

•Offset the tide value by a constant amount.

Return to Top

Sound Velocity Corrections

Sound Velocity Corrections files are generated in the SOUND VELOCITY program and contain depth vs sound velocity data in survey units. They are used to correct soundings for variations of sound in the water column. In most shallow-water, small-boat surveys, the echosounder is calibrated for the range of soundings encountered and no sound velocity corrections are needed. For multibeam surveys and deep-water surveys, sound velocity corrections are used to provide more accurate soundings. Typically, you will perform one or more sound velocity casts in your project area. You can import the data to the SOUND VELOCITY program which generates the sound velocity corrections (*.VEL) file for post-processing.

The program can read up to 48 sound velocity correction files and apply interpolated corrections based on these depth-sound velocity pairs in place of those recorded during the survey.

•Apply one VEL file to all data in your survey. Use this option if the sound velocity profile in your survey area is uniform.

•Apply one VEL file to select lines. This option enables you to edit data from multiple files, and perhaps from multiple surveys, in one session.

•Interpolate between multiple VEL files. If you take multiple sound velocity casts over the course of the day as you survey, just select all data files and load all of the VEL files. The program will interpolate the corrections based on the time, or on time and distance, in the VEL files over the course of the survey.

Echosounder SV Setting: For multiple transducer data only, this option, on the Corrections tab in the Read Parameters dialog, tells the editor what sound velocity setting the transducers were using while collecting data.

Note:If you have loaded data from multiple surveys where these settings differ between files, review each data set, one at a time, by selecting its files in the file list before reviewing and modifying their settings.

Return to Top

Dynamic Draft Corrections

Dynamic draft is the vertical movement of the echosounder transducer as the vessel is underway.

Dynamic draft is typically logged during data collection either manually or using the drafttable device driver.

Note:If you have loaded data from multiple surveys where these settings differ between files, review each data set, one at a time, by selecting its files in the file list before reviewing and modifying their settings.

In the editor, you can apply a constant draft correction, apply a new draft table or smooth existing draft corrections over a user-defined time interval.

Return to Top

Heave Corrections

The 64-bit SINGLE BEAM EDITOR provides several methods to apply heave corrections recorded in the data.

Processing options in the Read Parameters dialog are applied as the program reads the data into the editor.

You can use the Fill Options in the Heave/Tide window to modify Heave, Tide and Draft corrections in select areas or on one or more survey lines.

The editor also provides several additional routines for calculating and applying corrections using other data sources and methods.

•Applying True Heave data

•Removing Heave Drift

Return to Top

More Information

• Applying One Set of Read Parameters to All Data in the 64-bit SINGLE BEAM EDITOR

• Applying Different Parameters to Select Data Sets in the 64-bit SINGLE BEAM EDITOR

• Loading a Tide Corrections File in the 64-bit SINGLE BEAM EDITOR

• Setting a Constant Tide Correction Value in the 64-bit SINGLE BEAM EDITOR

• Interpolating Tide Corrections from Multiple Tide Gauges in the 64-bit SINGLE BEAM EDITOR

• Offsetting Tide Corrections in the 64-bit SINGLE BEAM EDITOR

• Loading Single Sound Velocity Corrections Files in the 64-bit SINGLE BEAM EDITOR

• Interpolating Between Multiple Sound Velocity Files

• Applying a Constant Draft Correction in the 64-bit SINGLE BEAM EDITOR

• Heave, Pitch and Roll Options in the Read Parameters in the 64-bit SINGLE BEAM EDITOR

• Recalculating Positions and Corrections in the 64-bit SINGLE BEAM EDITOR

• Editing Positions and Corrections in the 64-bit SINGLE BEAM EDITOR

• Corrections in SURVEY

• Sound Velocity Corrections

• Tide (Water Level) Corrections


Read Parameters in the 64-bit SINGLE BEAM EDITOR

The Read Parameters dialog provides options for how the program reads, corrects and displays the data. Each tab displays the current settings from the first selected file. If changes are required, a button is provided for each section to access an additional dialog for this purpose.

Note:You can load data from multiple surveys where these settings differ between files. In this case, review each data set, one at a time in the Corrections, Processing and Devices tabs, by selecting its files in the file list before reviewing and modifying their settings.

•The Survey tab governs the data. You will review the vertical basis, Survey Information and set depth conversion options. You may edit some of these settings as necessary.

Survey Tab

•The Corrections and Processing tabs have to do with applying corrections to the raw data. Enter correction values or files and choose your options for processing RTK tide and MRU data.

•The Devices tab concerns your devices and their offsets during the survey. If you recorded the same type of data from multiple devices, you will choose the device from which you want to load data. You will then verify the correct offsets and make any corrections necessary.

Set your options in each tab, then click [OK] to continue.

More Information

• Applying One Set of Read Parameters to All Data in the 64-bit SINGLE BEAM EDITOR

• Applying Different Parameters to Select Data Sets in the 64-bit SINGLE BEAM EDITOR

• Editing Survey Information in the 64-bit SINGLE BEAM EDITOR

• Device Offsets in the 64-bit SINGLE BEAM EDITOR

• Loading a Tide Corrections File in the 64-bit SINGLE BEAM EDITOR

• Processing Data with RTK Tide Corrections in the 64-bit SINGLE BEAM EDITOR

• Heave, Pitch and Roll Options in the Read Parameters in the 64-bit SINGLE BEAM EDITOR

• Loading Single Sound Velocity Corrections Files in the 64-bit SINGLE BEAM EDITOR

• Interpolating Between Multiple Sound Velocity Files

• Applying a Constant Draft Correction in the 64-bit SINGLE BEAM EDITOR


Applying One Set of Read Parameters to All Data in the 64-bit SINGLE BEAM EDITOR

When all lines loaded in the editor require the same read parameters, simply select all of the files in the lists provided in the Corrections, Devices and Processing tabs of the Read Parameters dialog as you choose your options.

1.Load your Soundings.

a.Select FILE-LOAD SURVEY.

b.Select the data you want to edit.

You can load a catalog file (*.LOG) or a single data file.

c.Click [Open].

2.Set the options in the Survey tab. These options always apply to all of your loaded data.

3.In the Corrections tab, select all of the files in the list provided and set your corrections as needed.

4.In the Devices tab, select all of the files in the list provided and set your offsets as needed.

5.In the Processing tab, select all of the files in the list provided and set your heave and sonar processing instructions as needed.

6.When all Read Parameters have been set, click [OK].

Read Parameters—Corrections Tab


Applying Different Parameters to Select Data Sets in the 64-bit SINGLE BEAM EDITOR

You can load data from multiple surveys where the read parameter settings in the Corrections, Devices and Processing tabs differ between files. In this case, review each data set, one at a time, by selecting its files in the file list in each tab before reviewing and modifying their settings.

1.In the HYPACK interface, create a LOG (catalog) file with all of the data files that you want to process.

2.Launch the 64-bit HYSWEEP EDITOR.

3.Select FILE-OPEN and load your new LOG file, selecting all of the files in the catalog list. The Read Parameters dialog will appear.

4.Set your Corrections for each data set.

a.In the Corrections tab of the Read Parameters dialog, select the files in the list provided that require the same set of corrections.

b.Set tide corrections if required.

c.Set sound velocity corrections, if required.

d.Set draft corrections, if required.

e.Repeat the process until you have loaded the required corrections for each data file in your catalog.

5.Set your device offsets.

a.In the Devices tab, select the files in the list provided that require the same set of offsets.

b.Set the offsets for the devices in the selected files.

c.Repeat the process until you have loaded the required corrections for each data file in your catalog.

6.Set the Processing options.

a.In the Processing tab, select the files in the list provided that require the same set of offsets.

b.Set your Heave processing options.

c.Set your Sonar processing options.

d.Repeat the process until you have loaded the required corrections for each data file in your catalog.

7.When all Read Parameters have been set, click [OK].

More Information

• Creating a New Catalog File

• 64-bit SINGLE BEAM EDITOR Input

• Sound Velocity Corrections

• Dynamic Draft Corrections

• Device Offsets in the 64-bit SINGLE BEAM EDITOR

• Heave Corrections


Editing Survey Information in the 64-bit SINGLE BEAM EDITOR

The Survey Information, entered in the SURVEY program, is read from the file header and appears in the Survey tab. You can edit the project information and store the updated data in the edited data files.

Survey Tab

1.Verify Depth or Elevation Mode using the appropriate radio button.

2.Click [Details] in the Survey Tab. The Survey Information dialog will appear.

Survey Information Dialog

3.Edit the Project, Area, Boat, and Surveyor information as necessary and click [Close].

Depth Conversion options enable you to convert depths from feet to meters or from meters to feet. It also enables you to invert the depths. This facilitates converting your data from depth to elevation data.

To convert your data to elevation mode select DEPTH CONVERSION-INVERT. The depth values become negative. For example, a depth of "17.2" will appear as "-17.2" in the spreadsheet. You can add the tide correction and the program will add the two values to determine the depth.

The Snap to Line option takes all of your soundings and moves them perpendicular until they fall right on the planned survey line. This is a dangerous option.

Check Invert Tide Values when you are working in elevation mode and using RTK tide corrections.

Ignore Depth Records Before First Event saves sounding data only after the first event occurs in each line.

Ignore Planned Line Information: Check this if you have planned lines that do not correspond well with the survey data. It is also helpful when there is a large position spike with a multi-segmented planned line, which can be difficult to edit.

Ignore Echogram: The editor does not load the corresponding echogram with the bathymetric data.

More Information

• Other Display Settings in the 64-bit SINGLE BEAM EDITOR


Device Offsets in the 64-bit SINGLE BEAM EDITOR

The Devices tab displays the offsets for each device in your project. If you surveyed using incorrect offsets, or if you logged the same type of data with multiple devices, you can set the correct settings for the editing session. Any changes you make here will be applied to all currently selected files.

Note:Editing the offsets will not affect raw data. It affects only the edited data saved from this session.

Read Parameters—Devices Tab

Editing the Device Offsets

MRU Special Cases

Editing the Device Offsets

In the Device Offsets dialog, you can modify the device and offsets for each data type the editor will read from the data files. Separate options for Navigation and RTK Tides enable you to use separate systems for position and tide.

1.Select the files in the list provided that require the same set of offsets.

2.Click [Edit] in the Devices tab to access the Device Offsets dialog.

Device Offsets Dialog

3.For each data type, select the device from its drop-down list and correct the offsets, if necessary.

For multiple transducer systems, the sonar offsets are blank. Click [Multiple Transducers] and enter the offsets for each transducer.

Multiple Transducer Offsets Dialog

4.Click [OK] to return to the Read Parameters dialog.

Return to Top

MRU Special Cases

The MRU Special Cases dialog accommodates less common motion sensor situations. It enables you to ignore or invert one or more of the corrections from your motion sensor. In addition, you can instruct the program to read heave from a sensor other than the one from which it reads pitch and roll.

To launch the Special Cases dialog, click [MRU Special Cases] in the Device Offsets dialog.

MRU Special Cases Dialog

To read heave data from a separate sensor, do the following:

1.Check the Alternate Device for Heave option.

2.Choose the heave device from the drop-down list. (This selection is copied to the Devices tab as the Alternate Device for Heave.)

3.Enter the offsets for the heave device and click [OK].

4.When you have finished with all device offsets, click [OK] to return to the Read Parameters dialog.

Return to Top

C

More Information

• Processing Data with RTK Tide Corrections in the 64-bit SINGLE BEAM EDITOR

• Offsets and Latency in HARDWARE

• Calculating Latency Offsets in the Latency Test


Loading a Tide Corrections File in the 64-bit SINGLE BEAM EDITOR

Tide corrections are usually read from tide files (*.TID) created by the MANUAL TIDES or HARMONIC TIDES PREDICTION programs. This data overrides any tide data recorded in the data file header.

Note:If you have loaded data from multiple surveys where these settings differ between files, review each data set, one at a time, by selecting its files in the file list before reviewing and modifying their settings.

1.In the Corrections tab of the Read Parameters dialog, select the data files in the list provided that require the same set of corrections.

Read Parameters—Corrections Tab

2.Click [TID File], choose the file from the file selection dialog and click [Open].

3.Repeat the process until you have loaded the required corrections for each data file in your catalog.

4.When all of your read parameters are set, click [OK].

More Information

• Heave/Tide Window in the 64-bit SINGLE BEAM EDITOR

• Corrections in the 64-bit SINGLE BEAM EDITOR

• Tide (Water Level) Corrections


Processing Data with RTK Tide Corrections in the 64-bit SINGLE BEAM EDITOR

For RTK Tides to accurately determine water levels, your project must be configured to collect the required information:

•Use an RTK-capable device driver.

•In your geodetic parameters, provide data about the separation of the Chart Datum and Reference Ellipsoid in your project area using a KTD (Kinematic Tide Datum) file, the VDatum database or an Orthometric Height Correction.

If you have logged RTK tide corrections in SURVEY and you want to apply them in your editing session, do the following in the Read Parameters dialog:

1.In the Devices tab, select one or more files in the file list.

2.Click [Edit] and check the RTK Tides option in the Tides area of the Device Offsets dialog, then click [OK].

3.In the Processing tab, with the same file selection, check the Avoid Double Heave option. You have options about how to treat the raw heave data in the tide calculations:

•Average Tides to Remove Heave: Removes the influence of the heave on the calculated tide by averaging the tide results over a user-specified time. The editor then uses the raw heave as final corrections.

•Merge Tide Data with Heave: (Recommended only for systems with RTK GPS updates at 1Hz.) At each RTK GPS update, the editor interpolates what the heave value was at that time and subtracts that heave value from the computed RTK tide. Those become our adjusted anchor points in our Final Tide Correction graph. The editor uses the intervening heave-pitch-roll data to determine the movement of the sensors between RTK GPS updates.

Read Parameters—Processing Tab

Your heave and tide corrections vary based on your selection.

More Information

• Real Time Kinematic (RTK) Tide Corrections


Heave, Pitch and Roll Options in the Read Parameters in the 64-bit SINGLE BEAM EDITOR

The Processing tab provides options for processing motion sensor data as it is read into the editor.

Important: You must first select one or more files in the list, then set the correction options and click [Apply] for the selected files.

Note:If you have loaded data from multiple surveys where these settings differ between files, review each data set, one at a time, by selecting its files in the file list before reviewing and modifying their settings.

Read Parameters—Processing Tab

Heave Options

•Apply Heave Correction enables the Heave options.

•Correct for Induced Heave is used when the MRU is not mounted at the pivot point of the survey vessel. In this case, the heave measurement is affected by the pitch (if the MRU is mounted forward or aft of the pivot point) or roll (if it is mounted port or starboard). This is known as induced heave. A check in this box tells HYPACK to determine a heave correction for every sounding to compensate for this difference.

Induced Heave is Caused When the MRU is not Mounted at the Pivot Point of the Boat

•Remove Heave Drift smooths the heave in areas where it was affected by factors such as turning, acceleration and deceleration.Check the option and enter a value of seconds over which the heave should be averaged. Start with the time it takes to complete three full heave cycles.

RTK Tide Options

•Avoid Double Heave Correction is for data with both MRU heave and RTK tide corrections.

When you check the RTK Tides option in the Tide area of the Device Offsets dialog, the editor calculates vertical position—tide and heave together—using RTK GPS elevation; the program ignores heave data from the MRU. To accurately determine water levels using RTK Tides, you must have used an RTK-capable device driver and provided data about the separation of the Chart Datum and Reference Ellipsoid in your project area using a KTD (Kinematic Tide Datum) file, the VDatum database or an Orthometric Height Correction. You must also check the RTK Tides option in the Tide area of the Devices tab of the Read Parameters.

•The Average Tide Data to Remove Heave method averages the RTK elevations over a user-specified Average Period to remove the effects of heave in the tide data. It uses the heave information from the motion reference unit to determine the position of the RTK antenna.

Raw Heave (red), Corrected Heave (blue)

Raw RTK Tides (green), Corrected Tides (yellow)

The raw heave values can now be applied as the final corrections. (Corrected heave might be a little different if you apply heave drift or induced heave.)

This method seems to be preferable, particularly if your survey boat is in rough waters.

•The Merge Tide Data with Heave method uses the RTK elevation as the starting point. It then uses the heave data received to determine the antenna height, until the next RTK elevation is received. The accuracy of your GPS latency setting affects the accuracy of this method.

At each RTK GPS update, we can interpolate what the heave value was at that time. We can then remove the heave component from that measurement by subtracting that heave value from the computed RTK tide. Those become our adjusted anchor points in our Final Tide Correction graph. We then can use the intervening heave-pitch-roll data to determine the movement of the sensors between RTK GPS updates.

Tip: This method was very useful in the early days of RTK GPS where most units provided a position update at a rate of 1Hz. With most RTK GPS systems now updating position information at rates of 10Hz or greater, this method is not normally recommended.

Raw Tide (green), Corrected Tide (yellow)—If all were perfect, the corrected tide line would be almost flat.

Pitch/Roll Options

The pitch and roll data from the MRU together with the device offset information determines the exact boat origin and transducer positions relative to the GPS antenna.

•Apply Pitch and Roll Corrections is used to offset the position of the transducer from the navigation antenna.

•Steer Sounding Beam computes the X-Y coordinate for the point where the center of the transducer cone hits the bottom, based on the pitch and roll data (rather than directly below the transducer) then calculates the corresponding depth. Normally you will not need this option, but it can be helpful where you have a narrow sounding beam and significant pitch and roll.

Click [Default Values] to set the options in this dialog that are usually safe in any situation.

More Information

• Heave/Tide Window in the 64-bit SINGLE BEAM EDITOR

• Applying One Set of Read Parameters to All Data in the 64-bit SINGLE BEAM EDITOR

• Applying Different Parameters to Select Data Sets in the 64-bit SINGLE BEAM EDITOR


Loading Single Sound Velocity Corrections Files in the 64-bit SINGLE BEAM EDITOR

1.In the Corrections tab of the Read Parameters dialog, select the files in the list provided that require the same set of corrections.

2.Click [VEL File].

3.Choose the file from the file selection dialog and click [Open].

4.Repeat the process until you have loaded the required corrections for each data file in your catalog.

5.When all of your read parameters are set, click [OK].

More Information

• SV (Sound Velocity) Window in the 64-bit SINGLE BEAM EDITOR

• Interpolating Between Multiple Sound Velocity Files

• Sound Velocity Corrections


Interpolating Between Multiple Sound Velocity Files

When you load multiple sound velocity files the editor calculates interpolated values based on the time tag, or time and position of each ping. The Sound Velocity Profile window draws each sound velocity profile in a different color and graphs the interpolated values in white.

Interpolating Between Multiple VEL Files

If you have loaded multiple VEL files, all of the information will be stored to the header of the saved HS2X files. If you later load these files back to the editor, the results will be the same.

1.In the Corrections tab of the Read Parameters dialog, select the files in the list provided that require the same set of corrections.

2.Click [VEL File]. A File Open dialog will appear.

3.Hold the Ctrl key and select each VEL file for the day. Click [OK]. The Multi-SVP (sound velocity profile) dialog will appear.

4.Click [Get File Create Times] or [Get File Write Times] to list the desired Windows® time for each VEL file.

Multi-SVP Dialog

5.Modify the times to reflect the time of the cast if necessary. Double-click on the time you need to change and overtype the current value.

6.Select the interpolation method between VEL files:

•None: Every ping uses the VEL file that precedes it in time.

•Time: Interpolates the profiles before and after the ping time based on the ping time.

•Time and Position: Interpolates the profiles before and after the ping time based on the boat position at ping time.

Note:Interpolation based on time and position requires the Type 3 VEL files with the cast data in the header.

7.Repeat until you have loaded the corrections for each file loaded.

8.Click [OK].

More Information

• SV (Sound Velocity) Window in the 64-bit SINGLE BEAM EDITOR

• Interpolating Between Multiple Sound Velocity Files

• Sound Velocity Corrections

e


Applying a Constant Draft Correction in the 64-bit SINGLE BEAM EDITOR

At any time, you can apply a constant tide correction to one or more of your currently loaded files in the Corrections tab of the Read Parameters dialog.

1.Select the files to which you want to apply the correction.

2.Check the Set Draft Correction option.

3.Enter the correction in the corresponding field.

When you are finished in the Read Parameters dialog and you click [OK], the defined corrections are applied.

More Information

• Heave/Tide Window in the 64-bit SINGLE BEAM EDITOR

• Dynamic Draft (Adjust) Corrections in the 64-bit SINGLE BEAM EDITOR

• Smoothing Dynamic Draft Corrections in the 64-bit SINGLE BEAM EDITOR

• Applying One Set of Read Parameters to All Data in the 64-bit SINGLE BEAM EDITOR

• Applying Different Parameters to Select Data Sets in the 64-bit SINGLE BEAM EDITOR

• Draft Corrections in SURVEY


Editing Tools in the 64-bit SINGLE BEAM EDITOR

The Toolbox

The toolbox in the main interface provides the tools for editing your data in any window. It also provides quick access to a few of the view options most commonly turned on and off during the editing process.

Tip: Step up your editing skills with a programmable mouse and keyboard shortcuts! Select EDIT- MOUSE AND KEYBOARD CHEATSHEET for list of the shortcuts.

The Toolbox Tools

Tool | Function
 | Measure Tool: Click and drag this tool between two points in any window display and the status bar displays measurements relevant to the window and the position, distance and direction of your measurement.
 | Lasso Select: Defines a free-form area for use with delete and filter operations. Select the Inside or Outside option and click and drag the tool to draw a free-form area in your data display. When you release the mouse button, the program closes the area.
 | Block Select: Defines a rectangular area for use with delete and filter operations. Select the Inside or Outside option and drag from one corner to the diagonally opposite corner.
 | Line Select: Defines a straight line across your data for use with delete and filter operations. Select the Above or Below option then drag a line between the good and bad data.
 | Eraser Tool: Deletes small, square areas of data at a time. The cursor changes to a small square. Any soundings visible in the square when you click are deleted.
 | Tilt and Rotate: This tool enables you to see the data in each window from any angle. It works in the Survey display only. •To begin data rotation in the opposite direction of your cursor, click and drag in the data display. •To stop data rotation, release the mouse button.
 | Zoom Window: Select this option and drag a rectangle in the window to define the extent of your desired view. The program will redraw the screen to display the defined area optimally.
 | Arrow Buttons: Scroll through the survey lines making any necessary corrections for each profile.
Mouse Wheel | Zoom display in and out.
Right Mouse | To pan your display, press and hold the right mouse button over the graphical display, drag the display in the window and release the button.
 | Launches the Color Settings dialog.
Search and Filter Icons: Minimal tools required to manually clean your data based on your search and filter options.
 | The Undo icon reverses editing operations in the reverse order in which they were performed.

Draw Selected Files Only: Only the track lines for the files selected in the file list will appear in the Survey window. When the Track lines Edit option is selected, the Zoom Extents tool will include only those lines, not the full data set.

Fast Delete: When this option is checked, data selected with the Lasso Select, Block Select or Line Select tools is automatically deleted according to your Inside/Outside and Above/Below selections.

Interpolate Depth: This option does a straight line interpolation across the space created by a deletion; otherwise, the space remains with no sounding data.

Large Dots: The size of soundings (pixels) of soundings when drawn as dots. This option overrides the Normal Dot Size setting, in the View Options dialog, with 5px dots.

Wide Lines: The size of lines used for the track line, planned line and target displays in the Survey window, and the crosshairs in the Profile window. This option overrides the Normal Line Width setting, in the View Options dialog, with 3px lines.

Filter Preview: Each sounding that falls outside the current search and filter settings, but has not yet been removed, is marked with a yellow ‘X’.

Show Deleted: Each deleted sounding is marked with a red ‘X’. When you restore a sounding, its red ‘X’ disappears

Check the Floating Toolbar option to display a Toolbox window that will always be visible on top of your other windows.

Floating Toolbar

Window-Specific Tools

Each window has a toolbar whose tools affect only the contents of that window. Some of these are common to all windows.

Window-specific Tools

Tool | Function
 | Delete Point or Selection
 | Filter Window or Selection
 | Undelete Selection
 | Zoom Extents: Draws the screen at a zoom scale that displays all enabled data.
 | Fill Value (Heave/Tide/Draft window only): Replaces erroneous data with user-defined values in the edited data only.

Note:The Undelete Selection icon in each window is very different from the Undo icon in the tool box. The Undelete Selection icon reinstates all data within a user-defined area. The Undo icon reverses editing operations in the reverse order in which they were performed.

More Information

• Point Editing in the 64-bit SINGLE BEAM EDITOR

• Area-based Editing in the 64-bit SINGLE BEAM EDITOR

• Restoring Deleted Soundings in the 64-bit SINGLE BEAM EDITOR

• Filtering Your Data in the 64-bit SINGLE BEAM EDITOR

• Search and Filter Options


Point Editing in the 64-bit SINGLE BEAM EDITOR

Each editing stage offers point editing where you delete one point at a time.

Important: Where windows graph multiple values, editing affects all visible graphs. Before you perform any edits, select only the values you intend to edit for display in the toolbar.

1.Select the point with the cursor.

2. Click the Delete Point or Selection icon (or the Delete key).

The eraser tool removes a small number of points at a time:

1. Select the eraser tool in the toolbox. The cursor changes to a small square.

2.Position the square cursor over one or more points and click.

Tip: To view the positions of deleted soundings, select the Show Deleted option in the Toolbox. Each deleted sounding is marked with a red ‘X’.

More Information

• Area-based Editing in the 64-bit SINGLE BEAM EDITOR

• Restoring Deleted Soundings in the 64-bit SINGLE BEAM EDITOR

• Filtering Your Data in the 64-bit SINGLE BEAM EDITOR

• Search and Filter Options


Area-based Editing in the 64-bit SINGLE BEAM EDITOR

Area-based Editing enables you delete all points inside or outside an area defined by the Block Select or Lasso Select tool, or all points above or below a line drawn by the Line Select tool.

Important: Where most windows graph multiple values, editing affects all visible graphs. Before you perform any edits, select only the values you intend to edit for display in the toolbar.

Area-based editing has two modes determined by the Fast Delete option in the toolbox. In either mode, the delete operation acts either inside or outside of the defined area according to your Inside/Outside selection, or above or below the line according to your Above/Below selection.

•In Default Mode, the Fast Delete option is cleared and, once the Inside/Outside or Above/Below option is selected, the deletion is a two-step process.

a.Set the Inside/Outside or Above/Below option.

b.Set the Interpolate Depth option. This option does a straight line interpolation across the space created by a deletion; otherwise, the space remains with no sounding data.

c. Define the area to be deleted with the (left to right) Flag, Block Select, Lasso Select or Line Select tool.

Tip: If you're unhappy with the results, just try again.

d. Click the Delete Point or Selection icon (or the Delete key).

•In Fast Delete Mode, the Fast Delete option is selected. Once the Inside/Outside or Above/Below option is selected, the editing with the Block Select, Lasso Select or Line Select tool becomes a one-step process: when you release the mouse button after using the tool, the deletion automatically occurs. This enables you to do multiple edits in succession.

Tip: If you’re unhappy with the selection, press the Escape key on your keyboard before releasing the mouse button.

Tip: If you’re unhappy with the deletion results, reverse the operation with the Undo icon in the tool box.

Note:The Undelete Selection icon in each window is very different from the Undo icon in the tool box. The Undelete Selection icon reinstates all data within a user-defined area. The Undo icon reverses editing operations in the reverse order in which they were performed.

In the following table, the Block Select, Lasso and Line tools were used to remove a few stray soundings near the waterline, all with the same results. The example with the flags more clearly shows the effect of the Interpolate Depth option.

Area Deletion Examples

Deletion Tool | Before | After
Block Select (Inside Option) |  |
Lasso Select (Inside Option) |  |
Line Select (Above Option) |  |
Flag Select |  | Interpolated Depths (top) and Removed Depths (bottom)

Tip: To view the positions of deleted soundings, select the Show Deleted option in the Toolbox. Each deleted sounding is marked with a red ‘X’.

More Information

• Point Editing in the 64-bit SINGLE BEAM EDITOR

• Restoring Deleted Soundings in the 64-bit SINGLE BEAM EDITOR

• Filtering Your Data in the 64-bit SINGLE BEAM EDITOR

• Search and Filter Options


Recalculating Positions and Corrections in the 64-bit SINGLE BEAM EDITOR

The 64-bit SINGLE BEAM EDITOR includes several routines you may use to calculate positions and corrections more accurately in post-processing than you can log during acquisition.

You can perform any of the editing processes at any time; however, it makes the most sense to do all processes involving positioning and corrections to make your soundings as accurate as possible, before you begin evaluating and cleaning the soundings themselves.

The following routines, found in the Tools menu, involve recalculations of position and correction data:

•POSPac Adjustments: Recalculate POS MV data from POSPac raw data.

•HYPACK Raw File Adjustments: Recalculate position and RTK tide from HYPACK Raw data.

•GPS Adjustments: Correct position and RTK tides from PPK and HYPACK raw data.

•Heave Adjustments: Apply True Heave from the POS MV, the Coda Octopus F180 or NovaTel SPAN inertial systems.

•Draft Adjustments:

•Squat and Settlement Table: Apply new draft corrections based on the speed over ground.

•Smooth Draft: Average the draft over a user-specified Average Period to remove the effects of abrupt vessel motion from the draft data.

•Tide Adjustments: Interpolate tide from multiple tide gauges.

•Centerline Method interpolates based on linear distance along a river or coastline.

•Three Point Method interpolates over a triangular area.

More Information

• Recalculating POS MV Data from POSPac Raw Data in the 64-bit SINGLE BEAM EDITOR

• Recalculating Positioning and RTK Tides from HYPACK Raw Data in the 64-bit SINGLE BEAM EDITOR

• Correcting Positioning and RTK Tides Based on GPS PPK Data in the 64-bit SINGLE BEAM EDITOR

• Applying True Heave in the 64-bit SINGLE BEAM EDITOR

• Dynamic Draft (Adjust) Corrections in the 64-bit SINGLE BEAM EDITOR

• Smoothing Dynamic Draft Corrections in the 64-bit SINGLE BEAM EDITOR

• Interpolating Tide Corrections from Multiple Tide Gauges in the 64-bit SINGLE BEAM EDITOR

• Editing Positions and Corrections in the 64-bit SINGLE BEAM EDITOR


Recalculating POS MV Data from POSPac Raw Data in the 64-bit SINGLE BEAM EDITOR

If you are using the Applanix POS MV with POSPac for positioning and as your motion sensor, you can improve the accuracy of your survey data.

The POSPac Adjustments routine in the editor program can use the POSPac file (*.OUT or SBET file) to recalculate one or more of the following:

•GPS Latitude, Longitude and elevation

•Pitch and Roll

•Heading

•Tide

Since the data in the POSPac file is quite accurate and post-processing calculations can be better than those done in real time, this routine typically improves the accuracy of your survey data.

That being said, sometimes vertical drift occurs in SBET files, so you must carefully review your data and remove those areas. The corrected, more accurate SBET data may be used multiple times for adjustments to different data files.

You can edit the SBET corrections before or after the POSPac Adjustments:

•Before the adjustment, use the SBET EDITOR. This method enables you to view and edit SBET data for the entire day, resulting in an accurate SBET file that may be used multiple times for adjustments to different data files.

•After the adjustment, use the Heave Tide Draft window in the data editing program. Using this method, you see only the portion of the SBET data corresponding to the logged data, and any editing affects only the currently loaded survey data. However, the cursor location is synchronized in all windows, providing added information with which you can make your editing decisions.

Use block editing to remove the bad SBET data, which results in a straight line interpolation between the remaining data.

Important: When you load your data, leave the Tide Corrections option in the Corrections dialog blank. In the editor, this TID file overrides all other tide correction calculation methods.

• Block Editing the Tide

• Adjusting your Survey Data with the SBET Data

Block Editing the Tide

You can use block editing with the POSPac Z-value to remove obviously bad tide data.

Block Editing Bad Tide Data

The dynamic Z data (boat heave) is gone after the delete, but that’s not a problem as it avoids double heave correction.

Block Editing Tide Results

Return to Top

Adjusting your Survey Data with the SBET Data

1.In the editor, select the files you want to adjust from the Files list.

2.Select TOOLS-POSPac ADJUSTMENTS. If you have not selected all of the loaded files in the list, a confirmation dialog appears.

3.Confirm your intentions:

•To edit the lines selected in the file list, click [Selected Lines].

•To edit all files currently loaded, click [All Lines].

•To change your selection in the files list, click [Cancel] and begin again.

The POSPac Adjustments dialog appears next.

POSPac Adjustments Dialog

4.Click [Open File] and select one or more POSPac files. The start times from your POSPac files are automatically displayed.

To multiselect files, hold the Ctrl key and select multiple individual files or hold the Shift key and click on the first and last file in a range of consecutive files.

When you load multiple POSPac files the editor calculates interpolated values based on the time tag of each ping.

A File Date dialog appears next.

Sample File Date Dialog

5.For each file, select the file in the dialog set the date. You have three options:

•Use Survey Date (default) reads the date from the survey file.

•Clear Use SurveyDate and click [Use File Write Date] to read the Windows® date fromthe true heave file. It may be helpful in multi-day surveys.

Note:Confirm the date that appears is correct. File properties often change when the file is moved in Windows®.

•Manually enter the correct date and clear the Use Survey Date option.

Tip: If you have loaded more than one adjustment file, [Sort] orders the files by Start Date then Start Time.

a.Click [OK].

6.Select the values you want use from the POSPac data: position, RTK tide, heading, pitch and roll.

7.Check your device offsets. The POS MV Adjustments dialog shows offsets from your Read Parameters, but this provides a second chance to correct them if you missed them.

8.Calculate the time difference between the Survey and POSPac start times, and enter it under ‘Enter Hour Difference’. (Non-integer values are supported.)

9.Click [Adjust]. When the adjustment is complete, ‘Done’ appears in the dialog.

10.Click [Close] to return to the editor.

You can see the tide results by displaying both the raw and corrected data in the Heave/Tide window.

Additionally, the device selections in the Read Parameters are updated with an added POSPAC option to indicate POSPac adjusted data.

Return to Top

More Information

• Heave/Tide Window in the 64-bit SINGLE BEAM EDITOR

• SBET EDITOR


Recalculating Positioning and RTK Tides from HYPACK Raw Data in the 64-bit SINGLE BEAM EDITOR

The Raw File Adjustments routine corrects raw data logged with incorrect geodesy, KTD (Kinematic Tide Datum), or with the GPS configured without the Tide function selected.

It recalculates horizontal positioning based on the current geodesy settings and the RAW messages in your raw data files. If your hardware configuration includes more than one positioning device (mobile), SURVEY automatically reads the position from the first positioning device in the configuration. Using this routine you can recalculate the positioning based on the positions from other positioning devices in the configuration.

If your project is configured for RTK tides, it can also recalculate the RTK tide data.

1.Load your raw data to the 64-bit SINGLE BEAM EDITOR.

Note:If you are correcting RTK tides, leave the Tide Corrections options blank in the Corrections tab of the Read Parameters dialog.

2.Select TOOLS-HYPACK RAW FILE ADJUSTMENTS. The Raw File Adjustments dialog will appear.

Raw File Adjustments Dialog

3.Set your options:

A

Task | Options
To Recalculate Positions: | •Select the device from which you collected the data to be recalculated. •Enter the correct device offsets from the vessel origin. •If your survey computer was configured with incorrect geodesy settings, check the Recalculate Positions Based on Project Geodesy.
To Recalculate RTK Tides: | •Select ‘Recalculate RTK Tides Using HYPACK Geodesy’. •Select the device from which you collected the data to be recalculated.

4.Click [Adjust]. When the adjustment is complete, the status bar will display "Done".

5.Click [Close].

The device selections in the Read Parameters are updated with an added RAWFILE option to indicate Raw file adjusted data.

More Information

• Real Time Kinematic (RTK) Tide Corrections


Correcting Positioning and RTK Tides Based on GPS PPK Data in the 64-bit SINGLE BEAM EDITOR

Postprocessed Kinematic (PPK) surveys store raw observations that, in RTK mode, produce centimeter-level accuracy in post-survey processing.

If your GPS is capable of storing PPK data, you can configure the receiver to output the PPK data to a file. You can then use this file, or any similar text file, in the editor programs and improve your positioning, tide corrections or both. This is quite useful to correct positioning when there are obstructions to satellite reception.

Required PPK Data for each Correction Type

Correction Type | Required String Values
Position | •Time •Easting/Northing (preferred) or Latitude/Longitude
Tide | •Time •Ellipsoid Height.

GPS Adjustments Dialog

1.In the Survey Files list, select the files you want to adjust.

2.Select TOOLS-GPS ADJUSTMENTS.

If you have not selected all of the loaded files in the list, a confirmation dialog will appear for you to confirm your intentions:

•To edit the lines selected in the file list, click [Selected Lines].

•To edit all files currently loaded, click [All Lines].

•To change your selection in the files list, click [Cancel] and begin again.

3.Load one or more PPK files. Click [...] and browse for the correct file. The first record appears below the PPK File for your reference.

4.Set the UTC Start Date for each PPK file.

a.Click [File Date]. The File Date dialog appears.

Sample File Date Dialog

b.For each file, select the file in the dialog set the date. You have three options:

•Use Survey Date (default) reads the date from the survey file.

•Clear Use SurveyDate and click [Use File Write Date] to read the Windows® date fromthe true heave file. It may be helpful in multi-day surveys.

Note:Confirm the date that appears is correct. File properties often change when the file is moved in Windows®.

•Manually enter the correct date and clear the Use Survey Date option.

Tip: If you have loaded more than one adjustment file, [Sort] orders the files by Start Date then Start Time.

c.Click [OK].

5.Describe the records in your PPK file.

•Check the values that occur in each record. You can add ignored fields (click [Add Ignore Field]) for any variables which you don't need.

•Set the order of the values Use your cursor to click and drag items up or down in the list.

•Select the delimiters.

•If the ellipsoid height is in meters instead of survey units, check the ‘Ellipsoid in meters’ option.

•Choose the time and latitude/longitude formats.

•Device Offsets: If your PPK file originates from a system other than the one logged during the survey, enter its offsets here.

•HYPACK or HYSWEEP File Start Time (for single beam or multibeam project respectively) and PPK File Start Time update automatically according to the information in the files themselves.

•Hours Difference is the difference between the UTC time and Local Time setting on the survey computer. (Non-integer values are supported.)

6.Test whether the configuration can read your PPK file. Click [Test] and compare the parsing results at the bottom of the dialog against the PPK record.

If the test fails, “Error” appears in the status bar. Recheck your configuration against your PPK string format and try again.

7.When the configuration tests correctly, click [Adjust] to execute the adjustment in the data.

8.When the adjustment is complete, click [Close].

The device selections in the Read Parameters are updated with an added PPK option to indicate PPK adjusted data.

More Information

• Applying One Set of Read Parameters to All Data in the 64-bit SINGLE BEAM EDITOR

• Applying Different Parameters to Select Data Sets in the 64-bit SINGLE BEAM EDITOR


Applying True Heave in the 64-bit SINGLE BEAM EDITOR

The editor programs include a specialized routine that applies true heave data, logged during your survey to your sounding data in post-processing. You can apply true heave if you have logged data during your survey from any of the following systems:

•POS MV: Group 111 data

•Coda Octopus F180: IHeave CSV data

•Novatel SPAN: SPAN Heave data

•SBG intertial navigation: SBG Heave

When the adjustment is complete, an additional device shows in the Device Offsets dialog accessed in the Read Parameters. You can choose either original or adjusted data.

1.In the Survey Files list, select the files you want to adjust.

2.Select TOOLS-HEAVE ADJUSTMENTS and the type of true heave data you have collected.

If you have not selected all of the loaded files in the list, a confirmation dialog will appear for you to confirm your intentions:

•To edit the lines selected in the file list, click [Selected Lines].

•To edit all files currently loaded, click [All Lines].

•To change your selection in the files list, click [Cancel] and begin again.

The Heave Adjustment dialog appears next.

Heave Adjustment Dialog for POS/MV Data

Heave Adjustment Dialog for F180 Data

Heave Adjustment Dialog for Novatel Data

Heave Adjustment Dialog for SBG Heave

3.Click [Open File] and select one or more true heave files. (Hold the Ctrl key and use your cursor to select more than one.) The start times from both your single beam file and your true heave are displayed.

A File Date dialog appears next.

Sample File Date Dialog

4.Set the UTC Start Date for each true heave file.

a.For each file, select the file in the dialog set the date. You have three options:

•Use Survey Date (default) reads the date from the survey file.

•Clear Use SurveyDate and click [Use File Write Date] to read the Windows® date fromthe true heave file. It may be helpful in multi-day surveys.

Note:Confirm the date that appears is correct. File properties often change when the file is moved in Windows®.

•Manually enter the correct date and clear the Use Survey Date option.

Tip: If you have loaded more than one adjustment file, [Sort] orders the files by Start Date then Start Time.

b.Click [OK].

5.If your device is outputting both GPS and UTC time, verify your the program is loading UTC time. If not, begin again and check the Use Time 2 option to load the other.

6.If your device outputs heave values positive upward, check the Invert Heave option.

7.Calculate the time difference between the two start times and enter it under ‘Enter Hour Difference’. (Non-integer values are supported.)

8.Click [Adjust] to replace any heave recorded in the data with the delayed heave. All soundings are now corrected with the true heave values. When the adjustment is complete, it displays ‘Done’ in the status bar.

9.Click [Close] to return to the editor.

You can see the difference in the Heave/Tide window when you display both raw and corrected heave values.

Sample Heave Adjustment Results


More Information•Applying One Set of Read Parameters to All Data in the 64-bit SINGLE BEAM EDITOR •A

More Information

• Applying One Set of Read Parameters to All Data in the 64-bit SINGLE BEAM EDITOR

• Applying Different Parameters to Select Data Sets in the 64-bit SINGLE BEAM EDITOR

• Heave, Pitch and Roll Options in the Read Parameters in the 64-bit SINGLE BEAM EDITOR

• Removing Heave Drift in the 64-bit SINGLE BEAM EDITOR

• Restoring Raw Heave Corrections in the 64-bit SINGLE BEAM EDITOR

Dynamic Draft (Adjust) Corrections in the 64-bit SINGLE BEAM EDITOR

The editor includes a dynamic draft routine with which you can apply new draft corrections based on the speed over ground.

Important: It is best to edit bad positions as necessary before running the adjustment to provide the most accurate speed information for the adjustment.

Note:If you have loaded data from multiple surveys where these settings differ between files, review each data set, one at a time, by selecting its files in the file list before reviewing and modifying their settings.

1.In the Survey Files list, select the files you want to adjust.

2.Select TOOLS-DRAFT ADJUSTMENTS-SQUAT AND SETTLEMENT TABLE.

If you have not selected all of the loaded files in the list, a confirmation dialog will appear for you to confirm your intentions:

•To edit the lines selected in the file list, click [Selected Lines].

•To edit all files currently loaded, click [All Lines].

•To change your selection in the files list, click [Cancel] and begin again.

The Squat and Settlement window appears next.

3.Enter the draft correction values (in survey units) versus speed (in knots).

4.Graph your adjustments (Optional) by clicking [Graph].

Squat and Settlement Corrections Table

5.Click [Adjust]. The editor calculates the dynamic draft correction from boat speed (from GPS) and the table.


Smoothing Dynamic Draft Corrections in the 64-bit SINGLE BEAM EDITOR

If dynamic draft has been logged to your data, particularly if you did so from a sensor on a towfish or AUV, the values may change abruptly. You can average the draft over a user-specified Average Period to remove the effects of the motion for the draft data.

1.In the Survey Files list, select the files you want to adjust.

2.Select TOOLS-DRAFT ADJUSTMENTS-SMOOTH DRAFT.

If you have not selected all of the loaded files in the list, a confirmation dialog will appear for you to confirm your intentions:

•To edit the lines selected in the file list, click [Selected Lines].

•To edit all files currently loaded, click [All Lines].

•To change your selection in the files list, click [Cancel] and begin again.

The Smooth Draft dialog appears next.

Smooth Draft Dialog

3.Enter the time interval and click [Adjust]. The program progresses through the data, resetting each draft record based on surrounding draft records over your defined time span. The dialog automatically closes when the adjustment process is complete.


Interpolating Tide Corrections from Multiple Tide Gauges in the 64-bit SINGLE BEAM EDITOR

The center line and three-point tide adjustment tools interpolate tide correction values from multiple tide gauges. These tools are available in the single beam and HYSWEEP editors to adjust the tide data of the edited output files.

Center Line Tide Adjust

Three Point Tide Adjust

Center Line Tide Adjust

The center line method is for surveys where the tide gauges are in a line along a river or coastline. This method interpolates tide correction values, based on the distances along a line between gauges.

You will need:

•A *.TID file for each gauge location

•The distance of each gauge along the center line.

•A *.LNW file that contains just the center line (limited to 1000 waypoints).

•The data files to adjust.

River with 3 Tide Gauges and a Center Line LNW File

1.Select the files you want to adjust in the files list.

2.Start the program by selecting TOOLS–TIDE ADJUSTMENTS-CENTER LINE METHOD.

If you have not selected all of the loaded files in the list, a confirmation dialog will appear for you to confirm your intentions:

•To edit the lines selected in the file list, click [Selected Lines].

•To edit all files currently loaded, click [All Lines].

•To change your selection in the files list, click [Cancel] and begin again.

The Tide Adjust dialog window appears next.

Tide Adjust Dialog

3.Enter the name of the *.LNW file that has your center line (and nothing else). Click [Open File] below the LNW File field and select the file name from the File Select dialog.

4.Enter the names of the *.TID files. For each Tide file, place your cursor in the first available cell in the table, click [Open File] under Tide Stations and select the tide file from the file selection dialog.

5.Enter the Chainage (and their distances along the center line) for each tide file.

6.Correct the soundings by clicking [Adjust Tides]. The program will assign tide correction values only to the edited files. It does not change the raw files.

Return to Top

Three Point Tide Adjust

The three point method is for survey areas with 3 tide gauges around the area. This method creates a triangular tidal surface between the three stations to generate a correction at the vessel position.

Note:For best results, your survey area must lie within the triangular area defined by the three tide stations.

Tide Adjustments - 3 Point Method

1.Start the program by selecting TOOLS–TIDE ADJUSTMENTS-3 POINT METHOD. The 3-Point Method dialog will appear.

Tide Adjustments Dialog

2.Enter the names of the *.TID files. For each tide file, place your cursor in the first available cell in the table, click [Open File] and select the tide file from the file selection dialog.

3.Enter the position of each tide gauge for each tide file.

4.Correct the soundings by clicking [Adjust Tides]. The program will assign tide correction values only to the edited files. It does not change the raw files.

Return to Top

More Information

• Tide (Water Level) Corrections


Editing Positions and Corrections in the 64-bit SINGLE BEAM EDITOR

The 64-bit SINGLE BEAM EDITOR provides several tools you will use to correct and clean your raw data set.You can perform any of the editing processes at any time; however, it makes the most sense to do all processes involving positioning and corrections to make your soundings as accurate as possible, before you begin evaluating and cleaning sounding data.

The Survey window displays your track lines where you can remove positioning.

Additional windows graph your correction values, one or more lines at a time, according to what is selected in the file list and in the window toolbar. This enables you to view the selected corrections one line at a time or compare multiple lines.

If, at any time, you delete position, heave, tide or draft data, the program interpolates the data.

If sounding data is deleted, the data will be interpolated or removed according to the status of the selection in the Settings dialog (EDIT-SETTINGS) which toggles between the two choices. If you have elected to interpolate, Soundings will only be removed if data is removed at either end of the survey line, rendering interpolation impossible.

•Verify that all devices are working. (Be suspicious of flat lines.)

•Remove erroneous spikes common in position, and RTK tide.

•You can filter tide and position data based on the quality of your GPS signal.

•Recalculate logged data from POSPac or PPK (post-processed kinematic) data to improve accuracy.

•If you surveyed with erroneous geodesy settings, you can recalculate RTK Tides from HYPACK Raw Data.

•Apply any true heave corrections to your raw data.

•Remove heave drift.

More Information

• Removing Heave Drift in the 64-bit SINGLE BEAM EDITOR

• Applying True Heave in the 64-bit SINGLE BEAM EDITOR

• Dynamic Draft Corrections

• Sound Velocity Corrections

• Clipping Track Lines in the 64-bit SINGLE BEAM EDITOR

• Removing Position Spikes in the 64-bit SINGLE BEAM EDITOR

• Filling Values in the Heave/Tide Window

• Resetting Filled Values in the 64-bit SINGLE BEAM EDITOR

• Recalculating POS MV Data from POSPac Raw Data in the 64-bit SINGLE BEAM EDITOR

• Recalculating Positioning and RTK Tides from HYPACK Raw Data in the 64-bit SINGLE BEAM EDITOR

• Correcting Positioning and RTK Tides Based on GPS PPK Data in the 64-bit SINGLE BEAM EDITOR

• Filtering Your Data in the 64-bit SINGLE BEAM EDITOR


Omitting Lines in the 64-bit SINGLE BEAM EDITOR

To omit lines with little or no data select the line in the 64-bit SINGLE BEAM EDITOR file list and click the Remove File From Survey icon. The program asks you to confirm your intention, then unloads the selected file without saving..


Clipping Track Lines in the 64-bit SINGLE BEAM EDITOR

In the Survey window, you can trim position spikes using point editing techniques, however area-based editing is more efficient to trim curves from the ends of the track lines.

When position data is removed, sounding data is deleted or interpolated based on the status of the ‘Delete Soundings Between Deleted Points’ option in the Editor Options (EDIT-SETTINGS). Soundings will only be removed if positioning is removed at either end of the survey line, rendering interpolation impossible.You can edit all of your track lines at once, or work on only select lines. In the following example, the default delete mode provides the opportunity to use the unselected lines as a guide and time to remove them from the edit process before the deletion.

1.Load your full data set to the 64-bit SINGLE BEAM EDITOR.

2.Select the track lines you want to edit. Hold the Ctrl key and select the lines either in the file list or in the Survey window display. (Selections in the file list and Survey window are synchronized.)

3.Clear the Fast Delete option.

4.Mark your deletion area using the editing tool.

5.Check the Draw Selected Files Only option. This removes the remaining track lines from the display, though they are still loaded.

6. Click the Delete Point Or Selection icon (or the Delete key).

Sample Track Line Editing Session

More Information

• 64-bit SINGLE BEAM EDITOR Options


Removing Position Spikes in the 64-bit SINGLE BEAM EDITOR

Use point or area-based editing tools to remove spikes caused by GPS error.

Using Editing Tools

•For horizontal positioning error, you typically edit the track lines in the Survey window. The Speed Editor window can also be useful for editing position spikes.

Use the editing tools to remove position spikes.

Tip: You can also filter your data based on the speed over ground or quality of the GPS signal.

Smoothing Positioning Spikes—Before (left) and After (right)

•For vertical positioning error from RTK (real time kinematic) systems, edit tide data in the Heave/Tide window.


Filling Values in the Heave/Tide Window

In the Heave/Tide window, instead of deleting erroneous data, you can replace it with user-defined values using the fill button. The fill value replaces the data that may have been recorded during data collection in the edited data only. If you have entered corrections in the Read Parameters, the fill values are disabled.

Note:If you have loaded data from multiple surveys where these settings differ between files, review each data set, one at a time, by selecting its files in the file list before reviewing and modifying their settings.

When you click the icon, the Fill Options dialog appears where you set new values for each of the values currently displayed in the window.

Fill Options Window

•Only in one or more selected lines currently loaded in the 64-bit SINGLE BEAM EDITOR.

a.Select the lines in the File List.

b.Click the Fill icon.

c.Enter the new correction value for each enable correction and click [OK].

•Only in a user-defined area of a single line.

a.Deselect the Fast Editing option.

b.Use one of the area-based editing tools to select the area you want to edit.

c.Click the Fill icon.

d.Enter the new correction values and click [OK].

Tip: To restore corrections modified through this dialog, use the Reset dialog (EDIT-UNDELETE AND RESET).

More Information

• Applying One Set of Read Parameters to All Data in the 64-bit SINGLE BEAM EDITOR

• Applying Different Parameters to Select Data Sets in the 64-bit SINGLE BEAM EDITOR

• Resetting Filled Values in the 64-bit SINGLE BEAM EDITOR


Replacing Bad RTK Tide in the 64-bit SINGLE BEAM EDITOR

If you lose your RTK positioning for a short time, you may have a span of tide data that is too far out of range. You can use the Fill dialog to replace that section of tide data with a value that is closer to the truth.

1.In the Heave/Tide Window, check tide correction for the display.

2.Use the lasso or block edit tool to define the section of bad data.

Replacing Bad RTK Tides—Before

3. Click the Fill icon.

4.Enter the replacement tide correction (in this example 0.8) and click [OK].

Replacing Bad RTK Tides—After

Tip: To restore corrections modified through this dialog, use the Reset dialog (EDIT-UNDELETE AND RESET).

More Information

• Applying One Set of Read Parameters to All Data in the 64-bit SINGLE BEAM EDITOR

• Applying Different Parameters to Select Data Sets in the 64-bit SINGLE BEAM EDITOR

• Resetting Filled Values in the 64-bit SINGLE BEAM EDITOR


Setting a Constant Tide Correction Value in the 64-bit SINGLE BEAM EDITOR

You can set a constant tide correction value for one or more files. This value replaces the tide data that may have been recorded during data collection in the edited data only.

Note:If you have loaded data from multiple surveys where these settings differ between files, review each data set, one at a time, by selecting its files in the file list before reviewing and modifying their settings.

You can do this using either of two methods:

•Set the value in the read parameters:

a.In the Corrections tab of the Read Parameters dialog, select one or more data files to which you will apply the new tide value.

b.Select the ‘Set Correction’ option and enter your tide value in the corresponding field.

c.When all of your read parameters are set, click [OK].

•Set the value in the Heave/Tide window:

a.In the File List, select the lines where you want to replace a correction value.

b.In the Heave/Tide window, check tide correction for display.

c. Click the Fill icon.The Fill Options dialog will appear.

Fill Options Dialog

d.Enter the replacement tide correction and click [OK].

Tip: To restore corrections modified through this dialog, use the Reset dialog (EDIT-UNDELETE AND RESET).

More Information

• Applying One Set of Read Parameters to All Data in the 64-bit SINGLE BEAM EDITOR

• Applying Different Parameters to Select Data Sets in the 64-bit SINGLE BEAM EDITOR

• Resetting Filled Values in the 64-bit SINGLE BEAM EDITOR


Offsetting Tide Corrections in the 64-bit SINGLE BEAM EDITOR

If, once you load your tide corrections, you discover that they are all off by a constant amount, this tool enables you to shift each tide correction by the same user-defined amount.

1.In the Survey Files List, select the files you want to adjust.

2.Select TOOLS-TIDE ADJUSTMENTS-TIDE OFFSET.

If you have not selected all of the loaded files in the list, a confirmation dialog will appear for you to confirm your intentions:

•To edit the lines selected in the file list, click [Selected Lines].

•To edit all files currently loaded, click [All Lines].

•To change your selection in the files list, click [Cancel] and begin again.

The Tide Offset dialog appears next.

Tide Offset Dialog

3.Enter the amount, in survey units, that you need to adjust the tide corrections. This value will be added to the current tide correction for each sounding so, if you need to decrease the tide correction, enter a negative number.

4.Click [OK]. The graph in the Tide and Draft Corrections window will update automatically. In the Spreadsheet window, click the [Refresh] button to display the updated tide values.


Removing Heave Drift in the 64-bit SINGLE BEAM EDITOR

It is important to normalize the heave in areas where it was affected by factors such as turning, acceleration and deceleration.

The 64-bit SINGLE BEAM EDITOR supports two methods to remove heave drift:

•Area-based editing

•The remove heave drift algorithm

Area-based Editing Heave Drift

Applying the Remove Heave Drift Algorithm

Area-based Editing Heave Drift

Use the area-based editing tools to delete or modify bad heave data:

•Delete bad heave data. The program interpolates the heave between the remaining heave records.

a.In the Heave/Tide or Heading, Pitch and Roll window, check Heave Correction for the display.

b. Use the area-based editing tools to select your bad data.

c.Click the Delete Point or Selection icon.

If you are unhappy with the results, click the Undelete icon to restore the previous values.

•In the Heave/Tide window, use the Fill dialog: This could be useful where the survey vessel had not quite settled into the regular pattern centered over the "0" line when the logging began. Since heave generally averages out to approximately "0", using this feature to edit the heave for that segment to "0" may improve your accuracy.

a.In the Heave/Tide Window, check Heave Correction for the display.

b.Select the area to be filled.

Filling Area of Heave Drift with Zero—Before

c. Click the Fill icon.

d.Enter 0.0 for new heave value then click [OK].

Filling Area of Heave Drift with Zero—After

If you are unhappy with the results, use the Undelete and Reset dialog (EDIT-UNDELETE AND RESTORE) to restore the original corrections.

•In the Survey window, use the area-based editing tools to clip the ends of track lines where heave may not have leveled before logging began.

If you are unhappy with the results, click the Undelete icon to restore the previous values.

Return to Top

Applying the Remove Heave Drift Algorithm

The Remove Heave Drift algorithm assumes that, over time, heave will average out to zero. The calculations look at each heave sample. An average is calculated for the sample using heave before and after. The number of samples before and after depends on the Averaging Period entered in the Heave Processing dialog (accessed from the Processing tab in the Read Parameters). For example, a 12 second period, the average is taken from six seconds before to six seconds after. If heave doesn’t average to zero, the average is added to the sample to make it so for each period until all heave drift is removed.

This is a mathematical approximation of what the heave should have been. In such cases, your results will be better than if you use the exaggerated heave values or use heave equal to zero.

You can do this as the data is read into the editor or in the Heave/Tide window.

Removing Heave Drift as the Data is Read

In the Processing tab of the Read Parameters dialog, select Apply Heave Correction and Remove Heave Drift, then click [OK].

Removing Heave Drift Using Heave Adjustments

This method enables you to view the heave as it is recorded in the raw data before any editing occurs.

1.In the Survey Files list, select the files you want to filter.

2.Select TOOLS-HEAVE ADJUSTMENTS-REMOVE HEAVE DRIFT.

If you have not selected all of the loaded files in the list, a confirmation dialog will appear for you to confirm your intentions:

•To edit the lines selected in the file list, click [Selected Lines].

•To edit all files currently loaded, click [All Lines].

•To change your selection in the files list, click [Cancel] and begin again.

The Remove Heave Drift dialog appears next.

Remove Heave Drift Dialog

3.Enter your averaging period and click [Adjust]. When the adjustment is complete, the word ‘Done’ will appear in the dialog.

4.When the calculations are complete, click [Close].

Return to Top

More Information

• Applying One Set of Read Parameters to All Data in the 64-bit SINGLE BEAM EDITOR

• Applying Different Parameters to Select Data Sets in the 64-bit SINGLE BEAM EDITOR

• Heave, Pitch and Roll Options in the Read Parameters in the 64-bit SINGLE BEAM EDITOR

• Heave/Tide Window in the 64-bit SINGLE BEAM EDITOR

• Removing Heave Drift in the 64-bit SINGLE BEAM EDITOR

• Applying True Heave in the 64-bit SINGLE BEAM EDITOR

• Restoring Raw Heave Corrections in the 64-bit SINGLE BEAM EDITOR


Restoring Raw Heave Corrections in the 64-bit SINGLE BEAM EDITOR

If your work to improve the heave corrections is not as expected, you can restore the raw heave corrections:

Important: This procedure reverses manual heave editing as well as those performed by the Heave Adjustments routine.

Select TOOLS-HEAVE ADJUSTMENT-UNDO HEAVE ADJUSTMENTS.

More Information

• Applying One Set of Read Parameters to All Data in the 64-bit SINGLE BEAM EDITOR

• Applying Different Parameters to Select Data Sets in the 64-bit SINGLE BEAM EDITOR

• Heave, Pitch and Roll Options in the Read Parameters in the 64-bit SINGLE BEAM EDITOR

• Heave/Tide Window in the 64-bit SINGLE BEAM EDITOR

• Applying True Heave in the 64-bit SINGLE BEAM EDITOR

• Filling Values in the Heave/Tide Window

• Removing Heave Drift in the 64-bit SINGLE BEAM EDITOR

• Resetting Filled Values in the 64-bit SINGLE BEAM EDITOR


Resetting Filled Values in the 64-bit SINGLE BEAM EDITOR

If you use a Fill Options dialog to edit tide or heave corrections, and the results are not what you intended, you can restore all of the filled corrections in the currently loaded data set to their original values through the Undelete and Reset dialog.

1.Select EDIT-UNDELETE AND RESET. The Undelete and Reset dialog appears showing the total number of filled values next to the corresponding button.

2.Click [Filled Tide/Heave Values] in the Reset section. The program restores the raw tide and heave correction values and the count resets to zero.

3.Click [Close].

Use the Reset Dialog to Undo Filled Corrections.

More Information

• Filling Values in the Heave/Tide Window

• Setting a Constant Tide Correction Value in the 64-bit SINGLE BEAM EDITOR

• Replacing Bad RTK Tide in the 64-bit SINGLE BEAM EDITOR

• Area-based Editing Heave Drift

• Restoring Raw Heave Corrections in the 64-bit SINGLE BEAM EDITOR


Cleaning your Soundings in the 64-bit SINGLE BEAM EDITOR

When you have corrected you positions and all corrections are as accurate as possible, you are ready to examine and edit your soundings. You will typically use a combination of tools.

The 64-bit SINGLE BEAM EDITOR provides a selection of tools with which you will manually delete and correct your soundings. You can also choose from a wide selection of filters (eg. depth range; cross track, spike and pitch/roll limits; GPS quality and more) that can identify and, if desired, automatically remove data falling outside of your chosen specifications.

If sounding data is deleted, the data will be interpolated or removed according to your instruction in the Edit Settings dialog (EDIT-SETTINGS).

Typically, you will use the automated filters to remove data that is obviously in error then continue using manual methods as you examine and clean your data on a more granular level.

This process is primarily done in the Profile window while you scroll using the arrow keys. The data in the Survey window may also be edited in this manner.

Tip: If editing operations have produced unsatisfactory results, you can reverse them, in the reverse order in which they were performed, using the Undo icon on the toolbar.

Note:The 64-bit SINGLE BEAM EDITOR allows you to perform any of the editing processes at any time. For example, you can change your corrections or device offsets for one or more lines, even after you have begun to edit your soundings, and the program will update the displayed data accordingly. However, it makes the most sense to do all processes involving corrections and positioning to make your soundings as accurate as possible, before you begin evaluating and cleaning sounding data.

1.Scan and edit your data. (Optional) You can quickly scroll through your lines, to view your data while you remove obviously bad data and insert points where there are gaps in your data. This is optional, but it may save you a bit of time in the search and filter process.

2.Return to the first selected file.

3.Set your Search and Filter criteria.

Tip: You can instruct the 64-bit SINGLE BEAM EDITOR to display filtered points with a yellow "X" by checking Show Active Filters in the Display Options (F9).

4.Select EDIT-FIND NEXT (F3). The 64-bit SINGLE BEAM EDITOR will systematically scan the survey data for soundings outside of the Search and Filter limits and position your cursor at that point in sequence.

5.Examine and edit your data. Decide to delete the sounding (and possibly others around it) or leave it and search out the next.

6.Mark any golden soundings1. (Optional)

7.Continue to repeat the last three steps until the 64-bit SINGLE BEAM EDITOR has progressed to the end of your data.

In the Spreadsheet display, deleted soundings appear with asterisks as depths.

Spreadsheet Shows Deleted Soundings with Asterisks

More Information

• Editing Tools in the 64-bit SINGLE BEAM EDITOR

• Point Editing in the 64-bit SINGLE BEAM EDITOR

• Area-based Editing in the 64-bit SINGLE BEAM EDITOR

• Restoring Deleted Soundings in the 64-bit SINGLE BEAM EDITOR

• Swapping Frequencies in the 64-bit SINGLE BEAM EDITOR

• Editing Spreadsheet Data in the 64-bit SINGLE BEAM EDITOR

• Digitizing Echogram Data in the 64-bit SINGLE BEAM EDITOR

• Filtering Your Data in the 64-bit SINGLE BEAM EDITOR

1. Golden Soundings are designated as more important than other project data and stored to the Golden Soundings list.


Swapping Frequencies in the 64-bit SINGLE BEAM EDITOR

You can swap High Frequency data with Low Frequency data in the current line:

•To swap select sections of the current line, use the Block Select tool in the Profile window to select the data that you want to swap then click the Swap Depths icon [image] .

•To reverse the depths for the entire line, click the Swap Depths icon in the Spreadsheet.

If the result is not satisfactory, reverse the operation using the Undo icon.


Editing Spreadsheet Data in the 64-bit SINGLE BEAM EDITOR

In the Spreadsheet window, you can delete complete sounding records (a row in the spreadsheet) or modify select values. The white columns indicate the data is editable. You can modify single values or a range of values within a single column.

Note:Only Tide and Heave data edited using [Fill Column] or [Fill Selection] can be restored in the Undelete and Reset dialog (EDIT-UNDELETE AND RESET).

•To delete a sounding record, select the row (click the row number) and press the Delete key.

Note:When the row is selected, all member cells are highlighted.

•To change a single value, enter the new data in the appropriate cell.

•To set a selected range in a column to the same value, do the following:

a.Enter the new value in the top-most cell of the range.

b.Select the top-most cell and, while holding the Shift key, select the last cell in your selected range. The selected cells are gray.

c.Click [Fill Selection]. The cells in the selected range update to match the value in the first cell. The remaining cells in the column are unchanged.

•To enter the same value from the current cell to the bottom of the column, do the following:

a.Enter the new value in the top-most cell of the range.

b.Click [Fill Column].

More Information

• Spreadsheet Window in the 64-bit SINGLE BEAM EDITOR

• Spreadsheet Display Settings in the 64-bit SINGLE BEAM EDITOR


Digitizing Echogram Data in the 64-bit SINGLE BEAM EDITOR

The digitizing tool enables you to quickly edit the depths in the Echogram window. If you are editing dual frequency or multiple transducer data.the frequency digitized depends on the depth displayed; it appears in the toolbar of the Echogram window (for example, “Digitizing Depth 1”).

1.Select the frequency that you want to edit. In the Survey window , click [Depth Selection] and select the beams you want to edit. This setting affects both the Survey and Profile displays. If you display both frequencies, the digitizing tool acts on Depth 1.

2. Click the Digitizing Tool icon. It will appear depressed and the cursor will become a crosshair cursor.

3.Use the cursor to mark at least 2 new points or drag a line that defines the bottom in the graph.

4.Click the Digitizing Tool icon again. The depths of that frequency in the marked range will be updated according to your marks, interpolating the intervening depths.

Digitizing New Depths in the Echogram—Select Frequency (left), Digitize New Depths (Center), Resulting Depths (right)

Tip: If you are unhappy with the results, click the Undo icon

.

More Information

• Echogram Window in the 64-bit SINGLE BEAM EDITOR


Inserting Soundings Across a Gap

If you have a gap in your data, the 64-bit SINGLE BEAM EDITOR can help you insert evenly spaced soundings to fill the space. The best place to see this process is in the Profile window.

Gap in the Raw Data

1.Load your data in the 64-bit SINGLE BEAM EDITOR.

2.In the Profile window, place your cursor on the last sounding before or after the gap.

3.Select EDIT-INSERT POINTS. The Add Points dialog appears.

Add Points Dialog

4.Tell the editor how to generate the added points and click [OK].

•Before Current Point or After Current Point determines where you want to add the points relative to the current cursor position.

Note:Whether the gap is before or after the cursor depends on where the start line is. If the cursor position is between the start line end of the data and the gap, select After Current Point.

Tip: If you are unsure where the start line is, display the track lines in the Survey window. The label is at the start line position.

•Interpolate Depth tells the editor to assign the depths of the new soundings based on the depths of the soundings on either side of the gap. If this option is unselected, the editor generates the defined number of soundings across the horizontal space, but the depths are all equal to the current cursor position.

•Number of Points you want to add.

Inserted Soundings—No Interpolation (top), Interpolated (bottom)


Filtering Your Data in the 64-bit SINGLE BEAM EDITOR

In the Search and Filters dialog, use the filter settings to mark soundings for your evaluation during editing.

When the Filter Preview option is selected, the soundings that fall outside of the Search and Filter dialog are marked with a yellow ‘X’ in the Profile window before you run the filter.

To preview the same soundings in the Survey window, check the Sounding option in the Show area of the toolbar.

You can automatically delete all of these points for a quick estimate of your survey area floor; however, for more accurate results you must look more closely at the filtered soundings in the context of the surrounding data and remove only what is clearly erroneous.

To see where points are deleted, check Show Deleted in the toolbox.

Note: If you’re not happy with the deletion results, reverse the operation with the Undo icon in the tool box.

To open the Search and Filter Options dialog, select EDIT-SEARCH AND FILTER OPTIONS (Ctrl+F) or with the Search and Filter icon in the toolbox.

Search and Filter Options

Automatic Filtering

Manual Filtering

Search and Filter Options

Search and Filter Options

•Minimum Corrected Depth and Maximum Corrected Depth reject any depths which are outside user-specified Minimum and Maximum Allowable Depths

•Off-line Limit rejects any points that are more than a specified distance away from the planned survey line.

•Spike Limit defines a gate above and below an accepted depth. If the depth is outside the gate, it is rejected and the gate is expanded by adding the Gate Step to the Spike Limit. When a depth is accepted, the gate collapses to that depth level plus and minus the Spike Limit.
In the following figure, the Spike Limit is 3 and the Gate Step is 1. Each time a sounding is more than 3 units deeper or shoaler than the previous one, it is filtered out (yellow ‘X’) and the spike limit increases to 4. The process is repeated with the next sounding and wider spike limit until we get a sounding that falls within the spike limit. In this segment, several in a row all fell within the 6 unit range. The next three soundings were filtered because they were outside of the (expanding) spike limit. The next sounding fell within the limits so the gate again narrowed to 3 units either side of that depth and the procedure continued on to the next point.

Spike Limits and Gate Steps in the Profile Window of the SINGLE BEAM EDITOR

•Roll, Pitch Limit removes soundings where pitch or roll are greater than a user-specified number of degrees.

•Keep Events Only removes all soundings except those that occur on the event.

•Search Basis determines what data is included in the search and filter operations.

•Search based on Depth 1, Depth 2 or both.

•Apply the filters for Minimum Depth and Maximum Depth based on the corrected or raw depth value.

•Elect to filter all of the data or only points that are not event marks. Some users wish to read the event marks to maintain the integrity of the track line. If a point with an event mark is removed, the event mark will be moved to the next point when you plot track lines.

Search Only Options:

•XY Change/Time and Depth Change are used with the Search feature to seek bad data points based on the predicted position for the Position (XY) and Depth. If the actual value is too far from the predicted value, it is assumed the data point is bad and the cursor is moved directly to that point. You must decide what, if anything, to do about it.

GPS filter options omit position and RTK tide data based on user-defined GPS quality criteria.

•Accepted GPS Modes: List GPS modes for which you want to read data. If the GPS mode does not match any of the specified values, the POS or TID record will be omitted from being read into the editor. Values may be separated by commas or spaces.

•Minimum Number of Satellites: If the number of satellites recorded in the quality information is less than the user-specified number, the POS or TID record will be filtered.

•Maximum HDOP: If the HDOP recorded in the quality information is more than the user-specified number, the POS or TID record will be filtered.

•Minimum and Maximum Speed (speed over ground in Kts): If the speed calculated ((pos2-pos1)/time) is outside the user-specified speed range, the POS record will be filtered.

Automatic Filtering

With the click of a button, automatic filtering marks soundings that fall outside of your filter parameters for deletion. These methods are purely statistical based on your filter settings. Once the filters are set, and you click button to filter the data, you have no further control in the filtering.

If you have selected both Filter Preview and Show Deleted Points in the tool box, all of the yellow X’s will turn red to show that the filtered points have been deleted.

If Sounding data is deleted, the data will be interpolated or removed according to your instruction in the Edit Settings dialog (EDIT-SETTINGS).

Note: If you’re not happy with the deletion results, reverse the operation with the Undo icon in the tool box.

Applying Filters to All of the Data

1.Load your full data set to the editor.

2.Set filter criteria in the Search and Filters dialog.

3.Click [Filter All Files].

4.Save your data.

Applying Filters to Soundings on Select Lines

1.Load your full data set to the editor.

2.In the file list, select the lines you want to edit. Hold the Ctrl key and select the lines either in the file list or in the Survey window display. (Verify the selections in the file list and Survey window are synchronized.)

3.Open the Search and Filters dialog and set your filters.

4.Click [Filter Selected Files].

5.Save your data.

Applying Filters to Soundings on the Current Line

1.Load your full data set to the editor.

2.Set filter criteria in the Search and Filters dialog.

3. In the Profile window, select the line you want to filter and click the Filter icon.

Deleting All Filtered Data in a Select Area

In the Heave/Tide and Speed windows, you can apply filters to select areas in your data.

1.Use one of the area-based editing tools to define the area.

2. Click the Filter Window or Selection icon in the same window.

3.Save your data.

Note:Use with care for accurate results.

Return to Top

Manual Filtering

Manual processing gives you full control in cleaning your data. You can examine data marked for filtering and use the editing tools to manipulate, view and intelligently clean your data.

To search for filtered soundings:

1.Load your full data set to the editor.

2.Open the Search and Filters dialog and set your filters.

3.Set your cursor at the beginning of your data set. (Click [Begin Search].) This is optional but, if you want to check all of your data methodically, it’s best start at the beginning.

4. Click [Find Next] or the Find Next icon (F3). Since the window displays are synchronized, you can view the same point in all windows to make your editing decision.

5.Use the editing tools to remove bad data. The displays automatically update to remain synchronized.

6.Repeat steps 4 and 5 until you reach the end of your data.

7.Save your data.

Tip: It’s a good idea to save your data periodically through the editing process to preserve your work.

Return to Top


Restoring Deleted Soundings in the 64-bit SINGLE BEAM EDITOR

When you delete soundings in the editor, regardless of which method you use, the soundings are not really removed from the data file. Instead they are flagged as deleted. If you decide you have deleted soundings in error, there are multiple methods you may use to restore data.

Note:You can not restore soundings recorded before the first position record in each line. They are automatically deleted because HYPACK has no way to calculate accurate positioning for them.

Tip: If you select the ‘Show Deleted Points’ in the View Options dialog, each deleted point is marked with a red ‘X’. When you restore a sounding, its red ‘X’ disappears.

A Quick Undo

The Undo icon in the tool box is used to reverse the previous operations, one at a time in reverse order.

Restoring Select Deleted Points

1.Select the ‘Show Deleted Points’ option. A red ‘X’ marks each deleted point.

2.In the Profile window, define the points to restore. Put your cursor on the point, or use one of the area-based editing tools to define multiple points.

3.In the same window, [image] click the Undelete Selection icon. The red X’s are removed from the defined point or area.

Restoring All Deleted Points

1.Select EDIT-UNDELETE AND RESET. The Undelete and Reset dialog appears. The total number of manually and automatically deleted soundings appears next to the corresponding undelete options.

Undelete and Reset Dialog

2.Indicate which soundings you want to restore.

•All soundings deleted manually (using the editing tools).

•All soundings deleted automatically

•All deleted soundings that fall within the range you then define in the Minimum and Maximum fields that follow.

3.Click [Undelete]. The program restores the defined deleted soundings and the count resets to zero.

4.Click [Close] to return to the 64-bit HYSWEEP EDITOR interface.

5.Save your data.


Smoothing Your Data in the 64-bit SINGLE BEAM EDITOR

If you have been surveying in rough waters and do not use a heave sensor, your data can be very jagged. In cases such as these, you can smooth the position and depth of the corrected soundings.

1.Calculate the approximate number of soundings in about three heave cycles. To do this,

a.Zoom in on a small area of your profile view.

b.Note the time it takes for 3 full cycles. (Place your cursor and note the time at the crests of the 2 heave cycles, three cycles apart. Calculate the difference.)

c.Multiply the time by the number of soundings/second.

2.If you want to smooth only a selected area, define the range.

•Use the Block Select tool to draw a block around that area.

•Set flags at each end of the area.

Sample Data Before Smoothing—Area Defined with Block Select (left) or Flags (right)

3. Click the smooth icon. A dialog will appear.

Smoothing Options Dialog

a.Set what data you want to smooth.

•All lines currently loaded to the editor

•Only the current line

•Area inside the block (or flagged area), if you have marked such an area.

b.Enter the number calculated in step 1 for your number of samples.

c.Click [OK].

The Same Data After Smoothing—In the Defined Area (left), Full Line (right)


Saving your Edited Data in the 64-bit SINGLE BEAM EDITOR

FILE-SAVE SURVEY displays the File Save dialog where you can choose the file format for the saved data and, in some cases, some additional save options.

The edited HSX2 and All2 format data is saved, by default, to the project Edit folder, and the XYZ output files are saved to the project Sort folder; however, you can set an alternate location.

After each save operation, the editor returns to the File Save dialog in case you want to perform additional saves using different options.

When you are finished, click [Close] to return to the editor interface.

Save Survey Dialog

The 64-bit SINGLE BEAM EDITOR can save to any of the following formats:

•HS2x format: 64-bit edited data that saves the original data from all devices and all applied corrections.

Important: Always save the HS2X format. This format retains all data enabling you to do further editing or corrections, without re-editing your raw data. In addition, you can save it again to your choice of other output formats.

Tip: When you save edited data to HS2X format, the file save options enable you to append a suffix to the file names. This enables you to save separate sets of edited files from the same set of raw data.

•XYZ format: you may choose to save all of your edited data, or limit the data saved to the files selected in the File List.

•HYPACK All2 Format: The Export option enables options to output HYPACK All2 Format. You can output all of your data or only the files selected in the Files list.

More Information

• Saving Your Data to a Custom Location in the 64-bit SINGLE BEAM EDITOR

• Saving Data to HS2x Format in the 64-bit SINGLE BEAM EDITOR

• Saving Depth Data to XYZ Format in the 64-bit SINGLE BEAM EDITOR

• Exporting Data to HYPACK All Format

• Exporting your Spreadsheet Data to a Text File in the 64-bit SINGLE BEAM EDITOR

• Saving Flow Vector Data


Saving Your Data to a Custom Location in the 64-bit SINGLE BEAM EDITOR

The edited data is saved, by default, to the project Edit folder; however, you can set an alternate location.

1.Select EDIT- SETTINGS. The Editor Settings dialog will appear.

Editor Settings Dialog

2.Select the Use Custom Edit Folder option.

3.Click the browse button ([...]) and select your new location.

More Information

• Saving Data to HS2x Format in the 64-bit SINGLE BEAM EDITOR

• Saving Depth Data to XYZ Format in the 64-bit SINGLE BEAM EDITOR

• Exporting Data to HYPACK All Format

• Exporting your Spreadsheet Data to a Text File in the 64-bit SINGLE BEAM EDITOR


Saving Data to HS2x Format in the 64-bit SINGLE BEAM EDITOR

When you save edited data to HS2x, the file save options enable you to append a suffix to the file names. This enables you to save separate sets of edited files from the same set of raw data.

You can also choose to save all of the data or only the files selected in the Files list.

1.If you want to save only data from certain survey lines, select those lines in the File List.

2.Select FILE-SAVE SURVEY and the File Options dialog will appear.

Save Survey Dialog

3.Select the or HS2x file type.

4.If you want to append a suffix to the file name, check the Append to File Names option and enter your suffix in the corresponding field.

5.Click one of the Save buttons:

•To save only data on the lines currently selected in the File List, click [Save Selected Lines].

•To save all of your soundings, click [Save All Files].

The editor automatically names the saved HS2x files by replacing the raw extension (in the individual files) with HS2X, and appends “_HS2X” to the LOG file name. For example, when saving to HS2x format, 001_1232.RAW becomes 001_1232.HS2x, and RAW09262016.LOG becomes RAW09262016_HS2x.LOG HS2x_09262016.LOG. If you have also specified a custom extension (“EXT” in this example) in the Settings dialog (EDIT-SETTINGS), 001_1232.RAW becomes 001_1232EXT.HS2x and RAW09262016_HS2xEXT.LOG

After you save your data using the selected options, the program returns to the File Save Options dialog in case you want to perform additional saves using different options.

To return to the 64-bit HYSWEEP EDITOR interface, click [Close].

More Information

• Saving Your Data to a Custom Location in the 64-bit SINGLE BEAM EDITOR

• Saving Depth Data to XYZ Format in the 64-bit SINGLE BEAM EDITOR

• Exporting Data to HYPACK All Format

• Exporting your Spreadsheet Data to a Text File in the 64-bit SINGLE BEAM EDITOR


Saving Depth Data to XYZ Format in the 64-bit SINGLE BEAM EDITOR

1.If you want to save only data from certain survey lines, select those lines in the File List.

2.Select FILE-SAVE SURVEY and the File Options dialog appears.

Save Survey Dialog

3.Select the ‘XYZ’ file format.

4.Click one of the Save buttons.

•To save only data on the lines currently selected in the File List, click [Save Selected Lines].

•To save all of your soundings, click [Save All Files].

A File Save dialog appears for you to provide a name.

5.Name your file and click [Save].

After you save your data using the selected options, the program returns to the File Save Options dialog in case you want to perform additional saves using different options.

To return to the 64-bit SINGLE BEAM EDITOR interface, click [Close].

More Information

• Saving Your Data to a Custom Location in the 64-bit SINGLE BEAM EDITOR

• Saving Data to HS2x Format in the 64-bit SINGLE BEAM EDITOR

• Exporting Data to HYPACK All Format

• Exporting your Spreadsheet Data to a Text File in the 64-bit SINGLE BEAM EDITOR


Exporting Data to HYPACK All Format

The Export option enables options to output single beam or dual frequency data (not multitransducer data) to HYPACK All2 Format. This provides backward compatibility if you need to work with the data on a 32-bit machine.

You can output all of your data or only the files selected in the Files list.

1.If you want to save only data from certain survey lines, select those lines in the File List.

2.Select FILE-SAVE SURVEY and the Save Survey dialog appears.

Save Survey Dialog

3.Select the Export option and click [Options]. The All File Export Options dialog appears.

4.Choose the file naming convention for your output files and click [OK].

•Use Default File Naming: The output files use the raw file root name with an EDT extension. (001_1232.RAW becomes 001_1232.EDT and RAW09262016.LOG becomes RAW09262016_EDT.LOG)

•Select Extension and enter a custom extension. The output files use the raw file root name with the custom extension. (001_1232.RAW becomes 001_1232.EXT and RAW09262016.LOG becomes RAW09262016_EXT.LOG)

All2 Format Options Dialog—Adding an sbmax64 Extension

5.Click one of the Save buttons:

•To save only data on the lines currently selected in the File List, click [Save Selected Lines].

•To save all of your soundings, click [Save All Files].

After you save your data using the selected options, the program returns to the File Save Options dialog in case you want to perform additional saves using different options.

To return to the editor interface, click [Close].

More Information

• Saving Your Data to a Custom Location in the 64-bit SINGLE BEAM EDITOR

• Saving Data to HS2x Format in the 64-bit SINGLE BEAM EDITOR

• Saving Depth Data to XYZ Format in the 64-bit SINGLE BEAM EDITOR

• Exporting your Spreadsheet Data to a Text File in the 64-bit SINGLE BEAM EDITOR


Exporting your Spreadsheet Data to a Text File in the 64-bit SINGLE BEAM EDITOR

You can export the contents of the spreadsheet to a text file. You can view your text file in any text editor or import it to a spreadsheet program.

1.Click [Export]. The Spreadsheet Export dialog appears.

Export Dialog

2.Select your file and format options. (The options are pretty self-explanatory.)

3.Click [OK]. A File Selection dialog will appear for you to name the text file and designate where it should be saved.

4.Name your file and file destination and click [OK]. The file will be saved with a TXT extension.

Tip: To align with the column titles with the correct data, import the text file to a spreadsheet program.

More Information

• Saving Your Data to a Custom Location in the 64-bit SINGLE BEAM EDITOR

• Saving Data to HS2x Format in the 64-bit SINGLE BEAM EDITOR

• Saving Depth Data to XYZ Format in the 64-bit SINGLE BEAM EDITOR

• Exporting Data to HYPACK All Format


Saving Flow Vector Data

You can output flow vector data in any of the following formats:

•X, Y, Velocity

•Screen captures

•CAD DXF files.

• Saving X, Y, Velocity Data

• Saving Screen Captures

• CAD DXF Output

Saving X, Y, Velocity Data

To save X, Y, Velocity data, click the Save icon and name your output file. The data is saved with an XYZ extension, but the third value in each record represents the velocity for the selected range.

You can use these files in the TIN MODEL program to generate DXF contours of the velocity.

Spreadsheet Export Records

13:04:49.383 ***** ***** ***** ***** ***** *****

13:04:51.402 ***** -0.19 -0.01 0.01 -0.05 -0.02

13:04:53.383 ***** -0.11 -0.03 0.07 -0.07 0.03

13:04:54.381 ***** -0.08 0.00 0.06 -0.09 0.03

13:04:56.362 ***** -0.04 0.03 0.04 0.03 0.06

13:04:58.366 ***** 0.09 0.16 0.04 0.16 0.13

13:04:59.417 ***** 0.13 0.23 0.25 0.12 0.26

13:05:01.366 ***** 0.09 0.26 0.26 0.04 0.22

Return to Top

Saving Screen Captures

To save a screen capture of your display click the Save Screenshot icon, and name your output file. You may choose BMP, TIF or PNG image format.

Return to Top

CAD DXF Output

To export the vectors to a georeferenced DXF, click the DXF icon and name your output file. Load them to HYPACK as a chart file or into a CAD program.

DXF Vectors Overlaid on a Geo-TIF Chart

Return to Top

More Information

• Flow Vector View in the 64-bit SINGLE BEAM EDITOR

• Flow View Display Settings


File Information Reports in the 64-bit SINGLE BEAM EDITOR

The File Information report provides statistical data about the currently loaded data set.

Sample File Information Report

File Information |  |
Rec Count: 6235 |  |
Depth | Minimum: -1.994550 | Maximum: 54.058667
DOL | Minimum: -35.130744 | Maximum: 17.055726
Tide Corr | Minimum: -1.574800 | Maximum: 0.229658
# Sats | Minimum: 0 | Maximum: 10
HDOP | Minimum: 0.600000 | Maximum: 1.900000


Extracting Tide Corrections in the 64-bit SINGLE BEAM EDITOR

The tide file (*.TDX) records the RTK corrections at user-defined time intervals through the data set. You may export a correction file for selected lines or for all lines currently loaded to the editor. The editor stores the TDX file, by default, in your project folder.

Note:If you need the tide corrections to correct other survey data, load the TDX file to the MANUAL TIDES program and generate a tide corrections file (*.TID).

1.Load your raw data set to the 64-bit SINGLE BEAM EDITOR.

2.Select one or more raw data files from which to read your corrections.

3.Select FILE-HYPACK FILE EXPORT. The HYPACK File Export dialog appears.

HYPACK File Export Dialog

4.Set your export options:

•Time Between Tide Points: Choose a time interval at which the editor should read tide values.

•Use Average Tide: Select this option to export the average tide correction for the defined time span. Otherwise, the program exports the value from a single tide record at each time interval.

5.Click [Save to TDX File]. A dialog appears.

6.Click the appropriate button to read the selected files or all files loaded to the editor. A Save As dialog appears.

7.Name your output file and click [Save].


Sounding Selection Programs for Single Beam Surveys

HYPACK has multiple routines for Sounding Selection in single beam data. One may be more appropriate than another, depending on your final product.

More Information

• Single Beam Processing Flowcharts

• Comparison of Sounding Selection Methods for Single Beam Data

• SB SELECTION

• MAPPER Program

• SORT Program

• CROSS SORT Program


Comparison of Sounding Selection Methods for Single Beam Data

Before you decide which sounding selection method you will use, you should first consider what type of data you need for your final product.

Final Product Input Requirements

Program | Input Files
CROSS SECTIONS AND VOLUMES | Edited files from the SINGLE BEAM EDITOR
HYPLOT–Track lines | Edited files from the SINGLE BEAM EDITOR
HYPLOT–Soundings | Sorted files from a sounding selection routine
EXPORT | Edited or sorted files
TIN MODEL | Sorted files from a sounding selection routine (unless you have a lot of time on your hands!)

You must choose a sounding selection method that outputs your required file format, but there are several secondary considerations. The following table compares the sounding selection methods with regard to these other considerations.

Comparison of Sounding Selection Methods

Method | SB SELECTION | SORT | CROSS SORT | MAPPER
Input file Type | ALL (Edited) HS2X | ALL (Edited) HS2X XYZ | ALL (Edited) | ALL (Edited) XYZ HS2 HS2X
Output File Type | ALL (Edited) Shoalest depths or at fixed spacing | ASCII XYZ Shoalest Depths: | ALL (Sorted) Random Depths | ASCII XYZ, XYZ ID, or Matrix (*.MTX) 1 Depth/MTX Cell
Other Files Needed | None | None | Plotting Sheet (*.PLT) | Matrix (*.MTX)
Plot Results Perpendicular to Planned Line | Yes | Yes, to the nearest active survey line. | Yes | Yes, to the nearest active survey line.
Guaranteed No Overwrites in Plotting | With spacing sufficient for font plotted. | Yes | Yes | No
Sounding Selection | •Distance •Minimum & Maximum | •Minimum Only | •Biased toward Minimum | •Minimum •Maximum •Range •Average •Closest to Cell Center
Speed | Fast | Slow | Fast | Fast
Maintains Sounding Location | Yes | Yes | Yes | Optional, depending on sounding selection
Pleasing to the Eye | Yes | No | Yes | Can be

More Information

• SB SELECTION

• MAPPER Program

• SORT Program

• CROSS SORT Program


SB SELECTION

SB SELECTION enables you to extract a subset of an edited single beam data set (All or HS2X format) for the purpose of plotting. Soundings are selected based on distance, the highs and lows of your data set, or both. The program then generates a new set of All format files containing only the selected soundings. This process does not change the original data set.

More Information

• Running SB SELECTION

• Display Options in SB SELECTION

• Sounding Selection Options in SB SELECTION

• Golden Soundings in SB SELECTION


Running SB SELECTION

1.Launch the SB SELECTION program by selecting PROCESSING-SOUNDING SELECTION-SB SELECTION. The SB SELECTION dialog will appear.

2.Load your data files by clicking the File Open icon and choosing your file.

3.Adjust your sounding display.

4.Select your soundings.

Soundings Selected Every 25 Survey Units Along the Survey Line in SB SELECTION

5.Save the results by clicking the save icon. By default, your new All format data is saved to the Sort folder in your project. The new catalog (*.LOG) defaults to the same name as the original LOG file. The sorted files will be saved with an SOS extension.


Display Options in SB SELECTION

When you first load a data set, the first file in your catalog is drawn to the graph and the line name is displayed on the toolbar. You can scroll through the files in the LOG using the arrow keys on either side of the file name.

The toolbars above and below the data display provide tools for adjusting the display as follows:

•Depth 1 and Depth 2: If you have dual frequency data, choose which data to display.

•The Scale Changes apply to options control how your zoom tools affect your display.

•DBL affects only the horizontal scale

•Depth affects only the vertical scale

•Both affects both horizontal and vertical scales

•The Zoom tools direct how the scale should be changed

•Zoom In/Out: When this option is selected, a left-click decreases the scale (zoom in) and a right-click increases the scale (zoom out).

•Zoom Window: Select this option and drag a rectangle in the window to define the extent of your desired view. The program will redraw the screen to display the defined area optimally.

•Zoom Extents: When this option is selected the screen will be drawn at a zoom scale that displays all enabled data.

•Top of Graph and Bottom of Graph enable you to manually set the vertical range of your graph. These settings will be overridden by applying the scale changes to depth while using the zoom tools.


Sounding Selection Options in SB SELECTION

Once the data is displayed in SB SELECTION, you are ready to select the soundings for export to the new files. You can do this manually or by using one of the automated methods. In each case, the selected soundings will be marked with a green “+” symbol.

Manual Selection

To manually select your soundings, click the Select Soundings Icon then click on each sounding in the graph that you want to export.

Automatic Selection

You can automate your sounding selection based on distance or on the inflection points in your data. Set your selection options and apply your settings to the data by clicking [Apply Settings]. By default, the program will select from all files in the catalog. However, you may elect to select from only the currently displayed line by clearing the ‘Apply to All Files’ option.

•To select soundings based on distance:

a.Check the Distance option.

b.Enter the interval, in survey units, at which you want to select soundings.

c.Apply the settings.

•To select soundings based on the data inflection points:

a.Select Min-Max.

b.Set the Depth Threshold. This value affects how much rise or fall in the data will result in a sounding selection. A smaller threshold will select soundings at smaller changes in the contours of your data than larger numbers. Begin with the default value of 3 and increase or decrease the value to suit your purposes and your data set.

c.Set the Fill Distance (Optional). The Fill Distance selects soundings at the user-defined interval between the soundings selected at the inflection points.

d.Apply the settings.

Deselecting Soundings

To deselect soundings, click on the Undo Selections Icon [image] and drag a box around one or more selected soundings.


Golden Soundings in SB SELECTION

Once you have made your selections, you can designate some of them as golden soundings. If you are in Depth Mode, you can mark all of the selected golden soundings that fall above a user-defined depth. In Elevation Mode, you can mark all selected soundings below the user-defined depth.

1.Load your sounding data and use the SB Selection options to select your soundings.

2. Click the Golden Soundings icon. A dialog will appear.

Export Golden Soundings Dialog

3.Verify your Z-mode.

4.Enter the level above or below which the selected soundings will be marked as golden and click [OK].

All of the soundings in the data set that you selected using the SB Selection routine, and that fall above or below the specified depth (according to the Z-mode) will be entered in the Golden Sounding database.


SORT Program

The SORT program thins data while it guarantees the minimum soundings at their proper locations. It looks for the minimum sounding, saves it and eliminates any data point that is within the user-specified distance. It then repeats the process until all points in the file have been saved or eliminated.

SORT reads individual files or catalogs of single beam HYPACK ALL, HS2X, or XYZ format files, and saves the final results to an XYZ file, stored by default in the project Sort folder. You may sort based only on horizontal positioning (2D sort) for cartographic selection, or based on both horizontal and vertical (3D sort) for 3-dimensional data displays, particularly with vertical surfaces.

HYPACK includes two versions of SORT: 32-bit and 64-bit. Select PROCESSING-SOUNDING SELECTION-SORT. HYPACK automatically runs the version according to your Windows® operating system.

Advantages to SORT

•It guarantees the minimum soundings will be placed on the smooth sheet at their proper locations.

Disadvantages to SORT

•It does not place soundings as an eye-pleasing constant interval.

More Information

• Running the SORT Program

• Sort Options


Running the SORT Program

1.Start the SORT program by selecting PROCESSING-SOUNDING SELECTION-SORT from the menu bar.

The Main Window of SORT

2.Enter specifications for the sort process.

3.Begin the sort process by clicking [Sort]. Upon completion, it shows the Minimum and Maximum Depths encountered during the sorting process and statistics about the sorting of your data.

Statistics of the Sort

Results of a 2D Sort (left) vs 3D Sort (right)

More Information

• Sort Options


Sort Options

•Input File: SORT supports any of the following file types:

•All or HS2X format: You can load one or more All format individual data files, or a Catalog File (*.LOG).

Note:HS2x format is supported only by the 64-bit program.

•XYZ

All data files are listed in the Data Files display. Those that are enabled in the list will be included in the sort.

To toggle the enable status for each file, right-click on it then select or deselect the enable option.

•Type is the basis for the SORT program to eliminate conflicting data points. Select the sort type and specify the protection values.

•In a Radius type sort, the program eliminates any other data record that is within the radial distance in any direction, of the accepted point.

•In the XYZ type sort, it eliminates any point that is closer than any of the specified distances for each direction. A 2-dimensional DX-DY is helpful if you want to plot long numbers, such as magnetometer data, where you want to leave more space in one direction than the other. This sort method will eliminate more soundings on steep slopes, which may cause you to lose some definition in your terrain.

Tip: Normally, Radius is preferred. DX-DY is preferable if you have long numbers, such as magnetometer data where you want to protect a larger direction in one axis than the other.

•Choose to sort in two or three dimensions. Select the 3-Dimensional Sort option to sort in three dimensions. Clear the same checkbox for a 2-dimensional sort. 3-Dimensional sorts are particularly useful to maintain data on vertical surfaces.

•Sort Mode:

•Sort with no Priority (No CHN) sorts the data by input file then sorts the results again to get the overlapping data.

Not recommended for large data sets, which can strain the system resources slowing the sort process.

•Sort with Priority allows you to give selected files priority over others in the SORT routine. The files that have priority are sorted first. Then, when compared to other non-priority data, priority data is kept regardless of the comparison result.

To mark data files with priority right-click on them and select Priority from the right-click menu. Priority files will be red in the Data Files list.

•SORT with CHN Priority assigns priority to the soundings that fall within the boundaries of any center channel surfaces over the soundings on the side slope of a specified Advanced Channel file (*.CHN).

To enter the CHN file for comparison, click the corresponding [...] and browse for the correct channel file.

•Sort with Partitions divides the data set and sorts each portion individually, then all data is sorted, the program merges the results

Advantage: Fewer points are loaded into memory at once so it’s better for large data sets and for sharing resources with other processes running on the computer.

Disadvantage: It has to parse the input data for each partition.

Tip: If you need priority for larger files and data sets, use partitions. For smaller data sets, the SORT algorithm will probably be a little better.

•The Depth Input can either be Hi Frequency (Depth 1) or Low Frequency (Depth 2).

•Depth Mode: Enter whether you are in depth or elevation mode. This assures that Sort will always output the minimum depths. In elevation mode, Convert to Final Elevation may be selected to record the Chart Datum Level minus Final Depth.

•Output:

•File: Select File then click the [...] and enter a name for the output file. The SORT program will write an ASCII XYZ output file to the Sort folder.

•One Output File per Input File: SORT generates one XYZ output file for each input named InputFileName_Mode_TypeSize. Mode reflects the selected sort mode: Old (No Priority), Priority, CHN or New (Partitions). TypeSize represents the integer value of the radius or the DX value.

Note:Priority only works if you output all sorted soundings to one file. (Select File in the Output area.) Otherwise, the program sorts and saves one file at a time and the results will be the same as no priority. It does not guarantee the specified space between soundings of different lines.

•Golden Soundings: SORT generates golden soundings for all soundings shoaler than the user-defined Target Depth/Elevation.

•Rejected Data File: In addition to the sorted file, you can also save the “rejected” soundings to a second “*.XYZ” file. This is useful where you want to have the final sorted soundings in one CAD layer and the surrounding soundings (rejected data) on a second layer.

More Information

• Running the SORT Program


CROSS SORT Program

The CROSS SORT program can sort a single catalog or two catalogs of edited All format files, giving precedence to one set of soundings over the other. It was originally intended for use where a set of cross check lines was to be combined with normal survey lines. Precedence would be given to the cross check lines where the two sets of data overlapped.

The CROSS SORT program requires a plotting sheet and a user-defined size for the plotted soundings. This defaults to 2mm. The plotting sheet is sub-divided into cells just larger than the sounding size. CROSS SORT first goes through the catalog file that you have given priority assigning one sounding per cell until they are filled. If there is a second catalog, the process is then repeated for that set of files. The results are saved to sorted ALL format files where the soundings are as close as possible without overwriting in a plot with soundings at your specified size.

Note:Your survey units in the geodetic parameters must be either meters or US survey feet.

Advantages of CROSS SORT | •It is fast. •It creates a file that is pleasing to the eye.
Disadvantages of CROSS SORT | •You may not have every shoal sounding represented in the data.

To run CROSS SORT:

1.Check for a plotting sheet file (*.PLT). You will need one for the CROSS SORT program.

2.Begin the CROSS SORT program by selecting PROCESSING-SOUNDING SELECTION-CROSS SORT.

The CROSS SORT Window

3.Select your Plotting Sheet. Click in the PLT File box and then on [...]. Select the desired Plotting Sheet file.

4.Select your Catalog File with your cross check lines by clicking in the Cross Channel Soundings box and [...]. You can now select the correct Catalog file. It should be the edited data file.

5.Select your Catalog file with your edited normal survey lines by clicking on the Longitudinal Soundings box and [...]. Select the correct Catalog file.

6.Specify whether you want the Cross or Longitudinal soundings to have priority where they intersect.

Note:If you only have one catalog file and do not have cross checks, place it in the Cross Channel Soundings box and make sure you give it priority by clicking on the Cross priority button.

7.Set your sounding size if you want something other than the default 2mm.

8.Select a Resolution level. This affects how closely the soundings are packed. High resolution (default) maximizes the number of soundings, while low resolution provides a bit more spacing for better readability. Perhaps medium is a compromise of the other two.

9.Click [Sort] to run the sort. The program creates a new, sorted All format data file with the same root name for each of your original edited data files with corresponding catalogs in the current Sort directory. The sorted All files that had priority use an SR1 extension, while the others use and SR2 extension. These files contain only the final soundings you wish to have plotted.


MAPPER Program

The MAPPER program is a “binning” or “gridding” program. It is normally used to reduce the volume of multibeam or multiple transducer data, but it can also be used with single beam data.

You must first make a Matrix file (*.MTX) in the MATRIX EDITOR. A Matrix consists of a rectangular area filled with individual cells.

HYPACK includes two versions of MAPPER: 32-bit and 64-bit. Select PROCESSING-SOUNDING SELECTION-MAPPER. HYPACK automatically runs the version matching your Windows® operating system.

The MAPPER programs can save one sounding for each cell based on your Sounding Selection option in the Sounding Grid dialog (OPTIONS-DATA SELECTION).

Advantages of Mapper

•It is extremely fast.

•It can be used to judge the quality (range per cell) of the data.

•It can be biased to select the data important to you.

Disadvantages of Mapper

•Plotted soundings may overlap.

•You can move soundings if you elect to save the soundings at the center of the cell.

•If your data is thin, there will be empty cells. MAPPER does not interpolate data.

The MAPPER Window

More Information

• Running the Mapper Program

• Mapper Options

• Exporting Data from Mapper

• Seabed Identification in Mapper


Running the Mapper Program

1.Create a Matrix File (*.MTX) of your project area. The cell size in the matrix determines the density of data in the thinned data set.

2.Open MAPPER. Select PROCESSING-SOUNDING SELECTION-MAPPER.

3.If you are mapping dual frequency data, select the depth information you want MAPPER to read: depth 1, depth2 or both. Select FILE-OPTIONS and select the correct Sounding selection option.

Mapper File Options

4.Open your Matrix File (*.MTX) by selecting FILE-OPEN MATRIX and choosing the correct file from the file selection dialog.

5.Set the data to be included in the matrix.

•If you have chosen a filled matrix, the Matrix Update dialog appears.

Selecting the Data in your Matrix

You have several choices:

Data Loaded | Load Soundings From Matrix | Add Soundings To Matrix
Only the data the matrix already contains | Yes | No
Use the matrix boundaries, but load different sounding data | No | Yes and click the button corresponding to the type of the file where your data is currently saved to select from a file selection dialog.
Data contained in the matrix data merged with additional data. | Yes | Yes and click the button corresponding to the type of the file where your data is currently saved to select from a file selection dialog.

Note:If you are using data from a filled matrix, you must indicate which depth to use as the Survey Depth in the new matrix. Any added soundings will overwrite the survey depths of the original matrix.

•If you have opened an empty matrix or wish to add more sounding data to the current matrix, select FILE-LOAD SOUNDINGS and choose the additional sounding files.

The MAPPER window updates to reflect the data that has been read into the matrix.

6.Set your mapping options. There are several choices regarding the sorting and display of your data in MAPPER.

7.Save your results by selecting FILE-SAVE SOUNDINGS and your required output.

You can save the current selections (based on your mapping options) to your choice of several output formats:

•ASCII XYZ: Used in other HYPACK modules or read by a text editor.

•MTX file: Used in other HYPACK modules.

•Multiple Sounding Types generate up to four separate XYZ files in one operation according to your selections: the average depth per cell, the minimum depth per cell, and a comparison of the average or minimum depth in each cell to a user-defined channel file.

•XLS: Microsoft Excel Spreadsheet format. The matrix header data appears at the top left, followed by the matrix data—one cell in the spreadsheet for each cell in the matrix.

•HTM: Generates a file like the XLS spreadsheet that can be displayed in your web browser.

•NetCDF: Format for Fledermaus software. This option requires a matrix file with ‘0’ rotation.

•Database: An SQLite database of the matrix data (*.mtxdb).

More Information

• Creating a Matrix File with the Matrix Editor

• Mapper Options


Mapper Options

• Mapper Data Selection Options

• Sounding Colors in Mapper

• Mapper Matrix Setup

• Mapper Matrix Fills

• Mapper Statistics

Mapper Data Selection Options

OPTIONS-DATA SELECTION specifies which item will be displayed and saved to file. It enables you to specify what information is displayed and if it is saved in its actual position or at the center of the matrix cell.

Most of the items are self-explanatory.

Data Selections Window in MAPPER

Sounding Selection determines which value will be saved to each matrix cell.

•Minimum

•Maximum

•Range: The maximum minus the minimum sounding value

•Average

•Nearest to Cell Center

•Strikes: enables you to save and display only soundings that are above or below a user-specified level. It does not save the sounding, but saves the difference between the sounding and the specified level

Strike Basis specifies whether the Strikes should be based on the amount the depth is less than the strike level (Depth) or the amount the depth is deeper than the strike level (Elevation).

•Best Angle allows you to set which beam from a multibeam sensor is read to update the matrix by defining the angle from center.

Note:Note The sounding nearest to cell center at its actual position will give you the best volumes calculations.

•Samples per Cell: Sounding count in each matrix cell.

Draw lets you specify whether to draw the matrix presentation screen as solid color-filled cells or a wire mesh pattern.

Show Cell Grid: Outlines each matrix cell. (This is only useful in smaller scale displays.)

Positioning enables you to save the data in its actual position (where possible) or in the center of the cell. When you save the data in the center of the cell, it moves the data, not always a great thing to do.

Z-Value Options:

•[Negate All] inverts all depths.

•Remove Below and Above omit all cells whose depths according to the user-defined criteria.

Return to Top

Sounding Colors in Mapper

Select OPTIONS-COLOR CODING to access the Color Settings dialog. This is the same dialog that is used to set the colors in HYPACK. Any changes made here will also affect HYPACK and SURVEY.

Return to Top

Mapper Matrix Setup

OPTIONS-MATRIX SETUP enables you to edit the matrix parameters.

The number of matrix cells and the approximate memory required to use a matrix with the listed specifications in the binning process can be calculated and displayed by clicking [Calculate]. If you are not satisfied with the options, you can change the specifications for the matrix and recalculate.

Note:If the matrix is changed, data must be re-read into the matrix, using the OPEN SOUNDINGS menu item.

The Matrix Setup Dialog

Return to Top

Mapper Matrix Fills

The Options menu also enables you to:

•Erase the data from a filled matrix by selecting OPTIONS-CLEAR MATRIX.

•Fill your matrix with a user-defined depth by selecting OPTIONS-FILL MATRIX. The Fill Matrix dialog will appear for you to set the depth. Click [OK] and the results will be drawn to the MAPPER screen.

Fill Matrix Dialog

Matrix Filled with Uniform Depth

Return to Top


Mapper Statistics

FILE-STATISTICS provides a plot of the Number of Data points vs. Depth Range per Cell.

The Statistics Window in MAPPER

Return to Top

More Information

• Project Colors in HYPACK


Exporting Data from Mapper

To export your selected data, in most cases, select FILE-SAVE SOUNDINGS and the output format; however, some require some additional configuration.

You can save the current selections (based on your mapping options) to your choice of several output formats:

•ASCII XYZ: Used in other HYPACK modules or read by a text editor.

•MTX file: Used in other HYPACK modules.

•Multiple Sounding Types generate up to four separate XYZ files in one operation according to your selections: the average depth per cell, the minimum depth per cell, and a comparison of the average or minimum depth in each cell to a user-defined channel file.

•XLS: Microsoft Excel Spreadsheet format. The matrix header data appears at the top left, followed by the matrix data—one cell in the spreadsheet for each cell in the matrix.

•HTM: Generates a file like the XLS spreadsheet that can be displayed in your web browser.

•NetCDF: Format for Fledermaus software. This option requires a matrix file with ‘0’ rotation.

•Database: An SQLite database of the matrix data (*.mtxdb).

• Multiple XYZ Sounding Types

• XLS or HTM Options

Multiple XYZ Sounding Types

The Multiple Sounding Types option can generate up to four separate XYZ files in one operation according to your selections: the average depth per cell, the minimum depth per cell, and a comparison of the average or minimum depth in each cell to a user-defined channel file.

1.Select FILE-SAVE SOUNDINGS-MULTIPLE SOUNDING TYPES. A dialog appears for you to configure your output.

Configuring Multiple XYZ Outputs

2.Enter your Export settings and click [OK]. A File Save dialog appears.

The Matrix options apply to the entire matrix with no channel comparison.

•Minimum saves the minimum sounding of a cell at its absolute position, appending “_Min” to the file name.

•Average saves the average of the soundings in a cell at the center of the cell, appending “_Ave” to the file name.

The Channel options require a channel file (*.CHN). MAPPER then compares its matrix depths to the specified channel, and outputs the difference between them at each position.

•Minimum above CHN compares the channel and the minimum sounding of a cell above the channel, appending “_Min_Above_CHN” to the file name.

•Average above CHN compares the channel and the average sounding of a cell above the channel, appending “_Ave_Above_CHN” to the file name.

•Include Heights Below CHN: For the specified Minimum above CHN and Average above CHN outputs, MAPPER compares the minimum or average of all cell soundings, regardless of their position relative to the specified channel. Differences for matrix depths below the channel appear as negative values. When this option is unselected, MAPPER compares only matrix depths that fall above the channel.

3.Enter the base file name to which each output appends its identifying string and click [Save]. MAPPER stores the specified XYZ files in the project Sort folder.

Return to Top

XLS or HTM Options

If you want to export XLS and HTM, first configure your output options in the Matrix File Options dialog.

1.Access the File Options dialog. Select FILE-OPTIONS.

Mapper File Options

2.Configure your output options and click [OK].

XLS/HTM Output Format Options:

•Color Text Based on Cell Value uses your project colors in your sounding output.

HTML Output - Color Text Based on Cell Value

XLS Output - Color Text Based on Cell Value

The EPSHOM options always prints your soundings in black.

•Empty Cell Value enables you to choose what value will be assigned to empty matrix cells.

•Save Survey Lines Text File stores the EPSHOM XLS output, including column and row headers, to a text file where the cell delimiter is a forward slash.

EPSHOM - HTM Output

EPSHOM - XLS Output

Sample Survey Lines Text File

Note:This matrix had empty cells in the top left corner so we see a lot of ‘99’ values.

3.Select FILE-SAVE SOUNDINGS and your required output. MAPPER stores the output file, by default, to the project folder.

Return to Top

More Information

• Matrix Database (*.MTXDB)


Seabed Identification in Mapper

If you have an echosounder that provides seabed identification data, you can create a Seabed Identification Square in SEABED STATISTICS then use SEABED MAPPER to:

•Map your seabed identification (seabed ID) colors into a matrix for display in MAPPER.

•Export an X, Y, Z, ID file.

The interface is much the same as MAPPER, but includes the enhancements necessary for the seabed identification features.

1.Create a Seabed Identification Square in the SEABED STATISTICS program.

2.Launch SEABED MAPPER by selecting UTILITIES-SEABED-SEABED MAPPER.

3.Load the Seabed Identification Square by selecting FILE-OPEN SEABED ID SQUARE.

4.Open your Matrix file and, if it is a filled matrix, the data that should be included. Set:

•Load Soundings from Matrix = No

•Add Soundings to Matrix = Yes and click [Update with Catalog File] to select your files that include the seabed identification information.

5.If you have opened an empty matrix, load your soundings by selecting FILE-LOAD SOUNDINGS and choosing your files that include the seabed identification information.

6.Set your file options. SEABED MAPPER includes an additional Use Seabed ID option. This tells the program to fill the matrix with seabed ID colors based on the seabed ID information in each record and your seabed ID square, rather than with depth data.

SEABED MAPPER File Options

7.Set your data selection options.

Data Selection Options

•Nearest to Cell Center

•First Value in the file positioned in each matrix cell.

•Last Value in the file positioned in each matrix cell.

•Mode colors the cell according to the Seabed ID that occurs most often within the cell.

8.Save your results. SEABED MAPPER can store data in the following formats:

•Matrix files filled with seabed identification colors. These can be displayed in the HYPACK window by:

i.Enabling them in the project files list.

i.Setting HYPACK to display seabed identification colors.

ii.Loading the correct seabed identification square in the Soundings Tab of the HYPACK Control Panel.

•X, Y, Z, ID files: These files can be used as the input file in TIN MODEL to model the seabed types in the terrain. and export matrix files and DXF files color-coded with seabed ID colors. TIN MODEL uses the seabed ID to color the model.


Clipping Survey Files

You can clip sorted XYZ files to fit an area defined by a Border File.

1.Create a Border File that outlines the area you want to work with. In this example, we will include lines 0 to 4.

Clipping XYZ files with a Border File (Before)

2.Right click on the XYZ file you wish to clip and select CLIP TO BORDER FILE. A file selection dialog will appear.

3.Select your Border File.

4.Name your clipped survey file. The file will be saved with an XYZ extension to your Sort directory and added to your available data files list.

Clipping XYZ files with a Border File (After)

More Information

• Creating a Border File with the Cursor Method


SideScanProcIntro

Side Scan Processing

HYPACK includes two programs that may be used to process and mosaic HYPACK side scan data. Each has its advantages.

•TARGETING AND MOSAICKING provides better tools for bottom-tracking and heading. The resulting mosaics are better because the water column is more accurately removed. This program also provides targeting tools. This module reads only side scan data.

•GEOCODER reads HYPACK as well as some 3rd party XTF files and has more advanced corrections settings. It can also generate mosaics from multibeam backscatter and snippet data.

If you are processing HYPACK side scan data, you can take advantage of the strengths of each program by using TARGETING AND MOSAICKING to do bottom-tracking and targeting, then loading the resulting XTF files to GEOCODER to generate the mosaic.

The SIDE SCAN REFORMATTER utility converts third-party side scan data to HYPACK HSX format.

More Information

• Side Scan Processing Flowchart

• DATA CONVERTER

• TARGETING AND MOSAICKING

• GEOCODER With Side Scan Data

• GEOCODER With Multibeam Snippets


TARGETING AND MOSAICKING

The TARGETING AND MOSAICKING program is the side scan processing program where you can edit and smooth track lines, heading and towfish altitude then perform targeting and generate a side scan mosaic in geo-TIF format.

TARGETING AND MOSAICKING saves the edited files to your project Edit folder in the HYPACK HS2 format. It appends "_ss" to the file name in order to distinguish edited side scan files from edited multibeam data which may be generated from the same raw data.

HYPACK includes two versions of TARGETING AND MOSAICKING: 32-bit and 64-bit. Select SIDE SCAN-TARGETING AND MOSAICKING. HYPACK automatically runs the version according to your Windows® operating system.

The TARGETING AND MOSAICKING program reads raw side scan data and draws it to a series of windows in the Raw Data Mode, where you can edit and smooth track lines, heading and towfish altitude.

Scan View Mode enables you to visually examine your data, one file at a time. Select each line using the arrow keys in the shell or by clicking on the track line in the coverage map. Use the scroll bar in the Waterfall window to progress through each data set, while marking targets, making notes and taking measurements at any points of interest.

Mosaic Mode is used to convert side scan data to a mosaic. A mosaic is a blending of the side scan data from one or more data files. A mosaic is not a file type in itself. Rather, it is the preview of one or more georeferenced PDF or TIF files that you can then display in your project as background files. You may also generate mosaics using the Automosaic feature in SURVEY.

Multiple TIF files may be generated in batches using the SIDE SCAN AUTOMOSAIC program.

More Information

• Running TARGETING AND MOSAICKING

• Loading Data to TARGETING AND MOSAICKING

• Setting Display Options

• Editing your Side Scan Data in TARGETING AND MOSAICKING

• Scan View

• Creating Georeferenced TIF or PDF Files in Mosaic Mode


Running TARGETING AND MOSAICKING

To launch TARGETING AND MOSAICKING select SIDE SCAN -TARGETING AND MOSAICKING. The program’s shell will appear.

TARGETING AND MOSAICKING Shell

The shell is used to load your data, to select the program mode and to access the Side Scan Controls.

TARGETING AND MOSAICKING has three modes.

•In Raw Data Mode:

a.Load your data and set your Read Parameters.

b.Omit ‘useless’ lines.

c.Set your view options.

d.Edit your heading.

e.Edit your track lines.

f.Set your fish altitude. This value is important in order to accurately remove the water column from your display and make your mosaic.

g.Save the edited data to your project’s Edit folder in HS2 format.

•In Scan View Mode:

a.Visually inspect your files.

b.Mark any targets. (Optional)

c.Print data. (Optional)

•In Mosaic Mode:

a.Select the files to be included in the mosaic.

b.Define the mosaic construction settings.

c.Build the mosaic.

d.Edit out small white areas if desired.

e.Save the results to TIF format.

More Information

• Loading Data to TARGETING AND MOSAICKING

• Setting Display Options

• Editing your Side Scan Data in TARGETING AND MOSAICKING

• Scan View

• Creating Georeferenced TIF or PDF Files in Mosaic Mode


Loading Data to TARGETING AND MOSAICKING

TARGETING AND MOSAICKING draws raw side scan data. It supports loading several formats directly:

•HYPACK HSX side scan

•XTF (multiple sensor models)

•Klein SDF

•C-MAX CM2

•EdgeTech JSF

You may select either individual files or a catalog file. A catalog file is a list of individual data files. If a catalog file is selected, the TARGETING AND MOSAICKING reads the file and provides you with a list of files in the catalog.

Important: The catalog listing also shows if any of the files in the catalog have previously been saved to edited format. If you reload the raw data with these notations and save them using the same file naming format, you will overwrite the edited files from the previous editing session. To avoid overwriting, change the file naming method in the File Save options.

Tip: If you collect side scan data outside of HYPACK, to a format that can not be loaded directly to SIDE SCAN MOSAIC, the DATA CONVERTER converts several additional third-party formats to the HYPACK HSX format.

1. Select FILE-OPEN (or the File Open icon) and open one or more individual files or a catalog file (*.LOG) of either of these file types.

Note:If you collected your data with the HYPACK SIDE SCAN SURVEY program, catalog files have been automatically created in your Raw folder. If you have collected your data using another system, you will have to create catalog files.

•If you load raw data the Read Parameters dialog appears.

•If you load edited (*.HS2) files, they are loaded directly into Scan View.

2.Enter your Read Parameters options.

Read Parameters Dialog—Selections Tab

Selections tab:

•Select a device of each type from which the program should read. For example, if your hardware configuration includes more than one position device, you must select the device from which position data will be read for your TARGETING AND MOSAICKING display.

•If your side scan is hull-mounted, choose your HYPACK Navigation.

•If your side scan is towed, select the HYPACK Mobile.

For heading, there will be several options. Experiment with your data to see which gives you the best result. (These selections will be recorded to the header in the edited file.)

•If you are loading dual frequency data, select the frequency that you want to view.

Note:This is not strictly a choice of high or low frequency. The second frequency is only populated when you have logged two frequencies.

•Override Sound Velocity allows you to enter a sound velocity correction value that will replace that recorded during data collection.

•Snap to Line takes all of your soundings and moves them perpendicular until they fall right on the planned survey line. This is a dangerous option.

Read Parameters Dialog—Device Info Tab

The Device Info tab offers the opportunity to modify your device offsets. It initially displays the offsets from your hardware configuration. If you have found that any of these settings were incorrect during survey, enter the correct settings. Any modifications you make here will be reflected only in the edited data saved from this TARGETING AND MOSAICKING session.

Read Parameters Dialog—Survey Info Tab

The Survey Info tab displays the project information, if you entered any, from SURVEY. You can modify this information, if you wish, for the edited data.

The Advanced Tab allows you to automatically smooth the bottom track and heading.

Tip: We recommend that you first manually do these operations to better understand what is happening before automating the process.

Read Parameters - Advanced Tab

•Default Smoothing: The strength of smoothing of each value: bottom-tracking, heading and navigation. When any of these options is greater than zero, the program automatically smooths the data once when it loads the data.

Note:This is an all or nothing operation. The entire track line of all loaded files will be smoothed.

•Default Adjustment raises and lowers the bottom track by the defined percentage of the range scale.

•Bipolar XTF amplitude tells the program to ‘zero’ negative amplitudes.

•Weighted XTF amplitude corrects striping in the mosaic window which occurs under a specific set of conditions. Select this option only if you see the striping in the mosaic preview.

Important: This option is not retained. You must check it each time you load such raw data to the program.

•Apply Median Pre-filter removes outlying data spikes, but retains features. This reduces noise and improves blending.

Note:A similar filter is available in the blending options of the mosaic mode; however, it is less effective because you apply it to the lower-resolution, completed mosaic rather than the full set of pings available during the loading phase.

3.When you have completed your Read Parameters settings, click [OK] and the program will automatically proceed to the Raw Data Mode.

If you have chosen an individual file, it is listed in the drop-down box on the shell.

If you have chosen a LOG file, the first file in the catalog is displayed.

Selecting Files to Draw

To select the file to draw to the screen:

•Scroll forward and back in the catalog using the arrows on either side of the file list.

•Select a file from the catalog using the drop-down list.

Selecting a File

•Click a track line in the Track lines window.

When a data file is selected, the track line and heading for the selected line will be displayed in the Heading and Track Line windows respectively.

Track Line Window

Heading Window

Drawing Data in the Towfish Altitude Window

To draw the data in the Towfish Altitude window, select whether you want to view the port or starboard data from the ‘Show’ options. The scans are stacked in order and drawn to the right-hand side of the window to provide an image of the scanned area.

Towfish Altitude Window

Omitting Lines from the Mosaic

To omit lines from the mosaic, select it in the shell and click the [X] to the right of the arrow button.

More Information

• Catalog Files (*.LOG)

• Setting your Mosaicking Options in TARGETING AND MOSAICKING


Setting Display Options

Settings that affect what appears in your display windows, and how it looks are found in the side scan controls and in the View Options dialog.

The side scan controls affect the side scan data itself, while the View Options dialog configures the window displays and HYPACK processing options (eg. HYPACK data other than the side scan data, managing targets and smoothing, etc.).

More Information

• Side Scan Controls in TARGETING AND MOSAICKING

• View Options Dialog- General Tab in TARGETING AND MOSAICKING

• View Options Dialog- Scan View Tab in TARGETING AND MOSAICKING

• View Options Dialog- Spreadsheet Tab in TARGETING AND MOSAICKING

• View Options Dialog- Targets Tab in TARGETING AND MOSAICKING

• View Options Dialog- Advanced Tab in TARGETING AND MOSAICKING


Side Scan Controls in TARGETING AND MOSAICKING

The side scan controls affect the side scan data itself.

Colors Tab

Gain Tab

Display Tab

Colors Tab

The side scan controls optimize the TARGETING AND MOSAICKING displays and control the range to be displayed and included in the mosaic and exported TIF.

To access the settings dialogs, [image] click the Side Scan Controls icon.

You can use the color preview to preview the effects of your display settings. The sliders above and below the signal graph set high and low color saturation limits.

Color Preview

There are several default color options for which you can adjust the brightness and contrast using the corresponding sliders. In each case, low amplitude is light and high amplitude is dark (the traditional display method), but you can also reverse amplitudes represented by the dark and light color by checking the Invert checkbox. This is a more natural display because it emulates light and shadows.

You can neither modify the colors, nor the color distribution in the default palettes; however, you can create or modify custom palettes in the Color Palette Editor. Custom palettes are saved separately from your project, so you can use them across all of your side scan projects.

Creating Custom Palettes

1.Open the Color Palette Editor. Click [Edit Custom Palettes].

Color Palette Editor

2.Select a palette to modify and click [Load Selected Palette]. The palette name and colors appear in the Current Palette display.

3.Modify the palette as required, in the current palette display.

•To select new colors, click one of the sliders and choose a new color from the color dialog that appears.

•To add a color (slider), click on the current palette spectrum where you want to place it, then choose its color from the Color dialog that appear and click [OK].

•To shift the color distribution, reposition the sliders.

•To delete a slider, hold Shift and click the slider.

4.Save your palette. Enter a name at the bottom right and click [Save Palette].

•If you have modified a default palette, you must save your modifications to a new palette. The editor suggests the name by appending (1) to the default palette name, but you may change it. Your new palette appears in the Custom Palettes list.

•If you have modified a custom palette, you can overwrite the existing palette, or save it to a new palette with a different name.

Deleting Custom Palettes

You can delete any custom palette. Just select it in the Custom Palettes list and click [Delete Selected Palette].

Default Settings

If your results are unsatisfactory and, perhaps, you don’t know why, the dialog provides two buttons that restore typical settings:

[Default Values] reloads the Gold setting with 50% brightness and contrast.

[Reset Color Saturation Limits] resets the average amplitude value. The color schemes are all based on this value so, if your display looks light or dark and the Brightness control doesn't help, try this button to correct it.

8-bit vs 24-bit Mosaics

In addition to the color palette, in the Advanced tab of the View Options dialog, you can choose to build your mosaics with either the default 8-bit color depth (255 colors) or 24-bit color depth (16 million colors). The greater color capability can be useful in areas where signal returns are similar, but it also takes about twice as long to build the mosaic.

Return to Top

Gain Tab

The basic gain controls are available separately for port and starboard transducers. Check ‘Apply Basic Gains’ and use the sliders to optimize your displays.

Side Scan Controls Dialog

Gain adjusts the signal level uniformly up or down.

TVG (Time Varied Gain) compensates for signal loss due to absorption. It is a linear increase with time.

Starboard Gain =Port Gain keeps the two settings synchronized.

The TVG controls are custom controls for which we were contracted by some of our French users. Auto TVG scales colors based on the along track time series of each sample.

Typically, the side scan image darkens as the distance from the sonar head increases. Since the decreased strength of return toward the outer areas is due primarily to the distance from the sonar head, the program attempts to even the color over the distance scanned.

•Auto TVG: Attempts to automatically find present the best display.

•Apply TVG = dBs/100Meters: The strength of return will be multiplied by this value for every 100 meters of distance from the transducer it is.

•Apply TVG equation: This option enables you to apply a straight shift, a linear shift, an exponential shift or any combination of the three according to the values you enter for the P1, P2 and P3 variables. Each side scan device is different, so there are no default or suggested values. Experiment with different values to optimize your display.

You can toggle between these TVG settings using the Toggle TVG icon on the window’s toolbar. With each click it changes to the next method:

•Click 1: Auto TVG. The current sigma setting is displayed and the scroll buttons enable you to adjust the sigma setting 1 sigma for each click.

•Click 2: dBs/100 meters. The dB setting is displayed and the scroll buttons enable you to adjust the dB setting 5 dB for each click.

•Click 3: Off. (The TVG equation is only applied through the dialog.)

Display settings only affect the line currently displayed. Click [Apply to all Files] to make the settings consistent for all files in the log.

Return to Top

Display Tab

The Display Tab contains options which determine the method to calculate the data to be displayed.

Side Scan Controls Dialog—Display Tab

Remove Water Column shows the side scan data corrected for slant ranges.

Note:For this option to work well, your towfish altitude must be accurately measured.

Draw Center Line draws a line vertically between the port and starboard channels in the waterfall display.

Show Signal Graph displays the side scan signal below the toolbar.

Show Bottom Tracking (recommended) superimposes a blue line that represents the bottom tracking in the Survey window.

Show HYSCAN Bottom Track Slider displays a bar above the waterfall display with a blue bar for the bottom track and a red bar on each side to define the amount the bottom track can change vertically per second before adjusting the bottom tracking. This helps filter bad soundings.

Range Lines draws reference range lines at the user-defined Spacing Interval and color from the water column outward.

Display Optimal Fish Altitude draws a red line at 10% of the sonar ping range—typically the height at which you can record the best quality data.

Display Range can be used to limit the data for display purposes only. For example, the side scan might be set to scan 100m, but you only wish to view 50m. The SIDE SCAN SURVEY program still logs all of the side scan data for post processing. Set this value to 0 and the window automatically scales according to the full extent of the data.

Smoothing eliminates minute depth changes.

The Side Scan Channel options enable you to view both channels (recommended) or the Port or Starboard channel alone.

Clip Range to NOAA Guidelines reduces the range of the mosaic produced when the towfish gets too close to the bottom. When it is less than the 8% of the device range scale from the bottom, the range of the mosaic created is 12.5 times the towfish altitude. For example, at a 100 meter range scale with the towfish at 5 meter altitude, the mosaic will extend only to 62 meters (5 x 12.5).

Return to Top

More Information

• View Options Dialog- General Tab in TARGETING AND MOSAICKING

• View Options Dialog- Scan View Tab in TARGETING AND MOSAICKING

• View Options Dialog- Spreadsheet Tab in TARGETING AND MOSAICKING

• View Options Dialog- Targets Tab in TARGETING AND MOSAICKING

• View Options Dialog - Target Groups Tab in TARGETING AND MOSAICKING

• View Options Dialog- Advanced Tab in TARGETING AND MOSAICKING


View Options Dialog- General Tab in TARGETING AND MOSAICKING

Settings in the View Options dialog, which may be accessed by selecting VIEW – OPTIONS (F9), configure the interface displays.

TARGETING AND MOSAICKING View Options Dialog—General Tab

Show Side Scan Coverage in Track Editor and Mosaic draws lines perpendicular to the track line to demonstrate coverage area.

Draw Timeout: If drawing the coverage lines is too slow (as with very dense data), this option omits them. If the coverage line can not be drawn within the user-specified time, it will proceed with only the track line.

Show Charts in Track, Coverage and Mosaic windows.

Lat/Lon Format determines how these grid coordinates will be displayed in the Target dialog and in the TARGET VIEWER.

TIFF Output:

•Write GeoTif (embedded TFW).

•Write TFW file enables you to generate a separate file that contains coordinates that describe the location, scale, and rotation of the TIF. It is used by geographic information systems (GIS) software for locating areas in raster map images.

•Use LZW Compression: This is a lossless compression algorithm that significantly reduces the resulting file size without losing resolution of the image.

More Information

• Side Scan Controls in TARGETING AND MOSAICKING

• View Options Dialog- Scan View Tab in TARGETING AND MOSAICKING

• View Options Dialog- Spreadsheet Tab in TARGETING AND MOSAICKING

• View Options Dialog- Targets Tab in TARGETING AND MOSAICKING

• View Options Dialog - Target Groups Tab in TARGETING AND MOSAICKING

• View Options Dialog- Advanced Tab in TARGETING AND MOSAICKING


View Options Dialog- Scan View Tab in TARGETING AND MOSAICKING

Settings in the View Options dialog, which may be accessed by selecting VIEW – OPTIONS (F9), configure the interface displays.

The Scan View tab includes options specific to the Scan View phase.

View Options - Scan View Tab

Show Targets in Scan View displays your targets in the in Scan View window. A square is drawn around the target area. Targets marked while viewing the current line are red. Targets marked while viewing overlapping lines are blue.

Note:The Coverage window always shows each target as a triangle symbol with the target name (time) at the target location.

Show Events in Scan View annotates the display with a horizontal line and event time.

Show Scale Bar shows across track distances.

Show Signal Trace shows the sonar return at the current cursor position.

Tip: The Show Signal Trace, Show Targets and Show Events options are also accessible through a right-click menu from the Scan View window.

Scan View Printing Options:

•Time Line Spacing: Interval in seconds where annotation marks will be drawn in gray and labeled with the time.

•Draw Event Lines: Events are annotated in blue and labeled with ‘EventNumber.Time’.

More Information

• Side Scan Controls in TARGETING AND MOSAICKING

• View Options Dialog- General Tab in TARGETING AND MOSAICKING

• View Options Dialog- Spreadsheet Tab in TARGETING AND MOSAICKING

• View Options Dialog- Targets Tab in TARGETING AND MOSAICKING

• View Options Dialog - Target Groups Tab in TARGETING AND MOSAICKING

• View Options Dialog- Advanced Tab in TARGETING AND MOSAICKING


View Options Dialog- Spreadsheet Tab in TARGETING AND MOSAICKING

Settings in the View Options dialog, which may be accessed by selecting VIEW – OPTIONS (F9), configure the interface displays.

The Spreadsheet Tab enables you to display a configurable spreadsheet window when you advance to Scan View. Each time you click in the Scan View display, the spreadsheet display automatically synchronizes and highlights the record corresponding to the click position.

Spreadsheet Tab

Items available are listed on the left, while items selected are listed to the right. Select items in either column then use the [Add=>] and [<=Remove] to include or omit them from your spreadsheet display..

Note:The list of items available is maintained in alphabetical order. The list of items selected shows the order that the columns will be displayed in the spreadsheet. Normally, they will be listed in the order that they are selected. However, if you wish to insert a column in the middle of the list, select the item in the selected items list that you wish your new selection to follow. The next added items will be inserted there.

Alternatively, you can right-click in the Spreadsheet interface and select or deselect items through the menu.

Spreadsheet Window

More Information

• Side Scan Controls in TARGETING AND MOSAICKING

• View Options Dialog- General Tab in TARGETING AND MOSAICKING

• View Options Dialog- Scan View Tab in TARGETING AND MOSAICKING

• View Options Dialog- Targets Tab in TARGETING AND MOSAICKING

• View Options Dialog - Target Groups Tab in TARGETING AND MOSAICKING

• View Options Dialog- Advanced Tab in TARGETING AND MOSAICKING


View Options Dialog- Targets Tab in TARGETING AND MOSAICKING

Settings in the View Options dialog, which may be accessed by selecting VIEW – OPTIONS (F9), configure the interface displays.

The options in the Targets tab enable you to customize the handling of your targets marked in Scan View.

View Options - Targets Tab

Default Naming Options: Choose the components with which the program will automatically name targets you mark in Scan View.

Note:If you want each target to have a unique name, you must select at least the ‘Use Number’ option. You may also add any of the other options, if they suit your purpose.

•Use Number: Numbers the targets consecutively beginning with a number defined in the corresponding field.

•Use Date: Uses the date in the format mm/dd/yyyy.

•Use Time (default): Uses Military time in the format hh:mm:ss.

•Use Prefix: Each target name begins with ‘Prefix_’ where Prefix is defined in the corresponding field. If this is the only selected option, each target is named Prefix.

•Use Suffix: Each target name ends with ‘_Suffix’ where Suffix is defined in the corresponding field. If this is the only selected option, each target is named Suffix.

•Use \SS Images folder: Stores images associated with targets in the project \SS Images folder. Otherwise, it defaults to the project folder.

Show Red Cross: A red ‘+’ appears at the target location in the Target dialog.

Auto Management:

•One Target File Per Line/Date determines how each target is saved.

Target AutoManagement Save Option.

Program Option ‘One TGT per line /date’ Checked? | Target Save Routine
Yes | The program automatically appends each target to two target files; one target file for the current line and one target file for the survey date. For example, a target created in line 005_0920_ss1.hs2 that was surveyed on November 8, 2004 is saved to 005_0920.tgt and 11082004.tgt.
No | Targets are saved to the HYSCAN target group.

When the Auto Name Capture Files option is checked, the program automatically names individual targets and their screen captures according to the naming options. Otherwise, you are given the opportunity to provide another name.

Auto Capture 70%: When you click [Save Target], Auto Capture 70% automatically stores an image file (jpg) that is 70% of the port or starboard Scan View display where the target is marked. This provides a set of image files of uniform shape and size.

Note: Using the capture image icon, to manually define the capture area overrides this option for the current target.

More Information

• Side Scan Controls in TARGETING AND MOSAICKING

• View Options Dialog- General Tab in TARGETING AND MOSAICKING

• View Options Dialog- Scan View Tab in TARGETING AND MOSAICKING

• View Options Dialog- Spreadsheet Tab in TARGETING AND MOSAICKING

• View Options Dialog - Target Groups Tab in TARGETING AND MOSAICKING

• View Options Dialog- Advanced Tab in TARGETING AND MOSAICKING

• Marking Targets in Scan View

• Screen Captures in Scan View

• Adjusting Target Positions in TARGETING AND MOSAICKING

• Reviewing Targets in the TARGET VIEWER

• Printing the Scan View Image


View Options Dialog - Target Groups Tab in TARGETING AND MOSAICKING

Settings in the View Options dialog, which may be accessed by selecting VIEW – OPTIONS (F9), configure the interface displays.

The Target Groups tab displays a listing of all project target groups. You can choose to show all project targets or only targets from selected group.

To display all project targets, select All Targets (or check Selected Groups and check all of the target groups from the list).

To display select target groups, select Selected Groups and check the target groups you want to display from the list.

View Options - Target Groups Tab

More Information

• Side Scan Controls in TARGETING AND MOSAICKING

• View Options Dialog- General Tab in TARGETING AND MOSAICKING

• View Options Dialog- Scan View Tab in TARGETING AND MOSAICKING

• View Options Dialog- Spreadsheet Tab in TARGETING AND MOSAICKING

• View Options Dialog- Advanced Tab in TARGETING AND MOSAICKING

• Marking Targets in Scan View

• Screen Captures in Scan View

• Adjusting Target Positions in TARGETING AND MOSAICKING

• Reviewing Targets in the TARGET VIEWER

• Printing the Scan View Image


View Options Dialog- Advanced Tab in TARGETING AND MOSAICKING

Settings in the View Options dialog, which may be accessed by selecting VIEW – OPTIONS (F9), configure the interface displays.

The Advanced tab contains options that do not exactly affect the display. These options are described with the procedures they affect.

View Options - Advanced Tab

Track Smoothing Options:

•Moving Average: (recommended) Does a great job smoothing, but doesn’t respond to small changes in heading.

•Savitsky-Golay Filter: Typically smooths your data while retaining more detail than the Moving Average method. More appropriate for a boat than a towfish.

Heading Smoothing Options affect how the smoothing is implemented in the Heading window. A wider Box Width and narrower Spike Limit each result in a stronger filter.

Program Options: Check Use Multi Processor Mode if you computer is equipped with dual core processing to improve your processing speed.

Use 24-bit Color generates mosaics using up to 16 million colors, while the default, 8-bit color uses only 255 colors. The greater color capability can be useful in areas where signal returns are similar, but it also takes about twice as long to build the mosaic.

More Information

• Editing Track Lines in TARGETING AND MOSAICKING

• Side Scan Controls in TARGETING AND MOSAICKING

• View Options Dialog- General Tab in TARGETING AND MOSAICKING

• View Options Dialog- Scan View Tab in TARGETING AND MOSAICKING

• View Options Dialog- Spreadsheet Tab in TARGETING AND MOSAICKING

• View Options Dialog- Targets Tab in TARGETING AND MOSAICKING

• View Options Dialog - Target Groups Tab in TARGETING AND MOSAICKING


Editing your Side Scan Data in TARGETING AND MOSAICKING

There are three parts to editing side scan data. You can edit:

•Track Lines to remove position spikes by smoothing the track line or by deleting one or more segments from the defined track.

•Heading: You can smooth or manually define the heading for the entire length of the line or for one or more user-defined segments of it.

•Towfish Altitude to smooth and vertically adjust the altitude of the line or segments of it, and remove the water column to allow the targeting in Scan View to be properly georeferenced.

Each time you smooth the line in any of the three windows, the counter in the status bar of that window increments. This count is maintained only for the current session. A similar count is maintained for each vertical adjustment in the Towfish Altitude window.

Tip: If editing operations have produced unsatisfactory results, you can reverse them, in the reverse order in which they were performed, using the Undo icon on the toolbar.

When your track lines and heading are edited, and you have a satisfactory towfish altitude defined, click the Scan View icon to progress to Scan View Mode.

Edited Side Scan data is saved to HS2 format with an “_ss” appended to the filename (ex.000_0904_ss.hs2), which distinguishes them from multibeam data (000_0904.hs2) that may be derived from the same raw data.

In Scan View, you can also edit layback and sound velocity.

More Information

• Editing Track Lines in TARGETING AND MOSAICKING

• Editing Heading in TARGETING AND MOSAICKING

• Towfish Altitude in TARGETING AND MOSAICKING

• Editing Layback and Sound Velocity in TARGETING AND MOSAICKING


Editing Track Lines in TARGETING AND MOSAICKING

The Track Line Editor displays the track lines and coverage of all loaded files. The line currently selected in the shell is blue, while the remaining tracks are gray. Use the zoom and pan tools to optimize your view.

Track Line Editor

In the Track Line Editor, you can remove position spikes, and smooth your track lines.

Tip: If editing operations have produced unsatisfactory results, you can reverse them, in the reverse order in which they were performed, using the Undo icon on the toolbar.

• Removing Portions of the Track Lines

• Hiding/Showing Imagery

• Smoothing Your Track Lines

Removing Portions of the Track Lines

Remove position spikes by block editing the track lines:

1. Use your mouse to drag a box around your data.

2.Click the Delete In/Out buttons to remove data where the tracks fall inside/outside the box.

If you remove a portion of the track line that does not include an end point, the program assumes a straight track across the space.

Return to Top

Hiding/Showing Imagery

In the Tracklines display, you can temporarily mark areas to be omitted from the mosaic, omitting the data inside or outside each user-defined area.

1.Use your mouse to drag a box around an area of data. The Imagery buttons become enabled.

The red buttons remove data inside or outside your defined area.

2.Click the appropriate Hide Imagery icon according to which portion of the data you want to omit. The track line for the hidden data turns red.

3.Repeat these steps to mark additional areas.

To restore the hidden areas, use the green Show Imagery buttons in the same manner. You can either correct areas marked in error, or restore the full dataset.

Return to Top

Smoothing Your Track Lines

1.Select VIEW- OPTIONS (F9).

Track Smoothing Options

2.In the Advanced tab, configure your smoothing option and click [OK]. There are two Track Smoothing options:

•Moving Average (recommended) does a great job of smoothing, although fine direction changes may be lost. You must set the number of positions for each average.

•Savitzky-Golay Filter is more appropriate for a boat than a towfish.

3.If you want to smooth only a portion of the line, use your cursor to drag a box around the portion to be smoothed.

4. Click the Smooth icon in the Track Line Editor.

Your GPS track line usually needs little or no smoothing.

Return to Top


Editing Heading in TARGETING AND MOSAICKING

Minute changes in towfish heading seem to be exaggerated when we stack the scans to create the mosaic. Smoothing the heading improves the quality of the mosaic.

Sample Heading Window

You can smooth the entire line with just one click of the smoothing icon, or first drag your cursor across a range in the Heading window to define the segment of the line that will be smoothed.

A little smoothing (once) is a good thing; however, too much smoothing (3 or more) can alter the positions of objects on the outside of the side scan swath

You can also manually enter a heading value for the line, or for one or more segments of the line.

1.Use the cursor to draw a box around the segment (any portion including the entire line) for which you want to define the heading.

2. Click the ‘Fill’ icon. A dialog will appear.

3.Enter the new heading value and click [OK]. The defined heading will be applied to all data within the defined area.


Towfish Altitude in TARGETING AND MOSAICKING

Determining the fish altitude is important to be able to accurately remove the water column before creating your mosaic.

Some side scan devices have an altitude sensor and the fish altitude is recorded in the data files. It is wise to check these values for unlikely spikes and smooth them out. Other devices do not include altitude sensors and we must create fish altitude records based on the sounding data.

Sample Towfish Altitude Window

The Towfish Altitude window shows either the port or starboard side scan data. The towfish altitude is indicated by the blue line. There is one bottom detect for both channels. If it does not match between the two channels, your towfish is not flying level.

The initial altitude is from the towfish altitude sensor, if you have one. Otherwise, it is based on a bottom detection algorithm from SURVEY.

Beware!Failure to remove the water column will result in a dark strip down the TIF which will affect the accuracy of the georeferencing.

To Optimize Your View:

Zoom tools are provided to change the horizontal and vertical zoom scale of your data.

Icon | Function
Horizontal Zoom In | Reduces downsampling for display purposes, which increases the resolution but displays less of the line at once.
Horizontal Zoom Out | Increases downsampling for display purposes, which reduces the resolution but displays more data at once..
Vertical Zoom In | Click the icon, then drag your cursor vertically across the data to define the display range.
Vertical Zoom Out | Shows full vertical range of your data.
Zoom Extents | Downsamples enough to display the full data set in the window.

To establish towfish altitude:

•Auto-Bottom Detection: This method works particularly well where there is little noise in the water column and the initial bottom returns are strong. Three parameters control auto detection.

•Blanking is a minimum altitude value where zero provides no bottom tracking and a very high setting can set the bottom tracking at a depth greater than the true depth. A low value of 5-10 feet will usually improve the detection process.

•Gate Size is the maximum expected change in towfish altitude. Altitude points outside the gate are rejected unless there are many of them.

•Sensitivity affects how receptive the tracking is to changes in the water column. Increase sensitivity if altitude detection is beyond the end of the water column. Decrease sensitivity if water column noise (usually aeration) is consistently mistaken as the bottom.

[Apply] activates the auto-detection.

•Digitizing: Manually mark the towfish altitude using your mouse on the side scan record.

a. Click the digitize button to activate digitize mode.

b.Use the mouse to digitize points from left to right across the side scan record. Your marks will appear as red dots.

c.Click the digitize button again to apply the digitized altitude.

Once the altitude is established you can further improve the fit of the profile to your data by making vertical adjustments, smoothing or both.

Adjust the defined altitude profile using the arrow buttons. Each click raises or lowers the profile by 1 percent.

Smoothing rounds sharp angles in the profile.

Note:You can confine the auto-detection, adjustment or smoothing to a select segment of the line by dragging a box around the data before clicking the corresponding icon or [Apply].

The status bar displays a count of times you have smoothed the full line of data during the current session.


Pitch Roll Window in TARGETING AND MOSAICKING

For systems with pitch and roll sensors, SIDE SCAN SURVEY records the data and displays it, graphed against time, in the Pitch/Roll window. It is not used to correct the side scan returns in any manner.

Pitch/Roll Window


Scan View

To access Scan View Mode, click the Scan View Icon in the TARGETING AND MOSAICKING shell. The displays in the shell, Scan View and Coverage windows are synchronized.

Scan View Mode enables you to visually examine your data, one file at a time. Select each line using the arrow keys in the shell or by clicking on the track line in the coverage map. Use the scroll bar to progress through each data set, while marking targets, collecting images, making notes and taking measurements at any points of interest.

Coverage Window (left), Scan View (right)

The signal window at the top shows the sonar return at the current cursor position and the scale at the bottom shows across track distances and the current cursor position (red). You can toggle these two features off and on in the Scan View tab of the View Options dialog.

The View Options (F9) provide the choice to display targets and event marks in the Scan View.

The Coverage window displays an outline of the scanned area with starboard scans in red and port scans in green. A blue border defines the area currently in view in the Scan View window.

Using the View Options (F9), you can opt to also display background charts, and targets to help locate the features seen in the Scan View. The Side Scan Controls (Shift+F9) enable you to remove the water column, add scale lines or modify the display range.

More Information

• Editing Layback and Sound Velocity in TARGETING AND MOSAICKING

• Marking Targets in Scan View

• Measuring Objects in the Targets Window in TARGETING AND MOSAICKING

• Screen Captures in Scan View

• Reviewing Targets in the TARGET VIEWER

• Converting the Side Scan Coverage Map to Georeferenced TIF Files

• Printing the Scan View Image

• Exporting Spreadsheet Information from Scan View


Editing Layback and Sound Velocity in TARGETING AND MOSAICKING

Layback and Sound Velocity are the only editable values in the Spreadsheet window.

•Type new values into individual cells or

•Reset one or more contiguous cells at the end of the line to the same value by changing the first value in the series and clicking [Fill Column]. If you start with the first cell, all cells in the column will be the same.

•Adjust Layback by a constant amount:

a.Select TOOLS-ADJUST LAYBACK. A dialog will appear.

Adjust Layback Dialog

b.Enter your new Cable Out value and click [Recalculate]. The program will tell you when the calculations are complete.

c.Click [OK]. The Adjust Layback dialog will close.

To see the results in the Coverage Map window, use one of the icons in the Coverage Map window to cause the display to redraw.


Marking Targets in Scan View

You can create targets to mark points of interest as you inspect your side scan data.

The program names and saves the targets according to your selections in the Targets tab of the View Options dialog and in the HYSCAN target group. The targets can then be loaded to the HYPACK window with your data files and the georeferenced TIF file from the TARGETING AND MOSAICKING program to see them in the context of your survey area.

If you select the Show Targets in Scan View option in the Scan View tab of the View Options dialog, red squares denote all targets marked while viewing the current line. Targets marked while viewing overlapping lines are blue.

Tip: The Show Targets option is also accessible through a right-click menu from the Scan View window.

Once you have set your target options in the View Options, the program supports two methods of marking targets:

•Full-record method, when you mark each target, you may also measure the targeted object, classify it, store an image of it and make short notes about the target location.

•The Quick Mark method enables you to mark multiple target locations in quick succession, each with a screen capture, but there are no additional records about the target location.

• Full-record Targets

• Quick Mark Targets

Full-record Targets

When you mark each target using the Full Record method, you may also measure the targeted object, classify it, store an image of it and make short notes about the target location.

1.Mark your targets. Double-click at the target location in the Scan View. When each target is marked, the Target dialog appears. If you have selected the Show Red Cross option in the View Options, a red ‘+’ appears at the target location in the Targets dialog.

2.Measure your targeted object. (Optional) This populates the Altitude, Range to Target and Height values in the Target dialog.

3.Assign a Classification ID of your targeted object. (Optional)

Target Dialog

4.Edit any of these values to suit your needs.

Note:You can also reposition the target by clicking [+], then clicking the new position in the area view at the right.

5.Click [Save Target].

The following values are saved to the project targets listing.

•Date and Time of the survey at that target position.

•Event: Last Event Number at the target location.

•X, Y position of the target.

•WGS84 Lat/Lon position of the target.

•Heading of your vessel when that location was scanned.

•Altitude: Fish height above the bottom

•Range to target: Distance (measured diagonally) from the sonar head to the object.

•Height: Height off the object of the bottom.

•Length and Width of your target object.

•Survey Line File on which the target is marked.

•Capture File: If you take a screen capture using the Capture Image icon, the file name (jpg) appears here when you close the Capture File window. Capture files also appear in the Side Scan Images folder of the HYPACKProject Items list.

•Notes: User-defined memo regarding target position.

•Classification ID: Classification assigned from your classification database.

Note:If you have selected the ‘One Target File Per Line/Date’ option in the View Options (F9) dialog, the program also generates those TGT format target files. (This is the one place where HYPACK may generate new TGT format target files.)

Return to Top

Quick Mark Targets

•The Quick Mark method enables you to mark multiple target locations in quick succession, storing a screen capture of each, but there are no additional records about the target location.

1.In the View Options (F9), select the Show Targets in Scan View option. (Required) This enables you to see where you mark targets. Otherwise, it appears nothing is happening until you review your work in the Target Viewer or in the HYPACK TARGET EDITOR or Project Items list.

2. Enable the Quick Mark feature. Click the Quick Mark target in the Scan View toolbar.

3.In the waterfall, click and drag a window around the area to be marked with a target. The program generates the target at the center of the defined area and stores a JPG image of the defined area, by default, to the project \ssimages folder.

You can repeat this step multiple times to mark multiple targets.

Return to Top

More Information

• Setting Display Options

• Measuring Objects in the Targets Window in TARGETING AND MOSAICKING

• Target Classification


Measuring Objects in the Targets Window in TARGETING AND MOSAICKING

You can use the features in the Target dialog to measure the following distances:

•Fish height (Fish Altitude)

•Height of the object (Range to Target)

•Height of the object off the Bottom (Height)

•Length and width of the object (Length and Width)

To make vertical measurements, drag the numbered bars over the return profile. All three bars must be positioned to obtain the correct measurements.

1.Double-click on the object that you would like to measure in the Scan View. The Target dialog appears with a section of your scan that includes the object of interest and a profile of your side scan returns at that point. If you have selected the Show Red Cross option in the View Options, a red ‘+’ appears at the target location.

Measuring Objects based on Side Scan Return

Three sliding bars, each representing a vertical measurement, are superimposed on the return profile.

Note:If you are displaying the red ‘X’ at the target location, it will be hidden as you use each bar during the measuring process.

2.Drag Bar 1 to the top of the water column represented by the edge of the area of low return in the return profile. (This corresponds to the dark stripe in your scan view.) The Fish Altitude value on the left will update accordingly.

3.Drag Bar 2 to the top of the object. There should be an area of high returns in the profile, proportionate to the size of the object you are measuring, Place the bar on the edge of it closest to the water column. The Range to Target value on the left will update accordingly.

4.Drag Bar 3 to the end of the shadow. The Height value on the left will update.

To make horizontal measurements: Click in the length or width field then click and drag with the mouse across the corresponding dimension of the target object. The measurement at the left will update according to the distance between the click and release of the mouse button.


Screen Captures in Scan View

You can capture images when you mark a target. The process varies according to the Auto-management options in the Targets tab of the View Options dialog (F9).

Unless you are using the Quick Mark method, when you mark each target, the Target dialog appears. In the Target dialog, you can capture a selected part of the scanned image to a JPG and to a georeferenced TIF or PDF file. These images are stored to the SSImages folder.

Later, you can view the JPG images, each with its target information in the TARGET VIEWER and load the georeferenced images as background charts.

Screen Capture Options and Procedures

Task

Auto Name

Auto Capture

In the Target Dialog, Do This:

Automatically Capture and Name Your Images

N/A

Y

Click [Save Target].

Automatically Name an Image of a User-defined Area

Y

N/A

1.Click the Capture Image icon.

2.Use the cursor to drag a box around the area you want to capture.

3.Click [Save Target].

Manually Capture and Name an Image

N

N

1.Click the Capture Image icon.

2.Use the cursor to drag a box around the area you want to capture. The defined area is drawn to a separate window.

3.If the defined area is satisfactory, click the Save icon in the pop-up window. A File Save dialog appears. Otherwise, close the window and define a new area.

4.Name your file, select your file type and click [OK]. The program generates a simple JPG or a georeferenced TIF or PDF file. The TIF files are created according to the Tiff Output options in the General tab of the View Options (F9) dialog. Alll

5.Click [Save Target].

More Information

• View Options Dialog- General Tab in TARGETING AND MOSAICKING

• Marking Targets in Scan View

• Reviewing Targets in the TARGET VIEWER


Reviewing Targets in the TARGET VIEWER

The TARGET VIEWER displays all information about each target in one window.

Sample TARGET VIEWER Display

1.In TARGETING AND MOSAICKING, select TOOLS-TARGET VIEWER. The targets included, in this case, depends on whether you have selected the ‘One Target File per Line/Date’ option in the Targets Tab of your program options (F9).

Targets Displayed in TARGET VIEWER

’One Target File per Line/Date’ Option Selected? | TARGET VIEWER does this...
Yes | Loads all of the target files associated with the lines you have loaded, except the one named by the survey date.
No | Loads the currently loaded target file.
No | Displays a file select dialog for you to choose your target file.

2.Highlight a target in the list to view the target, its corresponding statistics and screen capture (if you have saved one).

3.Modify any information in the center column as necessary.

•Name: The target name.

•Survey File: The survey line file that covers the area where the target is located.

•Capture File: Image file typically generated in TARGETING AND MOSAICKING.

•Notes: Short notes about the target.

•Classification: A classification code from the target classification database.

To delete the target currently displayed, click the Delete icon. If you are automatically managing your targets, the target will be deleted from both target files in which it resides.

More Information

• Screen Captures in Scan View

• Target Classification


Adjusting Target Positions in TARGETING AND MOSAICKING

When you merge multiple scans to build your mosaic, you may see distinct bottom features positioned slightly differently between scans. These differences occur due to the number of variables involved in calculating the exact position of the towfish: cable out, catenary factor, whether the vessel towing the fish is going straight, and underwater currents to name a few.

To determine the true position of the feature, as accurately as possible, the Target Viewer includes a Target Adjust routine which calculates the ’true’ position, as accurately as possible based on the position of multiple targets using your choice of three methods, and generates a new target at that position.

•Average: Mathematically averages the coordinates of the checked targets.

•High Confidence requires three or more targets. The position of the target that you are currently viewing (highlighted) is favored in the calculation. It gets 50% confidence while the remaining 50% is divided between the other checked targets.

•Known Point: Moves all of the checked target positions to the position of the highlighted target.

1.Load the side scan data into TARGETING AND MOSAICKING.

2.In Scan View, mark the same, distinctive point in the feature on each scan.

3.Select TOOLS-TARGET VIEWER.

4.If you are using the High Confidence or Known Point method, highlight the favored target.

5.Check the targets you want to include in the calculation.

6.Select ADJUST POSITIONS and your choice of methods. The program generates a new target at the calculated position named with the time appended by ‘_ADJ’.

Three Targets—Two Outer Target Positions Averaged to the Center Adjusted Target Position


Converting the Side Scan Coverage Map to Georeferenced TIF Files

You can export the content of the Coverage window to a georeferenced TIF file. This geo-tif can be used as a background chart in other HYPACK modules.

1.Set your TIF Save options in the View Options dialog.

TIF Save Options

•Write GeoTif (embedded TFW).

•Write TFW file enables you to generate a separate file that contains coordinates that describe the location, scale, and rotation of the TIF. It is used by geographic information systems (GIS) software for locating areas in raster map images.

•Use LZW Compression: This is a lossless compression algorithm that significantly reduces the resulting file size without losing resolution of the image.

2. Click the Save TIF File icon in the Coverage Map window.

3.Name your output and click [OK].

Coverage Map Geo-TIF in HYPACK


Printing the Scan View Image

If you would like a hard copy of your data, you can print the Scan View display.

1.Set your print options. Select VIEW-OPTIONS (F9), enter your print options in the Scan View tab and click [OK].

TARGETING AND MOSAICKING View Options-Scan View Tab

Under Scan View Printing:

•Time Line Spacing in secs.: Enter an integer to define the time interval at which the printout will include annotation lines. Enter ‘0’ to disable this feature.

•Draw Event Lines: Check this option to annotate events in the printout.

2.Click the print icon in the Scan View Window. The Windows Print dialog will appear.

3.Set your printer options and click [OK].

The hard copy includes your project information and the path of the project as well as the data, annotated according to your settings.

Segment of Sample Hard Copy


Exporting Spreadsheet Information from Scan View

You can configure and export a text file from the data in the Spreadsheet window. This text file can then be imported to any ASCII text editor or to your favorite spreadsheet program.

To export your spreadsheet data:

1.Click [Export] at the top of the Spreadsheet window. The Spreadsheet Export dialog will appear.

Configuring the Spreadsheet Export Report

2.Set your export options and click [OK].

•File Option:

•Single File: Generates one text file that contains the data from all survey lines loaded.

•One File per Line: Generates one text file for each survey line loaded.

•Format Options:

•Space Separates Fields or Comma Separates Fields: Choose your preferred delimiter between values on each line.

•Include Record Numbers

•Include Column Titles

•Alternate Time Format: Seconds Past Midnight. If this is not selected, it will export in hh:mm:ss.ss format.

•Alternate Position Format: Decimal Degrees. If this is not selected, it will export in X, Y format.


Creating Georeferenced TIF or PDF Files in Mosaic Mode

To access the Mosaic Mode select MODE-MOSAIC or click the Mosaic icon on the toolbar.

The mosaic process corrects the data for heading and position changes, and merges the data to display your mosaic. It then creates one or more georeferenced TIF files or a georeferenced PDF file. Either output may be used as a background file in your project.

If you generate georeferenced PDF files, you must output one file with all of the selected data.

Tip: To generate one PDF per line, you can load the full data set, but you must generate each PDF manually. Select a line, set your output file name, and click [Make Mosaic]. When the output is complete, clear the first selection and repeat the process with each of the other lines.

If you generate georeferenced TIF files, you have some options:

•Output one file per line

•Output one or more TIF tiles for all of the selected data. When you choose to generate one output for all of the selected data files, the program automatically suggests one or more tiles1 based on the size of your data set, the resolution, and the resources available on your computer. It then generates one TIF per tile that you will typically display together to show the full extent of your data selection.

Note:Since the number of TIF tiles depends, in part, on the resources available on your computer at the time you generate the TIF output, the program may generate a different number of tiles at different times or on different computers.

•User-defined tiles 1.

The process is simple:

1.Load your data files.

2.Choose the your mosaic area. Accept the default settings and include the full data set or limit the output as follows:

•Mosaic only select data files

•Mosaic only the area defined by loading a border file (*.BRD).

•Create user-defined tiles

3.Calculate the size of each tile at the default resolution.

4.Adjust the resolution (optional).

5.Set remaining options for the mosaic construction.

6.Generate the mosaic.

7.Save the mosaic to a georeferenced TIF or PDF.

More Information

• Mosaic Mode Interface

• Choosing your Mosaic Area

• Optimizing the Image Resolution in TARGETING AND MOSAICKING

• Setting your Mosaicking Options in TARGETING AND MOSAICKING

• Constructing Mosaics and TIF or PDF Files from Side Scan Data in TARGETING AND MOSAICKING

• Merging Georeferenced TIF Files

Mosaic Mode Interface

The Mosaic Mode is composed of a set of controls at the left, and the mosaic display on the right. When you first enter, the mosaic display is blank. The loaded files are listed, but must be selected to be included in the mosaic from which your output file will be produced. You can also display enabled charts, coverage diagrams or both through a right-click menu.

Show Charts displays charts currently enabled in your project.

Show Coverage displays a line drawing of the track and side scan swaths.

Mosaic Mode

More Information

• Creating Georeferenced TIF or PDF Files in Mosaic Mode

• Choosing your Mosaic Area

• Optimizing the Image Resolution in TARGETING AND MOSAICKING

• Setting your Mosaicking Options in TARGETING AND MOSAICKING

• Constructing Mosaics and TIF or PDF Files from Side Scan Data in TARGETING AND MOSAICKING

1. A tile defines the boundaries of your output file, together with the mosaic setup options. The program generates one output file for each tile.


Choosing your Mosaic Area

All of the files that you have loaded to TARGETING AND MOSAICKING are listed in the Mosaic window.

Use the checkboxes to select the files that you want to include in the mosaic (and ultimately the output chart file). The selected lines are blue in the mosaic display.

Choosing Lines for the Mosaic

In addition to selecting the data files, you also define the physical area and mosaicking instructions for an output file.

A tile defines the boundaries of your output file, together with the mosaic setup options. The program generates one output file for each tile.

TARGETING AND MOSAICKING automatically suggests tiles to fit your data set (the default tile set). You can use the tools in the Advanced tab to add, remove and modify tiles.

Advanced Tab

Modifying your Tile Set

Task | Icon | Action
Adding a Tile | [+] | Click the Add Tile Icon then position and resize it to your needs.
Removing a Tile | [-] | Select the tile in the list and click [-].
Resizing/Relocating a Tile | None | Use your cursor to click and drag the tile borders to the desired position.

To restore the originally suggested tiles, click [Default].

• Full Data Set

• One Output per Line

• User-Defined Tiles

• Border Files0

Full Data Set

The program automatically limits the size of the output geo-TIFs according to the resources of your computer. To do so, it suggests one or more tiles based on the size of your data set, your specified resolution and your computer resources. This is reflected in the Image Size field and by the tiles outlined in the map window.

If the program generates more than one file, it automatically appends numbers to the end of the file name to name the output (eg HSX_RAW07062015_1.tif, HSX_RAW07062015_2.tif, etc).

Note:This is your only option to output a georeferenced PDF. PDF output requires only one tile.

1.Clear the Multiple Output Files option. The program suggests the LOG file name for your output file.

2.If you want a different file name or type than what is suggested, rename your output file. Click [...], choose the output file type, enter a name and click [Save].

Generating Tiles for Full Data Set

Return to Top

One Output per Line

The Multiple Output Files option automatically generates a tile for each selected survey line and names it with its corresponding line name. It’s much faster than generating each line manually.

Generating One TIF per Line

Return to Top

User-Defined Tiles

In the Advanced tab, you can manually define tiles to suit your needs. This can be handy if, for example, you want to generate a higher resolution geo-TIF of isolated areas in your dataset.

1.Add a tile. Click [+]. The program adds a tile to the list, displays an outline in the map display and suggests a name.

To remove a tile, select it in the Tiles list and click [ - ].

2.Resize and position the tile. In the map display, use your cursor to drag the edges of the tile outlines.

3.Rename the output file. (Optional.) Click [...], enter a name and click [Save].

Resulting TIFs of User-Defined Areas

Return to Top

Border Files

To further restrict the mosaic area within each tile, enter a BRD file in the HYPACK Border File field. The program mosaics the area defined by the border file and generates one TIF for each tile with which it intersects.

TARGETING AND MOSAICKING Suggested Two Tiles for the Line (left) and the Border File Limits the Output TIF to the Area Inside (right)

Resulting Georeferenced TIFs

. One from Each Original Tile

Return to Top

Temporary Omissions

If there are areas in your data you want to omit from your mosaic, TARGETING AND MOSAICKING provides Imagery tools in the Track Lines window.

This feature was developed for (but is not restricted to) data collected on lines with sharp turns. The mosaic where the vessel turned sharply will be of poor resolution. Deleting positions results in straight line interpolation, so it does not correct this problem.

Tip: You can mark these areas in the Track Line window at any time; however, you may find it useful to build a preliminary mosaic to guide this process.

Imagery Tools in TARGETING AND MOSAICKING

Tool | Function
 | Hide Imagery Inside Block (left) and Hide Imagery Outside Block (right) mark areas for the mosaicking process to omit scan data.
 | Show Imagery Inside Block (left) and Show Imagery Outside Block (right) reverse the effects of the Hide Imagery icons.

1.In the Track Lines window. define one or more rectangular areas to omit from the mosaic. For each area, do the following:

a.Use the default cursor to click and drag a rectangle from one corner to the corner diagonally opposite. The Imagery icons become enabled.

b.Click one of the Hide Imagery icons to hide the scan data inside or outside of your defined area.

The track lines turn red where data is hidden and, if you have made a preliminary mosaic, the track line in the Mosaic window also turns red.

2.Set your mosaicking options.

3.Click [Make Mosaic]. The resulting mosaic omits the hidden areas.

Mosaicked Data—Full Data Set (left) and Hidden Turns (right)

To restore the hidden areas, follow the same process using the Show Imagery icons.

Tip: You can define an area that includes multiple hidden areas and restore them all in one operation.

Return to Top

More Information

• Side Scan Controls in TARGETING AND MOSAICKING

• Creating Georeferenced TIF or PDF Files in Mosaic Mode

• Mosaic Mode Interface

• Optimizing the Image Resolution in TARGETING AND MOSAICKING

• Constructing Mosaics and TIF or PDF Files from Side Scan Data in TARGETING AND MOSAICKING


Optimizing the Image Resolution in TARGETING AND MOSAICKING

Once you have chosen your files for the mosaic, TARGETING AND MOSAICKING calculates the size of the TIF file that will result from the selected data at the current resolution. If the file size is too large, you can reduce the size by adjusting the resolution or reducing the mosaic area.

Note:The program automatically limits the size of the output geo-TIFs according to the resources of your computer. To do so, it suggests one or more tiles based on the size of your data set, your specified resolution and your computer resources. This is reflected in the Image Size field and by the tiles outlined in the map window. If the program generates more tha one file, it automatically appends numbers to the end of the file name to name the output (eg. HSX_RAW07062015_1.tif, HSX_RAW07062015_2.tif, etc).

Adjusting the resolution affects file size and clarity of the image. A larger resolution makes a smaller, less detailed file. This feature can be especially useful if you have limited hard drive space as you can predetermine the completed mosaic size will be no larger than your available space.

The Resolution Calculator computes three resolutions (m/pixel): digitization resolution (across-track digital sampling rate), across-track resolution, and along-track resolution (based on average speed). The across-track resolution typically generates the sharpest mosaic.

Once you know the optimal resolution, you can reconsider your file choices and your resolution, which recalculates the file size, until you achieve a satisfactory balance. A larger resolution value decreases the sharpness of the resulting image, but it also decreases file size.

Note:Decreasing the calculated resolution value will not improve your mosaic results.

1. Access the Resolution Calculator by clicking the icon. The calculator appears with a display of the average runtime properties read from your data files.

Note:You may also access the calculator through the Tools menu, but the results are not transferred to the TARGETING AND MOSAICKING interface when you close the calculator. This feature enables you to try different settings without affecting your data.

Resolution Calculator

2.Input the sonar properties supplied by the sonar the manufacturer. The average altitude, range, and speed are detected from the loaded data, but you may choose to overwrite them.

Additional specifications for several sonar models are hard-coded in the Load Sonar menu for your convenience. If the model of your sonar is not pre-defined, manually enter the specifications from the device manufacturer.

Tip: If you have saved your sonar properties, select your sonar model through the Load Sonar menu.

3.Save your sonar properties. (Optional) Click [Save Sonar]. The current Sonar Properties will be saved to a file that populates the Load Sonar menu. The next time you process data collected by the same sonar model, you can quickly and easily load the properties by selecting the correct sonar in the Load Sonar menu.

Tip: To insure you are using the same sonar properties on all of your HYPACK computers, copy the \HYPACK 2017\TargetInfo\HyscanCalc.ini to the same location on each computer.

4.Click [Close]. The calculated optimal resolution is copied to the Resolution field in the TARGETING AND MOSAICKING interface.

To remove a custom sonar from the Load Sonar menu, select the sonar then click [Delete]. You can only delete sonars you have added to the menu.

More Information

• Mosaic Mode Interface

• Choosing your Mosaic Area

• Setting your Mosaicking Options in TARGETING AND MOSAICKING

• Constructing Mosaics and TIF or PDF Files from Side Scan Data in TARGETING AND MOSAICKING


Setting your Mosaicking Options in TARGETING AND MOSAICKING

TARGETING AND MOSAICKING provides several options regarding the processing of your data into the mosaic.

Note:Remember that the mosaic is also affected by the settings in the Side Scan Controls (F9).

Mosaicking Options

Overlapping Areas options instruct the program what values to use where there are multiple layers of data.

Fill Gaps: Interpolates the data to fill uncovered areas.

Remove Water Column removes the portion of the side scan record before the sound reaches the bottom (the blank stripe in the middle) from the output TIF, creating a more accurate image. Otherwise, the mosaic will have a white space between the port and starboard swaths.

Note:For this option to work well, your towfish altitude must be accurately measured.

Filters:

•Average: Smooths the mosaic by setting each pixel to the average of the eight adjacent pixels.

•Median: Smooths the mosaic while preserving edges by setting each pixel to the median of the pixel and its eight adjacent pixels.

•Sharpen Image: Sharpens the mosaic by enhancing pixel contrast relative to its adjacent pixels.

Output File Name: TARGETING AND MOSAICKING provides a default output file name based on the catalog (or raw) file name. When it generates multiple tiles to cover your survey area, it creates a unique file name for each output geo-TIF by appending tile positioning indicators to the default file name (eg. HSX_RAW09092015_0,0, HSX_RAW09092015_0,1).

If the current output file name may cause you to overwrite existing files, the program warns you so you can escape the process and change the Output File Name.

More Information

• Side Scan Controls in TARGETING AND MOSAICKING

• Creating Georeferenced TIF or PDF Files in Mosaic Mode

• Mosaic Mode Interface

• Choosing your Mosaic Area

• Optimizing the Image Resolution in TARGETING AND MOSAICKING

• Constructing Mosaics and TIF or PDF Files from Side Scan Data in TARGETING AND MOSAICKING


Constructing Mosaics and TIF or PDF Files from Side Scan Data in TARGETING AND MOSAICKING

Once the files are loaded to the TARGETING AND MOSAICKING program, and the resolution, data selection and construction options are set, you are ready to mosaic the data.

The mosaicking process, corrects the data files for heading and position changes, and merges them to create a georeferenced file. The results may be stored to a georeferenced TIF or a georeferenced PDF, by default, in the project \Post Processed Mosaic folder where you can enable and disable them in your project display.

Note:If you are using a datum shift file in GEODETIC PARAMETERS, the program cannot generate a georeferenced PDF.

• Immediate Mosaic Processing

• Delayed Mosaic Processing in AUTOMOSAIC

Immediate Mosaic Processing

To generate the mosaic now, just click [Make Mosaic]. The program generates the mosaic according to your instructions. If you have enabled Show Charts display option, the resulting mosaic then appears in the map display.

Note:This method is required for PDF output.

Return to Top

Delayed Mosaic Processing in AUTOMOSAIC

To generate the mosaic in TIF format later, you can save the processing instructions to a batch file to be run at a later time using the SIDE SCAN AUTO MOSAIC program. This is useful particularly if you are processing multiple sets of data or very large data sets.

Note:This method is required for user-defined tiles.

A Batch File (*.BAT) is a series of programming commands. In this case, a batch file includes the file name and all of your chosen settings to create the mosaic and TIF. This enables you to edit and choose settings for individual or groups of files, but build the mosaics and generate the geo-TIFs at a later, more convenient time.

1.For each file or set of files do the following:

a.Load and process your files in TARGETING AND MOSAICKING and set your options in Mosaic mode.

b.Add the information to a batch file.

i. In the General tab, click [Add to Batch File] or, in the Advanced tab, click the Add to Batch File icon. The Add to Batch File dialog appears.

Add to Batch File Dialog

ii.Select the batch file to which you want to add the processing directions. Click [Batch File], name your file and click [OK]. You can select an existing batch file or generate a new one by entering a new name.

iii.Click [Add] and an output file name for each tie appears in the lower section.

To remove a file from the batch, select it and click [Remove].

To remove all files from the batch, click [Clear].

iv.Click [OK].

2.When you have a block of time when your computer is free, generate all of the mosaics and TIF files in the batch file at once using the AUTOMOSAIC program.

a.Launch AUTO MOSAIC by selecting SIDE SCAN-SIDE SCAN AUTO MOSAIC.

b.Click [Batch File] and select the batch file you want to process. The TIF files that are included in the batch will be listed under ‘Mosaic Files’.

c.Omit select TIFs from processing, if necessary. Select any TIF to be omitted and click [Remove]. This only removes the TIF from the processing list for this session.

d.Click [Start Auto Mosaic]. All of the processes saved to the batch will be run. The Actions area display messages regarding the progress and the georeferenced TIF files are saved, by default, to the project folder.

e.Exit AUTOMOSAIC by clicking the [x]. If you have removed any TIF files from the current batch, it will ask if you want to make the change permanent. To restore the removed TIF to the batch, click [No].

Auto Mosaic Program

You can load the TIF files as a background file in your project or drape them over the TIN Model in 3D TERRAIN VIEWER.

Displaying the TIF File as a Background File in HYPACK

Return to Top

More Information

• Creating Georeferenced TIF or PDF Files in Mosaic Mode

• Mosaic Mode Interface

• Choosing your Mosaic Area

• Optimizing the Image Resolution in TARGETING AND MOSAICKING

• Setting your Mosaicking Options in TARGETING AND MOSAICKING

• Merging Georeferenced TIF Files


GEOCODER With Side Scan Data

The purpose of GEOCODER is to produce multibeam backscatter mosaics and ARA (Angular Response Analysis) seafloor characterization. It may also be used to generate mosaics of side scan data.

GEOCODER is a program developed by Dr. Luciano Fonseca of the Center for Coastal and Ocean Mapping (CCOM) at the University of New Hampshire. It has been licensed by HYPACK for inclusion in HYPACK software.

HYPACK includes two versions of GEOCODER: 32-bit and 64-bit. Select SIDE SCAN-GEOCODER. HYPACK automatically runs the version according to your Windows® operating system.

GEOCODER can be used to generate mosaics from Mosaic HYPACK® HSX files containing side scan data. The data may come from traditional side scan (EdgeTech, Klein, etc.) or multibeam side scan (Atlas, Reson, etc.). Raw side scan records are tagged with RSS.

Tip: If you are processing HYPACK® HSX side scan data, you can get the best from both tools. Use TARGETING AND MOSAICKING to define the bottom track and remove the water column. Save the results in HS2 format then load that data into GEOCODER to take advantage of the advanced corrections settings before building the mosaic.

More Information

• Side Scan Processing Flowchart

• Running GEOCODER with Side Scan Data

• Calibration Settings in GEOCODER

• GEOCODER Mosaic Options

• Saving your Mosaic from GEOCODER

• GEOCODER With Multibeam Snippets

• TARGETING AND MOSAICKING

• HYSWEEP CUBE

• TIN MODEL


Running GEOCODER with Side Scan Data

1.Remove the water column from your data in TARGETING AND MOSAICKING. (Optional) Some systems do better than others at bottom tracking. With all things being equal, TARGETING AND MOSAICKING finds the bottom better than GEOCODER.

2.Launch the GEOCODER by selecting SIDE SCAN-GEOCODER.

GEOCODER

3.If this is the first time loading the data set to GEOCODER, select PROJECT-NEW SESSION.

4.Select the data source from Source menu. The "Snippets" and "+ DTM" options will correct the side scan time series using known ranges. It results in a more accurately positioned side scan image.

Data type | Source Selection
Multibeam (HS2, GSF) | Average Backscatter
Multibeam with co-registered Side Scan Data (HS2, GSF) | Snippets
Side Scan Data (HS2, HSX) | Side Scan
Side Scan and DTM (Digital Terrain Model as XYZ or MTX) | Side Scan and DTM

5.Enter calibration settings.

6.Load a gridded XYZ file of the area bathymetry. (Optional) Click [...] next to the DTM field and choose the file.

The TIN MODEL or MAPPER program can output the gridded XYZ file from your bathymetric data.

•With a DTM, the data is used to generate a digital terrain model (DTM), which is factored into the calculations when the mosaic is constructed.

•Without a DTM, GEOCODER will assume a flat bottom.

7.Enter mosaic options. (Optional) If you want to restrict the extent of the mosaic to the area covered by the DTM, you should check the ‘Lock’ option under ‘Extents’ in the Mosaic Options dialog. You can set the other options at the same time, but it may make more sense to wait until you have loaded your side scan data.

8.Load your side scan data. Select PROJECT-INSERT LINE and choose one or more HSX or HSX2 files. Track lines appear as the program reads each file.

9.Save the project. (Optional) Select PROJECT-SAVE SESSION, and provide a name. The data, along with your current settings, will be saved with a GPR extension, by default, to your project folder.

10.Adjust calibration settings and mosaic options if necessary.

•To modify calibration settings on individual lines, click on the line in the graphic, then [Calibrate Settings]. Change the required options and click [OK].

•To modify your mosaic options, click [Mosaic Options], change the required options and click [OK]. If you have not checked them already, you should definitely verify that you have the proper settings at this time.

11.View the Histogram. (Optional) Generally, this is more applicable to multibeam data when adjustments have been made for beam patterns and ARA (Angular Response Analysis).

12.Generate your mosaic. Just click [Make Mosaic] and the program does the rest. As the mosaic for each line is constructed, its track line appears in the right side of the window.

13.Save the results to a georeferenced TIF file. Click [Save TIFF] and provide a name. The file TIF and its corresponding TFW file will be saved, by default, to the project folder.

More Information

• Calibration Settings in GEOCODER

• GEOCODER Mosaic Options

• MAPPER Program

• XYZ Export from TIN Models


Calibration Settings in GEOCODER

The calibration settings confirm the hardware offsets that were configured to before the survey, and define the sources from which the side scan data should be read to construct the mosaic.

To access the calibration settings, click [Calibration Parameters].

The calibration settings set prior to loading the data are applied to all lines as they are loaded to the program. You can, however, apply different calibration settings to individual lines after the data has been loaded. To do this, select a line, click [Calibration Settings], enter the settings for that line and click [Close].

Calibration Parameters Dialog

•Offsets: These fields are automatically populated based on data read from the raw line files. If you surveyed with erroneous offsets, enter the correct offsets here. The program will implement the corrected offset information in its output. This will not affect the raw data.

Important: When you load corrected data (*.HS2, *.HS2X or *.GSF), the offsets are all zero. Do not re-enter your raw offsets; doing so double-corrects your data.

•Side scan options: Select the source from which GEOCODER should read each type of data.

•Heading defaults to Ship heading if towfish heading is not found.

•Navigation defaults to Ship position if towfish position is not found. Spline Decimation accounts for any curves in the track line in calculating the positioning of the swath.

•Altitude: We log only 1 altitude in the RSS record, which can be from your configuration. Select either ‘Ship’ or ‘Sensor’ to use the altitude data from the RSS record.

If you choose the ‘Bottom Detection’ option, GEOCODER uses its own algorithms to determine the bottom.

•Channels: Select the frequency GEOCODER should use.

•Layback:

•Apply the layback calculated during survey or

•‘Force’ GEOCODER to use a constant user-defined layback value.

•Runtime Parameters include information about your device settings (ex. pulse widths, power and gain). Normally, GEOCODER reads this information from your data files. If your data does not include this information, click the link and enter the values in the Runtime Parameters dialog. Any runtime parameters you enter will be ignored if the data already exists in your line files.

Runtime Parameters Dialog

•If you are working with Side Scan data, set applicable Side Scan options.

•Sensor Navigation designates whether the sensor is located on the main vessel (Ship) or the mobile (Sensor). Begin with a spline setting of 300 to smooth the track line.

•Sensor Altitude designates the source of the height of your sensor off the bottom.

•Ship if the data is read from a device driver assigned to the main vessel.

•Sensor the data is read from a device driver assigned to another mobile.

•Bottom Tracking uses a value calculated from your data in GEOCODER.

•Sensor Heading: Course Made Good provides smoother lines, while the other 2 options tend to result in abrupt, unrealistic changes in direction.

•Channels 1 and 2 are typically the high frequency data, while 3 and 4 are low frequency.

•Layback: If you are using ‘Sensor’ positioning, you may choose to apply layback.

•To elect to apply layback, check ‘Apply’.

•To apply a constant, user-defined layback value in place of the layback calculated during survey, check the ‘Force’ option and enter the layback value.


GEOCODER Mosaic Options

The mosaic options provide instructions for building the mosaic from the data you have loaded.

Mosaic Options Dialog

Extents displays the geographic range to be covered by the mosaic. It automatically adjusts to the full extents of all data that has been loaded to the project. However you can set your own area by editing the values and checking the Lock option.

To restore the values to the extents of the data, click the zoom extents button.

Tip: You can restrict your mosaic to the extents of the DTM by checking the Lock option after loading only the DTM. Or you may manually edit the values and lock them.

Pixels Size determines the resolution of the mosaic. A smaller pixel size increases the resolution, as well as the file size of the finished mosaic.

Style:

•No Nadir options: Eliminate the nadir data and underweights the defined percentage of the swath (10%, 25%, 50%) extending from the nadir. If your nadir data is noisy, this option will eliminate it. The remaining values are underweighted more toward nadir and progressively less outward from nadir to the defined percentage. Underweighting indicates data of less quality and affects the blending with overlapping data.

Nadir OK includes the data from the nadir beam in the mosaic.

No Nadir 10% (green), 25% (Aqua), 50% (Red), Nadir OK (Blue)

•Blend: Overlapping data is mixed based on the chosen style and Blend Percentage.

•Blend Percentage Slider: Affects the blending based on the relative weights of overlapping data. Once each value in each swath is weighted by your style option, the program compares the weights of the overlapping data. Logically, if the overlapping data is weighted equally, you would want both sets reflected in the blend. If, however, the data is weighted very differently, you would want the program to use the better data.

•With the slider far to the right, blending will almost always occur, even though their weighting is quite different.

•With the slider far to the left, the program will usually present the data from the data set with the greater weight.

•With the slider at a mid-range position, the two methods are combined.

•Mean: This is a straight average of overlapping data values.

•Fill Gaps: Data from the selected line is used only where there is no other overlapping data. This is useful if you have a line with a few gaps. You can re-run the same line, but remosaic using the second one to fill the spaces in the first.

•Overlay brings the selected line to the top when the mosaic is drawn.

•Delete omits the line from the mosaic. This option should only be applied to select lines. (If it were applied to all line, you would have no data left with which to build a mosaic.)

Tip: You can quickly preview possible changes to the mosaic layering w/ a quick keystroke combination. These options are for display purposes only and will revert to the true settings the next time the screen redraws (zoom, pan, change view option).
Alt + Double-click: Line drawn on top
Shift + Double-click: Line drawn on bottom
Ctrl + Double-click: Line omitted from the drawing.

•Assemble: You can elect to use data from port, starboard or both to build your mosaic.

•Start and Cutoff Angles, relative to nadir, define the range of beams to be included in your mosaic. This option allows you to omit noise around the nadir and at the outer edge.

•‘Apply’ options: When the program reads the side scan data, it separates the components. This enables you to choose which of them should be included in the mosaic. By default, TX Power RX Gain, Area Correction and Spherical Spreading are checked.

•AVG Filter: These options assume a flat bottom. Use ‘Trend’ to apply the DTM. Filter size is the number of pings affected by the AVG option. The default value is 300.


Saving your Mosaic from GEOCODER

A georeferenced TIF can be loaded to any HYPACK program that supports background charts. This allows you to display your mosaicked data in the context of your other project files.

You can choose to output only the mosaicked bottom image or a screen capture of the Mosaic window. The screen capture includes the track lines and the border around the mosaic, but the resolution is not as good as converting only the mosaic.

To save your mosaic as a geo-referenced TIF, select FILE-SAVE GRAYSCALE TIFF (or click [Save TIFF]), or select FILE-SAVE COLOR TIFF and provide a name. The chart file of only the mosaicked data will be saved with a TIF extension to the name and place you define.

Displaying a Geo-referenced TIF in HYPACK

To save a screen capture:

1.Set your TIFF output options in the Program Options dialog.

•Write GeoTif (embedded TFW).

•Write TFW file enables you to generate a separate file that contains coordinates that describe the location, scale, and rotation of the TIF. It is used by geographic information systems (GIS) software for locating areas in raster map images.

•Use LZW Compression: This is a lossless compression algorithm that significantly reduces the resulting file size without losing resolution of the image.

2.Select FILE-SAVE VIEW AS TIFF and provide a name.

TIF Screen Capture


MBProcessing_Intro

HYSWEEP

With so many sounding selection and final product programs, it can be a bit confusing, at first, to work out just what your task sequence should be between your raw data and your final product. The flowcharts provided in this manual, and in the HYPACK Help file (HELP-WORK FLOW GUIDES) should guide you along your way.

All multibeam or multiple transducer data should first be run through the 32-bit HYSWEEP EDITOR or 64-bit HYSWEEP EDITOR to apply corrections that may not have been applied during the survey and edit out bad data. The resulting output options include HS2 or HS2X format files, XYZ format files, filled matrix (*.MTX), and GSF format files.

Note:To run the 64-bit modules, you must install HYPACK on a computer with 64-bit capability.

HYPLOT, TIN MODEL and EXPORT use XYZ format to create their final products. CROSS SECTIONS AND VOLUMES requires channel template information to do its calculations. Since XYZ files contain no template data, we have to convert the XYZ format to All format by loading it, with a planned line file, into the TIN MODEL program and cutting sections where the TIN model and planned line intersect.

More Information

• Multibeam Processing Flowcharts

• 32-bit HYSWEEP EDITOR

• 64-bit HYSWEEP EDITOR

• Multibeam Quality Control Tests

• HYSWEEP CUBE

• GEOCODER With Multibeam Snippets

• Water Column Playback

• Stationary Topographical Laser Surveys

• MAPPER


32-bit HYSWEEP EDITOR

The 32-bit HYSWEEP EDITOR primarily reads raw or edited sounding files containing multibeam and multi-transducer data. If you are using raw data, it applies tide, draft and ray-bending corrections to the soundings to find corrected depth or elevation. The 32-bit HYSWEEP EDITOR displays all measurements graphically and provides a number of editing methods.

When editing is complete, the program saves the corrected and cleaned data for further work in the Sounding Selection and Final Product programs.

You must have a HYSWEEP license to run this program.

Before you begin your editing session, check the following items:

•Confirm that your geodetic parameters match those of your survey data.

•If you have not applied tide corrections during your survey, create a Tide Corrections file using the MANUAL TIDES or HARMONIC TIDES program.

•If you have not logged Sound Velocity during your survey, take a Sound Velocity cast and create a Sound Velocity file in the SOUND VELOCITY program.

More Information

• 32-bit HYSWEEP EDITOR Procedure

• Selecting Sounding Files in the 32-bit HYSWEEP EDITOR

• File Open Options in the 32-bit HYSWEEP EDITOR

• Corrections in the 32-bit HYSWEEP EDITOR

• Read Parameters in the 32-bit HYSWEEP EDITOR

• Windows in the 32-bit HYSWEEP EDITOR

• Display Settings in the 32-bit HYSWEEP EDITOR

• Recalculating Position from RAW Data

• Recalculation of POSMV Survey Data from POSPac Raw Data

• Overlaying a Channel Plan File in the 32-bit HYSWEEP EDITOR

• Creating Targets in the 32-bit HYSWEEP EDITOR

• Search and Filter Options in the 32-bit HYSWEEP EDITOR

• Editing Data in the 32-bit HYSWEEP EDITOR

• File Information in the 32-bit HYSWEEP EDITOR

• Restoring Deleted Soundings in the 32-bit HYSWEEP EDITOR

• Saving Edited Multibeam Survey Files

• Multibeam Quality Control Tests

• PWC File Splitter


32-bit HYSWEEP EDITOR Procedure

1.Open the 32-bit HYSWEEP EDITOR by selecting HYSWEEP- 32-bit HYSWEEP EDITOR or by clicking the icon.

32-bit HYSWEEP EDITOR Shell

2.If you have XTF files, use the XTF to HSX Conversion Tool to convert them to the HSX format that the 32-bit HYSWEEP EDITOR recognizes.

3.Select your Soundings file . The 32-bit HYSWEEP EDITOR can read a Catalog file (*.LOG), which is a list of several data files, or a single data file. the 32-bit HYSWEEP EDITOR can read either raw or edited soundings. It is intended for use with multibeam and multiple transducer data. The File Options dialog will appear next.

•Select FILE-OPEN (or using F2) and browse for your files.

•Select your input files in the File Items list and drag them to the toolbar icon.

4.Set file options. These are some basic choices about how the 32-bit HYSWEEP EDITOR will read and save the data.

5.Enter your corrections.

•If you are working with raw data and have not applied tide corrections during your survey, select the tide corrections (*.TID) file to which you want to apply the data.

•If you are working with raw data and have not applied sound velocity corrections during your survey, select the sound velocity corrections (*.VEL) file to which you want to apply the data.

6.If you are working with raw data, set your read parameters. This enables you to apply pre-filtering and perform other operations on the data as it is read into the editor.

7.Examine and edit your data. This is a three phase process. Each phase will automatically display the windows as described but you can access any window at any time through the View menu options.

a.In Phase One, examine and edit the graphs representing corrections and track lines.

b.Convert raw data to corrected by selecting FILE-CONVERT RAW TO CORRECTED.

c.In Phase Two, graphically examine the soundings. Scroll through the survey lines by using the arrow buttons, making any necessary corrections for each sweep. Repeat the editing process for each selected survey line until you have edited all of your data.

d.Grid your data by selecting FILE-FILL MATRIX (or click the icon). The Matrix Options dialog will appear. You can choose to use a Matrix file that has been created in the MATRIX EDITOR. Otherwise, you may choose to allow the 32-bit HYSWEEP EDITOR to set the matrix dimensions, and rotation while you choose the cell dimensions.
The edited data will be filled into the matrix and displayed in the Cell, Profile and Survey Windows that follow.

e.Set your Search and Filter Options. These criteria are used in the next editing phase to search out cells with data outside of the specified limits. You can evaluate each instance yourself or instruct the 32-bit HYSWEEP EDITOR to delete all points outside the limits.

f.In Phase Three, view and edit any additional points in the Cell, Profile and Survey Windows. You can view the data a little more closely and from all angles in these windows. The same editing tools used together with the Search and Filter feature are effective in cleaning up any stray points.

8.Save the final edited data. FILE-SAVE will save the data, in the format specified in the File Options, to the Edit directory unless you choose to perform an XYZ reduction. In this case, it will be saved to the Sort directory. FILE-SAVE TO MATRIX saves a filled Matrix File to the project directory.

9.Exit the 32-bit HYSWEEP EDITOR by selecting FILE-EXIT.

More Information

• Selecting Sounding Files in the 32-bit HYSWEEP EDITOR

• File Open Options in the 32-bit HYSWEEP EDITOR

• Corrections in the 32-bit HYSWEEP EDITOR

• Read Parameters in the 32-bit HYSWEEP EDITOR

• Windows in the 32-bit HYSWEEP EDITOR

• Display Settings in the 32-bit HYSWEEP EDITOR

• Search and Filter Options in the 32-bit HYSWEEP EDITOR

• Editing Data in the 32-bit HYSWEEP EDITOR

• Saving Edited Multibeam Survey Files


Selecting Sounding Files in the 32-bit HYSWEEP EDITOR

Select FILE-OPEN to call up an open dialog. The default directory will be the project file. The 32-bit HYSWEEP EDITOR works with multiple file formats. Multibeam data can be read from any of the following:

•HYPACK Raw Data: Multibeam (and single beam) files collected by the HYPACK SURVEY program. Multibeam raw files have the HSX extension.

•HS2 Format: Files edited and saved by the 32-bit HYSWEEP EDITOR. This format retains all data and can be reloaded for further editing into the 32-bit HYSWEEP EDITOR. They also can be corrected for invalid offsets, mounting angles, sound velocity, etc so it's smart to save this format when your editing is complete.

•XYZ is the format used in the sounding Selection and Final Products programs.

You may select either individual files or a catalog file. A catalog file is a list of individual data files. If a catalog file is selected, the 32-bit HYSWEEP EDITOR reads the file and provides you with a list of files in the catalog.

Selecting your files in the 32-bit HYSWEEP EDITOR

You can include all of the line files by clicking [Select All] or you can include individual files by highlighting them and clicking [Select].

Note:The 32-bit HYSWEEP EDITOR can handle a maximum of 512 lines at a time.

The 32-bit HYSWEEP EDITOR will default to the next selected file in the list every time you scroll to the next line file number in the Line field at the end of the 32-bit HYSWEEP EDITOR toolbar. This list will also be used to track which files have been edited.

Tip: Use alternative drag-and-drop loading: drag files from the Project Files list to the 32-bit HYSWEEP EDITOR icon on the tool bar.


File Open Options in the 32-bit HYSWEEP EDITOR

Once you have selected the files to be included in the edit, the 32-bit HYSWEEP EDITOR provides you with some options for reading and storing your sounding data.

The File Options Dialog

Vertical Basis determines depth or elevation mode where elevation mode will invert the soundings.

Auto Processing skips phase 1 and 2 editing. Tide and Sound Velocity corrections are applied and the soundings are gridded into a matrix. The results are displayed in the Survey, Profile and Cell windows, ready for Phase 3 editing. Check Apply Filters to also delete all points in the entire data set that fall outside the filter limits set by the Search and Filter Options.

Click [Search and Filter Options] to set the criteria used in auto-processing.

Beware! No computer program can replace human intelligence and common sense when it comes to editing data. Use this feature with caution!

Log Edit Transactions to MBEditLog.txt creates a record of the following values:

•Files Loaded

•Correction Files

•Search and Filter Options

•Files Saved

•Vertical Basis

•Read Parameters

•Fill Matrix Options


Corrections in the 32-bit HYSWEEP EDITOR

The 32-bit HYSWEEP EDITOR enables you to work in depths or elevations, applying Tide, Draft and Sound Velocity Corrections along the way.

Corrected Depth = Tide Correction + (Raw Depth + Transducer Depth Offset + Draft Correction)

Corrected Elevation = Tide Correction - (Raw Depth +Transducer Depth Offset + Draft Correction)

If you are working with raw data, the Corrections dialog enables you to apply tide and sound velocity corrections to your edited data.

Corrections Dialog

•Set your Tide Corrections.

•Set your Sound Velocity Corrections

•Set the Echosounder value to the sound velocity setting the transducers were using while collecting data.

•Apply Corrections to Entire Catalog enables you to use the same set of corrections for all of your selected files. If this is not checked, the 32-bit HYSWEEP EDITOR will ask you to set corrections for each survey line loaded. Set the corrections for the line named in the title bar and click [Next]. The Corrections dialog will appear once for each selected line.

Draft Corrections: Static draft is included in your echosounder calibration. Dynamic draft is logged to your raw data files during survey.

More Information

• Tide Corrections in SURVEY

• Sound Velocity Corrections

• Extracting Tide and Sound Velocity Data in the 32-bit HYSWEEP EDITOR

• Calibrating your Hardware

• Draft Corrections in SURVEY

• Tide (Water Level) Corrections


Tide Corrections in the 32-bit HYSWEEP EDITOR

Tide Corrections are usually read from Tide Files (*.TID) created by the MANUAL TIDES or HARMONIC TIDES PREDICTION programs. They may also be read from Raw Survey files that have tide information in their headers.

Tide Corrections relate raw soundings to the chart (low water) datum. When creating a tide file for depth mode, enter tide values as negative numbers. When creating a tide file for elevation mode, enter tide values as positive numbers. Units are according to those selected under Geodesy (feet or meters).

• Applying Tide Corrections in the 32-bit HYSWEEP EDITOR

• Interpolating Tide Corrections from Multiple Tide Gauges

• Offsetting Tide Corrections

• Recalculating RTK Tides from RAW Data in the 32-bit HYSWEEP EDITOR

Applying Tide Corrections in the 32-bit HYSWEEP EDITOR

If tide corrections were not recorded during your survey or you need to change your tide corrections, select a tide file in the corrections dialog.

1.Click [Open File] in the Tide File section and choose the TID file from the file selection dialog.

2.Check the ‘Apply to all files in the catalog’ option.

Alternatively, after the data has loaded to the 32-bit HYSWEEP EDITOR, you can select TOOLS-TIDE ADJUSTMENTS-TIDE FILE and select a TID file from the file selection dialog.

Note:Loading a TID file in the 32-bit HYSWEEP EDITOR will override tide corrections stored in your raw data or overwrite any tide corrections value previously saved in your edited data.

Return to Top

Interpolating Tide Corrections from Multiple Tide Gauges

The center line and three-point tide adjustment tools interpolate tide correction values from multiple tide gauges. These tools are available in the single beam and HYSWEEP editors to adjust the tide data of the edited output files.

• Center Line Tide Adjustment

• Three Point Tide Adjustment

Center Line Tide Adjustment

The center line method is for surveys where the tide gauges are in a line along a river or coastline. This method interpolates tide correction values, based on the distances along a line between gauges.

You will need:

•A *.TID file for each gauge location

•The distance of each gauge along the center line.

•A *.LNW file that contains just the center line (limited to 1000 waypoints).

•The data files to adjust.

River with 3 Tide Gauges and a Center Line LNW File

1.Select the files you want to adjust in the files list.

2.Start the program by selecting TOOLS–TIDE ADJUSTMENTS-CENTER LINE METHOD.

If you have not selected all of the loaded files in the list, a confirmation dialog will appear for you to confirm your intentions:

•To edit the lines selected in the file list, click [Selected Lines].

•To edit all files currently loaded, click [All Lines].

•To change your selection in the files list, click [Cancel] and begin again.

The Tide Adjust dialog window appears next.

Tide Adjust Dialog

3.Enter the name of the *.LNW file that has your center line (and nothing else). Click [Open File] below the LNW File field and select the file name from the File Select dialog.

4.Enter the names of the *.TID files. For each Tide file, place your cursor in the first available cell in the table, click [Open File] under Tide Stations and select the tide file from the file selection dialog.

5.Enter the Chainage (and their distances along the center line) for each tide file.

6.Correct the soundings by clicking [Adjust Tides]. The program will assign tide correction values only to the edited files. It does not change the raw files.

Three Point Tide Adjustment

The three point method is for survey areas with 3 tide gauges around the area. This method creates a triangular tidal surface between the three stations to generate a correction at the vessel position.

Note:For best results, your survey area must lie within the triangular area defined by the three tide stations.

Tide Adjustments - 3 Point Method

1.Start the program by selecting TOOLS–TIDE ADJUSTMENTS-3 POINT METHOD. The 3-Point Method dialog will appear.

Tide Adjustments Dialog

2.Enter the names of the *.TID files. For each tide file, place your cursor in the first available cell in the table, click [Open File] and select the tide file from the file selection dialog.

3.Enter the position of each tide gauge for each tide file.

4.Correct the soundings by clicking [Adjust Tides]. The program will assign tide correction values only to the edited files. It does not change the raw files.

Return to Top

Offsetting Tide Corrections

If, once you load your tide corrections, you discover that they are all off by a constant amount, this tool enables you to shift each tide correction by the same user-defined amount.

1.In the Survey Files List, select the files you want to adjust.

2.Select TOOLS-TIDE ADJUSTMENTS-TIDE OFFSET.

If you have not selected all of the loaded files in the list, a confirmation dialog will appear for you to confirm your intentions:

•To edit the lines selected in the file list, click [Selected Lines].

•To edit all files currently loaded, click [All Lines].

•To change your selection in the files list, click [Cancel] and begin again.

The Tide Offset dialog appears next.

Tide Offset Dialog

3.Enter the amount, in survey units, that you need to adjust the tide corrections. This value will be added to the current tide correction for each sounding so, if you need to decrease the tide correction, enter a negative number.

4.Click [OK]. The graph in the Tide and Draft Corrections window will update automatically. In the Spreadsheet window, click the [Refresh] button to display the updated tide values.

Return to Top

Recalculating RTK Tides from RAW Data in the 32-bit HYSWEEP EDITOR

The Raw File Adjustments routine corrects raw data logged with incorrect geodesy, KTD (Kinematic Tide Datum), or with the GPS configured without the Tide function selected.

It recalculates horizontal positioning based on the current geodesy settings and the RAW messages in your raw data files. If your hardware configuration includes more than one positioning device (mobile), SURVEY automatically reads the position from the first positioning device in the configuration. Using this routine you can recalculate the positioning based on the positions from other positioning devices in the configuration.

If your project is configured for RTK tides, it can also recalculate the RTK tide data.

1.Load your raw data to the 32-bit HYSWEEP EDITOR.

Important: In the Corrections dialog, leave the Tide Corrections option blank. In the 32-bit HYSWEEP EDITOR, this TID file overrides all other tide correction calculation methods.

2.In phase one editing, select TOOLS-HYPACK RAW FILE ADJUSTMENTS. The Raw File Adjustments dialog will appear.

Raw File Adjustments Dialog - RTK Tides Tab

•Check the ‘Recalculate RTK Tides Using HYPACK Geodesy’ option.

•Select the device from which you collected the data to be recalculated.

3.Click [Adjust].

4.Return to the 32-bit HYSWEEP EDITOR by clicking [Close].

Return to Top


Sound Velocity Corrections in the 32-bit HYSWEEP EDITOR

Sound Velocity Corrections files are generated in the SOUND VELOCITY program and contain depth vs sound velocity data in survey units. They are used to correct soundings for variations of sound in the water column. In most shallow-water, small-boat surveys, the echosounder is calibrated for the range of soundings encountered and no sound velocity corrections are needed. For multibeam surveys and deep-water surveys, sound velocity corrections are used to provide more accurate soundings. Typically, you will perform one or more sound velocity casts in your project area. You can import the data to the SOUND VELOCITY program which generates the sound velocity corrections (*.VEL) file for post-processing.

In the multibeam editors, provide multiple methods to apply sound velocity corrections. The Ray Tracing option is implemented in the Read Parameters dialog.

•Line Method: Sound velocity corrections are not interpolated; the same sound velocity value is assigned to all depths in the same depth range.

•Arc method. The arc method assumes a constant velocity change between V1 and V2 which calculates an arced ray path.

•Autoselect automatically selects the most appropriate method according to your depths and the spacing of your sound velocity measurements.

The program can read up to 48 sound velocity correction files and apply interpolated corrections based on these depth-sound velocity pairs in place of those recorded during the survey.

•Apply one VEL file to all data in your survey. Use this option if the sound velocity profile in your survey area is uniform.

•Apply one VEL file to select lines. This option enables you to edit data from multiple files, and perhaps from multiple surveys, in one session.

•Interpolate between multiple VEL files. If you take multiple sound velocity casts over the course of the day as you survey, just select all data files and load all of the VEL files. The program will interpolate the corrections based on the time in the VEL files over the course of the day.

In addition, if your sonar outputs a surface sound velocity correction value, Adjust SV Profile Each Ping in the Read Parameters, enables you to replace the first correction value in your sound velocity profile (at the level of the transducer head) with the surface value supplied by the sounder.

To Assign One Sound Velocity File to All of your Data:

1.Click [Open File] in the Sound Velocity Corrections section and choose the VEL file from the file selection dialog.

2.Check the ‘Apply to all files in the catalog’ option.

To Assign Different Sound Velocity Files to Individual Data Files within the Catalog:

1.Click [Open File] in the Sound Velocity Corrections section. A File Select dialog will appear.

2.Choose the VEL file (and other corrections) for the line displayed in the title bar of the Corrections dialog.

3.Clear the ‘Apply to all files in the catalog’ option and click [Open].

4.Click [Next Line]. The title bar will display the next line name in the catalog.

5.Repeat the process until you have loaded a VEL file for each data file in your catalog.

To Interpolate Between Multiple Sound Velocity Files:

1.Click [Open File] in the Sound Velocity Corrections section. A File Open dialog will appear.

2.Hold the Ctrl key and select each VEL file for the day. (The program supports up to 48 files). Click [OK]. The Arrange SV Profiles dialog will appear listing each VEL file and the time based on the Windows® Date Modified field.

Arrange SV Profiles Dialog

3.Modify the times to reflect the time of the cast where necessary.

4.Click [OK].

Important: The corrections are assigned based on time so you should edit your data one day at a time.

Important: When you load multiple sound velocity files the 32-bit HYSWEEP EDITOR calculates interpolated values based on the time tag of each ping. The Sound Velocity Profile window draws each sound velocity profile in a different color and graphs the interpolated values in white.

Interpolating Between Multiple VEL Files

If you have loaded multiple VEL files into the 32-bit HYSWEEP EDITOR, all of the information will be stored to the header of the saved HS2 files. If you later load these files back to the 32-bit HYSWEEP EDITOR, the results will be the same.

Later, in phase 2 editing of the 32-bit HYSWEEP EDITOR, if you suspect errors in the sound velocity profile, the Sound Speed Adjustment tool enables you to adjust your profile to remove the telltale ‘smile’ or ‘frown’ shape of your sounding swaths.

More Information

• Sound Velocity Corrections

• Sound Velocity Corrections in HYSWEEP SURVEY

• Correcting your Sound Velocity Profile with the Sound Speed Adjustment Tool


Extracting Tide and Sound Velocity Data in the 32-bit HYSWEEP EDITOR

Tide and sound velocity corrections, recorded to the raw data files are saved to TID and VEL records respectively. They are applied to the sounding data based on the time stamps in each record.

The 32-bit HYSWEEP EDITOR Export dialog enables you to extract either the tide or sound velocity corrections from each data file loaded to the editor.

Exporting Tide Data

1.Select the line from which you want to export the data using the arrows in the 32-bit HYSWEEP EDITOR shell.

2.Access the Export dialog by selecting FILE-EXPORT.

32-bit HYSWEEP EDITOR Export Dialog

3.Set the time interval, in minutes, that you want between each tide record in your exported file.

4.Set how the exported value will be determined.

•Use Average Tide exports the mean value of the tides over the user-defined time interval.

•Without Use Average Tide, it exports the tide value that occurs at the user-defined time interval.

5.Click [Save to TDX File...]. The tide corrections data will be saved, by default, to the project folder with a TDX extension. You may then load the TDX file to the MANUAL TIDES program to generate a HYPACK tide corrections file (*.TID) for use in other HYPACK modules.

Exporting Sound Velocity Corrections

1.Select the line from which you want to export the data using the arrows in the 32-bit HYSWEEP EDITOR shell.

2.Access the Export dialog by selecting FILE-EXPORT.

3.Click [Save Line to VEL File...]. The Sound Velocity data from the selected line will be saved, by default, to the project folder with a VEL extension.


Draft Corrections in the 32-bit HYSWEEP EDITOR

The 32-bit HYSWEEP EDITOR includes a dynamic draft routine with which you can apply new draft corrections based on the speed over ground.

Important: It is best to edit bad positions as necessary before running the adjustment to provide the most accurate speed information for the adjustment.

1.Select TOOLS-DRAFT ADJUSTMENTS.

2.Enter the draft correction values (in survey units) versus speed (in knots).

3.Graph your adjustments (Optional) by clicking [Graph].

Squat and Settlement Corrections Table

4.Click [Adjust]. The 32-bit HYSWEEP EDITOR calculates the dynamic draft correction from boat speed (from GPS via HYSWEEP SURVEY) and the table.


Read Parameters in the 32-bit HYSWEEP EDITOR

The Read Parameters Dialog follows the Corrections Dialog. Set your options in each tab then click [Finish] to continue.

More Information

• Selections Tab in the 32-bit HYSWEEP EDITOR Read Parameters

• Device Information in the 32-bit HYSWEEP EDITOR Read Parameters

• Survey Information in the 32-bit HYSWEEP EDITOR Read Parameters

• Presort Tab in the 32-bit HYSWEEP EDITOR Read Parameters

• GPS Pre-Filter Settings in the 32-bit HYSWEEP EDITOR

• Advanced Read Parameters in the 32-bit HYSWEEP EDITOR


Selections Tab in the 32-bit HYSWEEP EDITOR Read Parameters

In the Selections Tab, you select the devices to use for navigation, heading, heave and pitch/roll data, tide corrections and one or more devices to use for sounding data. If you have side scan data, load it by checking the ‘Load Sidescan’ box.

Read Parameters-Selections Tab


Device Information in the 32-bit HYSWEEP EDITOR Read Parameters

The Device Information tab displays settings for each device in your project. Select the device of interest from the drop-down box at the left. You can view the record capabilities that were set in the hardware configuration at the left, and view or modify the Offsets at the right. Any changes you make here will be applied to all currently selected files.

Device Information Window

The drop-down list under ‘Offsets’ provides separate options for position and RTK Tide antenna offsets. This enables you to use separate systems for position and tide.

Note:Editing the offsets will affect only the edited data. It will not affect raw data.

Tip: If you will be running multiple sets of data using the same offsets, you can save your current offset settings for easy reload.

[Save As Default] provides a dialog where you can name your offsets configuration to an *.INI file.

•To automatically reload the current default offsets next time you load files, check ‘Always Read Default Offsets File’.

•To manually load a set of offsets saved to an *.INI file, click [Read Defaults], and select the file with the correct defaults saved.


Survey Information in the 32-bit HYSWEEP EDITOR Read Parameters

The Survey Information tab displays some basic project information entered during SURVEY.

Min Depth deletes all soundings shoaler than the limit.

Max Depth deletes all soundings deeper than the limit.

Port and Starboard Angle Limits deletes data from transducers with a beam take-off angle greater than the specified limit.

The Quality Limit deletes all soundings with a quality number less than the limit.

Read Parameters—Survey Information Tab


Presort Tab in the 32-bit HYSWEEP EDITOR Read Parameters

If your data collection is too dense, the Presort dialog allows you to discard 1/2, 2/3, 3/4 or 9/10 of the collected sweeps.

To thin the data set somewhat, choose the percentage of data you feel you can discard and still maintain an accurate picture of your survey area.

Read Parameters—Presort Tab

Tip: This is not our favorite method to reduce data sets. We prefer using the MAPPER program for this but, nevertheless, this option is still available.


GPS Pre-Filter Settings in the 32-bit HYSWEEP EDITOR

The GPS Pre-filter Tab options enable you to omit position and RTK tide data as it is read into the 32-bit HYSWEEP EDITOR. Any data that does not meet the criteria set in this tab will be edited out for you before anything is displayed in the data windows.

GPS Pre-Filter

Accepted GPS Modes: List GPS modes for which you want to read data. If the GPS mode does not match any of the specified values, the POS or TID record will be omitted from being read into the editor. Values may be separated by commas or spaces.

Minimum Number of Satellites: If the number of satellites recorded in the quality information is less than the user-specified number, the POS or TID record will be omitted from being read into the editor.

Maximum HDOP: If the HDOP recorded in the quality information is more than the user-specified number, the POS or TID record will be omitted from being read into the editor.

Minimum Speed over Ground (Kts): If the speed calculated ((pos2-pos1)/time) is less than the user-specified speed, the POS record will be omitted from being read into the editor.

Maximum Speed over Ground (Kts): If the speed calculated ((pos2-pos1)/time) is more than the user-specified speed, the POS record will be omitted from being read into the editor.


Advanced Read Parameters in the 32-bit HYSWEEP EDITOR

The Advanced tab provides an opportunity to set preferences for RTK Water Level processing and Motion Reference Unit (MRU) options.

The Advanced Read Parameters Tab

The RTK Tides checkbox tells the program you want to calculate water level corrections using RTK GPS elevation. If this box is selected, the two items below it become active to specify the basis for the calculation. For RTK Tides to accurately determine water levels, you must have used an RTK-capable device driver (GPS.dll, F180.dll or POSMV.dll). And provided data about the separation of the Chart Datum and Reference Ellipsoid in your project area using a KTD (Kinematic Tide Datum) file, the VDatum database or an Orthometric Height Correction. You must also check the RTK Tides option in the Tide area of the Devices tab of the Read Parameters.

The Average Tide Data to Remove Heave method averages the RTK elevations over a user-specified Average Period to remove the effects of heave for the tide data.

The Merge Tide Data with Heave method uses the RTK elevation as the starting point. It then uses the heave data received to determine the antenna height, until the next RTK elevation is received. The accuracy of your GPS latency setting affects the accuracy of this method.

Both methods give similar results. The averaging method seems to be preferable, particularly if your survey boat is in rough waters.

The MRU options let you specify how the heave information from a motion reference unit (MRU) will be applied.

Correct for Induced Heave is used when the MRU is not mounted at the survey vessel’s pivot point. In this case, the heave measurement is affected by the pitch (if the MRU is mounted forward or aft of the pivot point) or roll (if it is mounted port or starboard). This is known as induced heave. A check in this box tells HYPACK to determine a heave correction for every sounding to compensate for this difference.

Induced Heave is caused when the MRU is not mounted at the pivot point of the boat

Remove Heave Drift smooths the heave in areas where it was affected by factors such as turning, acceleration and deceleration. This should not be necessary under ideal conditions and your helmsman takes care to:

•Turn the vessel outside of the survey area so that the vessel starts the line heading straight down line.

•Drive at a constant speed while logging.

However, depending on where you are surveying, you may not have ideal conditions. Other boat traffic or obstructions mid-line may force you to pause and turn off line. This option attempts to normalize the heave.

This method assumes that, over time, heave will average out to zero. The HYSWEEP calculations look at each heave sample. An average is calculated for the sample using heave before and after. The number of samples before and after depends on the Averaging Period entered in Advanced Read Parameters. For example, a 12 second period, the average is taken from six seconds before to six seconds after. If heave doesn’t average to zero, the average is added to the sample to make it so for each period until all heave drift is removed.

This is a mathematical approximation of what the heave should have been. In such cases, your results will be better than if you use the exaggerated heave values or use heave equal to zero.

Note:This option affects your entire data set. You can apply the same process over selected sections of your data set by manually editing in the Heave window during Phase 1 editing.

Invert Pitch and Roll: Typically this option will be cleared. It reverses a similar inversion that could be made in error in your motion sensor setup in HYSWEEP HARDWARE.

Adjust SV Profile Each Ping Using SV at the Sonar Head: Some sonars output a surface sound velocity correction value. This option replaces the first correction value in your sound velocity profile with the value supplied by the sounder.

Fixed Number of Beams accommodates echosounders that allow you to change the number of beams in use.

•If you have used this feature to limit the number of beams for the entire survey you can enter that number here.

•If you have used this feature during Survey, changing the number of beams one or more times, or if you are unsure how many beams were used, enter the maximum number of beams available in the system.

Ray Tracing is only important if your survey depths exceed 50 feet (15m). It determines the method the 32-bit HYSWEEP EDITOR uses to calculate the effect of refraction caused by changes in sound velocity. The 32-bit HYSWEEP EDITOR offers two methods with which to calculate the path of the sounding beam:

•Line Method assumes the sound velocity in each layer is constant, which means the sounding beam is straight except at the transition between one sound velocity layer and the next. Although water doesn’t behave this way, the calculation is twice as fast and it is a very good approximation when layer thickness is small. This method is recommended in water depth of 50 meters or less with velocity measurements spaced less than 2 meters apart.

Line Ray Tracing

Select this option to force the 32-bit HYSWEEP EDITOR to use this method.

•Arc Method assumes a constant velocity change between V1 and V2. Then the ray path is an arc.

Use this option when your soundings are deeper than 50 meters, or with velocity measurements more widely spaced than two meters.

Arc Ray Tracing

Select this option to force the 32-bit HYSWEEP EDITOR to use this method.

•Auto Select: This option automatically selects the most appropriate method according to your depths and the spacing of your sound velocity measurements.

More Information

• Real Time Kinematic (RTK) Tide Corrections

• Block Editing in the Heave Window


Windows in the 32-bit HYSWEEP EDITOR

Several windows are used through the three phases of multibeam editing. The 32-bit HYSWEEP EDITOR presents them in the phases during which they are most useful, however you can display them at any time by selecting them through the View menu.

All of the displays are synchronized; click anywhere in the graphs and the cursor points in the other windows will update to coincide with the new position. You can use your mouse to reposition the cursor or use the arrow icons to scroll through your position points. The information in the status windows pertain to the current cursor point position.

Most procedures initiated from the many display windows are done with the click of an icon. Hold the cursor over any icon to display a short description.

More Information

• The 32-bit HYSWEEP EDITOR Shell

• Sound Velocity Profile Window in the 32-bit HYSWEEP EDITOR

• Pitch, Roll and Heading Window in the 32-bit HYSWEEP EDITOR

• Heave Window in the 32-bit HYSWEEP EDITOR

• Tide and Draft Corrections Window in the 32-bit HYSWEEP EDITOR

• Survey Window in the 32-bit HYSWEEP EDITOR (Phase 1)

• Sweep Windows in the 32-bit HYSWEEP EDITOR

• Side Scan Window in the 32-bit HYSWEEP EDITOR

• Sounding Information Window in the 32-bit HYSWEEP EDITOR

• Survey Window in the 32-bit HYSWEEP EDITOR (Phase 3)

• Profile Window in the 32-bit HYSWEEP EDITOR

• Cell Window in the 32-bit HYSWEEP EDITOR


The 32-bit HYSWEEP EDITOR Shell

The shell is the central control for the 32-bit HYSWEEP EDITOR. It provides the menu bar and a series of icons that provide shortcuts to several menu selections.

32-bit HYSWEEP EDITOR Shell

The title bar of the 32-bit HYSWEEP EDITOR shell displays the phase of the three-phase editing process in which you are currently working and the files you have loaded to the program.

The file currently displayed in the editing windows is shown in the field to the right. If you have loaded a catalog file, you can scroll through the files in the catalog by using the left and right arrows on the shell. Typically you would edit the first line then use the right arrow to move on to the next one.


Sound Velocity Profile Window in the 32-bit HYSWEEP EDITOR

The Sound Velocity Profile Window graphs the sound velocity corrections information, which is either embedded in the header of each raw multibeam data file (*.HSX) or contained in the VEL file (or files) loaded in the Corrections dialog. It shows velocity variation with depth. The average correction value from the profile and the sonar setting are shown in the status bar.

Sound Velocity Profile Window


Pitch, Roll and Heading Window in the 32-bit HYSWEEP EDITOR

The Pitch, Roll and Heading window appears during phase one of editing. It shows the pitch, roll and heading in time series. Comparing the heading graph with the navigation graph can show a gross error in gyro calibration. The graphs show a faulty sensor readily and give a good idea of wave dynamics at the time of the survey.

Pitch, Roll and Heading Graphs

Position the cursor over any of the graphs. The Status Bar will display the Line Azimuth, Time and the value in the graph indicated.

To view the average heave, pitch and roll:

Click and drag a box around the portion of the data you want to know about and click the Block Average Icon. The Average dialog will display the number of samples and the average heave, pitch and roll values included in the time span defined by your box.

Average Dialog

Pitch correction is applied at ping time (the same for all beams) and roll correction is at receive time (different for each beam) as you advance to Phase Two.


Heave Window in the 32-bit HYSWEEP EDITOR

The Heave window shows heave, in time series format. The graphs readily show a faulty sensor and heave drift, and give a good idea of wave dynamics at the time of the survey.

Heave graph

To view the average heave, pitch and roll:

Click and drag a box around the portion of the data you want to know about and click the Block Average Icon. The Average dialog will display the number of samples and the average heave, pitch and roll values included in the time span defined by your box.

Average Dialog

It is important to edit heave drift. This is typically found at the start and end of survey lines or where there are sharp curves in your survey lines. A survey boat traveling a bit too fast could create this effect.


Tide and Draft Corrections Window in the 32-bit HYSWEEP EDITOR

The Tide and Draft Corrections Window appears by default in phase one. It shows tide and draft corrections in time series. The Tide and Draft graphs are independently editable.

Tide and Draft Corrections Window


Survey Window in the 32-bit HYSWEEP EDITOR (Phase 1)

The Survey window displays a map view of your data files. You may choose to also display the corresponding charts, planned lines and track lines. The Survey window appears in phases one and three of the editing process. The status bar shows the XY coordinates, time and the QC statistics (HDOP, Number of Satellites and GPS Mode) to help guide editing decisions.

Survey Window During Phase 1 Editing

More Information

• Survey Window Display Settings in the 32-bit HYSWEEP EDITOR


Sweep Windows in the 32-bit HYSWEEP EDITOR

The Sweep windows show your data in map view. The top display shows several sweeps at a time according to the number of sweeps specified at the top right. The lower display shows one sweep at time. The cursor positions in these windows are synchronized to each other and with the other 32-bit HYSWEEP EDITOR windows.

You may want to view only one Sweep window, but some users felt it would be useful, at times, to view the same data from more than one angle at a time. The view angles in the Sweep windows can be changed independently of each other, while maintaining synchronized cursor positions.

Sweep Window

Use the Rotate/Pan Tool (hand icon) to adjust the positioning of your data in the display window.

Zoom in and out using your ‘+’ and ‘-’ keys respectively or with your mouse wheel.

The Zoom Extents Icon draws your entire data at the original orientation.

Use the View Angle slider to rotate the data for optimal viewing. The arrow buttons on each end of the slider quickly change the angle from 0 to 90 degrees.

More Information

• Sweep Window Display Settings in the 32-bit HYSWEEP EDITOR


Side Scan Window in the 32-bit HYSWEEP EDITOR

If you have loaded corresponding side scan data, you can view it by clicking the ‘Show Side Scan’ icon in the Sweep window. Arrows at either side of the side scan display indicate the current cursor position in the Sweep Window.

Side Scan Window

Display controls can be accessed through the icon in the Side Scan window to optimize this display.

All functions in this dialog are the same as in SIDE SCAN SURVEY. You can use the Color Preview window, which is displayed with the Side Scan Controls, to preview the effects of your display settings.

More Information

• Setting Display Options


Sounding Information Window in the 32-bit HYSWEEP EDITOR

The Sounding Information window displays data about the point at which the cursor is positioned in the Sweep Window.

Sample Sounding Information Window


Survey Window in the 32-bit HYSWEEP EDITOR (Phase 3)

The Survey Window reappears in phase three of the editing process, displaying your soundings in a matrix.

Survey Window in Phase Three Editing - Zoom Extents (left) and Rotated on two axes (right)

In the Survey window, you can point edit, block edit and trim the soundings with a border file. In phase 3, Search and Filter Options are also useful to search out the last points that may need to be removed.

The display will be oriented in the Survey window so the horizontal cross hair will always mark the location of the cross section viewed in the Profile window.

Position the cursor by clicking anywhere in the Survey window display. The cursors in the Profile and Cell windows will update to coincide with the new position. The information in the status windows pertains to the current cursor position. You may also drag the cursor to measure the distance and azimuth between two points.

More Information

• Survey Window Display Settings in the 32-bit HYSWEEP EDITOR


Profile Window in the 32-bit HYSWEEP EDITOR

The Profile Window displays cross sections of the sounding data. They are displayed by row or column in the matrix as designated in the Profile Tab in View Options. You may also set the colors to designate depth or survey line number or to appear in black and white in the View Options.

Profile Window

More Information

• Profile Window Display Settings in the 32-bit HYSWEEP EDITOR


Cell Window in the 32-bit HYSWEEP EDITOR

The Cell window is used to view and edit edited survey data. It displays the data in the matrix cell corresponding to the cursor position in the Survey and Profile windows and which is defined in the status bars.

Cell Window

You can scroll through your data one matrix cell at a time using the arrow buttons. The displays in the Survey and Profile windows will update accordingly.

If you want to change the rotation and angle of the view, use the Rotation and Angle slides.

You can also view the data from the eight adjoining cells by clicking on the ‘Include Neighboring Cells’ button. You can edit any data that is showing.

Statistics about the current cell are shown at the bottom left. They are automatically updated after any changes are made.

•Samples: The total number of soundings in the cell.

•Range: The minimum and maximum depths in the cell.

•Average: The average of the depths in the cell.

•Sigma: The standard deviation of the depths of the cell.

•Median: The median depth value of the cell.

•Mode: The mode depth value of the cell.

The Depth Histogram shows the percentage of readings at each depth reading. The bin size is defined below the graph.

More Information

• Cell Window Display Settings in the 32-bit HYSWEEP EDITOR


Comments Window in the 32-bit HYSWEEP EDITOR

If you have recorded comments during SURVEY, you can display them and refer to them as you edit your data.

To view your comments log:

1.Load your survey data to the editor.

2.Select FILE - SURVEY NOTES. A separate window will display the comments logged in SURVEY.

Sample Comments Display

s

More Information

• Comments in SURVEY


Display Settings in the 32-bit HYSWEEP EDITOR

The view options in 32-bit HYSWEEP EDITOR determine what data appears in the display windows and how the windows should be configured to optimize the display.

•The lighting controls can be used to position a light source—a virtual sun— above the data displays.

To access the light controls, select VIEW-LIGHT CONTROLS.

•The settings in the View Options dialog determine how the data should be displayed. Each of the 32-bit HYSWEEP EDITOR windows is configurable to a certain extent. Range settings are adapted to expected bottom depths, display styles are selected to the operators personal preference and need.

To access View Options, select VIEW-OPTIONS from the main 32-bit HYSWEEP EDITOR menu or press the F9 key.

More Information

• Positioning a Light Source Over your Data Model in the 32-bit HYSWEEP EDITOR

• Survey Window Display Settings in the 32-bit HYSWEEP EDITOR

• Profile Window Display Settings in the 32-bit HYSWEEP EDITOR

• Cell Window Display Settings in the 32-bit HYSWEEP EDITOR

• Raw Data Display Settings in the 32-bit HYSWEEP EDITOR

• Sweep Window Display Settings in the 32-bit HYSWEEP EDITOR

• Color Settings in the 32-bit HYSWEEP EDITOR

• Other View Options in the 32-bit HYSWEEP EDITOR


Positioning a Light Source Over your Data Model in the 32-bit HYSWEEP EDITOR

To access the light controls, select VIEW-LIGHT CONTROLS.

The light is positioned, by default, directly over the data. However, you can reposition the light to simulate shadows which accentuate the contours in your data. This can be helpful in detecting small depth variations and anomalies.

Two factors position the light:

•Rotation moves the light source horizontally around the data.

•Inclination adjusts the height of the light source from directly above to the level of the horizon.

To position the virtual light source:

1.Open the Light Control dialog by selecting VIEW-LIGHT CONTROL.

Light Control Dialog

2.Set the direction and angle of inclination.

•Type the Inclination and Rotation in the corresponding text boxes.

Inclination and Rotation Angles

 | Degrees | Light Position
Inclination | 0 90 | On horizon Directly above
Rotation | 0 90 180 270 | East North West South

•With your cursor, click on the graphic at the location at which you want the light. The Rotation and Inclination values will automatically update accordingly.

The lighting effect will automatically update in your data model.


Survey Window Display Settings in the 32-bit HYSWEEP EDITOR

Several controls work together to configure the display in the Survey window:

• View Options - Survey Tab

• Toolbar Zoom Controls

• File Menu Options

View Options - Survey Tab

View Options—Survey Tab

The Show options define what data will be displayed. The sounding data can be accompanied by:

•Track Lines and Planned Lines superimposes the lines on the sounding display.

•Show Charts includes the project background files in the display.

Transparency affects the transparency of a chart that may be displayed with your sounding data. Typically there is nothing behind the chart that you might need to see, but it provides contrast between the background chart and the sounding data set that you are editing.

Style options define how the depth data is displayed in the Survey window.

•3D Surface shows a TIN model of your surface.

•True Cells fills the matrix cells with depth colors. This results in a solid model.

•Depth Numbers converts the color coded cells to numeric depth readings.

•Points displays one dot of the user-defined ‘Point Size’ per matrix cell.

The Scaling options determine the size of depth range represented by each color. The 32-bit HYSWEEP EDITOR uses a constant number of colors and divides the range into that number. (The wider the range results in more depth values represented by the same color.) Scaling can be based on:

•Points per Cell

•Cell Vertical Range

•Cell Standard Deviation

Note:Your scaling option must correspond to the selected ‘Show’ option.

The scaling can be manual or automatic.

‘Autoscaling’ will use the minimum and maximum values and evenly distribute the colors across that range. It will create the optimal settings unless you have values that are drastically out of range.

Manually scaling: Enter the maximum value for your scale basis. the 32-bit HYSWEEP EDITOR will scale the colors from zero to your specified maximum. Additionally, you may exclude the soundings less than the specified maximum by checking Do Not Display Cells Below Maximum.

Return to Top

Toolbar Zoom Controls

In addition to the View Options dialog, the Survey window includes a few extra tools to adjust your display.

•Zoom in and out using your ‘+’ and ‘-’ keys respectively or with your mouse wheel.

• [image] The Zoom Extents draws your entire data at the original orientation.

• [image] The Rotate and Pan Tool (hand icon) adjusts the positioning of your data in the display window.

•The [image] Lock 3D Axis maintains the display in map view while you can rotate the model around the cursor position.

Note:When you are using these tools, only the track lines and cursor are visible. The data model will only draw when the display is static.

Return to Top

File Menu Options

In the File menu, additional options overlay target and channel files on the Survey window display.

To show target files, select FILE-OPEN TARGET FILE. A File Open dialog will appear for you to select the TGT file for display.

To show channel files, select FILE-OVERLAY CHANNEL FILE. A File Open dialog will appear for you to select the CHN file for display.

Displaying Targets (left) and Channel File (right)

Return to Top


Profile Window Display Settings in the 32-bit HYSWEEP EDITOR

The Profile options control the display in the profile window.

View Options—Profile Tab

Define which way in the matrix the cross section is cut to be displayed in the Profile window and the number of matrix rows or columns in each profile. If you cut profiles by column, the display in the Survey Window will rotate 90 degrees so the horizontal cross hair will always mark the location of the cross section viewed in the Profile Window.

Scaling enables you to set a depth range specifically for the Profile Window. If this set of options are not selected, the Profile Window will be scaled according to the Depth/Elevation scale settings for the Survey and Cell windows (Autoscale Depth/Elevation options).

Show Project Depth draws a line at the user-defined level in the Profile Window.


Cell Window Display Settings in the 32-bit HYSWEEP EDITOR

The Cell tab presents options primarily affecting the Cell Window.

Connect Points makes a mesh display by connecting the points with straight lines to form triangles.

Solid Fill shades the triangles formed by the connected points in gray. This is only an option if the points are connected.

View Options—Cell Tab


Raw Data Display Settings in the 32-bit HYSWEEP EDITOR

The Raw Data tab sets the scale of the heave, pitch and roll graphs. Autoscaling will show the total range of the data or you can define your own display range for each graph.

View Options—Raw Data Tab


Sweep Window Display Settings in the 32-bit HYSWEEP EDITOR

The Sweep tab presents options affecting the Sweep Window.

View Options—Sweep Tab

Style:

•Wiggle and Color Wiggle draw one line per sweep. Wiggle is in black and white, Color Wiggle is color coded according to the depths it represents.

•Color Dots displays a series of circles color-coded according to the depth. When this option is selected, Color Code Based on Sonar Head or Transducer Number draws soundings from each transducer in a different color.

•Solid TIN creates a gray-scale, solid, shaded, 3-dimensional picture.

•Color Model displays a color-coded solid TIN.

•Enhanced Sweep Graphics draws a more realistic-looking model and allows you to rotate the model to any orientation.

Sweep Window Color Wiggles (left) and Enhanced (right)

Scaling:

•Scale to Window scales to the current sweep displayed.

•Scale to Entire Line scales the window to the depth range of the line (not the sweep).

Editing Mode: This option determines how the block and line editing tools work.

In addition to the View Options dialog, the Survey window includes a few extra tools to adjust your display.

•The Rotate and Pan Tool (hand icon) adjusts the positioning of your data in the display window. Shift + Click toggles between the default cursor and the Rotate and Pan tool.

•Zoom in and out using your ‘+’ and ‘-’ keys respectively or with your mouse wheel.

• [image] The Zoom Extents Icon draws your entire data at the original orientation.

More Information

• Editing Data in the 32-bit HYSWEEP EDITOR


Color Settings in the 32-bit HYSWEEP EDITOR

The Colors Tab determines the depth color settings for all of the displays.

View Options—Colors Tab

Choose between a black and white background, and between single or double lines in the graphs.

You can choose from a number of color palettes to color code the soundings.

•Relief uses the color schemes common to relief maps.

•Spectrum uses a rainbow color spectrum.

•Chart uses the color schemes common to nautical charts.

•HYPACK uses the project color settings.

•Shoals displays red where the soundings are shoaler than the specified Shoal Depth.

•High Contrast uses a color selection designed to clearly distinguish one depth band from the next.

Point Color Coding in Profile and Cell Windows:

•None shows the data in black and white.

•Depth shows the data in color settings according to the depths.

•Line Number uses different colors to differentiate between survey lines. The colors repeat every 7 lines.

Color Code by GPS Status: Use the checkboxes to color-code track lines in the Survey window and RTK tide data in the Tides and Draft Corrections window based on the GPS Status at that time. (GPS modes vary widely between devices so there is no set color-mode correlation.)


Other View Options in the 32-bit HYSWEEP EDITOR

A few options are included at the bottom of the dialog, regardless of which tab has been selected.

Autoscale Depth/Elevation can be selected to automatically set the depth range in the Sweep, Profile and Cell windows according to the depth range of the data. The legend in the Survey window is also scaled to fit these settings. To manually set the scale of these windows, deselect this option and enter the minimum and maximum depths/elevations that you want to use.

Show Active Filters displays yellow X's, during phase two and three, where data points are out of the range allowed by the search and filter options.

Show Deleted Points displays red X's, during phase two and three, where data points have been removed.

Use Graphics Accelerator The combination of Windows® Vista or Windows® 7 with certain video cards causes some of the graphics displays to draw improperly. This is most noticeable in the Sweep window of phase 2 editing: the areas behind the X’s marking filtered or deleted points, and areas defined by clicking and dragging the cursor show black. If this is the case, check this option.

[Filter Options] brings up the Search and Filter Options dialog.

[Apply] enables you to preview the effects of your settings on the window displays before the dialog is closed.

More Information

• Search and Filter Options in the 32-bit HYSWEEP EDITOR


Overlaying a Channel Plan File in the 32-bit HYSWEEP EDITOR

Select FILE-OVERLAY CHANNEL PLAN to display Channel Plan files (*.CHN), from ADVANCED CHANNEL DESIGN or CHANNEL DESIGN, in the Survey, Sweep and Profile windows of the 32-bit HYSWEEP EDITOR. It can be helpful to use it as a guide in your editing process.

Note:Note Channel Plan files (*.PLN) created in CHANNEL DESIGN may be converted to *.CHN format in the ADVANCED CHANNEL DESIGN program (select FILE-PLN TO CHN). This enables you to overlay template information from files created in CHANNEL DESIGN.


Targets in the 32-bit HYSWEEP EDITOR

Displaying Target Files in the 32-bit HYSWEEP EDITOR

You can include target files in your Survey Window display to aid in your editing decisions. The 32-bit HYSWEEP EDITOR does not support the targets database format developed for the HYPACK 2015 release. However, you can export targets from the Project Items list to a target file which you can then display.

To show target files, select FILE-OPEN TARGET FILE. A File Open dialog will appear for you to select the TGT file for display.

To display targets from the project targets list, export the targets from the list to a target file, then open the target file in the 32-bit HYSWEEP EDITOR.

Displaying Targets in the Survey Window


Creating Targets in the 32-bit HYSWEEP EDITOR

As you view your data in the various windows of the 32-bit HYSWEEP EDITOR, you can create a target to mark some point of interest.

1.Select the point where the target should be placed and press F5. The first time in each session you mark a target, a File Select dialog will appear.

2.Name your file.

•If you are creating a new target file, provide a name and click [OK].

•If you want to add to an existing target file, select the file from your project folder and click [OK].

A Target dialog appears.

Target Dialog

3.Edit your Target Name and Position information (Optional) and click [OK]. The target will be saved to your target file and displayed in the 32-bit HYSWEEP EDITOR editing windows.

Note:Be careful if you are editing the Easting and Northing, an error in typing could place it outside of your survey area!

When you exit in the 32-bit HYSWEEP EDITOR, the target file can be displayed in the HYPACK map window and used as any other target file.


Search and Filter Options in the 32-bit HYSWEEP EDITOR

Open the Search and Filter Options dialog by selecting EDIT-SEARCH AND FILTER OPTIONS (Ctrl+F).

Use these settings to mark soundings for your evaluation during Phase Two and Three of editing or to delete those soundings in cursory, automatic editing process.

To mark soundings that fall outside the Search and Filter options, check the ‘Show Active Filters’ option in the View Options dialog (F9). Yellow X’s mark soundings that fall outside the filter criteria.

To delete all points that fall outside the filter limits set by the Search and Filter Options, click [Run Filters]. (This is the equivalent to the Filter All button in the main toolbar.)

Beware! It's fast! It's easy! It's DANGEROUS!!! No computer program can replace human intelligence and common sense when it comes to editing data. Use this feature with caution!

More Information

• General Filters in the 32-bit HYSWEEP EDITOR

• Statistical Filters in the 32-bit HYSWEEP EDITOR

• Search Only Criteria in the 32-bit HYSWEEP EDITOR

• Bordering Filters in the 32-bit HYSWEEP EDITOR


General Filters in the 32-bit HYSWEEP EDITOR

Options in the General Tab enable you to search and filter data based on certain user-defined limits on sounding values, beam angles, quality readings and bottom topography. The filters are applied, in sequence, from the top to the bottom of the dialog—Minimum Depth to Savitsky-Golay.

Search and Filter Options Dialog

The Min Depth/Elevation filter (Phase 2 and 3) deletes all soundings shoaler than the limit.

The Max Depth/Elevation filter (Phase 2) deletes all soundings deeper than the limit.

Beams (Phase 3) enables you to filter out all readings from selected beams. List beams to be omitted. The numbers should be space delimited.

Port and Starboard Angle Limits (Phase 2) deletes data from transducers with a beam take-off angle within the specified range.

Port and Starboard Offset Limits (Phase 2) deletes all data that falls outside of the user-defined distance from the center beam.

Spike Limit traverses the soundings in blocks of 16 (4 beams x 4 sweeps) and deletes soundings deviating from the 16 point average by more than the limit.

The Quality Limit (Phase 2) deletes all soundings with a quality number less than the limit.

The Intensity Limit deletes all soundings with an intensity value outside of the user-defined range.

Maximum Bottom Slope (Phase 2) deletes all soundings where the slope from the previous sounding exceeds the limit.

Beware! Watch this setting when your data includes side slopes. You could delete good data.

Filter Overhang and Undercut Topography (Phase 2) deletes stray soundings that would create these topographical features.

Note:Take care to preserve natural or man-made features that are really there.

Use HYSWEEP SURVEY Limits: The depth and angle limits that are set in HYSWEEP SURVEY are recorded in the headers of the raw data files and the HS2 edited files. Click this button and the 32-bit HYSWEEP EDITOR will read the values from the header of the selected files and mark the data that was filtered during SURVEY as filtered in the 32-bit HYSWEEP EDITOR. The data will remain present until you use the filters to remove it.

Savitsky-Golay Filter is a low pass filter that:

•Removes data appearing as high frequency (abrupt bottom changes, outliers)

•Keeps low frequency data (somewhat uniform) seafloor.

Beware! Use with caution! This filter was designed for use with excessively noisy data and is not intended as a substitute for thoughtful editing. All automated filters carry some risk of inaccurately removing bottom features.

The filter reads a number of soundings specified by the Window Size. It estimates the actual depth of the center point of that range by doing a series of calculations based on the Order.(Higher order values result in a faster change in the predicted values to correspond to rapid vertical changes.) If the original depth is deeper or shoaler than the calculated depth by more than the Gate value, it will be removed by the filter.

Depth Removed | Original depth < Calculated depth - Gate Value Or Original depth > Calculated depth - Gate Value
Depth Kept | Original depth > Calculated depth - Gate Value And Original depth < Calculated depth + Gate Value

High to Low: The intention is to detect the largest data spike, remove it then, recalculate the filter, etc. thereby removing less good points with the bad.

Beware! The idea is good, but it can be unreliable. Under certain conditions it can remove too much data. Use cautiously!

The Order: Degree of polynomial approximation. It should always be less than the Window size. After that, you will have to experiment in each survey condition to determine the best order for you. A larger order filters less which results in a more varied surface, but may not remove all extraneous data.

Gate Size: Depth, in survey units, above and below the filtered surface. Depths outside of this range will be removed.

Window Size: Number of soundings used to estimate the surface. Should be an odd number.

Order of 2 creates a straight line through the data. Assumes very flat bottom.

Order of 5 allows for some bottom variation.

Number of Filter Passes repeats the filtering process according to the number of times entered. This is supposed to improve the filtering, but the degree of improvement is not what was anticipated.


Statistical Filters in the 32-bit HYSWEEP EDITOR

The Statistical Tab is used by the 32-bit HYSWEEP EDITOR in phase three editing when the data has been gridded to a matrix. It finds the sounding statistic value in each cell as defined by the Cell Statistic option. It then refers to the Filter Above and Filter Below options to search out or delete data outside of the specified ranges from that value.

Search and Filter Options—Statistical Tab

Most of the Cell Statistic options are self-explanatory.

None disables this filtering method.

Deepest Mode can be helpful in removing stray points from thick vegetation. It removes a user-defined percentage of the soundings in each cell of your matrix. The points removed will be the shoalest found in each matrix cell until it has removed the percentage of soundings specified. For example, if you have 100 soundings in each matrix cell and you specify 5%, the filter will remove the 5 shoalest soundings, assuming they are outliers.

Tip: The Median value, with equal number of soundings greater and smaller, is usually the best choice for the cell statistic.

The Filter Above and Filter Below settings, either one or both, can be enabled to delete data of significant difference from the cell statistic. You will choose the limit that defines good vs bad data.

2 Sigma Limit: Two standard deviations from the cell statistic is dangerous as it can result in the deletion of a lot of good data.

4 Sigma Limit: Four standard deviations from the cell statistic is pretty safe, but it's still a good idea to search and manually edit the data instead of blindly filtering all of the data.

Set Limit enables you to set a customized limit.

Tip: Start with one foot in soft bottom surveys, and 3 feet in rock conditions.

Adjust Filters to Account for Sloping Bottom: Sloping bottoms can skew statistical calculations. If you are surveying over slopes, check this box and the program uses algorithms that make the statistics more meaningful.


Search Only Criteria in the 32-bit HYSWEEP EDITOR

As the tab name "Search Only" says, these options are for search purposes only. These options are available only in Phase 3 editing and will not cause any data to be deleted if you filter your files.

Search and Filter Options—Search Only Tab

Cell Sigma Above Limit: A large distribution of data would be suspect and result in a large sigma value. This option enables you to search out any cell with a standard deviation greater than a user-defined limit.

Cell Vertical Range Above Limit: This option enables you to search out any cell with a depth range greater than the user-specified limit.

Points Flagged in Phase 2 searches during Phase 3 for any point that was marked with the flag icon during Phase 2 editing. You can then view the same point in the Cell, Profile and Survey windows to make your editing decision.

Hits Above Minimum Depth finds all cells where the number of soundings above the Minimum Depth exceeds the Hit Count where the Minimum Depth and Hit Count are user-defined values.


Bordering Filters in the 32-bit HYSWEEP EDITOR

In Phases Two and Three of editing multibeam data, you may search your entire data set or confine the search to a area defined by a Border File. The Bordering Tab tells the 32-bit HYSWEEP EDITOR whether these search and filter settings should be applied inside the border, outside the border or to all data (Ignore Border).

Bordering Filters in the 32-bit HYSWEEP EDITOR

You can create a Border File in the BORDER EDITOR to define an area in the survey area. The Bordering dialog tells the 32-bit HYSWEEP EDITOR what Border File to use and whether the Search and Filter settings should be applied inside the border, outside the border or to all data (Ignore Border) during Phase 3 editing.


Editing Data in the 32-bit HYSWEEP EDITOR

The 32-bit HYSWEEP EDITOR presents select windows during each of three editing phases.

•Phase one provides limited editing of track lines and corrections data.

•Phase two is where you clean most of the bad data.

•Phase three provides additional tools with which you can ‘fine tune’ your editing decisions.

Tip: If editing operations have produced unsatisfactory results, you can reverse them, in the reverse order in which they were performed, using the Undo icon on the toolbar.

As you progress enter each phase, statistical information appears in the lower portion of the editor shell:

•Load Time: Time to load selected data to phase 1.

•Phase 1->2 Time: Time to transition from phase 1 to phase 2.

•Phase 2->3 Time: Time to transition from phase 2 to phase 3.

•XYZ Count: Number of soundings loaded to phase 3.

•MTX Cell Count: Number of cells in the matrix used in phase 3.

•Cell Size: Matrix cell dimensions.

If your computer has the power, the load and transition times can be significantly improved by selecting TOOLS-MBMAX CONFIGURATION and checking the Speed options in the Configuration dialog.

MBMax Configuration Dialog

More Information

• Standard Editing Operations in 32-bit HYSWEEP EDITOR

• Phase One Editing in the 32-bit HYSWEEP EDITOR

• Phase Two Editing in the 32-bit HYSWEEP EDITOR

• Correcting your Sound Velocity Profile with the Sound Speed Adjustment Tool

• Matrix Settings in the 32-bit HYSWEEP EDITOR

• Phase Three Editing in the 32-bit HYSWEEP EDITOR


Standard Editing Operations in 32-bit HYSWEEP EDITOR

Some ‘standard’ editing operations are available in all three phases, though not necessarily in every window. You can tell what type of editing operations are allowed in each window by the tools included in each.

• Standard Point Editing

• Standard Block Editing

• Restoring Deleted Points

• Marking Points of Interest

Standard Point Editing

Each phase offers point editing where you delete one point at a time.

1.Select the point with the cursor.

2. Click the Delete Point icon (or the Delete key).

Return to Top

Standard Block Editing

Block Editing has two modes: Default and Fast Editing. The mode setting is in the Sweep tab of the View Options dialog.

•In Default Mode, the editing is a two-step process.

Editing a Block in Default Mode

a.Select the Default Mode in the Profile tab of the View Options dialog.

b. Depress the Block Mode Icon (M).

c.Select a block of data points by dragging your cursor from one corner to the diagonally opposite corner. (If you're unhappy with the results, just try again.)

d. Edit the Data by clicking the Delete Inside Block (I) or Delete Outside Block (O) icon.

Editing Above or Below a Line in Default Mode

a.Select the Default Mode in the Profile tab of the View Options dialog.

b. Release the Block Mode Icon (M).

c.Draw a single-segmented line between your good and bad data.

d.Click the ‘Delete Above Line’ (A) or the ‘Delete Below Line’ (B) icon according to what data you want to remove.

Editing above or below a line in Fast Mode

•In Fast Mode, you set what data to delete (inside/outside the box and above/below the line) first. This frees you to do multiple edits in succession.

Editing a Block in Fast Mode

a.Select the Fast Mode in the Profile tab of the View Options dialog.

b. Depress the Block Mode Icon (M).

c.Select a block of data points by dragging your cursor from one corner to the diagonally opposite corner. The program will automatically delete the points that fall inside the block.

Editing with a Line in Fast Mode

a.Select the Fast Mode in the Profile tab of the View Options dialog.

b. Release the Block Mode Icon.

c.Draw a single-segmented line between your good and bad data. The program will automatically delete all points that lie above the line.

Aborting a Delete Operation in Fast Mode

Click the Escape key on your keyboard before releasing the mouse button.

Return to Top

Restoring Deleted Points

When you delete soundings in the 32-bit HYSWEEP EDITOR, regardless of which method you use, the soundings are not really removed from the data file. Instead they are flagged as deleted. There are multiple methods you may use if you decide you have deleted soundings in error.

Tip: If you select the ‘Show Deleted Points’ in the View Options dialog, each deleted point is marked with a red ‘X’. When you restore a sounding, its red ‘X’ disappears.

Restoring a Single Point

1.Select the point with your cursor.

2.Click Shift + Delete and the point will be restored.

You can also restore specific groups of soundings through the Undelete Options dialog.

Restoring Multiple Points

1.Select EDIT-UNDELETE and the Undelete Options dialog will appear.

Undelete Options Dialog

2.Select which group of soundings you want to restore.

•All Soundings Deleted Manually using the cursor and delete buttons.

•All Soundings Deleted Automatically using filter options.

•All Soundings within Depth/Elevation Range: Define the depth/elevation range within which you want to restore all soundings.

3.Click [Undelete].

Return to Top

Marking Points of Interest

Marking points of interest in any window flags the same point in all windows. You can look at marked points again in another window or in the next phase.

1.Click on the place you want to mark in the data display.

2. Click the flag icon. A flag symbol will appear at that position during all editing phases.

Flagged Point in the Cell Window of Phase 3

Return to Top


Phase One Editing in the 32-bit HYSWEEP EDITOR

In Phase one editing, enables the some of the routines accessed from the Tools menu.

Phase one editing includes several display windows where you can view graphs of the various correction values that will be applied to your data along with the track lines of your survey data. You can edit some of the data in a limited way.

•Sound Velocity (view only)

•Pitch, Roll and Heading (view only)

•Survey (track lines only)

•Heave

•Tide and Draft Corrections

Corrections will be applied to your raw data as you advance to Phase Two editing.

• Clipping Track Lines to a Border File

• Block Editing Tide and Draft Corrections

• Block Editing in the Heave Window

• Applying True Heave in POS/MV and F180 Data

• Recalculating Position from RAW Data

• Recalculation of POSMV Survey Data from POSPac Raw Data

• Correcting Positioning and RTK Tides Based on GPS PPK Data

Clipping Track Lines to a Border File

In the Survey window, you can trim position spikes with the point editing icon. However, block editing or trimming to a border file are more efficient ways to trim curves from the ends of the track lines.

To clip with a border file (*.BRD):

1. In the Survey window, click the Clip to Border File icon, select the BRD file you want to use to guide your editing and click [Open]. The border will appear in the Survey window and the Block Edit icons will be enabled.

2. Click the Delete Inside Block or Delete Outside Block icon according to which data you want to remove. The Survey window display will update to reflect your work.

Clipping Track Lines to a Border File—Before

Clipping Track Lines to a Border File—After

More Information

• Standard Editing Operations in 32-bit HYSWEEP EDITOR

Return to Top

Block Editing Tide and Draft Corrections

Block Edit tide and draft corrections using either of two methods:

•The Standard Block Edit deletes the correction values inside or outside the user-defined range.

•If you delete inside the block, the editor will interpolate correction values across the time where you have deleted the data.

•If you delete outside the block, the editor will read the first correction value from the file header and maintain that value until the time stamp in the data matches the first value in the tide graph.

•The Fill Method changes all of the correction values of the selected type to a user-defined constant.

a.Click on the [N] button. The Fill Options dialog will appear for Tide and Draft corrections.

Editing Tide and Draft Corrections with Fill Options

b.Check one or both checkboxes according to what you want to edit, and enter the new values in the corresponding input box.

Draft/Squat Corrections: When entering draft corrections, enter a positive number when the boat is riding lower in the water. The reference point is the waterline when the transducer's depth offset is measured. The draft correction does not include the transducer depth offset. Squat and settlement can be applied by changing draft values.

Tide Corrections:

•When entering tide corrections for depth mode, enter tide values as negative numbers.

•When entering tide corrections for elevation mode, enter tide values as positive numbers.

Units are according to those selected under Geodesy (feet or meters).

c.Click [OK]. The graphs will be updated and the new values will be applied uniformly to your data.

More Information

• Standard Editing Operations in 32-bit HYSWEEP EDITOR

Return to Top

Block Editing in the Heave Window

To edit the heave graph:

1.Click and drag a box around the portion of data you want to edit.

2.Edit the data defined by the box using any of the following methods:

•Click the Remove Heave Drift button. This method assumes that, over time, heave will average out to zero. The HYSWEEP calculations look at each heave sample. An average is calculated for the sample using heave before and after. The number of samples before and after depends on the Averaging Period entered in Advanced Read Parameters. For example, a 12 second period, the average is taken from six seconds before to six seconds after. If heave doesn’t average to zero, the average is added to the sample to make it so for each period until all heave drift is removed.

•Click the [N] button and the Fill Options dialog for heave will appear.

Editing Heave with Fill Options

•Change the heave value for the defined time. Enter a new value in the Heave field. This could be useful where the survey vessel had not quite settled into the regular pattern centered over the "0" line when the logging began. Since heave generally averages out to approximately "0", using this feature to edit the heave for that segment to "0" may improve your accuracy.

•Remove sounding data logged during the defined time by checking ‘Delete soundings within time range’.

Heave correction, applied as you advance to Phase Two, is the average of heave at ping and receive time (different for each beam).

Return to Top

Applying True Heave in POS/MV and F180 Data

If you have logged POS/MV Group 111 data or F180 CSV data during survey, the editor programs include a specialized routine that applies that true heave data to your sounding data.

1.In the Survey Files list, select the files you want to adjust.

2.Select TOOLS-HEAVE ADJUSTMENT and the type of true heave data you have collected.

If you have not selected all of the loaded files in the list, a confirmation dialog will appear for you to confirm your intentions:

•To edit the lines selected in the file list, click [Selected Lines].

•To edit all files currently loaded, click [All Lines].

•To change your selection in the files list, click [Cancel] and begin again.

The Heave Adjustment dialog will appear next.

Heave Adjustment Dialog

3.Click [Open File] and select one or more true heave files. (Hold the Ctrl key and use your cursor to select more than one.) The start times from both your single beam file and your true heave are displayed.

4.If your device is outputting both GPS and UTC time, verify your the program is loading UTC time. If not, begin again and check the Use Time 2 option to load the other.

5.If your device outputs heave values positive upward, check the Invert Heave option.

6.Calculate the time difference between the two start times and enter it under ‘Enter Hour Difference’.

7.Click [Adjust] to apply the delayed heave. All soundings are now corrected with the true heave values.

Return to Top

Recalculating Position from RAW Data

The Raw File Adjustments routine corrects raw data logged with incorrect geodesy, KTD (Kinematic Tide Datum), or with the GPS configured without the Tide function selected.

It recalculates horizontal positioning based on the current geodesy settings and the RAW messages in your raw data files. If your hardware configuration includes more than one positioning device (mobile), SURVEY automatically reads the position from the first positioning device in the configuration. Using this routine you can recalculate the positioning based on the positions from other positioning devices in the configuration.

If your project is configured for RTK tides, it can also recalculate the RTK tide data.

1.Load your raw data to the 32-bit HYSWEEP EDITOR.

2.In Phase I editing, select TOOLS-HYPACK RAW FILE ADJUSTMENTS. The Raw File Adjustments dialog will appear.

Raw File Adjustments Dialog - Positions Tab

3.In the Positions tab, do the following:

•Check the ‘Use Positions from Raw File’ option.

•If your survey computer was configured with incorrect geodesy settings, check ‘Recalculate Positions Based on Project Geodesy’.

Note:You must now have the correct geodetic parameters entered in your project.

•Enter the device and its correct offsets from the vessel origin.

4.Click [Adjust].

More Information

• PROJECT CONVERSION

Return to Top

Recalculation of POSMV Survey Data from POSPac Raw Data

If you are using the Applanix POS MV with POSPac for positioning and as your motion sensor, you can improve the accuracy of your survey data.

The POSPac Adjustments routine in the editor program can use the POSPac file (*.OUT or SBET file) to recalculate one or more of the following:

•GPS Latitude, Longitude and elevation

•Pitch and Roll

•Heading

•Tide

Since the data in the POSPac file is quite accurate and post-processing calculations can be better than those done in real time, this routine typically improves the accuracy of your survey data.

That being said, sometimes vertical drift occurs in SBET files, so you must carefully review your data and remove those areas. The corrected, more accurate SBET data may be used multiple times for adjustments to different data files.

You can edit the SBET corrections before or after the POSPac Adjustments:

•Before the adjustment, use the SBET EDITOR. This method enables you to view and edit SBET data for the entire day, resulting in an accurate SBET file that may be used multiple times for adjustments to different data files.

•After the adjustment, use the Heave Tide Draft window in the data editing program. Using this method, you see only the portion of the SBET data corresponding to the logged data, and any editing affects only the currently loaded survey data. However, the cursor location is synchronized in all windows, providing added information with which you can make your editing decisions.

Use block editing to remove the bad SBET data, which results in a straight line interpolation between the remaining data.

Important: When you load your data, leave the Tide Corrections option in the Corrections dialog blank. In the editor, this TID file overrides all other tide correction calculation methods.

1.Load your raw HYSWEEP data to the 32-bit HYSWEEP EDITOR.

2.In phase one editing, select TOOLS-POSPAC ADJUSTMENTS. The POSPac Adjustments dialog will appear.

POSPac Adjustments Dialog

3.Enter the adjustment parameters and check which calculations you want to do using the POSPac data.

•POS Pac file (*.out) logged with your HYSWEEP data.

•HYSWEEP File Start Time and PosMV Start Time update automatically according to the information in the files themselves.

•Hour Difference is the difference between the POSPac UTC time and Local Time setting on the Survey Computer.

•Calculations to perform from POSPac data:

•Use POSPac Position

•Recalculate RTK Tides Using Project Geodesy

•Use POSPac Heading

•Use POSPac Pitch and Roll

4.Click [Adjust]. A series of numbers will be displayed at the lower left and the cursor shows the hourglass to indicate the calculations are in progress.

5.When the calculations are finished, click [Close] to return to the 32-bit HYSWEEP EDITOR.

Return to Top

Correcting Positioning and RTK Tides Based on GPS PPK Data

Postprocessed Kinematic (PPK) surveys store raw observations that, in RTK mode, produce centimeter-level accuracy in post-survey processing.

If your GPS is capable of storing PPK data, you can configure the receiver to output the PPK data to a file. You can then use this file, or any similar text file, in the editor programs and improve your positioning, tide corrections or both. This is quite useful to correct positioning when there are obstructions to satellite reception.

Required PPK Data for each Correction Type

Correction Type | Required String Values
Position | •Time •Easting/Northing (preferred) or Latitude/Longitude
Tide | •Time •Ellipsoid Height.

1.Select TOOLS-POST PROCESSED GPS CORRECTIONS. The Post-processed GPS Corrections dialog appears.

2.Under Input File, select your PPK file.

Post-processed GPS Correction Dialog

3.Describe the records in your PPK file.

•Check the values that occur in each record. You can add ignored fields (click [Add Ignore Field]) for any variables which you don't need.

•Set the order of the values. Use your cursor to click and drag items up or down in the list.

•Select the delimiters.

•If the ellipsoid height is in meters instead of survey units, check the ‘Ellipsoid in meters’ option.

•Choose the date format.

•HYPACK File Start Time and Input File Start Time update automatically according to the information in the files themselves.

•Hours Difference is the difference between the UTC time and Local Time setting on the survey computer.

4.Click [Adjust].

Return to Top


Phase Two Editing in the 32-bit HYSWEEP EDITOR

When you have completed Phase One, advance to Phase Two by selecting FILE-CONVERT RAW TO CORRECTED. The Phase One displays will be closed and the Sweep and Survey Information windows will appear. Editing can only be done in the Sweep window.

The Search and Filter options are used in Phases Two and Three of editing your multibeam data. The 32-bit HYSWEEP EDITOR can then search for matrix cells with data outside of these user-defined limits.

Tip: You will find it is convenient to use two Sweep windows. One can be set in a perspective view (above) and the other can be set into a horizontal view.

Manual Editing:

1.Set your Search and Filter criteria.

2. Select EDIT-FIND NEXT (F3 or the Search icon). The 32-bit HYSWEEP EDITOR will systematically scan the matrix for cells with data outside of the Search and Filter limits. The data in that cell will be displayed in the Survey, Profile and Cell windows.

3.Examine and edit your data. These windows provide many ways to view data. It is your decision what data to edit.

4.Continue to repeat the search and edit process until the 32-bit HYSWEEP EDITOR has progressed to the end of your data.

Automatic Editing:

1.Set your Search and Filter criteria.

2.Do one of the following:

• [image] Select EDIT-FILTER LINE (Shift+F6) deletes all points in the line currently displayed that fall outside the filter limits.

• [image] Select EDIT-FILTER ALL (F6) deletes all points in the entire data set that fall outside the filter limits.

Beware! It's fast! It's easy! It's DANGEROUS!!! No computer program can replace human intelligence and common sense when it comes to editing data. Use this feature with caution!

Note:The Filter All icon is in the 32-bit HYSWEEP EDITOR shell. The Filter Window icon looks the same, but it appears in one of the windows.

• Point Editing in Phase Two

• Block Editing in Phase Two

Point Editing in Phase Two

In addition to point editing with the Delete Point icon, the eraser tool can be used to delete one or more, closely positioned soundings.

1. Click the eraser icon (E) on the Sweep window. The cursor becomes a small square.

2.Center the cursor over the point (or points) you want to delete and click.

Return to Top

Block Editing in Phase Two

In addition to the standard block editing technique, phase two you can filter the data currently displayed in the Sweep window.

Filter Window: The Filter Window button appears in the Sweep window in phase two, as well as the Cell and Profile windows in phase three. It removes all soundings displayed in the window that are outside of the Search and Filter criteria.

More Information

• Standard Editing Operations in 32-bit HYSWEEP EDITOR

Return to Top


Correcting your Sound Velocity Profile with the Sound Speed Adjustment Tool

In multibeam surveys, if sound velocity information is inaccurate, the survey results range from slightly inaccurate to completely worthless.

When everything works correctly:

•A sensor at the sonar head accurately measures sound speed in real time.

•A cast is done periodically to find sound speed in the water column; the profile.

•Casting is done frequently enough so that changes that naturally occur are accurately reflected in the profiles.

Failure in any of these factors—equipment failure or casts taken too infrequently— results in multibeam errors. When you have completed the preliminary cleaning of your depth data in phase 2 of the 32-bit HYSWEEP EDITOR, if the profile view of the depth swaths turn up or down on each end, it is an indication that your sound velocity correction information is inaccurate.

We cannot correct problems that occur at the sonar head, but if you feel the sound speed values recorded during survey are inaccurate, you can choose to omit them by clearing the ‘Adjust SV Profile Each Ping Using SV at the Sonar Head’ option in the Advanced tab of the Read Parameters dialog when you first load your data into the 32-bit HYSWEEP EDITOR.

The Sound Speed Adjustments routine in the 32-bit HYSWEEP EDITOR can help compensate for common sound velocity errors.

Note:Use this tool after phase 2 data cleaning is complete.

• Sound Speed Adjustments Interface

• Shifting your Sound Velocity Profile

• Generating A New Sound Velocity Profile

Sound Speed Adjustments Interface

To launch the Sound Speed Adjustments tool, select TOOLS-SOUND SPEED ADJUSTMENTS.

Sample Data in the Sound Speed Adjustments Tool—Before Adjustments

•Depth shows all valid depths in the current sweep without tide corrections. You may enter minimum and maximum depth scaling or allow the program to auto scale based on the range of depths. In the sample, a flat bottom area shows as a ‘U’ shape or smiley face, which is indicative of sound speed errors. The adjustment goal is to flatten out the depth points.

•Slope: Graph shows the slope (vertical change/horizontal change, or 1st depth derivative) between each pair of consecutive points across the sweep. Average is simply the average slope of all points.

•Curvature: Graph shows curvature (vertical change/horizontal change in the slope graph or 2nd depth derivative) at all pairs of consecutive points across the sweep. Average is the average curvature taken over all points.

•Sound Speed Profile: Shows the water column sound speed to the end of the cast.

•Sound Speed at Sonar Head: For reference only.

•Adjustments: Profile points may be shifted left / right (slower or faster) or up / down. You can use your mouse to draw a rectangle in the sound speed profile graph, in which case only points inside the rectangle are shifted.

•Restore Original Profile: Useful for trial and error.

•New Profile: Replaces the original profile with one based on user parameters:

Return to Top

Shifting your Sound Velocity Profile

If you have sound velocity data, but find your casts should have been more frequent to more accurately reflect the survey conditions, you may be able to adjust your profile for select lines—those that curl on the ends when they should be flat.

1.Use the up and down arrows to scroll through the depth profiles until you reach a line where the data curls.

2.If you want to shift only part of the sound speed profile, use your cursor to drag a box around that portion of the profile. Otherwise, the whole profile will shift.

3.Use the ‘Adjustments’ buttons to shift the profile left ([Slower]), right ([Faster]), Up or down, or any combination. Until the average slope and curvature values are at or near zero and the depth swath flattens.

Tip: If you are unsatisfied with your results, start over by clicking [Restore Original Profile].

4.When you are satisfied with your results, click [Replace Survey Profile With This One]. You will be asked to choose to apply the revised profile to the entire data set or to only the sweep currently displayed.

Sample Data in the Sound Speed Adjustments Tool—Before Adjustments

Return to Top

Generating A New Sound Velocity Profile

If you, for some reason, have a data set with no sound velocity data, you can use the Sound Speed Adjustment tool to create an approximate sound velocity profile based on data gathered over a flat bottom. In this case, all swaths should curl on the ends.

1.Click [New Profile].

2.Set the new profile options.

•Minimum Depth: Surface sound speed is taken from the sensor and typically extends down about 6 ft (2 m).

•Maximum Depth of the survey area.

•Gradient: This is trial and error to determine the best value for your conditions. Begin with a value of -0.7.

•Number of Points in the profile. Start with 10.

Tip: If you are unsatisfied with your results, start over by clicking [Restore Original Profile].

3.When you are satisfied with your results, click [Replace Survey Profile With This One]. You will be asked to choose to apply the revised profile to the entire data set or to only the sweep currently displayed.

•To apply the new profile to all swaths, click [Yes].

•To apply the new profile only to the current swath, click [No].

•To return to the Sound Speed Adjustment tool, click [Cancel].

Return to Top

More Information

• Correcting your Sound Velocity Profile with the Sound Speed Adjustment Tool

• Correcting your Sound Velocity Profile with the SVP Adjust Tool

• SOUNDING ADJUSTMENT


Matrix Settings in the 32-bit HYSWEEP EDITOR

Phase three of editing multibeam data requires that your data be gridded in a Matrix File. Select FILE-FILL MATRIX and the Matrix Options dialog will appear

Matrix Options Dialog in the 32-bit HYSWEEP EDITOR

If a Matrix File already exists in the project, you may choose the Use HYPACK Matrix File option. In this case, you may either use the cell dimensions already defined (Use Length and Width from Matrix File option) or you may define new dimensions by selecting the Enter Cell Length and Width option and typing in the new dimensions.

If no Matrix File exists in your project, select Auto-Size to Data and the 32-bit HYSWEEP EDITOR will create a Matrix File to fit your selected data. You can set the cell dimensions or let the 32-bit HYSWEEP EDITOR set the size. Auto Cell Size automatically calculates cell size to average 25-50 points per cell.

Note:If the user-defined cell dimensions result in cells containing more than 2000 points, the program will abort loading the soundings to the matrix and ask you to input new cell dimensions. Do this by reselecting FILE-FILL MATRIX.

[Shallow Default] will set your cell length and width to five feet or two meters, according to your survey units. You may set other measurements if you wish.


Phase Three Editing in the 32-bit HYSWEEP EDITOR

In Phase Three, use the Search and Filter options to re-evaluate any points you may have left in during Phase Two. This phase grids the soundings to a matrix and displays the data in ways that were not previously available to you and that may make your editing decisions more clear.

Phase Three also uses the Statistical Filters which may present you with some new points to evaluate.

Three windows display your data:

•The Survey window shows the full 3-dimensional display of your data with the cursor position at the crosshairs. You may also drag the cursor to measure the distance and azimuth between two points.

•The Profile window shows the cross section of data at the cursor position and oriented according to the setting in the View Options dialog.

•The Cell window shows only the soundings contained in the matrix grid or, with a click of the [image] ‘Include Neighboring Cells’ button, it may include soundings from the surrounding cells to provide additional context for your editing decisions. The information in the status windows at the left pertains to the current position.

To scroll through your data use the arrow keys in the Cell or Profile window. Arrow keys in the Profile window, scroll by the number of rows or columns specified in the Profile View Options. The arrow keys in the Cell window shift the display one cell. You can also jump to the first or last cell in the column or row using the ‘Go to Beginning’ and ‘Go to End’ arrow keys in the Profile window.

Protecting Cell Data from Filtering

You can protect the data in a cell from being affected by any filter operations. With the cell displayed in the Cell Window, just click the lock icon. This can be useful if your survey area contains objects, such as pilons, that jut up from the bottom. Just ‘lock’ those areas, then you are safe to filter your data using settings that would otherwise remove those objects.

To unlock all protected cells, select EDIT-UNLOCK ALL CELLS.

Clipping to a Border File

In the Survey window, you can clip your data based on the area defined by a border file, saving the data either inside or outside of the border.

To clip with a border file (*.BRD):

1. In the Survey window, click the Clip to Border File icon, select the BRD file you want to use to guide your editing and click [Open]. The border will appear in the Survey window and the Block Edit icons will be enabled.

2. Click the Delete Inside Block or Delete Outside Block icon according to which data you want to remove. The Survey window display will update to reflect your work.

Using the Border Tool

In the Profile window, in addition to the standard point and block editing tools, you can use the Border Tool to create an irregular area on which to perform a block edit.

1.Click the Border Tool icon.

2.Define the perimeter of the area to be removed by clicking series of points in the Profile window display.

3.Click the Delete Inside Block (I) or Delete Outside Block (O) icon, the 32-bit HYSWEEP EDITOR closes the border and performs the edit.

Before the Edit.

After the Edit

Filter Window

The Filter Window button appears in the Sweep window in phase two, as well as the Cell and Profile windows in phase three. It removes all soundings displayed in the window that are outside of the Search and Filter criteria.


File Information in the 32-bit HYSWEEP EDITOR

The File Information presents a series of statistics about the XYZ file currently loaded to the 32-bit HYSWEEP EDITOR. It is only available during phase three editing in the File Information dialog and in the Patch Test interface.

To display the File Information dialog, click the icon in the 32-bit HYSWEEP EDITOR shell.

File Information Display


Restoring Deleted Soundings in the 32-bit HYSWEEP EDITOR

If you edit or filter your data then discover you've done it wrong, don’t panic! You have some options during Phase Two and Three editing.

• [image] The Undo icon in the 32-bit HYSWEEP EDITOR shell is used to reverse the previous operations, one at a time.

•To restore a deleted point, set the view option Show Deleted Points, put your cursor on the point you want to restore and select EDIT-UNDELETE POINT (or Shift+Del).

•The Undelete dialog restores deleted soundings according to specified criteria.

a.Select EDIT-UNDELETE… and the Undelete Options dialog will appear.

Undelete Options Dialog

b.Choose the ‘undelete’ option you want to perform. You can restore all soundings removed manually, removed automatically or that fall within a user-defined depth range.

c.Click [Undelete] and the points will be restored accordingly.


Saving Edited Multibeam Survey Files

FILE-SAVE displays the File Save dialog where you can choose the file format for the save data and, in some cases, some additional save options.

In most cases the edited data is saved, by default, to the project’s Edit folder. Reduced XYZ format data will be saved to the Sort folder.

To choose an alternate location for your data:

1.Select TOOLS-MBMAX CONFIGURATION. The configuration dialog will appear.

Configuration Dialog

2.Check ‘Use Custom Edit Folder’.

3.Click [...], browse for your alternate location and click [OK].

Note:When a Custom Edit Folder is selected, HS2, GSF and XYZ files are all saved to that location.

More Information

• File Save Options in the 32-bit HYSWEEP EDITOR

• Sounding Reduction on XYZ Files in the 32-bit HYSWEEP EDITOR


File Save Options in the 32-bit HYSWEEP EDITOR

When you select FILE-SAVE or click the File Save icon, the File Save Options dialog appears. This is where you specify the format to which you want to save your data.

File Save Options-Save Tab

The 32-bit HYSWEEP EDITOR can save to any of the following formats:

•HS2 format : A binary file format, saved using the same name as the open file.

Tip: We recommend that you save your data first to the HS2 format to preserve all edited data. The HS2 format retains all data should it be needed for further editing or correction of offsets, mounting angles, sound velocity, etc. Once this is saved, you can save it again to your choice of other output formats.

•XYZ format . If you save to XYZ format, you may choose to save all of your edited data or only what is visible in the Survey Window. You may also choose to perform a data reduction in the same manner as the MAPPER program.

•XY, Intensity and XYZ, Intensity: Intensity is simply the receive amplitude of the beam. Higher amplitudes are returned by rock faces, sand and gravel; lower amplitudes from mud and silt. This being the case, rudimentary seafloor classification can be made by mapping intensity values.

Sample Intensity Model—High intensity returns are red and low intensity are blue.

•XY, Surface SV: This enables you to display areas where your sound velocity corrections differ significantly.

•GSF format: Generic Sensor Format is a standard format for bathymetry data, particularly useful for data sets created by systems such as multibeam echosounders that collect a large quantity of data. In HYPACK, GSF files are primarily for export to third-party editing software. The HYPACK GEOCODER program also reads and renders mosaics from GSF files however, HS2 files produce better results in this case.

XYZ Reduction: In phase 3 editing, if you choose the ‘XYZ Points Only’ option, you can save all of the data or save only one point per matrix cell in the Survey window.

To reduce your data, select ‘One Point per Cell’ and set the value in the XYZ Reduction tab.

Tip: You can load any of the XY_ data to the TIN MODEL program for some dramatic visualizations then, better still, you can export that model to a georeferenced TIF and display it as a background chart.

FILE-SAVE TO MATRIX asks you to name your file and saves the filled matrix to the project directory.


Sounding Reduction on XYZ Files in the 32-bit HYSWEEP EDITOR

A sounding reduction, which provides the same results as the MAPPER program, may be done during the save process.

Select FILE-SAVE and the File Options dialog will appear.

•In the Save Tab, select the ‘XYZ Points Only’ and the ‘One Point per Cell’ options.

•In the XYZ Reduction Tab, choose the value you want saved to each cell, as well as the position of the sounding within the cell.

Tip: We recommend using the actual position of the sounding for accuracy's sake.

This tab is only available in the third phase of editing.

•If you choose to save XYZ data in the Save Tab, the options in the XYZ Reduction Tab specify the reduction criteria. It enables you to determine what information is saved (Minimum, Maximum, Average, Nearest to Cell Center, or Maximum minus Minimum, etc.) and if it is saved in its actual position or at the center of the cell.

•If you choose the Average option, set the minimum number of points a cell will need to calculate average value. Any cells with fewer than the defined number of cells will be left empty.

File Options-XYZ Reduction Tab

Most of the Selection options are self-explanatory.

Multiplier multiplies the depth or standard deviation value and saves the result as the Z value.

Positioning enables you to save the data in its actual position (where possible) or in the center of the cell.

When you save the data in the center of the cell, it moves the data, not always the best thing to do.


PWC File Splitter

The PWC File Splitter splits the data in raw or edited files containing QTC-ISAH data. It creates two new file sets and stores them to the same folder as the original data. One data set contains minimum depths and the other contains instantaneous depths. The original files remain intact.

1.Select TOOLS-PWC FILE SPLITTER and the PWC File Splitter dialog will appear.

PWC File Splitter Dialog

2.Click [Start]. A file select dialog will appear for you to select the log file that contains the data you want to split.

3.Select a Log file from the raw or edit folder and click [OK]. The dialog indicates the progress of the process by displaying the name of each file in the catalog as it is affected and “Done” when the work is complete.

The PWC File Splitter loads the two new Log files with the original one to your project so they can be enabled and viewed in the HYPACK window.


64-bit HYSWEEP EDITOR

The 64-bit HYSWEEP EDITOR primarily reads raw or edited sounding files containing multibeam and multi-transducer data, but can also simultaneously read topographic laser data to provide a single, unified output data set. It applies tide, draft and ray-bending corrections to the soundings to find corrected depth or elevation. The 64-bit HYSWEEP EDITOR displays all measurements graphically and provides a number of editing methods.

Note:To run the 64-bit modules, you must install HYPACK on a computer with 64-bit capability.

When editing is complete, the program saves the corrected and cleaned data for further work in the Sounding Selection and Final Product programs. The resulting output options include HS2 or HS2X format files, XYZ format files, filled matrix (*.MTX), and GSF format files.

You must have a HYSWEEP dongle to run this program.

More Information

• Running the 64-bit HYSWEEP EDITOR

• 64-bit HYSWEEP EDITOR Interface

• Display Options in 64-bit HYSWEEP EDITOR

• 64-bit HYSWEEP EDITOR Options

• Corrections in the 64-bit HYSWEEP EDITOR

• 64-bit HYSWEEP EDITOR Input

• Read Parameters in the 64-bit HYSWEEP EDITOR

• Overlaying a Channel Template File in the 64-bit HYSWEEP EDITOR

• Targets in the 64-bit HYSWEEP EDITOR

• Points of Interest in the 64-bit HYSWEEP EDITOR

• Search and Filter Options in the 64-bit HYSWEEP EDITOR

• Automatic Processing in the 64-bit HYSWEEP EDITOR

• Manual Processing in the 64-bit HYSWEEP EDITOR

• Stage 1 Editing in the 64-bit HYSWEEP EDITOR

• Stage 2 Editing in the 64-bit HYSWEEP EDITOR

• PATCH TEST Interface in the 64-bit HYSWEEP EDITOR

• Calculating Offset Adjustments with the 64-bit PATCH TEST

• 64-bit HYSWEEP EDITOR Statistics

• Saving your Edited Data in the 64-bit HYSWEEP EDITOR

• Extracting Corrections from Raw Multibeam Data

• Exporting Geo-TIFs of your 64-bit HYSWEEP EDITOR Display


Running the 64-bit HYSWEEP EDITOR

Before you begin your editing session, check the following items:

•Confirm that your geodetic parameters match those of your survey data.

•If your project area is affected by tides and you have not applied tide corrections during your survey, create a Tide Corrections file using the MANUAL TIDES or HARMONIC TIDES program.

•If necessary, take a sound velocity cast and create a Sound Velocity file in the SOUND VELOCITY program. You can skip this step if you have set your echosounder to account for sound velocity before the survey.

When you these items are complete, you are ready to begin your editing session.

Tip: If you have XTF files, use the SIDE SCAN DATA REFORMATTER to convert them to the HSX format that the 64-bit HYSWEEP EDITOR recognizes.

1.Open the 64-bit HYSWEEP EDITOR by selecting HYSWEEP- 64-bit HYSWEEP EDITOR or by clicking the icon.

2.Set your Editor Options.

3.Load your Soundings.

4.Set your Read Parameters. The Read Parameters dialog provides options for how the program reads, corrects and displays the data.

5.Perform Stage 1 Editing:

•Remove bad positions in your track line.

•Check your corrections.

•Apply any post-processing corrections.

6.Save your data to HS2 format. (Optional) The HS2 format retains all data should it be needed for further editing or correction of offsets, mounting angles, sound velocity, etc. Saving to HS2 at this point preserves your Stage 1 work and allows you to return to this point at any time if necessary.

Tip: The File Save options enable you to append a user-defined text string at the end of the file name. You could use this feature to distinguish between data that has only been edited through Stage 1 versus data that is fully cleaned.

7. Advance to Stage 2. Select FILE-STAGE 2 or click the Stage 2 icon.

8.Perform Stage 2 Editing: Clean your soundings in the synchronized, 2- and 3-dimensional display windows.

9.Save your data.

More Information

• 64-bit HYSWEEP EDITOR Options

• Read Parameters in the 64-bit HYSWEEP EDITOR

• Stage 1 Editing in the 64-bit HYSWEEP EDITOR

• Stage 2 Editing in the 64-bit HYSWEEP EDITOR

• Saving your Edited Data in the 64-bit HYSWEEP EDITOR


64-bit HYSWEEP EDITOR Interface

The 64-bit HYSWEEP EDITOR displays a map view of your survey area (the Survey window) with a file list of loaded data, and provides all of the buttons and menus with which you control your window displays and edit your data.

Additional windows display data pertinent to each editing stage. Some data is only for your reference and cannot be modified. Most windows allow you to remove or correct the data, as you deem appropriate.

Windows that are available in the first stage (Speed Editor, Heave/Tide, HPR, SV) display data for one or more lines at a time according to the files selected in the file list. This enables you to closely examine the information for one line or compare multiple lines.

All of the displays are synchronized; click anywhere in the graphs and the cursor points in the other windows update to coincide with the new position. You can use your mouse to reposition the cursor or use your left and right arrow keys to scroll through your position points.

Note:Though the windows are synchronized to display the cursor position, they do not necessarily show the same amount of data. For example, the Cloud window shows a cloud section, the Sweep window shows the specified number of sweeps, the Cell window shows the contents of the matrix cell in which the cursor resides. The arrow keys in each of these windows advances the display by the size and orientation of the display in its own window. The Survey window display includes the boundaries of the Sweep, Profile and Cloud windows.

The title bar of the 64-bit HYSWEEP EDITOR shell displays the stage of the two-stage editing process in which you are currently working and, if you have loaded a catalog file, the LOG file name.

The status bar shows the time, XY coordinates, speed and the quality statistics (Number of Satellites and GPS Mode) of the current cursor position to guide editing decisions.

64-bit HYSWEEP EDITOR Interface

The controls on the left affect all windows. They are divided into three areas according to their purpose:

•The Survey Files controls relate to the data itself—loading the data, the editing stages, then saving the results—and selecting which files in a catalog are drawn in the window displays. Files that have been edited, but not saved, are marked with an asterisk.

•The Edit controls display additional windows pertinent to each editing stage and to the type of data loaded.

•The Toolbox provides all of the tools required to clean your data, and a small selection of view options. When the Floating Toolbar option is checked, a separate toolbar with all of these tools will appear, always on top of your open windows.

Most procedures are initiated with the click of an icon. Hold your cursor over any icon to display a short description.

More Information

• Survey Window in the 64-bit HYSWEEP EDITOR

• Speed Editor Window in the 64-bit HYSWEEP EDITOR

• Heave/Tide Window in the 64-bit HYSWEEP EDITOR

• HPR (Heading, Pitch, Roll) Editor in the 64-bit HYSWEEP EDITOR

• SV (Sound Velocity) Window in the 64-bit HYSWEEP EDITOR

• Sweep 1 and 2 Windows in the 64-bit HYSWEEP EDITOR

• Single Sweep Window in the 64-bit HYSWEEP EDITOR

• Imagery Window in the 64-bit HYSWEEP EDITOR

• Cloud Windows in the 64-bit HYSWEEP EDITOR

• Profile and AB Cross Section Windows in the 64-bit HYSWEEP EDITOR

• Cell Window in the 64-bit HYSWEEP EDITOR

• Survey Information in the 64-bit HYSWEEP EDITOR

• Comments Window in the 64-bit HYSWEEP EDITOR

• Display Options in 64-bit HYSWEEP EDITOR


Survey Window in the 64-bit HYSWEEP EDITOR

In Stage 1, the Survey window displays a map view of the track lines for the data files you have loaded. You can trim position spikes using point editing techniques, however area-based editing is more efficient to trim curves from the ends of the track lines.

Note:The dots on the track lines are not soundings or event marks, however their absence for a span indicates track editing.

In Stage 2, the sounding data is gridded into a matrix, according to your matrix settings in the Read Parameters, and added to your display. The Survey window display includes the boundaries of the Sweep, Profile and Cloud windows.

Survey Window

Edit Mode: You can edit track lines in Stage 2 when the Track Lines option is the selected Edit option. If you edit track lines in Stage 2, you must then update the other windows to account for your changes by clicking [Update Beams].

You will configure the Survey window display using the options above the map:

View Options— Stage 1

In the Show section:

•Track Lines (default): Displays your track lines in the Survey window.

•Charts: Display any enabled charts in your project.

View Options— Stage 2

Additional options in the Show section:

•Cells: Displays the sounding matrix generated during the transition into Stage 2.

•Cloud Sections: Superimposes a grid where each cell represents the amount of data shown in the Cloud window. You define the cell dimensions in the Matrix Options dialog. Cloud sections can help track your progress cleaning your data in Stage 2.

Selection: Choose which value from each matrix cell to display.

Note:Though you display only one sounding per matrix cell, editing affects all of the soundings that fall within the defined area.

Style: Choose how the soundings are displayed.

Transparency: If your sounding data hides other objects in the display, the transparency setting can allow you to see through the soundings to the objects below.

Additional Tools to Control Your Display

Task | Procedure
Toggle between map and profile view. |
View the data from any angle. When the Lock Survey Window in 2D option is checked in the View Options dialog (F9), the Survey display can rotate only around the Z-axis. Any other rotations are reset to zero until this option is cleared. |
Change Vertical Scale | Ctrl + Shift + Mouse Wheel
Set vertical scale to 1. | Ctrl + Home
Change colors used for depth or any of several other values. |

More Information

• Display Options in 64-bit HYSWEEP EDITOR

• Editing Tools in the 64-bit HYSWEEP EDITOR

• Clipping Track Lines in the 64-bit HYSWEEP EDITOR

• Tracking your Editing Progress in the 64-bit HYSWEEP EDITOR


Speed Editor Window in the 64-bit HYSWEEP EDITOR

The Speed Editor window graphs your speed over ground (SOG) in red and course over ground (COG) in green, both over time. You may choose to graph speed over ground, course over ground or both for one or more lines selected in your file list. Though the graphs are overlaid, they are individually scaled to fit the window. The status bar displays time, position, SOG, COG and GPS quality data for the current cursor position.

Sample SOG/COG Editor—Single Line

Sample SOG/COG Window—Multiple Lines

More Information

• Editing Tools in the 64-bit HYSWEEP EDITOR

• Removing Position Spikes in the 64-bit HYSWEEP EDITOR


Heave/Tide Window in the 64-bit HYSWEEP EDITOR

The Heave/Tide window draw heave, tide and draft in time series. Each graph is color-coded and labeled.

Heave vs Time graphs show heave drift and evidence of a faulty sensor, and give a good idea of wave dynamics at the time of the survey. It is important to edit heave drift, typically found at the start and end of survey lines or where there are sharp curves in your survey lines.

Note:If you edit tide, you must update the other windows to account for your changes by clicking the red [Update Beams] in the toolbox.

Sample Heave/Tide Window

Display Options

Corrections: Heave, Tide and Draft based on the options in the read parameters. Total is the sum of all corrections applied to depths.

Raw Data: Heave and Tide as recorded in the survey data.

Auto-scale Tide and Auto-scale Heave automatically present the heave and tide graphs with independent vertical ranges calculated to optimally display each data set. Alternatively, you can clear the auto-scale checkboxes and manually set the vertical range for each value.

Invert Heave for Display provides a comparison between heave and RTK tides. This option does not affect the data.

Comparing Heave with RTK Tide

More Information

• Display Options in 64-bit HYSWEEP EDITOR

• Editing Tools in the 64-bit HYSWEEP EDITOR

• Tide Corrections in the 64-bit HYSWEEP EDITOR

• Heave Corrections in the 64-bit HYSWEEP EDITOR

• Removing Position Spikes in the 64-bit HYSWEEP EDITOR


HPR (Heading, Pitch, Roll) Editor in the 64-bit HYSWEEP EDITOR

The graph shows heave, pitch, roll and heading over time. It shows a faulty sensor and heave drift, and gives a good idea of wave dynamics at the time of the survey.

HPR Editor

The status bar shows the time, with the heave, pitch, roll and heading values at the current cursor position or the average values over a user-defined time range.

Auto-scale Pitch/Roll automatically present the pitch and roll graphs calculated to optimally display the data together. Alternatively, you can clear the auto-scale checkboxes and manually set the vertical range. The Heading and Heave graphs have independent vertical ranges calculated to optimally display each data set.

To view the average heave, pitch, roll and heading over a defined time span, click at the start time on the graph and drag the cursor to the end time. The values appear in the status bar.

More Information

• Display Options in 64-bit HYSWEEP EDITOR

• Editing Tools in the 64-bit HYSWEEP EDITOR

• Heave Corrections in the 64-bit HYSWEEP EDITOR


SV (Sound Velocity) Window in the 64-bit HYSWEEP EDITOR

The Sound Velocity Profile Window is for display only. It has two displays:

•The SV vs Depth graph shows the sound velocity corrections information which is either embedded in the header of each raw multibeam data file (*.HSX) or contained in the VEL file (or files) loaded in the Corrections tab of the Read Parameters. It shows velocity variation with depth.

Note:This does not work if your vessel origin references the sonar head at the head level instead of sonar at the water level.

•The Sonar graph shows the sound speed at the transducer head. Erroneous spikes are pronounced and easily removed. The program also removes all soundings from that ping.

The status bar shows the average correction value from the profile and the sonar setting:

•Time

•Sonar: Sound velocity at the sonar head.

•Average sound velocity

•Surface: Sound velocity at the top of the sound velocity profile.

Sound Velocity Window

More Information

• Sound Velocity Corrections in the 64-bit HYSWEEP EDITOR

• Editing Tools in the 64-bit HYSWEEP EDITOR


Sweep 1 and 2 Windows in the 64-bit HYSWEEP EDITOR

The Sweep windows show your data, several sweeps at a time, according to the number of sweeps specified in the interface. Use the arrow keys to scroll forward and back to the next section of sweeps and from one line file to the next. A scale bar shows the horizontal and vertical scale of the display.

Sweep Windows

You may want to view only one Sweep window, but it may also be useful to view the same data from more than one angle. The view angles in the Sweep windows can be changed independently of each other, while maintaining synchronized cursor positions.

Number of Sweeps determines how much data from the current line is displayed.

Scale:

•Scale to Window zooms the data to fill the window.

•Scale to Line zooms the data to the extent of the entire line.

Additional Tools to Control Your Display

Task | Procedure
Toggle between map and profile view. |
View the data from any angle. When the Lock Survey Window in 2D option is checked in the View Options dialog (F9), the Survey display can rotate only around the Z-axis. Any other rotations are reset to zero until this option is cleared. |
Change Vertical Scale | Ctrl + Shift + Mouse Wheel
Set vertical scale to 1. | Ctrl + Home
Change colors used for depth or any of several other values. |

The window also displays statistics about the current cursor position:

•Depths

•Beam angle

•Offset: Horizontal offset from the sounding to the transducer.

•Range: beam slant range

•Flag/Quality: Manufacturer’s quality code.

In advanced editing mode, if you edit sweeps in Stage 2, you must then update the other windows to account for your changes by clicking [Update Cells].

More Information

• Display Options in 64-bit HYSWEEP EDITOR

• Editing Tools in the 64-bit HYSWEEP EDITOR

• Stage 2 Editing in the 64-bit HYSWEEP EDITOR


Single Sweep Window in the 64-bit HYSWEEP EDITOR

The single sweep display shows one sweep at time.

Connect Points draws a line between each sounding in order.

Show Ray Tracing shows the path between the transducer and the sounding.

Tip: This option shows the results of digitizing water column data more clearly than the Water Column window.

Auto Zoom: Each time you advance to the next sweep, the display zooms to the full extent of the data.

Sample Single Sweep Window

Note:Remember the window is synchronized with the other windows. If your cursor is not on the data, no data will appear in this display.

You may also set the colors to designate depth or any of several other values, in the Color Editor.

Ctrl + Delete removes all soundings in the current sweep.

In advanced editing mode, if you edit sweeps in Stage 2, you must then update the other windows to account for your changes by clicking [Update Cells].

More Information

• Display Options in 64-bit HYSWEEP EDITOR

• Editing Tools in the 64-bit HYSWEEP EDITOR

• Stage 2 Editing in the 64-bit HYSWEEP EDITOR


Imagery Window in the 64-bit HYSWEEP EDITOR

You can view multibeam backscatter or side scan intensity in the Imagery window.

To display side scan imagery, you must check the ‘Load Side Scan if Available’ option in the Survey tab of the Read Parameters dialog when you initially load your data. This option is unavailable later.

A red circle indicates the current cursor position in the other windows.

Imagery Window

Beam Average displays multibeam backscatter.

Side Scan displays the side scan intensity.

There are several preset color options. In each case, low amplitude is light and high amplitude is dark.

[Reset] resets the average amplitude value. The color schemes are all based on this value so, if your display looks light or dark try this button to correct it.

Hide Water Column: Removes that part of the side scan display representing the area from the water surface to the bottom.

Apply TVG = dBs/100Meters: The strength of return will be multiplied by this value for every 100 meters it is from the transducer.


Cloud Windows in the 64-bit HYSWEEP EDITOR

Cloud Window

The Cloud window presents a color-coded dot at each sounding location. It shows a cloud section sized according to the Cloud Section option in the Matrix Options dialog accessed from the Read Parameters dialog. The arrow keys advance the display to the next cloud section. A scale bar shows the horizontal and vertical scale of the display.

Tip: You can then show the cloud sections in the Survey window.

Popup Cloud Window

Alternatively, click the Cloud icon and use the cursor to draw a box, dragging from one corner to the diagonally opposite corner, in the Survey window. A Cloud Popup window displays only the defined area.

Sample Cloud Window

Additional Tools to Control Your Display

Task | Procedure
Toggle between map and profile view. |
View the data from any angle. When the Lock Survey Window in 2D option is checked in the View Options dialog (F9), the Survey display can rotate only around the Z-axis. Any other rotations are reset to zero until this option is cleared. |
Change Vertical Scale | Ctrl + Shift + Mouse Wheel
Set vertical scale to 1. | Ctrl + Home
Change colors used for depth or any of several other values. |

Tip: If you’re disoriented, use the map view or profile view icons to reorient you.

If you edit track lines in Stage 2, you must then update the other windows to account for your changes by clicking [Update Cells].

More Information

• Display Options in 64-bit HYSWEEP EDITOR

• Editing Tools in the 64-bit HYSWEEP EDITOR

• Entering Matrix and Cloud Section Settings in the 64-bit HYSWEEP EDITOR

• Stage 2 Editing in the 64-bit HYSWEEP EDITOR


Profile and AB Cross Section Windows in the 64-bit HYSWEEP EDITOR

The Profile and AB Cross Section Windows display cross sections of the sounding data. The two windows are very similar:

•In Profile window, each view includes all of the soundings contained in a user-defined number of rows of matrix cells running the length or width of your data set.

• [image] In the AB Cross Section window, you define the profile using the AB Cross Section and Patch Test tool, and it has the added Patch Test interface.

Sample Profile Windows—Length, Colored by Depth

Sample Profile Windows—Width, Vegetation Filters

Profile Orientation options designate whether the soundings are displayed by width or length of the matrix.

Stacking: The number of matrix rows (profiles) per view. Use the arrow buttons to scroll through the data by this number of rows each time.

Auto-scale automatically calculates the scale to optimally display the data. Alternatively, you can clear the auto-scale checkboxes and manually set the vertical range (Minimum and Maximum values).

Auto Zoom: Each time you view a new profile, the program performs an automatic zoom to the full extents of the data.

Additional Tools to Control Your Display

Task | Procedure
Change Vertical Scale. | Ctrl + Shift + Mouse Wheel
Set vertical scale to 1. | Ctrl + Home
Change colors used for depth or any of several other values. |

Show Matrix Points: The Selection option in the Survey window determines which value from each matrix cell to display. Show Matrix Points connects those points, amid the display of all points in the profile (now gray), with a solid line. These values update to account for the effects of each edit.

Project Level: Draws a thick, solid line at the defined depth in the Profile window. It can be defined either in the window itself or in the View Options dialog.

The Vegetation Filter attempts to differentiate between the ground level and any vegetation that may be growing there.

More Information

• Display Options in 64-bit HYSWEEP EDITOR

• Editing Tools in the 64-bit HYSWEEP EDITOR

• Stage 2 Editing in the 64-bit HYSWEEP EDITOR


Cell Window in the 64-bit HYSWEEP EDITOR

The Cell window presents a color-coded dot at each sounding location in the current matrix cell. It is a 3-dimensional, interactive display where you can use the Tilt and Rotate tool to view the data from any angle. A scale bar shows the horizontal and vertical scale of the display.

Sample Cell Window

Additional Tools to Control Your Display

Task | Procedure
Change Vertical Scale. | Ctrl + Shift + Mouse Wheel
Set vertical scale to 1. | Ctrl + Home
Change colors used for depth or any of several other values. |

You can include the data from the eight adjoining cells by selecting Include Neighboring Cells. You can edit any data displayed.

Cell Statistics: The window also includes statistics about the soundings in the current cell and they are automatically updated after each edit.Click on any statistic to see it in the graphical display.

•Count: The total number of soundings in the cell.

•Median: The median depth value of the cell.

•Average: The average of the depths in the cell.

•Maximum and Minimum depths in the cell.

•Z Range: The maximum minus the minimum depths in the cell.

•Mode and Deepest Mode

•Sigma: The standard deviation of the depths of the cell.

The Depth Histogram shows the percentage of readings at each depth reading. The bin size is defined below the graph. The bar below the histogram indicates where the sounding at the current cursor position falls in the graph.

More Information

• Display Options in 64-bit HYSWEEP EDITOR

• Editing Tools in the 64-bit HYSWEEP EDITOR

• Stage 2 Editing in the 64-bit HYSWEEP EDITOR


Water Column Window

The water column display shows backscatter amplitude with color coding.

Note:The 64-bit HYSWEEP EDITOR does not display dual head water column data.

Sample Water Column Window

Show Water Column Data includes backscatter amplitude in the sonar display.

Show Soundings includes raw depths in the sonar display and digitized soundings.

The Amplitude Graph shows the sonar measurement at the nadir beam. Adjust your displays using the display options:

•Graph Maximum sets the amplitude graph scale.

•Color Maximum and the blue, horizontal bar adjust the color saturation limit. You can enter a new, numerical number or click and drag the blue bar.

•Dot Size of each amplitude pixel

To adjust the zoom, use the Zoom Extents icon and mouse wheel.

To pan across the ultrasound display, right-click and drag in the display.

The status bar shows the raw depth and beam number at the current cursor position.

More Information

• Water Column Logger

• Logging Water Column Data

• Editing Water Column Data

• Water Column Playback


Camera Log

If you have used one of the HYPACK camera drivers to take photographs of your survey area while you log your survey data, the Camera Log window displays the image taken nearest in time to the current cursor position in your survey data. This provides added information to compare with topographic laser data.

Note:The FLIRThermal firmware does not support HYPACK camera logs in the 64-bit HYSWEEP EDITOR; however, they have embedded positioning metadata.

The camera driver snaps a picture at user-defined time intervals and stores them in the camera during survey. In addition, it generates a LOG file which correlates each image name with its timestamp.

In the 64-bit HYSWEEP EDITOR, you can import the position metadata from the camera log to each JPG image.

HYPACK recognizes images with embedded positioning data and displays an icon at each location in the HYPACK Map window. You can then use the Query tool to view the associated image.

To display the metadata for an image, right-click on the image in the Files List and select Properties. The Properties window for the image appears with the information and the image itself.

Sample Image Properties

Laser Data (left) Compared to GoPro Image (right)

More Information

• Camera Display Configuration


Survey Information in the 64-bit HYSWEEP EDITOR

The Sounding Information window displays data about the sounding at the current cursor position.

Survey Information


Comments Window in the 64-bit HYSWEEP EDITOR

If you have recorded comments during SURVEY, you can display them and refer to them as you edit your data.

To view your comments log:

1.Load your survey data to the editor.

2.Select FILE - SURVEY NOTES. A separate window will display the comments logged in SURVEY.

Sample Comments Display

More Information

• Comments in SURVEY


Display Options in 64-bit HYSWEEP EDITOR

In addition to the controls found in each window, the 64-bit HYSWEEP EDITOR includes dialogs where you can choose how your data is drawn. These dialogs can be accessed though the View menu. Right-click in any display and a pop-up menu will enable you to access settings applicable to that display.

More Information

• Color Settings in 64-bit HYSWEEP EDITOR

• Positioning a Light Source Over your Data Model in the 64-bit HYSWEEP EDITOR

• View Options Dialog in the 64-bit HYSWEEP EDITOR

• The Toolbox


Color Settings in 64-bit HYSWEEP EDITOR

The Colors Settings provides color-coding options for all of the displays.

Color Settings Dialog

Black Background displays data in all windows against black (checked) versus light gray (cleared).

Color By File: The track lines in the Survey window, and the data in the Profile, Cell and Cloud windows are colored according to the data file to which they are associated. The colors repeat every 7 lines. You can elect to show a color legend in these windows.

Color by GPS Mode: The track lines in the Survey window, raw tides in the Heave/Tide window, and the data in the Speed Editor window are colored according to the GPS mode. The colors repeat every 7 lines. You can elect to show a color legend in most of these windows.

Note:In Stage 2 editing, the GPS Mode legend appears only in Track line mode. In cell mode, the legend shows depths.

Palette for Depth Colors: You can choose from a number of color palettes to color code the soundings.

•Relief uses the color schemes common to relief maps.

•Spectrum uses a rainbow color spectrum.

•Chart uses the color schemes common to nautical charts.

•HYPACK uses the project color settings.

•Shoals displays red where the soundings are shoaler than the specified Project Depth.

•High Contrast uses a color selection designed to clearly distinguish one depth band from the next.

[Custom Colors] displays the Feature Colors dialog where you can choose some of the colors used in the 64-bit HYSWEEP EDITOR displays.

Feature Colors Dialog

Customizing Colors

1.Select one or more features for which you want to change the colors.

2.For each feature, click the corresponding [Edit]. A Color dialog will appear.

3.Select your new color and click [OK].

4.When all of your colors are set, return to the Color Settings dialog by clicking [Close].

Soundings Options

Soundings options affect the displays in the Sweep, Cloud, Profile and Cell windows, which display the soundings themselves rather than the matrix you see in the Survey window.

•Color By options determine the basis on which soundings are color-coded. Display the color bar in each window to interpret the coloring.

•Depth

•Sonar Head: Only useful for multiple transducer surveys.

•Port/Starboard: Starboard are green, and port are red.

•TVU: Total Vertical Uncertainty

•THU: Total Horizontal Uncertainty

•Beam Angle

•Beam Number

•Tide Correction

•Heave Correction

•Pitch Angle

•Roll Angle

•Checked Beams: Red are checked beams. Green are unchecked beams.

•Intensity

•RGB Color

•Detection for multidetect sonar.

•None: All soundings are black.

Note:To color by TVU or THU, you must select the Calculate TPU option in the Editor Settings dialog.

•Auto-scale Z Range uses the minimum and maximum values of the whole data set and evenly distributes the colors across that range. It creates the optimal settings unless you have values that are drastically out of range. Manual scaling highlights depths that are outside a user-defined range.

Edited Data—Manually Scaled Depths (left), Auto-scaled Depths (right)

To manually scale your soundings, clear the Auto-scale Z Range option and enter the minimum and maximum values for your color scale. Depths outside of the range receive the color of either the specified minimum or maximum, whichever is closer in value.

Tip: This can be useful to highlight depths or shoals in your data.

•Compare TVU and THU to Survey Accuracy Standard When you display TVU (Total Vertical Uncertainty) or THU (Total Horizontal Uncertainty), the soundings are green when they have met or exceed the accuracy standard set in the Survey tab of the Read Parameters dialog. Otherwise, they are red.

Matrix Options

The matrix options determine the size of range represented by each color. The 64-bit HYSWEEP EDITOR uses a constant number of colors and divides the range into that number. (The wider the range results in more depth values represented by the same color.)

Note:Notes: Your scaling option must correspond to your Selection option above the Survey window.

When you Show Checked Beams or Cells, the green and red colors of the checked and unchecked data, respectively, overrides other color settings.

Tip: For best results, use the Spectrum palette of colors.

The matrix in the Survey window can scale any of the following values:

•Points per Cell: When you display Count in your Survey window, Auto-scale Count Colors shows the range of the sounding counts in each cell. Manually scaling shows a green pixel for each cell at or above the user-defined limit and a red pixel for each cell below.

To check coverage specifications, clear the Auto-scale Count Colors check box and enter the minimum number of points per cell as the limit. If all of your data is green, you have met your coverage obligations.

Count in Survey Window—Manually Scaled (left), Auto-scaled (right)

•Cell Standard Deviation: When you display Sigma in your Survey window, Auto-scale Sigma Colors shows the range of the standard deviation in each cell. Manually scaling shows cells with standard deviation greater than or equal to the limit.

To check standard deviation, clear the Auto-scale Sigma Colors check box and enter your maximum allowed deviation. Cells with a standard deviation equal to or greater than the limit are red; all other cells are color-coded.

Sigma—Manually Scaled (left), Auto-scaled (right)

•Cell vertical range: When you display the Z Range in your Survey window, it shows the maximum depth minus the minimum depth in each cell, highlighting distinct features and outliers. Auto-scale Z Range Colors distributes the colors from the widest range to the smallest. Manually scaling shows cells with a vertical range greater than or equal to the limit.

To check for cells with a vertical range greater than a specified amount, clear the Auto-scale Z Range Colors check box and enter your maximum allowed vertical range and display Z Range. Cells with a standard deviation equal to or greater than the limit are red; all other cells are color-coded.

Z Range—Manually Scaled (left), Auto-scaled (right)

More Information

• Tracking your Editing Progress in the 64-bit HYSWEEP EDITOR

• 64-bit HYSWEEP EDITOR Interface


Positioning a Light Source Over your Data Model in the 64-bit HYSWEEP EDITOR

The light is positioned, by default, directly over the data. However, you can reposition the light to simulate shadows which accentuate the contours in your solid and color models. This can be helpful in detecting small depth variations and anomalies.

Two factors position the light:

•Rotation moves the light source horizontally around the data.

•Inclination adjusts the height of the light source from directly above to the level of the horizon.

To position the virtual light source:

1.Open the Light Control dialog by selecting VIEW-LIGHT SETTINGS.

Light Control Dialog

2.Set the direction and angle of inclination.

•Using the sliders to set the Inclination and Rotation.

Inclination and Rotation Angles

 | Slider Position | Degrees | Light Position
Inclination | left right | 0 90 | On horizon Directly above
Rotation | far right or left 1/4 distance from right 1/2 distance from right 3/4 distance from right | 0 90 180 270 | East North West South

•With your cursor, click on the graphic at the location at which you want the light. The Rotation and Inclination values will automatically update accordingly.

The lighting effect will automatically update in your data model.


View Options Dialog in the 64-bit HYSWEEP EDITOR

The View Options dialog (F9) includes display parameters that affect all of the windows.

View Options Dialog

Normal Dot Size: The size of soundings (pixels) of soundings when drawn as dots. The ‘Large Dots’ option in the toolbox overrides this setting with 5px dots.

Normal Line Width: The size of lines used for the ‘wiggle’ displays in the Survey and Sweep windows, and the crosshairs in the Single Sweep window. The ‘Wide Lines’ option in the toolbox overrides this setting with 3px lines.

Project Level: Draws a thick, solid line at the defined depth in the Profile and Single Sweep windows.

Target Radius: Distance, in survey units, between the target and target circles around each target.

Draw Ghost Soundings: When you are displaying only select files out of your catalog, the Profile and Cloud windows include the unselected soundings in paler colors to provide context for the selected data.

Ghost Soundings in the Profile Window

Draw Using Cell Center draws the value at the center of each matrix cell, which results in uniformly shaped faces in the model. Otherwise, the faces are irregularly shaped triangles.

Lock in 2D: The Survey display can rotate only around the Z-axis. Any other rotations are reset to zero until this option is cleared.

[Reload HYPACK Charts] enables you to change the charts displayed in the Survey window without leaving the 64-bit HYSWEEP EDITOR.

Exclude MTX Files and Exclude TIF Files remove those file types from the background chart display. Use these options to avoid duplicate displays of the same data, but presented in different file formats.

1.Launch 64-bit HYSWEEP EDITOR and load at least one data file.

2.Without closing 64-bit HYSWEEP EDITOR, change your chart settings in the HYPACK shell and save the project.

3.Return to the 64-bit HYSWEEP EDITOR and click [Reload HYPACK Charts]. If you are displaying charts in the Survey window, the display will update according to the settings in the shell.

More Information

• Tracking your Editing Progress in the 64-bit HYSWEEP EDITOR


Camera Display Configuration

If you have used one of the HYPACK camera drivers to take photographs of your survey area while you log your survey data, the Camera Log window displays the image taken nearest in time to the current cursor position in your survey data. This provides added information to compare with topographic laser data.

Note:The FLIRThermal firmware does not support HYPACK camera logs in the 64-bit HYSWEEP EDITOR; however, they have embedded positioning metadata.

1.Download the images from the camera, together with the camera LOG file, and put them all in the same folder on your hard drive.

2.Load the survey data to the 64-bit HYSWEEP EDITOR.

3.Select VIEW-CAMERA LOG. The Camera Log window appears.

Camera Log Window

4.Load the camera LOG. In the Camera Log window, click the [...] and select the camera catalog file. The window displays the image whose timestamp most closely matches the survey data time at the current cursor position.

Using the Camera Log Tools

Task | Procedure
Zoom in/out | Mouse wheel
Zoom Extents |
Scroll through the images. | Arrow icons
Import image metadata (lat/lon, altitude, attitude) to HYPACK. To review the properites, right-click and select Properties in the HYPACK File List. |

More Information

• Camera Log


Off-Screen Window Recovery

The 64-bit HYSWEEP EDITOR remembers the most recent size and position of each window. In most cases, the program automatically displays your data in your preferred window configuration. If your monitor display changes between editing sessions, however, it may result in windows located off-screen.

To recover off-screen windows, select VIEW-TILE WINDOWS. The program repositions all of the editor windows at the upper left corner of the monitor set as the main display in Windows®. You can then resize and position them as you choose.


64-bit HYSWEEP EDITOR Options

The Editor Options (EDIT-SETTINGS) affect the overall function of the 64-bit HYSWEEP EDITOR. You should check your options before you begin.

Editor Settings Dialog

Update Mode affects how the window displays are updated to remain synchronized as you edit your data.

•In Basic Mode, automatically updates all window displays with each edit. This method is satisfactory if the size of your data set and the power of your computer are such that your computer can perform the calculations quickly enough.

•Advanced Mode: If you perform an edit that requires data to be recalculated to update the other window displays, the [Update...] in the tool box turns red to notify you that the windows are not synchronized. You must click [Update...] to perform the calculations. This is particularly useful to save time when you are editing large data sets.

Delete Soundings Between Deleted Position Points: If this option is not selected, sounding positions will be interpolated between the remaining positions.

Use Custom Edit Folder enables you to specify a location to which your edited data is saved instead of the project’s \Edit folder. Check the option then use the browse button ([...]) to select your alternate location.

Time Format: Choose to display time in HH:MM:SS format (default) or in Seconds Past Midnight.

Include Type in LOG File Name appends the file type tag as a prefix to the catalog file name so you can easily tell what type of data the LOG file contains.

Link Golden Soundings to the HYPACK Database includes the Golden Soundings marked in the 64-bit HYSWEEP EDITOR in the Project Items list.

New Style Open/Save: Windows® New File Open and Close dialogs provide a more user-friendly interface and, typically, the new dialogs work perfectly. Occasionally, however, they cause an error next time you attempt to run.

Windows® Open/Close Dialogs Styles—Old (left) and New (right)

[Beam Calculations...] opens a dialog where you can choose the method by which the 64-bit HYSWEEP EDITOR calculates the sounding position. Both methods are valid and the difference is typically unnoticeable—less than 1 inch in 45 foot depths—under normal survey conditions.

•Position Soundings Based On Transmitter Boresite (the default) fixes the position at the ping send time. It takes longer to calculate, but it is likely to be slightly better in deep water where there is a significant difference in boat state (position, attitude, etc.) between ping send and receive times. This option is unavailable for multiple transducer projects.

•Position Soundings Based on Least Travel Time (historically used in HYPACK) calculates the position midway between the send and receive times.

More Information

• Saving Your Data to a Custom Location in the 64-bit HYSWEEP EDITOR

• TPU Editor

• Color Settings in 64-bit HYSWEEP EDITOR


Corrections in the 64-bit HYSWEEP EDITOR

HYPACK determines the final depth (or elevation) and position of each sounding by applying multiple corrections to the raw data recorded in SURVEY.

In some cases, even when corrections have been recorded with the survey data, when you apply them in the editing stage it can result in more accurate data.

The 64-bit HYSWEEP EDITOR provides a wide variety of options as to when you load your corrections data, when in the editing process corrections are applied and to which files they are applied.

Applying Corrections in the Read Parameters

Typically, you will load HYPACK corrections files and values and make processing choices in the Read Parameters dialog when you load your data.

Note:You can load data from multiple surveys where these settings differ between files. In this case, review each data set, one at a time, in the Corrections tab by selecting its files in the file list before reviewing and modifying their settings.

Read Parameters—Corrections Tab

In the Corrections tab, you will apply tide, sound velocity and draft corrections to one or more of your files. (You may alternatively apply draft corrections after your files are loaded to the editor using a draft and squat table.)

Important: You must first select one or more files in the list, then set the correction options for the selected files.

Important: Loading a correction file in the 64-bit HYSWEEP EDITOR overrides corrections of the same type stored in your raw data or overwrite those corrections previously saved in your edited data. The results will affect only the edited data saved from this session.

The Auto Processing options in the Survey tab apply your corrections and device offsets, as well as selected filters and adjustments (true heave and recalculating survey data from POSPac raw data) as your data is read into the program.

Applying Corrections in Stage 1

In Stage 1 editing, you can use the Fill Options to modify Heave, Tide and Draft corrections. Stage 1 also provides several additional routines for calculating and applying corrections using other data sources and methods. In some cases, these Stage 1 routines can correct configuration errors present during the survey.

More Information

• Applying One Set of Read Parameters to All Data in the 64-bit HYSWEEP EDITOR

• Applying Different Parameters to Select Data Sets in the 64-bit HYSWEEP EDITOR

• Tide Corrections in the 64-bit HYSWEEP EDITOR

• Sound Velocity Corrections in the 64-bit HYSWEEP EDITOR

• Dynamic Draft Corrections in the 64-bit HYSWEEP EDITOR

• Heave Corrections in the 64-bit HYSWEEP EDITOR

• Automatic Processing in the 64-bit HYSWEEP EDITOR

• Stage 1 Editing in the 64-bit HYSWEEP EDITOR

• Corrections in SURVEY


Tide Corrections in the 64-bit HYSWEEP EDITOR

Tide corrections relate raw soundings to the chart (low water) datum. When creating a tide file for depth mode, enter tide values as negative numbers. When creating a tide file for elevation mode, enter tide values as positive numbers. Units are according to those selected under Geodesy (feet or meters).

The 64-bit HYSWEEP EDITOR reads tide corrections recorded to the header of the raw files during survey.

Important: If you plan to adjust your data with POSPac data, leave the Tide Corrections option In the Corrections dialog blank. In the editor, the TID file overrides all other tide correction calculation methods.

If no tide data was logged, or if you want to apply different corrections than those that were logged, the 64-bit HYSWEEP EDITOR provides a number of options. In the Read Parameters you can do any of the following:

•Tide corrections files

•Enter a user-defined constant tide value.

•Interpolate tide corrections from multiple tide gauges along a river or distributed around your project area.

Important: If you have loaded data from multiple surveys where these settings differ between files, review each data set, one at a time, by selecting its files in the file list before reviewing and modifying their settings.

In stage 1 editing you can do any of the following:

•Use the Fill Options in the Heave/Tide window to modify Heave, Tide and Draft corrections to select areas or to one or more survey lines.

•Recalculate RTK tides from HYPACK raw data.

•Recalculate tide in POS MV survey data using the POSPac raw data.

More Information

• Applying One Set of Read Parameters to All Data in the 64-bit HYSWEEP EDITOR

• Applying Different Parameters to Select Data Sets in the 64-bit HYSWEEP EDITOR

• Loading a Tide Corrections File in the 64-bit HYSWEEP EDITOR

• Setting a Constant Tide Correction Value in the 64-bit HYSWEEP EDITOR

• Interpolating Tide Corrections from Multiple Tide Gauges in the 64-bit HYSWEEP EDITOR

• Offsetting Tide Corrections in the 64-bit HYSWEEP EDITOR

• Recalculating Positioning and RTK Tides from HYPACK Raw Data in the 64-bit HYSWEEP EDITOR

• Recalculating POS MV Data from POSPac Raw Data in the 64-bit HYSWEEP EDITOR

• Extracting Corrections from Raw Multibeam Data

• Tide (Water Level) Corrections


Loading a Tide Corrections File in the 64-bit HYSWEEP EDITOR

Tide corrections are usually read from tide files (*.TID) created by the MANUAL TIDES or HARMONIC TIDES PREDICTION programs. This data overrides any tide data recorded in the data file header.

Note:If you have loaded data from multiple surveys where these settings differ between files, review each data set, one at a time, by selecting its files in the file list before reviewing and modifying their settings.

1.In the Corrections tab of the Read Parameters dialog, select the data files in the list provided that require the same set of corrections.

2.Click [TID File], choose the file from the file selection dialog and click [Open].

3.Repeat the process until you have loaded the required corrections for each data file in your catalog.

4.When all of your read parameters are set, click [OK].

More Information

• Tide (Water Level) Corrections


Processing Data with RTK Tide Corrections in the 64-bit HYSWEEP EDITOR

For RTK Tides to accurately determine water levels, your project must be configured to collect the required information:

•Use an RTK-capable device driver.

•In your geodetic parameters, provide data about the separation of the Chart Datum and Reference Ellipsoid in your project area using a KTD (Kinematic Tide Datum) file, the VDatum database or an Orthometric Height Correction.

If you have logged RTK tide corrections in SURVEY and you want to apply them in your editing session, do the following in the Read Parameters dialog:

1.Check the RTK Tides option in the Tides area of the Devices tab.

2.In the Processing tab of the Read Parameters, click [Heave]. In the Heave Processing window that appears, you have several options on how to treat the raw heave data.

There are three basic options for integrating heave data with your RTK tides:

•Use RTK Tide Heave: The editor ignores the heave data from your MRU and calculates a tide correction that includes the heave correction based on the GPS antenna height above the reference ellipsoid. Heave corrections are set to zero because they are incorporated into the tide correction. The pitch and roll data from the MRU together with the device offset information determines the exact boat origin and transducer positions relative to the GPS antenna.

•Use MRU Heave and Average Tides to Remove Heave: Removes the influence of the heave on the calculated tide by averaging the tide results over a user-specified time. The editor then uses the raw heave as final corrections.

•Use MRU Heave and Merge Tides with Heave: (Recommended only for systems with RTK GPS updates at 1Hz.) At each RTK GPS update, the editor interpolates what the heave value was at that time and subtracts that heave value from the computed RTK tide. Those become our adjusted anchor points in our Final Tide Correction graph. The editor uses the intervening heave-pitch-roll data to determine the movement of the sensors between RTK GPS updates.

Your heave and tide corrections vary based on your selection.


Setting a Constant Tide Correction Value in the 64-bit HYSWEEP EDITOR

You can set a constant tide correction value for one or more files. This value replaces the tide data that may have been recorded during data collection in the edited data only.

Note:If you have loaded data from multiple surveys where these settings differ between files, review each data set, one at a time, by selecting its files in the file list before reviewing and modifying their settings.

You can do this using either of two methods:

•Set the value in the read parameters:

a.In the Corrections tab of the Read Parameters dialog, select one or more data files to which you will apply the new tide value.

b.Select the ‘Set Correction’ option and enter your tide value in the corresponding field.

c.When all of your read parameters are set, click [OK].

•Set the value in the Heave/Tide window during Stage 1 Editing:

a.In the File List, select the lines where you want to replace a correction value.

b.In the Heave/Tide window, check tide correction for display.

c. Click the Fill icon.The Fill Options dialog will appear.

Fill Options Dialog

d.Enter the replacement tide correction and click [OK].

Tip: To restore corrections modified through this dialog, use the Reset dialog (EDIT-RESET).

More Information

• Applying One Set of Read Parameters to All Data in the 64-bit HYSWEEP EDITOR

• Applying Different Parameters to Select Data Sets in the 64-bit HYSWEEP EDITOR

Eid


Replacing Bad RTK Tide

If you lose your RTK positioning for a short time, you may have a span of tide data that is too far out of range. You can use the Fill dialog during Stage 1 editing to replace that section of tide data with a value that is closer to the truth.

1.In the Heave/Tide Window, check tide correction for the display.

2.Use the lasso or block edit tool to define the section of bad data.

Replacing Bad RTK Tides—Before

3. Click the Fill icon.

4.Enter the replacement tide correction (in this example 0.8) and click [OK].

Replacing Bad RTK Tides—After


Interpolating Tide Corrections from Multiple Tide Gauges in the 64-bit HYSWEEP EDITOR

The center line and three-point tide adjustment tools interpolate tide correction values from multiple tide gauges. These tools are available in the single beam and HYSWEEP editors to adjust the tide data of the edited output files.

z

Center Line Tide Adjust

Three Point Tide Adjust

Center Line Tide Adjust

The center line method is for surveys where the tide gauges are in a line along a river or coastline. This method interpolates tide correction values, based on the distances along a line between gauges.

You will need:

•A *.TID file for each gauge location

•The distance of each gauge along the center line.

•A *.LNW file that contains just the center line (limited to 1000 waypoints).

•The data files to adjust.

River with 3 Tide Gauges and a Center Line LNW File

1.Select the files you want to adjust in the files list.

2.Start the program by selecting TOOLS–TIDE ADJUSTMENTS-CENTER LINE METHOD.

If you have not selected all of the loaded files in the list, a confirmation dialog will appear for you to confirm your intentions:

•To edit the lines selected in the file list, click [Selected Lines].

•To edit all files currently loaded, click [All Lines].

•To change your selection in the files list, click [Cancel] and begin again.

The Tide Adjust dialog window appears next.

Tide Adjust Dialog

3.Enter the name of the *.LNW file that has your center line (and nothing else). Click [Open File] below the LNW File field and select the file name from the File Select dialog.

4.Enter the names of the *.TID files. For each Tide file, place your cursor in the first available cell in the table, click [Open File] under Tide Stations and select the tide file from the file selection dialog.

5.Enter the Chainage (and their distances along the center line) for each tide file.

6.Correct the soundings by clicking [Adjust Tides]. The program will assign tide correction values only to the edited files. It does not change the raw files.

Return to Top

Three Point Tide Adjust

The three point method is for survey areas with 3 tide gauges around the area. This method creates a triangular tidal surface between the three stations to generate a correction at the vessel position.

Note:For best results, your survey area must lie within the triangular area defined by the three tide stations.

Tide Adjustments - 3 Point Method

1.Start the program by selecting TOOLS–TIDE ADJUSTMENTS-3 POINT METHOD. The 3-Point Method dialog will appear.

Tide Adjustments Dialog

2.Enter the names of the *.TID files. For each tide file, place your cursor in the first available cell in the table, click [Open File] and select the tide file from the file selection dialog.

3.Enter the position of each tide gauge for each tide file.

4.Correct the soundings by clicking [Adjust Tides]. The program will assign tide correction values only to the edited files. It does not change the raw files.

Return to Top


Offsetting Tide Corrections in the 64-bit HYSWEEP EDITOR

If, once you load your tide corrections, you discover that they are all off by a constant amount, this tool enables you to shift each tide correction by the same user-defined amount.

1.In the Survey Files List, select the files you want to adjust.

2.Select TOOLS-TIDE ADJUSTMENTS-TIDE OFFSET.

If you have not selected all of the loaded files in the list, a confirmation dialog will appear for you to confirm your intentions:

•To edit the lines selected in the file list, click [Selected Lines].

•To edit all files currently loaded, click [All Lines].

•To change your selection in the files list, click [Cancel] and begin again.

The Tide Offset dialog appears next.

Tide Offset Dialog

3.Enter the amount, in survey units, that you need to adjust the tide corrections. This value will be added to the current tide correction for each sounding so, if you need to decrease the tide correction, enter a negative number.

4.Click [OK]. The graph in the Tide and Draft Corrections window will update automatically. In the Spreadsheet window, click the [Refresh] button to display the updated tide values.


Sound Velocity Corrections in the 64-bit HYSWEEP EDITOR

Sound Velocity Corrections files are generated in the SOUND VELOCITY program and contain depth vs sound velocity data in survey units. They are used to correct soundings for variations of sound in the water column. In most shallow-water, small-boat surveys, the echosounder is calibrated for the range of soundings encountered and no sound velocity corrections are needed. For multibeam surveys and deep-water surveys, sound velocity corrections are used to provide more accurate soundings. Typically, you will perform one or more sound velocity casts in your project area. You can import the data to the SOUND VELOCITY program which generates the sound velocity corrections (*.VEL) file for post-processing.

In the multibeam editors, provide multiple methods to apply sound velocity corrections. The Ray Tracing option is implemented in the Read Parameters dialog.

•Line Method: Sound velocity corrections are not interpolated; the same sound velocity value is assigned to all depths in the same depth range

•Arc method. The arc method assumes a constant velocity change between V1 and V2 which calculates an arced ray path.

•Autoselect automatically selects the most appropriate method according to your depths and the spacing of your sound velocity measurements.

The program can read up to 48 sound velocity correction files and apply interpolated corrections based on these depth-sound velocity pairs in place of those recorded during the survey.

•Apply one VEL file to all data in your survey. Use this option if the sound velocity profile in your survey area is uniform.

•Apply one VEL file to select lines. This option enables you to edit data from multiple files, and perhaps from multiple surveys, in one session.

•Interpolate between multiple VEL files. If you take multiple sound velocity casts over the course of the day as you survey, just select all data files and load all of the VEL files. The program will interpolate the corrections based on the time, or on time and distance, in the VEL files over the course of the survey.

In addition, if your sonar outputs a surface sound velocity correction value, Adjust SV Profile Each Ping in the Read Parameters, enables you to replace the first correction value in your sound velocity profile (at the level of the transducer head) with the surface value supplied by the sounder.

Note:If you have loaded data from multiple surveys where these settings differ between files, review each data set, one at a time, by selecting its files in the file list before reviewing and modifying their settings.

More Information

• Loading Single Sound Velocity Corrections Files in the 64-bit HYSWEEP EDITOR

• Interpolating Between Multiple Sound Velocity Files

• Correcting your Sound Velocity Profile with the SVP Adjust Tool

• Applying One Set of Read Parameters to All Data in the 64-bit HYSWEEP EDITOR

• Applying Different Parameters to Select Data Sets in the 64-bit HYSWEEP EDITOR

• Extracting Corrections from Raw Multibeam Data


Loading Single Sound Velocity Corrections Files in the 64-bit HYSWEEP EDITOR

1.In the Corrections tab of the Read Parameters dialog, select the files in the list provided that require the same set of corrections.

2.Click [VEL File].

3.Choose the file from the file selection dialog and click [Open].

4.Repeat the process until you have loaded the required corrections for each data file in your catalog.

5.When all of your read parameters are set, click [OK].

More Information

• SV (Sound Velocity) Window in the 64-bit HYSWEEP EDITOR

• Correcting your Sound Velocity Profile with the SVP Adjust Tool

• Interpolating Between Multiple Sound Velocity Files


Interpolating Between Multiple Sound Velocity Files

When you load multiple sound velocity files the editor calculates interpolated values based on the time tag, or time and position of each ping. The Sound Velocity Profile window draws each sound velocity profile in a different color and graphs the interpolated values in white.

Interpolating Between Multiple VEL Files

If you have loaded multiple VEL files, all of the information will be stored to the header of the saved HS2X files. If you later load these files back to the editor, the results will be the same.

Later, in Stage 2 editing of the 64-bit HYSWEEP EDITOR, if you suspect errors in the sound velocity profile, the Sound Speed Adjustment tool enables you to adjust your profile to remove the telltale ‘smile’ or ‘frown’ shape of your sounding swaths.

1.In the Corrections tab of the Read Parameters dialog, select the files in the list provided that require the same set of corrections.

2.Click [VEL File]. A File Open dialog will appear.

3.Hold the Ctrl key and select each VEL file for the day. Click [OK]. The Multi-SVP (sound velocity profile) dialog will appear.

4.Click [Get File Create Times] or [Get File Write Times] to list the desired Windows® time for each VEL file.

Multi-SVP Dialog

5.Modify the times to reflect the time of the cast if necessary. Double-click on the time you need to change and overtype the current value.

6.Select the interpolation method between VEL files:

•None:

•Use Most Recent: Every ping uses the VEL file that precedes it in time.

•Use Closest in Time: Every ping uses the VEL file with the closest Cast Time, even if the cast is after the ping.

•Use Nearest in Position: Every ping uses the VEL file from the SVP cast nearest the boat.

•Time: Interpolates the profiles before and after the ping time based on the ping time.

•Time and Position: Interpolates the profiles before and after the ping time based on the boat position at ping time.

Note:Interpolation based on time and position requires the Type 3 VEL files with the cast data in the header.

7.Repeat until you have loaded the corrections for each file loaded.

8.Click [OK].

More Information

• Loading Single Sound Velocity Corrections Files in the 64-bit HYSWEEP EDITOR

• Correcting your Sound Velocity Profile with the SVP Adjust Tool

• SV (Sound Velocity) Window in the 64-bit HYSWEEP EDITOR


Correcting your Sound Velocity Profile with the SVP Adjust Tool

In multibeam surveys, if sound velocity information is inaccurate, the survey results range from slightly inaccurate to completely worthless.

When everything works correctly:

•A sensor at the sonar head accurately measures sound velocity in real time.

•A cast is done periodically to find sound velocity in the water column; the profile.

•Casting is done frequently enough so that changes that naturally occur are accurately reflected in the profiles.

Failure in any of these factors—equipment failure or casts taken too infrequently— results in multibeam errors.

When you have completed the preliminary cleaning of your depth data the 64-bit HYSWEEP EDITOR, if the profile view of the depth swaths turn up or down on each end, it is an indication that your sound velocity correction information is inaccurate.

We cannot correct problems that occur at the sonar head, but if you feel the sound velocity values recorded during survey are inaccurate, you can choose to omit them by clearing the ‘Adjust SVP Every Ping’ option in the Sonar Processing dialog (accessed from the Processing tab in the Read Parameters dialog) when you first load your data into the 32-bit HYSWEEP EDITOR.

The SVP Adjust routine in the 64-bit HYSWEEP EDITOR can help compensate for common sound velocity errors.

• SVP Adjust Interface

• Shifting your Sound Velocity Profile

• Generating A New Sound Velocity Profile

SVP Adjust Interface

To launch the SVP Adjust tool, select TOOLS-SVP ADJUST.

Sample Data in the SVP Adjust Tool—Before Adjustments

•Depth shows all valid depths in the current sweep without tide corrections. You may enter minimum and maximum depth scaling or allow the program to auto scale based on the range of depths. A flat bottom area shows as a ‘U’ shape or smiley face, which is indicative of sound velocity errors. The adjustment goal is to flatten out the depth points.

•Slope: Graph shows the slope (vertical change/horizontal change, or first depth derivative) between each pair of consecutive points across the sweep. The average slope of all points shows above the graph.

•Curvature: Graph shows curvature (vertical change/horizontal change in the slope graph or 2nd depth derivative) at all pairs of consecutive points across the sweep. The average curvature taken over all points shows above the graph.

•Sound Velocity Profile: Shows the water column sound velocity to the end of the cast.

•Sound Speed at Sonar Head: For reference only.

•Adjustments: Profile points may be shifted left and right (slower or faster) or up and down. You can shift the whole profile or use your mouse to draw a rectangle in the sound velocity profile graph, in which case only points inside the rectangle shift.

•[Restore Original Profile]: Useful for trial and error.

•[New Profile]: Replaces the original profile with current one based on your parameters.

•[Save to VEL File] stores the current profile to a sound velocity corrections file.

Return to Top

Shifting your Sound Velocity Profile

If you have sound velocity data, but find your casts should have been more frequent to more accurately reflect the survey conditions, you may be able to adjust your profile for select lines—those that curl on the ends when they should be flat.

1.Use the up and down arrows to scroll through the depth profiles until you reach a line where the data curls.

2.If you want to shift only part of the sound velocity profile, use your cursor to drag a box around that portion of the profile. Otherwise, the whole profile will shift.

3.Use the ‘Adjustments’ buttons to shift the profile left ([Slower]), right ([Faster]), up or down, or any combination. Until the average slope and curvature values are at or near zero and the depth swath flattens.

Tip: If you are unsatisfied with your results, start over by clicking [Restore Original Profile].

Sample Data in the SVP Adjust Tool—Before (left) and After (right) Adjustments

4.When you are satisfied with your results, update your survey data using the modified sound velocity profile:

•[Update Survey Line] updates only the current survey line.

•[Update All Lines] updates all currently loaded data.

5.Click [Save to VEL File...]. (Optional) The program stores your modified profile, by default, to a sound velocity corrections file (*.VEL), SVP_ADJUST_hhmm.VEL, in the project folder where hhmm is the time of the ping.

Tip: Export multiple correction files, each at a different time throughout your survey then load them all in your Read Parameters so the program can interpolate the correction values based on time.

Return to Top

Generating A New Sound Velocity Profile

If you, for some reason, have a data set with no sound velocity data, you can use the SVP Adjust tool to create an approximate sound velocity profile based on data gathered over a flat bottom. In this case, all swaths should curl on the ends.

1.Click [New Profile].

2.Set the new profile options.

•Minimum Depth: Surface sound velocity is taken from the sensor and typically extends down about 6 ft (2 m).

•Maximum Depth of the survey area.

•Gradient: This is trial and error to determine the best value for your conditions. Begin with a value of -0.7.

•Number of Points in the profile. Start with 10.

Tip: If you are unsatisfied with your results, start over by clicking [Restore Original Profile].

3.When you are satisfied with your results, update your survey data using the modified sound velocity profile:

•[Update Survey Line] updates only the current survey line.

•[Update All Lines] updates all currently loaded data.

•To return to the SVP Adjust tool, click [Cancel].

4.Click [Save to VEL File...]. (Optional) The program stores your modified profile, by default, to a sound velocity corrections file (*.VEL), SVP_ADJUST_hhmm.VEL, in the project folder where hhmm is the time of the ping.

Return to Top

More Information

• Interpolating Between Multiple Sound Velocity Files

• Sound Velocity Adjustments

• Correcting your Sound Velocity Profile with the Sound Speed Adjustment Tool

• SOUNDING ADJUSTMENT


Dynamic Draft Corrections in the 64-bit HYSWEEP EDITOR

Dynamic draft is the vertical movement of the echosounder transducer as the vessel is underway.

Dynamic draft is typically logged during data collection either manually or using the drafttable device driver.

Note:If you have loaded data from multiple surveys where these settings differ between files, review each data set, one at a time, by selecting its files in the file list before reviewing and modifying their settings.

In the editor, you can apply a constant draft correction, apply a new draft table or smooth existing draft corrections over a user-defined time interval.

More Information

• Applying a Constant Draft Correction in the 64-bit HYSWEEP EDITOR

• Smoothing Dynamic Draft Corrections in the 64-bit HYSWEEP EDITOR


Applying a Constant Draft Correction in the 64-bit HYSWEEP EDITOR

At any time, you can apply a constant tide correction to one or more of your currently loaded files in the Corrections tab of the Read Parameters dialog.

1.Select the files to which you want to apply the correction.

2.Check the Set Draft Correction option.

3.Enter the correction in the corresponding field.

When you are finished in the Read Parameters dialog and you click [OK], the defined corrections are applied.

More Information

• Applying One Set of Read Parameters to All Data in the 64-bit HYSWEEP EDITOR

• Applying Different Parameters to Select Data Sets in the 64-bit HYSWEEP EDITOR

• Manual Processing in the 64-bit HYSWEEP EDITOR


Smoothing Dynamic Draft Corrections in the 64-bit HYSWEEP EDITOR

If dynamic draft has been logged to your data, particularly if you did so from a sensor on a towfish or AUV, the values may change abruptly. You can average the draft over a user-specified Average Period to remove the effects of the motion for the draft data.

1.In the Survey Files list, select the files you want to adjust.

2.Select TOOLS-DRAFT ADJUSTMENTS-SMOOTH DRAFT.

If you have not selected all of the loaded files in the list, a confirmation dialog will appear for you to confirm your intentions:

•To edit the lines selected in the file list, click [Selected Lines].

•To edit all files currently loaded, click [All Lines].

•To change your selection in the files list, click [Cancel] and begin again.

The Smooth Draft dialog appears next.

Smooth Draft Dialog

3.Enter the time interval and click [Adjust]. The program progresses through the data, resetting each draft record based on surrounding draft records over your defined time span. The dialog automatically closes when the adjustment process is complete.


Draft Adjustments in the 64-bit HYSWEEP EDITOR

The editor includes a dynamic draft routine with which you can apply new draft corrections based on the speed over ground.

Important: It is best to edit bad positions as necessary before running the adjustment to provide the most accurate speed information for the adjustment.

Note:If you have loaded data from multiple surveys where these settings differ between files, review each data set, one at a time, by selecting its files in the file list before reviewing and modifying their settings.

1.In the Survey Files list, select the files you want to adjust.

2.Select TOOLS-DRAFT ADJUSTMENTS-SQUAT AND SETTLEMENT TABLE.

If you have not selected all of the loaded files in the list, a confirmation dialog will appear for you to confirm your intentions:

•To edit the lines selected in the file list, click [Selected Lines].

•To edit all files currently loaded, click [All Lines].

•To change your selection in the files list, click [Cancel] and begin again.

The Squat and Settlement window appears next.

3.Enter the draft correction values (in survey units) versus speed (in knots).

4.Graph your adjustments (Optional) by clicking [Graph].

Squat and Settlement Corrections Table

5.Click [Adjust]. The editor calculates the dynamic draft correction from boat speed (from GPS) and the table.


Heave Corrections in the 64-bit HYSWEEP EDITOR

The 64-bit HYSWEEP EDITOR provides several methods to apply heave corrections recorded in the data.

Processing options in the Read Parameters dialog are applied as the program reads the data into the editor.

In Stage 1 editing, you can use the Fill Options in the Heave/Tide window to modify Heave, Tide and Draft corrections to select areas or to one or more survey lines. Stage 1 also provides several additional routines for calculating and applying corrections using other data sources and methods. In some cases, these Stage 1 routines can correct configuration errors present during the survey.

More Information

• Filling Values in the Heave/Tide Window

• Heave Options in the Read Parameters in the 64-bit HYSWEEP EDITOR

• Removing Heave Drift in the 64-bit HYSWEEP EDITOR

• Applying True Heave in the 64-bit HYSWEEP EDITOR


Heave Options in the Read Parameters in the 64-bit HYSWEEP EDITOR

The Processing tab provides options for processing heave and sonar data as it is read into the editor. It displays the current settings and, if changes are required, a button is provided for each section to access an additional dialog for this purpose.

Note:If you have loaded data from multiple surveys where these settings differ between files, review each data set, one at a time, by selecting its files in the file list before reviewing and modifying their settings.

Important: You must first select one or more files in the list, then set the correction options for the selected files.

Read Parameters—Processing Tab (left), Heave Processing Dialog (right)

•Use RTK Tide Heave: When you check the RTK Tides option in the Tide area of the Device Offsets dialog, the editor calculates vertical position—tide and heave together—using RTK GPS elevation; the program ignores heave data from the MRU. For RTK Tides to accurately determine water levels, you must have used an RTK-capable device driver and provided data about the separation of the Chart Datum and Reference Ellipsoid in your project area using a KTD (Kinematic Tide Datum) file, the VDatum database or an Orthometric Height Correction. You must also check the RTK Tides option in the Tide area of the Devices tab of the Read Parameters.

The pitch and roll data from the MRU together with the device offset information determines the exact boat origin and transducer positions relative to the GPS antenna.

Heave Processing Settings—Use RTK Tide Heave

The Heave/Tide window (Stage 1) shows corrected heave of zero because it is included with the calculated RTK tide.

This technique requires rapid updates from your GPS system. The recommended minimum update rate is 10Hz.

Note:When you select this option, enter no tide corrections in the Corrections tab and set the RTK Tides option in your tide device settings from the Devices tab.

Beware! Our testing of this method showed the RTK GPS does not report the full range of motion.

Raw Heave (red) and Corrected Heave (blue)

Corrected Heave (blue), Raw Tide (yellow)

•Use MRU Heave

•Correct for Induced Heave is used when the MRU is not mounted at the pivot point of the survey vessel. In this case, the heave measurement is affected by the pitch (if the MRU is mounted forward or aft of the pivot point) or roll (if it is mounted port or starboard). This is known as induced heave. A check in this box tells HYPACK to determine a heave correction for every sounding to compensate for this difference.

Induced Heave is Caused When the MRU is not Mounted at the Pivot Point of the Boat

•Remove Heave Drift smooths the heave in areas where it was affected by factors such as turning, acceleration and deceleration.Check the option and enter a value of seconds over which the heave should be averaged. Start with the time it takes to complete three full heave cycles.

•Avoid Double Heave Correction is for data with both MRU heave and RTK tide corrections.

When you check the RTK Tides option in the Tide area of the Device Offsets dialog, the editor calculates vertical position—tide and heave together—using RTK GPS elevation; the program ignores heave data from the MRU. To accurately determine water levels using RTK Tides, you must have used an RTK-capable device driver and provided data about the separation of the Chart Datum and Reference Ellipsoid in your project area using a KTD (Kinematic Tide Datum) file, the VDatum database or an Orthometric Height Correction. You must also check the RTK Tides option in the Tide area of the Devices tab of the Read Parameters.

•The Average Tide Data to Remove Heave method averages the RTK elevations over a user-specified Average Period to remove the effects of heave in the tide data. It uses the heave information from the motion reference unit to determine the position of the RTK antenna.

Raw Heave (red), Corrected Heave (blue)

Raw RTK Tides (green), Corrected Tides (yellow)

The raw heave values can now be applied as the final corrections. (Corrected heave might be a little different if you apply heave drift or induced heave.)

This method seems to be preferable, particularly if your survey boat is in rough waters.

•The Merge Tide Data with Heave method uses the RTK elevation as the starting point. It then uses the heave data received to determine the antenna height, until the next RTK elevation is received. The accuracy of your GPS latency setting affects the accuracy of this method.

At each RTK GPS update, we can interpolate what the heave value was at that time. We can then remove the heave component from that measurement by subtracting that heave value from the computed RTK tide. Those become our adjusted anchor points in our Final Tide Correction graph. We then can use the intervening heave-pitch-roll data to determine the movement of the sensors between RTK GPS updates.

Tip: This method was very useful in the early days of RTK GPS where most units provided a position update at a rate of 1Hz. With most RTK GPS systems now updating position information at rates of 10Hz or greater, this method is not normally recommended.

Raw Tide (green), Corrected Tide (yellow)—If all were perfect, the corrected tide line would be almost flat.

Click [Default Values] to set the options in this dialog that are usually safe in any situation.

More Information

• Heave/Tide Window in the 64-bit HYSWEEP EDITOR

• Removing Heave Drift in the 64-bit HYSWEEP EDITOR

• Applying True Heave in the 64-bit HYSWEEP EDITOR

• Applying One Set of Read Parameters to All Data in the 64-bit HYSWEEP EDITOR

• Applying Different Parameters to Select Data Sets in the 64-bit HYSWEEP EDITOR

• Automatic Processing in the 64-bit HYSWEEP EDITOR


Removing Heave Drift in the 64-bit HYSWEEP EDITOR

It is important to normalize the heave in areas where it was affected by factors such as turning, acceleration and deceleration.

The 64-bit HYSWEEP EDITOR supports two methods to remove heave drift:

•Area-based editing

•The remove heave drift algorithm

Area-based Editing Heave Drift

Applying the Remove Heave Drift Algorithm

Area-based Editing Heave Drift

Use the area-based editing tools to delete or modify bad heave data:

•Delete bad heave data, replacing it with zero heave. This could be useful where the survey vessel had not quite settled into the regular pattern centered over the "0" line when the logging began. Since heave generally averages out to approximately "0", using this feature to edit the heave for that segment to "0" may improve your accuracy.

a.In the Heave/Tide or Heading, Pitch and Roll window, check Heave Correction for the display.

b. Use the area-based editing tools to select your bad data.

c.Click the Delete Point or Selection icon.

•In the Heave/Tide window, use the Fill dialog:

a.In the Heave/Tide Window, check Heave Correction for the display.

b.Select the area to be filled.

Filling Area of Heave Drift with Zero—Before

c. Click the Fill icon.

d.Enter 0.0 for new heave value then click [OK].

Filling Area of Heave Drift with Zero—After

•In the Survey window, use the area-based editing tools to clip the ends of track lines where heave may not have leveled before logging began.

Return to Top

Applying the Remove Heave Drift Algorithm

The Remove Heave Drift algorithm assumes that, over time, heave will average out to zero. The calculations look at each heave sample. An average is calculated for the sample using heave before and after. The number of samples before and after depends on the Averaging Period entered in the Heave Processing dialog (accessed from the Processing tab in the Read Parameters). For example, a 12 second period, the average is taken from six seconds before to six seconds after. If heave doesn’t average to zero, the average is added to the sample to make it so for each period until all heave drift is removed.

This is a mathematical approximation of what the heave should have been. In such cases, your results will be better than if you use the exaggerated heave values or use heave equal to zero.

You can do this as the data is read into the editor or in the Heave/Tide window during Stage 1:

Removing Heave Drift as the Data is Read

1.In the Processing tab of the Read Parameters dialog, click [Heave].

2.Select Use MRU Heave and Remove Heave Drift, and click [OK].

Removing Heave Drift Using Heave Adjustments in Stage 1

This method enables you to view the heave as it is recorded in the raw data before any editing occurs.

1.In the Survey Files list, select the files you want to filter.

2.Select TOOLS-HEAVE ADJUSTMENTS-REMOVE HEAVE DRIFT.

If you have not selected all of the loaded files in the list, a confirmation dialog will appear for you to confirm your intentions:

•To edit the lines selected in the file list, click [Selected Lines].

•To edit all files currently loaded, click [All Lines].

•To change your selection in the files list, click [Cancel] and begin again.

The Remove Heave Drift dialog appears next.

Remove Heave Drift Dialog

3.Enter your averaging period and click [Adjust]. When the adjustment is complete, the word ‘Done’ will appear in the dialog.

4.When the calculations are complete, click [Close].

Return to Top

More Information

• Applying One Set of Read Parameters to All Data in the 64-bit HYSWEEP EDITOR

• Applying Different Parameters to Select Data Sets in the 64-bit HYSWEEP EDITOR

• Automatic Processing in the 64-bit HYSWEEP EDITOR

• Heave Options in the Read Parameters in the 64-bit HYSWEEP EDITOR

• Heave/Tide Window in the 64-bit HYSWEEP EDITOR

• Removing Heave Drift in the 64-bit HYSWEEP EDITOR

• Applying True Heave in the 64-bit HYSWEEP EDITOR


Applying True Heave in the 64-bit HYSWEEP EDITOR

The editor programs include a specialized routine that applies true heave data, logged during your survey to your sounding data in post-processing. You can apply true heave if you have logged data during your survey from any of the following systems:

•POS MV: Group 111 data

•Coda Octopus F180: IHeave CSV data

•Novatel SPAN: SPAN Heave data

•SBG intertial navigation: SBG Heave

When the adjustment is complete, an additional device shows in the Device Offsets dialog accessed in the Read Parameters. You can choose either original or adjusted data.

You can apply the heave adjustments as the data is loaded initially as part of the auto-process routine, or through the Tools menu after you have reviewed the raw data.

Note:Auto-processing supports only true heave files from the POS/MV. True heave from the F180 or Novatel must occur in Stage 1 editing.

1.In the Survey Files list, select the files you want to adjust.

2.Select TOOLS-HEAVE ADJUSTMENTS and the type of true heave data you have collected.

If you have not selected all of the loaded files in the list, a confirmation dialog will appear for you to confirm your intentions:

•To edit the lines selected in the file list, click [Selected Lines].

•To edit all files currently loaded, click [All Lines].

•To change your selection in the files list, click [Cancel] and begin again.

The Heave Adjustment dialog appears next.

Heave Adjustment Dialog for POS/MV Data

Heave Adjustment Dialog for F180 Data

Heave Adjustment Dialog for Novatel Data

Heave Adjustment Dialog for SBG Heave

3.Click [Open File] and select one or more true heave files. (Hold the Ctrl key and use your cursor to select more than one.) The start times from both your single beam file and your true heave are displayed.

A File Date dialog appears next.

Sample File Date Dialog

4.Set the UTC Start Date for each true heave file.

a.For each file, select the file in the dialog set the date. You have three options:

•Use Survey Date (default) reads the date from the survey file.

•Clear Use SurveyDate and click [Use File Write Date] to read the Windows® date fromthe true heave file. It may be helpful in multi-day surveys.

Note:Confirm the date that appears is correct. File properties often change when the file is moved in Windows®.

•Manually enter the correct date and clear the Use Survey Date option.

Tip: If you have loaded more than one adjustment file, [Sort] orders the files by Start Date then Start Time.

b.Click [OK].

5.If your device is outputting both GPS and UTC time, verify your the program is loading UTC time. If not, begin again and check the Use Time 2 option to load the other.

6.If your device outputs heave values positive upward, check the Invert Heave option.

7.Calculate the time difference between the two start times and enter it under ‘Enter Hour Difference’. (Non-integer values are supported.)

8.Click [Adjust] to replace any heave recorded in the data with the delayed heave. All soundings are now corrected with the true heave values. When the adjustment is complete, it displays ‘Done’ in the status bar.

9.Click [Close] to return to the editor.

You can see the difference in the Heave/Tide window when you display both raw and corrected heave values.

Sample Heave Adjustment Results

More Information

• Applying One Set of Read Parameters to All Data in the 64-bit HYSWEEP EDITOR

• Applying Different Parameters to Select Data Sets in the 64-bit HYSWEEP EDITOR

• Heave Options in the Read Parameters in the 64-bit HYSWEEP EDITOR

• Removing Heave Drift in the 64-bit HYSWEEP EDITOR


Restoring Raw Heave in the 64-bit HYSWEEP EDITOR

If your work to improve the heave corrections is not as expected, you can restore the raw heave corrections:

Important: This procedure reverses manual heave editing as well as those performed by the Heave Adjustments routine.

Select TOOLS-HEAVE ADJUSTMENT-UNDO HEAVE ADJUSTMENTS.


64-bit HYSWEEP EDITOR Input

Select FILE-LOAD SURVEY to call up an open dialog. 64-bit HYSWEEP EDITOR reads multibeam data from any of the following formats:

•HYPACK Raw HSX Data: Multibeam files collected by the HYSWEEP SURVEY program. The 64-bit HYSWEEP EDITOR can also read and display single beam RAW files, usually as a reference to your multibeam data.

•HS2 Format: Files edited and saved by the 32-bit HYSWEEP EDITOR. This format retains all data and can be reloaded for further editing into the 32-bit HYSWEEP EDITOR. They also can be corrected for invalid offsets, mounting angles, sound velocity, etc so it's smart to save this format when your editing is complete.

•HS2x Format: 64-bit HS2 files. They load faster than HS2 files and save the original data from all devices versus only from the selected ones as in the 32-bit files. HS2x supports up to 10,000 beams/ping. HS2x files also include Total Vertical Uncertainty (TVU) and Total Horizontal Uncertainty (THU) data.

•XYZ is the format used in the Sounding Selection and Final Products programs. XYZ data in the editor enables you to view and edit the data in the cloud display.

•Kongsberg All format

•HYPACK All format files only to support the single beam calibration test. HYPACK All format data can be saved only to XYZ format.

You can load individual files or a catalog file of any one or more of the accepted file types. The 64-bit HYSWEEP EDITOR can handle a maximum of 256 lines at a time.

A catalog file is a list of individual data files. If a catalog file is selected, the 64-bit HYSWEEP EDITOR reads the file and provides you with a list of files in the catalog.

Important: The catalog listing also shows if any of the files in the catalog have previously been saved to edited format. If you reload the raw data with these notations and save them using the same file naming format, you will overwrite your edited files from the previous editing session. To avoid overwriting, change the file naming method in the File Save options.

To abort the file loading, press the Escape key.

More Information

• Merging Catalog Files in the 64-bit HYSWEEP EDITOR

• Loading Soundings in the 64-bit HYSWEEP EDITOR


Merging Catalog Files in the 64-bit HYSWEEP EDITOR

Merging catalog (LOG) files enables you to load multiple data sets for simultaneous processing. You can also merge catalogs recorded in the same project over different days or by different vessels, or merge catalogs of LASAR data collected simultaneously with bathymetric data.

Unlike the Merge LOG File feature available in the HYPACK shell, when you merge catalog files in the 64-bit SINGLE BEAM EDITOR, the resulting LOG file includes file path information. This enables you to include files that reside in different locations on your hard drive.

1.Select TOOLS-MERGE LOG FILES. The Merge LOG dialog will appear.

2.Click [Select LOG 1], browse for the first LOG file and click [OK].

3.Click [Select LOG 2], browse for the second LOG file and click [OK]. The program appends the files listed in the selected catalog to the list.

4.Click [Merge].

5.Name your new LOG file and click [Save]. The LOG is saved, by default to your project Edit folder.

Merge LOG Dialog

Sample Merged LOG


Loading Soundings in the 64-bit HYSWEEP EDITOR

Loading Soundings to Start the Editing Session

1.Select FILE-LOAD SURVEY.

2.Select the data you want to edit.

You can load a catalog file (*.LOG) or a single data file. The 64-bit HYSWEEP EDITOR can read either raw (HYPACK *.HSX or Kongsberg All) or edited (*.HS2, HS2x, or *.XYZ) soundings. It is intended for use with multibeam and multiple transducer data. (It can also read HYPACK All format files to support the single beam calibration test. HYPACK All format data can be saved only to XYZ format.)

Selecting Sounding Files in the 64-bit HYSWEEP EDITOR

File Selection

Procedure

Selecting Individual Files

1.Set the file type.

2.Browse to the correct folder.

3.Hold the Ctrl key and use the cursor to select the files.

4.Click [Open].

Selecting Catalog Files

Select the catalog file and click [Open]. The 64-bit HYSWEEP EDITOR provides a list of files in the catalog.

•To load individual files from the catalog, hold the Ctrl key, use the cursor to select the files and click [Select].

•To load all files from the catalog, click [Select All].

Tip: Use alternative drag-and-drop loading:

•Drag files from the Project Files list to the 64-bit HYSWEEP EDITOR icon on the tool bar.

•Drag files from a Windows® Explorer display and drop them on the 64-bit HYSWEEP EDITOR display.

When multiple files are loaded, the 64-bit HYSWEEP EDITOR defaults to the next selected file in the list every time you scroll to the next line in the 64-bit HYSWEEP EDITOR interface.

To unload one or more lines, make your selection in the file list and click the Remove File From Survey Icon.

Adding Sounding Files During the Editing Session

You can also load additional files at any time during the editing session using the same process; just begin with select FILE-ADD FILES and specify the read parameters for the additional files.

The Read Parameters dialog will appear next.

More Information

• Read Parameters in the 64-bit HYSWEEP EDITOR


Read Parameters in the 64-bit HYSWEEP EDITOR

The Read Parameters dialog provides options for how the program reads, corrects and displays the data. Each tab displays the current settings from the first selected file. If changes are required, a button is provided for each section to access an additional dialog for this purpose.

Note:You can load data from multiple surveys where these settings differ between files. In this case, review each data set, one at a time in the Corrections, Processing and Devices tabs, by selecting its files in the file list before reviewing and modifying their settings.

•The Survey tab governs the data. You will review the vertical basis, Survey Information, how your data fills a matrix as it is loaded into the program, the parameters for calculating TPU (Total Propagated Uncertainty), and determine whether you are loading corresponding side scan or multidetect data. You may edit some of these settings if necessary.

You may also choose to automate the first editing stage according to a selection of user-defined parameters.

Survey Tab

•The Corrections and Processing tabs have to do with applying corrections to the raw data. Enter correction values or files and choose your options for processing RTK tide and MRU data.

•The Devices tab concerns your devices and their offsets during the survey. If you recorded the same type of data from multiple devices, you will choose the device from which you want to load data. You will then verify the correct offsets and make any corrections necessary.

If you change your offsets, you can save them to a boat configuration file using the [Save Current Offsets].

If you have stored device offset to a boat configuration file, you can override the offsets in the data files with the offsets in the boat configuration file: Click [Load] and select the configuration file.

Set your options in each tab, then click [OK] to continue.

More Information

• Applying One Set of Read Parameters to All Data in the 64-bit HYSWEEP EDITOR

• Applying Different Parameters to Select Data Sets in the 64-bit HYSWEEP EDITOR

• Editing Survey Information in the 64-bit HYSWEEP EDITOR

• Entering Matrix and Cloud Section Settings in the 64-bit HYSWEEP EDITOR

• TPU Options in the 64-bit HYSWEEP EDITOR

• Sonar Processing Options in the 64-bit HYSWEEP EDITOR

• Corrections in the 64-bit HYSWEEP EDITOR

• Device Offsets in the 64-bit HYSWEEP EDITOR

• Automatic Processing in the 64-bit HYSWEEP EDITOR


Applying One Set of Read Parameters to All Data in the 64-bit HYSWEEP EDITOR

When all lines loaded in the editor require the same read parameters, simply select all of the files in the lists provided in the Corrections, Devices and Processing tabs of the Read Parameters dialog as you choose your options.

1.Load your Soundings.

a.Select FILE-LOAD SURVEY.

b.Select the data you want to edit.

You can load a catalog file (*.LOG) or a single data file.

c.Click [Open].

2.Set the options in the Survey tab. These options always apply to all of your loaded data.

3.In the Corrections tab, select all of the files in the list provided and set your corrections as needed.

4.In the Devices tab, select all of the files in the list provided and set your offsets as needed.

5.In the Processing tab, select all of the files in the list provided and set your heave and sonar processing instructions as needed.

6.When all Read Parameters have been set, click [OK].

Read Parameters—Corrections Tab

More Information

• Filling Values in the Heave/Tide Window

• Applying Different Parameters to Select Data Sets in the 64-bit HYSWEEP EDITOR

• Tide Corrections in the 64-bit HYSWEEP EDITOR

• Sound Velocity Corrections in the 64-bit HYSWEEP EDITOR

• Dynamic Draft Corrections in the 64-bit HYSWEEP EDITOR

• Device Offsets in the 64-bit HYSWEEP EDITOR

• Sonar Processing Options in the 64-bit HYSWEEP EDITOR


Applying Different Parameters to Select Data Sets in the 64-bit HYSWEEP EDITOR

You can load data from multiple surveys where the read parameter settings in the Corrections, Devices and Processing tabs differ between files. In this case, review each data set, one at a time, by selecting its files in the file list in each tab before reviewing and modifying their settings.

1.In the HYPACK interface, create a LOG (catalog) file with all of the data files that you want to process.

2.Launch the 64-bit HYSWEEP EDITOR.

3.Select FILE-OPEN and load your new LOG file, selecting all of the files in the catalog list. The Read Parameters dialog will appear.

4.Set your Corrections for each data set.

a.In the Corrections tab of the Read Parameters dialog, select the files in the list provided that require the same set of corrections.

b.Set tide corrections if required.

c.Set sound velocity corrections, if required.

d.Set draft corrections, if required.

e.Repeat the process until you have loaded the required corrections for each data file in your catalog.

5.Set your device offsets.

a.In the Devices tab, select the files in the list provided that require the same set of offsets.

b.Set the offsets for the devices in the selected files.

c.Repeat the process until you have loaded the required corrections for each data file in your catalog.

6.Set the Processing options.

a.In the Processing tab, select the files in the list provided that require the same set of offsets.

b.Set your Heave processing options.

c.Set your Sonar processing options.

d.Repeat the process until you have loaded the required corrections for each data file in your catalog.

7.When all Read Parameters have been set, click [OK].

More Information

• Creating a New Catalog File

• Tide Corrections in the 64-bit HYSWEEP EDITOR

• Sound Velocity Corrections in the 64-bit HYSWEEP EDITOR

• Dynamic Draft Corrections in the 64-bit HYSWEEP EDITOR

• Device Offsets in the 64-bit HYSWEEP EDITOR

• Heave Corrections in the 64-bit HYSWEEP EDITOR

• Sonar Processing Options in the 64-bit HYSWEEP EDITOR


Editing Survey Information in the 64-bit HYSWEEP EDITOR

The Survey Information, entered in the SURVEY program, is read from the file header and appears in the Survey tab. You can edit the project information and store the updated data in the edited data files.

Load Sidescan if Available loads any side scan data associated with your multibeam data to compare the displays to assist in Stage 2 editing. (If you see a feature in the side scan imagery, don’t delete it from your multibeam data). For dual frequency sonar, select the frequency you want to view. Side scan data appears in the Imagery window. The side scan data is for reference only, and it is saved together with the edited multibeam data for display in subsequent editing sessions.

Survey Tab

1.Verify Depth or Elevation Mode using the appropriate radio button.

2.Click [Details] in the Survey Tab. The Survey Information dialog will appear.

Survey Information Dialog

3.Edit the Project, Area, Boat, and Surveyor information and click [Close].


Confirming Sufficient Memory Resources

There are always limits to the amount of data you can process at once. The amount varies with the software, but also with the resources available in your computer.

[Memory Test], in the Survey tab of the Read Parameters dialog, estimates how much memory the files you have selected to load will use and displays its calculations. If the Percent of Available value is too large, close the Memory Test dialog and consider processing your data in more than one batch.

Memory Test Window

Tip: 64-bit HYSWEEP EDITOR stops loading files before Windows® becomes unstable. The program detects when the Windows® memory load reaches 95% and stops loading files and tells how many files it has loaded. You must process the remaining files in another session.

Low Memory Warning


Entering Matrix and Cloud Section Settings in the 64-bit HYSWEEP EDITOR

When the 64-bit HYSWEEP EDITOR reads your data into Stage 2, it stores it to a matrix which is the basis for the data displayed in the Profile and Cell windows, and the ‘cell’ data in the Survey window. It also grids your survey area into sections, usually much larger than the matrix cell, which are displayed for editing, one at a time, in the Cloud window.

The Survey tab displays the specifications by which the program loads the data to a matrix and sizes cloud sections. Review them in the Survey tab and edit them if necessary in the Matrix Settings dialog.

Survey Tab

1.Click [Matrix...] in the Survey Tab. The Matrix Settings dialog will appear.

Matrix Settings Dialog

2.Set your matrix options. You have two options when constructing the matrix in the 64-bit HYSWEEP EDITOR:

•Use the parameters from an existing matrix file. The ‘Use HYPACK Matrix File’ option uses an existing matrix as it is; the size, rotation and cell size are already defined. Select this option, then click [Open] to select the matrix.

•Let the program generate the matrix sized to your data. In this case, you can define the cell size or let the program size the cells according to the density of the data. When the program sizes the cells, it attempts to create a matrix with 250 soundings per cell. You also decide whether the matrix should be square with the projection grid (zero rotation) or rotated to match the first segment of the first survey line.

Auto-Size to Data: The 64-bit HYSWEEP EDITOR creates a new matrix file to fit your selected data.

Auto Cell Size: The program automatically calculates the cell size to average 250 points per cell. To set other measurements, clear the checkbox and enter your cell size in survey units. The 32-bit HYSWEEP EDITOR also limits the number of matrix cells to 100 million.

3.Set the Cloud Section size.

Auto Section Size sets your cloud section length and width to average 250,000 soundings per section.

To manually set measurements, clear the Auto Section Size checkbox and enter your cloud section size in survey units.

4.Click [OK].

More Information

• Stage 2 Editing in the 64-bit HYSWEEP EDITOR

• Tracking your Editing Progress in the 64-bit HYSWEEP EDITOR

• Sounding Reduction in XYZ Files in the 64-bit HYSWEEP EDITOR

• Saving to a Matrix in the 64-bit HYSWEEP EDITOR


TPU Options in the 64-bit HYSWEEP EDITOR

In the Survey tab of the 64-bit HYSWEEP EDITOR Read Parameters, set whether you will calculate TPU (Total Propagated Uncertainty) and, optionally, verify or edit the related settings.

Note:For accurate CUBE calculations, it is important to carefully configure your TPU settings.

When you calculate TPU, the program calculates Total Horizontal Uncertainty (THU) and Total Vertical Uncertainty (TVU) and displays them in the Survey Information window. You can also color-code your data based on TVU or THU. These calculations are based on the information entered in the TPU EDITOR, typically during the early phases of configuring your project.

To include TPU calculations in your editing session, do the following:

Ideally, you enter your Total Propagated Uncertainty (TPU) information in the TPU EDITOR before you open the 64-bit HYSWEEP EDITOR; however, you can access the TPU EDITOR from the Survey tab of the Read Parameters dialog if you have not done so:

Read Parameters Dialog — Survey Tab

1.Check the Calculate TPU option.

2.Select your accuracy standard for your project. Your options include IHO Special Order, Order 1A and Order 1B; and USACE Hard and Soft.

3.Modify or verify your settings for calculating TPU. (Optional)

a.Click [TPU Editor]. The TPU EDITOR appears.

b.Verify or modify your information and close the dialog.

c.If you modified your information, click [Reload TPU] to update them in the 64-bit HYSWEEP EDITOR.

More Information

• TPU Editor


Sonar Processing Options in the 64-bit HYSWEEP EDITOR

The Processing tab provides options for processing heave and sonar data as it is read into the editor. It displays the current settings and, if changes are required, a button is provided for each section to access an additional dialog for this purpose.

Sonar Processing Options

Sonar ID for GEOCODER Processing: If you plan to take your edited data to GEOCODER, check the device specified to be sure it matches the model you are using. This is automatically filled based on the configuration information in the file header, but some drivers support more than one model. GEOCODER needs detailed information that may differ between models.

Adjust SVP Every Ping adjusts the top of the sound velocity profile based on sound speed at the sonar head.

Ray Tracing is only important if your survey depths exceed 50 feet (15m). It determines the method the 64-bit HYSWEEP EDITOR uses to calculate the effect of refraction caused by changes in sound velocity. The 64-bit HYSWEEP EDITOR offers two methods with which to calculate the path of the sounding beam:

•Line Method assumes the sound velocity in each layer is constant, which means the sounding beam is straight except at the transition between one sound velocity layer and the next. Although water doesn’t behave this way, the calculation is twice as fast and it is a very good approximation when layer thickness is small. This method is recommended in water depth of 50 meters or less with velocity measurements spaced less than 2 meters apart.

Line Ray Tracing

Select this option to force the 64-bit HYSWEEP EDITOR to use this method.

•Arc Method assumes a constant velocity change between V1 and V2. Then the ray path is an arc.

Use this option when your soundings are deeper than 50 meters, or with velocity measurements more widely spaced than two meters.

Arc Ray Tracing

Select this option to force the 64-bit HYSWEEP EDITOR to use this method.

•Auto Select: This option automatically selects the most appropriate method according to your depths and the spacing of your sound velocity measurements.


Device Offsets in the 64-bit HYSWEEP EDITOR

The Devices tab displays the offsets for each device in your project. If you surveyed using incorrect offsets, or if you logged the same type of data with multiple devices, you can set the correct settings for the editing session. Any changes you make here will be applied to all currently selected files.

Note:Editing the offsets will not affect raw data. It affects only the edited data saved from this session.

Read Parameters—Devices Tab

Editing the Device Offsets

MRU Special Cases

Using a Boat Configuration File

Editing the Device Offsets

In the Device Offsets dialog, you can modify the device and offsets for each data type the editor will read from the data files. Separate options for Navigation and RTK Tides enables you to use separate systems for position and tide.

1.Select the files in the list provided that require the same set of offsets.

2.Click [Edit] in the Devices tab to access the Device Offsets dialog.

Device Offsets Dialog

3.For each data type, select the device from its drop-down list and correct the offsets, if necessary.

For multiple transducer systems, the sonar offsets are blank. Click [Multiple Transducers] and enter the offsets for each transducer.

Multiple Transducer Offsets Dialog

4.Click [OK] to return to the Read Parameters dialog.

Return to Top

MRU Special Cases

The MRU Special Cases dialog accommodates less common motion sensor situations. It enables you to ignore or invert one or more of the corrections from your motion sensor. In addition, you can instruct the program to read heave from a sensor other than the one from which it reads pitch and roll.

To launch the Special Cases dialog, click [MRU Special Cases] in the Device Offsets dialog.

MRU Special Cases Dialog

To read heave data from a separate sensor, do the following:

1.Check the Alternate Device for Heave option.

2.Choose the heave device from the drop-down list. (This selection is copied to the Devices tab as the Alternate Device for Heave.)

3.Enter the offsets for the heave device and click [OK].

4.When you have finished with all device offsets, click [OK] to return to the Read Parameters dialog.

Return to Top

Using a Boat Configuration File

The Boat Configuration file stores all of the offsets in a central location. If you will be running multiple sets of data using the same device settings, you can save your current offset settings for easy reload. Boat Configuration files are generated and loaded in the Read Parameters dialog. If you access the Boat Configuration in the Read Parameters, you can update it with the patch test results from the PATCH TEST interface.

To save your offsets, click [Save Current Offsets] in the Devices tab of the Read Parameters dialog and name your offsets configuration. Your settings are saved, by default, to the BoatFile.ini in the \HYPACK 2017\Projects folder, but you can provide alternate names and locations to store multiple boat configurations.

Tip: If you are storing multiple boat configuration files, name them in such a way that you know which vessel and hardware configuration it defines.

To load a set of offsets from a boat configuration file, click [Load] in the Devices tab, and select the file that stores your settings.

Return to Top

C

More Information

• Offsets and Latency in HARDWARE

• Calculating Offset Adjustments with the 64-bit PATCH TEST


Overlaying a Channel Template File in the 64-bit HYSWEEP EDITOR

Select FILE-OVERLAY CHANNEL PLAN to display channel files (*.CHN) from ADVANCED CHANNEL DESIGN, in the Survey, Sweep and Profile windows of the 64-bit HYSWEEP EDITOR. It can be helpful to use it as a guide in your editing process.

Note:If your template and matrix are not square with each other, and you are stacking multiple matrix rows in your Profile window, you may see multiple template profiles in the profile display.

Stacked Profiles Askew from the Matrix Shows Multiple Channel Templates

Channel File in the Survey Window

Tip: Channel Plan files (*.PLN) created in CHANNEL DESIGN may be converted to *.CHN format in the ADVANCED CHANNEL DESIGN program. This enables you to overlay template information from files created in CHANNEL DESIGN.

More Information

• Running Channel Design

• Creating Channels and Planned Lines in ADVANCED CHANNEL DESIGN


Targets in the 64-bit HYSWEEP EDITOR

Targets are often useful to mark points of interest during SURVEY for later reference. You can then load the project targets in the 64-bit HYSWEEP EDITOR so you can view your data in the context what you know about the target locations.

In Stage 2 editing, you can also mark new targets in the Survey window.

When you have targets displayed in the 64-bit HYSWEEP EDITOR, in Stage 2 editing you can use the search options to find the target locations. The cursor moves to the sounding nearest each target position so you can view each location in any of the editor windows.

Tip: When you search on target locations, you will typically clear other search and filter options to limit the search to the target locations.

More Information

• Displaying Targets in the 64-bit HYSWEEP EDITOR

• Marking Targets in the 64-bit HYSWEEP EDITOR

• Searching on Targets in the 64-bit HYSWEEP EDITOR

• Points of Interest in the 64-bit HYSWEEP EDITOR

• TARGET EDITOR


Displaying Targets in the 64-bit HYSWEEP EDITOR

You can toggle the targets display on and off, using the Targets checkbox in the Show area of the toolbar. The project targets that are enabled in the HYPACK shell appear in the Survey window as labeled squares.

To make the targets more visible, add a target radius in the View Options dialog.

Targets in the Survey Display—10 m Target Radius (left), No Target Radius (right)

More Information

• View Options Dialog in the 64-bit HYSWEEP EDITOR


Marking Targets in the 64-bit HYSWEEP EDITOR

As you view your data in the various windows of the 64-bit HYSWEEP EDITOR, you can create a target to mark some point of interest.

1.Select the point where the target should be placed and press F5. A Target dialog appears with the your selected position and the default name (time).

Target Dialog

2.Edit your Target Name and position information (Optional) and click [OK].

Note:Be careful if you are editing the Easting and Northing, an error in typing could place it outside of your survey area!

The 64-bit HYSWEEP EDITOR saves your target to the MBMAX64 target group and displays it in the 64-bit HYSWEEP EDITOR editing windows.


Searching on Targets in the 64-bit HYSWEEP EDITOR

When you have targets displayed in the 64-bit HYSWEEP EDITOR, in Stage 2 editing you can use the search options to find the target locations. The cursor will move to the sounding nearest each target position so you can view each location in any of the editor windows.

1.Load your survey data to 64-bit HYSWEEP EDITOR and advance to Stage 2.

2.In the file list, select all of the files in which you want to search.

3. Open the Search and Filter options. Select EDIT-SEARCH AND FILTER OPTIONS (Ctrl + F) or click the icon in the toolbox.

4.In the Search Only tab, select the HYPACK Targets option.

5.Clear all other search and filter options to limit the search to the target locations. (Recommended.)

6.In the Actions tab, click [Search Selected Files]. The cursor will go to the sounding nearest to the first target location.

7. Click the Find Next icon (F3) to progress to each target location in order.

More Information

• Search and Filter Options in the 64-bit HYSWEEP EDITOR


Points of Interest in the 64-bit HYSWEEP EDITOR

Most windows include a Drop a Point Flag icon with which you can mark points of interest in any of these windows and see the same points flagged in the other windows for comparison.

The Cloud, Sweep, Profile and Cell windows also include a Golden Soundings icon with which you can mark soundings. Golden soundings are immune to filtering and require confirmation to be deleted.

You can also use the search feature to find and display each flagged or golden sounding in the order that they appear in your survey lines.

More Information

• Flagging Points of Interest in the 64-bit HYSWEEP EDITOR

• Searching on Flagged Points or Golden Soundings in the 64-bit HYSWEEP EDITOR

• Golden Soundings in the 64-bit HYSWEEP EDITOR

• Exporting Select Soundings to an XYZ File

• Exporting Select Soundings to an XYZ File

• Targets in the 64-bit HYSWEEP EDITOR


Flagging Points of Interest in the 64-bit HYSWEEP EDITOR

1.Place your cursor at the point of interest.

2. Click the Drop a Point Flag icon. A flag will appear at that location in each of the window.

Flagged Point—Cloud (left), Profile (center) and Cell (right) Windows


Removing Point Flags in the 64-bit HYSWEEP EDITOR

You can remove point flags individually or all at once.

Removing Individual Point Flags

1.Place the cursor on the sounding from which you want to remove the flag.

Tip: It may help to use the search and filter settings to search on flagged points to find the exact position.

2.Click the Flag icon.

Removing All Point Flags

1.Select EDIT-FLAGS. The Flags dialog appears. The total number of point flags appears next to the Point Flags button.

Flags Dialog

2.Click [Point Flags]. The program all point flags and the count resets to zero.

3.Click [Close] to return to the 64-bit HYSWEEP EDITOR interface.

4.Save your data.

More Information

• Searching on Flagged Points or Golden Soundings in the 64-bit HYSWEEP EDITOR

• Search and Filter Options in the 64-bit HYSWEEP EDITOR


Golden Soundings in the 64-bit HYSWEEP EDITOR

Golden Soundings are soundings or a series of soundings whose positions are used to generate Point, Line or Area features that are designated as more important than other project data. They are stored as point, polyline or poly-polygon features in a project-specific Golden Soundings database and listed in the Project Items list. You can closely examine, modify and delete your golden sounding records in the GOLDEN SOUNDING EDITOR.

In HYPACK, programs that support golden soundings either write them to the database or read them from the database, but not both.

Note:Golden soundings are visible in the programs that write them only until you close that program.

Programs that Support Golden Soundings

Function | Program
Write | •SINGLE BEAM EDITOR •64-bit HYSWEEP EDITOR •SB SELECTION •SORT •TIN MODEL •CLOUD
Read | •HYPACK •HYPLOT

In the 64-bit HYSWEEP EDITOR, golden soundings are user-defined soundings that are protected from filtering processes, and override CUBE depth hypotheses. In addition, if you attempt to delete a golden sounding, a dialog appears to ask for confirmation that this is your intention.

When you select the Show Flags option in the Cloud or Survey window, golden soundings appear as a small, hollow circle with a starburst extending upward.

Sample Golden Sounding in the 64-bit HYSWEEP EDITOR

• Marking Golden Soundings

• Removing Golden Soundings

Marking Golden Soundings

In the 64-bit HYSWEEP EDITOR, you mark golden soundings in any window where you edit soundings. You can mark one or more soundings in each operation. Golden Soundings marked in the 64-bit HYSWEEP EDITOR appear under Golden Soundings-MBMAX64 in the Project Files list.

•If you mark an individual sounding, the routine you may also add sounding-specific notation to that golden sounding record. This notation becomes an attribute for this sounding in the Golden Soundings database and it’s displayed in the project Files List, so you can easily distinguish one golden sounding from another.

a. Select one sounding then click the Golden Sounding icon in the toolbar. The Golden Sounding ID dialog appears.

Golden Sounding ID Dialog

b.Enter a short notation. (Optional)

c.Click [OK].

•If you mark an multiple soundings, the routine saves only the soundings.

a. Select multiple soundings then click the Golden Sounding icon in the toolbar. A dialog asks for confirmation that it should save the selected soundings in the Golden Soundings database.

b.Click [Yes].

Return to Top

Removing Golden Soundings

You can remove golden soundings one at a time, or all of them at once.

Removing Individual Golden Soundings

1.Place the cursor on the golden sounding from which you want to remove the golden sounding status.

Tip: It may help to use the search and filter settings to search on golden soundings to find the exact position.

2.Click the golden sounding icon.

Removing All Golden Soundings

1.Select EDIT-RESET. The Flags dialog appears. The total number of golden soundings appears next to the Golden Soundings button.

Flags Dialog

2.Click [Golden Soundings]. The program removes all golden soundings and the count resets to zero.

3.Click [Close] to return to the 64-bit HYSWEEP EDITOR interface.

4.Save your data.

Return to Top


Searching on Flagged Points or Golden Soundings in the 64-bit HYSWEEP EDITOR

When you have flags or golden soundings displayed in the 64-bit HYSWEEP EDITOR you can use the search options to find their locations. The cursor will move to each flag or golden sounding position so you can view each location in any of the editor windows.

1.Load your survey data to 64-bit HYSWEEP EDITOR.

2.In the file list, select all of the files in which you want to search.

3. Open the Search and Filter options. Select EDIT-SEARCH AND FILTER OPTIONS (Ctrl + F) or click the icon in the toolbox.

4.In the Search Only tab, select the HYPACK Point Flags or Golden Soundings option according to what you want to search for.

5.Clear all other search and filter options to limit the search to the target locations. (Recommended.)

6.In the Actions tab, click [Search Selected Files]. The cursor will go to the first flag or golden sounding location on the first line (according to your defined search option).

7. Click the Find Next icon (F3) to progress to each flag or golden sounding location in order (according to your defined search option).

More Information

• Flagging Points of Interest in the 64-bit HYSWEEP EDITOR

• Marking Golden Soundings

• Search and Filter Options in the 64-bit HYSWEEP EDITOR


Search and Filter Options in the 64-bit HYSWEEP EDITOR

In the Search and Filters dialog, use the filter settings to mark soundings for your evaluation, primarily during Stage 2 of editing, or to delete those soundings in cursory, automatic editing process as the data is loaded.

When the Filter Preview option is selected, the soundings that fall outside of the criteria set in the Basic, GPS, Sweep and Matrix tabs are marked with a yellow ‘X’.

Options in the Search Only tab do not filter the soundings; there are no yellow X’s and no filtering operation will delete them. These options would typically be used to find any soundings you may have missed using some of the larger scale editing procedures.

To open the Search and Filter Options dialog, select EDIT-SEARCH AND FILTER OPTIONS (Ctrl+F) or with the Search and Filter icon in the toolbox.

More Information

• Basic Filters in the 64-bit HYSWEEP EDITOR

• GPS Filters in the 64-bit HYSWEEP EDITOR

• Sweep Filters in the 64-bit HYSWEEP EDITOR

• Matrix Filters in the 64-bit HYSWEEP EDITOR

• Search Only Criteria in the 64-bit HYSWEEP EDITOR

• Searching on Flagged Points or Golden Soundings in the 64-bit HYSWEEP EDITOR

• Filtering Your Data in the 64-bit HYSWEEP EDITOR


Basic Filters in the 64-bit HYSWEEP EDITOR

The Basic tab includes filter criteria based on the survey itself.

Search and Filter Dialog—Basic Tab

The Min Depth/Elevation filter (Stage 2) filters all soundings shoaler than the limit.

The Max Depth/Elevation filter (Stage 2) filters all soundings deeper than the limit.

Speed Over Ground filters POS records where the speed calculated ((pos2-pos1)/time) is more than the user-specified speed.

Port and Starboard Offset Limits (Stage 2) deletes all data that falls outside of the user-defined distance from the center beam.

Port and Starboard Angle Limits (Stage 2) deletes data from transducers with a beam take-off angle within the specified range.

Range (Stage 2) Filters out returns that fall outside of that range from the sensor.

More Information

• GPS Filters in the 64-bit HYSWEEP EDITOR

• Sweep Filters in the 64-bit HYSWEEP EDITOR

• Matrix Filters in the 64-bit HYSWEEP EDITOR

• Search Only Criteria in the 64-bit HYSWEEP EDITOR

• Searching on Flagged Points or Golden Soundings in the 64-bit HYSWEEP EDITOR

• Filtering Your Data in the 64-bit HYSWEEP EDITOR


GPS Filters in the 64-bit HYSWEEP EDITOR

The GPS Tab options filters position and RTK tide data based on signal quality information.

Search and Filter Dialog—GPS Tab

Accepted GPS Modes: List GPS modes for which you want to read data. If the GPS mode does not match any of the specified values, the POS or TID record will be omitted from being read into the editor. Values may be separated by commas or spaces.

Minimum Number of Satellites: If the number of satellites recorded in the quality information is less than the user-specified number, the POS or TID record will be omitted from being read into the editor.

Maximum HDOP: If the HDOP recorded in the quality information is more than the user-specified number, the POS or TID record will be omitted from being read into the editor.Minimum Speed over Ground (Kts): If the speed calculated ((pos2-pos1)/time) is less than the user-specified speed, the POS record will be omitted from being read into the editor.

More Information

• Basic Filters in the 64-bit HYSWEEP EDITOR

• Sweep Filters in the 64-bit HYSWEEP EDITOR

• Matrix Filters in the 64-bit HYSWEEP EDITOR

• Search Only Criteria in the 64-bit HYSWEEP EDITOR

• Searching on Flagged Points or Golden Soundings in the 64-bit HYSWEEP EDITOR

• Filtering Your Data in the 64-bit HYSWEEP EDITOR


Sweep Filters in the 64-bit HYSWEEP EDITOR

The Sweep tab options filters based on the full sweep.

Search and Filter Dialog—Sweep Tab

Beam Filters

Over/Under filter looks at each ping in beam number order, and deletes soundings that either overhang or undercut the previous or next beam.

Note:Take care to preserve natural or man-made features that are really there.

The Minimum Beam Quality deletes all soundings with a quality number less than the limit.

Remove Beams enables you to filter out all readings from selected beams. Enter beams to be omitted in a space delimited list.

Remove Detections enables you to filter out all readings from selected detections. Enter detections to be omitted in a space delimited list. You may not filter the first detection.

Median Filter

The Median Filter divides your data into areas measured according to the Number of Pings and Number of Beams options. In each area, it finds the median value and filters any sounding that is farther than the Gate distance away.

Savitsky Golay Filter

Savitsky-Golay Filter is a low pass filter that removes data appearing as high frequency (abrupt bottom changes, outliers) and keeps low frequency data (somewhat uniform) seafloor.

Beware! Use with caution! This filter was designed for use with excessively noisy data and is not intended as a substitute for thoughtful editing. All automated filters carry some risk of inaccurately removing bottom features.

The filter reads a number of soundings specified by the Window. It estimates the actual depth of the center point of that range by doing a series of calculations based on the Order. (Higher order values result in a faster change in the predicted values to correspond to rapid vertical changes.) If the original depth is deeper or shoaler than the calculated depth by more than the Gate value, it will be removed by the filter.

Depth Removed

Original Depth < Calculated Depth - Gate Value

Or

Original Depth > Calculated Depth - Gate Value

Beware! The idea is good, but it can be unreliable. Under certain conditions it can remove too much data. Use cautiously!

The Order: Degree of polynomial approximation. It should always be less than the Window size. After that, you will have to experiment in each survey condition to determine the best order for you. A larger order filters less which results in a more varied surface, but may not remove all extraneous data.

Gate Size: Depth, in survey units, above and below the filtered surface. Depths outside of this range will be removed.

Window: Number of soundings used to estimate the surface. Should be an odd number.

Order of 2 Creates a Straight Line Through the Data Assuming a Very Flat Bottom.

Order of 5 Allows for Some Bottom Variation.

Beam Intensity Limit

The Beam Intensity Limit deletes all soundings with an intensity value outside of the user-defined range.

More Information

• Basic Filters in the 64-bit HYSWEEP EDITOR

• GPS Filters in the 64-bit HYSWEEP EDITOR

• Matrix Filters in the 64-bit HYSWEEP EDITOR

• Search Only Criteria in the 64-bit HYSWEEP EDITOR

• Searching on Flagged Points or Golden Soundings in the 64-bit HYSWEEP EDITOR

• Filtering Your Data in the 64-bit HYSWEEP EDITOR


Matrix Filters in the 64-bit HYSWEEP EDITOR

When the data has been gridded to a matrix, the editor finds the sounding statistic value in each cell as defined by the Selection option—median, average, minimum, maximum, mode, deepest mode, or CUBE depth. It then refers to the Filter Above and Filter Below options to search out or delete data outside of the specified ranges from that value.

Search and Filter Dialog—Matrix Tab

The Filter Above and Filter Below settings, either one or both, can be enabled to delete data of significant difference from the cell statistic. You will choose the limit that defines good vs bad data.

2 Sigma Limit: Two standard deviations from the cell statistic is dangerous as it can result in the deletion of a lot of good data.

4 Sigma Limit: Four standard deviations from the cell statistic is pretty safe, but it's still a good idea to search and manually edit the data instead of blindly filtering all of the data.

Set Limit enables you to set a customized limit.

Tip: Start with one foot in soft bottom surveys, and 3 feet in rock conditions.

Deepest Mode can be helpful in removing stray points from thick vegetation. It removes a user-defined percentage of the soundings in each cell of your matrix. The points removed will be the shoalest found in each matrix cell until it has removed the percentage of soundings specified. For example, if you have 100 soundings in each matrix cell and you specify 5%, the filter will remove the 5 shoalest soundings, assuming they are outliers.

More Information

• GPS Filters in the 64-bit HYSWEEP EDITOR

• Sweep Filters in the 64-bit HYSWEEP EDITOR

• Search Only Criteria in the 64-bit HYSWEEP EDITOR

• Searching on Flagged Points or Golden Soundings in the 64-bit HYSWEEP EDITOR

• Filtering Your Data in the 64-bit HYSWEEP EDITOR


Search Only Criteria in the 64-bit HYSWEEP EDITOR

Options in the Search Only tab do not filter the soundings; there are no yellow X’s and no filtering operation will delete them. These options would typically be used to find any soundings you may have missed using some of the larger scale editing procedures.

Search and Filter Dialog—Search Only Tab

Points Flags searches for any point that was marked with the flag icon.

HYPACK Targets: Searches for the depth nearest to the target location.

Unchecked Beams displays all unchecked soundings with an orange ‘X’ in the Cloud, Sweep and Profile windows.

Cell Sigma Above Limit: A large distribution of data would be suspect and result in a large sigma value. This option enables you to search out any cell with a standard deviation greater than a user-defined limit.

Cell Vertical Range Above Limit: This option enables you to search out any cell with a depth range greater than the user-specified limit.

Hits Above Minimum Depth finds all cells where the number of soundings above the Minimum Depth exceeds the Hit Count where the Minimum Depth and Hit Count are user-defined values.

More Information

• GPS Filters in the 64-bit HYSWEEP EDITOR

• Sweep Filters in the 64-bit HYSWEEP EDITOR

• Matrix Filters in the 64-bit HYSWEEP EDITOR

• Marking Targets in the 64-bit HYSWEEP EDITOR

• Flagging Points of Interest in the 64-bit HYSWEEP EDITOR

• Marking Checked Beams

• Searching on Flagged Points or Golden Soundings in the 64-bit HYSWEEP EDITOR

• Filtering Your Data in the 64-bit HYSWEEP EDITOR


Automatic Processing in the 64-bit HYSWEEP EDITOR

Auto Processing applies your corrections and device offsets, as well as selected filters and adjustments as your data is read into the program. Thus, once you enter your settings in the Read Parameters, just click [OK] and let the 64-bit HYSWEEP EDITOR do the preliminary editing. The resulting soundings are gridded into a matrix and displayed in the display windows, ready for Stage 2 editing.

1.Select FILE-OPEN and choose your data files.

2.In the Read Parameters, set the options in each tab.

•Check the Auto Stage 2 option in the Survey tab (required).

•Verify your project information and matrix settings in the Survey tab. (Required)

•Enter your corrections, device and processing information on their respective tabs. (Required)

•If you want to automatically apply filters, POSPac adjustments or True Heave adjustments, check one or more of those options in the Survey tab and use the corresponding setup dialogs to configure each process. (Optional)

Beware! No computer program can replace human intelligence and common sense when it comes to editing data. Use this feature with caution!

3.Click [OK].

More Information

• Corrections in the 64-bit HYSWEEP EDITOR

• Search and Filter Options in the 64-bit HYSWEEP EDITOR

• Recalculating POS MV Data from POSPac Raw Data in the 64-bit HYSWEEP EDITOR

• Applying True Heave in the 64-bit HYSWEEP EDITOR


Manual Processing in the 64-bit HYSWEEP EDITOR

Manual processing gives you full control in cleaning your data. The interface provides as much information as possible and numerous tools with which you can manipulate, view and clean your data.

The 64-bit HYSWEEP EDITOR presents select windows during each of two editing stages.

•Stage 1 provides limited editing of track lines and corrections data.

Important: In Stage 1, where most windows graph multiple values, editing affects all visible graphs. Before you perform any edits, select only the values you intend to edit for display in the toolbar.

•Stage 2 is where you clean most of the bad data. You can view and edit your data in all of the windows, from varying angles and selecting display options that provide information to aid in your editing decisions.

In addition to visual inspection, the editing process involves all or any combination of the following:

•Applying corrections and adjustments: Under certain circumstances, positions and corrections can be more accurately calculated and applied in the editor than in real-time during the survey.

•Flagging: Each window includes a Drop a Point Flag icon with which you can mark points of interest in any window and see the same points flagged in all of the other windows for comparison. In the Cloud window, you can also flag soundings as ‘golden soundings’ which are immune to filtering and require confirmation to delete.

•Filtering: Select from a wide selection of specifications (eg. beam angle, speed and depth limits; GPS quality; statistical criteria and more) that can identify and, if desired, remove data falling outside of your chosen specifications.

•Deleting: Removing bad data is, after all, the goal. The 64-bit HYSWEEP EDITOR provides a selection of tools with which you will delete and correct your data.

Tip: If editing operations have produced unsatisfactory results, you can reverse them, in the reverse order in which they were performed, using the Undo icon on the toolbar.

More Information

• Editing Tools in the 64-bit HYSWEEP EDITOR

• Point Editing in the 64-bit HYSWEEP EDITOR

• Area-based Editing in the 64-bit HYSWEEP EDITOR

• Restoring Deleted Soundings in the 64-bit HYSWEEP EDITOR

• Stage 1 Editing in the 64-bit HYSWEEP EDITOR

• Stage 2 Editing in the 64-bit HYSWEEP EDITOR


Editing Tools in the 64-bit HYSWEEP EDITOR

Common Toolbar

Each window has a toolbar whose tools affect only the contents of that window.

Tools Common in MBMax64 Windows

Most of these are common to all windows. The remaining tools are only available in the depth graphs in Stage 2. In the previous figure (from left to right):

•Delete Point or Selection,

•Filter Selection or Window,

•Undelete Selection,

•Drop a Point Flag

•Golden Sounding (Stage 2 depth graph only)

•Zoom Extents.

•Set Checked/Unchecked (Stage 2 depth graph only)

Note:The Undelete Selection icon in each window is very different from the Undo icon in the tool box. The Undelete Selection icon reinstates all data within a user-defined area. The Undo icon reverses editing operations in the reverse order in which they were performed.

The Toolbox

The toolbox in the main interface provides the tools for editing your data in any window. It also provides quick access to a few of the view options most commonly turned on and off during the editing process.

Tip: Step up your editing skills with a programmable mouse and keyboard shortcuts! Select EDIT- MOUSE AND KEYBOARD CHEATSHEET for list of the shortcuts.

The Toolbox Tools

Tool

Function

Measure Tool: Click and drag this tool between two points in any window display and the status bar displays measurements relevant to the window and the position, distance and direction of your measurement.

Lasso Select: Defines a free-form area for use with delete and filter operations. Select the Inside or Outside option and click and drag the tool to draw a free-form area in your data display. When you release the mouse button, the program closes the area.

Block Select: Defines a rectangular area for use with delete and filter operations. Select the Inside or Outside option and drag from one corner to the diagonally opposite corner.

Line Select: Defines a straight line across your data for use with delete and filter operations. Select the Above or Below option then drag a line between the good and bad data.

Eraser Tool: Deletes small, square areas of data at a time. The cursor changes to a small square. Any soundings visible in the square when you click are deleted.

Tilt and Rotate: This tool enables you to see the data in each window from any angle. It works in the Survey, Cloud, Sweep and Cell displays only.

•To begin data rotation in the opposite direction of your cursor, click and drag in the data display .

•To stop data rotation, release the mouse button.

Zoom Window: Select this option and drag a rectangle in the window to define the extent of your desired view. The program will redraw the screen to display the defined area optimally.

Zoom Extents: Draws the screen at a zoom scale that displays all enabled data.

Mouse Wheel

Zoom display in and out.

Right Mouse

To pan your display, press and hold the right mouse button over the graphical display, drag the display in the window and release the button.

Launches the Color Settings dialog.

Search and Filter Icons: Minimal tools required to manually clean your data based on your search and filter options.

Draw Selected Files Only: Only the track lines for the files selected in the file list will appear in the Survey window. When the Track lines Edit option is selected, the Zoom Extents tool will include only those lines, not the full data set.

Fast Delete: When this option is checked, data selected with the Lasso Select, Block Select or Line Select tools is automatically deleted according to your Inside/Outside and Above/Below selections.

Large Dots: The size of soundings (pixels) of soundings when drawn as dots. This option overrides the Normal Dot Size setting, in the View Options dialog, with 5px dots.

Wide Lines: The size of lines used for the ‘wiggle’ displays in the Survey and Sweep windows, and the crosshairs in the Single Sweep window. This option overrides the Normal Line Width setting, in the View Options dialog, with 3px lines.

Filter Preview: Each sounding that falls outside the current search and filter settings, but has not yet been removed, is marked with a yellow ‘X’.

Show Deleted: Each deleted sounding is marked with a red ‘X’. When you restore a sounding, its red ‘X’ disappears

Check the Floating Toolbar option to display a Toolbox window that will always be visible on top of your other windows.

Floating Toolbar

[Update...] is enabled by selecting the Advanced Update Mode in the Editor Options. In this case, each time you edit data, the other window displays do not automatically update accordingly. Instead, the [Update...] button turns red to notify you that the displays are not synchronized. This is intended to make your editing more efficient, particularly when you are working with large data sets.

To synchronize all displays, click [Update...] in the toolbox.

Note:The data is also all updated when you save the survey (FILE-SAVE SURVEY).

Notice, the text on this button changes, depending on the type of edit you have done:

Update Button Text

Edit Stage | Edit Performed | Update Button Text
Stage 1 | Edit Tide | Update Raw Data
Stage 2 | Edit in Heave/Tide, Speed Editor or HPR window | Update Beams
Stage 2 | Edit soundings in Survey, Cloud, Profile, Sweep or Cell window. Edit Sound Velocity profile. | Update Cells
Any | No edits performed that require calculation. | Up to Date

Tip: If you are working in a large data set, you may choose to do multiple edit operations and recalculate only once to account for all or your changes at once.

Removing a Single Sweep

To remove all soundings in the current sweep, use Ctrl + Delete. The cursor position automatically advances to the next sweep.

If the focus is on the Single Sweep window, the program replaces soundings display with “All Points Removed”.

If the focus is on a window other than the Single Sweep window, the Single Sweep display updates to synchronize with the other windows.

In advanced editing mode, if you edit sweeps in Stage 2, you must then update the other windows to account for your changes by clicking [Update Cells].

More Information

• Point Editing in the 64-bit HYSWEEP EDITOR

• Area-based Editing in the 64-bit HYSWEEP EDITOR

• Restoring Deleted Soundings in the 64-bit HYSWEEP EDITOR

• Filtering Your Data in the 64-bit HYSWEEP EDITOR

• Search and Filter Options in the 64-bit HYSWEEP EDITOR


Point Editing in the 64-bit HYSWEEP EDITOR

Each editing stage offers point editing where you delete one point at a time.

Important: Where windows graph multiple values, editing affects all visible graphs. Before you perform any edits, select only the values you intend to edit for display in the toolbar.

1.Select the point with the cursor.

2. Click the Delete Point or Selection icon (or the Delete key).

The eraser tool removes a small number of points at a time:

1. Select the eraser tool in the toolbox. The cursor changes to a small square.

2.Position the square cursor over one or more points and click.

Tip: To view the positions of deleted soundings, select the Show Deleted option in the Toolbox. Each deleted sounding is marked with a red ‘X’.


Area-based Editing in the 64-bit HYSWEEP EDITOR

Area-based Editing enables you delete all points inside or outside an area defined by the Block Select or Lasso Select tool, or all points above or below a line drawn by the Line Select tool.

Important: Where most windows graph multiple values, editing affects all visible graphs. Before you perform any edits, select only the values you intend to edit for display in the toolbar.

Area-based editing has two modes determined by the Fast Delete option in the toolbox. In either mode, the delete operation acts either inside or outside of the defined area according to your Inside/Outside selection, or above or below the line according to your Above/Below selection.

•In Default Mode, the Fast Delete option is cleared and, once the Inside/Outside or Above/Below option is selected, the deletion is a two-step process.

a.Set the Inside/Outside or Above/Below option.

b. Define the area to be deleted with the (left to right) Block Select, Lasso Select or Line Select tool.

Tip: If you're unhappy with the results, just try again.

c. Click the Delete Point or Selection icon (or the Delete key).

•In Fast Delete Mode, the Fast Delete option is selected. Once the Inside/Outside or Above/Below option is selected, the editing with the Block Select, Lasso Select or Line Select tool becomes a one-step process: when you release the mouse button after using the tool, the deletion automatically occurs. This enables you to do multiple edits in succession.

Tip: If you’re not happy with the selection, press the Escape key on your keyboard before releasing the mouse button.

Tip: If you’re not happy with the deletion results, reverse the operation with the Undo icon in the tool box.

Note:The Undelete Selection icon in each window is very different from the Undo icon in the tool box. The Undelete Selection icon reinstates all data within a user-defined area. The Undo icon reverses editing operations in the reverse order in which they were performed.

Area Deletion Examples

Deletion Tool | Before | After
Block Select (Inside Option) |  |
Lasso Select (Inside Option) |  |
Line Select (Below Option) |  |

Tip: To view the positions of deleted soundings, select the Show Deleted option in the Toolbox. Each deleted sounding is marked with a red ‘X’.


Restoring Deleted Soundings in the 64-bit HYSWEEP EDITOR

When you delete soundings in the 64-bit HYSWEEP EDITOR, regardless of which method you use, the soundings are not really removed from the data file. Instead they are flagged as deleted. If you decide you have deleted soundings in error, there are multiple methods you may use to restore data.

Note:You can not restore soundings recorded before the first position record in each line. They are automatically deleted because HYPACK has no way to calculate accurate positioning for them.

Tip: If you select the ‘Show Deleted Points’ in the View Options dialog, each deleted point is marked with a red ‘X’. When you restore a sounding, its red ‘X’ disappears.

A Quick Undo

The Undo icon in the tool box is used to reverse the previous operations, one at a time in reverse order.

Restoring Select Deleted Points

1.Select the ‘Show Deleted Points’ option. A red ‘X’ marks each deleted point.

2.In the Cloud, Sweep, Profile or Cell window, define the points to restore. Put your cursor on the point, or use one of the area-based editing tools to define multiple points.

3.In the same window, [image] click the Undelete Selection icon. The red X’s are removed from the defined point or area.

Restoring All Deleted Points

1.Select EDIT-UNDELETE AND RESET. The Undelete and Reset dialog appears. The total number of manually and automatically deleted soundings appears next to the corresponding undelete options.

Undelete and Reset Dialog

2.Indicate which soundings you want to restore.

•All soundings deleted manually (using the editing tools).

•All soundings deleted automatically

•All deleted soundings that fall within the range you then define in the Minimum and Maximum fields that follow.

3.Click [Undelete]. The program restores the defined deleted soundings and the count resets to zero.

4.Click [Close] to return to the 64-bit HYSWEEP EDITOR interface.

5.Save your data.

More Information

• Editing Tools in the 64-bit HYSWEEP EDITOR

• Stage 1 Editing in the 64-bit HYSWEEP EDITOR

• Stage 2 Editing in the 64-bit HYSWEEP EDITOR


Stage 1 Editing in the 64-bit HYSWEEP EDITOR

In Stage 1 editing, the Survey window displays your track lines and, optionally, any active charts, target and channel files.

Additional windows graph your correction values one or more lines at a time according to what is selected in the file list. This enables you to view the corrections one line at a time or compare multiple lines.

•Verify that all devices are working. (Be suspicious of flat lines.)

•Remove erroneous spikes common in position, RTK tide and sound velocity data.

•Apply any POSPac data to improve your positioning.

•Remove heave drift.

•Apply any true heave corrections to your raw data.

•Correct your sound velocity profile using the Sound Velocity Adjustments tool.

•If you surveyed with erroneous geodesy settings, you can recalculate RTK Tides from HYPACK Raw Data.

•You can filter tide and position data based on the quality of your GPS signal. and position spikes based on Speed Over Ground (SOG).

When you are finished editing in Stage 1, advance to Stage 2.

To advance to Stage 2, Select FILE-STAGE 2 or click the [image] Stage 2 icon.

More Information

• Removing Heave Drift in the 64-bit HYSWEEP EDITOR

• Applying True Heave in the 64-bit HYSWEEP EDITOR

• Dynamic Draft Corrections in the 64-bit HYSWEEP EDITOR

• Sound Velocity Corrections in the 64-bit HYSWEEP EDITOR

• Clipping Track Lines in the 64-bit HYSWEEP EDITOR

• Removing Position Spikes in the 64-bit HYSWEEP EDITOR

• Filling Values in the Heave/Tide Window

• Resetting Filled Values in the Heave/Tide Window

• Recalculating POS MV Data from POSPac Raw Data in the 64-bit HYSWEEP EDITOR

• Recalculating Positioning and RTK Tides from HYPACK Raw Data in the 64-bit HYSWEEP EDITOR

• Correcting Positioning and RTK Tides Based on GPS PPK Data

• Filtering Your Data in the 64-bit HYSWEEP EDITOR


Clipping Track Lines in the 64-bit HYSWEEP EDITOR

In the Survey window, you can trim position spikes using point editing techniques, however area-based editing is more efficient to trim curves from the ends of the track lines.

When position data is removed, sounding data is deleted or interpolated based on the status of the ‘Delete Soundings Between Deleted Points’ option in the Editor Options.

You can edit all of your track lines at once, or work on only select lines. In the following example, the default delete mode provides the opportunity to use the unselected lines as a guide and time to remove them from the edit process before the deletion.

1.Load your full data set to the 64-bit HYSWEEP EDITOR.

2.Select the track lines you want to edit. Hold the Ctrl key and select the lines either in the file list or in the Survey window display. (Selections in the file list and Survey window are synchronized.)

3.Clear the Fast Delete option.

4.Mark your deletion area using the editing tool.

5.Check the Draw Selected Files Only option. This removes the remaining track lines from the display, though they are still loaded.

6. Click the Delete Point Or Selection icon (or the Delete key).

Sample Track Line Editing Session

More Information

• 64-bit HYSWEEP EDITOR Options


Removing Position Spikes in the 64-bit HYSWEEP EDITOR

Use point or area-based editing tools to remove spikes caused by GPS error.

Using Editing Tools

•For horizontal positioning error, you typically edit the track lines in the Survey window. The Speed Editor window can also be useful for editing position spikes.

Use the editing tools to remove position spikes.

Tip: You can also filter your data based on the speed over ground or quality of the GPS signal.

Smoothing Positioning Spikes—Before (left) and After (right)

•For vertical positioning error from RTK (real time kinematic) systems, edit tide data in the Heave/Tide window.

Note:If you edit tide, you must update the other windows to account for your changes by clicking the red [Update Raw Data].

Using Filters

Filters based on Speed Over Ground (SOG) are useful to mark horizontal position spikes for deletion.

1.In the Basics tab of the Search and Filter Dialog, set the range of acceptable SOG.

2.Click [Apply Changes]. If you have checked the Filter Preview option in the tool box, the soundings outside the defined SOG range are marked with yellow X’s.

3.Remove the filtered data as appropriate.

More Information

• Filtering Your Data in the 64-bit HYSWEEP EDITOR


Filling Values in the Heave/Tide Window

In the Heave/Tide window, instead of deleting erroneous data, you can replace it with user-defined values using the fill button. The fill value replaces the tide data that may have been recorded during data collection in the edited data only.

Note:If you have loaded data from multiple surveys where these settings differ between files, review each data set, one at a time, by selecting its files in the file list before reviewing and modifying their settings.

Note:The fill values are disabled if you have entered corrections in the Read Parameters.

When you click the icon, the Fill Options dialog appears where you can set new values for any of the values currently displayed in the window.

Note:If a value is not drawn to the graph, it is disabled in the Fill Options window.

Fill Options Window

You can replace tide, heave or draft values with one value as follows:

•Only in one or more selected lines currently loaded in the 64-bit HYSWEEP EDITOR.

a.Select the lines in the File List.

b.Click the Fill icon.

c.Enter the new correction values and click [OK].

•Only in a user-defined area of a single line.

a.Deselect the Fast Editing option.

b.Use one of the area-based editing tools to select the area you want to edit.

c.Click the Fill icon.

d.Enter the new correction values and click [OK].


Resetting Filled Values in the Heave/Tide Window

If you use the Fill Options dialog in the 64-bit HYSWEEP EDITOR to edit corrections values, and the results are not what you intended, you can restore all of the filled corrections in the currently loaded data set to their original values through the Reset dialog.

1.Select EDIT-RESET. The Reset dialog appears showing the total number of filled values next to the corresponding button.

2.Click [Filled Values] in the Reset section. The program restores all filled correction values and the count resets to zero.

3.Click [Close].

Use the Reset Dialog to Undo Filled Corrections.

More Information

• Setting a Constant Tide Correction Value in the 64-bit HYSWEEP EDITOR

• Replacing Bad RTK Tide

• Area-based Editing Heave Drift

• Restoring Raw Heave in the 64-bit HYSWEEP EDITOR


Recalculating POS MV Data from POSPac Raw Data in the 64-bit HYSWEEP EDITOR

If you are using the Applanix POS MV with POSPac for positioning and as your motion sensor, you can improve the accuracy of your survey data.

The POSPac Adjustments routine in the editor program can use the POSPac file (*.OUT or SBET file) to recalculate one or more of the following:

•GPS Latitude, Longitude and elevation

•Pitch and Roll

•Heading

•Tide

Since the data in the POSPac file is quite accurate and post-processing calculations can be better than those done in real time, this routine typically improves the accuracy of your survey data.

That being said, sometimes vertical drift occurs in SBET files, so you must carefully review your data and remove those areas. The corrected, more accurate SBET data may be used multiple times for adjustments to different data files.

You can edit the SBET corrections before or after the POSPac Adjustments:

•Before the adjustment, use the SBET EDITOR. This method enables you to view and edit SBET data for the entire day, resulting in an accurate SBET file that may be used multiple times for adjustments to different data files.

•After the adjustment, use the Heave Tide Draft window in the data editing program. Using this method, you see only the portion of the SBET data corresponding to the logged data, and any editing affects only the currently loaded survey data. However, the cursor location is synchronized in all windows, providing added information with which you can make your editing decisions.

Use block editing to remove the bad SBET data, which results in a straight line interpolation between the remaining data.

Important: When you load your data, leave the Tide Corrections option in the Corrections dialog blank. In the editor, this TID file overrides all other tide correction calculation methods.

• Block Editing the Tide

• Adjusting your Survey Data with the SBET Data

Block Editing the Tide

You can use block editing with the POSPac Z-value to remove obviously bad tide data.

Block Editing Bad Tide Data

The dynamic Z data (boat heave) is gone after the delete, but that’s not a problem as it avoids double heave correction.

Block Editing Tide Results

Return to Top

Adjusting your Survey Data with the SBET Data

1.In the editor, select the files you want to adjust from the Files list.

2.Select TOOLS-POSPac ADJUSTMENTS. If you have not selected all of the loaded files in the list, a confirmation dialog appears.

3.Confirm your intentions:

•To edit the lines selected in the file list, click [Selected Lines].

•To edit all files currently loaded, click [All Lines].

•To change your selection in the files list, click [Cancel] and begin again.

The POSPac Adjustments dialog appears next.

POSPac Adjustments Dialog

4.Click [Open File] and select one or more POSPac files. The start times from your POSPac files are automatically displayed.

To multiselect files, hold the Ctrl key and select multiple individual files or hold the Shift key and click on the first and last file in a range of consecutive files.

When you load multiple POSPac files the editor calculates interpolated values based on the time tag of each ping.

A File Date dialog appears next.

Sample File Date Dialog

5.For each file, select the file in the dialog set the date. You have three options:

•Use Survey Date (default) reads the date from the survey file.

•Clear Use SurveyDate and click [Use File Write Date] to read the Windows® date fromthe true heave file. It may be helpful in multi-day surveys.

Note:Confirm the date that appears is correct. File properties often change when the file is moved in Windows®.

•Manually enter the correct date and clear the Use Survey Date option.

Tip: If you have loaded more than one adjustment file, [Sort] orders the files by Start Date then Start Time.

a.Click [OK].

6.Select the values you want use from the POSPac data: position, RTK tide, heading, pitch and roll.

7.Check your device offsets. The POS MV Adjustments dialog shows offsets from your Read Parameters, but this provides a second chance to correct them if you missed them.

8.Calculate the time difference between the Survey and POSPac start times, and enter it under ‘Enter Hour Difference’. (Non-integer values are supported.)

9.Click [Adjust]. When the adjustment is complete, ‘Done’ appears in the dialog.

10.Click [Close] to return to the editor.

You can see the tide results by displaying both the raw and corrected data in the Heave/Tide window.

Additionally, the device selections in the Read Parameters are updated with an added POSPAC option to indicate POSPac adjusted data.

Return to Top

More Information

• SBET EDITOR

• Automatic Processing in the 64-bit HYSWEEP EDITOR

• Heave/Tide Window in the 64-bit HYSWEEP EDITOR


Recalculating Positioning and RTK Tides from HYPACK Raw Data in the 64-bit HYSWEEP EDITOR

The Raw File Adjustments routine corrects raw data logged with incorrect geodesy, KTD (Kinematic Tide Datum), or with the GPS configured without the Tide function selected.

It recalculates horizontal positioning based on the current geodesy settings and the RAW messages in your raw data files. If your hardware configuration includes more than one positioning device (mobile), SURVEY automatically reads the position from the first positioning device in the configuration. Using this routine you can recalculate the positioning based on the positions from other positioning devices in the configuration.

If your project is configured for RTK tides, it can also recalculate the RTK tide data.

1.Load your raw data to the 64-bit HYSWEEP EDITOR.

Note:If you are correcting RTK tides, leave the Tide Corrections options blank in the Corrections tab of the Read Parameters dialog.

2.In Stage 1 editing, select TOOLS-HYPACK RAW FILE ADJUSTMENTS. The Raw File Adjustments dialog will appear.

Raw File Adjustments Dialog

3.Set your options:

A

Task | Options
To Recalculate Positions: | •Select ‘Use Positions From Raw File’. •Select the device from which you collected the data to be recalculated. •Enter the correct device offsets from the vessel origin. •If your survey computer was configured with incorrect geodesy settings, check the Recalculate Positions Based on Project Geodesy.
To Recalculate RTK Tides: | •Select ‘Recalculate RTK Tides Using HYPACK Geodesy’. •Select the device from which you collected the data to be recalculated.

4.Click [Adjust]. When the adjustment is complete, the status bar will display "Done".

5.Click [Close].

The device selections in the Read Parameters are updated with an added RAWFILE option to indicate Raw file adjusted data.

More Information

• Real Time Kinematic (RTK) Tide Corrections


Correcting Positioning and RTK Tides Based on GPS PPK Data

Postprocessed Kinematic (PPK) surveys store raw observations that, in RTK mode, produce centimeter-level accuracy in post-survey processing.

If your GPS is capable of storing PPK data, you can configure the receiver to output the PPK data to a file. You can then use this file, or any similar text file, in the editor programs and improve your positioning, tide corrections or both. This is quite useful to correct positioning when there are obstructions to satellite reception.

Required PPK Data for each Correction Type

Correction Type | Required String Values
Position | •Time •Easting/Northing (preferred) or Latitude/Longitude
Tide | •Time •Ellipsoid Height.

GPS Adjustments Dialog

1.In the Survey Files list, select the files you want to adjust.

2.Select TOOLS-GPS ADJUSTMENTS.

If you have not selected all of the loaded files in the list, a confirmation dialog will appear for you to confirm your intentions:

•To edit the lines selected in the file list, click [Selected Lines].

•To edit all files currently loaded, click [All Lines].

•To change your selection in the files list, click [Cancel] and begin again.

3.Load one or more PPK files. Click [...] and browse for the correct file. The first record appears below the PPK File for your reference.

4.Set the UTC Start Date for each PPK file.

a.Click [File Date]. The File Date dialog appears.

Sample File Date Dialog

b.For each file, select the file in the dialog set the date. You have three options:

•Use Survey Date (default) reads the date from the survey file.

•Clear Use SurveyDate and click [Use File Write Date] to read the Windows® date fromthe true heave file. It may be helpful in multi-day surveys.

Note:Confirm the date that appears is correct. File properties often change when the file is moved in Windows®.

•Manually enter the correct date and clear the Use Survey Date option.

Tip: If you have loaded more than one adjustment file, [Sort] orders the files by Start Date then Start Time.

c.Click [OK].

5.Describe the records in your PPK file.

•Check the values that occur in each record. You can add ignored fields (click [Add Ignore Field]) for any variables which you don't need.

•Set the order of the values Use your cursor to click and drag items up or down in the list.

•Select the delimiters.

•If the ellipsoid height is in meters instead of survey units, check the ‘Ellipsoid in meters’ option.

•Choose the time and latitude/longitude formats.

•Device Offsets: If your PPK file originates from a system other than the one logged during the survey, enter its offsets here.

•HYPACK or HYSWEEP File Start Time (for single beam or multibeam project respectively) and PPK File Start Time update automatically according to the information in the files themselves.

•Hours Difference is the difference between the UTC time and Local Time setting on the survey computer. (Non-integer values are supported.)

6.Test whether the configuration can read your PPK file. Click [Test] and compare the parsing results at the bottom of the dialog against the PPK record.

If the test fails, “Error” appears in the status bar. Recheck your configuration against your PPK string format and try again.

7.When the configuration tests correctly, click [Adjust] to execute the adjustment in the data.

8.When the adjustment is complete, click [Close].

The device selections in the Read Parameters are updated with an added PPK option to indicate PPK adjusted data.

More Information

• Applying One Set of Read Parameters to All Data in the 64-bit HYSWEEP EDITOR

• Applying Different Parameters to Select Data Sets in the 64-bit HYSWEEP EDITOR


Correcting MRU Yaw

Whether the motion sensor was off center or backward, you can use the MRU Yaw Adjust tool to correct your edited data. This tool is available in both Stage 1 and 2.

Note:You can make the same adjustment in the WOBBLE64 routine.

1.Select TOOLS-MRU YAW ADJUST. If the files loaded list is not fully selected, a dialog will appear for you to choose to apply the adjustment to all files or selected files.

2.Click [All Files] or [Selected Files] to set the files the tool will adjust. The MRU Yaw Adjust dialog appears.

MRU Yaw Adjust Dialog

3.Enter the correct angle as it should have been in your hardware configuration.

4.Click [Adjust]. The adjustment tool recalculates the pitch and roll throughout your data to remove the motion artifacts caused by the incorrect MRU yaw.

More Information

• Correcting Motion Artifacts


Stage 2 Editing in the 64-bit HYSWEEP EDITOR

When you are finished editing in Stage 1, advance to Stage 2.

To advance to Stage 2, Select FILE-STAGE 2 or click the [image] Stage 2 icon.

Stage 2 is where you clean most of the bad data. In Stage 2, the corrected soundings are gridded into a matrix and you can view your data in all of the windows, from varying angles and selecting display options that provide information to aid in your editing decisions.

Note:In Stage 2, you can still edit data in the windows available in Stage 1, but you must then click [Update...] to update the other windows to account for your changes. [Up to Date] turns red and the text changes according to what recalculation is required.

Tip: If you are working in a large data set, you may choose to do multiple edit operations and recalculate only once to account for all or your changes at once.

In addition to visual inspection, the editing process in Stage 2 involves all or any combination of the following:

•Flagging: Each window includes a Drop a Point Flag icon with which you can mark points of interest in any window and see the same points flagged in all of the other windows for comparison.

•Filtering: Select from a wide selection of specifications (eg. beam angle, speed and depth limits; GPS quality; statistical criteria and more) that can identify and, if desired, remove data falling outside of your chosen specifications.

•Deleting: Removing bad data is, after all, the point. The 64-bit HYSWEEP EDITOR provides a selection of tools with which you will delete and correct your data. You may also clip your data using a border file.

Tip: If editing operations have produced unsatisfactory results, you can reverse them, in the reverse order in which they were performed, using the Undo icon on the toolbar.

In Stage 2, you will scroll through your data, visually inspecting and editing as you go.

•To advance through the data by the cloud section, sweep section or profile, use the up and down arrows in the Cloud, Sweep, or Profile window respectively.

•To sequentially examine soundings that fall outside a user-defined set of specifications in the Search and Filter dialog, use the Find Next (F3) icon in the tool box.

Track your editing progress to assure all data has been reviewed. Mark data that has been cleaned as ‘checked’, then display checked cloud sections in the Survey display, and unchecked beams in the Cloud, Sweep, Single Sweep, Profile and Cell windows.

More Information

• Manual Editing in Stage 2 in the 64-bit HYSWEEP EDITOR

• Golden Soundings in the 64-bit HYSWEEP EDITOR

• Tracking your Editing Progress in the 64-bit HYSWEEP EDITOR

• Filtering Your Data in the 64-bit HYSWEEP EDITOR


Clipping your Soundings to a Border File

Clipping to a border file enables you to limit the data to a particular area of interest. You can delete the soundinge either inside or outside of the border area.

1.In the BORDER EDITOR, create a border file that defines your area of interest. For this operation, the 64-bit HYSWEEP EDITOR supports border files with up to 2048 waypoints.

2.Select one or more survey files from the File List.

3.FILE-CLIPSURVEY TO BORDER FILE. A File Open dialog appears.

4.Select the border file that will guide the clipping and click [Open].

If you have not selected all of the loaded survey files, a dialog appears where you may choose to clip all of your edited data, or only the files selected in the File List.

In either case, a Border dialog appears next.

Border Dialog

5.In the Border dialog, choose to delete the soundings inside or outside of the border, or to cancel the operation. When you click one of the delete buttons, the program clips the data according to your instruction and updates the displays.

Clipping to a Border—Before (left), Clip Inside (center), Clip Outside (right)

More Information

• Border Files


Manual Editing in Stage 2 in the 64-bit HYSWEEP EDITOR

The 64-bit HYSWEEP EDITOR makes it easy to scroll through your data, and viewing it from every angle as you make your editing decisions and clean your data.

In order to assure you have reviewed all of your data, you should choose a methodical order to follow.

The Cloud, Sweep, and Profile windows each display a user-defined section of your data—cloud sections, sweeps and stacks respectively—and provide arrows with which you can move from one section to the next as you clean your data.

1.Begin with your cursor at the beginning of the data.

2.In each section:

a.Use your editing tools to remove any bad data.

b.When each section is clean, check the ‘Checked’ checkbox in the chosen window (Optional) to help track editing progress and assure all soundings have been reviewed.

c.Scroll to the next section.

Tip: If you always ‘scroll, edit and check’ in the same window, your checked sections will be aligned and contiguous so you avoid missing soundings.

3.Flag any points of interest. (Optional)

4.Mark any ‘golden soundings’. (Optional)

5.Save your edited data.

More Information

• Manual Processing in the 64-bit HYSWEEP EDITOR

• Golden Soundings in the 64-bit HYSWEEP EDITOR

• Tracking your Editing Progress in the 64-bit HYSWEEP EDITOR

• Filtering Your Data in the 64-bit HYSWEEP EDITOR


Checking that your Data Meets Contract Specifications

You may have contract requirements to show a specified level of coverage and accuracy. To help confirm that you have met your obligations, in stage 2 editing, the matrix in the Survey window can color and scale any of the following values based on the Selection option in the editor interface and the corresponding matrix autoscale option in the View Options dialog.

Points per Cell: When you display Count in your Survey window, Autoscale Count Colors shows the range of the sounding counts in each cell. Manually scaling shows a green pixel for each cell at or above the user-defined limit and a red pixel for each cell below.

To check coverage specifications, clear the Autoscale Count Colors check box and enter the minimum number of points per cell as the limit. If all of your data is green, you have met your coverage obligations.

Count in Survey Window—Manually Scaled (left), Autoscaled (right)

•Cell Standard Deviation: When you display Sigma in your Survey window, Autoscale Sigma Colors shows the range of the standard deviation in each cell. Manually scaling shows cells with standard deviation greater than or equal to the limit.

To check standard deviation, clear the Autoscale Sigma Colors check box and enter your maximum allowed deviation. Cells with a standard deviation equal to or greater than the limit are red; all other cells are color-coded

Sigma—Manually Scaled (left), Autoscaled (right)

•Cell vertical range: When you display the Z Range in your Survey window, it shows the maximum depth minus the minimum depth in each cell, highlighting distinct features and outliers. Autoscale Z Range Colors distributes the colors from the widest range to the smallest. Manually scaling shows cells with a vertical range greater than or equal to the limit.

To check for cells with a vertical range greater than a specified amount, clear the Autoscale Z Range Colors check box and enter your maximum allowed vertical range and display Z Range. Cells with a standard deviation equal to or greater than the limit are red; all other cells are color-coded.

Z Range—Manually Scaled (left), Autoscaled (right)


Correcting Motion Artifacts

Motion artifacts in multibeam data (Wobble), caused by a range of problems you may have had with your MRU and sonar, are most apparent in the Sweep window.

Wobble64 enables you to adjust for many factors that typically produce a wavy surface model when the bottom is flat.

Note:Many of these adjustments are also available in the Read Parameters dialog. Wobble64 puts them all in one place with immediate feedback available through the Sweep window, which improves your efficiency in finding the right values in the right combination to correct your data set.

Wobble Example

Typically, you will enter your best guess for each adjustment and apply the first combination to your data. Then, based on your results, you can use the step options and the arrow keys to fine-tune and apply your adjustments until you reach the optimal adjustment values.

When you apply your adjustments, the Sweep window updates so you can check the effects of your settings without leaving Wobble64. Additionally, the Wobble64 Magic Number estimates wobble error based on along-track depth change by beam. The idea is to work toward a smaller Magic Number value.

1. Open Wobble64 with the icon on the Sweep window toolbar. If the Files Loaded list is not fully selected, a dialog will appear for you to choose to apply the adjustment to all files or selected files.

2.Click [All Files] or [Selected Files] to set the files the tool will adjust. The Wobble64 dialog appears with all of the adjustments available to correct wobble.

Wobble Dialog

3.Configure for any MRU special cases.

MRU Options

Case | Options
Reverse-mounted MRU | •Invert Pitch option •Invert Roll option
Reverse-mounted Sonar | •Reverse Mount option
Device Offset Calibration | •Adjustments to the offsets configured during data collection. Enter the offset as it should have been during acquisition.
Mounted upside down | •Invert Heave option
Double-correction for boat motion. Both the Sonar and processing software apply corrections. | •Ignore Pitch option •Ignore Roll option •Ignore Heave option

4.If your sonar data was received backward, check the Reverse Mount option in the Sonar area.

5.Enter your initial MRU and sonar adjustments then click [Apply].

6.Check the results.

7.Fine-tune, apply and recheck the effects of your adjustment values until you have optimized the results.

a.For each adjustment value, choose your Step Size, then use its arrow keys to increase or decrease the adjustment value by the selected step size.

•Coarse = 1.000

•Medium = 0.100

•Fine = 0.010

•Very Fine = 0.001

For example, click Coarse to set 1.0 steps then click MRU, Adjust, Yaw, Down to decrease by one degree.

b.Click [Apply].

c.Check the effects in the Sweep window, and the Magic Number.

Tip: If your adjustment attempts go awry, [Reset] sets all of the adjustment values to zero and the Step Size to one. Click [Reset] then [Apply] to start over.

8.When you have reached the optimal adjustment settings, click [Test OK].


Tracking your Editing Progress in the 64-bit HYSWEEP EDITOR

Whether you are scrolling through your data by cloud section, a number of sweeps or profile stacks, you can easily track your editing progress in the Survey, Cloud, Sweep, Profile and Cell windows.

When you first load your data, all soundings are ‘unchecked’ in the editing process. If you mark cleaned data as ‘Checked’, the program tracks your progress and can show you where there is unchecked data.

In addition, filtering processes ignore checked data. If you attempt to manually delete checked data, the program asks you to confirm that you intend to do so before it proceeds with the deletion.

Marking Checked Beams

Viewing Unchecked Beams

Resetting the Checked Status

Marking Checked Beams

When the data is clean in the Cloud, Cell, or Profile window, click the Set Checked/Unchecked icon. All soundings that appear in that window are then marked as checked.

Note:Since each of the three windows displays a different amount of data, the soundings marked as checked depends on the window in which you click the Checked/Unchecked icon.

Tip: If you always ‘scroll and check’ in the same window, your checked sections will be aligned and contiguous so you avoid missing soundings.

Return to Top

Viewing Unchecked Beams

When you configure your depth displays to show checked soundings, all checked soundings are green and unchecked soundings are red.

When you first load raw data, or when you reset the checked beams status in Undelete and Reset dialog (FILE-UNDELETE AND RESET), all of the data is red because it is unchecked. When all of the soundings are green, your editing is finished.

Viewing Checked Beams

The 64-bit HYSWEEP EDITOR includes a selection of methods with which to view checked data and it’s easy to toggle the display on and off in each window to track your progress.

•The Checked Beams option in the Cloud, Sweep, Profile or Matrix window, and the Checked Cells option in the Survey window configure each window individually.

•The Checked Beams option in the Soundings drop-down of the Toolbox or Color Settings dialog configures all of the windows displaying depths at the same time. This method overrides the checkboxes in the individual windows.

•The Unchecked Beams option in the Search Only tab of the Search and Filters dialog enables you to search your data set for any soundings that are still unchecked.

Return to Top

Resetting the Checked Status

To return all data in the Cloud, Sweep, or Profile window to unchecked status, click the Set Checked/Unchecked icon in the window again.

To return all loaded data to ‘Unchecked’ status:

1.Select EDIT-UNDELETE AND RESET. The Undelete and Reset dialog appears. In the Reset area, the number of checked beams appears next to [Checked Beams].

2.Click [Checked Beams]. The program asks you to confirm the reset operation. When you click [Yes], the number of checked beam reverts to 0 and the beams are all reset to unchecked status.

Return to Top

More Information

• Sweep 1 and 2 Windows in the 64-bit HYSWEEP EDITOR

• Profile and AB Cross Section Windows in the 64-bit HYSWEEP EDITOR

• Cloud Windows in the 64-bit HYSWEEP EDITOR

• Entering Matrix and Cloud Section Settings in the 64-bit HYSWEEP EDITOR


Filtering Your Data in the 64-bit HYSWEEP EDITOR

Filtering your data automatically removes data that falls outside of a set of user-defined parameters. Set your filter parameters in the Search and Filter dialog, then preview the results in your data displays before you run the filter.

•In Stage 1, you can filter tide and position data based on the quality of your GPS signal. You can also filter position spikes based on Speed Over Ground (SOG).

•In Stage 2, more extensive filters are available in the Basic, Sweep and Matrix tabs of the Search and Filter Dialog and in the Vegetation Filter options of the Profile Window.

Search and Filter Dialog—Actions Tab

When the Filter Preview option is selected in the toolbox, the soundings that fall outside of the criteria set in the Basic, GPS, Sweep and Matrix tabs of the Search and Filter dialog (filtered soundings) are marked with a yellow ‘X’. As you set your filters in each tab, click [Update Filter Preview] to update your display according to your changes.

You can automatically delete all or large areas of filtered soundings for a quick estimate of your survey area floor. However, for more accurate results, you must look more closely at the filtered soundings in the context of the surrounding data and remove only what is clearly erroneous.

Count: When your filtering is complete, the program displays the number of filtered soundings and the percentage of the total data set that they represent.

If you have selected the Advanced Update Mode in the Editor Options, the [Update...] button turns red to notify you when the displays are not synchronized. This is intended to make your editing more efficient, particularly when you are working with large data sets.

Synchronize all displays as needed by clicking [Update...] in the toolbox.

Beware! Automatic Filtering is fast! It's easy! It's DANGEROUS!!! No computer program can replace human intelligence and common sense when it comes to editing data. Use this feature with caution!

Tip: If your results are not what you expected, the Undo icon in the tool box is used to reverse the previous operations, one at a time.

Automatic Filtering

Manual Filtering

Vegetation Filters

Automatic Filtering

With the click of a button, automatic filtering marks soundings that fall outside of your filter parameters for deletion. These methods are purely statistical based on your filter settings. Once the filters are set, and you click button to filter the data, you have no further control in the filtering.

If you have selected both Filter Preview and Show Deleted Points in the tool box, all of the yellow X’s will turn red to show that the filtered points have been deleted.

Note: If you’re not happy with the deletion results, reverse the operation with the Undo icon in the tool box.

Applying Filters as the 64-bit HYSWEEP EDITOR Reads the Raw Data

1.In the Auto Processing section of the Read Parameters dialog, select Auto Stage 2 and Apply Filters, and click [Filters]. The Search and Filters dialog will appear.

2.Set filter criteria and close the dialog.

3.When all of your read parameters are set, click [OK].

Applying Filters to All of the Data

1.Set filter criteria in the Search and Filters dialog.

2.Open the Actions tab.

3.In the Filter area, click [All Files].

4.Save your data.

Applying Filters to Soundings on Select Lines

1.Load your full data set to the 64-bit HYSWEEP EDITOR.

2.In the file list, select the lines you want to edit. Hold the Ctrl key and select the lines either in the file list or in the Survey window display. (Verify the selections in the file list and Survey window are synchronized.)

3.Open the Search and Filters dialog and set your filters.

4.Open the Actions tab.

5.In the Filter area, click [Selected Files].

6.Save your data.

Deleting All Filtered Soundings in a Select Area

To Delete All Filtered Soundings in a Select Area, work in any window with an enabled Filter icon.

1.Use one of the area-based editing tools to define the area.

2.Click the Filter icon in the same window.

3.Save your data.

Note:Use with care for accurate results.

Return to Top

Manual Filtering

Manual processing gives you full control in cleaning your data. You can examine small areas of data marked for filtering and use the editing tools to manipulate, view and intelligently clean your data.

To search for filtered soundings:

1.Open the Search and Filters dialog and set your filters.

2.Open the Actions tab.

3.Set your cursor at the beginning of your data set. In the Actions tab of the Search and Filters dialog, click [Search Selected Lines]. This is optional but, if you want to check all of your data methodically, it’s best start at the beginning.

4. Click the Find Next icon (F3). Since all window displays are synchronized, you can view the same point in the various windows to make your editing decision.

5.Use the editing tools to remove bad data.

If you have selected the Advanced Update Mode in the Editor Options, the [Update...] button turns red to notify you when the displays are not synchronized. This is intended to make your editing more efficient, particularly when you are working with large data sets.

6.Synchronize all displays as needed by clicking [Update...] in the toolbox.

7.Repeat steps 4 and 5 until you reach the end of your data.

8.Save your data.

Tip: It’s a good idea to save your data periodically through the editing process to preserve your work.

Return to Top

Vegetation Filters

The Vegetation Filter, found in the Profile window, attempts to differentiate between the ground level and any vegetation that may be growing there.

The filter analyzes each profile in along-profile segments looking for the minimum sounding in each segment, which it interprets as the ground level. Filter settings enable you to optimize the filter for your data set.

1.Check Enable to use the filter.

2.Set your filter options:

•Window Size: The along-profile segment distance.

•Overlap Percent: As the program progresses along the profile applying this filter, this is the amount each window overlaps the previous one.

•Gate Size: Depth, in survey units, above and below the filtered surface. Depths outside of this range will be removed.

3.Click [Preview]. The ground line is white (black on a lighter background), preserved soundings are gray, and filtered soundings are yellow.

[Filter Profile Window] applies the current vegetation filter to the current profile.

[Filter All] applies the current vegetation filter to all of the currently loaded data.

Example of Vegetation Filter Results

Return to Top

More Information

• Search and Filter Options in the 64-bit HYSWEEP EDITOR


CUBE Editing

CUBE: The Combined Uncertainty and Bathymetry Estimator applies Bayesian statistics and modeling to multibeam data and provides uncertainty and depth estimations over a gridded surface.

The CUBE software library is licensed by HYPACK from CCOM/JHC at the University of New Hampshire. Dr. Brian Calder is the scientist behind CUBE. For more information check the publication at http://ccom.unh.edu/sites/default/files/publications/Calder_07_CUBE_User_Manual.pdf.

More Information

• HYSWEEP CUBE

• CUBE Processing in the 64-bit HYSWEEP EDITOR


Editing Water Column Data

When water column data is in the Raw folder, it automatically appears in the Water Column window where you can re-digitize soundings based on the water column data to guarantee least depth in critical survey areas.

Editing Water Column Data

1. Click the digitize button. The cursor changes to a digitizer.

2.Use the digitizer in the water column display.

a.To relocate a sounding, click at the new position.

b.To relocate a line of soundings, click and drag the cursor.

3. If you have logged water column data more than once in your data set, click the Search icon to find the next block of water column data.

Tip: To see areas where water column data exists, choose WC Coverage in the Selection drop-down list for the Survey window. Green signifies water column coverage. Other areas are red.

4.Repeat the digitize and search sequence until you are finished digitizing.

5.When you are finished digitizing, turn off the digitizer. Click the digitize button again.

Tip: Show the ray tracing in the Single Sweep window to view your results from a different perspective.

If you don’t like the digitizing results, click the Undo icon in the Water Column window.

More Information

• Water Column Window

• Single Sweep Window in the 64-bit HYSWEEP EDITOR

• Logging Water Column Data


64-bit HYSWEEP EDITOR Statistics

The 64-bit HYSWEEP EDITOR report provides statistics about the loaded data and the time taken by select operations.

To generate the report, select FILE-REPORT. The current list of statistics is saved, by default, to the Mbmax_64.txt file in your project folder and displayed in NotePad.

Sample Report

MBMAX 64 Report

-------------------------------------------------

Load Survey:

Seconds = 5.1

Sweep Count = 5,365

Beam Count = 1,287,600

Position Count = 1,850

MRU Count = 6,065

Heading Count = 1,850

Tide Count = 1,850

Dynamic Draft Count = 16

-------------------------------------------------

Selected Files:

1 | 08:53:08 - 08:57:39 | 000_0853.HS2x | Tides: 02_27_2008.tid

2 | 08:58:58 - 09:03:37 | 000_0858.HS2x | Tides: 02_27_2008.tid

3 | 09:05:46 - 09:09:07 | 000_0905.HS2x | Tides: 02_27_2008.tid

4 | 09:10:47 - 09:16:05 | 000_0910.HS2x | Tides: 02_27_2008.tid

5 | 09:18:25 - 09:22:16 | 000_0918.HS2x | Tides: 02_27_2008.tid

-------------------------------------------------

Sonar Info:

Multibeam

-------------------------------------------------

Beam Calcs:

Threads = 4

Full Calculation = 2.0 Seconds

Update Corrected Depths = 0.031 Seconds

-------------------------------------------------

Data Extents:

Min Z Value = 16.0

Max Z Value = 105.2

-------------------------------------------------

Matrix Info:

Corner X = 2024023.0

Corner Y = 349947.4

Width = 1560.0

Height = 13885.0

Cell Width = 5.0

Cell Height = 5.0

Rotation = 24.618

Cell Count = 866,424

Cells Used = 11,129

Load Selection Time = 0.0 Seconds

CUBE Gridding Time = 0.0 Seconds

Save XYZ Time = 0.0 Seconds


Saving your Edited Data in the 64-bit HYSWEEP EDITOR

FILE-SAVE SURVEY displays the File Save dialog where you can choose the file format for the saved data and, in some cases, some additional save options.

The edited data is saved, by default, to the project Edit folder; however, you can set an alternate location.

After each save operation, editor returns to the File Save dialog in case you want to perform additional saves using different options.

When you are finished, click [Close] to return to the editor interface.

Tip: If there is any chance that you will take your data to a 32-bit computer, save it to HS2 as well as the HS2X format.

More Information

• Saving Your Data to a Custom Location in the 64-bit HYSWEEP EDITOR

• File Save Options in the 64-bit HYSWEEP EDITOR

• Saving Data to HS2 and HS2x Format in the 64-bit HYSWEEP EDITOR

• Sounding Reduction in XYZ Files in the 64-bit HYSWEEP EDITOR

• Saving to a Matrix in the 64-bit HYSWEEP EDITOR

• Exporting Data to GSF Format

• Exporting Data to Custom Formats

• Exporting Soundings Along a Line from the 64-bit HYSWEEP EDITOR

• Exporting Select Soundings to an XYZ File

• Exporting Select Soundings to an XYZ File


Saving Your Data to a Custom Location in the 64-bit HYSWEEP EDITOR

The edited data is saved, by default, to the project Edit folder; however, you can set an alternate location.

1.Select EDIT- SETTINGS. The Editor Settings dialog will appear.

Editor Settings Dialog

2.Select the Use Custom Edit Folder option.

3.Click the browse button ([...]) and select your new location.


File Save Options in the 64-bit HYSWEEP EDITOR

When you select FILE-SAVE SURVEY (or click the File Save icon), the File Save Options dialog appears. This is where you specify the format to which you want to save your data.

After you save your data using the selected options, the program returns to the File Save Options dialog in case you want to perform additional saves using different options. To return to the 64-bit HYSWEEP EDITOR interface, click [Close].

Save Survey Dialog

The 64-bit HYSWEEP EDITOR can save to any of the following formats:

•HS2 format: The standard HYPACK file format for edited multibeam data. This binary file is saved, by default, to the project Edit folder using the same name as the open file.

•HS2x format: 64-bit HS2 files. They load faster than HS2 files and save the original data from all devices versus only from the selected ones as in the 32-bit files. HS2x supports up to 10,000 beams/ping. HS2x files also include Total Vertical Uncertainty (TVU) and Total Horizontal Uncertainty (THU) data.

Tip: We recommend that you save your data first to the HS2 or HS2xformat to preserve all edited data. These formats retain all data should it be needed for further editing or correction of offsets, mounting angles, sound velocity, etc. Once this is saved, you can save it again to your choice of other output formats.

Tip: When you save edited data to HS2 format, the file save options enable you to append a suffix to the file names. This enables you to save separate sets of edited files from the same set of raw data.

•XYZ format: If you save to XYZ format, you may choose to save all of your edited data, or limit the data saved to the files selected in the File List or the data visible in the Survey window. You may also choose to perform a data reduction by saving one sounding per matrix cell.

•MTX: Saves the data to a matrix according to the MTX Selection option and the cell size you have specified in the Read Parameters. When you click [Save All Files], the program asks you to name your file and saves the filled matrix, by default, to the project directory.

•Export: This option enables custom output formats. Custom outputs are coded for users by contract. You can output all of your data or only the files selected in the Files list.

•NHO Test Format

•Time, Raw Heave

•Time, Raw Tide

•Nadir Beam: Exports the nadir beam data for each record to a CSV (comma separated values) file.

•All Corrections: Exports correction information for each ping to a CSV file.

•GSF format: Generic Sensor Format is a standard format for bathymetry data, particularly useful for data sets created by systems such as multibeam echosounders that collect a large quantity of data. In HYPACK, GSF files are primarily for export to third-party editing software. The HYPACK GEOCODER program also reads and renders mosaics from GSF files however, HS2 files produce better results in this case.

More Information

• Saving Data to HS2 and HS2x Format in the 64-bit HYSWEEP EDITOR

• Saving Data to XYZ Format in the 64-bit HYSWEEP EDITOR

• Sounding Reduction in XYZ Files in the 64-bit HYSWEEP EDITOR

• Saving to a Matrix in the 64-bit HYSWEEP EDITOR

• Exporting Data to GSF Format

• Exporting Data to Custom Formats

• Exporting Soundings Along a Line from the 64-bit HYSWEEP EDITOR

• Exporting Select Soundings to an XYZ File

• Exporting Select Soundings to an XYZ File


Saving Data to HS2 and HS2x Format in the 64-bit HYSWEEP EDITOR

When you save edited data to HS2 or HS2x, the file save options enable you to append a suffix to the file names. This enables you to save separate sets of edited files from the same set of raw data.

You can also choose to save all of the data or only the files selected in the Files list.

1.If you want to save only data from certain survey lines, select those lines in the File List.

2.Select FILE-SAVE SURVEY and the File Options dialog will appear.

Save Survey Dialog

3.Select the HS2 (32-bit) or HS2x (64-bit) file type.

4.If you want to append a suffix to the file name, check the Append to File Names option and enter your suffix in the corresponding field.

5.Click one of the Save buttons:

•To save only data on the lines currently selected in the File List, click [Save Selected Lines].

•To save all of your soundings, click [Save All Files].

The 64-bit HYSWEEP EDITOR automatically names the saved HS2 or HS2x files by replacing the raw HSX extension (in the individual files) and prefix (in the catalog files) with HS2 or HS2x respectively. For example, when saving to HS2x format, 001_1232.HSX becomes 001_1232.HS2x, and HSX_0926.LOG becomes HS2x_0926.LOG.

After you save your data using the selected options, the program returns to the File Save Options dialog in case you want to perform additional saves using different options. To return to the 64-bit HYSWEEP EDITOR interface, click [Close].

More Information

• Saving Data to XYZ Format in the 64-bit HYSWEEP EDITOR

• Sounding Reduction in XYZ Files in the 64-bit HYSWEEP EDITOR

• Saving to a Matrix in the 64-bit HYSWEEP EDITOR

• Exporting Data to Custom Formats


Saving Data to XYZ Format in the 64-bit HYSWEEP EDITOR

1.Select FILE-SAVE SURVEY and the File Options dialog appears.

Save Survey Dialog

2.Select the ‘XYZ’ file format.

3.Select the ‘Save All Points’ option.

4.Select the Use Actual XY option to use the true sounding position.

5.In the XYZ Selection list, choose the values you want to save.

•XYZ

•Lat., Lon, Z

•XY, Intensity and XYZ, Intensity. Higher amplitudes are returned by rock faces, sand and gravel; lower amplitudes from mud and silt. This being the case, rudimentary seafloor classification can be made by mapping intensity values.

Sample Intensity Model—High intensity returns are red and low intensity are blue.

•XY, Surface SV: This enables you to display areas where your sound velocity corrections differ significantly.

•XY, RGB: Exports each sounding position with its red, green and blue color value based on the current color assigned by the 64-bit HYSWEEP EDITOR.

•XY, TVU, THU: Exports each sounding position with its total vertical and horizontal uncertainty values.

6.Enter any required multiplier. (Optional) This multiplies the depth and saves the result as the Z value.

7.Click [Save All Files]. A File Save dialog will appear.

8.Name your file and click [Save].

After you save your data using the selected options, the program returns to the File Save Options dialog in case you want to perform additional saves using different options. To return to the 64-bit HYSWEEP EDITOR interface, click [Close].

Tip: You can load any of the XY_ data to the TIN MODEL program for some dramatic visualizations then, better still, you can export that model to a georeferenced TIF and display it as a background chart.

More Information

• Saving Data to HS2 and HS2x Format in the 64-bit HYSWEEP EDITOR

• Sounding Reduction in XYZ Files in the 64-bit HYSWEEP EDITOR

• Saving to a Matrix in the 64-bit HYSWEEP EDITOR

• Exporting Data to Custom Formats

• Exporting Select Soundings to an XYZ File

• Exporting Select Soundings to an XYZ File


Sounding Reduction in XYZ Files in the 64-bit HYSWEEP EDITOR

When you save your data in Stage 2 and you choose the XYZ option, you can save all of the data or reduce your data by saving only one point per matrix cell in the Survey window. You can also limit the soundings saved to those that currently appear in the Survey window.

1.Define the extent of data to be saved. (Optional) Adjust the zoom of the Survey window to show your selected area.

2.Select FILE-SAVE SURVEY and the File Options dialog appears.

Save Survey Dialog

3.Select the ‘XYZ’ file format.

4.Indicate what soundings you want to save under XYZ Options:

•Save One Point per Cell in the matrix generated for stage 2 editing.

•Save Zoom Area Only excludes soundings not currently visible in the Survey window.

5.In the MTX Selection list, choose the value you want to save.

•Median

•Average

•Minimum

•Maximum

•Center Point

•Mode

•Deepest Mode

•Strikes: In development.

•Strike Level: In development.

•Count: The number of soundings

•Z Range: Maximum minus the minimum sounding value

•Sigma: The standard deviation

•CUBE Depth

•CUBE Uncertainty

•CUBE Hypothesis Ratio

•CUBE Hypothesis Count

•CUBE Sounding: Sounding closest to the CUBE Hypothesis

•WC Coverage: Water column coverage

6.Select the position of the sounding within the cell.

•Use Actual XY leaves the sounding at its original XY position. Calculated values are placed at the cell center.

•Use Cell Center XY positions the sounding at the matrix center.

Tip: We recommend using the actual position of the sounding for accuracy's sake.

7.If you are saving the Average or Median value, set the minimum number of points a cell will need to calculate the selected value. Any cells with fewer than the defined number of cells will be left empty.

8.Enter any required multiplier. (Optional) This multiplies the depth or standard deviation value and saves the result as the Z value.

9.Click [Save All Files]. A File Save dialog will appear.

10.Name your file and click [Save].

After you save your data using the selected options, the program returns to the File Save Options dialog in case you want to perform additional saves using different options. To return to the 64-bit HYSWEEP EDITOR interface, click [Close].

More Information

• Saving Data to HS2 and HS2x Format in the 64-bit HYSWEEP EDITOR

• Saving Data to XYZ Format in the 64-bit HYSWEEP EDITOR

• Saving to a Matrix in the 64-bit HYSWEEP EDITOR

• Exporting Data to Custom Formats


Saving to a Matrix in the 64-bit HYSWEEP EDITOR

You can save your data to a matrix according to the MTX Selection option and the cell size you have specified in the Read Parameters.

1.Select FILE-SAVE SURVEY and the Save Survey dialog appears.

Save Survey Dialog

2.Select the MTX file format.

3.In the MTX Selection list, choose the value you want saved to each cell.

•Median

•Average

•Minimum

•Maximum

•Center Point

•Mode

•Deepest Mode

•Strikes: In development.

•Strike Level: In development.

•Count: The number of soundings

•Z Range: Maximum minus the minimum sounding value

•Sigma: The standard deviation

•CUBE Depth

•CUBE Uncertainty

•CUBE Hypothesis Ratio

•CUBE Hypothesis Count

•CUBE Sounding: Sounding closest to the CUBE Hypothesis

•WC Coverage: Water column coverage

Note:The Median and Average options paint the cell only when it contains, at least, the user-specified number of soundings.

4.Enter any required multiplier. (Optional) This multiplies the depth or standard deviation value and saves the result as the Z value.

5.Click [Save All Files]. A File Save dialog will appear.

6.Name your file and click [Save]. The file is saved, by default, to your project folder.

After you save your data using the selected options, the program returns to the File Save Options dialog in case you want to perform additional saves using different options. To return to the 64-bit HYSWEEP EDITOR interface, click [Close].

More Information

• Saving Data to HS2 and HS2x Format in the 64-bit HYSWEEP EDITOR

• Saving Data to XYZ Format in the 64-bit HYSWEEP EDITOR

• Sounding Reduction in XYZ Files in the 64-bit HYSWEEP EDITOR

• Exporting Data to Custom Formats


Exporting Data to GSF Format

Generic Sensor Format is a standard format for bathymetry data, particularly useful for data sets created by systems such as multibeam echosounders that collect a large quantity of data. In HYPACK, GSF files are primarily for export to third-party editing software. The HYPACK GEOCODER program also reads and renders mosaics from GSF files however, HS2 files produce better results in this case.

1.Select FILE-SAVESURVEY and the Save Survey dialog appears.

Save Survey Dialog

2.Select the GSF file format.

3.Click [Save All Files]. A File Save dialog will appear.

4.Name your file and click [Save]. The file is saved, by default, to your project folder.

After you save your data using the selected options, the program returns to the File Save Options dialog in case you want to perform additional saves using different options. To return to the 64-bit HYSWEEP EDITOR interface, click [Close].


Exporting Data to Custom Formats

Custom outputs are coded for users by contract. You can output all of your data or only the files selected in the Files list to these formats:

1.If you want to save only data from certain survey lines, select those lines in the File List.

2.Select FILE-SAVESURVEY and the Save Survey dialog appears.

Save Survey Dialog

3.Select the Export file format option.

4.Make your Export Selection from the drop-down list.

5.Click one of the Save buttons:

•To save only data on the lines currently selected in the File List, click [Save Selected Lines].

•To save all of your soundings, click [Save All Files].

After you save your data using the selected options, the program returns to the File Save Options dialog in case you want to perform additional saves using different options. To return to the 64-bit HYSWEEP EDITOR interface, click [Close].

More Information

• Saving Data to HS2 and HS2x Format in the 64-bit HYSWEEP EDITOR

• Saving Data to XYZ Format in the 64-bit HYSWEEP EDITOR

• Sounding Reduction in XYZ Files in the 64-bit HYSWEEP EDITOR

• Saving to a Matrix in the 64-bit HYSWEEP EDITOR


Exporting Soundings Along a Line from the 64-bit HYSWEEP EDITOR

The Profile window shows the soundings from a row of matrix cells determined by the current cursor position and the Profile Orientation settings in the window.

The A-B Cross Section window provides a similar display, but along cross-section that you draw with the A-B Cross Section and Patch Test tool.

From either of these windows, you can export the soundings in your display to XYZ or XYZ, Distance from the Beginning of Line (DBL). Both export types are saved to an XYZ file and stored, by default, in the project Edit folder.

1.Define your profile.

2.Right-click in the profile display and select Save XYZ or Save XYZ, DBL according to which data set you want to export. A Save As dialog appears.

3.Name your output file and click [Save].


Exporting Select Soundings to an XYZ File

You can export a selected area of interest from your Cloud, Profile and Sweep window displays to a user-defined XYZ data file. This enables you to construct one or more files that isolate select areas from the full dataset.

1.Define the soundings for export. Use one of the selection tools.

2.Right-click and select Append Selection to XYZ. A File Save dialog appears.

3.Name the file where you want to store the selected soundings.

•To start a new XYZ file, enter a file name and click [Save].

•To add the selected soundings to an existing XYZ file, select the existing file and click [Save].

4.Click [Save].

The following figure shows the full dataset in gray and three XYZ files created using the Append Selection option.

Saving Selected Areas to XYZ


Extracting Corrections from Raw Multibeam Data

The 64-bit HYSWEEP EDITOR can extract the tide or sound velocity corrections (or both) logged during your survey from your raw data files. It stores them to your project folder in HYPACK format files—TDX files for tide corrections and VEL files for sound velocity corrections.

Note:If you need the tide corrections to correct other survey data, load the TDX file to the MANUAL TIDES program and generate a tide corrections file (*.TID).

More Information

• Extracting Tide Corrections in the 64-bit HYSWEEP EDITOR

• Extracting Sound Velocity Corrections in the 64-bit HYSWEEP EDITOR

• Tide Corrections with Manual Observations

• Creating a Sound Velocity File in the SOUND VELOCITY Program


Extracting Tide Corrections in the 64-bit HYSWEEP EDITOR

The tide file (*.TDX) records the RTK corrections at user-defined time intervals through the data set. You may export a correction file for selected lines or for all lines currently loaded to the editor. The editor stores the TDX file, by default, in your project folder.

Note:If you need the tide corrections to correct other survey data, load the TDX file to the MANUAL TIDES program and generate a tide corrections file (*.TID).

1.Load your raw data set to the 64-bit HYSWEEP EDITOR.

2.Select one or more raw data files from which to read your corrections.

3.Select FILE-HYPACK FILE EXPORT. The HYPACK File Export dialog appears.

HYPACK File Export Dialog

4.Set your export options:

•Time Between Tide Points: Choose a time interval at which the editor should read tide values.

•Use Average Tide: Select this option to export the average tide correction for the defined time span. Otherwise, the program exports the value from a single tide record at each time interval.

5.Click [Save to TDX File]. A dialog appears.

6.Click the appropriate button to read the selected files or all files loaded to the editor. A Save As dialog appears.

7.Name your output file and click [Save].

More Information

• Tide Corrections with Manual Observations


Extracting Sound Velocity Corrections in the 64-bit HYSWEEP EDITOR

The sound velocity correction file (*.VEL) copies the sound velocity profile information from the header of a selected data file and stores it to the VEL file, by default, in your project folder.

1.Load your raw data set to the 64-bit HYSWEEP EDITOR.

2.Select one raw data file from which to read your corrections.

3.Select FILE-HYPACK FILE EXPORT. The HYPACK File Export dialog appears.

4.Click [Save to VEL File]. A Save As dialog appears.

5.Name your output file and click [Save].

More Information

• Creating a Sound Velocity File in the SOUND VELOCITY Program


Exporting Geo-TIFs of your 64-bit HYSWEEP EDITOR Display

64-bit HYSWEEP EDITOR enables you to create a geo-referenced TIF file from your Survey window display to use as a background chart in your project. You may include everything that appears in the window or just the matrix sounding data.

1.Define the extents of your output chart. Use the zoom and pan tools to adjust the position and scale.

2.Select FILE-SAVE TIFF. A dialog appears.

Save TIFF Dialog

3.Name your output file. Click [File] and set the name and location of your chart.

4.Choose the chart content.

•Save Screenshot includes everything in your Survey window display.

•Save Matrix includes only the matrix sounding data.

Sample Geo-Tif Output—Screenshot (left) vs Matrix (right)

5.Click [Save]. The geo-tif is stored, by default, to the project folder.


File Information Report

The File Information report provides statistical data about the currently loaded data set.

Sample File Information Report

MBMAX64 Report

------------------------------------------------------

Load Survey:

Seconds = 10.6

Ping Count = 18,748

Sounding Count = 1,893,548

Position Count = 1,301

MRU Count = 42,010

Heading Count = 12,787

Tide Count = 1,301

Dynamic Draft Count = 10

------------------------------------------------------

Selected Files:

1 | 08:53:08 - 08:57:39 | 000_0853.HSX | Tide: 000_0853.HSX - RTK Tides

2 | 08:58:58 - 09:03:37 | 000_0858.HSX | Tide: 000_0858.HSX - RTK Tides

3 | 09:05:46 - 09:09:07 | 000_0905.HSX | Tide: 000_0905.HSX - RTK Tides

4 | 09:10:47 - 09:16:05 | 000_0910.HSX | Tide: 000_0910.HSX - RTK Tides

5 | 09:18:25 - 09:22:16 | 000_0918.HSX | Tide: 000_0918.HSX - RTK Tides

------------------------------------------------------

Limits:

Min Depth = 6.7

Max Depth = 151.9

------------------------------------------------------

Matrix:

Corner X = 543294.4

Corner Y = 557835.2

Width = 906.0

Height = 2304.0

Cell Width = 6.0

Cell Height = 6.0

Rotation = 102.852

Cell Count = 57,984

Cells Used = 37,595

------------------------------------------------------

Sonar Info:

Multibeam

------------------------------------------------------

Beam Calcs:

Threads = 4

Full Calculation = 3.572 Seconds

Update Corrected Depths = 0.000 Seconds

------------------------------------------------------

Load Selection Time = 0.000 Seconds

CUBE Gridding Time = 0.000 Seconds

Save XYZ Time = 0.000 Seconds


Multibeam Quality Control Tests

Two QC tests are available in the 32-bit HYSWEEP EDITOR and 64-bit HYSWEEP EDITOR.

•The Beam Angle Test estimates multibeam depth accuracy at various angle limits using a Reference Surface.

•The Check Line Statistics compares multibeam to single beam data.

More Information

• Creating your Reference Surface

• Beam Angle Test

• Check Line Statistics


Creating your Reference Surface

To create the Reference Surface, run a small test survey over a relatively flat bottom—the center of a dredged channel provides good results. (A flat bottom is chosen to minimize the contamination of the depth accuracy test by position error. Position specs are much looser than depth specs.) Run the survey at low or high tide to decrease potential for errors due to changing tide or water conditions.

1.Use the LINE EDITOR to create your survey lines. (No template information is needed for this process.) Eight survey lines are run—one set of four parallel lines separated by water depth and another set of four run perpendicular to the first set, providing 400% coverage.

Perpendicular Reference Survey Lines

2.Use the MATRIX EDITOR to create a Matrix File to border the reference area (reference.mtx). Align the matrix edges with the survey lines and specify the cell dimensions to by 1'x1'.

3.Take a sound velocity cast within the reference area.

4.Take an initial tide measurement.

5.Run the reference survey and your check lines (multibeam, single beam or both) in rapid succession.

6.Take your final tide measurement.

7.Create a Tide Corrections File using the MANUAL TIDES program and your tide measurements.

8.Create a Sound Velocity Corrections File using the SOUND VELOCITY program.

9.Use the 32-bit HYSWEEP EDITOR to apply your Tide and Sound Velocity corrections and to remove spikes and outliers. Limit your beam angle to 45 degrees.

10.Save the gridded average to XYZ format (reference.xyz).

a.Select FILE-OPTIONS.

b.In the Save Tab, select XYZ points only and Save One Point Per Cell.

c.In the XYZ Reduction Tab, select Average and Use actual Position Where Possible.

d.Select FILE SAVE. The processed reference survey becomes the reference surface.


Beam Angle Test

The Beam Angle Test compares multibeam check lines to a reference surface and estimates the depth accuracy of the multibeam system at different angle limits. The estimated accuracy can be used to determine if the multibeam system meets survey specifications.

1.Run the reference survey.

2.Run one or two multibeam check lines through the center of the reference area immediately after running the reference survey.

Check Lines

3.Process the check lines in the 32-bit HYSWEEP EDITOR to apply corrections and clean the data. No angle limits are applied—all beams are retained for statistical testing. Use your reference matrix file (reference.mtx) in the last stage of editing (stage 3 in the 32-bit 32-bit HYSWEEP EDITOR and stage 2 in the 64-bit HYSWEEP EDITOR).

4.If you are working in the 64-bit HYSWEEP EDITOR, select all of your files in the files list.

5.Run the Beam Angle Test.

a.Select TOOLS-BEAM ANGLE TEST.

b.Choose the beams to be used in the test.

•If you want to use all beams less than the angle limit, change the selection at the top of the Comparison tab. A file selection dialog opens.

•If you want to use only beams within 2.5 degrees of the angle limit, click [Open Reference Surface/Start Test]. A file selection dialog opens.

c.Select the Reference Surface to which you will compare the check lines and click [OK]. The calculations will be made and the results will be graphed to the screen.

The Beam Angle Test presents two graphs.

Comparison Tab: The Comparison graph shows the correlation between depth accuracy and beam angle. This comparison may be based on all soundings from beams less than the angle limit or soundings from beams within 2.5 degrees of the angle limit. Typically, we see a decrease in accuracy when the beam angle exceeds 75 degrees.

Beam Angle Comparison Graph

Details Tab: The Beam Angle Test also calculates the differences in depth readings between the reference surface and the check lines. It then graphs the number of differences, in increments of 0.1 survey units, in the Details Tab. Perfect accuracy would be reflected in a single vertical line centered over the zero. Since surveying technology is not perfect, you should see the data presented in a bell curve. The Depth Accuracy is the average difference calculated using data from the beams within a user-specified angle limit.

You can choose the angle limit to be used in these calculations. The graph and depth accuracy updates according to the selected depth angle.

Note:The program omits any beam angles where the data falls outside of the reference matrix.

Beam Angle Details

You can view the information in more detail by clicking [Angtest.txt]. The program shows the same information in a more detailed form.

A Sample Angtest


Check Line Statistics

The CHECK LINE STATISTICS provides a statistical comparison of multibeam to single beam data. You need

1.Run the reference survey.

2.Run one or two single beam check lines through the center of the reference area immediately after running the reference survey.

Check Lines

3.Use the multibeam data to prepare your reference surface.

4.Edit the single beam check lines in the SINGLE BEAM EDITOR. The Check Line Test can read either edited All or XYZ formatted check lines.

5.Load the single beam check lines to the 32-bit HYSWEEP EDITOR or 64-bit HYSWEEP EDITOR. No cleaning is required as this file has already been cleaned.

6.If you are working in the 64-bit HYSWEEP EDITOR, select all of your files in the files list.

7.Run the Check Line Statistics.

a.Select TOOLS-CHECK LINE STATISTICS.

b.Click [Open Reference Surface/Start Test].

c.Choose your reference surface to which you will compare the check lines from the file selection dialog.

d.Click [OK]. The calculations are made and the results displayed.

The CHECK LINE STATISTICS calculates the differences in depth readings between the reference surface and the check lines. It then graphs the number of differences, in increments of 0.1 survey units. Perfect accuracy would be reflected in a single vertical line centered over the zero. Since surveying technology is not perfect, you should see the data presented in a bell curve.

CHECK LINE STATISTICS

More Information

• Creating your Reference Surface


CUBE Statistics and Modeling

CUBE: The Combined Uncertainty and Bathymetry Estimator applies Bayesian statistics and modeling to multibeam data and provides uncertainty and depth estimations over a gridded surface.

The CUBE software library is licensed by HYPACK from CCOM/JHC at the University of New Hampshire. Dr. Brian Calder is the scientist behind CUBE. For more information check the publication at http://ccom.unh.edu/sites/default/files/publications/Calder_07_CUBE_User_Manual.pdf.

In HYPACK, CUBE models are implemented in a 32-bit, stand-alone program, HYSWEEP CUBE, and in the 64-bit HYSWEEP EDITOR. In either program, editing data with CUBE calculations is a three-part process:

•Uncertainty: CUBE requires good estimation of sounding uncertainty based on the known capabilities of the sensors, and the environment. HYSWEEP CUBE includes a series of settings in the Read Parameters dialog that provide the information for the uncertainty calculations, while the 64-bit HYSWEEP EDITOR reads the TPU1 (Total Propagated Uncertainty) information configured in the TPU EDITOR and stored in the project TPE.INI file.

•Loading data to the CUBE model: This occurs when you load your data to HYSWEEP CUBE or when you launch the CUBE feature in the 64-bit HYSWEEP EDITOR. Each sounding added to CUBE is tested against the soundings already included, the existing depth estimate. The result of that test, the Bayes factor, indicates whether the sounding agrees or disagrees with what is already known. If it agrees, CUBE updates the estimate to include the sounding. If it does not agree, CUBE creates a new, alternate estimate.

•Reviewing and editing data using the CUBE depth estimates (hypotheses): You can elect to accept the initial CUBE depth estimate or you can use the calculations as a guide in further editing.

At any time, you can save the current CUBE surface to an XYZ data file where the Z-value represents any of the CUBE values: depth, uncertainty, count or ratio for each cell in the matrix. The output file is stored, by default, in the project Sort folder.

More Information

• Setting your TPU Parameters

• HYSWEEP CUBE

• CUBE Processing in the 64-bit HYSWEEP EDITOR

1. TPU (Total Propagated Uncertainty) is a calculation of sounding uncertainty based on sonar, environmental and sensor (e.g., GPS) information. There are vertical and horizontal components of TPU: TVU and THU, respectively.
The TPU calculations in HYPACK are from the spreadsheet developed by Rob Hare of the Canadian Hydrographic Service.


HYSWEEP CUBE

HYSWEEP CUBE is the HYPACK interface where you can use the CUBE algorithms to guide your data editing. We load files edited in the 32-bit HYSWEEP EDITOR (*.HS2 files or catalogs) instead of raw *.HSX files to insure that you have reviewed track lines, heave and sound velocity compensation and corrected for water level. None of that is done in HYSWEEP CUBE.

Tip: In the 32-bit HYSWEEP EDITOR you can quit after edit phase one, as CUBE data cleaning is quite good. However we suggest that you use the 32-bit HYSWEEP EDITOR to remove, at least, the outliers and the outer beams of your swath where the data tends to degrade significantly.

The output of CUBE is a set of four grid surfaces; depth, depth uncertainty, estimate strength and number of depth estimates (hypotheses).

More Information

• Running HYSWEEP CUBE

• HYSWEEP CUBE Read Parameters

• HYSWEEP CUBE Windows

• View Options in HYSWEEP CUBE

• Editing your Data with in HYSWEEP CUBE

• Saving Data from HYSWEEP CUBE

• Exporting HYSWEEP CUBE Images

• CUBE Processing in the 64-bit HYSWEEP EDITOR


Running HYSWEEP CUBE

There are three parts to our HYSWEEP CUBE implementation.

•The uncertainty takes into account and quantifies errors associated with multibeam survey. Some model parameters are built into the program; others may be entered as appropriate for the equipment used.

•Loading soundings into the CUBE model, which happens automatically at the time survey files are loaded.

•Extraction of the CUBE surfaces for graphical display, scanning, review and edit.

1.Using the 32-bit HYSWEEP EDITOR, pre-edit your data and save the edited data. In stage 1, review track lines, heave and sound velocity compensation and corrected for water level. In stage 2, remove obvious outliers and outer beams where data quality significantly degrades.

2.Launch HYSWEEP CUBE by selecting HYSWEEP-HYSWEEP CUBE.

HYSWEEP CUBE Shell

3.Configure CUBE Parameters. The first time you load your data, the Read Parameters dialog is automatically displayed. After that, to modify your settings, you may access the dialog by selecting FILE-READ PARAMETERS in the HYSWEEP CUBE shell.

4.Load your pre-edited data files. Select FILE-OPEN and choose your data. HYSWEEP CUBE reads HS2 data. You can load a single file or a catalog of HS2 files.

5.View and clean your data based on the CUBE Parameters.

6.Save your data. HYSWEEP CUBE saves XYZ data where the Z value can represent the HYSWEEP CUBE estimated depth, the nearest true sounding depth or one of the quality statistics for each cell.

More Information

• Running the 64-bit HYSWEEP EDITOR


HYSWEEP CUBE Read Parameters

The Read Parameters dialog automatically displays each time you load data to HYSWEEP CUBE. You may also access the dialog by selecting FILE-SHOW READ PARAMETERS in the HYSWEEP CUBE shell.

Note:If you modify your read parameters after you have loaded your data files, the data must be reloaded to be affected by the new read parameters.

HYSWEEP CUBE Read Parameters

Node Spacing: CUBE works on a grid; this is where you enter the spacing between grid nodes.

Capture Distance Scale: A sounding may influence more than one CUBE node. The influence radius of each sounding is depth times Capture Distance Scale. The default value of 5% should work in almost all cases.

Estimate Selection: When HYSWEEP CUBE detects multiple depth estimates, it automatically selects one using an Estimate Selection Method. The options are:

•Most Points: Selects the estimate containing the most number of soundings.

•Neighbors: Searches neighboring nodes for the closest with a single depth estimate and selects the estimate based on that.

•Combined: A combination of the Most Points and Neighbors methods.

Read Filters:

•Minimum and Maximum Depths describe the depth range that will be included in your data set. Soundings outside this range in any of the estimates are omitted.

•Maximum Angle sets the data swath width that will be included.

To configure the HYSWEEP CUBE operational parameters, click [Configuration].

• Selecting your Sonar

• Factors Affecting Uncertainty Calcu-lations

• Choosing the Error Model

Selecting your Sonar

In the Sonar Tab, select your sounder. If your device does not appear in the list, select “Not Listed”.

Configuration Dialogs—Sonar Device Tab

Factors Affecting Uncertainty Calculations

The Vessel tab includes parameters used in calculating the uncertainty associated with each sounding. If you are uncertain about any of it, rest assured that, once you enter your GPS to Sonar offsets, the remaining default values are usable. However, if you’ve completely researched your equipment and installation, you may wish to over-ride the default values.

Note:We don’t use offsets included in the HS2 file as they don’t take pre-calculated lever arms into account. (For example, POS / MV and Coda Octopus F180 relocate position to the IMU. For these devices, the offsets must still be entered here to provide information for HYSWEEP CUBE to calculate such things as the lever arm effect. It will not double correct for position.)

Vessel Tab

Choosing the Error Model

IHO survey order is used to reject soundings exceeding error limits defined for the survey type. Use the ‘Full MBES Error Model’ if your sonar is among those listed. The IHO model is not as complete and estimates depth errors primarily as a function of depth.

Error Model Tab


HYSWEEP CUBE Windows

Three windows are shown simultaneously with the shell in HYSWEEP CUBE during the editing phase. All three are synchronized to always display information about the same node.

•The Grid window provides an overview of the data set and includes a cursor at the current node position.

•The Node window shows a small map view of the data set with a cursor marking the current node, a profile view of the current node and some statistics about the node. The Node window also provides your editing tools.

•The Estimate window displays a rectangular area of nodes in your data and enables you to select an estimate for each node. The display shows a select area of nodes so you can closely examine each node and its estimates in the context of the surrounding nodes in order to quickly make your best decision.

The arrow icons in any window manually shift all three displays by one node in the direction of the arrow.

More Information

• Grid Window in HYSWEEP CUBE

• Node Window in HYSWEEP CUBE

• Estimate Window in HYSWEEP CUBE


Grid Window in HYSWEEP CUBE

The Grid window provides visualization of HYSWEEP CUBE surfaces to assist the editing process.

•CUBE Depth Surface

•Uncertainty

•Ratio

•Estimate Count

HYSWEEP CUBE Grid Window

A cursor overlays the surface at the location of the node currently displayed in the Node window. The cursor moves across the surface as you navigate and scan.

Select the surface of interest using the drop-down list then use your mouse and the tools provided to adjust the model for optimal viewing:

Auto Zoom aligns the current node to the center of the Grid window. Zoom and rotate occur about this point. If this option is cleared, zoom and rotate occur about the center point of your data set.

View Adjustment Tools

Tool | Tool Name | Function
 | Default Projection | If Auto Zoom is checked, the display zooms as large as possible with the current node centered in the window. Otherwise, the data is centered in the window and rotated 45 degrees on the X-axis.
 | Center | Centers the display around the currently selected cell.
Mouse | Click and drag | Rotates the model around its center. •To rotate around the Z-axis, move left/right. •To rotate around the X-axis, move up/down.
 | Right-click and drag | Horizontal position shift in the window.
 | Mouse wheel | Zoom in/out
 | Depth Colors | Access the HYPACK Colors dialog and adjust your project colors to your data set.


Node Window in HYSWEEP CUBE

HYSWEEP CUBE Node Window

The Node Window displays all information for a CUBE node:

•The status bar at the top shows node easting and northing and the four CUBE surface values.

•The profile view shows the CUBE depth estimate and uncertainty bounds along with all soundings falling within the node. These soundings are color-coded by survey line.

•The map view shows the entire depth surface with a cursor to show current location.


Estimate Window in HYSWEEP CUBE

The Estimate window displays a rectangular area of nodes in your data where you can select an estimate for each node. The display shows a select area of nodes so you can closely examine each node and its depth estimates in the context of the surrounding nodes in order to quickly make your best decision.

The window displays the depth estimates as disks along the vertical axis on the node. Each disc at any location represents an estimate for that location. The size of the disc indicates the number of points in the uncertainty of the estimate. The color indicates the uncertainty or, if it’s gray, the selected estimate.

Sample Estimate View Window

View Size: Choose the size of the display measured in the number of nodes in each horizontal direction. The same area will be represented by a square drawn in the Grid Window. You can use the arrow buttons to shift the display horizontally, and the Zoom Extents button to view the entire data set.

Depth Scale adjusts the vertical scale to optimize your view of the individual depth estimates.

Display Color Bar shows a legend indicating colors and their corresponding level of uncertainty.

Display Grid overlays a 3-dimensional grid to lend perspective and spatial orientation to the display.


View Options in HYSWEEP CUBE

The view options in HYSWEEP CUBE determine what data appears in the display windows and how the windows should be configured to optimize the display.

•The lighting controls can be used to position a light source—a virtual sun— above the data displays.

•The settings in the View Options dialog determine how the data should be displayed. Range settings are adapted to expected bottom depths and display styles are selected to your personal preference and need.

•To automatically arrange all windows, select VIEW-TILE WINDOWS (Ctrl + F9). The program attempts to size and position all open windows for optimum viewing.

More Information

• Positioning a Light Source Over your Data Model

• Other View Options in HYSWEEP CUBE


Positioning a Light Source Over your Data Model

The light is positioned, by default, directly over the data. However, you can reposition the light to simulate shadows which accentuate the contours in your data. This can be helpful in detecting small depth variations and anomalies.

Two factors position the light:

•Rotation moves the light source horizontally around the data.

•Inclination adjusts the height of the light source from directly above to the level of the horizon.

To position the virtual light source:

1.Open the Light Control dialog by selecting VIEW-LIGHT CONTROL.

Light Control Dialog

2.Set the direction and angle of inclination.

•Type the Inclination and Rotation in the corresponding text boxes.

Inclination and Rotation Angles

 | Degrees | Light Position
Inclination | 0 90 | On horizon Directly above
Rotation | 0 90 180 270 | East North West South

•With your cursor, click on the graphic at the location at which you want the light. The Rotation and Inclination values will automatically update accordingly.

The lighting effect will automatically update in your data model.


Other View Options in HYSWEEP CUBE

In addition to the controls for the grid window display, the view options dialog provides additional display settings.

To access the View Options dialog select VIEW-OPTIONS (F9).

View Options Dialog

Auto Zoom aligns the current node to the center of the Grid window. Zoom and rotate occur about this point. If this option is cleared, zoom and rotate occur about the center point of your data set.

Color Bar displays a legend on the right side of the Grid Window.

Black Background toggles between black and white backgrounds in both windows.


Editing your Data with in HYSWEEP CUBE

Now that you have your data loaded into the program, eliminated the largest errors through your Read Parameter filters, and set your display options in HYSWEEP CUBE, you are ready to put CUBE to work. You can edit by user-selected depth estimates or accept the depth estimates with the least uncertainty.

More Information

• Editing by User-Selected Depth Estimates in HYSWEEP CUBE

• Editing Based on Least Uncertainty in HYSWEEP CUBE


Editing by User-Selected Depth Estimates in HYSWEEP CUBE

To edit by user-selected depth estimates, you scan your data for points outside user-defined limits. In each case, choose what you think is the most likely estimate.

1.In the Node window, set your limits for CUBE surface scanning.

•Minimum and Maximum Depth may not be useful if the read filters have been used to remove soundings outside known limits.

•Uncertainty may be useful, but there is a catch. The CUBE algorithm assigns high uncertainty to nodes at the edge of the survey. This is reasonable except it makes scanning on uncertainty limits tedious; almost all hits are at the edges.

•Ratio: A high ratio indicates a suspect depth estimate and scanning for ratios greater than 2 will often locate suspicious depths.

•Estimate Count: Multiple estimates are also cause for suspicion. Scanning for estimate count greater than 1 will locate nodes where CUBE was unable to estimate depth without some level of ambiguity. You are allowed to select between CUBE depth estimates using the drop-down list provided in the Node window.

2.Scan your data for a node that falls outside of your HYSWEEP CUBE parameters. You can navigate through the survey:

•Manually through the cells one-by-one using the arrow buttons.

• [image] Automatically using the Binocular Icons.

•Start Scan (left) begins your scan at the beginning of your data set and finds the first point that falls outside any of your scan limits.

•Scan Forward (right) and Scan Back (center) search for the next and last point outside of your scan limits respectively.

3.Choose the final output for each point found by the scan. When a node is found outside scan limits, it is up to you to decide to:

• [image] Delete the node completely (unlikely) by clicking the ‘Remove Node from CUBE Surface’ button.

•Choose an alternate depth estimate. Click [Select Alternate Estimate] in the Node window and a list of depth estimates will be displayed, each with their level of uncertainty. Select a different solution and click [OK]. The Grid window display will update according to your selection.

Choosing an Alternate Estimate

• Accept the initial CUBE estimate: do nothing; just continue scanning.

4.Continue to scan through your data, choosing the depth for each found point, until you reach the end.

5.Save your data. Your data will be saved to an XYZ file which will be placed, by default, in your Sort directory.


Editing Based on Least Uncertainty in HYSWEEP CUBE

HYSWEEP CUBEscans the data, calculating all depth estimates and uncertainties, and accepting the depths with the least uncertainty. It’s a purely mathematical and automatic process.

1.Load your data to HYSWEEP CUBE.

2.Select EDIT-MINIMIZE UNCERTAINTIES. The program will process your data automatically and display a “Scan Complete” message when it is finished.

3.Save your data.


Saving Data from HYSWEEP CUBE

You can choose to save values from any of the CUBE surfaces or the true sounding nearest to the depth estimated by HYSWEEP CUBE.

1.Select FILE-SAVE TO XYZ. The Save XYZ dialog appears.

Save XYZ Dialog

2.Select the value for export. Remember, the CUBE Depth Estimate is the HYSWEEP CUBE best estimate of the depth at each location; it is not a true sounding.

To save true sounding values, select the Sounding Nearest CUBE Estimate option.

The remaining options save statistical information generated in HYSWEEP CUBE and saved as survey quality control information.

3.Click [Save].

The Save dialog remains open until you click [Close] to allow you to save more than one set of surface values.


Exporting HYSWEEP CUBE Images

The toolbar of the Grid window includes icons that enable you to export your model in a graphics file format. You can export:

•A Georeferenced *.TIF file which can then be used as a background file in HYPACK, SURVEY, DREDGEPACK or HYPLOT.

•Screen captures as BMP or TIF graphics files.

•Printed screen captures

More Information

• Exporting Georeferenced TIF Files from HYSWEEP CUBE

• Exporting HYSWEEP CUBE Images

• Printing a Screen Capture of your HYSWEEP CUBE Grid Display


Exporting Georeferenced TIF Files from HYSWEEP CUBE

To generate a geo-TIF from a 3D model, all rotation angles must be set to zero. If the Geo-TIF icon is disabled, click the Zoom Extents icon to reset all rotation angles to zero.

1. Click the Geo-TIF Icon on the toolbar. The Geo-TIF Settings dialog will appear.

Geo-TIF Settings Dialog

2.Name your file and set your resolution.

•[File…] presents a File Save dialog for you to name your file (including the path where it will be stored). The default path will be to your project folder

•Resolution adjusts the level of detail in the resulting file. A smaller resolution creates a larger, more detailed file. Your task is to choose a resolution low enough to provide the detail you require without creating an overly large file. The size of the resulting TIF will automatically update according to the given resolution.

3.Click [OK]. HYSWEEP CUBE will create a georeferenced TIF file from the contents of the Grid window.You can then load it to HYPACK as a background file.


Exporting your HYSWEEP CUBE Display as a BMP or TIF Image

To save a screen capture of a model, regardless of its rotation, to a BMP or TIF format file click the Snap Shot icon in the model’s toolbar. A dialog appears for you to name your image. These are for visual reference only. They can not be used as background files in HYPACK.


Printing a Screen Capture of your HYSWEEP CUBE Grid Display

To print a screen capture, just click the Print Screen icon. A screen capture is sent directly to your default printer.


CUBE Processing in the 64-bit HYSWEEP EDITOR

There are three parts to our CUBE implementation:

1.Uncertainty: CUBE requires good estimation of sounding uncertainty based on the known capabilities of the sensors, and the environment. The 64-bit HYSWEEP EDITOR reads the TPU1 (Total Propagated Uncertainty) information configured in the TPU EDITOR and stored in the project TPE.INI file. Additional settings in the Read Parameters dialog are required when you load your data to the 64-bit HYSWEEP EDITOR.

2.Loading data to the CUBE model: This occurs when you launch the CUBE feature in stage 2 of the 64-bit HYSWEEP EDITOR. Each sounding added to CUBE is tested against the soundings already included, the existing depth estimate. The result of that test, the Bayes factor, indicates whether the sounding agrees or disagrees with what is already known. If it agrees, CUBE updates the estimate to include the sounding. If it does not agree, CUBE creates a new, alternate estimate.

3.Reviewing and editing data using the CUBE depth estimates: You can elect to accept the initial CUBE depth estimate or you can use the calculations as a guide in further editing.

At any time, you can save the current CUBE surface to an XYZ data file where the Z-value represents any of the CUBE values: depth, uncertainty, count or ratio for each cell in the matrix. The output file is stored, by default, in the project Sort folder.

More Information

• Setting your TPU Parameters

• Uncertainty Calculations in the 64-bit HYSWEEP EDITOR

• Calculating CUBE Surfaces in the 64-bit HYSWEEP EDITOR

• CUBE Displays in the 64-bit HYSWEEP EDITOR

• Editing Data using CUBE in the 64-bit HYSWEEP EDITOR

• Saving the CUBE Surface

• HYSWEEP CUBE

1. TPU (Total Propagated Uncertainty) is a calculation of sounding uncertainty based on sonar, environmental and sensor (e.g., GPS) information. There are vertical and horizontal components of TPU: TVU and THU, respectively.
The TPU calculations in HYPACK are from the spreadsheet developed by Rob Hare of the Canadian Hydrographic Service.


Uncertainty Calculations in the 64-bit HYSWEEP EDITOR

CUBE requires good estimation of sounding uncertainty based on the known capabilities of the sensors, and the environment. The 64-bit HYSWEEP EDITOR calculates the Total Propagated Uncertainty (TPU) based on information entered in the TPU EDITOR and stored in the project TPE.INI file.

Ideally, you enter your Total Propagated Uncertainty (TPU) information in the TPU EDITOR before you open the 64-bit HYSWEEP EDITOR; however, you can access the TPU EDITOR from the Survey tab of the Read Parameters dialog if you have not done so:

Read Parameters Dialog — Survey Tab

1.Check the Calculate TPU option.

2.Select your accuracy standard for your project. Your options include IHO Special Order, Order 1A and Order 1B; and USACE Hard and Soft.

3.Modify or verify your settings for calculating TPU. (Optional)

a.Click [TPU Editor]. The TPU EDITOR appears.

b.Verify or modify your information and close the dialog.

c.If you modified your information, click [Reload TPU] to update them in the 64-bit HYSWEEP EDITOR.

More Information

• Setting your TPU Parameters


Calculating CUBE Surfaces in the 64-bit HYSWEEP EDITOR

When you load your raw (*.HSX) or edited (*.HS2X) multibeam data to the 64-bit HYSWEEP EDITOR, select your uncertainty options in the Read Parameters dialog. Before you do any CUBE calculations, you must first clean your data. In stage 1 editing, clean or adjust the positioning and corrections data (tide, heave and sound speed measurements) as usual. In stage 2 editing, remove soundings that are obviously incorrect.

When you have completed this preliminary cleaning, you are ready to run the CUBE calculations. This process generates a model representing the best estimate of the surface represented by the data based on the CUBE calculations. In addition, where there are depths other than the one chosen as most likely by CUBE, it presents alternate depth estimates, each with its calculated uncertainty.

1. Click the Calculate CUBE icon. The Calculate CUBE dialog appears.

Calculate CUBE Dialog

2.Set your CUBE options.

•Use CUBE (Required)

•Exclude Soundings Outside TPU Limits (Optional) makes sure every sounding included in the CUBE surface meets survey specification. Auto-calculate After File Load: (Under development)

•Expert Settings: Unless you are truly a CUBE expert, use the default settings. The expert settings are beyond the scope of this manual.

Please refer to the CUBE User’s Manual.

3.Click [Calculate CUBE]. The program runs the calculations.

4.Use the Selections option to choose the CUBE value you want to display. The 64-bit HYSWEEP EDITOR displays the results in the Survey, Profile, AB Profile, and Cell windows.

More Information

• Running the 64-bit HYSWEEP EDITOR

• CUBE Displays in the 64-bit HYSWEEP EDITOR

• Saving the CUBE Surface


CUBE Displays in the 64-bit HYSWEEP EDITOR

When your CUBE calculations are complete, it generates a model representing the best estimate of the surface represented by the data based on the CUBE calculations. In addition, where there are depths other than the one chosen as most likely by CUBE, it presents alternate depth estimates, each with its calculated uncertainty. The results appear in the Survey, Profile, AB Profile and Cell windows.

Survey Window

In the Survey window, use the Selection option to choose which CUBE calculation is most helpful to you.

•CUBE Depth: The best estimate of the depth at each location according to CUBE calculations; it is not a true sounding. It may not be useful if read filters have been used to remove soundings outside the known limits.

•CUBE Uncertainty: The final uncertainty associated with each depth. The CUBE algorithm assigns high uncertainty to nodes with a low sounding density. Most of these nodes are at the edge of the survey. This is reasonable except it makes scanning on uncertainty limits tedious.

•CUBE H Ratio: A measure of how sure the chosen estimate is an accurate depth. Expressed in values 0-5. A high ratio indicates a suspect depth estimate and scanning for ratios greater than 2 will often locate suspicious depths.

•CUBE H (Depth Estimate) Count: The number of CUBE depth estimates in each cell. Multiple depth estimates are cause for suspicion. Scanning for a depth estimate count greater than 1 will locate nodes where CUBE was unable to estimate depth without some level of ambiguity. You can select between CUBE depth estimates using your cursor in the Profile or Cell windows.

•CUBE Sounding: The sounding nearest the CUBE estimate.

Survey Window CUBE Values—Top: Depth (left), Uncertainty (right); Bottom: H Ratio (left), H Count (right)

Profile and AB Cross Section Windows

The Profile and AB Cross Section windows show the depth estimates along the defined profile.

For the cleanest display of your CUBE depth estimates, clear the Beams option and select the Matrix Points option in the Show area of the Profile window.

Profile Window

Cell Window

The Cell window shows the soundings in the CUBE node (matrix cell center) currently selected in the Survey window display. If there are multiple depth estimates, the program marks each one at the corresponding depth in the graphical display, labeling them with the calculated uncertainty. “CUBE” marks the estimate currently selected by CUBE; “Alt” (alternate) marks all other depth estimates.

Cell Window


Editing Data using CUBE in the 64-bit HYSWEEP EDITOR

Once the CUBE calculations have estimated the depth surface, you can use the calculations and displays to guide your work.

There are three ways to change CUBE depths.

•Select an alternate depth estimate.

•Edit soundings and recalculate CUBE. If you changes the sounding data, it changes the data used in the CUBE calculations so you must rerun the CUBE calculations to maintain their accuracy.

•Mark Golden Soundings. Golden Soundings override CUBE estimates and assigns, the golden sounding depth as the cell depth.

More Information

• Selecting an Alternate CUBE Depth Estimate in the 64-bit HYSWEEP EDITOR

• Editing Soundings and Recalculating CUBE in the 64-bit HYSWEEP EDITOR

• Marking Golden Soundings in Your CUBE Surface


Selecting an Alternate CUBE Depth Estimate in the 64-bit HYSWEEP EDITOR

To select an alternate depth estimate in the Cell, Profile and A-B Cross Section windows, use your cursor to click on the depth estimate you choose.

Note:If you use the AB Cross Section window, the cursor position in the Cell window is not synchronized.

Choosing Depth Estimates in the Profile and Cell Windows

Tip: It may be useful to include the neighboring cells in your Cell window display to provide additional context when you choose between depth estimates. Compare the Cell windows in Choosing Depth Estimates in the Profile and Cell Windows and Cell Window with Neighboring Cells. The added information from the neighboring cells could significantly influence your depth estimate choice.

Cell Window with Neighboring Cells


Editing Soundings and Recalculating CUBE in the 64-bit HYSWEEP EDITOR

Though you clean your data before you do your CUBE calculations, you may still find areas where you want to use your point and block editing tools to do further data editing of your soundings.

Important: If you edit your sounding data after you have done the CUBE calculations, you must recalculate your CUBE surface to account for the changes and maintain an accurate CUBE surface estimation.

To recalculate the CUBE surface, click the CUBE icon then [Calculate CUBE].

The following figures show the data at one CUBE node before and after data was removed, and a comparison of the cell statistics. The CUBE Depths are nearly the same because the initial estimation was very close. However, several other statistics are quite different.

Editing Data Before—Cell Window (left) and Profile Window (right)

Editing Data After—Cell Window (left) and Profile Window (right)

Cell Statistics Before the Edit (left) and After (right)

More Information

• Manual Processing in the 64-bit HYSWEEP EDITOR


Marking Golden Soundings in Your CUBE Surface

Mark known depths with golden soundings. Golden soundings override CUBE depth estimates and the golden sounding depth is assigned as the CUBE depth.

All of the calculated CUBE values are automatically positioned at the matrix cell center XY so, usually, the soundings in your exported CUBE depths are neatly gridded. The exception occurs when you mark golden soundings. In this case, you can position the soundings exported for the cells with golden soundings at their true positions using the Use Actual XY option in the File Save dialog.

File Save Dialog

In the following figure, the soundings exported at cell center are black and the same soundings exported at the actual XY are in red. Most of the soundings are perfectly overlaid at the cell center; however, the sounding of 25.10 in the corner shows the shift in position between the cell center and the actual XY.

Golden Sounding—Actual XY Position (red) vs Cell Center (black)


Saving the CUBE Surface

Whether you use CUBE to guide further manual editing or just accept the surface initially estimated by the CUBE calculations, you will eventually save your results.

At any time, you can save the current CUBE surface to an XYZ data file where the Z-value represents any of the CUBE values: depth, uncertainty, count or ratio for each cell in the matrix. The output file is stored, by default, in the project Sort folder.

When you save to XYZ format, you may choose to save all of your edited data, only the files selected in the File List or only what is visible in the Survey window.

1.Define the extent of data to be saved. (Optional)

Data to Save | Do this
Only data from certain survey lines | Select those lines in the File List.
Only data from a select area in your survey | Adjust the zoom of the Survey window to show that area.
All soundings | No action required.

2.Select FILE-SAVE SURVEY. The Save Survey dialog appears.

Save Survey Dialog

3.Select your options in the Save Survey dialog as follows:

•File Format: XYZ

•XYZ Options:

•One Sounding per Cell because the CUBE surface is based on the matrix.

•Use Actual XY vs Use Cell Center XY: All of the calculated CUBE values are automatically assigned the cell center XY position so, usually, either of these options yield the same result. The exception occurs when you mark golden soundings which override CUBE values. In this case, the sounding exported for the cells with golden soundings can be positioned at its true XY position using the Use Actual XY option.

•Save Zoom Area Only saves only soundings that are currently visible in your Survey window. This means you can zoom in to a select area of your survey and export only that portion of data.

•MTX Selection: Represented by the Z-value in your output file.

•CUBE Depth: The best estimate of the depth at each location according to CUBE calculations; it is not a true sounding.

•CUBE Uncertainty: The final uncertainty associated with each depth.

•CUBE Depth Estimate (H) Count: The number of depth estimates at each node (or matrix cell).

•CUBE H Ratio (strength): A measure of how sure the chosen depth estimate is an accurate depth.

•CUBE Sounding: The sounding nearest the CUBE estimate.

Note:If you selected the option to exclude soundings outside of the TPU Limits when you calculated your CUBE surface, the soundings are excluded from the XYZ output only when you select one of the CUBE selections. The same soundings are included if you choose any other matrix selection option.

•XYZ Selection: Choose XYZ or Lat, Lon, Z.

4.Click [Save All Files] and name your output file. It is saved with the XYZ extension, by default, to your project Sort folder.


GEOCODER With Multibeam Snippets

The purpose of GEOCODER is to produce multibeam backscatter mosaics and ARA (Angular Response Analysis) seafloor characterization. It may also be used to generate mosaics of side scan data.

GEOCODER is a program developed by Dr. Luciano Fonseca of the Center for Coastal and Ocean Mapping (CCOM) at the University of New Hampshire. It has been licensed by HYPACK for inclusion in HYPACK software.

HYPACK includes two versions of GEOCODER: 32-bit and 64-bit. Select SIDE SCAN-GEOCODER. HYPACK automatically runs the version according to your Windows® operating system.

The following figure summarizes how each type of HYPACK data is processed to format it correctly for GEOCODER:

Multibeam Flow Chart

Multibeam data with backscatter or snippet information can be used in GEOCODER for the following purposes:

•To create average backscatter mosaics from HS2 or HS2X files generated by HYPACK. First, process your HSX data in the 32-bit HYSWEEP EDITOR or 64-bit HYSWEEP EDITOR where you can apply corrections. In Stage 2, you can save your edited data to HS2 format from the 32-bit HYSWEEP EDITOR, or HS2X format from the 64-bit HYSWEEP EDITOR.

•To create snippet mosaics from HS2 or HS2X files generated by HYPACK and others. GEOCODER is the only means available through HYPACK for snippet processing. You must first, process your HSX data in the 32-bit HYSWEEP EDITOR or 64-bit HYSWEEP EDITOR where you can apply corrections and merge the binary snippet data. In Stage 2, you can save your edited data to HS2 format from the 32-bit HYSWEEP EDITOR, or HS2X format from the 64-bit HYSWEEP EDITOR.

•To characterize the seafloor in terms of mean grain size using Angular Response Analysis (ARA).

More Information

• Running GEOCODER with Multibeam Data

• Calibration Settings in GEOCODER

• Recalculating the Histogram in GEOCODER

• GEOCODER Mosaic Options

• Saving and Loading Projects in GEOCODER

• Adjusting your Data for Multibeam Beam Patterns

• Adjusting for Angular Response Analysis in Multibeam Data

• Calculating Statistical Information in GEOCODER

• Saving GEOCODER Results

• Side Scan Processing Flowchart


Running GEOCODER with Multibeam Data

1.Run your multibeam data through the HYSWEEP EDITOR.

a.Load the backscatter data (HSX) or snippet data (HSX + binary snippet data). Select one or more HSX files. If there are corresponding binary files, the program will load them automatically.

b.Save it out to HS2 or HS2X format from Phase 2 of the HYSWEEP EDITOR.

2.Launch the GEOCODER by selecting SIDE SCAN-GEOCODER.

GEOCODER Interface with Multibeam Snippet Data

3.If this is the first time loading the data set to GEOCODER, select FILE-NEW SESSION.

4.Load your data.

a.Select the data source from Source menu.

Data type | Source Selection
Data with Backscatter Only (HS2, HS2XA) | Average Backscatter
Data with Intensity Only (HS2, HS2X HS2X files are processed only in the 64-bit program. A 64-bit computer is required. ) | Average Backscatter
Data with Snippets (HS2, HS2X HS2X files are processed only in the 64-bit program. A 64-bit computer is required. ) | Snippets
Multibeam with Backscatter, Intensity and Snippet Data (HS2, HS2X HS2X files are processed only in the 64-bit program. A 64-bit computer is required. ) •To process the backscatter: •To process the intensity: •To process the snippets: | •Side Scan •Average Backscatter •Snippets

AHS2X files are processed only in the 64-bit program. A 64-bit computer is required.

b.If you are reading snippet data, enter calibration settings.

c.If you are reading snippet data recorded outside of HYPACK (eg. R2Sonic TruePix), click [Program Options] and select the Non-HYPACK Imagery option.

d.Load the area bathymetry. (Optional) Click [...] next to the DTM (digital terrain model) field and choose the file. The program supports the following file formats:

•A gridded XYZ file: The TIN MODEL, CUBE or MAPPER program can output the gridded XYZ file from your bathymetric data.

•A matrix file: Load your data to the 32-bit HYSWEEP EDITOR and, in phase 3, save it in a matrix with zero rotation and cells of equal height and width.

With a DTM, the data is factored into the calculations when the mosaic is constructed.

Without a DTM, GEOCODER will assume a flat bottom.

To remove a DTM from your session, select FILE-UNLOAD DTM.

e.Enter mosaic options. (Optional) If you want to restrict the extent of the mosaic to the area covered by the DTM, you should check the ‘Lock’ option under ‘Extents’ in the Mosaic Options dialog. You can set the other options at the same time, but it may make more sense to wait until you have loaded your side scan data.

f.Load your multibeam data. Select FILE-INSERT LINE and choose one or more HS2 or HS2X files. Track lines appear as the program reads each file.

5.Save the session. (Optional) Select FILE-SAVE SESSION, and provide a name. The data, along with your current settings, is saved with a GPR extension, by default, to your project folder.

6.If you have loaded data with intensity data only, build your mosaic. GEOCODER uses the sample intensity as the beam average, if beam average doesn’t exist. Otherwise, continue to the next step.

a.Click [Make Mosaic]. The program will merge the data to form the mosaic.

b.Export your mosaic to a georeferenced TIF by clicking [Save Tiff] and naming your output file.

7.Adjust calibration settings and mosaic options if necessary.

•To modify calibration settings on individual lines, click on the line in the graphic, then [Calibrate Settings]. Change the required options and click [OK].

•To modify your mosaic options, click [Mosaic Options], change the required options and click [OK]. If you have not checked them already, you should definitely verify that you have the proper settings at this time.

8.Check the Histogram and recalculate the dB if necessary. The Histogram defines the range of return used for the mosaic. It’s good practice to check it before you build your mosaic. The typical average backscatter should be about -25.

a.Click [HISTOGRAM].

b.If your average backscatter is significantly different than -25 and you are using ARA select HISTOGRAM-CALCULATE DB SHIFT.

9.Set the menu options for the data you want to calculate:

•For ARA, select ARA-CALCULATE ON MOSAIC.

•For Statistics, select STATISTICS-CALCULATE ON MOSAIC.

•For Histogram, select HISTOGRAM-CALCULATE ON MOSAIC.

10.Build your preliminary mosaic (Optional) by clicking [Make Mosaic]. This build gives you a baseline against which you can compare mosaics built after beam pattern and ARA adjustments. It also calculates the data designated in the previous step.

Note:These values should also be recalculated if you change settings that affect the histograms.

11.Extract, apply and save your beam pattern.

12.Apply ARA (Angular Response Analysis) adjustments. (Optional) These are more accurate on snippet data because it is represented more uniformly than backscatter data.

13.Adjust and reapply your histogram if necessary. The histogram is often affected when you adjust for the beam pattern and ARA. You may need to recalculate the histogram to optimize your mosaic.

To recalculate the histogram:

•To update the histograms without building the mosaic, select ARA-CALCULATE NOW and HISTOGRAM-CALCULATE NOW.

•To update the histograms when building the mosaic, select ARA- CALCULATE ON MOSAIC and HISTOGRAM-CALCULATE ON MOSAIC.

14.Build your final mosaic by clicking [Make Mosaic].

15.Adjust the ARA view opts as necessary.

16.Save the mosaic to a georeferenced TIF file by clicking [Save TIFF].

More Information

• Saving and Loading Projects in GEOCODER .

• XYZ Export from TIN Models

• HYSWEEP CUBE

• MAPPER Program .

• Calibration Settings in GEOCODER

• GEOCODER Mosaic Options

• Adjusting your Data for Multibeam Beam Patterns

• Adjusting for Angular Response Analysis in Multibeam Data


Calibration Settings in GEOCODER

The calibration settings confirm the hardware offsets that were configured to before the survey, and define the sources from which the side scan data should be read to construct the mosaic.

To access the calibration settings, click [Calibration Parameters].

The calibration settings set prior to loading the data are applied to all lines as they are loaded to the program. You can, however, apply different calibration settings to individual lines after the data has been loaded. To do this, select a line, click [Calibration Settings], enter the settings for that line and click [Close].

Calibration Parameters Dialog

•Offsets: These fields are automatically populated based on data read from the raw line files. If you surveyed with erroneous offsets, enter the correct offsets here. The program will implement the corrected offset information in its output. This will not affect the raw data.

Important: When you load corrected data (*.HS2, *.HS2X or *.GSF), the offsets are all zero. Do not re-enter your raw offsets; doing so double-corrects your data.

•Side scan options: Select the source from which GEOCODER should read each type of data.

•Heading defaults to Ship heading if towfish heading is not found.

•Navigation defaults to Ship position if towfish position is not found. Spline Decimation accounts for any curves in the track line in calculating the positioning of the swath.

•Altitude: We log only 1 altitude in the RSS record, which can be from your configuration. Select either ‘Ship’ or ‘Sensor’ to use the altitude data from the RSS record.

If you choose the ‘Bottom Detection’ option, GEOCODER uses its own algorithms to determine the bottom.

•Channels: Select the frequency GEOCODER should use.

•Layback:

•Apply the layback calculated during survey or

•‘Force’ GEOCODER to use a constant user-defined layback value.

•Runtime Parameters include information about your device settings (ex. pulse widths, power and gain). Normally, GEOCODER reads this information from your data files. If your data does not include this information, click the link and enter the values in the Runtime Parameters dialog. Any runtime parameters you enter will be ignored if the data already exists in your line files.

Runtime Parameters Dialog


Histogram in GEOCODER

When GEOCODER reads your data, it automatically determines the decibel range of your backscatter data set and saves the data to a histogram that you can view by clicking [Histogram]. The colors represented in the Histogram window are determined by the option selected in the View menu and the Palette option.

GEOCODER bases the coloration of your backscatter mosaic on your ARA and your statistics on histograms. When GEOCODER calculates the Angular Response Analysis (ARA) and statistics, it also determines the range of values and assigns a spectrum of color-codes across the range. There are histograms that represent the full ARA range as well as subsets of that range.

Sample Histogram

To expand and contract the horizontal scale of the graph, use the arrow buttons on either end of the display.

To return to the original display scale, click [Reset].

To distribute the color spectrum across a user-defined range, do either of they following:

•Check the Fixed Histogram option, then drag the solid vertical lines to the desired extent of the spectrum on each side.

•Click the Fixed Histogram icon and use your cursor to click and drag horizontally across the range for spectrum coloration. The Fixed Histogram option automatically becomes selected.

To restore the spectrum to the full histogram range, deselect the Fixed Histogram option.


Recalculating the Histogram in GEOCODER

Adjustments for beam pattern and ARA may affect your histograms in such a way that they should be recalculated after those adjustments have been made. Recalculating the mosaic histogram will provide optimal results in drawing the mosaic.

1.Set your view options to match the histogram you want to recalculate.

View Options Affect Histogram Recalculations

View Menu Selection | ARA menu Selection | Histogram Recalculated
Backscatter Mosaic | (Not Applicable) | Mosaic
ARA ARA and Mosaic | Total Near Far Outer Grain Size Impedance Roughness Distance | ARA for full swath range ARA for beams nearest nadir ARA for mid-range beams ARA for beams farthest from nadir Grain Size Impedance Roughness Distance

2.Recalculate the ARA and Statistics Histograms. You can do this using either of two methods:

•In the ARA and Statistics menus, select CALCULATE NOW. This option just does the calculations for the ARA or Statistics without rebuilding the mosaic.

•Calculate the histogram when you next build the mosaic.

i.Check ARA-CALCULATE ON MOSAIC and STATISTICS-CALCULATE ON MOSAIC.

ii.Click [Make Mosaic]. The recalculation is done, the ‘Calculate Now’ selection in the ARA menu becomes disabled, and the graphic redraws according to your view options.

Typically, the range calculated by GEOCODER is appropriate. If this is not the case, you can do either of the following:

•Calculate a dB Shift: If the data set is outside of the expected decibel range, you can move your whole dataset by a constant amount into an appropriate range. Select HISTOGRAM-CALCULATE DB SHIFT. You must re-calculate the histogram for this shift value to take effect.

•Override the calculated range:

a.In the Histogram window, check ‘Fixed Histogram’.

b.Enter your own minimum and maximum levels.

c.Press the Enter key and the histogram will redraw. The program will apply this range to the mosaic or ARA display when the mosaic is next built.


Saving and Loading Projects in GEOCODER

A GEOCODER project includes information read from your data based on the your GEOCODER settings that were in effect at the time.

To save a GEOCODER project, select FILE-SAVE SESSION. The project will be saved with a GPR extension to your project folder.

To load an existing GEOCODER project, select FILE-LOAD SESSION and select the required GPR file.

Advantages of GEOCODER Projects

•If, at some time, you need to reload the same data and start again, it will be faster to load the GPR file than to reload the original data files.

•You can easily compare the results of different setting combinations.

Tip: If you save your project at each stage of your process, you can then quickly return to that point without repeating all the step to reload the data and settings.

Disadvantages to GEOCODER Projects

•Each saved project requires a large amount of hard drive space because it includes the data information as well as the current settings.


Adjusting your Data for Multibeam Beam Patterns

Multibeam systems have many sounding beams over a range of angles relative to the nadir, and with some variation in strength. By analyzing some sample data collected over a flat bottom of uniform composition (for example, sand), we can calculate the angle and strength of each beam and save it to a beam pattern file. We can then factor this information into the calculations used to build the next mosaic and determine bottom type.

You only need to extract and save the beam pattern once for each system. On subsequent projects, just load the beam pattern file.

More Information

• Extracting the Beam Pattern

• Applying the Beam Pattern


Extracting the Beam Pattern

1.Collect data over a flat, sandy bottom.

2.Load the data to GEOCODER.

3.Select BEAM PATTERNS-EXTRACT BEAM PATTERN and enter the ping range you want to include.

Extract Beams Dialog

•First and Last Ping: Enter the ping range to be included.

•Offset DB’s (decibels): Use the slider to enter a constant value to add to each decibel value in your data. Changing the strength of the return affects the brightness of the mosaic.

4.Click [Extract]. The Beam Pattern Analysis will display.

Sample Beam Pattern Analysis

5.Select the sediment type corresponding to the bottom type over which you collected your data. The graph will adjust accordingly.

6.Click [Close].

7.Save the beam pattern by selecting BEAM PATTERN-SAVE BEAM PATTERN and supplying a name. The file will be saved with a BPT extension, by default, to the project folder.

More Information

• Adjusting your Data for Multibeam Beam Patterns

• Applying the Beam Pattern


Applying the Beam Pattern

1.Select BEAM PATTERN-LOAD BEAM PATTERN.

2.Select BEAM PATTERN-APPLY BEAM PATTERN.

Note:This menu item toggles on and off each time you select it. To apply the beam pattern, the item should be checked before moving on to the next step.

More Information

• Adjusting your Data for Multibeam Beam Patterns

• Extracting the Beam Pattern


Adjusting for Angular Response Analysis in Multibeam Data

Angular Response Analysis (ARA) is another set of calculations that uses the beam pattern. It compares the strength of return and the angle from nadir of each beam over a user-defined number of pings to calculate the bottom type. The beam pattern is factored into the strength of return calculations for increased accuracy.

Note:This calculation uses the data across the entire swath, and assumes that the bottom type is uniform across the entire swath.

1.If you intend to export seabed ID data, select ARA-FORMAL INVERSION. The inversion calculations are automatically done, port and starboard, during the mosaic build.

2.Calculate the ARA.

a.Select ARA-CALCULATE ON MOSAIC.

b.Click [Make Mosaic]. The data will be remosaicked taking the ARA calculations into account.

3.View your ARA. (Optional) When GEOCODER calculates the ARA, it also determines the range of values and assigns a spectrum of color-codes across the range. You can view this data in the mosaic window.

a.Select VIEW-ARA or VIEW-ARA AND MOSAIC.

b.Select one of the display options in the ARA menu.

•Total

•Near (10-30 degrees from nadir)

•Far (30-55 degrees from nadir)

•Outside (< 55 degrees from nadir)

•Grain Size

•Impedance

•Roughness

•Distance: The adjustment distance between the ARA model and the snippet data.

The first four options designate whether to view the whole swath or a portion of it, relative to the nadir beam. Colored squares representing the ARA in the designated area of the swath will appear in the mosaic area.

Tip: To omit data with unacceptable adjusted distance values click [Program Options] and set the Maximum Adjusted Distance. Data whose distance value exceeds this distance will be ignored. The default value is one.

Note:If you recalculate the histogram (HISTOGRAM-RECALCULATE ON MOSAIC) while you have one of the ARA options selected in the View menu, GEOCODER recalculates the ARA range selected in the ARA menu.

4.Estimate your bottom type through a patch analysis.

a.Set the number of pings in your swath.

i.Click [Program Options].

ii.Under Patch Size, enter the number of pings.

Note:Choose a number of pings that, considering the width of your swath and your speed, creates a square patch.

iii.Click [OK].

b.Select a swath of data. Click on the center line of your mosaic where the bottom is uniform across the swath. A rectangle defining the range of the swath will overlay the mosaic. (The rectangle is defined by drawing lines perpendicular to the center line. If the center line is not straight, the rectangle will not be a parallelogram.)

Selecting the Swath for the Patch ARA

c.Select ARA-VIEW PATCH ARA. A window will appear with a display of data in the selected swath (red and green) and an ARA model (blue).

Sample ARA Model

The ARA model is a calculated estimate of the true bottom type based on the measured data.

Note:By default, the calculations are based on the port data. You can force the calculations to be based on the starboard data by selecting MODEL-ADJUST TO STARBOARD.

5.Estimate the bottom type by clicking [Adjust]. The ARA Model moves to conform as closely as possible to our measured data. The inferred bottom characteristics are updated accordingly and the estimated bottom type appears under ‘Sediment Type’. The Adjusted Distance should be small. A large adjusted distance (a value greater than 1) suggests the bottom is not uniform.

Tip: To omit data with unacceptable adjusted distance values click [Program Options] and set the Maximum Adjusted Distance. Data whose distance value exceeds this distance will be ignored. The default value is one.

6.Save the bottom type data. (Optional)

•To an X, Y, Z, SeabedID file. Select ARA-SAVE XYZ GRAIN SIZE. The SeabedID numbers generated by GEOCODER range from 0-19 where 0 is the most coarse classification and 19 is clay.

Excerpt from an XYZ, ID File

273437.04 907797.09 0.00 4.46

273462.96 907746.45 0.00 4.46

273565.87 907803.85 0.00 4.53

273576.43 907814.73 0.00 4.53

•To a DXF file. Select ARA-SAVE DXF. The program analyzes the seabed data and defines areas of similar bottom type then color-codes them and generates a DXF with a layer for each bottom type and one with a legend defining the bottom types.

Seabed DXF

Note:Remember, these options only work if you selected the Formal Inversion before calculating your ARA.


Calculating Statistical Information in GEOCODER

GEOCODER can calculate a lengthy list of statistical data from your backscatter data at a user-defined grid spacing.

The program first divides the data into bins of user-defined size, then calculates the statistics for each bin. The resulting statistics are color-coded and displayed with your mosaic or backscatter model, or just on their own.

More Information

• Calculating the GEOCODER Statistics

• Configuring your Statistical Display


Calculating the GEOCODER Statistics

GEOCODER can calculate a lengthy list of statistical data from your backscatter data at a user-defined grid spacing.

To calculate statistics:

1.Click [Program Options] and set your Statistics Options.

•Bin size: Average number of points per bin. This value should be a multiple of your pixel size.

•Use Image GLCM: If you want to calculate GLCM statistics, check ‘Use Image GLCM’. Otherwise, they will not be calculated.

2.Select STATISTICS-CALCULATE ON MOSAIC.

3.Click [Make Mosaic]. All items in the Statistics menu should be enabled.

More Information

• Calculating Statistical Information in GEOCODER


Configuring your Statistical Display

To display your statistical results:

1.Select one of the Statistics options in the View menu.

•Statistics

•Statistics and Mosaic

•Statistics and Bathymetry

Sample Mean Values - Statistics (left), Statistics And Mosaic (center) and Statistics And Bathymetry (right)

2.Select the value that you want to display from the Statistics menu. The display will update according to your selections.

3.Save the results as a georeferenced TIF. (Optional).

More Information

• Calculating the GEOCODER Statistics

• Saving the Mosaic as a Georeferenced TIF


Saving GEOCODER Results

Supported output formats from multibeam data include:

•Georeferenced TIF files

•X, Y, Backscatter

•X, Y, Z, grain-size or DXF of Angular Response Analysis Seabed data.

More Information

• Saving the Mosaic as a Georeferenced TIF

• Saving the Mosaic to XY, Backscatter Format

• Saving your ARA Seabed Data


Saving the Mosaic as a Georeferenced TIF

A georeferenced TIF can be loaded to any HYPACK program that supports background charts. This allows you to display your mosaicked data in the context of your other project files.

You can choose to output only the mosaicked bottom image or a screen capture of the Mosaic window. The screen capture includes the track lines and the border around the mosaic, but the resolution is not as good as converting only the mosaic.

To save your mosaic as a geo-referenced TIF, select FILE-SAVE GRAYSCALE TIFF (or click [Save TIFF]), or select FILE-SAVE COLOR TIFF and provide a name. The chart file of only the mosaicked data will be saved with a TIF extension to the name and place you define.

Displaying a Geo-referenced TIF in HYPACK

To save a screen capture:

1.Set your TIFF output options in the Program Options dialog.

•Write GeoTif (embedded TFW).

•Write TFW file enables you to generate a separate file that contains coordinates that describe the location, scale, and rotation of the TIF. It is used by geographic information systems (GIS) software for locating areas in raster map images.

•Use LZW Compression: This is a lossless compression algorithm that significantly reduces the resulting file size without losing resolution of the image.

2.Select FILE-SAVE VIEW AS TIFF and provide a name.

TIF Screen Capture


Saving the Mosaic to XY, Backscatter Format

If you built the mosaic from backscatter data, you can export the data in X, Y, Backscatter format. Select FILE-SAVE XYB and name your output file in the File Save dialog.

Note:The exported data is always in meters, regardless of project geodesy.

•To export them to third-party programs that read ASCII text, save with the default ‘XYB’ extension.

•To read them into any HYPACK program that reads XYZ data, save with an XYZ extension.

Tip: In this case, consider a filename that will distinguish it from sounding data.


Saving your ARA Seabed Data

If you have used the Angular Response Analysis (ARA) to run a patch analysis, you can export your seabed data in XYZ-Grain Size or DXF format.

A patch is an area as wide as your swath and extending longitudinally for the number of pings specified under ‘Patch Size’ in the Program Options dialog. The ‘Patch Shift’ determines the ping number at which the analysis begins.

Tip: For best results, the Patch Size should be calculated taking the boat speed into account to result in patches of equal height and width (square patches).

Program Options Dialog

During the patch analysis, GEOCODER uses the gradient and intercept values to classify the bottom types in your project area.

•To export to an X, Y, Z, Grain Size (*.xyzid) file, select ARA-SAVE XYZ GRAIN SIZE. This option outputs the positions of the corners and center of each patch. The Z value comes from the DTM (digital terrain model) file at that location. (If there is no DTM, all Z values will be zero.) The fourth, ‘ID’ component in the output depends whether you have checked the ‘Export Seabed ID’ option in the Program Options dialog.

•If you check the ‘Export Seabed ID’ option, the ID value is a number from 0-19 where 0 is the most coarse classification and 19 is clay.

•If you clear the ‘Export Seabed ID’ option, the ID value is the grain size.

Excerpt from an X, Y, Z, Grain Size File

273437.04 907797.09 0.00 4.46

273462.96 907746.45 0.00 4.46

273565.87 907803.85 0.00 4.53

Tip: You can obtain a more dense data set by exporting multiple datasets, each with a different Patch Shift value, then merge the datasets together.

For example, if your Patch Size is 30 pings, you could export one set of data using a Patch Shift of zero and another with a Patch Shift of 15. Use a text editor to merge the two XYZid files to get one XYZid file with points every 15 pings down line.

Tip: Use the TIN MODEL

•To export a DXF file, select ARA-SAVE DXF. The program analyzes the seabed data and merges patches defining areas of like bottom type, then color-codes them and generates a DXF with a legend defining each bottom type.

Seabed DXF

Note:Remember, these options only work if you selected ARA-FORMAL INVERSION before calculating your ARA.


Water Column Playback

WATER COLUMN PLAYBACK and 3D WATER COLUMN PLAYBACK enable you to review your water column data after acquisition. WATER COLUMN PLAYBACK is a 2-dimensional display similar to the Water Column Logger. The 3D version shows the soundings in a point cloud display that you can pan, zoom and rotate to optimize your view.

You can access both programs from the HYSWEEP menu.

WATER COLUMN PLAYBACK

3D WATER COLUMN PLAYBACK

Use the media player-style controls to move forward or back through your data and pause at places of interest. In the playback display, you can mark points of interest with flags or targets so you can review the corresponding location in the 64-bit HYSWEEP EDITOR, and measure objects with your cursor. A small chart display georeferences the data.

The interface displays the current ping number and time-tag, the depth at the current cursor position and the index of the most recent flagged point.

•Amplitude Graph shows the sonar measurement at nadir.

•Graph (Minimum and) Maximum: Adjusts the scale.

•Color Maximum: The color saturation limit, which is also controlled by the blue bar in the amplitude graph.

More Information

• Running the WATER COLUMN PLAYBACK Program

• Marking Points of Interest in WATER COLUMN PLAYBACK

• Measuring Objects in the 3D Water Column Display

• Water Column Logger

• Logging Water Column Data

• Editing Water Column Data


Running the WATER COLUMN PLAYBACK Program

1.Open the program. Select HYSWEEP-WATER COLUMN PLAYBACK or HYSWEEP-.WATER COLUMN PLAYBACK 3D.

Note:Support for dual-head sonar is only available in the 2-dimensional version. It supports either compressed or uncompressed datagrams.

2.Load the multibeam data with associated water column files.

•For single-head sonar: Select FILE-LOAD SURVEY and choose either an individual HSX file or a catalog file of HSX files and click [Open].

•For dual-head sonar or to apply the roll offset to your display: (2D playback only) Use the Select Head dialog to select which head in the dual head system to read, or to return the program to single-head viewing.

i.Select FILE-SELECT HEAD. The Select Head dialog appears.

Select Head Dialog

ii.Make the head selection describing the source of the data you want to play.

iii.Choose whether to apply the sonar roll offset to the display.

iv.Click [OK]. The File Load dialog appears next.

v.Load your multibeam data. Choose either an individual HSX file or a catalog file of HSX files and click [Open].

3.If you have loaded a catalog, choose the file you want to review. The program automatically begins playing the first file in the catalog, but you can choose another file from the list, if you wish.

4.Use the controls to move through your data.

Water Column Playback Controls

Icon | Keyboard Shortcut | Effect
 | F2 | Fast Back
 | F3 | Slow Back
 | F4 | Step Back
 | F5 | Pause
 | F6 | Step Forward
 | F7 | Slow Forward
 | F8 | Fast Forward
 |  | Zoom Extents: Draws the display at a zoom scale that displays all enabled data. (3D version only.)
 |  | Redraws the sounding display. (3D version only.)
 |  | Mark a target. Stored in the default target group.
 |  | (3D version only.) Flag a position for further inspection in the 64-bit HYSWEEP EDITOR.

More Information

• Water Column Playback

• Marking Points of Interest in WATER COLUMN PLAYBACK

• Measuring Objects in the 3D Water Column Display


Marking Points of Interest in WATER COLUMN PLAYBACK

The WATER COLUMN PLAYBACK programs provide two methods of marking positions for later reference:

•Flag a position for viewing in the 64-bit HYSWEEP EDITOR displays. When you load the data in the 64-bit HYSWEEP EDITOR, flags appear at these positions.

•Target a position for viewing in any of the numerous programs that display targets. These targets appear in the Default Target Group.

To flag a position, double-click in the ultrasound display.

To target a position, click the target icon.

More Information

• Water Column Playback

• Running the WATER COLUMN PLAYBACK Program

• Measuring Objects in the 3D Water Column Display


Measuring Objects in the 3D Water Column Display

You can quickly determine the size of objects that appear in the point cloud data display with the measuring tool:

1.Pause optimize your view of the object in the display to

2. Click the measuring tool icon, then click at two locations in the cloud display. After the first click, gray line shows you the measured path until you click the second location, and the distance appears (in survey units) in the upper right corner of the screen.

You can measure multiple objects until you return to the default cursor.

3.When you are finished measuring, return to the default cursor. Just click the measure tool icon again.

More Information

• Water Column Playback

• Running the WATER COLUMN PLAYBACK Program

• Marking Points of Interest in WATER COLUMN PLAYBACK


Stationary Topographical Laser Surveys

Each time you move a stationary laser, you must recalibrate the system to calculate the correct offsets for the data set logged at that location.

1.Open the STATIONARY TOPO program. Select HYSWEEP-STATIONARY TOPO.

2.Configure your device.

a.Select the device type in the Devices menu.

b.Select DEVICES-DEVICE SETTINGS.

c.Enter the IP address and port and click [OK].

3.Log your data. Click [Acquire]. The program logs the data from a complete 360 degree scan around the device location.

4.Calibrate your system.

a.Mark targets at a minimum of three reference points measured via GPS in the survey area: the device itself and two reference positions, which are easily recognizable in the data set.

b.Load your reference points from the targets list. Select FILE-LOAD REFLECTORS. The targets in the targets database appear in a table.

Loading your Reference Points

c.Assign a target position to each reference point. Select a target, then click the corresponding button—[Reflector 1], [Reflector 2] or [Reflector 3].

d.When each reference point has a position, click [Done]. The reference positions appear as flags in the Cloud window.

e.Use the “cursor sight” buttons to pick out the two reflector points in the data. These appear as a pair of triangles in the data. The device point is always at [0, 0, 0] and, as you move the mouse, the XYZ of the status bar displays the cursor position in the status bar using coordinates relative to the device and to the world.

If the data is already perfectly corrected, the manually selected cursor sights and flag positions should be at the same place.

5.If the data is not perfectly corrected, run the adjustment routine to determine the patch test offsets. Click [Adjust]. The cursors and flags become aligned and the results of the adjustment are copied into the Roll, Pitch and Yaw fields.

The Resulting Display

6.Save the fully corrected data to an XYZ file for further processing. Select FILE-SAVE CORRECTED XYZ, name the output file and click [Save]. A message appears when the process is complete.


MAPPER

The MAPPER program is a “binning” or “gridding” program. It is normally used to reduce the volume of multibeam or multiple transducer data, but it can also be used with single beam data.

You must first make a Matrix file (*.MTX) in the MATRIX EDITOR. A Matrix consists of a rectangular area filled with individual cells.

HYPACK includes two versions of MAPPER: 32-bit and 64-bit. Select PROCESSING-SOUNDING SELECTION-MAPPER. HYPACK automatically runs the version matching your Windows® operating system.

The MAPPER programs can save one sounding for each cell based on your Sounding Selection option in the Sounding Grid dialog (OPTIONS-DATA SELECTION).

Advantages of Mapper

•It is extremely fast.

•It can be used to judge the quality (range per cell) of the data.

•It can be biased to select the data important to you.

Disadvantages of Mapper

•Plotted soundings may overlap.

•You can move soundings if you elect to save the soundings at the center of the cell.

•If your data is thin, there will be empty cells. MAPPER does not interpolate data.

Multibeam Data in MAPPER

More Information

• Running the Mapper Program

• Mapper Options

• Exporting Data from Mapper


Running the Mapper Program

1.Create a Matrix File (*.MTX) of your project area. The cell size in the matrix determines the density of data in the thinned data set.

2.Open MAPPER. Select PROCESSING-SOUNDING SELECTION-MAPPER.

3.If you are mapping dual frequency data, select the depth information you want MAPPER to read: depth 1, depth2 or both. Select FILE-OPTIONS and select the correct Sounding selection option.

Mapper File Options

4.Open your Matrix File (*.MTX) by selecting FILE-OPEN MATRIX and choosing the correct file from the file selection dialog.

5.Set the data to be included in the matrix.

•If you have chosen a filled matrix, the Matrix Update dialog appears.

Selecting the Data in your Matrix

You have several choices:

Data Loaded | Load Soundings From Matrix | Add Soundings To Matrix
Only the data the matrix already contains | Yes | No
Use the matrix boundaries, but load different sounding data | No | Yes and click the button corresponding to the type of the file where your data is currently saved to select from a file selection dialog.
Data contained in the matrix data merged with additional data. | Yes | Yes and click the button corresponding to the type of the file where your data is currently saved to select from a file selection dialog.

Note:If you are using data from a filled matrix, you must indicate which depth to use as the Survey Depth in the new matrix. Any added soundings will overwrite the survey depths of the original matrix.

•If you have opened an empty matrix or wish to add more sounding data to the current matrix, select FILE-LOAD SOUNDINGS and choose the additional sounding files.

The MAPPER window updates to reflect the data that has been read into the matrix.

6.Set your mapping options. There are several choices regarding the sorting and display of your data in MAPPER.

7.Save your results by selecting FILE-SAVE SOUNDINGS and your required output.

You can save the current selections (based on your mapping options) to your choice of several output formats:

•ASCII XYZ: Used in other HYPACK modules or read by a text editor.

•MTX file: Used in other HYPACK modules.

•Multiple Sounding Types generate up to four separate XYZ files in one operation according to your selections: the average depth per cell, the minimum depth per cell, and a comparison of the average or minimum depth in each cell to a user-defined channel file.

•XLS: Microsoft Excel Spreadsheet format. The matrix header data appears at the top left, followed by the matrix data—one cell in the spreadsheet for each cell in the matrix.

•HTM: Generates a file like the XLS spreadsheet that can be displayed in your web browser.

•NetCDF: Format for Fledermaus software. This option requires a matrix file with ‘0’ rotation.

•Database: An SQLite database of the matrix data (*.mtxdb).

More Information

• Mapper Options

• Matrix Database (*.MTXDB)


Mapper Options

Mapper Options

• Mapper Data Selection Options

• Sounding Colors in Mapper

• Mapper Matrix Setup

• Mapper Matrix Fills


Mapper Data Selection Options

OPTIONS-DATA SELECTION specifies which item will be displayed and saved to file. It enables you to specify what information is displayed and if it is saved in its actual position or at the center of the matrix cell.

Most of the items are self-explanatory.

Data Selections Window in MAPPER

Sounding Selection determines which value will be saved to each matrix cell.

•Minimum

•Maximum

•Range: The maximum minus the minimum sounding value

•Average

•Nearest to Cell Center

•Strikes: enables you to save and display only soundings that are above or below a user-specified level. It does not save the sounding, but saves the difference between the sounding and the specified level

Strike Basis specifies whether the Strikes should be based on the amount the depth is less than the strike level (Depth) or the amount the depth is deeper than the strike level (Elevation).

•Best Angle allows you to set which beam from a multibeam sensor is read to update the matrix by defining the angle from center.

Note:Note The sounding nearest to cell center at its actual position will give you the best volumes calculations.

•Samples per Cell: Sounding count in each matrix cell.

Draw lets you specify whether to draw the matrix presentation screen as solid color-filled cells or a wire mesh pattern.

Show Cell Grid: Outlines each matrix cell. (This is only useful in smaller scale displays.)

Positioning enables you to save the data in its actual position (where possible) or in the center of the cell. When you save the data in the center of the cell, it moves the data, not always a great thing to do.

Z-Value Options:

•[Negate All] inverts all depths.

•Remove Below and Above omit all cells whose depths according to the user-defined criteria.


Sounding Colors in Mapper

Select OPTIONS-COLOR CODING to access the Color Settings dialog. This is the same dialog that is used to set the colors in HYPACK. Any changes made here will also affect HYPACK and SURVEY.

More Information

• Project Colors in HYPACK


Mapper Matrix Setup

OPTIONS-MATRIX SETUP enables you to edit the matrix parameters.

The number of matrix cells and the approximate memory required to use a matrix with the listed specifications in the binning process can be calculated and displayed by clicking [Calculate]. If you are not satisfied with the options, you can change the specifications for the matrix and recalculate.

Note:If the matrix is changed, data must be re-read into the matrix, using the OPEN SOUNDINGS menu item.

The Matrix Setup Dialog


Mapper Matrix Fills

The Options menu also enables you to:

•Erase the data from a filled matrix by selecting OPTIONS-CLEAR MATRIX.

•Fill your matrix with a user-defined depth by selecting OPTIONS-FILL MATRIX. The Fill Matrix dialog will appear for you to set the depth. Click [OK] and the results will be drawn to the MAPPER screen.

Fill Matrix Dialog

Matrix Filled with Uniform Depth


Mapper Statistics

FILE-STATISTICS provides a plot of the Number of Data points vs. Depth Range per Cell.

The Statistics Window in MAPPER


Exporting Data from Mapper

To export your selected data, in most cases, select FILE-SAVE SOUNDINGS and the output format; however, some require some additional configuration.

You can save the current selections (based on your mapping options) to your choice of several output formats:

•ASCII XYZ: Used in other HYPACK modules or read by a text editor.

•MTX file: Used in other HYPACK modules.

•Multiple Sounding Types generate up to four separate XYZ files in one operation according to your selections: the average depth per cell, the minimum depth per cell, and a comparison of the average or minimum depth in each cell to a user-defined channel file.

•XLS: Microsoft Excel Spreadsheet format. The matrix header data appears at the top left, followed by the matrix data—one cell in the spreadsheet for each cell in the matrix.

•HTM: Generates a file like the XLS spreadsheet that can be displayed in your web browser.

•NetCDF: Format for Fledermaus software. This option requires a matrix file with ‘0’ rotation.

•Database: An SQLite database of the matrix data (*.mtxdb).

Multiple XYZ Sounding Types

The Multiple Sounding Types option can generate up to four separate XYZ files in one operation according to your selections: the average depth per cell, the minimum depth per cell, and a comparison of the average or minimum depth in each cell to a user-defined channel file.

1.Select FILE-SAVE SOUNDINGS-MULTIPLE SOUNDING TYPES. A dialog appears for you to configure your output.

Configuring Multiple XYZ Outputs

2.Enter your Export settings and click [OK]. A File Save dialog appears.

The Matrix options apply to the entire matrix with no channel comparison.

•Minimum saves the minimum sounding of a cell at its absolute position, appending “_Min” to the file name.

•Average saves the average of the soundings in a cell at the center of the cell, appending “_Ave” to the file name.

The Channel options require a channel file (*.CHN). MAPPER then compares its matrix depths to the specified channel, and outputs the difference between them at each position.

•Minimum above CHN compares the channel and the minimum sounding of a cell above the channel, appending “_Min_Above_CHN” to the file name.

•Average above CHN compares the channel and the average sounding of a cell above the channel, appending “_Ave_Above_CHN” to the file name.

•Include Heights Below CHN: For the specified Minimum above CHN and Average above CHN outputs, MAPPER compares the minimum or average of all cell soundings, regardless of their position relative to the specified channel. Differences for matrix depths below the channel appear as negative values. When this option is unselected, MAPPER compares only matrix depths that fall above the channel.

3.Enter the base file name to which each output appends its identifying string and click [Save]. MAPPER stores the specified XYZ files in the project Sort folder.

XLS or HTM Options

If you want to export XLS and HTM, first configure your output options in the Matrix File Options dialog.

1.Access the File Options dialog. Select FILE-OPTIONS.

Mapper File Options

2.Configure your output options and click [OK].

XLS/HTM Output Format Options:

•Color Text Based on Cell Value uses your project colors in your sounding output.

HTML Output - Color Text Based on Cell Value

XLS Output - Color Text Based on Cell Value

The EPSHOM options always prints your soundings in black.

•Empty Cell Value enables you to choose what value will be assigned to empty matrix cells.

•Save Survey Lines Text File stores the EPSHOM XLS output, including column and row headers, to a text file where the cell delimiter is a forward slash.

EPSHOM - HTM Output

EPSHOM - XLS Output

Sample Survey Lines Text File

Note:This matrix had empty cells in the top left corner so we see a lot of ‘99’ values.

3.Select FILE-SAVE SOUNDINGS and your required output. MAPPER stores the output file, by default, to the project folder.


OtherProcessing_Intro

Processing Other Data Types

HYPACK has expanded support for survey types beyond bathemetric and side scan surveys:

•Magnetometer surveys

•Sub-bottom profiling

•Acoustic Doppler Current Profiler surveys and in situ installations.

The following sections describe the processing programs for data types other than bathymetric and side scan data.

More Information

• MAGNETOMETER EDITOR

• Sub-bottom Processing

• ADCP PROFILE

• ADCP IN SITU


MAGNETOMETER EDITOR

The MAGNETOMETER EDITOR provides the tools to process your magnetometer data:

•Clean bad data using point and block editing tools

•Quickly find anomalies, then view additional data, mark a target and generate detailed reports at each location.

•Use IGRF and shore-based corrections to remove the noise from your magnetic data.

•Generate contour maps of your mono-polar and dipolar targets.

If your project includes shore-based data or towfish depths, the MAGNETOMETER EDITOR provides additional, non-editable displays of the data.

IGRF Corrections

IGRF (International Geomagnetic Reference Field) corrections calculate the earth’s magnetic force at a particular location and time. The program subtracts the magnetic force from the raw reading to obtain the raw anomaly (removing the ‘background gamma’ from the recorded data):

(EQ 1) Raw Reading - IGRF(ship,time)

With IGRF corrections, the program saves the raw anomaly to the corrected value in All format files, or to the Z-value in XYZ files.

Shore-based Corrections

Shore-based corrections require a data file from a shore-based station. You must input the position of the station as it is used for several calculations:

•IGRF for the shore station itself

•The time shift to accommodate the difference in distance of the boat and shore station. If shore data is at a different time interval than the raw data, the MAGNETOMETER EDITOR interpolates the shore data to calculate values to match the raw data.

With shore-based corrections the MAGNETOMETER EDITOR, by default, saves the total anomaly to the Z-value, but you can change it to another anomaly (raw, diurnal, total field) in the File Save options.

When you have finished editing your data, save your edited data to the HYPACK edited All2 format or XYZ format. The MAGNETOMETER EDITOR saves different values to the depth field according to the type of corrections:

Values Stored by the MAGNETOMETER EDITOR

Correction | Value Stored
IGRF | Raw Anomaly
Shore | Total Anomaly (default), but you can choose a different value (raw, diurnal, total field) in the File Save options.
Stand-alone | Gamma (no corrections)

More Information

• Running the MAGNETOMETER EDITOR

• Read Parameters in the MAGNETOMETER EDITOR

• Special Marine Instrument Options

• Entering Shore-based Correction Parameters

• Windows in the MAGNETOMETER EDITOR

• Display Settings in the MAGNETOMETER EDITOR

• Search and Filter Options in the MAGNETOMETER EDITOR

• Manual Editing Magnetometer Data

• Automatic Editing Magnetometer Data

• Adjusting Layback in the MAGNETOMETER EDITOR

• Normalizing Magnetometer Data

• Whole Magnetic Analysis (WMA) in the MAGNETOMETER EDITOR

• Targets in the MAGNETOMETER EDITOR

• Generating WMA Target Reports in the MAGNETOMETER EDITOR

• Saving Edited Data in the MAGNETOMETER EDITOR

• Exporting Data from the Spreadsheet Window to a Text File

• Exporting Data from the Shore Data Table to a Text File


Running the MAGNETOMETER EDITOR

1.Launch the MAGNETOMETER EDITOR. Select PROCESSING-MAGNETOMETER EDITING.

2.Load your data.

a.Select FILE-OPEN (F2). A File Open dialog appears.

b.Select your data. You can select a catalog file (*.LOG), which is a list of several data files, or a single data file. The MAGNETOMETER EDITOR can read raw data containing your magnetometer data.

c.If you have chosen a LOG file, select one or more of its files from the listing in the catalog dialog.

•To select individual files, hold the Ctrl key, select the files in the list and click [Select].

•To select all files in the catalog, click [Select All].

Note:In addition to HYPACK LOG files, the MAGNETOMETER EDITOR supports OceanServer catalog files. In the File Open dialog, select “AUV Log” in the Files of Type field.

3.Set your read parameters. This enables you to apply pre-filtering and perform other operations on the data as it is read into the editor. The Specialized Marine Instrument dialog appears next.

4.Select data for processing. These options vary according to the magnetometer you are using and what you are recording.

5.If you are using shore-based corrections, the Shore Data Tools dialog appears next. Enter the shore-based corrections file and instructions about its contents.

6.Examine and edit bad data.

a.Examine and edit the graphs representing track lines.

b.Graphically examine the gamma values. Scroll through the survey lines by using the arrow buttons on the shell .

c.Set your Search and Filter Options. These criteria are used to search out cells with data outside of user-defined limits.

d.Use the Search and Filter feature to find and evaluate any stray points. You can evaluate each instance yourself and edit if you think it's necessary or instruct the MAGNETOMETER EDITOR to delete all points outside the limits.

7.Save your edited data to the HYPACK® edited All2 format. The MAGNETOMETER EDITOR save the data, by default, with a MAG extension to the project Edit folder. You may also save your data to XYZ format. In each case, the Z value represents your anomaly.

When you are editing magnetometer data, you can see the minimum and maximum gamma values in the Profile window, but that doesn’t tell us enough about the size of the detected object.

The MAGNETOMETER EDITOR provides WMA (Whole Magnetic Analysis) tools to find and target anomalies and generate detailed reports at each location. You can also normalize your data and use the resulting data to generate contour maps of your anomalies in the TIN MODEL program.

More Information

• Read Parameters in the MAGNETOMETER EDITOR

• Special Marine Instrument Options

• Entering Shore-based Correction Parameters

• Windows in the MAGNETOMETER EDITOR

• Display Settings in the MAGNETOMETER EDITOR

• Search and Filter Options in the MAGNETOMETER EDITOR

• Manual Editing Magnetometer Data

• Automatic Editing Magnetometer Data

• Adjusting Layback in the MAGNETOMETER EDITOR

• Normalizing Magnetometer Data

• Whole Magnetic Analysis (WMA) in the MAGNETOMETER EDITOR

• Targets in the MAGNETOMETER EDITOR

• Generating WMA Target Reports in the MAGNETOMETER EDITOR

• Saving Edited Data in the MAGNETOMETER EDITOR

• Exporting Data from the Spreadsheet Window to a Text File

• Exporting Data from the Shore Data Table to a Text File


Read Parameters in the MAGNETOMETER EDITOR

Selections Tab in the MAGNETOMETER EDITOR Read Parameters

The MAGNETOMETER EDITOR supports the following magnetometer configurations:

•Stand-alone magnetometers

•Stand-alone magnetometers with IGRF corrections

•Sea magnetometers with shore-based magnetometers, both with IGRF corrections

In the Selections tab, select the devices to use for each type of data and, if you intend to apply corrections to your data, indicate the type: IGRF or IGRF and shore-based corrections.

Read Parameters—Selections Tab

Final Corrections:

•IGRF (International Geomagnetic Reference Field) is for stand-alone magnetometers with IGRF corrections. IGRF corrections calculate the earth’s magnetic force at a particular location and time. The program normalizes the data, subtracting the magnetic force from the raw reading to obtain the raw anomaly (removing the ‘background gamma’ from the recorded data):
Raw Reading - IGRF(ship,time).

By default, the MAGNETOMETER EDITOR saves the raw anomaly to the corrected value in All format files, or to the Z-value in XYZ files.

•Shore-based corrections is for sea magnetometers with shore-based magnetometers, both with IGRF corrections. These calculations require a data file from a shore-based station. You must input the position of the station as it is used for several calculations:

•IGRF for the shore station itself.

•The time shift to accommodate the difference in distance of the boat and shore station. If shore data is at a different time interval than the raw data, the MAGNETOMETER EDITOR interpolates the shore data to calculate values to match the raw data.

By default, the MAGNETOMETER EDITOR saves the total anomaly to the Z-value, but you can change it to another anomaly (raw, diurnal, total field) in the File Save options.

•No Corrections: For stand-alone magnetometers.

The Snap to Line option takes all of your soundings and moves them perpendicular until they fall right on the planned survey line. This is a dangerous option.

More Information

• Offsets Tab in the MAGNETOMETER EDITOR Read Parameters

• Survey Info Tab in the MAGNETOMETER EDITOR Read Parameters

• GPS Pre-filter Tab in the MAGNETOMETER EDITOR Read Parameters

• Saving Edited Data in the MAGNETOMETER EDITOR


Offsets Tab in the MAGNETOMETER EDITOR Read Parameters

The Offsets tab displays the offset settings for each device in your project. Select the device of interest from the drop-down box and view or modify the offsets.

The offsets are displayed as they were configured during your survey. If they are incorrect, enter them as they should have been during survey.

Any changes you make here will be applied to all currently selected files.

Note:Editing the offsets will affect only the edited data. It will not affect raw data.

Read Parameters—Offsets Tab

More Information

• Selections Tab in the MAGNETOMETER EDITOR Read Parameters

• Survey Info Tab in the MAGNETOMETER EDITOR Read Parameters

• GPS Pre-filter Tab in the MAGNETOMETER EDITOR Read Parameters

• Saving Edited Data in the MAGNETOMETER EDITOR


Survey Info Tab in the MAGNETOMETER EDITOR Read Parameters

The Survey Information tab displays some basic project information entered during SURVEY. You can add or modify this information. It is stored in the header of the edited files.

Read Parameters—Survey Info Tab

More Information

• Selections Tab in the MAGNETOMETER EDITOR Read Parameters

• Offsets Tab in the MAGNETOMETER EDITOR Read Parameters

• GPS Pre-filter Tab in the MAGNETOMETER EDITOR Read Parameters

• Saving Edited Data in the MAGNETOMETER EDITOR


GPS Pre-filter Tab in the MAGNETOMETER EDITOR Read Parameters

The GPS Pre-filter Tab options enable you to omit position data as it is read into the MAGNETOMETER EDITOR. Any data that does not meet the criteria set in this tab will be edited out for you before anything is displayed in the data windows.

Read Parameters—GPS Pre-filter Tab

Accepted GPS Modes: List GPS modes for which you want to read data. If the GPS mode does not match any of the specified values, the POS or TID record will be omitted from being read into the editor. Values may be separated by commas or spaces.

Minimum Number of Satellites: If the number of satellites recorded in the quality information is less than the user-specified number, the POS or TID record will be omitted from being read into the editor.

Maximum HDOP: If the HDOP recorded in the quality information is more than the user-specified number, the POS or TID record will be omitted from being read into the editor.

Maximum Speed over Ground (Kts): If the speed calculated ((pos2-pos1)/time) is more than the user-specified speed, the POS record will be omitted from being read into the editor.

More Information

• Selections Tab in the MAGNETOMETER EDITOR Read Parameters

• Offsets Tab in the MAGNETOMETER EDITOR Read Parameters

• Survey Info Tab in the MAGNETOMETER EDITOR Read Parameters

• Saving Edited Data in the MAGNETOMETER EDITOR


Special Marine Instrument Options

The Special Marine Instrument dialog displays your magnetometer device name and the channels you are recording from it. These options vary according to the magnetometer you are using. You can select up to two values to process in the MAGNETOMETER EDITOR at any one time.

Special Marine Instrument Dialog

Important: To edit more than two values requires more than one editing session. Save the resulting data with different extensions to avoid overwriting data from earlier sessions.

More Information

• Running the MAGNETOMETER EDITOR

• Read Parameters in the MAGNETOMETER EDITOR

• Entering Shore-based Correction Parameters

• Windows in the MAGNETOMETER EDITOR

• Display Settings in the MAGNETOMETER EDITOR

• Search and Filter Options in the MAGNETOMETER EDITOR

• Manual Editing Magnetometer Data

• Automatic Editing Magnetometer Data

• Adjusting Layback in the MAGNETOMETER EDITOR

• Normalizing Magnetometer Data

• Whole Magnetic Analysis (WMA) in the MAGNETOMETER EDITOR

• Targets in the MAGNETOMETER EDITOR

• Generating WMA Target Reports in the MAGNETOMETER EDITOR

• Saving Edited Data in the MAGNETOMETER EDITOR

• Exporting Data from the Spreadsheet Window to a Text File

• Exporting Data from the Shore Data Table to a Text File


Entering Shore-based Correction Parameters

Shore-based corrections require a data file from a shore-based station and additional information about the station position and the format of its data.

Click [Open File] and browse for your station data file, then enter the Input File information. The MAGNETOMETER EDITOR stores the Input File Information and restores the data the next time you load shore data for this project in the MAGNETOMETER EDITOR.

Shore Data Tools Dialog

Latitude, Longitude and Altitude of the shore-based station.

Important: IAGA stations provide co-latitude rather than latitude. So, for example, if the co-latitude is 41.98, you should enter a latitude of 48.02 (90-41.98) in the MAGNETOMETER EDITOR.

File format: Format of the Shore Processing File.

•ASCII text file with data in the following format where there is a tab before the gamma value:

Year/Month/Day HH:MM:SS Gamma

•IAGA (International Association of Geomagnetism and Aeronomy) data downloaded from the Internet (http://www.intermagnet.org/data-donnee/download-eng.php) for the observatory closest to your project site.

Tip: Select multiple days of IAGA files, both before and after your survey dates, for the best results.

Shore Time Zone Correction: The difference between the time at the shore-based station and UTC time.

Delta T filter (seconds) smooths the gamma by averaging the values over the user-defined time increment.

More Information

• Running the MAGNETOMETER EDITOR

• Read Parameters in the MAGNETOMETER EDITOR

• Special Marine Instrument Options

• Windows in the MAGNETOMETER EDITOR

• Display Settings in the MAGNETOMETER EDITOR

• Search and Filter Options in the MAGNETOMETER EDITOR

• Manual Editing Magnetometer Data

• Adjusting Layback in the MAGNETOMETER EDITOR

• Normalizing Magnetometer Data

• Whole Magnetic Analysis (WMA) in the MAGNETOMETER EDITOR

• Targets in the MAGNETOMETER EDITOR

• Generating WMA Target Reports in the MAGNETOMETER EDITOR

• Saving Edited Data in the MAGNETOMETER EDITOR

• Exporting Data from the Spreadsheet Window to a Text File

• Exporting Data from the Shore Data Table to a Text File


Windows in the MAGNETOMETER EDITOR

The MAGNETOMETER EDITOR is composed of a shell, three editing windows, and displays of the magnetometer depth and shore corrections.

Right-click on any editing window to display a pop-up menu of all applicable options (ie. display options, search and filter options, color options) for that window. The display options and color dialog may also be accessed through the icons in the MAGNETOMETER EDITOR window.

You may edit data in any of the editing windows and the data will be automatically updated in the other windows.

Note:The Auto Refresh option must be checked in the Spreadsheet display options to keep the Spreadsheet synchronized with the other windows. Otherwise, you must update it as needed using [Refresh] in the window.

MAGNETOMETER EDITOR Shell

More Information

• Survey Window in the MAGNETOMETER EDITOR

• Profile Window in the MAGNETOMETER EDITOR

• Spreadsheet Window in the MAGNETOMETER EDITOR

• Depth Display in the MAGNETOMETER EDITOR

• Shore Corrections for Current Line in the MAGNETOMETER EDITOR

• Shore Data Table in the MAGNETOMETER EDITOR


Survey Window in the MAGNETOMETER EDITOR

The Survey window shows the survey track lines, event marks and enabled targets.

To access the Survey window, select VIEW-SURVEY WINDOW.

The red line indicates that which is represented in the Spreadsheet and Profile windows.

The marker shows the position of the currently selected record, which enables you to examine the location of anomalies to see if there are corresponding features on the charts.

Tip: Press the Auto Zoom to Line icon to automatically zoom in on only the selected line with one line on either side.

In the Survey window tab of the Display Options dialog, you can enhance the display with:

•gamma

•planned lines

•background charts

To measure the distance and azimuth between two points, drag the default cursor from one point to the other. The measurements are displayed in the status bar.

Survey Window

More Information

• View Options Survey Window Tab in the MAGNETOMETER EDITOR

• Profile Window in the MAGNETOMETER EDITOR

• Spreadsheet Window in the MAGNETOMETER EDITOR

• Depth Display in the MAGNETOMETER EDITOR

• Shore Corrections for Current Line in the MAGNETOMETER EDITOR

• Shore Data Table in the MAGNETOMETER EDITOR


Profile Window in the MAGNETOMETER EDITOR

The Profile window is composed of two graphical representations of your survey data, one line at a time—the track line and gamma profile displays. The window synchronizes with the other window displays, providing you with additional information and tools with which you may edit your data.

To access the Profile window, select VIEW-PROFILE WINDOW.

Profile Window

Track Line shows the survey track line superimposed on the Planned Survey Line. Use the zoom tools on the track line display to define the section of the line.

• [image] To view a select section of the line, use the Zoom Window tool and drag a rectangle around the area you want to view. You can then scroll up and down the line using the Pan Left and Pan Right icons.

•To zoom in and out, use the mouse wheel.

• [image] To see the full line at once, click the Zoom Extents icon.

Gamma vs Time shows the gamma profile.

If, at any time, you delete position data, the program interpolates the data. Data is only removed if data is deleted at either end of the survey line, rendering interpolation impossible.

If gamma data is deleted, the data is interpolated or removed according to the status of the button beneath the icons that toggles between the two choices.

To view data that has been deleted, marked with a red “X” by selecting the Show Deleted Points option in the View Options.

To take a screen shot of the profile, click the camera icon and name the file. Your screen shot will be saved in JPG format, by default to the project directory.

More Information

• View Options Other Tab in the MAGNETOMETER EDITOR

• Survey Window in the MAGNETOMETER EDITOR

• Spreadsheet Window in the MAGNETOMETER EDITOR

• Depth Display in the MAGNETOMETER EDITOR

• Shore Corrections for Current Line in the MAGNETOMETER EDITOR

• Shore Data Table in the MAGNETOMETER EDITOR


Spreadsheet Window in the MAGNETOMETER EDITOR

The Spreadsheet provides the data for every magnetometer record. If data has been deleted, the corresponding cell in the spreadsheet will display “xxxxx” in place of the deleted depth reading.

To access the Spreadsheet window, select VIEW-SPREADSHEET.

The Auto Refresh option in the Spreadsheet Display Options, keeps the Spreadsheet data synchronized with the other windows. You can manually edit the values in the spreadsheet and the other windows will update accordingly.

If the Auto Refresh option is not selected, you must update it, as needed, using [Refresh].

IGRF

With a shore-based reference station, separate IGRF values are computed for both vessel and shore-based measurements.

[Shore Value Highlights] Shades the columns with values used to calculate diurnal and total anomalies. Values highlighted in yellow have been time-shifted, values in the green columns have not.

Shore-based Corrections

More Information

• View Options Spreadsheet Tab in the MAGNETOMETER EDITOR

• Profile Window in the MAGNETOMETER EDITOR

• Depth Display in the MAGNETOMETER EDITOR

• Shore Corrections for Current Line in the MAGNETOMETER EDITOR

• Shore Data Table in the MAGNETOMETER EDITOR


Depth Display in the MAGNETOMETER EDITOR

The depth display graphs the depth of the towfish carrying the magnetometer sensor.

To access the depth display, select TOOLS-DEPTH VIEWER.

Depth Display

More Information

• Profile Window in the MAGNETOMETER EDITOR

• Spreadsheet Window in the MAGNETOMETER EDITOR

• Shore Corrections for Current Line in the MAGNETOMETER EDITOR

• Shore Data Table in the MAGNETOMETER EDITOR


Shore Corrections for Current Line in the MAGNETOMETER EDITOR

The Shore Corrections for Current Line window displays the shore filter, shore value, agitation component and diurnal component all graphed over time.

To access the Shore Corrections for Current Line window, select TOOLS-SHORE COMPONENTS.

Shore Corrections

More Information

• Profile Window in the MAGNETOMETER EDITOR

• Spreadsheet Window in the MAGNETOMETER EDITOR

• Depth Display in the MAGNETOMETER EDITOR

• Shore Data Table in the MAGNETOMETER EDITOR


Shore Data Table in the MAGNETOMETER EDITOR

The graph displays the shore raw (red) and shore filtered (blue) data. The shore filtered data is the result of the Delta T setting in the shore-based correction parameters.

To access the Short Data Table, select TOOLS-SHORE DATA TABLE.

Shore Data Table

More Information

• Entering Shore-based Correction Parameters

• Profile Window in the MAGNETOMETER EDITOR

• Spreadsheet Window in the MAGNETOMETER EDITOR

• Depth Display in the MAGNETOMETER EDITOR

• Shore Corrections for Current Line in the MAGNETOMETER EDITOR


Display Settings in the MAGNETOMETER EDITOR

The View Options in the MAGNETOMETER EDITOR dialog include all of the options to configure your displays. It is a tabbed dialog with one tab for each MAGNETOMETER EDITOR window and an additional tab for settings that are not specific to any one window.

More Information

• View Options Profile Window Tab in the MAGNETOMETER EDITOR

• View Options Spreadsheet Tab in the MAGNETOMETER EDITOR

• View Options Survey Window Tab in the MAGNETOMETER EDITOR

• View Options Other Tab in the MAGNETOMETER EDITOR


View Options Profile Window Tab in the MAGNETOMETER EDITOR

The Profile Window tab of the View Options dialog (F9) controls the display of the files you are editing in the Profile window.

View Options—Profile Window Tab

Show Options: Choose the values drawn in the profile graph. The options vary according to the final corrections option selected in the Selections tab of the Read Parameters dialog: IGRF, Shore-based data + IGRF or No Corrections.

•Draw Gamma enables you to graph Gamma1 value and the IGRF value for the boat.

•Draw Anomaly: For IGRF corrections, only the Raw Anomaly option is available. For shore-based corrections, you can also draw Total and Diurnal anomalies.

•Draw Total Field draws the values derived from the following formula:

Non-Time Shifted shore data – raw data + average of the shore data

Style: Choose whether to draw the data in the profile display as individual points, a line connecting the points or as a solid fill area.

Axis Style:

•Regular: Maximum gamma at the top of the graph.

•Inverted: Maximum gamma at the bottom of the graph.


View Options Spreadsheet Tab in the MAGNETOMETER EDITOR

The Spreadsheet Tab of the View Options dialog (F9) enables you to select which items you want to see in the Spreadsheet Window.

View Options—Spreadsheet Tab

Items available are listed on the left, while items selected are listed to the right. Select items in either column then use the [Add=>] and [<=Remove] to include or omit them from your spreadsheet display.

Note:The list of items available is maintained in alphabetical order. The list of items selected shows the order that the columns will be displayed in the spreadsheet. Normally, they will be listed in the order that they are selected. To insert a column in the middle of the list, select the item in the selected items list that you wish your new selection to follow. The next added items will be inserted there.

[Recommended Shore Layout] configures the spreadsheet with the items pertinent to systems using shore-based corrections.


View Options Survey Window Tab in the MAGNETOMETER EDITOR

The Survey window tab of the View Options dialog (F9) controls the Survey window display.

Tip: Press the Auto Zoom to Line icon to automatically zoom in on only the selected line with one line on either side.

The track lines and events may be superimposed against:

•Background charts

•Planned lines

•Gamma

Note:A change in the Show Charts option is only implemented after you restart the MAGNETOMETER EDITOR.

Targets enabled in the HYPACK Area Map are automatically shown in the Survey window.

View Options—Survey Window Tab


View Options Other Tab in the MAGNETOMETER EDITOR

The Other Tab of the View Options dialog (F9) just provides a place for display settings that don't fit any other category. There are also a few settings that are available regardless of which tab is selected.

View Options—Other Tab

Other Tab:

•Black Background provides a choice to use black instead of white background in the MAGNETOMETER EDITOR windows.

•Double Width Graph Lines thickens the sounding lines in the Profile Window.

•Color Code By GPS Mode options color-code track lines in the Survey window or the tide graph based on GPS mode.

•Quick Targets After the first target, when you choose the target group in the Target dialog, subsequent targets are automatically named with the time-stamp from your data and saved to the same target group without presenting the Target dialog. This enables you to quickly capture multiple targets.

Always Available in View Options:

•The Autoscale Gamma determines the scaling of the gamma profile based on the minimum and maximum gamma in the data file, updating after each editing operation.

To manually set the scale, deselect this option and enter minimum and maximum gamma values.

•Show Active Filters marks all points that would be omitted based on the current Search and Filter settings with a yellow "X".

•Show Events determines if the events are labeled in the Survey window.

•Show Deleted Points marks all points that have been deleted in The MAGNETOMETER EDITOR with a red “X.


Search and Filter Options in the MAGNETOMETER EDITOR

Open the Search and Filter Options dialog by selecting EDIT-SEARCH AND FILTER OPTIONS (Ctrl+F). Search and Filter Options are used by the MAGNETOMETER EDITOR to search for data outside of these user-defined limits.

To display filtered points with a yellow "X", check the Show Active Filters option in the Display Options (F9).

The MAGNETOMETER EDITOR can also automatically delete all of these points, however this is not a recommended process for anything but getting a fast and approximate idea of your results.

Search and Filter Options

Search and Filter Options:

•Minimum Gamma and Maximum Gamma reject any gamma values that are outside user-specified Minimum and Maximum Allowable Gamma values.

•Off-line Limit rejects any points that are more than a specified distance away from the planned survey line.

•Spike Limit defines a gate above and below an accepted gamma value. If the net gamma value is outside the gate, it is rejected and the gate is expanded by adding the Gate Step to the Spike Limit. When a gamma value is accepted, the gate collapses to that gamma value level plus and minus the Spike Limit.

•Roll, Pitch Limit removes records where pitch or roll are greater than a user-specified number of degrees.

•Keep Events Only removes all gamma records except those that occur on the event.

•Filters Remove Gamma and Filters Interpolate Gamma offer a choice about how the filtering option affects your data. During the filtering process, gamma values outside of the Search and Filter settings can be deleted or interpolated according to this selection.

Search Only Options:

•XY Change/Time and Gamma Change are used with the Search feature to seek bad data points based on the predicted position for the Position (XY) and Gamma. If the actual value is too far from the predicted value, it is assumed the data point is bad and the cursor is moved directly to that point. You must decide what, if anything, to do about it.

•Search Basis determines what data is included in the search and filter operations. You can choose Gamma 1, Gamma 2 or both. You can elect to filter all of the data or only points that are not event marks. Some users wish to read the event marks to maintain the integrity of the track line. If a point with an event mark is removed, the event mark is moved to the next point when you plot track lines.

More Information

• Running the MAGNETOMETER EDITOR

• Read Parameters in the MAGNETOMETER EDITOR

• Special Marine Instrument Options

• Entering Shore-based Correction Parameters

• Windows in the MAGNETOMETER EDITOR

• Display Settings in the MAGNETOMETER EDITOR

• Manual Editing Magnetometer Data

• Automatic Editing Magnetometer Data

• Adjusting Layback in the MAGNETOMETER EDITOR

• Normalizing Magnetometer Data

• Whole Magnetic Analysis (WMA) in the MAGNETOMETER EDITOR

• Targets in the MAGNETOMETER EDITOR

• Generating WMA Target Reports in the MAGNETOMETER EDITOR

• Saving Edited Data in the MAGNETOMETER EDITOR

• Exporting Data from the Spreadsheet Window to a Text File

• Exporting Data from the Shore Data Table to a Text File


Manual Editing Magnetometer Data

This process is typically done in the Profile window while you scroll using the arrow keys on the MAGNETOMETER EDITOR shell. The data in the Survey and Tide/Draft Corrections windows may also be edited in this manner.

1.Scan and edit your data. (Optional) You can quickly scroll through your lines, to view your data while you remove obviously bad data and insert points where there are gaps in your data. This may save you a bit of time in the search and filter process.

2.Return to the first selected file.

3.Set your Search and Filter criteria.

4.Select EDIT-FIND NEXT (F3). The MAGNETOMETER EDITOR will systematically scan the survey data for soundings outside of the Search and Filter limits and position your cursor at that point in sequence.

5.Examine and edit your data. Decide to delete the sounding (and possibly others around it) or leave it and search out the next.

6.Continue to repeat the last two steps until the MAGNETOMETER EDITOR has progressed to the end of your data.

More Information

• Point Editing Methods in the MAGNETOMETER EDITOR

• Block Editing in the MAGNETOMETER EDITOR

• Clipping Data with a Border File in the MAGNETOMETER EDITOR

• Omitting Lines in the MAGNETOMETER EDITOR

• Gamma Differences in the MAGNETOMETER EDITOR

• Automatic Editing Magnetometer Data


Point Editing Methods in the MAGNETOMETER EDITOR

To delete individual points select the point with the cursor and click the delete point icon.

To delete small segments of data, click the eraser icon. The cursor changes to a small square. Each time you click that cursor, all data in that square will be deleted.

To manually Insert Points where there are gaps in your data.

1.Position your cursor adjacent to where you want to insert your point(s).

2.Select EDIT-INSERT POINT…. The Insert Points dialog will appear.

Insert Points Dialog

3.Enter your choices and click [OK].

•Before Current Point or After Current Point indicate where you want to insert data relative to the cursor.

•Interpolate Gamma assigns gamma, tide corrections and draft corrections to the inserted points based on the points positioned on either side. Clear this option to insert points all with value of zero.

•Number of Points: Specify how many points should be inserted. You can insert up to 999 points (total) in your file. If you attempt to insert 1000 or more points, a message that you have reached the maximum number. Points will be displayed and no points will be inserted to your file.

More Information

• Block Editing in the MAGNETOMETER EDITOR

• Clipping Data with a Border File in the MAGNETOMETER EDITOR

• Omitting Lines in the MAGNETOMETER EDITOR

• Gamma Differences in the MAGNETOMETER EDITOR


Block Editing in the MAGNETOMETER EDITOR

To delete a block of points, define the range of points then delete all points inside or outside the block.

1.Select a block of data points:

•In the Survey window: Use the [Current Line Only]/[All Lines] button to set whether you will edit only the current line (displayed in red) or all data currently loaded in the editor, then click the Block Tool and drag from one corner of the area to edit to the diagonally opposite corner. (If you're unhappy with the results, just try again.)

•In the Profile window:

• [image] Click and drag from one corner to the corner diagonally opposite. (If you're unhappy with the results, just try again.)

•Flag a point at each end of the range by selecting it and clicking the flag icon [image].

2.Delete the Data by clicking the Delete Inside Block (I) or Delete Outside Block (O) icon [image] . The data will either be erased or interpolated according to the setting in the Profile Window.

To delete all points above or below a user-defined line in the Profile window:

1. Click the Edit Above Line or Edit Below Line icon.

2.Holding the left mouse button down, use the cursor to draw a line to define where data should be removed. (Your line will draw in yellow.) When you release the mouse, the data above or below your line will be deleted according to which icon you chose.

Sample Edit Above the Line (Before)

Sample Edit Above the Line (After)

To restore deleted points:

• [image] Immediately after the delete operation, use the Undo icon in the MAGNETOMETER EDITOR shell.

•At any time:

a.In the View Options dialog, select the View Deleted Points option. Each deleted point will be displayed in your Profile with red ‘X’.

b.Select the points you wish to restore by dragging a box around them with your mouse.

c.Click the Undelete Block Icon in the Profile window toolbar.

More Information

• Point Editing Methods in the MAGNETOMETER EDITOR

• Clipping Data with a Border File in the MAGNETOMETER EDITOR

• Omitting Lines in the MAGNETOMETER EDITOR

• Gamma Differences in the MAGNETOMETER EDITOR


Clipping Data with a Border File in the MAGNETOMETER EDITOR

In the Survey window, you can clip your data using a border file, choosing to delete the data either inside or outside of the area defined by the border file.

1. Click the Clip to Border File icon. A File Select dialog will appear.

2.Select your border file and click [Open]. The border file will be displayed with your data in the Survey window.

Note:The position of the In/Out point in the border file is unimportant in this case.

Trimming to a Border File—Before

3. Click the Delete Inside or Delete Outside icon according to which data you want to remove.

Trimming to a Border File—After

More Information

• Point Editing Methods in the MAGNETOMETER EDITOR

• Block Editing in the MAGNETOMETER EDITOR

• Omitting Lines in the MAGNETOMETER EDITOR

• Gamma Differences in the MAGNETOMETER EDITOR


Omitting Lines in the MAGNETOMETER EDITOR

To omit lines with little or no data select the line in the MAGNETOMETER EDITOR toolbar and click the Ignore Current Line icon [image] . The ignored lines will no longer be displayed as you scroll through your data nor will they be saved with your edited data.

More Information

• Point Editing Methods in the MAGNETOMETER EDITOR

• Block Editing in the MAGNETOMETER EDITOR

• Clipping Data with a Border File in the MAGNETOMETER EDITOR

• Gamma Differences in the MAGNETOMETER EDITOR


Gamma Differences in the MAGNETOMETER EDITOR

To calculate the difference between the Gamma 1 and Gamma 2, select EDIT - GAMMA1-2 DIFFERENCE or EDIT - GAMMA2-1 DIFFERENCES, then click [Refresh] in the spreadsheet window. Gamma 1 will assume the value of the calculated difference. Gamma 2 becomes zero.

More Information

• Point Editing Methods in the MAGNETOMETER EDITOR

• Block Editing in the MAGNETOMETER EDITOR

• Clipping Data with a Border File in the MAGNETOMETER EDITOR

• Omitting Lines in the MAGNETOMETER EDITOR


Automatic Editing Magnetometer Data

1.Set your Search and Filter criteria.

2.Run the filters.

• [image] To affect all currently loaded data, click the Filter All icon. The MAGNETOMETER EDITOR automatically deletes all points outside the limits from all of the selected data files. You may do the same thing on a line-by-line basis by clicking the Filter Line icon in the Profile Window.

• [image] To affect only the line currently displayed, click the Filter Line icon in the Profile window.

•To affect only a select area of the line currently displayed, use your cursor in the Profile display to draw a box around the area where you want to apply the filters then click the Filter Line icon.

Beware! It's fast! It's easy! It's DANGEROUS!!! No computer program can replace human intelligence and common sense when it comes to editing data. Use this feature with caution!

More Information

• Manual Editing Magnetometer Data

• Search and Filter Options in the MAGNETOMETER EDITOR


Adjusting Layback in the MAGNETOMETER EDITOR

Layback Adjustment routine recalculates your positioning based on a change of a constant amount in your cable out.

1.Select TOOLS-ADJUST LAYBACK. A dialog will appear.

Adjust Layback Dialog

2.Enter your new Cable Out value and click [Recalculate]. The program will tell you when the calculations are complete.

3.Return to the MAGNETOMETER EDITOR dialog. Click [Close].


Adjusting the Gamma Based on Azimuth in the MAGNETOMETER EDITOR

If the display in your Survey window shows a saw-toothed surface with the crests and troughs following the track lines, your gamma readings are being affected by your survey direction: all lines run in one direction are peaks, and in the opposite direction, valleys. The Azimuth Adjust tool corrects the gamma readings proportionately according to the survey azimuth for each record and the azimuth difference from the user-defined azimuth. The following table shows the adjustments for a lines running north and south with gamma offset of 100:

Gamma Corrections Based on Azimuth

 | Angle | Offset
Dialog Entries | 0 | 50
90 degrees from Azimuth | 90 & 270 | 0
Inverse of Azimuth | 180 | -50
90 degrees either side of Azimuth | 271-360 or 0-89 | positive adjustments between 0 and 50
90 degrees either side of Azimuth Inverse | 91-269 | negative adjustments between 0 and -50

1.Determine the gamma difference between the lines run in one direction versus lines run in the opposite direction. (Compare the lines in the Profile window.)

2.Find the line azimuth on which you will base your adjustments. (The crest or trough lines.)

3.Select TOOLS-AZIMUTH ADJUST. The Azimuth Adjustment dialog appears.

Azimuth Adjust Dialog

4.Enter the adjustment parameters and click [Apply].

•Angle: The chosen line azimuth.

•Offset: Half of the gamma difference value.

•Apply to both gammas: Unselected, the adjustment only applies to Gamma 1.

When the adjustment is complete, the saw-toothed surface in the Survey window should be gone and the gamma levels in the Profile window should be more consistent.


Normalizing Magnetometer Data

We can use the MAGNETOMETER EDITOR to calculate and output data where the depths represent the difference between the median and the minimum and maximum gamma readings. This process is called normalization.

When you then use the normalized data to generate and display contours, it clearly shows your monopolar and dipolar target areas.

More Information

• Normalizing your Survey with the IGRF

• Normalizing the Data Manually

• Contouring Your Normalized Magnetometer Data


Normalizing your Survey with the IGRF

IGRF stands for International Geomagnetic Reference Field and is a mathematical model of the Earth's magnetic field created by the International Association of Geomagnetism and Aeronomy (IAGA). Given the time and position, the IGRF algorithm can calculate the expected gamma due to the Earth's main magnetic field. The IGRF method of normalization will not inadvertently remove legitimate spikes due to operator error that the manual method might.

The easiest, fastest and most accurate way to normalize your data is to let the MAGNETOMETER EDITOR do the work for you:

When you load your data, just check one of the IGRF options in the Selections tab of the Read Parameters. The program automatically applies the IGRF algorithms. IGRF option calculates the Boat IGRF and raw anomaly. If you also include shore-based data, the program also calculates The diurnal anomaly, total anomaly and total field.

Data Normalized with IGRF

More Information

• Normalizing the Data Manually

• Contouring Your Normalized Magnetometer Data


Normalizing the Data Manually

The MAGNETOMETER EDITOR also provides the means to normalize your data yourself without using IGRF data.

1.Load your gamma data to the MAGNETOMETER EDITOR.

2.Mirror the gamma data so Gamma 1 and Gamma 2 have the same values in each record.

a.Access the Fill Survey dialog by selecting EDIT-FILL SURVEY.

Fill Survey Dialog

b.Check the correct ‘Copy...’ option to create duplicate gamma data in both gamma fields and click [OK]. In most cases, you copy Gamma 1 to Gamma 2.

3.Display only Gamma 2.

a.Open the View Options (F9) Profile Window tab.

b.Clear the Show-Gamma 1 option.

c.Check the Show-Gamma 2.

d.Click [OK].

Enabling Only Gamma 2

Note:When you apply the changes, the Profile display should look the same except in blue.

4.Set the MAGNETOMETER EDITOR to interpolate data where you make deletions. If the button on the toolbar says ‘Delete Removes Soundings’, click the button to change modes to ‘Delete Interpolates Soundings’.

Important: If you fail to do this, you will have to redo this entire procedure.

5.Delete the targets. This will delete them only from Gamma 2 and generate a flat line within the average of the readings.

a.Use the cursor to drag a box around the data.

b. Click the ‘Delete In’ icon (or Ctrl+I).

This is the diurnal part of the data. You may have to do this on small sections based upon the interference during the survey line.

Removing Gamma Spikes — Before.

Removing Gamma Spikes — After

Note:Similar results may be obtained by subtracting the average Gamma value as a tide correction, however, that does not account for interference in the background. Manually deleting the targets in the MAGNETOMETER EDITOR does a much better job of removing interference and highlighting targets.

6.Return to the View Options and re-enable the Gamma 1 data. Once the spikes have been removed we see the Gamma 1 (red) data as well as the Gamma 2 (blue) data. The difference between them is the data we need.

Enabling Both Gammas 1 and 2

Notice that the gamma readings are in the 52,000 range. The dipolar target between events 1290 and 1291 has a minimum reading of 52080.82 and a maximum reading of 52228.23.

7.Select EDIT -> GAMMA1-GAMMA2. This subtracts the two values and replaces Gamma 1 with the difference. The Gamma 2 values will all be reset to 0. In this case, the process removes the gamma average and interference.

Gamma (red), Averaged Data (blue)

That same dipolar target that was a minimum of 52080.82 and a maximum reading of 52228.23 now has a minimum of -62.04 and a maximum of 85.34. It is a lot easier to see how big that target is—147 gammas peak to peak.

8.Save the edited magnetometer data.

More Information

• Normalizing your Survey with the IGRF

• Contouring Your Normalized Magnetometer Data


Whole Magnetic Analysis (WMA) in the MAGNETOMETER EDITOR

When you are editing magnetometer data, you can see the minimum and maximum gamma values in the Profile window, but that doesn’t tell us enough about the size of the detected object.

The Whole Magnetic Analysis provides statistical data about user-defined ranges of magnetometer data and enables you to record that data in target files. Use this tool on either raw or edited gamma data.

You can manually scroll through each line of data, checking and targeting any location you choose, or use the Anomaly Auto-detection tool to automatically find data spikes that fall outside user-defined parameters.

More Information

• WMA Window

• Marking Target Ranges with the Anomaly Auto-detection Tool

• Manual WMA Detection

• Marking WMA Targets in the MAGNETOMETER EDITOR

• Generating WMA Target Reports in the MAGNETOMETER EDITOR


WMA Window

The WMA window displays information about a defined range in your data. It also provides tools to fine tune your target range and position, mark targets and generate a detailed report for print.

Sample WMA Window

•Distance Over Ground: Distance between the vessel positions for the flagged records.

•Minimum and Maximum Gamma

•Cross Track: Distance off line.

•Time Elapsed: Difference in the time-tags for the flagged records.

•Peak to Peak: Difference between the minimum and maximum gamma.

•Distance from Beginning of Line (DBL)

From these statistics you can determine the approximate size of the object reflected in your data.

The graph shows the target range with the vertical, black line at the current target position.

To adjust the target position, select new target coordinates from the list provided, or click in the graph. The vertical line in the graph updates accordingly.

To adjust the target range, set the Boundary Increment, then use the Left Side and Right Side arrow buttons to shift where the range begins and ends, respectively.

More Information

• Marking Target Ranges with the Anomaly Auto-detection Tool

• Manual WMA Detection

• Marking WMA Targets in the MAGNETOMETER EDITOR

• Generating WMA Target Reports in the MAGNETOMETER EDITOR


Marking Target Ranges with the Anomaly Auto-detection Tool

The Anomaly Auto-detection Tool attempts to automate the search for anomalies through a spike filter.

The Spike Limit defines a gate above and below an accepted gamma value. If the gamma value is outside the gate, it is rejected and the gate is expanded by adding the Gate Step to the Spike Limit. When a gamma value is accepted, the gate collapses to that gamma value level plus and minus the Spike Limit.

1.Select TOOLS-ANOMALY AUTO-DETECTION. The Anomaly Auto-detection dialog appears.

Anomaly Auto-Detection

2.Enter a Spike Limit and Gate Step. Purple lines show auto-detection range in the Profile window and data filtered by your auto-detect settings appear as proposed target ranges in the spreadsheet. If your results are not as expected, adjust your auto-detection settings.

3.Examine each location from the spreadsheet window, marking targets as desired:

a.Choose a target in the spreadsheet. Click anywhere in the row. The Profile window borders the target range in purple and the WMA (Whole Magnetic Analysis) window appears with the corresponding data.

b.Set the Target Type: monopolar, dipolar or multicomponent.

WMA Window

c.Adjust the target position as needed. Select new target coordinates from the list provided, or click in the graph. The vertical line in the graph updates accordingly.

d.Adjust the target range as needed. Set the Boundary Increment, then use the Left Side and Right Side arrow buttons to shift where the range begins and ends, respectively.

e.Mark the target location. (Optional)

f.Output the information to the RTF report. (Optional.)

4.Click [Close].

More Information

• WMA Window

• Manual WMA Detection

• Marking WMA Targets in the MAGNETOMETER EDITOR

• Generating WMA Target Reports in the MAGNETOMETER EDITOR


Manual WMA Detection

When you have loaded your data to the MAGNETOMETER EDITOR, you can manually scroll through each line of data, checking and targeting any location you choose.

1.Scroll through your data to the first location of interest.

2. In the Profile window, click the Block Information icon.

3.Click on the profile view at the start and end of the magnetometer target. (This feature supports both monopolar and dipolar targets.) Flags show the defined range and the WMA dialog displays the statistical information.

Sample WMA Window

4.Adjust the target position as needed. Select new target coordinates from the list provided, or click in the graph. The vertical line in the graph updates accordingly.

5.Adjust the target range as needed. Set the Boundary Increment, then use the Left Side and Right Side arrow buttons to shift where the range begins and ends, respectively.

6.Mark the target location. (Optional)

7.Output the information to the RTF report. (Optional.)

8.Click [Close].

More Information

• WMA Window

• Marking Target Ranges with the Anomaly Auto-detection Tool

• Marking WMA Targets in the MAGNETOMETER EDITOR

• Generating WMA Target Reports in the MAGNETOMETER EDITOR


Targets in the MAGNETOMETER EDITOR

In the WMA window of the MAGNETOMETER EDITOR, you can use targets to mark anomaly locations and store detailed data about each anomaly. These targets are named MAGTGT (Peak Spread) and saved, by default, to the MAGEDIT target group, but you may choose another group or create a new one for your current target.

Note:Magnetometer targets record the Peak Minimum and Peak Maximum (gamma) attributes and calculate the Peak Spread.

You can also use quick targets to mark a simple position and gamma value. These targets are automatically named with the time-stamp of the target location.

You can view your targets in the area map of the HYPACK shell or any other program that supports target display.

Magnetometer Targets Displayed in HYPACK

More Information

• WMA Window

• Marking WMA Targets in the MAGNETOMETER EDITOR

• Quick Targets in the MAGNETOMETER EDITOR


Marking WMA Targets in the MAGNETOMETER EDITOR

When you detect a WMA anomaly and have target range marked, you can mark the location and store the data in a target from the WMA window:

Sample WMA Window

1.Select a target group in which to store your data. A target generated in the MAGNETOMETER EDITOR is saved, by default, to the MAGEDIT target group, but you may choose another group from the list or create a new one for your current target.

Tip: To create a new target group enter your new group name above the current group list and click [Create]. The new group then appears in the current group list.

2.Set the Target Type: monopolar, dipolar or multicomponent.

3.Adjust the target range as necessary, set the Boundary Increment, then use the Left Side and Right Side arrow buttons to shift where the range begins and ends, respectively.

4.Adjust the target position as needed. The vertical, black line shows the current position. Select new target coordinates from the list provided or click in the graphic; the display updates to keep the spreadsheet selection and graphic synchronized.

5.Choose whether to save an image file of the WMA window with the target with your Save Window As Target Capture File option. The graphic appears with the other target information in the TARGET EDITOR.

6.Click [Mark Target].

7.Close the WMA window. Click [Close].

More Information

• WMA Window

• Marking Target Ranges with the Anomaly Auto-detection Tool

• Manual WMA Detection

• Targets in the MAGNETOMETER EDITOR

• Quick Targets in the MAGNETOMETER EDITOR


Quick Targets in the MAGNETOMETER EDITOR

As you view your data in the various windows of the MAGNETOMETER EDITOR, you can create a target to mark some point of interest. Typically, a quick target marks something other than anomalies.

Note:Quick Targets mark only a point location so Peak Minimum and Maximum values are the same and the remaining magnetometer-specific target properties are null because they do not apply.

1.In the MAGNETOMETER EDITOR shell, select the line where you want to mark your target.

2.Select the point where the target should be placed and press F5. A Target dialog appears with the XYZ coordinates of your selected position and the default name (time) and target group (MAGEDIT).

Target Dialog

3.Edit your Target Name (Description), Position and Group information (Optional) and click [OK]. MAGNETOMETER EDITOR saves your target to your target group and displays it in the MAGNETOMETER EDITOR editing windows.

Note:Be careful if you are editing the Easting and Northing, an error in typing could place it outside of your survey area.

Tip: To bypass the Target dialog, select the Quick Targets option in the Other tab of the View Options dialog. Then, after the first target, when you choose the target group, subsequent targets are automatically named with the time-stamp from your data and saved to the same target group. This enables you to quickly capture multiple targets.

More Information

• Targets in the MAGNETOMETER EDITOR

• Marking WMA Targets in the MAGNETOMETER EDITOR


Generating WMA Target Reports in the MAGNETOMETER EDITOR

When you have a target range marked in the WMA window, you can output the information to a RTF (Rich Text Format) report. This provides all of the statistical data about the selected data range and an optional screen capture of the WMA window. The program saves the report, by default, to the project Raw folder, but you can choose an alternate location.

You can view your report in any word processing program that supports graphics.

1.Click [Write to RTF].

2.If this is the first time you click this button in the editing session, set a name and location for your report file then click [Open]. After the first saved target, the program automatically appends subsequent RTF data to the same report file.

Important: You cannot append RTF data to the files generated in previous MAGNETOMETER EDITOR sessions. You can, however, merge the pages using a word processing program.

More Information

• WMA Window

• Marking WMA Targets in the MAGNETOMETER EDITOR


Saving Edited Data in the MAGNETOMETER EDITOR

When you have finished editing your data, save your edited data to the HYPACK edited All2 format or XYZ format. The MAGNETOMETER EDITOR saves different values to the depth field according to the type of corrections:

Values Stored by the MAGNETOMETER EDITOR

Correction | Value Stored
IGRF | Raw Anomaly
Shore | Total Anomaly (default), but you can choose a different value (raw, diurnal, total field) in the File Save options.
Stand-alone | Gamma (no corrections)

In most cases, your All2 format data will be saved to a file of the same name with an MAG extension in the project Edit directory (e.g., edited 001_1007.RAW is stored as 001_1007.MAG). If you edit a catalog of raw data, the MAGNETOMETER EDITOR also generates a catalog of edited data (e.g., Raw0830.LOG generates MAG0830.LOG).

If you log your raw data with an extension other than ‘RAW’ in SURVEY, the edited data retains the same extension, but the LOG filename still begins with MAG (e.g., ABC0830.LOG generates MAGABC0830.LOG).

In the File Save options, you can also specify a custom extension for your edited All files, regardless of your raw file names. This is useful to compare the results when you process data with different settings. In this case, edited 001_1007.RAW is stored as 001_1007.CustomExt and Raw0830.LOG input generates MAG0830_CustomExt.LOG.

More Information

• Saving Magnetometer Data to the ALL Format

• Saving Magnetometer Data to XYZ Format


Saving Magnetometer Data to the ALL Format

The MAGNETOMETER EDITOR saves different values to the depth field according to the type of corrections:

Values Stored by the MAGNETOMETER EDITOR

Correction | Value Stored
IGRF | Raw Anomaly
Shore | Total Anomaly (default), but you can choose a different value (raw, diurnal, total field) in the File Save options.
Stand-alone | Gamma (no corrections)

1.Select FILE-SAVE OPTIONS, check your save options in the Save Options dialog and click [OK].

MAGNETOMETER EDITOR Save Options

•To save with the MAG extension, select Use Default Naming.

•To set an alternate extension, select Select Extension and enter your new extension in the corresponding field.

2.Save your data. You may save all loaded data at once, or one line at a time according to your save options.

•To save only the line currently displayed, select FILE-SAVE.

•To save all loaded data according to your save options, select FILE-SAVE ALL.

•To save only the line currently displayed to a different name, location or both, select FILE-SAVE AS.

More Information

• Saving Edited Data in the MAGNETOMETER EDITOR

• Saving Magnetometer Data to XYZ Format


Saving Magnetometer Data to XYZ Format

The MAGNETOMETER EDITOR saves different values to the depth field according to the type of corrections:

Values Stored by the MAGNETOMETER EDITOR

Correction | Value Stored
IGRF | Raw Anomaly
Shore | Total Anomaly (default), but you can choose a different value (raw, diurnal, total field) in the File Save options.
Stand-alone | Gamma (no corrections)

1.Select FILE-SAVEOPTIONS, check your XYZ Final Value options in the Save Options dialog and click [OK].

MAGNETOMETER EDITOR XYZ Save Options

2.Select FILE-SAVE TO XYZ. A File Save dialog appears.

3.Name your output file and click [Save].

More Information

• Saving Edited Data in the MAGNETOMETER EDITOR

• Saving Magnetometer Data to the ALL Format


Exporting Data from the Spreadsheet Window to a Text File

You can export the contents of the spreadsheet to a text file.

1.Click [Export]. The Spreadsheet Export dialog will appear.

Spreadsheet Export Dialog

2.Select your file and format options. (The options are pretty self-explanatory.) The SHOM file option displays the SHOM Export dialog for further options.

Tip: To align the column titles with the correct data, import the text file to a spreadsheet program.

3.Click [OK]. A File Selection dialog will appear for you to name the text file and designate where it should be saved.

4.Name your file and file destination then click [OK]. The file will be saved with a TXT extension. You can view your text file in any text editor or import it to a spreadsheet program.

A Sample Exported Spreadsheet Text File

More Information

• Running the MAGNETOMETER EDITOR

• Read Parameters in the MAGNETOMETER EDITOR

• Special Marine Instrument Options

• Entering Shore-based Correction Parameters

• Windows in the MAGNETOMETER EDITOR

• Display Settings in the MAGNETOMETER EDITOR

• Search and Filter Options in the MAGNETOMETER EDITOR

• Manual Editing Magnetometer Data

• Automatic Editing Magnetometer Data

• Adjusting Layback in the MAGNETOMETER EDITOR

• Normalizing Magnetometer Data

• Whole Magnetic Analysis (WMA) in the MAGNETOMETER EDITOR

• Targets in the MAGNETOMETER EDITOR

• Generating WMA Target Reports in the MAGNETOMETER EDITOR

• Saving Edited Data in the MAGNETOMETER EDITOR

• Exporting Data from the Shore Data Table to a Text File


Exporting Data from the Shore Data Table to a Text File

To generate a text file with the spreadsheet contents in the Shore Data Table, do the following:

1.Click [Export].

2.Name your text file and click [Save].

The file is saved, by default, to the project folder.

Shore Data Table Export

More Information

• Running the MAGNETOMETER EDITOR

• Read Parameters in the MAGNETOMETER EDITOR

• Special Marine Instrument Options

• Entering Shore-based Correction Parameters

• Windows in the MAGNETOMETER EDITOR

• Display Settings in the MAGNETOMETER EDITOR

• Search and Filter Options in the MAGNETOMETER EDITOR

• Manual Editing Magnetometer Data

• Automatic Editing Magnetometer Data

• Adjusting Layback in the MAGNETOMETER EDITOR

• Normalizing Magnetometer Data

• Whole Magnetic Analysis (WMA) in the MAGNETOMETER EDITOR

• Targets in the MAGNETOMETER EDITOR

• Generating WMA Target Reports in the MAGNETOMETER EDITOR

• Saving Edited Data in the MAGNETOMETER EDITOR

• Exporting Data from the Spreadsheet Window to a Text File


Contouring Your Normalized Magnetometer Data

Normalized magnetometer data can effectively displayed as 2-dimensional contours generated in the TIN MODEL program. Contoured data clearly shows your monopolar and dipolar target areas.

1.Set the project colors to optimize your display of the magnetometer data. The data includes both negative and positive values according to whether the gammas were above or below the background data.

Tip: If you set the colors for negative values to one color, positive values to another and zero to white, it creates contrasting displays particularly at the target areas.

Sample Colors to Highlight the Magnetometer Targets

2.Use the TIN MODEL program to create a 2D contour DXF chart using the project colors.

2-dimensional Contours of your Magnetometer Data

More Information

• Exporting Contours from TIN Models


Sub-bottom Processing

The SUB-BOTTOM PROCESSOR displays SEG-Y or Edgetech JSF sub-bottom data, and provides tools with which you mark targets and digitize your layers. The SUB-BOTTOM PROCESSOR displays the sub-bottom profiles and converts the digitized points to the HYPACK All format or XYZ format, which may then be displayed with the targets in the HYPACK screen, plotted from HYPLOT or converted to other formats in EXPORT.

HYPACK includes two versions of the SUB-BOTTOM PROCESSOR: 32-bit and 64-bit. Select PROCESSING - SUB-BOTTOM PROCESSING. HYPACK automatically runs the version matching your Windows® operating system.

Sample SUB-BOTTOM PROCESSOR Interface—Profile View (top), Map View (bottom)

More Information

• Windows in the SUB-BOTTOM PROCESSOR

• Running the SUB-BOTTOM PROCESSOR

• Modifying your Data Set in SUB-BOTTOM PROCESSOR

• Display Options in the SUB-BOTTOM PROCESSOR

• Corrections in the SUB-BOTTOM PROCESSOR

• Limiting Data with a Border File

• View Tracks View Options in the SUB-BOTTOM PROCESSOR

• Bottom Tracking in the SUB-BOTTOM PROCESSOR

• Digitizing Layers in the SUB-BOTTOM PROCESSOR

• Targets in the SUB-BOTTOM PROCESSOR

• Fence Diagrams in the SUB-BOTTOM PROCESSOR

• Storing Screen Shots from the SUB-BOTTOM PROCESSOR

• Saving Session Configurations in the SUB-BOTTOM PROCESSOR


Windows in the SUB-BOTTOM PROCESSOR

The SUB-BOTTOM PROCESSOR is comprised of three window displays and a multi-tabbed dialog with all of the options with which you can configure your displays.

Processing Window

The Processing window is the primary window. Its menu system controls the data input to the display and output based on your work in its rendering of the sub-bottom profile.

View Tracks Window

The View Tracks window automatically displays a map view of project files that are enabled when you open the SUB-BOTTOM PROCESSOR. In the View Tracks tab of the Settings dialog, you can configure it to show your digitized layers and targets as well.

As you move your cursor over the profile in the Processing window, the position of an ‘X’ updates in the View Tracks window to show your current position on the track line.

Fence Diagram

The sub-bottom fence diagram shows one or more profiles together in a 3-dimensional, interactive display. The options in the Settings dialog enable you to customize your display.

Sample View Tracks (left), Fence Diagrams (right) and View Tracks (right)

Settings Dialog

The Settings dialog is a multi-tabbed dialog where you make the SUB-BOTTOM PROCESSOR work for you. It provides settings with which you can control the display of your sub-bottom data, as well as the other project files that provide context in your processing; options that control the cursor mode (digitizing, targeting or annotation); and the opportunity to apply corrections to your exported seabed and reflector points. You can apply all features to the full extent of your sub-bottom data, or use a border file (*.BRD) to focus your work within a user-defined area.

Tip: To neatly arrange your windows on one screen, select VIEW-TILE WINDOWS and the monitor number you want to use. F2 automatically arranges the windows on the primary monitor.

More Information

• Running the SUB-BOTTOM PROCESSOR

• Modifying your Data Set in SUB-BOTTOM PROCESSOR

• Display Options in the SUB-BOTTOM PROCESSOR

• Corrections in the SUB-BOTTOM PROCESSOR

• Limiting Data with a Border File

• View Tracks View Options in the SUB-BOTTOM PROCESSOR

• Bottom Tracking in the SUB-BOTTOM PROCESSOR

• Digitizing Layers in the SUB-BOTTOM PROCESSOR

• Targets in the SUB-BOTTOM PROCESSOR

• Fence Diagrams in the SUB-BOTTOM PROCESSOR

• Storing Screen Shots from the SUB-BOTTOM PROCESSOR

• Saving Session Configurations in the SUB-BOTTOM PROCESSOR


Running the SUB-BOTTOM PROCESSOR

1.In the HYPACK shell, enable the files you want to display in the View Tracks display of the SUB-BOTTOM PROCESSOR.

2.Open the SUB-BOTTOM PROCESSOR. Select PROCESSING-SUB-BOTTOM PROCESSING.

3.Open a sub-bottom session.

•For a new data set, select FILE-NEW SESSION (Ctrl+N). This option provides a dialog where you will select your raw data. The program can read SEG-Y (*.seg, *.segy or *.sgy) and JSF format files. You can multiselect individual files or create a catalog (*.LOG) file to load them at once.

•For an existing project, select FILE-OPEN SESSION (Ctrl+O) and choose the SBP.xml from the desired project. The program loads the data with the associated bottom track and digitized layers as they were when you last saved them.

4.Modify your data set you will digitize, if necessary. You can add or remove files from the current list.

5.Optimize the display of the acoustic profile using the options in the first four Options tabs.

•The first time you work in the SUB-BOTTOM PROCESSOR with data of this sub-bottom type, work from left to right, find the optimal settings in each tab before moving to the next.

•If you have worked in the SUB-BOTTOM PROCESSOR with this type of data, load the settings from that project by loading the configuration file (FILE-LOAD CONFIGURATION).

6.Set your sound velocity corrections. The program defaults to 1500 meters/second in water and 1600 meters/second in sediment. Alternatively, you may load a sound velocity corrections file (*.VEL) to correct the water column.

7.Find a clearly defined, continuous bottom track for each line.

8.Set your view options for the View Tracks window.

9.Digitize your layers and mark any targets.

10.Save your project.

More Information

• Windows in the SUB-BOTTOM PROCESSOR

• Modifying your Data Set in SUB-BOTTOM PROCESSOR

• Display Options in the SUB-BOTTOM PROCESSOR

• Corrections in the SUB-BOTTOM PROCESSOR

• Limiting Data with a Border File

• View Tracks View Options in the SUB-BOTTOM PROCESSOR

• Bottom Tracking in the SUB-BOTTOM PROCESSOR

• Digitizing Layers in the SUB-BOTTOM PROCESSOR

• Targets in the SUB-BOTTOM PROCESSOR

• Fence Diagrams in the SUB-BOTTOM PROCESSOR

• Storing Screen Shots from the SUB-BOTTOM PROCESSOR

• Saving Session Configurations in the SUB-BOTTOM PROCESSOR


Modifying your Data Set in SUB-BOTTOM PROCESSOR

The SUB-BOTTOM PROCESSOR enables you to add or remove SEG-Y or Edgetech JSF files from the current session at any time.

HYPACK SURVEY does not generate catalog (*.LOG) files for Sub-bottomfiles. You can create one in the HYPACK interface or multiselect files in both the loading and unloading processes.

•For a new session, load the files you want to process. You can select multiple files or a catalog of files from the project Raw folder.

For SEG-Y data, the SUB-BOTTOM PROCESSOR also recognizes an SEGY or SGY extension.

•For an existing session, you can add or remove files from the current processing session. This does not remove the files from the project or your hard drive.

Loading Files to the Session

1.Select FILE-ADD FILES TO SESSION. A File Select dialog appears.

2.Select one or more files from the Raw folder and click [OK].

Removing Files from the Session

1.Select FILE-REMOVE FILES FROM SESSION. The File Selection dialog appears listing the current project files.

File Selection Dialog

2.Select one or more files from the list.

3.Click [OK]. The selected files are removed from the SFiles list.

More Information

• Windows in the SUB-BOTTOM PROCESSOR

• Running the SUB-BOTTOM PROCESSOR

• Display Options in the SUB-BOTTOM PROCESSOR

• Corrections in the SUB-BOTTOM PROCESSOR

• Limiting Data with a Border File

• View Tracks View Options in the SUB-BOTTOM PROCESSOR

• Bottom Tracking in the SUB-BOTTOM PROCESSOR

• Digitizing Layers in the SUB-BOTTOM PROCESSOR

• Targets in the SUB-BOTTOM PROCESSOR

• Fence Diagrams in the SUB-BOTTOM PROCESSOR

• Storing Screen Shots from the SUB-BOTTOM PROCESSOR

• Saving Session Configurations in the SUB-BOTTOM PROCESSOR


Display Options in the SUB-BOTTOM PROCESSOR

The SUB-BOTTOM PROCESSOR View Options are included with the other tools and settings in the Settings dialog. Once you have loaded your data, use the first four tabs, working from left to right, to configure your acoustic profiles for optimal viewing.

Additional tabs enable you to configure the display of other project files that provide context in your processing; options that control the cursor mode (digitizing, targeting or annotation); the opportunity to apply corrections to your exported seabed and reflector points. You can apply all features to the full extent of your sub-bottom data, or use a border file (*.BRD) to focus your work within a user-defined area.

More Information

• Display Tab in the SUB-BOTTOM PROCESSOR

• Dynamic Range Tab in the SUB-BOTTOM PROCESSOR

• Time Varying Gain Controls in the SUB-BOTTOM PROCESSOR

• Frequency Filter in the SUB-BOTTOM PROCESSOR


Display Tab in the SUB-BOTTOM PROCESSOR

Use the options in the Display tab to fit the data in the displays and choose what additional information and guides appear.

View Options—Display Tab

Fit Trace to Window Height distributes the full range of the single acoustic return display evenly down the display.

Align Trace With Image (recommended) shows only the portion of the single acoustic return display that corresponds to the vertical range of the acoustic profile.

Line Thickness: Width of the line defining the bottom track and each isopach layer. A setting of one or two pixels is recommended.

Point Size adjusts the size (pixels) of the reflectors marking the isopach layers.

Show Range Markers (optional) draws horizontal lines at intervals defined under Spacing.

[SBP Channel]: Dual channel systems load separate SEG-Y files—one for each channel, and you process them separately. This button displays the channel currently in process.

Show Seabed (recommended) displays the thick, blue line that shows where the program has detected the bottom.

Show Swell Correction: If the Swell Correct option is selected on the Bottom Tracking tab, this option displays the result as a thick, green line in the acoustic profile.

[Auto Range, TVG and Bottom Track] attempts to automatically set the best values based on your data set. This option does not work well on noisy data.

Display Isopach Polygon: When you have digitized one or more isopach layers, you can color fill between user-defined layers to highlight those areas in the profile as well as in the fence display. The Settings dialog initially shows options for only one polygon, but you can use [Create Additional Polygon] and [Delete Polygon] to create and remove additional areas. For each polygon, you can define the layers between which the color appears and a level of transparency (0 to 100%). A high transparency allows you to see the sub-bottom data through the coloration.

Note:Layers that define one or more polygons must be complete to draw correctly. If you want to digitize more point in such a layer, just deselect the Display Isopach Polygon option while you do so.

Polygons (left), No Polygons (right)

Ignore delay when drawing image: For systems that intentionally ignore the upper segment—a specified time delay—of the water column in deep water areas. If your project includes both deep and shallow water, your layers may not align at the transition area. Clear this option when this misalignment occurs; otherwise, check this option to optimize your display.

Zoom in X Direction and Zoom in Y Direction adjust the horizontal and vertical scale respectively.

Zoom to Fit Width automatically sets the scale in the X direction to exactly fit the display window. It overrides the Zoom in X direction option.

Show Targets includes targets in the acoustic profile.

Target Size adjusts the size of the target location.

Target Editing Mode: Determines whether a click in the data generates a reflector or a target.

Annotation Tool enables annotation mode where the interface displays the depth and the distance between each isopach layer at the cursor location.

•To display the annotations at multiple locations, click at each location.

•To remove an annotation, hold Shift and click the annotation mark.

More Information

• Display Options in the SUB-BOTTOM PROCESSOR

• Dynamic Range Tab in the SUB-BOTTOM PROCESSOR

• Time Varying Gain Controls in the SUB-BOTTOM PROCESSOR

• Frequency Filter in the SUB-BOTTOM PROCESSOR


Dynamic Range Tab in the SUB-BOTTOM PROCESSOR

The Dynamic Range options configure the acoustic profile.

View Options—Dynamic Range Tab

Data Minimum and Data Maximum display the range of the signal.

Color Options: You may choose from a selection of pre-defined color options based on personal preference.

Bipolar both positive and negative signals are displayed with the zero signal level colored 50% gray. This works well for Boomer/Sparker data.

Rectified shifts the negative side of the single acoustic return display to the positive. This works well for Boomer/Sparker data.

Unipolar omits the negative side of the single acoustic return display. This works well for Pinger/Chirp data.

Data Offset (default 0) shifts the data value by a user-defined constant. This option is only used to improve drawing of data outside the typical range.

Use Full Dynamic Range for Trace always shows full range of the single acoustic return display.

Clip Trace to Match Image Clipping: If you have selected the Rectified or Unipolar option, the single acoustic return display shows only the positive side.

More Information

• Display Options in the SUB-BOTTOM PROCESSOR

• Display Tab in the SUB-BOTTOM PROCESSOR

• Time Varying Gain Controls in the SUB-BOTTOM PROCESSOR

• Frequency Filter in the SUB-BOTTOM PROCESSOR


Time Varying Gain Controls in the SUB-BOTTOM PROCESSOR

Time Varying Gain (TVG) controls enable you to adjust the TVG levels over the range of the data to optimize your acoustic profile.

With the Enable TVG option checked, you can experiment with different settings—alternately changing the settings then applying them—until your you are satisfied.

View Options—TVG Tab

Enable TVG allows the settings in this tab to affect the acoustic profile.

Gain multiplies the strength of the data rendering. As gain increases, the single acoustic return widens and the acoustic profile gets darker.

TVG Mode: Choose the mode with which TVG is adjusted. The white line in the single acoustic return display shows the adjustment across the display in either mode.

•Exponential, for pinger or CHIRP data, mathematically calculates a regular adjustment based on the user-defined slope. The higher the slope, the more delay before it applies any TVG, but when it does, it increases the strength of the TVG over a shorter time.

•User-Defined, for boomer, sparker or airgun data, enables you to manually set the adjustment over the full length of the single acoustic return. Click and drag any point on the adjustment indicator left or right to customize the adjustment over the length of your return.

When the TVG curve is set correctly it should fill most of the oscilloscope window (left) with the highest peaks clipped at the edge of the display.

[Export TVG] saves your manual TVG settings so you can reproduce them later. They are stored, by default, to CurrentLineName.TVG in your project folder.

Use [Import TVG] to reload your saved TVG settings.

TVG Settings—Exponential

TVG Settings—User-Define

More Information

• Display Options in the SUB-BOTTOM PROCESSOR

• Display Tab in the SUB-BOTTOM PROCESSOR

• Dynamic Range Tab in the SUB-BOTTOM PROCESSOR

• Frequency Filter in the SUB-BOTTOM PROCESSOR


Frequency Filter in the SUB-BOTTOM PROCESSOR

The frequency filter removes all data outside of the user-defined range. These are the same filters as were used to improve the display in the sub-bottom device window during acquisition.

View Options—Frequency Filter

Enable Bandpass allows the filter settings on this tab to affect the acoustic profile.

•Low Frequency Cutoff and High Frequency Cutoff define the range of power to display. The recommended starting point for filtering sub-bottom data is a low pass start frequency of half of the sub-bottom transmit frequency and a high pass end frequency of double the sub-bottom transmit frequency.

Note:Generally, additional band pass filtering should not be applied to Chirp data due to the match filtering and correlation that is applied to the signal arrivals by the sub-bottom profiler manufacturer.

Cutoff Sharpness rounds the curve for the cutoff range. The Power Spectrum display shows the defined cutoff range (orange) overlaid on a sample return.

[Apply Filter] updates your displays according to the current settings.

More Information

• Display Options in the SUB-BOTTOM PROCESSOR

• Display Tab in the SUB-BOTTOM PROCESSOR

• Dynamic Range Tab in the SUB-BOTTOM PROCESSOR

• Time Varying Gain Controls in the SUB-BOTTOM PROCESSOR


Corrections in the SUB-BOTTOM PROCESSOR

The SUB-BOTTOM PROCESSOR can apply one or more of the following corrections to the exported data. Corrections entered in post-processing correct only the resultant edited data; the raw data will remain unchanged.

Important: Corrections can affect the drawing in the scrolling data window, so it is important to apply them before you begin to digitize your layers.

•Sound Velocity and Tide corrections are applied to the digitized depths. When you include these corrections, the SUB-BOTTOM PROCESSOR exports corrected data.

•Latency is included in the sub-bottom data; however, you can correct any latency errors by entering the correct information in the latency tab.

•Layback: Use these options only when your data is not corrected for layback. Data logged in HYPACK includes layback correction from the towfish driver.

More Information

• Sound Velocity Corrections in the SUB-BOTTOM PROCESSOR

• Tide Corrections in the SUB-BOTTOM PROCESSOR

• Latency Corrections in the SUB-BOTTOM PROCESSOR

• Layback Corrections in the SUB-BOTTOM PROCESSOR


Sound Velocity Corrections in the SUB-BOTTOM PROCESSOR

Sound velocity corrections are used when the SUB-BOTTOM PROCESSOR exports your digitized data. The conversion of the depth measured in milliseconds to depth in survey units for your exported data files requires accurate sound velocity information.

The SUB-BOTTOM PROCESSOR enters default sound velocity corrections for both water (1500 meters/second) and sediment (1600 meters/second), but you can manually enter new values.

Alternatively, for the speed of sound in water, you can load a sound velocity correction file (*.VEL):

1.Check Use SV Profile from VEL file.

2.Click [Select File] and browse for the correct VEL file.

Sound Velocity Tab

More Information

• Corrections in the SUB-BOTTOM PROCESSOR

• Tide Corrections in the SUB-BOTTOM PROCESSOR

• Latency Corrections in the SUB-BOTTOM PROCESSOR

• Layback Corrections in the SUB-BOTTOM PROCESSOR

• Creating a Sound Velocity File in the SOUND VELOCITY Program


Tide Corrections in the SUB-BOTTOM PROCESSOR

You can use any of the tide drivers provided to record tide corrections to the RAW data file during acquisition; however this data is not recorded or applied to the SEG-Y files.

In HYPACK, you must apply tide corrections to sub-bottom data in post-processing. You can then export corrected All format (*.EDT) and XYZ data from the SUB-BOTTOM PROCESSOR.

1.Create a Tide Correction file.

•Harmonic predictions in the HARMONIC PREDICTION program.

•Predicted high-low water times in the MANUAL TIDES program.

•Actual tide levels and times in the MANUAL TIDES program.

2.Load it to the SUB-BOTTOM PROCESSOR in the Tide tab of the Settings dialog.

The important thing to remember in all of these methods is that the tide correction is added to the raw sounding. Tide corrections relate raw soundings to the chart (low water) datum. Since you normally want to remove the water column above the sounding datum, the overwhelming majority of the time your tide corrections will be negative numbers! The HARMONIC PREDICTION program takes care of this automatically. You have to make some mental adjustments when entering tidal heights in the MANUAL TIDES program.

•When creating a tide file for depth mode, enter tide values as negative numbers.

•When creating a tide file for elevation mode, enter tide values as positive numbers.

Tide corrections are measured in survey units.

Any sounding with a timetag before the first time of your *.TID file will get the value of that first time. Any sounding with a timetag after the last time of your *.TID file will get the value of that last time.

View Options—Tide Tab

1.Select the Apply Tide File to Reflectors option.

2.Load your tide corrections file. Click [Select File] and choose the TID file from the file selection dialog.F

More Information

• Corrections in the SUB-BOTTOM PROCESSOR

• Sound Velocity Corrections in the SUB-BOTTOM PROCESSOR

• Latency Corrections in the SUB-BOTTOM PROCESSOR

• Layback Corrections in the SUB-BOTTOM PROCESSOR

• Tide (Water Level) Corrections


Latency Corrections in the SUB-BOTTOM PROCESSOR

The Latency tab displays the current latency value and enables you to apply a different latency to your edited data. Just enter the New Latency value and click [Apply].

Latency Options

More Information

• Corrections in the SUB-BOTTOM PROCESSOR

• Sound Velocity Corrections in the SUB-BOTTOM PROCESSOR

• Tide Corrections in the SUB-BOTTOM PROCESSOR

• Layback Corrections in the SUB-BOTTOM PROCESSOR


Layback Corrections in the SUB-BOTTOM PROCESSOR

HYPACK uses the Towfish Depth, Distance from the GPS to Towfish Cable Anchor Point (A-frame connection point) and corrected Cable Length to calculate the horizontal distance from the A-frame connection point to the towfish. That distance is added to the Y-offset to calculate the layback.

Important: Use these options only when your data is not corrected for layback. Data logged in HYPACK includes layback correction from the towfish driver.

Layback Correction Options

Perform Layback Correction instructs the program to calculate and apply a layback correction based on the information entered in the Layback Correction tab.

Towfish Depth and Towfish Cable Length are user-defined constants in survey units.

Distance from GPS to Towfish Cable Anchor Point: The Y-offset between the GPS and cable anchor point.

[Apply Layback to Existing Targets] calculates and applies layback based on the current settings.

More Information

• Corrections in the SUB-BOTTOM PROCESSOR

• Sound Velocity Corrections in the SUB-BOTTOM PROCESSOR

• Tide Corrections in the SUB-BOTTOM PROCESSOR

• Latency Corrections in the SUB-BOTTOM PROCESSOR

• Towfish with Simple Layback


Limiting Data with a Border File

In addition to your initial data selection, you can further limit the data in your displays and in your export operations using a border file. Use this option to focus on a defined area of a larger survey or to limit the extent of exported data files.

These options are in the Border tab of the Settings dialog.

Settings Dialog—Border Tab

1.In the HYPACK BORDER EDITOR, create a border file around your area of interest.

2.In the SUB-BOTTOM PROCESSOR,

3.Click [Select File] and choose the border file with which to trim your data. The checkboxes then become enabled.

4.Choose the operations where trimming should occur.

•Trim SBP to a border for display

•Trim SBP to a border for EDT export

•Trim SBP to a border for XYZ export

Trim SBP to a border for the fence diagram

More Information

• Border Files

• Windows in the SUB-BOTTOM PROCESSOR

• Running the SUB-BOTTOM PROCESSOR

• Modifying your Data Set in SUB-BOTTOM PROCESSOR

• Display Options in the SUB-BOTTOM PROCESSOR

• Corrections in the SUB-BOTTOM PROCESSOR

• View Tracks View Options in the SUB-BOTTOM PROCESSOR

• Bottom Tracking in the SUB-BOTTOM PROCESSOR

• Digitizing Layers in the SUB-BOTTOM PROCESSOR

• Targets in the SUB-BOTTOM PROCESSOR

• Fence Diagrams in the SUB-BOTTOM PROCESSOR

• Storing Screen Shots from the SUB-BOTTOM PROCESSOR

• Saving Session Configurations in the SUB-BOTTOM PROCESSOR


View Tracks View Options in the SUB-BOTTOM PROCESSOR

The View Tracks window automatically displays project files that are enabled when you open the SUB-BOTTOM PROCESSOR.

The View Tracks options configure the track line data display in the View Tracks window.

View Tracks Window

View Tracks Tab

View Tracks displays the View Tracks window.

Show Reflector #: The View Tracks display shows only one layer at a time. Choose to display the seabed or one of the digitized sub-bottom layers. The color-coding depends on your selection of the Depth or Isopach option:

•Depth color-codes using absolute depth.

•Isopach color-codes using depth below the bottom track.

Note:To show the seabed, you must have a valid bottom track.
To show a reflector layer, you must have digitized the selected isopach layer in your profile.

Reflector Size adjusts the size of the digitized points in the display.

Show Targets overlays your targets on the track line.

Target Size adjusts the size of the font and target symbols.

Color Range: The reflectors in the View Tracks window are color-coded based on this depth range. The range is defined by the values at each end of the spectrum.

Lock Values maintain the current color range for all levels.

Force Lower Limit to Zero sets the lower end of the color spectrum to zero.

[Zoom Extents] scales the display to the extent of the sub-bottom data.

Blank Water Column omits noise in the water column.

[Recalculate Limits] distributes the color spectrum evenly across the range of the data set.

More Information

• Windows in the SUB-BOTTOM PROCESSOR

• Running the SUB-BOTTOM PROCESSOR

• Modifying your Data Set in SUB-BOTTOM PROCESSOR

• Display Options in the SUB-BOTTOM PROCESSOR

• Corrections in the SUB-BOTTOM PROCESSOR

• Limiting Data with a Border File

• Bottom Tracking in the SUB-BOTTOM PROCESSOR

• Digitizing Layers in the SUB-BOTTOM PROCESSOR

• Targets in the SUB-BOTTOM PROCESSOR

• Fence Diagrams in the SUB-BOTTOM PROCESSOR

• Storing Screen Shots from the SUB-BOTTOM PROCESSOR

• Saving Session Configurations in the SUB-BOTTOM PROCESSOR


Bottom Tracking in the SUB-BOTTOM PROCESSOR

The bottom track is our best estimate of the seabed surface. It is essential to have a clearly-defined bottom track before you progress to digitizing your layers, as it is used to measure the isopach and depth of burial (distance from the seabed) when you mark targets.

Important: A good bottom track is essential to obtaining accurate isopach measurements.

More Information

• Calculating the Bottom Track in the SUB-BOTTOM PROCESSOR

• Bottom Track Tools and Options in the SUB-BOTTOM PROCESSOR


Calculating the Bottom Track in the SUB-BOTTOM PROCESSOR

Use the following process to define the bottom track for each line before you begin digitizing sub-bottom layers.

1.In the Display tab, check the Show Seabed option.

2.Open the Bottom Tracking tab.

Bottom Tracking Tab

3.Choose the basis on which you think the program will best find the seabed.

4.Enter the Bang Pulse Duration. Typically, the bang pulse is 0-4 ms. In this case, 5ms should work well.

5.Enter the Threshold. Click [Estimate] to let the program calculate the Threshold. This is a good starting point, but you can experiment with other values if you choose.

6.Apply Swell Correct. (Optional) Swell Correct removes the effects of heave, flattening the upper surface of the seismic data; the underlying data is adjusted accordingly. This generally enhances the seismic reflectors, so it is recommended before picking the seismic reflectors.

7.Click [Calculate New Seabed]. Blue pixels overlay the acoustic profile where the program has found the bottom.

•[Clear Seabed] removes the current seabed definition.

•[Revert Seabed] applies the previous seabed definition.

8.Experiment with different settings—alternating between changing settings and calculating a new seabed—until you have the best results possible.

9.Smooth the bottom track.

10.Manually digitize areas where the bottom is still unclear. (Optional)

For each segment do the following:

a.Check the Manually Pick Seabed option.

b.Use your cursor to click two or more points on the acoustic profile where the bottom track should be defined. At the end of the re-digitized line segment, make the final pick as accurately as possible on the “good” line segment.

Note:Your digitized points replace the calculated bottom tracking, so make the new picks in sufficient detail.

c.Clear the Manually Pick Seabed option to accept your work.

Note:If the results are unsatisfactory, just manually digitize the same segment again. The program will update to the newest point set.

More Information

• Bottom Track Tools and Options in the SUB-BOTTOM PROCESSOR


Bottom Track Tools and Options in the SUB-BOTTOM PROCESSOR

To automatically find the seabed, the SUB-BOTTOM PROCESSOR analyzes the full length of the first acoustic return and draws the bottom track in blue based on the options in the Bottom Tracking tab. Experiment with different settings to find the combination that generates the best presentation in the acoustic profile.

Important: Display the entire sub-bottom file in the profile window to see if there are any areas that require correcting. (In the Display tab, check Zoom To Fit Width to view entire line.)

Manually Pick Seabed enables you to use the cursor to digitize the seabed bottom or segments of it. (Seabed Picking Mode replaces the reflectors in the toolbar.) Typically, you would use this tool to fill small gaps in the bottom defined using the automated settings.

[Smooth Bottom] rounds jagged contours based on the adjacent bottom track points. The smoothing width sets the number of points considered on each side of each point.

Note:Smoothing removes manually digitized points.

Swell Correct removes the effects of heave, flattening the upper surface of the seismic data; the underlying data is adjusted accordingly. This generally enhances the seismic reflectors, so it is recommended before picking the seismic reflectors.

If the Show Swell Correction option is selected on the Display tab, this option displays the result as a thick, green line in the acoustic profile.

Median Filter Seabed calculates the median of the points it initially defines.

Basis for Determining the Seabed: The program ignores any data in the Bang Pulse Duration and looks for the next prominent feature:

•Find First Peak: The first prominent increase in return strength.

•First Threshold after Bang: (recommended) The first time at which it reaches the user-defined Threshold strength after the Bang Pulse duration.

•Horizontal Gradient: The most sudden change of strength.

Bang Pulse Duration: Time (msec) from the trigger until the sound source stops ringing.

Remove Outliers (recommended) ignores scattered data in the water column.

Use Unfiltered Data for Calculating Seabed (recommended) calculates the seabed without excluding the data from the frequency filters.

Threshold: The strength of return required by the First Threshold after Bang option. Click [Estimate] to get an initial value.

Ignore First Traces skips a user-defined number of acoustic returns at the start of each line before it analyzes one to find the seabed. Use this to eliminate noisy data caused by logging before the system has stabilized on the new line.

[Calculate New Seabed]: Click to apply current bottom tracking settings.

[Clear Seabed]: Removes the current seabed calculation.

[Revert Seabed]: Restores settings and data to its original form on loading.

More Information

• Calculating the Bottom Track in the SUB-BOTTOM PROCESSOR


Digitizing Layers in the SUB-BOTTOM PROCESSOR

Once you have a clear bottom track defined, you are ready to digitize your sub-bottom layers.

Note:The start of line is on the right.

For each layer do the following:

1.In the toolbar, select the layer number you want to digitize from the reflector drop-down list.

2.Clear the Target Editing Mode option in the Display tab, if necessary.

3.Use your cursor to click a series of points that define the selected layer.

•To indicate a break in the layer, define an End Node on the left side of the break: right-click the node and select Toggle End Node. (End Nodes have transparent centers.) The program then maintains a break between the End Node and the next node to its right.

•To insert a reflector in any defined segment, just click at the required position. The program will automatically update the segment according to its horizontal position.

•To delete a reflector, hold the Shift key and click the reflector.

Portion of Digitized Sub-bottom Layer 1

More Information

• Windows in the SUB-BOTTOM PROCESSOR

• Running the SUB-BOTTOM PROCESSOR

• Modifying your Data Set in SUB-BOTTOM PROCESSOR

• Display Options in the SUB-BOTTOM PROCESSOR

• Corrections in the SUB-BOTTOM PROCESSOR

• Limiting Data with a Border File

• View Tracks View Options in the SUB-BOTTOM PROCESSOR

• Bottom Tracking in the SUB-BOTTOM PROCESSOR

• Digitizing Layers in the SUB-BOTTOM PROCESSOR

• Targets in the SUB-BOTTOM PROCESSOR

• Fence Diagrams in the SUB-BOTTOM PROCESSOR

• Storing Screen Shots from the SUB-BOTTOM PROCESSOR

• Saving Session Configurations in the SUB-BOTTOM PROCESSOR


Targets in the SUB-BOTTOM PROCESSOR

As you view your data in the SUB-BOTTOM PROCESSOR, you can mark targets at points of interest. These targets are annotated in the SUB-BOTTOM PROCESSOR and may be displayed in other HYPACK modules that support targets.

Targets marked in the SUB-BOTTOM PROCESSOR are depth of burial targets, which record the isopach depth. When you close the SUB-BOTTOM PROCESSOR, each target is named with its timestamp and stored in an SBP target group in the project. Each target record automatically includes the X, Y and Z coordinates at the target position, the Depth of Burial, the line name, and the time and date of the data collection at that point (Date Acquired) as well as the time and date you marked the target (Date Modified).

More Information

• Displaying Targets in the SUB-BOTTOM PROCESSOR

• Marking Targets in the SUB-BOTTOM PROCESSOR

• Removing Targets in the SUB-BOTTOM PROCESSOR

• Targets

• Targets in SURVEY


Displaying Targets in the SUB-BOTTOM PROCESSOR

The Target Visibility dialog controls which targets from the SBP target group appear in the sub-bottom profile display and, configured separately, in the View Tracks window.

In addition, the Show Targets option in View Tracks tab of the Settings dialog toggles the display of all targets in the group on and off. When you use this option, the column for the tracks window updates accordingly.

These settings do not affect the targets displayed in the HYPACK area map.

1.Select REFLECTORS AND TARGETS-TARGET VISIBILITY. A dialog will appear with each target listed and two columns of checkboxes: one for each window.

Target Visibility Dialog

2.In each column, check the boxes for the targets you want to display in the corresponding window.

Tip: To select or deselect all checkboxes, click [All] or [None] respectively.

3.Click [OK].

Sample Targets in the SUB-BOTTOM PROCESSOR

More Information

• Marking Targets in the SUB-BOTTOM PROCESSOR

• Removing Targets in the SUB-BOTTOM PROCESSOR

• Targets


Marking Targets in the SUB-BOTTOM PROCESSOR

1.In the Display tab, check the Target Editing Mode option. “Target Editing Mode” replaces the reflector options in the toolbar.

2.Use your cursor in the acoustic profile to mark targets at points of interest on any isopach. There are two methods:

•To mark multiple targets, select Target Editing Mode in the Display tab of the Settings dialog, then click at each target location in the data profile. When you have finished, deselect the Target Editing Mode option.

•To mark a single target, right-click at the location and select Add Target.

3.When you are finished marking targets, clear the Target Editing Mode option.

Tip: Alternatively, in digitizing mode, right-click at the location on the isopach you want to mark and select Add Target.

More Information

• Displaying Targets in the SUB-BOTTOM PROCESSOR

• Removing Targets in the SUB-BOTTOM PROCESSOR

• Targets


Removing Targets in the SUB-BOTTOM PROCESSOR

The SUB-BOTTOM PROCESSOR provides options to remove one or more targets. Alternatively, you can use the tools in the TARGET EDITOR.

•To delete a single target:

a.Check the Target Editing Mode option in the Display tab.

b.Hold the Shift key and click on the target.

•To delete all of the targets on the current line select REFLECTORS AND TARGETS-DELETE ALL TARGETS-FOR THIS SEG-Y FILE.

•To delete all of the targets in the project, select REFLECTORS AND TARGETS-DELETE ALL TARGETS-FOR ALL SEG-Y FILES IN THE PROJECT.

More Information

• Displaying Targets in the SUB-BOTTOM PROCESSOR

• Marking Targets in the SUB-BOTTOM PROCESSOR

• Targets


Exporting your Digitized Depths

The ultimate goal of the SUB-BOTTOM PROCESSOR is to generate sounding data files representing the sub-bottom data. Once you have defined the bottom track and digitized your reflector layers, you are ready to generate the sounding files. This is actually a two-step process:

1.Enter corrections information. The SUB-BOTTOM PROCESSOR only draws data in the sub-bottom file. Even though you may have recorded tide, sound velocity to the RAW data files during acquisition, the SUB-BOTTOM PROCESSOR does not read those files. In addition, you can correct any layback and latency errors.

Important: To output corrected sounding data from your bottom track and reflectors, you must enter the correction information in the SUB-BOTTOM PROCESSOR before you export sounding files.

2.Export your sounding data. SUB-BOTTOM PROCESSOR provides several options in various combinations: All (*.EDT) or XYZ format; current line or all lines; and seabed, reflectors or both.

Beware! Once you have exported a particular line/layer/format combination, subsequent export operations will overwrite the existing files of the same combination.

•EXPORT EDT options convert your digitized layers to All format files, one for each layer, and stores them in the project Edit folder. Each file is named with the format LineName.LayerName.edt (e.g. 003_1146.seabed.edt or 003_1146.reflector4.edt).

Additionally, it generates catalog files for each exported layer. Each LOG file is named with the layer it represents (e.g. seabed.log, or reflector4.log).

•EXPORT XYZ options stores the digitized points to XYZ format files, one for each layer, in the project Sort folder. You can choose to export depth, isopach or both as the Z-value. Each file is named with the format LineName.reflectorR.xyz where R indicates the layer number. For XYZ output, you may output X, Y, Depth; X, Y, Isopach; or X, Y, Depth, Isopach.

Note:Though you can choose one or more values to be stored as the Z value, the output file names for each option are the same. This means if you want to generate separate sets of files (for example, a set of X, Y, Depth files, and a set of X, Y, isopach files), you must generate the first set then save them somewhere other than the project Sort folder before you generate the second set.

With each XYZ output file, the program also generates a REF file with the same root name (e.g. 001_1125.reflector1.xyzref). This text file provides information about the soundings in the file:

Sample REF File

Sound speed in water: 1500

Sound speed in sediment: 1600

Output values: Depth and Isopach

UTM Zone: Zone 50

No layback correction

No tide data applied


Fence Diagrams in the SUB-BOTTOM PROCESSOR

The sub-bottom fence diagram shows one or more profiles together in a 3-dimensional, interactive display. The options in the Settings dialog enable you to customize your display.

More Information

• Generating the Fence Diagram

• Fence Display Options in the SUB-BOTTOM PROCESSOR


Generating the Fence Diagram

1.Select FILE-EXPORT FENCE and choose the current line or all lines.

2.In the Fence tab, check Show Fence Diagram.

Sample Fence Display—Layers Match on Intersecting Lines

More Information

• Fence Display Options in the SUB-BOTTOM PROCESSOR


Fence Display Options in the SUB-BOTTOM PROCESSOR

Many of the SUB-BOTTOM PROCESSOR options are common to both the sub-bottom profile and the fence diagram.

The options in the Fences Diagram tab of the Settings affect only the Fence Diagram:

Settings Dialog—Fences Diagram Tab

•Show Fence diagram displays the Fence Diagram window. It draws the diagrams for all lines currently loaded in the SUB-BOTTOM PROCESSOR and any other lines in the project for which you have already drawn fence diagrams.

•Lines to Show and Reflectors to Show: Select the lines and reflectors to include in your Fences Diagram window.

•Background Color: The colored square shows the current background color in the Fences Diagram window. To assign an alternate color, click in the color square and select a new color from the color selection dialog.

•Reflector Line Thickness Enter a value 1-10 to control the line weight for the reflectors.

•Constant Value Transparency

•Amplitude Dependent Transparency

•Draw Scale on Each Fence provides vertical and horizontal reference in survey units.

•[Reload Data] updates the display for changed options.

•[Save Screenshot] generates an image file of the window display in your project folder. A File Save dialog appears with the default image name capturing the date and time—“Fence Diagram Screenshot yyyymmdd hhmmss.png”— but you may provide an alternate name if you wish, then click [Save].

When you export a screenshot, the program also stores a text file with the same root name that includes line coordinates that describe the extent of the image, and the sweep length.

Sample Screenshot Information File

Start: 386660.540, 6457348.810

End: 386546.710, 6458406.190

Sweep length: 38.300 meters

Hold the shift key and use your cursor in the display to pan and rotate the display.

More Information

• Generating the Fence Diagram


Storing Screen Shots from the SUB-BOTTOM PROCESSOR

The View menu provides multiple options to quickly and easily store an image of the current acoustic profile or Fence Diagram.

Acoustic Profile Images

In each case, select the menu item, name your file and click [Save]. You can save the image in PNG, JPG or BMP format.

•SAVE SCREENSHOT captures the current display including the seabed, any isopach layers, annotations and targets.

•SAVE SCREENSHOT (NO INTERPRETATION) captures the current display but omits the seabed, any isopach layers, annotations and targets.

Annotated Screenshot (left), No Interpretation (right)

•FULL LINE SCREENSHOT captures the complete length of the profile including the seabed, any isopach layers, annotations and targets.

•FULL LINE SCREENSHOT (NO INTERPRETATION) captures the complete length of the profile, but omits the seabed, any isopach layers, annotations and targets.

Fence Diagram Images

In the Fences Diagram tab of the Settings dialog, [Save Screenshot] generates an image file of the window display in your project folder. A File Save dialog appears with the default image name capturing the date and time—“Fence Diagram Screenshot yyyymmdd hhmmss.png”— but you may provide an alternate name if you wish, then click [Save].

Sample Screenshot Information File

Start: 386660.540, 6457348.810

End: 386546.710, 6458406.190

Sweep length: 38.300 meters

Fence Screenshot of Intersecting Lines

More Information

• Windows in the SUB-BOTTOM PROCESSOR

• Running the SUB-BOTTOM PROCESSOR

• Modifying your Data Set in SUB-BOTTOM PROCESSOR

• Display Options in the SUB-BOTTOM PROCESSOR

• Corrections in the SUB-BOTTOM PROCESSOR

• Limiting Data with a Border File

• View Tracks View Options in the SUB-BOTTOM PROCESSOR

• Bottom Tracking in the SUB-BOTTOM PROCESSOR

• Digitizing Layers in the SUB-BOTTOM PROCESSOR

• Targets in the SUB-BOTTOM PROCESSOR

• Fence Diagrams in the SUB-BOTTOM PROCESSOR

• Storing Screen Shots from the SUB-BOTTOM PROCESSOR

• Saving Session Configurations in the SUB-BOTTOM PROCESSOR


Saving Session Configurations in the SUB-BOTTOM PROCESSOR

A configuration file in the SUB-BOTTOM PROCESSOR records all of the information necessary to restore your current settings and stores them, by default to the SBP.config file in your project folder.

To save the configuration at any time, select FILE-SAVE CONFIGURATION and name your file.

When you exit the SUB-BOTTOM PROCESSOR, it asks if you want to save the configuration file.

Saving the Configuration File on Exit

•[Save] automatically saves the settings to the default SBP.config file in your project folder.

•[Don’t Save] retains all configuration files as they were when you entered the program.

•[Delete Config] deletes the current configuration file. When you return to the SUB-BOTTOM PROCESSOR, the Settings dialog begins with all default settings.

•[Cancel] returns you to the SUB-BOTTOM PROCESSOR.

More Information

• Windows in the SUB-BOTTOM PROCESSOR

• Running the SUB-BOTTOM PROCESSOR

• Modifying your Data Set in SUB-BOTTOM PROCESSOR

• Display Options in the SUB-BOTTOM PROCESSOR

• Corrections in the SUB-BOTTOM PROCESSOR

• Limiting Data with a Border File

• View Tracks View Options in the SUB-BOTTOM PROCESSOR

• Bottom Tracking in the SUB-BOTTOM PROCESSOR

• Digitizing Layers in the SUB-BOTTOM PROCESSOR

• Targets in the SUB-BOTTOM PROCESSOR

• Fence Diagrams in the SUB-BOTTOM PROCESSOR

• Storing Screen Shots from the SUB-BOTTOM PROCESSOR

• Saving Session Configurations in the SUB-BOTTOM PROCESSOR


ADCP PROFILE

The ADCP PROFILE program reads HYPACK All format files and ADCP files (*.ADP or *.000), collected by the HYPACK ADCP.dll and stored in the project’s Raw folder.

ADCP PROFILE can also read SonTek YDFF files; however, it does not generate discharge reports in this case. All features except the Discharge Report tab are supported.

The program then displays color-coded flow data with the channel cross section. It can print or plot the resulting cross section graphs. The ADCP PROFILE program also creates textual discharge reports that you can save and print, and generate georeferenced DXF charts of your current vectors.

More Information

• ADCP PROFILE Procedure

• Windows in ADCP PROFILE

• View Options in ADCP PROFILE

• Saving your ADCP PROFILE Reports in ADCP PROFILE

• ADCP IN SITU


ADCP PROFILE Procedure

1.Start the program by selecting UTILITIES-ADCP-ADCP PROFILE. The ADCP PROFILE window will appear as a tabbed dialog.

2.Load your data files. Select FILE-OPEN and select a file from the File Select dialog. You can load and individual file or a catalog file from your Edit directory and the corresponding ADCP files will load automatically.

3.Set your view options. These define how your data is displayed. Here, you make choices about the data displayed and the appearance of the graphs.

4.Select the Velocity value you want to graph from the list in the toolbar.

5.Scroll through each line and view the data in each tab. The line names are displayed in the toolbar. Use the arrows to select the section you want to view.

6.Save your results.

•Print profile view.

•Export 2-dimensional and 3 dimensional DXF charts.

•Save the discharge report to a text file.

More Information

• Windows in ADCP PROFILE

• View Options in ADCP PROFILE

• Printing your Profile Views in ADCP PROFILE

• Saving the Discharge Report to a Text File in ADCP PROFILE


Windows in ADCP PROFILE

ADCP PROFILE is a tabbed window with a menu and toolbar.

Each tab shows your data in a different way:

•Profile View

•Discharge Report

•Information Window

More Information

• Profile View Window in ADCP PROFILE

• Discharge Report Tab in ADCP PROFILE

• Track View in ADCP PROFILE

• Information Window in ADCP Profile


Profile View Window in ADCP PROFILE

The Profile Tab previews the cross section graphs. Choose the value for the graph display from the drop-down menu on the toolbar. You may also adjust the scale and segment of the cross section to include in the graph and customize the color settings.

The View Tab

When you click on the Profile tab, the screen will present the first cross section of the file(s) you have according to the view options you have chosen.

An Information Window is provided to display statistics regarding the current cursor position in the Profile View.

Sample Information Window

More Information

• Profile View Options in ADCP PROFILE

• Printing your Profile Views in ADCP PROFILE


Discharge Report Tab in ADCP PROFILE

The Discharge Report tab displays preview of your discharge calculations while logging. It presents the discharge calculations of the measured area (Mid Q) as well as the estimations for the Top, Bottom and Slope areas. (The Top Q values are based on the distance between the first good bin and the ADCP device. The Bottom Q values are based on the last good bin and the distance between that bin and the bottom.)

Note:ADCP PROFILE does not generate discharge reports from SonTek YDFF data.

Sample Discharge Report

More Information

• Discharge Options in ADCP PROFILE

• Saving the Discharge Report to a Text File in ADCP PROFILE


Track View in ADCP PROFILE

The Track View display shows the track lines and a 2D display of each ensemble with each bin averaged together for speed and direction. Use the zoom and pan tools to optimize the display.

You can use the Draw and Remove Border tools to define a rectangular area that restricts the data drawn in this display, as well as the area for which the Discharge Report is calculated. (It does not affect the Profile view.) Alternatively, you can load a border file (*.BRD) in the Discharge tab of the View Options dialog.

Sample Track View—Full Screen (left), Zoomed Segment (right)

More Information

• Discharge Options in ADCP PROFILE

• Exporting DXF Charts in ADCP PROFILE


Information Window in ADCP Profile

The Information Window provides data about the bins in the ADCP profile.

To open the window, select FILE-FILE INFORMATION.

The data in the information window will update when you move your cursor from one bin to another in the Profile display.

ADCP Profile Information Window


View Options in ADCP PROFILE

ADCP PROFILE has controls both on the toolbar and in the View Options dialog that affect the way your data is displayed.

From the toolbar, you can set the cursor mode and access the Colors and View Options dialogs.

•The Colors dialog enables you to modify your project colors. The Auto-scale Colors option at the bottom of the View Options dialog breaks the color bands into very small increments. This has the effect of blending the color changes.

ADCP PROFILE Toolbar

•Cursor mode: As you move the cursor over the Profile View, the status bar displays X, Y, Z, DBL and velocity at the crosshair position. The Cursor Mode determines the depth value displayed.

•Crosshair: Shows the cursor position.

•Annotation: Shows the bottom depth at the cursor position.

•In the View Options dialog (F9) you define how your data is drawn in the graphical displays. It is a tabbed dialog; each tab effects a different aspect of the display.

More Information

• Project Colors in HYPACK

• Profile View Options in ADCP PROFILE

• DXF Output Options in ADCP PROFILE

• Velocity View Options in ADCP PROFILE

• Label Options in ADCP PROFILE

• Averaging View Options in ADCP PROFILE

• Discharge Options in ADCP PROFILE


Profile View Options in ADCP PROFILE

The options in the Profile tab of the View Options dialog (F9) affect the range of the profile displays, as well as the page configuration when you choose to print them.

Profile View Options

Use Time as X Axis: Use this option to label the horizontal axis based on the time in the data instead of DBL. This enables you to read raw RDI or HydroSurveyor data without any corresponding HYPACK edited data for positioning.

•With the Auto-Label option in the Label tab, it labels the X axis with even time increments. (The units are determined by the time range in your data set.)

•Without the Auto-Label option, the Label and Tic Increments represent seconds.

Horizontal and Vertical Scale: The vertical and horizontal limits of the profile display are independently determined. You can manually set the Minimum/ Maximum Depth and DBL or allow the program automatically adjust (Auto-scale) according to the ranges found in the data set.

Note:Note The minimum depth designates the top of the chart. If you are working in elevation mode, you have to set the minimum higher than the maximum.

Bottom Track: You can choose to display echosounder depths (Depth 1 or Depth 2) or ADCP bottom track data with the flow data.

Print Options: You can print one or more profile views per page. Simply designate the number of rows and columns on each page.

Note:The profiles will be scaled in such a way that the rows and columns fill your page. Therefore, you should specify rows, columns and page orientation (in your printer setup) in a way that will maintain the approximate proportions of your profiles.

Use Veritime uses HYPACK timetags; otherwise, it uses timetags from the device firmware.

Use Edited File Heading and Use Edited File Pitch and Roll use the data logged in the HYPACK files. Otherwise, it uses the data from the device firmware.

More Information

• Profile View Window in ADCP PROFILE

• Printing your Profile Views in ADCP PROFILE


DXF Output Options in ADCP PROFILE

In the exported DXF track displays, you can choose to draw the vessel’s track lines along with the current vectors and planned lines, and vary the vector type, length and spacing.

DXF Output Options

Draw Track Lines displays the survey path with the current vectors.

Arrow Length measured in the units specified in the Velocity tab.

Interval: The distance between vector arrows based on the distance from the beginning of the line (DBL) and measured in the units specified in the Velocity tab.

2D DXF Output: Choose your option relative to the specified interval:

•Closest point draws the nearest vector to the track at that position.

•Average draws a vector averaging all the vectors of that interval.

Vector Type indicates the type of arrow used to draw the currents.

Flood Stream (left), Ebb Stream (center), Restricted Current (right)

More Information

• Track View in ADCP PROFILE

• Exporting DXF Charts in ADCP PROFILE


Velocity View Options in ADCP PROFILE

These settings affect how the velocities are calculated.

Velocity View Options

Velocity and Discharge Unit converts the velocity data to the selected units of measure.

Shore Pings is the number of subdivisions that the program should create between the first/last measured ensemble and Start/End Width point.

Shore Start Edge and End Edge options enable the program to estimate discharge data in the areas beyond the ends of your survey lines. It does this based on the data from the first/last measured ensemble. This can be particularly helpful in areas you cannot access to log data.

•Start/End Width is the distance between the start/end of the survey line and first/last ensemble.

•Triangular defined by a coefficient of 0.31.

•Rectangular defined by a coefficient of 0.91.

•Coefficient enables you to set the coefficient that best describes your end slope.

Reference:

•Bottom Track and Boat Position remove the effect of sensor motion in the velocities displayed in the graph based on positioning logged in the device firmware or HYPACK SURVEY respectively.

•None graphs uncorrected velocities.

More Information

• Profile View Window in ADCP PROFILE

• Profile View Options in ADCP PROFILE


Label Options in ADCP PROFILE

The Labels Tab contains settings that affect the labels on your profile graphs.

Label View Options

Depth Labels places numeric labels on the vertical axis of the graph.

DBL Labels places numeric labels on the horizontal axis of the graph.

Depth Lines places dotted lines across the graph at the level of each label.

Label Toes and Center mark toes and center, where it appears, on each line. The labels appear only on the top and tics appear on both the top and bottom line of the graph.

Label Increment and Tic Increment specify the distance between labels and tics on each axis. With the Use Time as X Axis option in the Profle View tab, and AutoLabel selected, these options label the X axis with even time increments. (The units are determined by the time range in your data set.) Without the AutoLabel option, enter Label and Tic Increments in seconds.

More Information

• Profile View Window in ADCP PROFILE

• Profile View Options in ADCP PROFILE


Averaging View Options in ADCP PROFILE

Where currents have consistent direction and speeds, either vertically or horizontally, averaging can improve accuracy and create cleaner vector outputs. In turbulent conditions, this is less likely to be so.

View Options - Averaging Tab

Vertical Averaging will average the entire ensemble. Choose this option when the current direction changes across the line.

Horizontal Averaging will average the entire level (omitting cells below the bottom). Choose this option when the current direction changes at different depths.

Averaging Methods:

•Average All averages all vectors in the chosen direction.

•By Distance divides the ensemble or level into segments of this length (in survey units) and averages all of the vectors in each segment.

•By Bins (vertical) or Samples (horizontal) averages the user-defined number of vectors at a time.

Sample Data - No Averaging

Sample Data - Horizontal Averaging of All Data

Sample Data - Vertical Averaging of All Data


Discharge Options in ADCP PROFILE

Clip your Discharge Report, and Profile and Track View displays to a user-defined area. You can define the area in two ways:

•With a border file:

a.In the BORDER EDITOR, create a border file that defines your clipping area.

b.Load the border file in the View Options Discharge tab and click [Apply].

View Options Discharge Tab

To remove the border file restriction, click the [X] then [Apply].

•With your cursor:

a.In the Track View display tab, click the Create Border icon.

b.Define the rectangular area where you want to use the data. Click two points to define the first side and a third to define the length of the perpendicular side. The program extrapolates the position of the fourth to make a rectangular area.

The display shows the defined area in gray, and erases the omitted vector data. The Discharge Report also updates according to the defined area.

To remove the border file restriction, click the Remove Border Icon.

More Information

• Discharge Report Tab in ADCP PROFILE

• Track View in ADCP PROFILE


Saving your ADCP PROFILE Reports in ADCP PROFILE

Once your ADCP data is loaded and the display is configured as you like it, you can export the displays of each window to other formats.

The output type of each window varies according to whatever is useful.

ADCP PROFILE Export Formats

ADCP PROFILE Window | Output
Profile View | Print profiles
Profile View | 2D and 3D Track View DXF
Discharge Report | Text File

More Information

• Printing your Profile Views in ADCP PROFILE

• Exporting DXF Charts in ADCP PROFILE

• Saving the Discharge Report to a Text File in ADCP PROFILE


Printing your Profile Views in ADCP PROFILE

You can print one or more profile views per page. Print hard copies or generate electronic copies by printing to a PDF writer.

1.Designate the number of rows and columns of profile views on each page in the profile view options.

Note:The profiles will be scaled in such a way that the rows and columns fill your page. Therefore, you should specify rows, columns and printer settings in a way that will maintain the approximate proportions of your profiles.

2.Click the Print icon on the toolbar. The Windows® Print dialog will appear.

3.Set your printer options and click [OK].

More Information

• Profile View Window in ADCP PROFILE

• Profile View Options in ADCP PROFILE


Exporting DXF Charts in ADCP PROFILE

The track view shows the survey path with the current vectors. This data can be exported in DXF format to be displayed as charts in HYPACK programs or in third-party programs. You can export two- or three-dimensional track view charts.

You can export track views of your current vectors to DXF format. Using the resulting files, you can:

•Display current vectors as background files in HYPACK.

•Plot current vectors to smooth sheets in HYPLOT.

•Import them to other packages such as AutoCAD.

1.Set your Track View display options. You can choose to draw the vessel’s track lines along with the current vectors and planned lines, and vary the vector type, length and spacing.

2.Generate your DXF. We output to DXF in two formats:

•2D DXF: In this case the vector arrows are all of the same size and the magnitude is noted with a label and color.

To export 2D DXF files, select FILE-SAVE 2D DXF and name your file.

Sample 2D DXF in HYPACK

•3D DXF: The vector arrows are scaled by magnitude relative to the circle which represents the largest magnitude value of the data set.

To export 3D DXF files, select FILE-SAVE 3D DXF and name your file.

Sample 3D DXF in HYPACK

More Information

• DXF Output Options in ADCP PROFILE


Saving the Discharge Report to a Text File in ADCP PROFILE

Save the discharge report to an ASCII text file. Once the data is saved, you can view and print it with any text editor. (Discharge reports are not supported for SonTek YDFF data.)

1.Select FILE-SAVE REPORT or click the Save Report icon. The File Save dialog will appear.

2.Name your file and click [Save]. Your report will be saved, by default, to your project folder, with a TXT extension.

Sample Discharge Report

More Information

• Discharge Report Tab in ADCP PROFILE

• Discharge Options in ADCP PROFILE


ADCP IN SITU

ADCP IN SITU analyzes data collected by a stationary Acoustic Doppler instrument. This type of project would monitor current, tide, salinity and pressure at a set destination over an extended period of time.

ADCP IN SITU reads data logged by Teledyne-RDI, SonTek and Nortek (NDP or Aquapro) devices using their firmware. It then presents your data in a variety of displays where you can inspect and edit your data. The resulting edited files are saved with an EDD in HYPACK the ADOP\Edit subfolder in your project.

In addition, you may also export to the following formats:

•Tide data in HYPACK *.TDX format or *.TDF format according to your choice of interface detection method.

•Etude (*.b)

•User-configurable ASCII text (*.TXT)

•OceanDataView spreadsheet format (*.ODV)

Note:This module has been developed, by contract, for our users in France. Some features will require further development for our other users.

More Information

• Running ADCP IN SITU

• Windows in ADCP IN SITU

• ADCP IN SITU Settings

• Profile Display Options in ADCP IN SITU

• Identifying the Surface in ADCP In Situ

• Editing ADCP IN SITU Data

• ADCP Player

• Exporting ADCP Data from ADCP IN SITU


Running ADCP IN SITU

1.Access the program by selecting UTILITIES-ADCP-ADCP IN SITU. The program shell will appear. It is designed for you to work from left to right.

ADCP IN SITU Shell

2.Check your file information. (Optional).

3.Set your Display Options.

4.Identify the surface—the surface for upward facing devices and the bottom for downward facing devices.

5.Export the interface to a TDX file. This file should be automatically loaded to the Station tab in the Setup dialog.

Note:This is only used to define the interface limits for exporting to Etude format.

6.Set the ‘Display Surface Based on’ option to ‘Tide’.

7.Remove all data that is invalid based on the detected surface.

8.Visually inspect your data. ADCP IN SITU offers several displays:

• [image] The spreadsheet dialog displays data pertaining to each condition monitored by the acoustic doppler. Each tab in the spreadsheet has a right-click menu which includes one or more options to display a graph of the data in the selected tab.

• [image] Profile views: A ‘binned’ display of all ensembles in the current section for a specified measurement type. Choose Velocity, Correlation, Amplitude or Percent (Pct) Good measurements from the drop-down menus in the toolbar. Further display options are configured in its Setup dialog.

The data in this display and the direction may each also be graphed, by profile or time series.

• [image] The Data Viewer is a concise display of the data in the beam and ensemble at the cursor location.

Only one ensemble from the binned profile in a line graph, but one or more measurements at a time. The ensemble and measurement type shown in this line graph is determined by the cursor position in the binned profile.

9.Apply Filters. (Optional)

•Filter Beams from the Profile.

•Filter records from the spreadsheet data.

10.Edit your data. ADCP IN SITU enables you to delete selected data from your spreadsheets and their corresponding graph displays as well as from the profile window.

11.Save your edited data set.

12.Export Reports.

More Information

• Identifying the Surface in ADCP In Situ

• Profile Display Options in ADCP IN SITU

• Editing ADCP IN SITU Data

• Exporting ADCP Data from ADCP IN SITU


Windows in ADCP IN SITU

There are several graphical and textual displays of ADCP data:

Access file information, spreadsheets and profile displays using icons from the toolbar on the ADCP IN SITU Shell.

Additional graphs and tables are available through icons on the Profile window and through the right-click menu in the spreadsheets.

More Information

• ADCP IN SITU Profile and Related Graphs

• ADCP IN SITU Spreadsheets and Their Graphs

• File Information in ADCP In Situ


ADCP IN SITU Profile and Related Graphs

To access the Profile window, click the Profile icon.

The Profile shows all ensembles in the current section for a specified data type. Choose Velocity, Correlation, Amplitude or Percent Good and its corresponding measurement from the drop-down menus in the toolbar. This double entry function is used to select the items displayed. A principal value can be displayed with various components.

•Velocity: The speed of the current in mm per second.

•East: West-East component, positive to the East.

•North: South-North component, positive to the North.

•Vertical: vertical component, positive upward.

•Error:

•For Teledyne-RDI current meters, the 4 transducers measure the vertical speed twice. The difference between the two measurements determines the error.

•For Nortek current meters, the instrument supplies information concerning the measurement’s standard deviation, which defines this Error parameter.

•Magnitude: Norm of the current vector calculated from the East and North components.

•Direction: gives the direction of the current.

•Correlation: A value specific to RDI equipment. This is determined during the processing of the signal and gives an indication of the quality of the data. The values are coded from 0 to 255 in “count”. According to the manufacturer, data with a value of less than 90 can be considered as incorrect. In practice, values under 110 are disregarded.

•Beam 1, 2, 3 or 4: Values specific to the various beams.

Note:Teledyne-RDI current meters have 4 beams, whereas Nortek current meters have 3.

•Average: Average of the beams.

•Amplitude: The level of the back-scattered signal throughout the range of the instrument (back-scattered echo). The values are coded from 0 to 255 in “count”. This is an arbitrary scale used by the manufacturers (Nortek and RDI) to represent the dB level recorded on receipt.

The “back-scattered echo” parameter has a peak, which is more or less marked, on each interface. This interface can be either the “air-sea” interface or the “sea-bottom” interface. This variable can be used to detect the bottom, when the instrument is pointing downwards, or to detect the surface, when it is pointing upwards.

This display is used to determine the distance between the instrument and the interface from these diffused back-scattered echo data throughout the range of the instrument, when this interface is located within range.

•Beam 1, 2, 3 or 4: Display of the various beams.

•Average: Average of the beams.

•Pct (Percent) Good: A value specific to RDI current meters. These parameters relate to the quality of the measurements.

•PG1: Percentage of data with 3 valid beams during the integration period.

•PG2: Percentage of measurements rejected due to too large an error during the integration period.

•PG3: Percentage of data with less than 3 valid beams during the integration period.

•PG4: Percentage of data with 4 valid beams during the integration period.

Display Surface Based On: During processing, the interface must be detected in order to invalidate the data beyond this interface. (In the majority of cases it is the surface because the current meter is positioned on the bottom.)

Check the ‘Display Surface Based On’ option and select the detection method from the drop-down list:

•Pressure: Use the pressure sensor.

•Tide: Use a tide file.

•Amplitude: Use the back-scattered echo. With this option, you should also set the Bump Threshold in the Profile Settings dialog.

The Bump Threshold is the detection return threshold of the backscatter data.

•Bottom track: Bottom echo (downward facing).

Once the distance between the instrument and the interface has been detected, it is then possible to position the data by cell with respect to this interface. The up and down arrows can be used to manually refine the interface detection.

All Ensembles in the Current Section

Additional, displays enable you to view select portions of the data in other ways. The data displayed is determined by the cursor position in the Profile window.

Tip: Check ‘Enable Cursor’ in the Profile window to display the current cursor location and the corresponding profile and beam.

•The Data Viewer is a concise display of the data in the beam and ensemble at the cursor location. If the data has been deleted in processing, a red ‘Deleted’ indicator will also appear in the dialog.

Sample Data Viewer

To access the Data Viewer, click the Data icon in the Profile window.

•Graphs using Descartes and Polar coordinate systems. Each graph can display data from one ensemble at a time (profile view) or from an individual beam over time (time series view).

To view this data in a simple line graph (Descartes coordinates), click the Profile icon on the Profile window toolbar.

Descartes Graph in Profile View (left) and Time Series View (right)

To view this data in a graph using polar coordinates, click the Directions icon on the Profile window toolbar.

Graph in Polar Coordinates - Profile View (left) and Time Series View (right)

Choosing the graphed measurements:

To choose each measurement to be graphed, right-click in the window and check the desired measurement. You can remove a measurement from the graph by removing the check in the same manner.

Adjusting your graph view:

To adjust your view in any of these graphs, you can do any of the following:

Zoom Tools

View Adjustment | Cursor Action
Zoom window | Click and drag a box from its top left to its bottom right corner.
Zoom Extents | Click and drag a box from bottom right to upper left.
Shift the display in the window | Right-click in the display and drag it in any direction.

More Information

• Profile Display Options in ADCP IN SITU


ADCP IN SITU Spreadsheets and Their Graphs

To access the spreadsheet window, click the Data Tables icon on the ADCP IN SITU shell.

Sample Spreadsheets

A tabbed dialog contains spreadsheets of data pertaining to each condition monitored by the acoustic doppler. Each spreadsheet shows the raw data, as well as the data corrected according to the Calibration settings.

Each tab in the Spreadsheet, except the Time tab, has a right-click menu which includes one or more graph options for the data in the selected tab.Select the value you want in graph view.

Content of ADCP IN SITU Spreadsheets and Graphs

Value

Processing

Graphs

Time

•Correction of clock drift (drift noted when raising the instrument between the equipment’s time and the GPS time – the correction is applied linearly across all values)

•Correction of time zone.

•Dating in the middle of the integration period (depending on the instrument, the default dating is at the start or end of the measurement integration period. This processing is used to apply a date in the middle of the integration period).

•Manual editing.

None.

Pressure

•Calibration correction.

•Calculation of the actual depth of the instrument by integrating the pressure data. The depth is calculated in metres using the UNESCO formula.

•Manual editing with graphic display.

Pressure

Depths

Temperature

•Calibration correction.

•Manual editing with graphic display:

Temperature

Salinity

None

Pressure

Depths

Speed of sound

•Correction of the speed of sound. If the sound velocity is not present in the ADP data, the value is calculated using the previously processed pressure, salinity and temperature data and the Del Grosso formula. (Disable the Del Grosso formual to use a fixed value of 1500 m/sec.)

•Correction of the current module.

•Correction of the position of the measurements with respect to the instrument.

Pressure

Depths

Attitude

Correction of the direction of the current.

Pressure

Depths

In any of these graphs, you can:

•Save a BMP image of the current display.

•Print the current display on your current default printer.

•Graph the data against the recording number or against date and time.

•Delete select points.

Sample Graph

Adjusting your View

You can adjust your view of the graph with your mouse.

To zoom in to a specific area, drag a rectangle around the area.

To adjust the scale of the display, use your mouse wheel to zoom in and out.

To zoom to the extents of the data, drag from the lower-left to upper-right corner of the display.

More Information

• Calibration Settings in ADCP IN SITU

• Saving Screen Captures in ADCP IN SITU

• Editing in the Spreadsheets and Their Graphs in ADCP IN SITU


File Information in ADCP In Situ

The File Information displays statistics about the current raw file.

To access the File Information, click the File Info icon.

Sample File Information Display


ADCP IN SITU Settings

Access the setup options from the Setup icon in the ADCP IN SITU shell. They instruct the program how to read and display the data, enabling you to configure the program for your acoustic doppler data and your project.

This dialog has several tabs, each affecting a different aspect of the configuration. Before you load your data, set the options in each tab and click [OK].

To save these options for later use, click the Export Out icon on the ADCP IN SITU toolbar and name your file. The settings are saved, by default to the project ADOP folder with an INI extension.

To reload an existing configuration file:

1.Click the Open File icon on the toolbar in the ADCP IN SITU shell. A File Open dialog will appear.

2.Set the File of Type to ‘Config’.

3.Select your exported initialization file and click [Open].

More Information

• Exporting Files in ADCP IN SITU


Station Options in ADCP IN SITU

The station options describe the acoustic doppler device.

Station Options

ID: The acoustic doppler device serial number.

Lat/Lon.: Location of the acoustic doppler in DDDMM.MM format.

Hydrographic Depth: Also known in HYPACK as the Corrected Depth, this is the distance from the water surface to the bottom (MSL).

Instrument Depth: Distance from the water surface to the acoustic doppler (MSL). It is the Hydrographic Depth- Device Offset.

Instrument Orientation: The direction the device is pointing.

Tide file: Select the HYPACK tide file (*.TDX) or Masg (*.TDF). It is used to calculate the hydrographic and instrument depths.

Important: A tide file is required to calculate your currents referencing the water surface.


Output Settings and View Configuration Display in ADCP IN SITU

The Output options describe how to read the device output. The View Configuration (View Cfg) tab provides a graphical representation of the settings in the Output tab. Use this display to verify your settings.

Current Calculation options:

•To reference Mean Sea Level (MSL) check the ‘Measure at Hydrographic Depth’ option.

•To reference the water level, do not check the ‘Measure at Hydrographic Depth’ option. In this case, you must specify a tide file in the Station tab.

Measurement Distance Start and End sets the range of distance from the device where the data is measurable. These options eliminate the area near the surface that is not measurable due to blanking and near the bottom that is not measurable due to interference from the side lobe interference. These measurements reference MSL or the water surface according to the ‘Measure at Hydrographic Depth’ status.

Referencing the Water Level—Output Tab (left), View Cfg Tab (right)

Referencing MSL—Output Tab (left), View Cfg Tab (right)

Bottom/Surface Detection Methods

During processing, the interface must be detected in order to invalidate the data after this interface. These options tell the program what type of data will be available in your data to detect a surface, either the water surface, when the device is oriented up, or the bottom, when it is oriented down.

•Pressure: In the data file (data produced by the current meter) the measurements are positioned in meters from the instrument. The depth of the measurements with respect to the surface is calculated using the following information:

•Depth of the pressure sensor (Iinstrument);

•Orientation of the instrument (upwards or downwards);

•Distance of the measurement with respect to the instrument (Dmeasurement).

The depth is calculated in meters as follows:

Measurement depth = Iinstrument – Dmeasurement

Detecting the Surface Based on Pressure

Note:Pressure calculations also require the latitude of your project area and the air pressure at sea level. If you are using pressure readings to calculate your surface, enter this information in the Pressure tab.

•Bottom Data

•Amplitude: This method determines the distance between the instrument and the interface based on the data from the back-scattered echoes scattered throughout the length of the range of the instrument, when this interface is within the range of the instrument. ADCP IN SITU recognizes a significant shift in amplitude as an indication of surface detection. This option also enables the Bump Threshold which determines how much of a shift is significant for your project.

The depth of each measurement from the surface is calculated based on the following elements:

•Distance between the surface and the instrument (Dsurface), calculated using the back-scattered echo.

•Distance of the measurement with respect to the instrument (Dmeasurement).

The depth is calculated in meters as follows:

(EQ 1) Measurement depth = Dsurface - Dmeasurement

Detecting the Surface Based on Amplitude

•Tide: The pressure sensor is not present on all instruments and a failure of this sensor can occur. The depth of each measurement can be calculated from a tide file. This tide can be predicted or measured by a tide gauge. The following elements are used:

•Predicted or observed tide (Htide):Height of water as a function of time;

•Hydrographic Depth (Hdatum): Height of water with respect to the hydrographic datum in the zone. This corresponds to the depth at the mooring point.

•Orientation of the instrument (upwards or downwards);

•Instrument Depth (Hinstrument) Height of the instrument with respect to the bottom.

•Distance of the measurement from the instrument (Dmeasurement).

The depth is calculated in meters as follows:

(EQ 2) Measurement depth = Htide+ Hdatum – Hinstrument – Dmeasurement*(orientation sign)

Where:

(orientation sign) = “+”, if instrument is facing upwards

(orientation sign) = “-”, if instrument is facing downwards

You must set the correct time zone of the tide used by entering a Time Zone Shift in the Time tab. The time zone defaults to UTC time).

Detecting the Surface Based on Tide

•None

Once the distance between the instrument and the interface has been detected, you can position the data by cell with respect to this interface using the shift up and down arrows.

The View Configuration is a graphical representation of the settings in the Output tab.

More Information

• ADCP Data - Measured and Calculated


Time Settings in ADCP IN SITU

Time

Time Zone Shift: The difference (in minutes) between Greenwich Mean Time (GMT) and your Local Time. This converts the acoustic doppler data to local time in your edited files.

Time Drift: Check the time from the device at the start and at the end of data collection and compare the times to a reliable time source. Enter the number of seconds the ADCP device clock has drifted from GMT over the time during which you were logging data. The drift is positive if the equipment’s clock time increments more quickly than the actual time. The drift correction is applied linearly across the entire period.

Time Shift: Any additional shift (in seconds). It will be added to the Time Zone Shift. ADCP IN SITU automatically makes this correction for Nortek Aquapro and RDI data.


Calibration Settings in ADCP IN SITU

For each type of data you will read, you must provide ADCP IN SITU with any additional information it will need to accurately interpret your data and make the appropriate calculations. The Setup dialog includes one tab for each data type for this purpose.

In most cases, the tab includes only a couple of calibration constants with which you can adjust your data if necessary.

Beware! Often the setup in the device itself includes these calibration constants. Enter them in only one place! If you enter them in the device, the data files will be corrected in the device and should not be adjusted again in HYPACK; this would result in a double-correction.

The corrected values are calculated with the following equation where M is the measured value:

(EQ 3) Corrected Value = a0 + (M x a1)

The default values (a0 = 0 and a1 = 1) result in no data adjustments will be calculated.

Note:Currently supported devices do not have salinity or speed of sound sensors. Therefore, the calibration constants generally are not used and remain at the default values.
Salinity is user-defined in the Nortek configuration software and used with the temperature measurement to calculate speed of sound. The salinity calibration constants can be used to approximately correct an error in the programmed salinity value. (It is not exactly a calibration correction.)
If the data files contain no salinity, enter the correct value in the a0 field.

In addition to the calibration settings, additional information is required if you are determining your surface using pressure or speed of sound measurements, and to account for the attitude of the acoustic doppler device.

Temperature and Salinity (left), Speed of Sound (center), Pressure (right)

Temperature and Salinity

Speed of Sound

Pressure

Attitude

•Pressure calculations also require the latitude of your project area and the air pressure at sea level. If you are using pressure readings to calculate your surface, enter this information in the Pressure tab.

•Speed of Sound: The Disable Del Grosso Correction option allows you to use a speed of sound fixed at 1500 m/s for all values.

•Attitude calculations require magnetic declination and deviation values. In addition, the calibration calculations are more complex because it is a three-dimensional calculation. Heading, Pitch and Roll are calculated by the following equation where M is the measured value:

(EQ 4) Corrected Value = A0+(M+ A1)+(M2+ A2)+(M3+ A3)+(M4+ A4)+(M5+ A5)

Magnetic Declination: The angle between the local magnetic field and true north. The declination is positive when the magnetic north is east of true north.

Magnetic Deviation: The error induced in a compass by local magnetic fields along with magnetic declination.


Profile Display Options in ADCP IN SITU

The display options for the Profile window are in the ‘Setup’ window. Click the Setup icon in the Profile window.

Binned Profile Display Options

Time Axis and Depth Axis options: Set the label increments for the X and Y axes respectively.

Color Settings: Set the color schemes to represent each of the supported values—Speed (Velocity), Percent Good, Magnitude, Correlation, Direction, Amplitude. Click the button corresponding to the value you want to configure and configure the colors from the standard HYPACK Colors dialog. Each HCF file is named according to the value it represents (usually the button label). For example, click [Amplitude] and configure colors to display the amplitude values. The HCF file will be named amplitude.hcf. These color file may be loaded by clicking a button under ‘Color Settings’ and selecting the corresponding HCF file.

The Bump Threshold is the detection return threshold of the backscatter data.

Delete Mode enables you to delete one bin (cell), one ensemble (profile) or one beam (level) in the Profile window.

More Information

• Identifying the Surface in ADCP In Situ

• Editing in the Profile View in ADCP IN SITU

• Project Colors in HYPACK


Identifying the Surface in ADCP In Situ

The first step in processing your data is to identify the surface—the water surface for upward facing devices and the bottom for downward facing devices. The surface must be detected in order to invalidate the data after this interface.

1.Set the Surface Line option, in the Profile Settings dialog, to display the tide or pressure curves in the Profile window.

2.Set the detection method with the ‘Display Surface Based On’ option on the Profile window toolbar.

•Sensor on the bottom: This is the most common usage. In this case, the sensor is facing upward and the interface is the surface. You will use any of the following detection methods:

•pressure sensor

•tide file

•amplitude of back-scattered echo: In this case, set the bump threshold in the Profile Setup dialog.

•Sensor on the surface: In this case, you will use bottom tracking of the echosounder and tide data.

3.View the data relative to the surface line.

Surface Line Guides Accurate Surface Detection

4.Manually shift the displayed data (Optional.) Use the up and down arrows on the toolbar, cell-by-cell to obtain the best match with your surface line.

5. Save the Surface Line data in the format of a tide work (*.TDX) file using the Export Tides icon. It will be saved, by default, to your \ProjectName\ADCP folder. It will also be automatically loaded to the Station tab in the ADCP IN SITU Setup dialog.

Note:This file is not a tide correction file; the TDX format is simply one in which HYPACK can store this type of data. It is used to export etude data.


Editing ADCP IN SITU Data

When you load your data in ADCP IN SITU, the data is read according to the setup options set from the ADCP IN SITU shell. ADCP IN SITU presents your data in a variety of displays where you can inspect and further edit your data.

When you have finished your editing session, save the results by clicking the ‘Save’ icon. The resulting edited files are saved with an EDD in HYPACK the ADOP\Edit subfolder in your project.

Note:The HYPACK EDD format is very similar to the RDI format and can be read by the RDI readers if you rename the file with a ‘000’ extension.

More Information

• Removing Data Beyond the Detected Surface in ADCP In Situ

• Editing with Filter Settings in ADCP IN SITU

• Editing in the Spreadsheets and Their Graphs in ADCP IN SITU

• Editing in the Profile View in ADCP IN SITU


Removing Data Beyond the Detected Surface in ADCP In Situ

Once you have detected the water or bottom surface, the first step to edit your data is to remove all data beyond the detected surface.

When you saved the Surface Line information to the TDX file, it was automatically loaded in the Station tab of the ADCP IN SITU Setup dialog. Regardless of the method used originally to detect the surface, you can now remove invalid data based on the surface line ‘tide’ file.

1.In the Profile window, set the ‘Display Surface Based on’ option to ‘Tide’.

2. Click the (foot) filter icon.

Surface Line Guides Accurate Surface Detection and Removal of Invalid Data

More Information

• Identifying the Surface in ADCP In Situ


Editing with Filter Settings in ADCP IN SITU

The filters in ADCP IN SITU provide additional filters that remove additional data that falls outside user-defined ranges. The spreadsheets and the Profile window each have their own set of filters according to the data they display.

To access the filter options:

•In the Profile window, click the filter icon.

•In the spreadsheet, right-click and select ‘Filter’.

For each filter you want to apply, do the following:

1.Select the tab and check the ‘Enable’ option .

2.Set the filter parameters.

•The Minimal and Maximal Values define the range of data.

•Spreadsheet value filters remove records whose values fall outside the user-defined range.

•The Magnitude and Range filters delete all data that falls within that range.

•Direction filter:

•If the ‘Inside’ option is checked, the filter deletes all data that falls within that range.

•If the ‘Inside’ option is clear, it deletes all data that falls outside of the defined range.

3.When all of the parameters are set for the enabled filters, click [OK].

Filtering by Magnitude (left) and Range of Records (right)

Filtering by Direction


Editing in the Profile View in ADCP IN SITU

In the profile view, you can manually delete one bin, an entire ensemble, or the data from one beam.

1.In the Profile window display settings, select your delete option.

•Cell: Delete only the bin at the cursor location.

•Profile: Delete the entire ensemble.

•Level: Delete all data from that beam.

2.In the Profile window, check the ‘Display Cursor’ option. (Optional) This shows the cursor in cross-hairs that highlight the ensemble and beam in which the bin at the current cursor position resides.

3.Click on the bin or in the ensemble or beam level that you want to delete and press the Delete key. One or more bins will be erased according to the selected delete option and you will see white where the data has been removed.

More Information

• ADCP IN SITU Profile and Related Graphs


Editing in the Spreadsheets and Their Graphs in ADCP IN SITU

Each tab in the spreadsheet has a right-click menu which includes one or more options to display a graph of the data in the selected tab. Editing in these windows includes deleting (and optionally restoring) select data to the display.

As you edit data in the graphical windows, the corresponding spreadsheet data automatically updates.

Note:If you edit data in the spreadsheets, you must manually update the graphical displays by right-clicking in the spreadsheet and selecting ‘Refresh Graph’.

Deleting and restoring individual records:

In the spreadsheets, each line begins with a checkbox. Clear the checks to exclude records from processing and check the box to restore them. You can do this one record at a time or multiselect records.

Deleting and restoring ranges of records:

1.Multiselect a range of records in either the spreadsheet or the graph display.

•In the spreadsheet, hold the Ctrl key and select multiple individual records or hold the Shift key and click on the first and last records in a range of consecutive records.

•In the graph, hold the Ctrl key while you click and drag a window around the data.

Selected records appear highlighted in the spreadsheet and appear as yellow markers in the graph.

2.Press Delete. This toggles the checkbox status. (If it was checked it will be cleared, if it was clear, it will be checked.)

Validating multiple lines:

1.Multiselect a range of records.

2.Press Escape. The boxes for all selected records will be checked.

More Information

• ADCP IN SITU Spreadsheets and Their Graphs


ADCP Player

The ADCP Player is an animated display of the magnitude values as a function of time.

Sample ADCP Player Display

To access the ADCP Player, click the Player icon.

Note:It is preferable to activate this view from the Velocity/Magnitude representation of the Profile window in order to display it with the corresponding color palette.

Use the player controls to replay the data magnitude records. They are, from left to right, Play, Pause/Resume, Faster, Slower.

To adjust the display, use the following keyboard or mouse controls:

Zoom and Orientation Tools

Function | Keyboard | Mouse
Zoom in/out | +/- | Scroll wheel
Increase/Decrease Magnitude Scale | Page Up/Page Down |
Change Angle of Horizontal Display | Up/Down Arrows | Shift key + Scroll wheel
Change Axis of rotation | Left/Right Arrows | CTRL key + Scroll wheel
Return to first recording | Esc |


Exporting ADCP Data from ADCP IN SITU

Saving Screen Captures in ADCP IN SITU

You can store bitmap images or print hard copies of the displays in most ADCP IN SITU windows.

To save a digital image:

Just click the Bitmap icon in the window you want to capture and name your file. The image will be saved, by default to your project folder.

To print a graph:

To print the contents of a graph, click the Print icon in window. The image will be printed on your default printer.

Note:Set your printer preferences before entering ADCP IN SITU.


Exporting Files in ADCP IN SITU

You can export one or more of a few select file types.

•Tide Corrections in TDX or TDF format

•Etude files

•ASCII format of user-defined data

•ODV: a specifically formatted text report

•Equipment Configuration file (*.ini)

• Exporting Tide Data from ADCP IN SITU

• Exporting Etudes from ADCP IN SITU

• Exporting Data in ASCII Format

• Exporting an ODV Text File

• Exporting your Configuration File from ADCP IN SITU

Exporting Tide Data from ADCP IN SITU

Tide data contains the date, time, correction information.

•A HYPACK Tide (*.TDX) file is used to repopulate the spreadsheet if you want to reload it in MANUAL TIDES.

•A *.TDF file is a specialized tide corrections format used in France.

To export a tide file:

1.Select either the Amplitude or Pressure surface detection method under ‘Display Surface Based on’ on the Profile window toolbar.

•Using Amplitude (back-scattered echo), the tide file will take into account the interface detection after using the Bump detection to generate the tide file.

•Using Pressure, the tide file will take into account the pressure values and any manual or graphic invalidations carried out to generate the tide file.

2.Click the Export Tide icon in the toolbar on the Profile window. The Export Tide dialog will appear.

3.Select the TDX or TDF File Type, name your file and click [Save]. Your selected file will be saved, by default, to your project folder.

Return to Top

Exporting Etudes from ADCP IN SITU

Etude: Exporting in Etude format uses the data averaging algorithm between two depths as defined in the Output tab in the ADCP IN SITU Settings dialog.

Important: The water layer that you wish to export must be a modulo of the size of the cell set on acquiring the equipment. To find this setting, click the File Info icon and check the Bin Size.

1.Enter a tide corrections file on the Station tab in the ADCP IN SITU Settings dialog.

Station Tab in the ADCP IN SITU Settings Dialog

Tip: If a TDX or TDF file does not exist, you can export a tide file from ADCP IN SITU based on the bottom tracking or pressure sensor.

2. Click the Export Out icon in the toolbar on the shell. The Export Data dialog will appear.

3.Select the Current (Etude) File Type.

4.Name your file and click [Save]. Your selected file will be saved with a B extension, by default, to the \\HYPACK 2017\ProjectName\ADCP folder.

More Information

• Exporting Tide Data from ADCP IN SITU

Return to Top

Exporting Data in ASCII Format

The ASCII text file content is user-configured after you name your file.

1. Click the Export Out icon in the toolbar on the shell. The Export Data dialog will appear.

2.Select the ASCII (*TXT) File Type, name your file and click [Save]. The ASCII Out dialog will appear.

ASCII Output Setup

3.Configure the content. For each item you want to export, do the following:

•Speed: Units for the speed values in your exported file. If the data set contains speed in a different unit of measurement, the speeds will be converted during the export process.

•Export Header Line: Includes labels for each column of exported data.

Note:If you include headers, remember to configure your column widths to allow enough characters for the header text. Use [Hdg Edit] to modify the header text if necessary.

•Fields: Select the field in either the available or selected item list and use the arrow buttons to move them from one list to the other, or to reorder them in the list of selected items. Set the number of decimal places and column width (Size) for each selected item.

•Delimiter: Choose a comma, space, tab or define another character to separate each value in the line. Alternatively, you can set the column widths using the ‘Fixed Size’ option. A Fixed Size of zero enables you to set the width for each column individually in the selected items list. Otherwise, the size of each field is a constant, user-defined number of characters.

•Cells: If you have selected the ‘Cell No.’ item, select the cell numbers from which you want to export the selected data. Buttons above the cell list enable you to select/deselect all cells at once.

4.Save your configuration (Optional). [SaveCfg] Saves your Export Text settings to an initialization file (*.INI). The file will be saved with an INI extension, by default, to your project ADCP folder.

At a later time, you can use [LoadCfg] to reload the same settings with just a few easy clicks.

Note:If you are generating an ODV file, you can automatically configure the report by loading the ODV.ini found in the \\HYPACK 2017\ADCP folder.

5.Click [OK]. Your selected file will be saved with a TXT extension, by default, to your \\HYPACK 2017\ProjectName\ADCP folder.

Return to Top

Exporting an ODV Text File

An ODV file is an ASCII text file with a particular configuration.

1. Click the Export Out icon in the toolbar on the shell. The Export Data dialog will appear.

2.Select the ASCII (*TXT) File Type, name your file and click [Save]. The ASCII Out dialog will appear.

3.Load the odv configuration file. Click [Load Cfg] and select the odv.ini file from the \\HYPACK 2017\ADCP folder. This automatically enters the export settings required to generate a properly formatted ODV file.

Note:The \\HYPACK 2017\ADCP folder also includes the Config_type_odv.cfg file which is used to import the HYPACK ODV file to the third-party, ODV software.

4.Click [OK]. Your selected file will be saved with a ODV extension, by default, to your \\HYPACK 2017\ProjectName\ADCP folder.

Return to Top

Exporting your Configuration File from ADCP IN SITU

Once you have your display options, filters and text export options set, you can save them all to an initialization file. This enables you to save one or more combinations of settings and be able to load them all, quickly and easily, with just a few clicks.

1. Click the Export Out icon in the toolbar on the shell.

2.Select the Configuration File Type.

3.Name your file and click [Save]. Your selected file will be saved with an INI extension, by default, to your project folder.

Return to Top


FinalProduct_Intro

Final Products

When you have processed and cleaned your data, the Final Products analyze and output the data in a selection of formats:

•Plotting sheets

•Volumes reports

•Two- and three-dimensional, digital drawings and models

•Digital charts

•Additional data formats

The Final Product Wizard helps to automate generating multiple final product output formats, while the Hydrographic Database enables you to store select files for use in future projects.

More Information

• HYPLOT

• HYPLOT-Multiple Sheets

• CROSS SECTIONS AND VOLUMES

• TIN MODEL

• 3D MESH

• EXPORT

• ENC Editor

• FINAL PRODUCT WIZARD

• HYDROGRAPHIC DATABASE


HYPLOT

HYPLOT defines the features to be plotted and sends the information to the plotter.

The HYPLOT interface is much like the HYPACK window. HYPLOT automatically loads all of the files that are loaded to the project and draws all that are enabled in the HYPACK area map and are located within the area defined by your plotting sheet file. From there, you can draw and erase them from the screen, and define display settings in much the same manner as you do in HYPACK.

Items that may be included in your plotting sheet, but have no fixed position, such as the North Arrow, imported text and graphics, are initially positioned in your plotting sheet using the appropriate settings dialog. You can easily relocate them by dragging them with your cursor in the HYPLOT display (or by entering coordinates in the control panel). The status bar displays the current cursor position with the current zoom scale relative to the plotting sheet size.

The finished results can be plotted on any Windows® driven plotter or printer.

Use HYPLOT-Multi to configure your plot layout (page): plot one or more plotting sheets per page, define the features to be plotted in each plotting sheet file, and send the information to the plotter.

More Information

• Running HYPLOT

• Creating a Custom Title Block Title Block Editor

• Setting Display Options in HYPLOT

• Plotting Methods in HYPLOT

• Plotting Sheet Templates

• Exporting your Plotting Sheet to CAD Formats

• HYPLOT-Multiple Sheets

• Creating Plotting Sheets in the Plotting Sheet Editor


Running HYPLOT

The procedure is very simple:

1.Verify that you have created an appropriate plotting sheet file (*.PLT) for your desired output. These files are created in the PLOTTING SHEET EDITOR and define the area to be plotted, the size of your Plotting Sheet and the scale and rotation of your sheet.

2.Start the HYPLOT program by selecting FINAL PRODUCTS-HYPLOT.

3.Load the Plotting Sheet File.

•If you have no PLT file in your project, HYPLOT will ask you to create one and close.

•If you have only one in your project, it will be automatically loaded.

•If you have more than one PLT, the program will ask which you want to use.

The HYPLOT screen will appear displaying all of the enabled files in your project.

4.Draw all the files you want to plot in the Plot Design window.

•Enable the files you want to plot by right-clicking on the file name in the lists at the left and selecting Enable.

When single beam raw or All format files are enabled in a project, you can choose to draw the soundings, track lines or both.

For binary data files (HSX, HS2, HS2X), you can draw only track lines.

To make your choice, right-click on the data folder and select ‘Enable Soundings’ or ‘Enable Track lines’ (or both).

Note:Track lines can not be displayed for XYZ files as there is no track line information available in this format.

•Remove any files you do not wish to plot by right-clicking on the file name in the lists at the left and clearing the Enable option.

5.Define your display settings. Each type of file has a corresponding tab in the Control Panel where you can choose how they will be displayed.

6.Save your settings. (Optional) Click [Save Template] and name your file. All of the settings are saved, by default to a*.HYT file in the \\HYPACK 2017\Templates folder and can be reloaded at a later time by clicking [Load Template] and selecting the HYT file.

7.Choose your plotting method. Select FILE-PRINT and select to plot a composite of raster and vector drawings or plot pure vector data directly. When you click [OK], the Windows® Page Setup dialog automatically appears.

8.Enter your Page Setup information. (This can also be accessed by selecting FILE-PAGE SETUP. )

9.Export your plot. Typically, you send it to the printer or plotter by selecting FILE-PLOT and selecting your printer or plotter settings and clicking [OK]. You may also generate DXF charts or georeferenced PDF and TIF files.

More Information

• Setting Display Options in HYPLOT

• Creating a Custom Title Block Title Block Editor

• Plotting Sheet Templates

• Plotting Methods in HYPLOT

• Exporting your Plots to Chart Files in HYPLOT


Setting Display Options in HYPLOT

Menus and Toolbars

The Draw and View menus, as well as the Icon Bar (top) and Screen Control Bar (right) of HYPLOT provide many of the standard display controls:

•Designate the display of certain features in the plot itself

•Adjust the HYPLOT screen view

•Save and print your plotting sheet

Control Panel

The Control Panel (F9) defines your plotting settings for each type of file. Select a feature from the tree view of categories on the left and the related display options will be available for viewing and modification on the right. At any time, you can set the current settings, for all feature types, as your default by clicking [Save as Default]. If you then make changes and want to reload the default settings, you can easily return to those settings by clicking [Restore Default].

The Plotting Sheet Information icon accesses a tabbed report form which displays the Control Panel settings in textual form. Each tab displays information on a particular type of input to your plotting sheet. You can print the content of each tab on your default printer or save it to a text file.

Plotting Sheet Information—Sheet Info Tab

The All Tab combines all the data from the other tabs into one, thus you can focus on only 1 feature or the entire sheet.

Plotting Sheet Information—All Tab

Border Style Menu

The Border Style drop-down menu enables easy border selection for your plot.

Sounding Colors

Define Sounding Colors by selecting SETTINGS-SOUNDING COLORS and using the standard Colors dialog.

Screen Control Bar

Adjust your screen display using the tool in the Screen Control bar:

•Zoom In/Out: When this option is selected, a left-click decreases the scale (zoom in) and a right-click increases the scale (zoom out).

•Zoom Window: Select this option and drag a rectangle in the window to define the extent of your desired view. The program redraws the screen to display the defined area optimally.

•Zoom Extents: Draws the display at a zoom scale that displays all enabled data.

•Pan: Select this option, then click in the window at the location in the map you want centered in the map display. The window will redraw centered on that location.

•Default Cursor changes the cursor back to the default arrow used for most general HYPACK operations. The cursor position is displayed in the status bar.

Note:The Lat-Long grid is displayed in the Lat-Long of the local datum.

•Rotate Counter Clockwise and Rotate Clockwise rotate the chart 5 degrees.

Chart Display Order Dialog:

In the Chart Display Order dialog you have full control over the draw order of each element displayed in 2-dimensional map displays.

Note:In three-dimensional displays, these options affect only raster chart order. Configure all other display options in the 3D Options and Levels tab of the Control Panel.

1.Right-click in the Project Files list and select the Chart Display Order option. A dialog appears which lists all of the charts and other files available to be drawn to your map. Items that are checked are items that are currently enabled in your project. Items at the end of the list are drawn first and will be overlaid by any above them in the list that are selected.

Chart Display Order Dialog

2.Check those items that you want to draw in your display.

3.Check the User-Defined option.

4.Order your charts. You can click and drag the files in the list or select one and reposition it with the buttons:

•With one arrow, [Front] and [Back] shift the selected file upward and down one position respectively.

•With two arrows, [Front] and [Back] shift the selected file to the beginning or end of the list respectively.

Tip: Alternatively, you can quickly move a chart to display on top of or behind all files through its right-click menu in the Project Items list: Bring to Front draws it on top. Send to Back draws it behind everything else.

Incorrect Chart Order (left: Shows two charts, but hides an XYZ file. Correct Chart Order (right: Brings the XYZ File Forward)

5.Preview your results. Click [Apply] and check the map.

6.When you’re satisfied, click [OK].

More Information

• Border Options in HYPLOT

• Chart Options in HYPLOT

• Grid Options in HYPLOT

• Track Line Options in HYPLOT

• Soundings in HYPLOT

• Matrix Options in HYPLOT

• Planned Line Options in HYPLOT

• Target Options in HYPLOT

• Title Blocks in HYPLOT

• Import of Graphics in HYPLOT

• Text Options in HYPLOT

• North Arrow Options in HYPLOT

• Color Bar Options in HYPLOT

• Compass Options in HYPLOT

• Ruler Options in HYPLOT

• Plotting Sheet Information in HYPLOT

• Project Colors in HYPACK


Border Options in HYPLOT

The Borders Tab in the Control Panel describes the border of your plot. Select the Border Style from the list. The Line Weight can be set for the generic styles by typing the number of pixels in the Inner and Outer fields. Set the color by clicking [Color] and selecting the one you want from the colors dialog.

If you select the "Double Line with Title Area" option, the Title Area options are enabled.

•Fixed sets the width of the title area to fit the Agency Title Block.

•Width creates a title area with user-defined width.

These options are not available for the IHO border style. The IHO border also requires the rotation of your plotting sheet to be 0 or divisible by 90 degrees.

Border Display Settings in HYPLOT

The custom border styles have additional display options which are accessed by clicking the corresponding button ( […] ).

Tip: Alternatively, you can quickly change the Border Style and any related display options through the Border Style menu.

Note:The IHO border style requires a PLT file rotation of zero or some multiple of 90.

• Chinese Standard Border Options

• Russian Standard Border Options

• New York and Norfolk Standard Border Options

Chinese Standard Border Options

The Chinese Standard includes a Sheet Indicator--a diagram where your current plot is in the center. The additional fields surrounding it represent additional plots of adjacent areas. This diagram can be included on your current plotting sheet to indicate the adjoining sheets.

To plot the Sheet Indicator:

1.Click the […] corresponding to the Chinese Standard border.

2.Check the Draw Sheet Indicator option. The Chinese Standard Data Form will appear.

Chinese Standard Border Options

3.Enter the names of the adjoining charts in the fields surrounding the solid square and click [OK].

Return to Top

Russian Standard Border Options

The Russian border options provide some alternative grid labeling choices:

XY Border

•Center Labels: The center of each side is marked and labeled.

•Center Lines: Draws a line, perpendicular to the border, at each center label location.

•User Spacing: Intervals, in survey units, marked outside the inner border.

•Swap X, Y Labels: Sets X as the vertical axis and Y as the horizontal axis.

•Labels: Tic intervals where labels appear. For example, enter a 10 and every 10th tic will be larger and labeled.

Lat/Lon. Border Options:

•Spacing: Distance in degrees, of the ticks marking the outside of the border.

•Medium Tics: Intervals of these ticks can be marked with medium-sized marks for easy reading. For example, enter a 5 and every 5th tic will be larger.

Labels: Tic intervals where labels appear on large tics. For example, enter a 10 and every 10th tic will be larger and labeled.

Label Options: Define additional labels to be drawn just outside the border at 1 or more of the listed locations and at the user-defined font height.

Return to Top

New York and Norfolk Standard Border Options

The New York, New England and Norfolk USACE standards include a series of custom title blocks that fit side-by-side along the right side of your plot.

Each block is represented by a diagram in the dialog.

To enter your content:

1.For each block, do the following:

a.Click the diagram of the block. Its border will be highlighted and the data entry fields for the selected block will appear.

b.Enter your project information in the fields provided.

2.When you have defined each block, click [OK].

Return to Top


Chart Options in HYPLOT

The Charts Tab offers display options that pertain to DXF, DGN and DIG charts.

Chart Display Settings in HYPLOT

DXF/DGN Color options allow you to optimize its display against other background files.

•Display Normal draws the file using whatever colors are stored in the file. (It can’t draw color contours unless it was created with color!)

•Display All Black and Display All White enable you to draw them in whichever color is best in your circumstance. If you have a dark TIF file, a white overlay would display best. If you have an S57 chart, a black DXF might be more appropriate.

Show Dig Text Entries: If you are plotting a DIG file, you can choose to include or exclude the object labels.

Chart Overscale Lines: Over scale Lines tell you that you are viewing the chart at a smaller scale than that in which it was created. An over scale chart will appear with diagonal, white-dotted lines.

[S57 Options] in the displays the ECDIS Display Options dialog.

S57 Options Dialog

Symbols: Choose between Traditional and Simplified.

Boundaries: Choose to have them marked with symbols (Symbolized) or as plain lines (Plain).

Units: Displays depths in your choice of U.S. feet or meters.

Scheme:

•S52: The industry standard where the colors progress from darkest to lighter shades of blue as depths increase.

•Bathy Blue: The reverse of S52 where the deepest water is the darkest color.

•Red Yellow Green: Displays three categories of depth areas:

•unsafe (red),

•safe with caution (yellow)

•safe (green)

S57 Color Schemes: S52 (left), Bathy Blue (center), Red Yellow Green (right)

Safety Depth displays depth labels in different colors above and below this depth.

Safety Contour, Shallow Contour and Deep Contour define different depth ranges which will be displayed with backgrounds of different shades of blue.

Note:This option is overridden by the Two Depth Shades option.

Scale Minimum displays different map features and symbols at varying zoom scales according to S57 standards. This option prevents your Map window from becoming overly cluttered. If this option is clear, everything will be displayed regardless of the zoom scale.

Two Depth Shades uses only two shades to display depths greater than and less than the Safety Contour.

Shallow Pattern draws a pattern in the areas of the map where the depth is shoaler than the safety contour.

Full Sector Lights includes data regarding direction and color of lights. If this is off, you will see only the position of the light source.

Show Soundings toggles the display of chart soundings.

Visual Quality of Data: S57 charts include markings that indicate whether the chart has been tested for accuracy and, if so, how accurate it is. Check this option to clear this ‘clutter’ from your display.

Draw Information Boxes: Draws S57 markers at all points of interest. Clearing this option will provide a less cluttered display.

Load Chart Updates: When you load a base chart (typically *.000) and there are update charts (typically *.001, *.002…) in the same folder, checking this option loads all related chart information to provide the most updated display.

Seasonal/Time Period Filter: Object attributes may specify time ranges when they would be most applicable to display. Check this option to display only objects whose attributes match the current time.

HYPACK Soundings Display: When 'Show Soundings' is checked, this option toggles between ECDIS display and HYPACK display options.

Isolated Danger in Shallow Water assures that those features coded as isolated dangers are always displayed.

Hide Extra Contours: Omits any contour that is above the deep contour or below the shallow contour. They are valid contours, but do not contribute to the safe navigation of your vessel.

Text Display Groups: Charts can get cluttered with excessive text. Select only those text features you want to see in your chart display.


Grid Options in HYPLOT

The Grid Tabs define the format for labeling both the lines and tics. You can choose to plot the projection grid or Lat/Long (or both) and set different display settings for each.

• Projection Grids

• Lat./Lon. Grids

Projection Grids

Grid Display Settings in HYPLOT

Plot determines whether you want to plot the XY grid.

Given that, the rest of the settings describe how it will appear.

Inside: Grid labels plot inside the border parallel to the grid lines. Otherwise, they plot perpendicular to the grid lines outside the border.

Style is a choice of drawing the lines or tics at the user-specified spacing. If you plot tics, Tic Length determines their size.

Projection Spacing determines the distance between grid lines or tics.

•Automatic Spacing adjusts according to the zoom factor to provide a useful display.

•Fixed Spacing keeps the grid markings at the constant distance defined in the corresponding field.

Label Projection selects which sides of the plotting sheet will display grid labels.

Tip: We find that Left and Bottom works well.

Auto Font Size automatically sizes the labels to fit the number of grid lines specified. The labels will be as large as possible and still fit side by side on your plotting sheet.

Labels can display as X,Y or E, N.

Line Weight sets the thickness of the lines or tics.

[Font] displays the standard Windows® Font dialog for you to adjust the appearance of the grids and grid labels. Sample results of each change can be viewed in the area below each set of buttons.

Return to Top

Lat./Lon. Grids

HYPLOT enables you to display WGS-84 or Local Lat./Lon.. Their setup tabs are identical.

Grid Display Settings in HYPLOT

Lat/Lon. Grid settings are the same as Projection Grid settings, but the Format options replace the Labels option.

Format defines how the Lat./Lon. positions are expressed and whether to use the common symbols for degrees, minutes and seconds. If you choose not to use symbols, HYPLOT inserts a dash to separate the values.

Return to Top


Track Line Options in HYPLOT

The Track Lines Tab affects the drawing and labeling of events and track lines. You can toggle the display of track lines to the screen by right-clicking the data file folder in the list at the upper left and selecting Enable Track Lines.

Track Line Options in HYPLOT

Draw Event Symbol draws a circle at each event location with the user-defined label. You can choose to label your track lines with the Event Numbers or the Time of the soundings. You may label every event (Label Increment=1) or at even intervals by entering an integer greater than one.

Event Increment defines how often the event marks will be labeled. An increment of 1 means every event mark is labeled. An increment of 5 means every 5th event mark is labeled.

Event Labels tells the program whether to label with Event Number or Event Time.

Label Orientation sets the angle at which event labels will be drawn. Elect to label events Perpendicular or Parallel to the planned line, or define another angle. Fixed Angle is the angle the text is drawn relative to the map window. (It is unrelated to the map orientation.)

[Font] is used to determine the color and font of the event labels.

Draw File Name enables you to label the track lines with its file name.

File Name Orientation affects track line labels in the same manner as the Label Orientation affects the event labels.

Draw Additional Track Lines enables drawing the track lines of up to 6 vessels (positioning systems) to the screen. We all know that towfish don't follow the same track of the vessel towing it. Now you can see both track lines accurately displayed. Track line 1 will always belong to the vessel designated as the main vessel in Survey.

More Information

• Specifying the Main Vessel in SURVEY


Soundings in HYPLOT

The Soundings Tab enables you to set how the soundings are presented and plotted.

To toggle the display of the soundings, right-click the data file folder and select ‘Enable Soundings’.

To enable and disable the golden sounding display, right-click Golden Soundings in the HYPLOT Project Files list and select or deselect the Enable Golden Soundings option.

The Soundings Tab

Orientation draws XYZ data at a user-specified angle relative to the first LNW file listed in the project files list. Elect to plot soundings:

•Perpendicular to the planned line,

•Parallel to the planned line

•At a user-defined Fixed Angle. This is the angle the text appears relative to the map window. (It is unrelated to the map orientation.) Any angle from -360 to +360 is permissible

Style: Choose the format with which to write your sounding.

•Decimal Point on the Mark (USACE) option places the decimal point at the location of the sounding and writes a normal size fraction.

•Cartographic (IHO) centers the integer portion of the sounding at the sounding location and then writes a smaller, lower fraction.

•Spanish Navy (IHM) places the decimal point at the location of the sounding and then writes a smaller, lower fraction.

•Pixel: represent the location of each sounding with a color-coded Pixel (dot) of a user-defined size.

•Russian: The sounding location is marked with a dot with the sounding value from the TIN MODEL Input file to its right. If you have a second TIN model, the depth from the Additional file appears left of the sounding position.

Color: Defines predefined sounding color settings (Black or ECDIS) or the value HYPACK is color-coded according to a user-defined palette.

When you select the Color by Depth, Color by Seabed ID, or Color by CHN Difference option, click [Color Table] to assign and configure the color palette in the COLOR EDITOR from within the Control Panel. This also affects the palette displayed in the Color Bar.

•Black: HYPACK ignores the project colors and draws all soundings in black.

•Color By File enables you to set specific colors for each catalog or individual file through the right-click menus in the Project Items list. Files loaded as part of a catalog all inherit the color of the catalog. When you assign a color to a file, the file name appears in the same color in the Project Items list.

Note:To color individual files, you must first load them to the project separately.

•ECDIS Colors: HYPACK ignores the project colors and draws all soundings according to ECDIS convention.

•Color by Depth colors your data based on the Z-values. Configure your palette according to your expected Z range.

Note:In HYPACK, the Z-value is most commonly depth, but it may also be gamma in magnetometer data, seabed identification numbers, number of soundings per matrix cell, uncertainty, etc

•Use Seabed ID: If you load an XYZid file (generated in SEABED MAPPER or GEOCODER) to TIN MODEL, where the ‘id’ is the seabed identification number, the program can output a matrix file based on the seabed ID instead of the depth. SEABED MAPPER also generates a matrix filled with seabed ID colors. These enable you to display your data by seabed classification in the HYPACK Map. Configure your palette according to your Seabed identification numbers and colors.

•Color by CHN Difference colors the soundings based on the distance above or below the sounding is from the design depth. Use the COLOR EDITOR to configure your project colors according to your expected difference values. Soundings that fall outside the channel are black. Configure your palette according to the expected difference values.

These changes only affect this session of HYPLOT.

Resolution enables you to specify soundings to either one 1 Decimal (Tenths) resolution or 2 Decimal (Hundredths) resolution.

Rounding enables you to determine how the soundings are presented.

•None displays the soundings decimal places according to the resolution setting.

•Truncate to Tenth just leaves off the hundredth digit. For example, 6.97 is written as 6.9.

•HYPACK:

•Depth below Nearest Tenth value: Round to nearest tenth using a x.05 rounding point (e.g 12.46 -> 12.5)

•Depth below Nearest Half value: Round using 3 rounding points:

<x.3 =x.0 (e.g 42.28 -> 42.0)

<=x.8 = x.5 (e.g. 42.6 -> 42.5)

> x.8 = (x + 1).0 (e.g. 42.83 -> 43.0)

•Depth above Nearest Half value: Round to a whole number using x.8 rounding point (e.g. 123.7 -> 123.0, but 123.8 -> 124.0).

•ROK Rules (Republic of Korea):

•Depth < the specified Nearest Tenth threshold, it is displayed at the specified decimal resolution.

•Depth >= 31, it is truncated to a whole value, otherwise it is truncated to the first decimal.

Note:The rule stated 31 meters as the whole value threshold but, if you are using depths in feet, the threshold will be interpreted as 31 feet by the sounding engine.

•UKHO Rules (United Kingdom Hydrographic Office):

•Depth < 0: Drying Heights are rounded nearest tenth using a x.03 threshold.

•Depth below Nearest Tenth value: Round to nearest tenth using a x.08 threshold.

•Depth below Nearest Half value: Output x.0 or x.5 using a x.5 threshold.

•Depth above Nearest Half value: Round to a whole number using a x.75 threshold.

•NOAA (National Oceanographic and Atmospheric Administration):

•Depth < 0: Drying Heights are rounded to nearest whole number using a x.5 threshold.

•Depth below Nearest Tenth value: Round to nearest tenth using a x.075 threshold.

•Above Nearest Tenth (Nearest Half not used) Round to a whole number using a x.75 threshold.

•AHOI (Australian Hydrographic Office):

•Depth < 31: (designed for meters) Display in Tenths, round at a x.065 threshold.

•Depth >= 31: Display as a whole number, round at a x.65 threshold.

[Test Rounding] provides a quick test platform to aid in understanding how your current settings affect your sounding display, and to ensure that the rounding rules have been implemented correctly. Just enter any sounding value in the dialog provided and see the display value based on the current option set.

The Options settings contain the following items:

•Negative Soundings get "+" does just that. If you have processed your sounding data in elevation mode (z values are negative), this setting will display them on the screen in depth mode (z values are positive).

•Hide Soundings Above a user-defined level plots only soundings deeper than the specified depth.

•Hide Soundings Below a user-defined level plots only soundings shoaler than he specified depth.

•Depth 1 Text and Depth 2 Text (HYPACK Control Panel only) are the terms by which you, personally, call the depths in a dual frequency data string. If you prefer a term other than ’Depth 1’ and ‘Depth 2’, enter them in the fields provided. Your terms will then replace ‘Depth 1’ and ‘Depth 2’ in this and other HYPACK dialogs.

Note:These labels have not been fully implemented . They occur initially in the HYPACK and HYPLOT Control Panels, and in the SB SELECTION program.

•Hide Above CHN Design Depth Plus this Value: Omits soundings that are more than the user-defined distance from the channel template.

The Plot Depth options are used to tell the plotting program which depth to present.

•Plot High Frequency plots depth 1.

•Plot Low Frequency plots depth 2.

•Plot Difference plots Depth 2-Depth 1. This may provide a general idea of the thickness of bottom material.

]\Draw Mode: Select a method and set the corresponding parameters.

•Fonts: [Font] displays the Windows® Font dialog where you can set font, and font size for bit-map style text. (Ignore the remaining options; HYPACK does.)

•For Vector text, select the Vector option and enter a Vector Size that appears as you wish.


Matrix Options in HYPLOT

The Matrix Tab enables you to choose to plot your matrix border, the depths (if it is a filled matrix) or both.

Paint Matrix Depths toggles the matrix depth data on and off.

The [Matrix Border Color] displays a color selection dialog to customize the color of the matrix border.

Matrix Display: Matrix files contain two depths for each matrix cell: the predredge Survey Depth and the Dredge Depth. The matrix display options enable you to plot either depth value or the difference between them (Dredge Depth – Survey Depth or Survey Depth - Dredge Depth).

Note:If you have a HYPACK matrix file, select Survey Depth. The Dredge Depth and Difference options will display an empty matrix.

If you have a Seabed ID matrix from SEABED MAPPER, select Seabed ID to color the matrix based on your seabed colors.

Note:With SEABED MAPPER, you can also store your seabed colors to a HYPACK color file (*.HCF). To display seabed ID colors, you must load this color file as your project colors.

Matrix Options in HYPLOT


Planned Line Options in HYPLOT

The Planned Lines tab contains display settings for any survey lines that you plot.

Planned Line Settings in HYPLOT

Draw Lines includes your Planned Line file in the plotting sheet.

Label Lines places the line name at the start of each line in the plotting sheet.

Label Orientation rotates the label relative to the planned line. It can be Perpendicular, Parallel or set at a user-defined Fixed Angle.

[Font] displays the Windows® font dialog to designate the size and color of the line labels. HYPLOT supports only true type fonts.

[Line Color]: Click the button to select a new color from a colors dialog. The current color is displayed in the color box.

To modify the line color, click [Line Color] and select the color from the color selection dialog.


Target Options in HYPLOT

The Targets dialog in the Control Panel provides choices about plotting target labels.

Target Options in HYPLOT

If you choose to plot them, set the color and font using the [Font] button. The targets themselves are black.

Orientation sets the angle at which target labels will be drawn when the circle target display is selected. Elect to label targets Perpendicular or Parallel to the planned line, or to define another angle. Fixed Angle is the angle the text is drawn relative to the map window. (It is unrelated to the map orientation.)


Title Blocks in HYPLOT

The Title Block Tab enables you to select one or more Title Blocks to plot. You can plot without a Title Block or you can plot with one or more blocks. Several Title Block templates are included in the \HYPACK 2017\Templates\Hyplot Title Blocks folder.

To add a title block to your plotting sheet, you can:

•Load an existing title block and modify it for your current plotting sheet if necessary.

•Build a custom title block.

Loading a Title Block Template

To load a title block to your plot:

1.Open the HYPLOT Control Panel.

2.Select the ‘Title Blocks’ item in the list on the left. The Title Blocks options will appear on the right.

Title Block Options in HYPLOT

3.Click [Add].

4.Select the title block you want and click [Open]. You can select a template from the \HYPACK 2017\Templates\Hyplot Title Blocks folder, or another existing title block. If you choose a title block outside of the project, HYPLOT will make a local copy of the selected title block, renaming it by appending the project name to the beginning of the title block file name. The new file will then appear in the list in the Title Blocks dialog.

5.Plot one or more title blocks listed by checking only the boxes for the blocks you want to print.

6.Click [OK] to return to the HYPLOT screen.

Loading the SHOM Title Block:

The SHOM title block has more complex set of requirements. Therefore, it has its own routine for loading and editing it for your plotting sheet.

Note:To display the SHOM title block, you must also select the ‘Double Border with Title Area’ border option.

To include a SHOM title block in your plotting sheet:

1.Check the ‘Plot’ checkbox.

2.Click [Edit SHOM...] and the SHOM template appears.

SHOM Title Block Editor

3.Check the checkboxes to select each section you want to write in your title box.

4.Modify the text in all selected fields to make them correct for your current plotting sheet.

5.Choose whether the selected fields draw at the top or bottom of the title area.

6.Load the correct logo. The interface defaults to the SHOM logo, while the Alternate SHOM Logo option loads the SHOM and SDHM logos together.

Alternatively, you can load a custom image: Click the image itself and browse for a custom image.

To remove a custom image, click the Clear Image icon.

SHOM Logos—Default SHOM (left), Alternate SDHM (right)

7.Set the Paper Size to A0 or A3.

8.When you are satisfied, click [OK] to return to the Control Panel.

More Information

• Creating a Custom Title Block Title Block Editor

• Border Options in HYPLOT


Import of Graphics in HYPLOT

The Import of Graphics tab enables you to import image files to your plots. This enables you to include your company logo, a plotting sheet layout graphic or any other graphic in your plot.

Importing a Graphic File to HYPLOT

1.Load one or more graphic files. For each image, click [Browse] and choose your graphic using the file selection dialog.

2.Set your graphic properties. There are two methods.

•To set graphic properties through a dialog, highlight the graphic you want to modify and click [Properties]. The Import Graphics dialog will appear.

Import Graphics Dialog

•X and Y Offsets set its position relative to the lower left corner of the plot.

•Plot on Sheet is an additional place where you can tell HYPLOT to include this image. It stays synchronized with the checkboxes in the Import of Graphics dialog.

•Maintain Aspect Ratio forces the image to retain its vertical to horizontal proportions when you change either the Height or Width. Otherwise, you can change Height and Width independently of each other and the image will stretch to fit.

•If you check the ‘Opaque’ box, the image will cover any data it overlays. Otherwise, it will be transparent and you can see data that may be plotted behind it.

•Check Frame to draw a narrow black outline around the image.

•To set graphic properties with your mouse:

•Position the graphic by clicking anywhere inside the graphic display in your plotting sheet and drag it to its new position.

•Resize the graphic by selecting the graphic then clicking and dragging the handles any of its sides.

•Set the graphic to plot by checking its checkbox in the Import Graphics tab.

To delete an entry, select the File Name and clicking [Delete].

To delete all of your entries, click [Clear].

More Information

• Generating Plotting Sheet Layout Graphics


Text Options in HYPLOT

You can insert text other than the labels to your plot. Do this through the text settings in the Control Panel.

Text Tab

1.Click in the Text column and then on [Add]. The Insert Text dialog will appear.

Text Insert Dialog

2.Enter the X and Y offsets (cm) from the bottom left corner of the plotting sheet to the point where the text will begin.

3.Set the font using [Font] and the standard Windows® font dialog.

4.If you want to enclose your text in a box, check Text Border and enter the line width (mm).

5.If you want the text to appear at any angle other than what you see in the text box, enter a rotation angle. The text rotates counterclockwise around the bottom, left corner of a text border (whether you draw the border or not).

6.Enter the text you want to appear under Text.

7.Click [OK].

Note:You can later edit your text by selecting it in the Text Tab and clicking [Properties]. The Text Edit dialog will appear with the data corresponding to the selected text loaded. Make your changes and click [OK].


North Arrow Options in HYPLOT

To plot a North Arrow select DRAW-NORTH ARROW in the HYPLOT menu or check Plot North Arrow in the North Arrow Tab. Display settings for the North Arrow symbol include:

North Arrow Tab

Arrow Styles provides a selection of North Arrow styles. Scroll through the options and click on your choice.

Text labels the arrow . If you choose the first arrow style, you can Edit the text that bisects the arrow. If no text is entered, a solid arrow will be drawn.

Color affects the color of the arrow symbol.

Offset X and Offset Y positions the arrow on your plotting sheet where settings of zero indicate the lower left corner.

Arrow Height and Arrow Width are the vertical and horizontal measurements of the arrow.

[Font…] affects only the text in the North Arrow display.


Color Bar Options in HYPLOT

To plot a legend of the colors and corresponding depths:

•Select DRAW-COLOR BAR from the HYPLOT menu or

•Check Plot Color Bar in the Color Bar Tab and define the settings for its position and size.

The Color Bar Tab

X Offset and Y Offset designate the position for the lower left corner of the color bar.

Font Size enables you to adjust the size of the labels.

Bar Width and Bar Height defines the size of the color bar. There are two methods:

•Bar Height * Color Entries: Select this option to apply the Bar Height to each color range in your project colors. In this case, the Bar Height value should be quite small so the whole color bar fits in the plotting sheet.

•Set Height to Bar Height: Select this option to apply the Bar Height to the full height of the color bar. The color ranges will be evenly distributed across the set distance in the color bar. In this case, set a size no more than the size of your plotting sheet.

Plot Color Bar toggles the Color Bar display on and off.

Labels in Black prints the color bar ranges in black. If this is cleared, they will be printed in colors matching the color of the range they describe.

Label first value of range prints only the upper depth of each color range.

Black Outline borders the color bar and each color range in black.

Mode: By HYPACK convention, positive depths are downward in depth mode and upward in elevation mode. In HYPLOT all depth values are positive. Selecting Elevation Mode places the larger value at the top of the color bar display. (Greater value indicates greater height.) Depth Mode places the larger value at the bottom.


Compass Options in HYPLOT

You can include a compass on your plot using the settings in the Compass Tab.

Transparent Compass (left), Compass Tab (right)

Center X Offset and Center Y Offset determines the position of the compass center on the plot.

Magnetic Deviation enables you rotate the compass by a user-defined amount to show the difference between the direction to Geodetic North and Magnetic North.

Compass Size sets the diameter of the plotted compass.

Check Opaque to draw a solid white background behind the compass. If this is not selected, other plotted objects will be visible through the compass.

Plot Compass instructs HYPLOT to draw the compass according to these settings. If you prefer to omit this feature from your plot, deselect this option.

Alignment determines whether the compass will be pointing to Grid North or Geodetic (True) North.

Compass Color is the background color when the compass is opaque.

Gradation Color is the color of the markings and numbers on the compass.

You can set each color by using the coordinating [Color] and selecting your color from the dialog.


Ruler Options in HYPLOT

You can plot a ruler to show the scale of your drawing.

A Sample Scale Ruler

The Ruler Tab

X Offset and Y Offset position the left end of the scale.

Opaque draws it with a white background.

Plot Ruler tells whether the ruler will be drawn.


Plotting Sheet Information in HYPLOT

The Date, Time and Plotting Sheet Number can be included in your plot.

Date Time Format provides a selection of formats for the presentation of the date and time that the sheet is plotted.

X and Y Offsets can be used to position the text on your plotting sheet where settings of 0,0 begins the line in the lower left corner.

[Font] displays the Windows® Font dialog to set the type.

Plot Sheet Number begins at "1" when you initially open a PLT file and it is automatically increased each time you print it. Check this option to append the plotting sheet number to the end of the Date Time string.

The Plot Sheet Info option toggles the display on and off.

The Sheet Information Tab


Creating a Custom Title Block Title Block Editor

Whether you modify an existing title block or create a custom one of your own, you work in the Title Block Editor.

Sample Title Block in the Title Block Editor

To create a new title block:

1.Open the Title Block Editor by selecting SETTINGS-TITLE BLOCK EDITOR. The program will display an empty title block.

2.In the Title Block Editor, select FILE-NEW. The Title Block Editor will appear with only a ‘container’ rectangle defined.

3.Set the Title Block properties.

4.Add the required elements to your Title Block, setting the properties and entering the content for each one.

5.When you are finished, save the title block by selecting FILE-SAVE and naming your Title Block. The new title block will be saved, by default, to the \HYPACK 2017\Templates\Hyplot Title Blocks folder where it can be reused in future plots.

More Information

• Editing a Title Block

• Setting Title Block Properties

• Working with Title Block Elements

• Title Block Editor Display Options


Editing a Title Block

If you have loaded a title block template, or another existing title block, you may need to customize the title block for the current plotting sheet.

To edit an existing block:

1.Select the title block to be modified in the Title Blocks dialog.

2.Click [Edit]. The selected title block will appear in the Title Block Editor. By default, the title block properties are displayed on the right.

3.Modify the title block as necessary.

•Set the title block properties

•Work with the elements. You can change any number of the following:

•number

•properties

•layout

•content

4.When you are satisfied, click [OK] to return to HYPLOT.

More Information

• Setting Title Block Properties

• Working with Title Block Elements

• Title Block Editor Display Options


Setting Title Block Properties

Title Block Properties apply only to the ‘container’ rectangle of the title block.

1.Select the title block by clicking outside the title block in the design area.

2.Modify the title block properties (right).

•X1, Y1: Fixed at 0,0.

•X2, Y2: Defines the size of the title block.

•Edges: Check those edges that should be visible.

•Block Name: Name your title block, preferably something that will indicate the content so you’ll know if it will be useful in future plotting sheets.

•Parent Area determines whether the title block will appear in the plotting sheet area or in the title block area.

•Parent Anchor is the position in the Parent Area where the title block will reside. If you want the title block in some position other than one of the corners, select ‘Bottom Left’ and set X and Y Offsets to shift the block up and right respectively.

Tip: Alternatively, you can quickly position the title block anywhere in the plot by selecting the ‘Bottom Left’ option, then using the cursor in the plot display to drag the title block into position.

•Opaque: If you check the ‘Opaque’ box, the title block will plot with a solid background covering any data it overlays. Otherwise, it will have a clear background; you can see data that may be plotted behind it.

Title Block - Non-Opaque (left) and Opaque (right)

•Box Color: Click [Box Color] and select the background color to be used for opaque title blocks.


Working with Title Block Elements

Think of a title block as a rectangular container with one or more rectangular elements within. The title block and each of its elements is drawn according to the properties which you will set in the area on the right-hand side of the editor. You can change the content; the number, arrangement and appearance of the elements and the display of the ‘container’ block.

Adding an Element

Click the Add Element Icon. A ‘generic element’ will appear in your title block for which you must now position and set properties.

Deleting an Element

Select the element you want to remove from the title block and click the ‘Delete Element’ Icon.

Setting Element Properties

1.Select the element. It’s current properties appear at the right.

2.Set the properties as desired for the selected element.

•X1, Y1: Position coordinates for the upper left-hand corner of the element relative to the upper left-hand corner of the block

•X2, Y2: Position coordinates for the lower right-hand corner of the element relative to the upper left-hand corner of the block.

Tip: You can also use your cursor to reposition and resize elements within the title block.

Position the element by clicking anywhere inside the element display in your plotting sheet and drag it to its new position.

Resize the element by selecting the element then clicking and dragging the handles any of its sides.

•Edges: Check those edges that should be visible.

•Text: If you want text in the selected element, type the text you require in the field below ‘Text’.

•Picture: If you want to display an image file, check the box then click [...] to browse for the required image location. The Title Block Editor supports JPG and BMP images.

•Text Alignment: Horizontal and Vertical positioning of your text within the selected element.

•[Font] accesses a font selection dialog.

•Opaque: If you check the ‘Opaque’ box, the element will plot with a solid background covering any data it overlays. Otherwise, it will have a clear background and you can see data that may be plotted behind it.

•Box Color: Click [Box Color] and select the background color to be used for opaque elements.

3.Save the changes by selecting FILE-SAVE. The Title Block Editor will automatically return you to the Control Panel.


Title Block Editor Display Options

The program provides several display options that enable you to optimize your view while you work. These affect only the display within the Title Block Editor.

•In the Options menu:

•Units: Choose to work in inches, centimeters or millimeters.

•Ruler: Toggles the vertical and horizontal rulers on and off.

•Snap to Grid: Automatically aligns each side of your element to the nearest 0.625 inch [one sixteenth] or millimeter.

•Zoom In/Out icons adjust the scale by 25%.

•[1:1]: Sets the zoom scale to real world dimensions.

•WYSIWYG Factor adjusts the scale of the drawing in the Title Block Editor. It does not affect the size of the title block itself.


Plotting Sheet Templates

One of the great things about HYPLOT is the extensive selection of display options that enable you to plot exactly what you want. If you had to configure the numerous options each time you want to plot data, it would be a time-consuming task. However, most of you use a standard set of options to plot your project data because you use the same plotter and require specific chart items at certain plot locations. If this is the case, plotting sheet templates will save you a lot of time.

Plotting sheet templates store all of the plotting options set in HYPLOT at the time you save it. You can then quickly restore all of those settings, applying them to the same or to a different plotting sheet file (PLT) at a later time, by loading the plotting sheet template file.

Note:The template plots items based on the offset measurements specified when the template was saved. If you load the template to a smaller plotting sheet, it is possible to "lose" chart features off the top or right edges of your new chart.

Saving the Plotting Sheet Template

When you have configured your plotting sheet with the options in the HYPLOT Control Panel, click [Save Template] and name your file. HYPLOT saves your settings, by default, to a *.HYT (HYPLOT Template) file in the \HYPACK 2017\Templates folder.

Loading a Plotting Sheet Template

Once you have configured a plotting sheet template, you can apply it to any plotting sheet (*.PLT) in any project; it can be the same project area or a new location.

1.Open HYPLOT using a plotting sheet appropriate for your project area.

2.Click [Load Template] and select the *.HYT file containing the Control Panel settings you require. The display options from the template will be applied to the plotting sheet (*.PLT) and data of your current project.

3.Make any plot-specific modifications. (For example: do you have to change date and location in your title block?)

4.Plot your sheet.


Plotting Methods in HYPLOT

When you have all of your data chosen and your display options configured, you’re ready to send it to the plotter. With the exception of bitmap-based (raster) files, such as ARCS, BSB or TIF charts, HYPLOT can easily plot almost anything you can display on your computer screen.

To send your plot to the plotter:

1.Select FILE-PRINT and the Plotting Options dialog will appears with the recommended settings based on the files included in your plot.

2.Verify your plotting settings. HYPLOT offers 2 plotting method choices:

•Composite: This option is more reliable if your plot includes raster data. It uses a process in memory that reproduces the more complex features found in raster charts.

If HYPLOT detects raster data in the plot, the dialog defaults to this method with a resolution of 300 DPI. Remember that resolution directly affects the size of the output file. If your system doesn't have enough memory, or if it's just taking too long to print, choose a lower resolution.

Composite Plotting Options

•Direct Plotting is faster and uses less memory, but it is only reliable for vector objects. It sends the data directly to the printer.

If you have raster data, you can choose to override the Composite default. If this is your choice, you must also choose how HYPLOT will handle the complex colors of the raster data.

Direct Plotting Options

•Pixels converts the bitmap into a very large number of pixel color cells. So many that the normal speed of direct plotting might be completely negated.

•Bitmaps option doesn't add too much overhead, but it is likely to generate an incorrect or unacceptable plot, because the program can’t perform the coloration processes required for the more complex chart displays.

3.Click [OK] and wait for the plotter to finish!


Exporting your Plots to Chart Files in HYPLOT

In addition to printing or plotting your data from HYPLOT, you can output the data in your plotting sheet to CAD DXF or DWG chart formats.

More Information

• Exporting your Plotting Sheet to CAD Formats

• Saving your Plot to PDF Format

• Saving Your Plot to a TIF Graphic


Exporting your Plotting Sheet to CAD Formats

HYPLOT can export your entire plotting sheet to DXF and DWG formats for our CAD users. The exported file includes borders, labels, scale bar, compass rose and most of the other display features offered in HYPLOT. We are not yet able to handle complex background files, such as Ortho-TIF, BSB and ARCS charts.

1.Click the Export icon on the toolbar and select your output. The corresponding Export dialog will appear.

HYPLOT Export to CAD Options

2.For each item listed, enter a layer name to which that item will be drawn.

3.Select your output version of your choice.

4.Click [Convert], enter a name for your output chart and click [OK].


Saving your Plot to PDF Format

HYPLOT prints your plot directly to PDF format with no need for a third-party printer driver. It georeferences the PDF according to the Open Geospatial Consortium best practices, which means you can open the PDF in a variety of programs, including HYPACK, and they will be able to recognize the geospatial coordinates of areas on the plot.

1.Select FILE-EXPORT TO PDF. The Export to PDF dialog appears.

Export to PDF Dialog

2.Enter your export instructions and click [OK].

•Format: Select Raster or Vector output.

•Resolution in dots per inch. This is enabled only for Raster output. Remember that resolution directly affects the size of the output file. If your system doesn't have enough memory, or if it's just taking too long to print, choose a lower resolution.

3.Name your chart and click [Save]. The file is saved, by default, to the current project folder.

Sample Georeferenced PDF in HYPACK


Saving Your Plot to a TIF Graphic

You can save a TIF image of your plot at your choice of six resolutions. When you choose your resolution, HYPLOT calculates and displays the dimensions and size of your potential image file. If the file size does not suit you, choose a different resolution before generating the file.

1.Click the Export to CAD icon on the toolbar and select ‘To TIF’. The HYPLOT TIF Output dialog will appear.

HYPLOT TIF Output

2.Choose the resolution of the image and check the calculated size of the proposed TIF.

3.Click [Output TIF]. The TIF Save Options dialog will appear.

4.Set your TIF Save options and click [OK]. The Save As dialog will appear.

5.Name your file and click [Save]. The TIF file will be saved, by default to your project folder. HYPLOT displays a pop-up message at its completion.

Note:Plotting large, high resolution plots may require more memory than is available in your system. In this case, HYPLOT tells you that you are out of memory. You should reduce the resolution and try again


HYPLOT-Multiple Sheets

Use HYPLOT-Multi to configure your plot layout (page): plot one or more plotting sheets per page, define the features to be plotted in each plotting sheet file, and send the information to the plotter.

The HYPLOT-Multi interface is much like the HYPACK window. For each plotting sheet, HYPLOT-Multi automatically loads all of the files that are loaded to the project, and draws all that are both enabled in the HYPACK area map and are located within the area defined by your plotting sheet file. In HYPLOT-Multi, you can draw and erase them from your plot, and define display settings in much the same manner as you do in HYPACK.

HYPLOT-Multi Interface

The finished results can be plotted on any Windows® driven plotter or printer. You may also generate CAD charts or print PDF or TIF files from each plotting sheet.

Tip: Alternatively, you can format and plot one plotting sheet file at a time in our earlier version of HYPLOT.

More Information

• Running HYPLOT-Multi Sheets

• HYPLOT-Multi Layouts

• Selecting the Active File in HYPLOT-Multi

• Configuring the Project Files in Each Plotting Sheet

• Setting Display Options in HYPLOT-Multi

• Saving a Plotting Sheet Configuration in the Layout in HYPLOT-Multi

• Applying Template Settings to your Plotting Sheet in HYPLOT-Multi

• Exporting your Layouts in HYPLOT-Multi

• HYPLOT

• Creating a Custom Title Block Title Block Editor

• Plotting Methods in HYPLOT

• Plotting Sheet Templates


Running HYPLOT-Multi Sheets

The procedure is very simple:

1.Verify that you have created one or more appropriate plotting sheet files (*.PLT) for your desired output. These files are created in the PLOTTING SHEET EDITOR and define the area to be plotted, the size of your plotting sheet and the scale and rotation of your sheet.

2.Start the HYPLOT-Multi program by selecting FINAL PRODUCTS-HYPLOT-MULTIPLE SHEETS. The Plot Manager appears.

3.Open a new or existing plot layout.

The layout defines the size paper to which you intend to plot, the plotting sheets you intend to draw and the display settings pertinent to the page (ie. separate from the plotting sheet settings).

The HYPLOT-Multi screen appears next.

4.Define which plotting sheet files you want to print. As you add each plotting sheet, HYPLOT-Multi initially draws all of the enabled files in your project.

5.Configure each plotting sheet in your layout.

a.Select a plotting sheet to configure. Click on its display. A red border indicates the currently selected plotting sheet.

b.Draw all the files you want to plot in the Plot Design window.

•Enable the files you want to plot. Right-click on the item in the HYPLOT-Multi Project Files list and select the Enable option.

When single beam raw or All format files are enabled in a project, you can choose to draw the soundings, track lines or both.

For binary data files (HSX, HS2, HS2X), you can draw only track lines.

To make your choice, right-click on the data folder and select ‘Enable Soundings’ or ‘Enable Track lines’ (or both).

Note:Track lines can not be displayed for XYZ files as there is no track line information available in this format.

•Remove any files you do not wish to plot. Clear the checkbox in the HYPLOT-Multi Project Files list.

Tip: You can disable all project or data files of a selected type from the selected plotting sheet or from all plotting sheets. Select the folder in the Files list then select DRAW-DISABLE FILES (THIS PLT) or DRAW-DISABLE FILES (ALL PLTs) from the menu.

c.Define your display settings. Each type of file has a corresponding tab in the Control Panel where you can choose how they will be displayed.

Tip: If you have a template file (*.HYT) with the correct settings, you can do so quickly. Click [Load Template] in the HYPLOT-Multi toolbar and select the template file.

d.Save your plotting sheet settings. (Optional) HYPLOT-Multi saves the objects currently displayed in the plotting sheet area, and the display options to an INI file with the same root name as the plotting sheet file (*.PLT)

•To save the current plotting sheet, select FILE-SAVE PLOT SHEET.

•To save all plotting sheets in the layout, select FILE-SAVE ALL PLTs.

6.Save a template with the Control Panel settings for the current plotting sheet (*.PLT). (Optional) Click [Save Template] and name your file. All of the display settings are saved, by default to a *.HYT file in the \HYPACK 2017\Templates folder and you can use them at a later time to configure any plotting sheet.

7.Configure any additional items in your layout. When you select the layout (*.LOT) in the Plot Sheets tab of the Control Panel, the dialog enables only items that may be applicable to the layout, separately from its member plotting sheets.

8.Save your layout. (Optional). Select FILE-SAVE LAYOUT FILE.

Tip: You can quickly and easily reload the entire layout at a later time using the [Open Layout] in the Plot Manager.

9.Choose your plotting method. Select FILE-PRINT and select to plot a composite of raster and vector drawings or plot pure vector data directly. When you click [OK], the Windows® Page Setup dialog automatically appears.

10.Enter your Page Setup information. (This can also be accessed by selecting FILE-PAGE SETUP.)

11.Export your plot. Typically, you send it to the printer or plotter by selecting FILE-PLOT and selecting your printer or plotter settings and clicking [OK]. You may also generate DXF charts or georeferenced PDF and TIF files.

More Information

• HYPLOT-Multi Layouts

• Selecting the Active File in HYPLOT-Multi

• Configuring the Project Files in Each Plotting Sheet

• Setting Display Options in HYPLOT-Multi

• Saving a Plotting Sheet Configuration in the Layout in HYPLOT-Multi

• Creating a Custom Title Block Title Block Editor

• Plotting Methods in HYPLOT

• Plotting Sheet Templates

• Applying Template Settings to your Plotting Sheet in HYPLOT-Multi

• Exporting your Layouts in HYPLOT-Multi


HYPLOT-Multi Layouts

Layout files (*.LOT) represent one page that you will send to the plotter from HYPLOT. It includes the page dimensions as well as the content. Select objects (eg. graphics, text, title blocks, etc.) can be stand-alone objects in the layout or configured in one or more plotting sheets (*.PLT). LOT files are saved, by default, to the project folder.

Note:A layout is configured separately from the plotting sheets it contains. The plotting sheet display settings apply to only the active PLT file or, in some cases, only to the LOT file.

When you launch HYPLOT-Multi, the Plot Manager appears first. This is where you choose your page size, one or more plotting sheets (*.PLT) and any other objects that you want to plot. A layout file (*.LOT) stores this information for future reuse as required.

Plot Manager

More Information

• Opening a Layout in HYPLOT-Multi

• Configuring a Layout in HYPLOT-Multi

• Removing a Plotting Sheet from the Layout in HYPLOT-Multi

• Saving a Plotting Sheet Configuration in the Layout in HYPLOT-Multi


Opening a Layout in HYPLOT-Multi

From the Plot Manager, you can begin designing a new layout or open an existing layout.

To open an existing layout, click [Open Layout], select the required LOT file and click [Open].

To create a new layout:

1.Click [New Layout]. The Sheet Creator appears.

Sheet Creator

2.Enter the page specifications for your output.

•Using pre-defined standards

i.Select your preferred paper standard.

ii.Select the definition for your paper size.

•The Custom standard: If you have a paper roll, use this option to define their own page size. Remember to allow for margins.

The Height and Width measurements update for each Standard and Definition pair to show the actual plot area available, allowing for a 0.75 inch margin.

Alternatively, under Standards, select the Custom option and enter your own page width and height (allowing for margins).

3.Configure your layout. Include one or more plotting sheets, as well as other plot objects such as graphics, text, title blocks, etc.

4.Save your Layout (*.LOT):

•To generate one layout sheet, use [Save and Load].

i.Click [Save and Load]. The Sheet Creator closes, a File Save dialog appears.

ii.Name your layout and click [Save]. The program stores your layout sheet definition to a LOT file and the layout appears in the Plot Manager.

•To generate more than one layout sheet use [Save As].

i.Click [Save As]. A File Save dialog appears.

ii.Name your layout and click [Save]. HYPLOT-Multi stores your LOT to the project and returns you to the Sheet Creator.

More Information

• HYPLOT-Multi Layouts

• Configuring a Layout in HYPLOT-Multi

• Removing a Plotting Sheet from the Layout in HYPLOT-Multi

• Saving a Plotting Sheet Configuration in the Layout in HYPLOT-Multi


Configuring a Layout in HYPLOT-Multi

To configure a layout, you load and position the items that will appear in your plotted page. The layout configuration can include one or more plotting sheets, as well as other plot objects such as graphics, text, title blocks, etc.

Typically, once you have set the layout dimensions, you add the plotting sheets while the Plot Manager is still open, but you can reopen the Plot Manager at any time (FILE-PLOT MANAGER).

Each plotting sheet initially shows the enabled project files that fall within its boundaries, but you can reconfigure the file displays for each plotting sheet.

1.In the Plot Manager, click [Add].

2.Select the required plotting sheet file and click [Open]. The Offsets dialog appears with default offsets. They represent the distance from the lower left corner of the layout to position the lower left corner of your plotting sheet.

Offsets Dialog

Note:You can not load the same plotting sheet file more than once in your layout. If you try, the program asks to create a duplicate file. If you click [Yes], it creates an identical PLT, presenting a File Save dialog for you to name it, then continues to the Offsets dialog.

3.Enter the offsets for the plotting sheet in the current layout and click [OK]. The plotting sheet appears in the layout display in the HYPLOT-Multi window.

You can adjust the offsets if required:

•In the Offsets dialog: Select the PLT in the Plot Manager and click [PLT Offsets], then adjust the offsets.

•In the HYPLOT-Multi interface: Use the cursor to drag the plotting sheet to the exact position.

4.When you have loaded all of your plotting sheets, close the Plot Manager.

5.Configure each plotting sheet and the layout individually:

a.Select the PLT or LOT.

b.Enable and disable files, as needed, in the HYPLOT-Multi Data Files and Project Files lists.

To store these file selections for the next HYPLOT-Multi session, check the Save Background Chart option in the Plot Sheets tab of the control panel. Otherwise, when you begin the next HYPLOT-Multi session, the PLT displays files according to the HYPACK map display .

c.Use the display settings (F9) to add the other chart objects (for example, a compass rose, scale, graphics or text) and set their display options.

To draw only the current PLT according to the Control Panel settings, click [Apply].

To draw all of the plotting sheets in the layout according to the Control Panel settings, click [Apply Tab to All PLTs].

6.Save the layout. (Optional) Select FILE-SAVE LAYOUT FILE. HYPLOT-Multi stores the layout objects and settings to an INI file with the same root name as the layout.

When you save a layout, you save the items currently configured in the layout— plotting sheets, compass, text, graphics, ruler, title blocks and sheet info—so you can easily reload the same configuration from the Plot Manager later.

Note:You must save the display settings for the member plotting sheets separately by saving the plotting sheet.

More Information

• HYPLOT-Multi Layouts

• Selecting the Active File in HYPLOT-Multi

• Setting Display Options in HYPLOT-Multi

• Opening a Layout in HYPLOT-Multi

• Removing a Plotting Sheet from the Layout in HYPLOT-Multi


Removing a Plotting Sheet from the Layout in HYPLOT-Multi

You can remove a plotting sheet from the current layout through the Plot Manager or the right-click menu:

•In the Plot Manager (FILE-PLOT MANAGER), select the PLT and click [Remove].

•Right-click on the plotting sheet in the HYPLOT-Multi display and select Delete.

Note:You must save your layout to store the changes you have made.


Selecting the Active File in HYPLOT-Multi

HYPLOT-Multi includes numerous tools and dialog options that, together, configure the display of your layout and each plotting sheet. Many of the display options can affect the display in a plotting sheet or the layout and you can configure the LOT and each PLT file individually.

Important: Select the file you want to configure (LOT or PLT), in the Plotting Sheets tab of the Control Panel, then select your display settings for only that file.

In the graphical display, the active sheet is bordered in red and its title appears, with its size and rotation in the title bar.

The Current Active Sheet option on the Plotting Sheets tab in the Control Panel provides a list that includes the LOT file and all PLT files that you have loaded to the layout.

1.Open the Control Panel (F9).

2.In the Plotting Sheets Tab, select the file you want to affect with your display settings.

Tip: To select a plotting sheet file, you may, alternatively, use the default cursor to click on it in the layout display.

More Information

• HYPLOT-Multi Layouts

• Configuring the Project Files in Each Plotting Sheet

• Setting Display Options in HYPLOT-Multi

• Creating a Custom Title Block Title Block Editor

• Plotting Methods in HYPLOT

• Plotting Sheet Templates

• Exporting your Layouts in HYPLOT-Multi


Configuring the Project Files in Each Plotting Sheet

For each plotting sheet in your layout, there are two ways you can choose which project files it will display:

•Manually enable and disable files in the HYPLOT-Multi Project Items list that will remain constant from one session to the next.

•Synchronize the PLT display with the files enabled in the HYPACK Map. You can make changes during the session, but the next HYPLOT-Multi session again loads the files currently enabled in the HYPACK map.

In the Plotting Sheets file of the HYPLOT-Multi control panel, the Save Background Chart Selection option sets the mode for each plotting sheet. Select the option for the manual mode; deselect the option to synchronize your initial display with the HYPACK map.

More Information

• HYPLOT-Multi Layouts

• Selecting the Active File in HYPLOT-Multi

• Setting Display Options in HYPLOT-Multi

• Creating a Custom Title Block Title Block Editor

• Plotting Methods in HYPLOT

• Plotting Sheet Templates

• Exporting your Layouts in HYPLOT-Multi


Setting Display Options in HYPLOT-Multi

HYPLOT-Multi includes numerous tools and dialog options that, together, configure the display of your layout and each plotting sheet. Many of the display options can affect the display in a plotting sheet or the layout and you configure each file individually.

Important: Select the file you want to configure (LOT or PLT), in the Plotting Sheets tab of the Control Panel, then select your display settings for only that file.

Options applicable only to plotting sheets are disabled when you select the layout.

The menus and toolbars have a few additions beyond those offered in the single-plot version of HYPLOT. The Control Panel options are the same, with the addition of the Plotting Sheets Tab.

Menus and Toolbars

The Draw and View menus, as well as the Icon Bar (top) and Screen Control Bar (right) of HYPLOT-Multi provide many of the standard display controls:

•Designate the display of certain features in the plot.

•Adjust the HYPLOT-Multi screen view.

•Save your layout.

•Save your plotting sheet settings for the individual plotting sheet, to a template file that can be applied to any plotting sheet.

•Save and print your layout.

Control Panel

The Control Panel (F9) defines your plotting settings for each type of file in the active plotting sheet or layout selected in the Plotting Sheets tab.

1.Select a feature from the tree view of categories on the left.

2.Select the related display options available on the right.

Tip: Some items (such as a compass, imported text and graphics) have no fixed position in your plotting sheet or layout. Position them initially with the coordinates in the appropriate settings dialog. You can then easily relocate them by dragging them with your cursor in the HYPLOT-Multi display.

To draw the current PLT according to the Control Panel settings, click [Apply].

To draw all of the plotting sheets in the layout according to the Control Panel settings, click [Apply Tab to All PLTs].

At any time, you can set the current PLT settings, for all feature types, as your default by clicking [Save as Default]. You can then easily apply those settings to any selected plotting sheet by clicking [Restore Default].

More Information

• HYPLOT-Multi Layouts

• Selecting the Active File in HYPLOT-Multi

• Configuring the Project Files in Each Plotting Sheet

• Saving a Plotting Sheet Configuration in the Layout in HYPLOT-Multi

• Creating a Custom Title Block Title Block Editor

• Plotting Methods in HYPLOT

• Plotting Sheet Templates

• Applying Template Settings to your Plotting Sheet in HYPLOT-Multi

• Exporting your Layouts in HYPLOT-Multi

• Setting Display Options in HYPLOT


Saving a Plotting Sheet Configuration in the Layout in HYPLOT-Multi

HYPLOT-Multi offers two methods to save your PLT configurations:

•Save the settings to its own INI file (PLTName.ini). HYPLOT-Multi displays the objects and files in that plotting sheet (*.PLT) according to these options, regardless of the layout.

•To save the settings for the currently selected plotting sheet, select FILE-SAVE PLOTTING SHEET.

•To save the settings for each plotting sheet in the current layout, select FILE-SAVE ALL PLTS.

•Save the settings for the currently selected plotting sheet to a plotting sheet template (*.HYT). A template maintains a constant sheet configuration. Whenever you want to display a plotting sheet in with the template settings, you can quickly and easily apply all of the template settings to the current plotting sheet in just a few clicks.

More Information

• Running HYPLOT-Multi Sheets

• HYPLOT-Multi Layouts Selecting the Active File in HYPLOT-Multi

• Configuring the Project Files in Each Plotting Sheet

• Setting Display Options in HYPLOT-Multi

• Saving a Plotting Sheet Configuration in the Layout in HYPLOT-Multi

• Applying Template Settings to your Plotting Sheet in HYPLOT-Multi

• Exporting your Layouts in HYPLOT-Multi


Applying Template Settings to your Plotting Sheet in HYPLOT-Multi

You can create HYPLOT templates in HYPLOT-Multi in the same manner as you do in HYPLOT. However, when you apply a template, as for other display options, you must first select the applicable plotting sheet.

You can apply a plotting sheet template (*HYT) to any plotting sheet (*.PLT) in any project; it can be the same project area or a new location.

1.Open a layout with one or more plotting sheets appropriate for your project area.

2.Select the plotting sheet to which you want to apply the template settings. (The border of the selected plotting sheet is red.)

3.Click [Load Template] and select the *.HYT file containing the Control Panel settings you require. The plotting sheet and data of your current project inherits the display options from the template.

4.Make any plot-specific modifications. (For example: Update to current date and location in your title block.)

5.Plot your sheet.

More Information

• Running HYPLOT-Multi Sheets

• HYPLOT-Multi Layouts

• Selecting the Active File in HYPLOT-Multi

• Configuring the Project Files in Each Plotting Sheet

• Setting Display Options in HYPLOT-Multi

• Saving a Plotting Sheet Configuration in the Layout in HYPLOT-Multi

• Plotting Sheet Templates

• Creating a Custom Title Block Title Block Editor

• Plotting Methods in HYPLOT

• Exporting your Layouts in HYPLOT-Multi


Exporting your Layouts in HYPLOT-Multi

In addition to printing or plotting your layout from HYPLOT-Multi, you can output your layout to CAD formats, or to PDF or TIF files.

Note:This is different than the georeferenced output of HYPLOT. HYPLOT-Multi outputs the layout, while HYPLOT outputs the plotting sheet.

Important: None of these files are geo-referenced for use as chart files. To generate georeferenced charts from your plotting sheet file (*.PLT), you must use HYPLOT.

More Information

• Plotting Methods in HYPLOT

• Exporting your Plots to Chart Files in HYPLOT


Exporting your HYPLOT-Multi Layout to CAD Format

HYPLOT-Multi can export your entire layout to DXF and DWG formats for our CAD users. The exported file includes borders, labels, scale bar, compass rose and most of the other display features.. We are not yet able to handle complex background files, such as Ortho-TIF, BSB and ARCS charts.

1.Click the Export icon on the toolbar and select your output. The corresponding Export dialog will appear.

HYPLOT Export to CAD Options

2.For each item listed, enter a layer name to which that item will be drawn.

3.Select your output version of your choice.

4.Click [Convert], enter a name for your output chart and click [OK].


Saving your HYPLOT-Multi Layout to PDF Format

HYPLOT-Multi prints your layout directly to PDF document with no need for a third-party printer driver.

1.Select FILE-EXPORT TO PDF. The Export to PDF dialog appears.

Export to PDF Dialog

2.Enter your export instructions and click [OK].

•Format: Select Raster or Vector output.

•Resolution in dots per inch. This is enabled only for Raster output. Remember that resolution directly affects the size of the output file. If your system doesn't have enough memory, or if it's just taking too long to print, choose a lower resolution.

3.Name your file and click [Save]. The file is saved, by default, to the current project folder.

Sample Georeferenced PDF in HYPACK


Saving your HYPLOT-Multi Layout to a TIF Graphic

You can save a TIF image of your layout at your choice of six resolutions. When you choose your resolution, HYPLOT-Multi calculates and displays the dimensions and size of your potential image file. If the file size does not suit you, choose a different resolution before generating the file.

1.Click the Export to CAD icon on the toolbar and select ‘To TIF’. The Print to TIF Output dialog will appear.

Print to TIF Output

2.Choose the resolution of the image and check the calculated size of the proposed TIF.

3.Click [Output TIF]. The TIF Save Options dialog will appear.

4.Set your TIF Save options and click [OK]. The Save As dialog will appear.

5.Name your file and click [Save]. The TIF file will be saved, by default to your project folder. HYPLOT-Multi displays a pop-up message at its completion.

Note:Generating large, high resolution layouts may require more memory than is available in your system. In this case, HYPLOT-Multi tells you that you are out of memory. You should reduce the resolution and try again


CROSS SECTIONS AND VOLUMES

The CROSS SECTIONS AND VOLUMES program uses edited or sorted ALL format data files to:

•Plot cross section graphs for each survey line.

•Calculate volume information with your choice of calculation methods.

More Information

• Running CROSS SECTIONS AND VOLUMES

• Surveys Tab in CROSS SECTIONS AND VOLUMES

• Graph Options Tab in CROSS SECTIONS AND VOLUMES

• View Tab in CROSS SECTIONS AND VOLUMES

• Print Tab in CROSS SECTIONS AND VOLUMES

• Volumes Tab in CROSS SECTIONS AND VOLUMES

• Cross Section-based Volumes Calculation Methodology

• Volumes Terminology

• Volumes Calculation Method Comparison in Cross Sections and Volumes

• Computing Reach Volumes Using the Channel Plan Feature


Running CROSS SECTIONS AND VOLUMES

1.Start the program by selecting FINAL PRODUCTS-CROSS SECTIONS AND VOLUMES or the corresponding icon. The CROSS SECTIONS AND VOLUMES window will come up with a series of tabbed dialogs.

2.Open a session. A session is a collection of files and settings with which the program calculates your volumes. Initially, you must begin with a blank session then load the files and select the options appropriate for your project requirements. If you save your session, you can later re-open the session and all of the files and settings will automatically be reloaded to the program.

•To open a new, blank session, select FILE-NEW SESSION.

•To open a pre-existing session select FILE-OPEN SESSION and choosing the name of the session (*.CSS).

3.Select your calculation method from the drop-down box on the icon bar.

4.Enter the information in each tab.

•The Surveys Tab requires information regarding your survey data and calculation methods.

•The Graph Options Tab defines how your cross section graphs will be displayed. Here, you make choices about the appearance of the grid, labels and annotations.

•The View Tab enables you to preview the cross section graphs. You may also adjust the scale and segment of the cross section to include in the graph.

•The Print Tab enables you to setup and print the cross section graphs.

•The Volume Tab displays a preview of your volumes calculations.

5.Save your settings by selecting FILE-SAVE SESSION (overwrites file of same name) or FILE SAVE SESSION AS (saves to a new file) and naming the file. The settings will be saved to the project directory with the *.CSS extension.

More Information

• Surveys Tab in CROSS SECTIONS AND VOLUMES

• Graph Options Tab in CROSS SECTIONS AND VOLUMES

• View Tab in CROSS SECTIONS AND VOLUMES

• Print Tab in CROSS SECTIONS AND VOLUMES

• Volumes Tab in CROSS SECTIONS AND VOLUMES

• Cross Section-based Volumes Calculation Methodology

• Volumes Terminology

• Volumes Calculation Method Comparison in Cross Sections and Volumes

• Computing Reach Volumes Using the Channel Plan Feature


Surveys Tab in CROSS SECTIONS AND VOLUMES

Once you start the CROSS SECTIONS AND VOLUMES program, the program’s Surveys Tab will appear. This spreadsheet enables you to enter up to eight different sets of survey data, which provides visual comparison of the overlaid data to the Base Survey data in the View tab, and volume comparison calculations in End Area 3 and other postdredge volumes calculation methods.

In this tab, you will also choose the calculation method, load your channel objects and templates, specify your overdepth and superdredge depths as applicable, and set your pen properties.

Sample Surveys Tab

More Information

• Loading Survey Data in CROSS SECTIONS AND VOLUMES

• Overdredge and Supergrade Depth in CROSS SECTIONS AND VOLUMES

• Templates in CROSS SECTIONS AND VOLUMES

• Objects in CROSS SECTIONS AND VOLUMES

• Setting Pen Properties in CROSS SECTIONS AND VOLUMES

• Displaying Project Information in CROSS SECTIONS AND VOLUMES

• Cross Section-based Volumes Calculation Methodology


Loading Survey Data in CROSS SECTIONS AND VOLUMES

Here is where you load your edited survey data. The files will be listed in the column in the same order that they are listed in the catalog file.

1.Click in the column where you want the survey data to be loaded—typically the top cell.

2.Select File-Open. You will be presented with a list of Catalog files from the current Edit directory. Alternatively, you can load files from the Sort directory.

3.Select your data.

•If you select a Catalog (*.LOG) file, the program will read the data files from the Catalog and list them in sequence, as found.

•You may also choose to load individual ALL format files by changing the Files of Type field then selecting your file.

You may open up to eight files (one in each of the next seven columns to the right) if you wish to compare surveys. If you are doing postdredge volumes calculations, enter the predredge data as the base survey and the postdredge data in the next column to the right.

Note:CROSS SECTIONS AND VOLUMES does not support data on curved survey lines.

It may, at times, be necessary to edit the contents of the spreadsheet to correct errors or to line up overlaid files to coincide with the base survey. The icon bar includes several buttons that assist you in these tasks. Hold the cursor over the icon to view the function of each.

Note: When more than one catalog is loaded, it is good practice to click the Sort icon to match files from the same survey lines.

Move Selection Up and Move Selection Down: Click anywhere in the spreadsheet, then click one of these icons to move the cell contents up or down in the column.

Insert Line: Click in the spreadsheet then the icon. A blank row will appear in the spreadsheet.

Delete Line: Click in the spreadsheet then the icon. The selected row will be removed.

Delete Selection: Deletes the contents of selected cell(s).

Sort Files: Sorts the filenames of Sounding files to match the order in Base Survey.

Load Sub-bottom Data: If you have logged sub-bottom data (saved as SEG files in your raw folder), check this option to display the sub-bottom profile behind the depth profiles. The Graph Options tab includes options where you can set the maximum number of scans for the screen display as well as a separate number for when you print the display.


Overdredge and Supergrade Depth in CROSS SECTIONS AND VOLUMES

OVDepth represents the Overdredge Depth. Because it is not possible to dredge exactly to the design grade, it is customary to pay for a small amount of dredging below. This is referred to as overdredge and the allowed distance is the overdredge limit. In the CROSS SECTIONS AND VOLUMES program, we call this limit the Subgrade.

Enter the Subgrade for each survey line. If this value is the same for each line, enter the value in the first cell and click the Fill Column icon.

SpDepth represents the Supergrade Depth, a third grade below the sub-grade supported by some methods. This is sometimes used as an advance maintenance limit.

Enter the Supergrade for each survey line. If this value is the same for each line, enter the value in the first cell and click the Fill Column icon.


Templates in CROSS SECTIONS AND VOLUMES

Channel Templates (*.TPL), also known as cross section design templates, are typically created in ADVANCED CHANNEL DESIGN based upon the geometry of the channel. They may also be created in the LINE EDITOR or CROSS SECTIONS AND VOLUMES programs and, in some cases, in the TIN MODEL program. The SURVEY or DREDGEPACK program logs the template information directly to the header of the RAW data file. When editing the data file, the editor program displays the template information in the screen and saves it in the header of the edited data file.

The CROSS SECTIONS AND VOLUMES program use the channel template information found in the Base Survey data files, unless another template has been added in the Template column.

• Basic Information About Templates

• Calculating Distance Between Regions

• Loading Pre-existing Template Data

• Creating New Templates with the Template Editor

• Using Box Templates

Basic Information About Templates

•Since templates consist of distance and depth pairs, if your channel is the same throughout the project, you can use the same template for every cross section. If your channel is different, you may have to make a new template file for every survey line.

•The points of your channel template must always go in order from the start to end of the line. The first point you specify should be the top of the left toe, followed by the bottom of the left toe, followed by all your other points. The points of your channel template are referenced to the origin of the planned survey line so the "0.0" distance point may not be the top of the left toe of the channel.

•Center channel and side slope regions are defined as follows:

Average End Area 1, 2, 3 & No Segments, Philadelphia Predredge & Postdredge, GLDD1, Norfolk, Savannah, Jacksonville

•Average End Area 1, 2, 3 and No Segments;
Philadelphia Pre- and Postdredge; and
GLDD, Norfolk, Savannah and Jacksonville methods define their side slopes and center channel regions according to the following template rules:

•If there are no template points or only one template point in a planned line, then all regions (left and right slopes, and center channel) are equal to 0.

•If there is only one template point that has the largest z-value, everything to the left of the deepest template point is assigned to the left slope region and everything to the right of the deepest template point is assigned to the right slope region.

One Template Point with Largest Z-value in the Center Results in Left and Right Slopes, No Center Channel

One Template Point with Largest Z-value on the End Defines a Left or Right Slope.

•If there are two or more template points with the largest z-value, the center channel is composed of the region between the first and last template point with the largest z-value. Anything to the left of the first template point with the largest z-value gets assigned to the left slope region. Anything to the right of the last template point with the largest z-value gets assigned to the right slope region.

Tip: If you want to calculate a separate volume for a turning basin, create separate reporting zones in ADVANCED CHANNEL DESIGN.

Two or More Template Points of Equal Depth Represent the Center Channel

Two or More Template Points of Equal Depth Represent the Center Channel

•When these rules cannot be applied, use the Average End Area-No Segments volume calculation method. In the following figure, the channel has two segments of equal depth. Since neither is deeper than the other, the program can not declare a center channel.

One Channel Design where the Center Channel Can Not be Defined

Note:You may also consider the Standard HYPACK or Zone Listing methods if an Average End Area method is not required.

Other Volumes Calculation Methods

•For the remaining volumes calculation methods the following rules apply:

•Every template has to have the same number of points unless you are using the Average End Area No Segments calculation method.

•The Standard HYPACK and Beach methods support up to 21 points in each template.

•Other Custom methods support a specific number of points in each template: Chinese1 supports 4, 6, or 8 points; Chinese2 and Kingfisher support 4.

Simple Templates - No Center Line Defined (left), Center Line Defined (right)

Return to Top

Calculating Distance Between Regions

Where survey lines are parallel and the same length, the volume is simply the average of the two end areas times the separation distance.

Where survey lines are not parallel the calculations are more complex because the distance between lines is not constant. In this case, HYPACK calculates the distance between two survey lines in the following manner:

1.Measures the length of a line drawn perpendicular to the center point of Line 1 and extending to Line 2.

2.Measures the length of a line drawn perpendicular to the center point of Line 2 and extending to Line 1.

3.Averages the two distances.

Calculating Distance Between Survey Lines

A separate L-value is calculated for each segment of the channel template (Left Slope, Center Channel and Right Slope).

Beware! Where adjacent survey lines are not parallel. HYPACK may not always calculate a separation distance that accurately represents your channel. This could significantly affect your volumes calculations.

Tip: We recommend that you check the Distance Between Segments values for those segments in the volumes report. If they are inappropriate to your segment, you can decide on a better value and manually recalculate the volumes for that segment.

The advantage of this method is its simplicity. It is possible to hand-calculate volumes from cross section plots for comparison with the computer results. It is also very fast.

Return to Top

Loading Pre-existing Template Data

1.Click in the spreadsheet where you want to use the Template file and select FILE-OPEN. A File Selection dialog will appear.

2.Select the file with the template data. You can use either:

•a Template file (*.TPL).

•a 3-dimensional Planned Line file. The Line file must contain channel template information, for this purpose.

Its name will appear in the Template column at the insertion point.

The Fill Column icon will fill the column with the same file name from the insertion point to the end of the file.

Tip: When you have multiple template (TPL) files, you can list their names in a text editor and save it to a *.LOG file. When you load this LOG file in the CROSS SECTIONS AND VOLUMES template column, the program inserts each TPL file sequentially.

In the Graph Options Tab, you can choose to align the template data in the file header with the new template:

•at the Start of Line points.

•at the Center Lines. If your new template has an even number of points, the program will calculate a point midway between the two centermost points of the template and align it to the center line of the template information in the header file.

Return to Top

Creating New Templates with the Template Editor

You may elect to create a new Template file to substitute for the template information for all or some of your survey lines. The Template Editor is launched by clicking the icon on the Survey Tab of the CROSS SECTIONS AND VOLUMES program.

1.Click the cursor in any of the rows under the Template column where you wish to use the new template, then on the Edit icon. The Template Editor window will appear.

Template Editor

2.Enter your template information. A template is a listing of distances (Distance from the Beginning of Line) and their corresponding depths. List them in order from the left toe to the right toe.

3.Upon completing the list, save your template file by clicking on the SAVE or SAVE AS icon and give your template a name. The information will be saved with a TPL extension to the project directory and placed in the cell where the cursor was originally placed.

Note:You can edit your template files by opening it in the Template Editor then modifying and saving the new information. The changes will affect the current line and all lines using that template file.

You may use the same template for every file in the CROSS SECTIONS AND VOLUMES program by placing it in the first cell and clicking on the Fill Column icon. You may also create a separate template for every data file.

Return to Top

Using Box Templates

If you are using the Philadelphia method, you may choose the box template option which uses the channel template center channel information but omits the side slopes and places vertical lines from the toes. You can extend the box template out from the toes in the GRAPH OPTIONS-VOLUMES Tab. Extend the sides by entering left and right extensions.

Note:CROSS SECTIONS AND VOLUMES calculates volumes only to the top of bank position. Therefore, the extensions must remain within the bounds of the top of bank.

The project depth may be increased by entering a project depth greater than the template depth. (If the project depth in the Philadelphia setup is less than the channel template depth, the program will use the channel template depth.) The Above Channel and Overdredge volumes will then be calculated for each segment (Left and Right Extensions, Left and Right of Center line).

The Box Template in the Philadelphia Method

Removing Extensions

Some users extend the channel out from the top of bank to provide an extra guide for the helmsman at the start and end of each line. When CROSS SECTIONS AND VOLUMES developed to handle more complex channels, it affected the slope definition. In the following figure, the side slopes are TP1 to TP3 and TP4 to TP6. If the template was extended solely to aid navigation, you probably want to calculate volumes based on the segments TP2, TP3 and TP4, TP5.

Channel with Extensions

In volumes calculation methods that support extensions, you can omit line extensions from affecting the side slope calculations: in the Graph Options tab, select the Remove Extensions option. This ignores the first or last template segment (or both) when the segment is defined by points at a depth of zero. In the previous figure, the segments TP1, TP2, and TP5, TP6 will be ignored.

•Chinese 1 and 2 methods work only if you check both the Remove Extensions and Simplify Templates options.

•Panama City method does not work with channel extensions.

Tip: The Approach Line Distance option, in the Navigation Parameters OF HYPACK SURVEY, draws an dotted extension from the planned line for a user-defined distance. The approach line is a visual guide for your helmsman align your vessel with the line before you reach the start line.

Approach Line in HYPACK SURVEY

More Information

• Cross Section-based Volumes Calculation Methodology

Return to Top


Objects in CROSS SECTIONS AND VOLUMES

The Objects column contains a file that describes any fixed features, such as pipelines and anything else your care to describe with a polyline. The information is created and saved in the OBJECT EDITOR that may be accessed by placing your cursor in the Object column and clicking on the Edit icon in this window or in the View or Print window.

• Loading Pre-existing Object Files

• Creating Object Files with Object Editor

Loading Pre-existing Object Files

1.Click in the spreadsheet where you want to use the Object file and select FILE-OPEN. A list of available Object Files will be displayed.

2.Select which Object file you want, and its name will appear in the Object column at the insertion point. [Fill Column] will fill the column with the same file name from the insertion point to the end of the file.

Return to Top

Creating Object Files with Object Editor

1.Position the cursor in the cell of the Objects column where you want the new object file to appear and click the Editor icon.

Objects Editor – Pipeline Window

2.The Object Editor has three tabs. Select the Text, Pipeline and Polyline tabs to access windows where you may define the position and appearance of each of these features in your cross section.

3.Enter as many features as you wish.

4.Save your file. Click on the SAVE or SAVE AS icon and name your file. It is saved, by default, to your project file with a *.COB extension.

Note:You can exit the Objects Editor without saving the file and the template information will still be placed, "Un-named" in the selected cell in the Objects column. If you later decide to save the data, select FILE-SAVE FILES and provide a name.

Return to Top


Setting Pen Properties in CROSS SECTIONS AND VOLUMES

The default settings for survey and template lines is solid black and 1 point in width. If you are displaying overlaid files, you may want to change the color or style of the lines to help distinguish between the data sets more easily. You can also change the column heading if you wish.

1.Click in the Templates column or any column with sounding data listed.

2.Click on the Pen Properties icon and the Pen Properties Dialog will appear.

3.Set the color, style and thickness for the data set and name your data set. Click OK.

Note:Only solid lines are supported with thickness greater than one pixel.

4.Repeat the process for each data set you wish to change from the default.

You can see the results in the View and Print tabs.

Pen Properties Dialog


Displaying Project Information in CROSS SECTIONS AND VOLUMES

Data File Properties: Click in any column where sounding data is loaded then click on the icon. A display will appear with the Project Information that was supplied in the SURVEY program.

Data File Properties Window


Graph Options Tab in CROSS SECTIONS AND VOLUMES

In the Graph Options Tab, define how your cross section graphs will be displayed. Here, you make choices about the appearance of the grid, labels and annotations.

More Information

• Labeling your Cross Section Graphs

• Data Display Settings in Cross Section Graphs

• Setting Template Options for Volumes Reports


Labeling your Cross Section Graphs

Graph Options-Labeling Tab

Plot Depth Labels places numeric labels on the vertical axis of the graph.

Plot Depth Lines places dotted lines at user-specified depth across the graph.

Depth Label Increment and Depth Tic Increment specify the distance between depth markings on the vertical axis.

The Strike Depth options enable you to place a horizontal reference line at the specified depth.

Decimal Places determines the number of decimal places (up to 6).

Report Field Width: Adjust the width of the columns in the Volumes report to provide enough white space between the calculated values.

Font : Specify the font for all labels.

Plot Horizontal Labels and Label Toes and Center mark user-specified points across the line. The labels appear only on the top and tics appear on both the top and bottom line of the graph.

Horizontal Label Increment and Horizontal Tic Increment determine the frequency of the labels and tics.

Horizontal Label Reference: You may choose the point that will be designated as the ‘0.00’ point on your line. Any points to the left of the designated point will have a negative distance value measured from that point. Likewise, points to the right will have a positive value.

Horizontal Labels Reference

Label Offset: The horizontal zero point shifts by this distance to the right of the specified Horizontal Labels Reference.

The Annotation option enables you to label the depth, template depth and distance from the beginning of the line. Elect to label these values at the channel inflection points (such as toe lines, center line, etc.)in user-specified increments. The labels appear at the top of the graph and appear for each group of survey data.

Plot Area Legend displays color-coded numerical Volumes information in the View window for each defined area of the survey.

Check Draw Event Marks to display the event marks in the View window.

Include Template Info in Printout includes the position on the line for each inflection point in your template relative to the Horizontal Labels Reference and any subgrade and supergrade depths for each section in the volumes report using the End Area calculations methods.

.Swap Coordinate Labels: Changes labels for users for whom the X axis is Northing and Y axis is Easting.

Draw Chainage Label prominently displays the chainage in the top center of each section. This affects both the View and Print displays.

Draw Coordinate Labels displays the XY coordinates of the toe points and at the top-of-bank.


Data Display Settings in Cross Section Graphs

The Graph Options Window-Data Tab

Choose whether to plot Depth 1 (normally the high frequency), Depth 2 (normally the low frequency) or Both. (Wait until you see that plot with eight different surveys with two depths each!)

Depth Mode plots the data as it appears in your files while Elevation Mode inverts it.

Max DBL Gap: During the editing process, if you have deleted points or blocks of points from your data, there will be “gaps” in your data. Typically, your intention would be to connect the points on either side of the gap with a straight line. You may, however, specify a maximum distance to be “closed” in this manner. Any “gap” in the data larger than this distance will show a “gap” in the line representing the survey data on the graph. You can obtain a listing of these areas by clicking [Test for Gaps].

A Sample Gap Report

Template Alignment options provide a choice to align a template loaded to the template column with the template information in the header of the data. If your new template has an even number of points (no center line), the program will calculate a point midway between the two centermost points of the template and align it to the center line of the template information in the header file.

Simplify Templates: In simple channels, HYPACK can eliminate some extraneous zeros that may otherwise clutter your report. Select this option only if you are working in a simple channel.

Discard Center Point: When this option is selected and the template has nine points, the fifth point is discarded when the template is simplified. If the template does not have nine points, no point will be discarded.

Target No. of Pts. This is the number of points you think would define the cross section in its simplest form. The minimum number would be four, representing the start of the line, the left toe, the right toe and the end of line. Five points are necessary if you need separate calculations for each side of the center line.

[Depths vs TOB] displays a listing of files with data shoaler than the top of bank depth. For each file you can see what the top of bank depth is, the number of soundings above the top of bank and the shoalest depth in each file.

A Sample Top of Bank Report

Start/End DBL: These options are only applicable to the End Area 3 volumes calculation method that compares two surveys.

A Border File limits the area where volumes are calculated. Click the ellipsis to select the Border File that defines the area within which you want to calculate volumes. You can see the extents of the border file for each section in the View tab. The Use Border File checkbox toggles the calculation limitations on and off.

Border File in the View Tab

Use Level File, is used for Core Volume calculations. Click the […] and browse for your Core Level file.

Sub-Bottom Data:

•Maximum Scans for Display affects the resolution of the sub-bottom data in the View tab.

•Maximum Scans for Printing affects the resolution of the sub-bottom data in the print output.

In each case, the data is displayed using the specified number of rows and columns.

More Information

• Chinese 1 Core Volumes


Setting Template Options for Volumes Reports

The Volume Tab changes according to which calculation method has been selected.

Project Depth: The Average End Area methods, as well as the Philadelphia and Jacksonville methods allow you to quickly change the project depth and view the effects in your profile views and volumes calculations. This option overrides the project depth defined in your data files and in any template file and assumes a flat bottom for the entire channel. It also maintains the side slope ratio which shifts the top of bank as you change the project depth.

Project Depth Options

To modify the project depth, check the ‘Set Project Depth’ option and enter the new project depth in the field provided.

Remove Extensions: The volume calculation ignores the first or last template segment (or both) when the segment is defined by points at a depth of zero. This option omits line extensions, meant only to aid navigation, from affecting the side slope calculations.

Standard HYPACK Options

Options for the Standard HYPACK method are few.

The Graph Options-Volume Tab for the Standard HYPACK Method

Show Fill Values: Deselect the option to omit Fill Values from the report.

[Overdredge Basis]:

•Smart is for contour dredging (V2P).

•All includes all overdredge material (V2).

•None excludes all overdredge material.

The Graph Options-Volume Tab for Philly Method

More Information

• Templates in CROSS SECTIONS AND VOLUMES

• Philadelphia Volumes Calculation in CROSS SECTIONS AND VOLUMES


View Tab in CROSS SECTIONS AND VOLUMES

The View Tab enables you to preview the cross section graphs. You may also adjust the scale and segment of the cross section to include in the graph.

The View Tab

When you click on the View tab, the screen will present the first cross section of the file(s) you have according to the options you have chosen in the GRAPH OPTIONS window. The corresponding volumes calculations appear below the graph.

The Line option allows you to elect which section you want to view by entering a number that corresponds to the row number of the spreadsheet.

Zoom Options Window

The Zoom is used to determine how much of the cross-section will be viewed in the graph.

•To view the entire cross section, choose the Line or Template option.

•To view only a portion of each line, you may choose Left or Right of the Center line

•Specify a Range by entering Start and End DBL values.

Depth Minimum and Depth Maximum: These settings are used to set the limits of the graph. The Minimum designates the top of the chart. If you are working in elevation mode, you have to set the minimum higher than the maximum!

Cursor Modes:

•Cross Hair: Move the intersection of the cross hair over any point with the mouse and you can read both depth and DBL information from the graph or from the bottom bar of the window. The bottom bar also displays the X and Y coordinates for that point.

•Annotation: As you move your cursor to any point across the line, horizontal annotation lines move to show you the depth at that point on the line for each file loaded. The Bottom bar of the window displays the DBL, the Template and Base Survey depths and the XY coordinates.

In either mode, you can mark points of interest in the base survey by clicking at each location. The Points value on the toolbar increments with each annotation and the icons in the points area enable you to clear or save all annotations to an XYZ file.

TVU Display: If you have Total Propagated Uncertainty (TPU) information in your data, the program will mark an area equal to the TPU value on either side of the single beam profile. This TPU ‘envelope’ appears as a clear, cross-hatched area in the View Tab.

More Information

• Configuring the View Tab Display

• Saving an Image of the View Tab Display

• Digitizing XYZ data in CROSS SECTIONS AND VOLUMES

• Creating Object Files with Object Editor


Configuring the View Tab Display

You can customize what material is color-coded in the diagram and reported in the View tab display through the Fill Colors dialog.

1. Click the Set Fill Colors Icon. The Fill Colors dialog will appear. The options depend on the selected volumes calculation method.

Sample Fill Colors Dialogs—Average End Area 1 (left), Standard HYPACK (center), Beach Volumes (right)

2.Select the items you want to include in the display. Your selections affect both the profile view and the calculated values shown below it.

3.Set the colors you want to use for each selected item. The color button next to each checkbox shows the color currently set for the corresponding material in the profile as well as the corresponding text in the figures below it.

a.Click the color button for the value whose color you want to change. A Color dialog will appear.

b.Select a new color and click [OK]. The new color will appear in the color button and will replace the original color in the display.

4.When you are satisfied with your display, click [OK] to close the Fill Colors dialog.


Saving an Image of the View Tab Display

The Copy Image to Clipboard icon captures an image of the View tab display and stores it on the Windows® clipboard. From there, you can paste and save it in any graphics program or other program that supports graphics.


Digitizing XYZ data in CROSS SECTIONS AND VOLUMES

In the View tab, the Points Tools enable you to use either the cross hair or annotation cursor to digitize data in your display. You can then save the data to an XYZ file.

To digitize your data:

1.Choose the cursor mode according on what data you want to collect.

•In cross hair mode, the program stores the XYZ of your cursor position.

•In annotation mode, the program stores the XYZ of the base survey data at your cursor position.

2.Use your cursor in the profile display to mark each location whose coordinates you want to record.

The counter (Points =) shows how many positions you have digitized.

To remove all of your unsaved digitized points, click the Clear Points icon.

3. Save your digitized points. Click the Save Points icon and name your file.


Print Tab in CROSS SECTIONS AND VOLUMES

The Print Tab enables you to setup and print the cross section graphs. The Print Setup window, accessed by clicking [Print], is used to specify your printer and the paper size and orientation. If you do not use this function, your print job will be sent to your default Windows® printer.

The Print Tab

Sheet indicates which line of your file(s) you are currently viewing. You may use the arrow buttons to select any line in the file.

Sheets per Page

•One plots one cross section per page. With this selection the Fit to Page option scales the section to fit your paper size.

•Multiple enables you to plot more than one cross section to a page. The Scale, Spacing and Output Units, together determine how many will fit on one page. Adjust these until the results displayed in the lower part of the window are satisfactory.

The Horizontal Scale and Vertical Scale are expressed in Feet/Inch for foot-based data and relative scales for metric data.

The Object Editor is again available in this dialog for convenient editing of your objects.

Plot Legend prints project information that has been entered in the SURVEY program such as Project Name, Surveyor, Date, Data File Name, etc.

[Font] enables you to choose the font of the text from the standard Windows® Font Dialog.

[DXF Out] enables you to plot your cross section information to a DXF file.

1.Set your Horizontal and Vertical Scale factors in the Print Tab.

Note:For DXF files drawn most accurately to scale, set your scale values to 1. Any further scaling is better done in AutoCAD.

2.Click [DXF Out] to bring up its dialog.

3.Set your plot settings as follows:

•The Text Height and Width is expressed in inches for foot-based data and centimeters for metric-based data.

•Number of Columns and Number of Rows indicates how you would like the cross section plots to be arranged on the plotter sheet.

•Plot View determines which line numbers you wish to plot.

4.Click [Plot] to send it to a *.DXF file.

[Print] brings up the Windows® printer window. CROSS SECTION AND VOLUMES uses the default printer to create cross section prints or a PDF document.


Volumes Tab in CROSS SECTIONS AND VOLUMES

The Volumes Tab presents a view of the volumes report generated according to the choices you have made in the previous windows. You may view it in the window by using the scroll bar.

Volumes Tab

Save your Volumes Report for future use by clicking on the SAVE VOLUME REPORT icon in the upper left-hand corner of the window. You will be asked to name your file and it will be saved with the *.VOL extension.

Print your report by clicking on the PRINT VOLUME REPORT icon in the upper left-hand corner of the window. The Windows® Print Window will appear for you to determine the printer and how many copies of the report you would like to print. It is not possible to print only a portion of the VOLUMES REPORT.


Cross Section-based Volumes Calculation Methodology

The CROSS SECTIONS AND VOLUMES program is used to calculate dredge volumes from cross channel survey files, typically spaced at 100-foot intervals. Planned lines for the survey are usually created with the LINE EDITOR or CHANNEL DESIGN programs. The start and end points are included in the survey files.

The survey data is compared to channel templates, which are basically the cross section of what the channel is supposed to be (project depth, toe locations and side slopes). The comparison shows the difference between the channel and its design specifications, and that difference can be calculated as an area. The area is called the Average End Area, and is the basis of the calculation method of the same name.

If there is no template information embedded in the survey files. Templates may be created with the TEMPLATE EDITOR in the CROSS SECTION AND VOLUMES program and stored in *.TPL files. These may be used with line files with no template information embedded in them, or to substitute for embedded template information.

Because it is not possible to dredge exactly to the design grade, it is customary to pay for a small amount of dredging below. This is referred to as overdredge and the allowed distance is the overdredge limit. In the CROSS SECTION AND VOLUMES program, we call this limit the Subgrade.

Examples of using the CROSS SECTIONS AND VOLUMES program with detailed instructions may be found in your manual.

More Information

• Average End Area Calculation Methodology

• Standard HYPACK Calculation Methodology

• Volumes Terminology

• Volumes Calculation Method Comparison in Cross Sections and Volumes


Average End Area Calculation Methodology

CROSS SECTIONS AND VOLUMES calculates the end areas for adjacent lines then the volumes for the material in the channel. The volume is simply the average of the two end areas times the separation distance.

(EQ 1) Volume = L(A1 + A2)/2

•Where survey lines are parallel and the same length, the calculations are straightforward.

Measuring Distance Between Parallel, Same Length Lines

•Where survey lines are not parallel the calculations are more complex because the distance between lines is not constant. In this case, HYPACK calculates the distance between two survey lines in the following manner:

a.Measures the length of a line drawn perpendicular to Line 1 from its center point and extending to Line 2. (L2)

b.Measures the length of a line drawn perpendicular to Line 2 from its center point and extending to Line 1. (L1)

c.Averages the two distances: L=(L1 + L2)/2

Calculating Distance Between Non-parallel Survey Lines

The program calculates a separate L-value for each segment of the channel template (Left Slope, Center Channel and Right Slope).

Beware! Where adjacent survey lines are not parallel. HYPACK may not always calculate a separation distance that accurately represents your channel. This could significantly affect your volumes calculations.

Tip: We recommend that you check the Distance Between Segments values for those segments in the volumes report. If they are inappropriate to your segment, you can decide on a better value and manually recalculate the volumes for that segment. The advantage of this method is its simplicity. It is possible to hand-calculate volumes from cross section plots for comparison with the computer results. It is also very fast.

More Information

• Standard HYPACK Calculation Methodology

• Volumes Calculation Method Comparison in Cross Sections and Volumes


Standard HYPACK Calculation Methodology

The Standard HYPACK method calculates volumes using a prismoidal method instead of the average end area method.

The Standard HYPACK Prismoidal Method

It divides each channel segment into 100 slices and interpolates a depth for each corner of the slice. It then calculates the volume of each slice and sums all of the slice volumes to get the volume for the segment. The area and volume of each segment in the template is reported in the Standard HYPACK volume report.

More Information

• Average End Area Calculation Methodology

• Volumes Calculation Method Comparison in Cross Sections and Volumes


Volumes Terminology

Contour dredging is the case when dredging is payable only where the bottom is above design grade (within project depth contours).

Predredge vs Postdredge is a comparison between predredge and postdredge surveys.

Center line Reference: Methods that use the channel center line as a zero reference measure cross channel distance negative to the left and positive to the right. Methods that do not use the center line as reference measure distance positive from the beginning of the planned line.

Grades: All methods support two grades: the design grade (at project depth) and a subgrade (overdredge limit). Some methods support a third grade below the sub-grade. We call this the supergrade. This is sometimes used as an advance maintenance limit.

Segments: The CROSS SECTION AND VOLUMES program breaks a channel into segments across its width. Three segments are used to calculate volumes separately within the channel (1 segment), and outside the left and right toes (2 segments). The methods that use four segments break the channel into areas left and right of the center line. When turning basins are included, up to eight segments is required.

Fill Values calculates fill quantities in addition to dredge (cut) quantities.

Volume Area Definitions

Abbreviation | Definition
V1: | The volume of material above the design surface in the center of the channel.
V1L: | The volume of material above the design surface of the left bank.
V1R: | The volume of material above the design surface of the right bank.
V2: | The volume of material between the design and the subgrade surfaces in the channel center.
V2P: | The volume of material between the design and the subgrade surfaces in the channel center where the depth is less than the design surface.
V2NP: | The volume of material between the design and the subgrade surfaces in the channel center where the depth is greater than the design surface.
V2L: | The volume of material between the design and the subgrade surfaces of the left bank.
V2R: | The volume of material between the design and the subgrade surfaces of the right bank.
V3: | The volume of material between the subgrade and the supergrade surfaces in the channel center where the depth is less than the design surface.
V3L: | The volume of material between the subgrade and the supergrade surfaces of the left bank.
V3R: | The volume of material between the subgrade and the supergrade surfaces of the right bank.
X2: | The amount of material removed beneath the design surface by a box cut inside the channel toes. You may enter the distance used to consider box cuts.
X1: | The amount of material on the left or right banks that is above the design surface. X1 can be credited to fall into an X2 hole.
Y1: | The amount of material which has been deposited during the dredging process.
Delta: | Predredge – Postdredge of each V value.
TotPay: | Delta + Y1: The quantity of material removed, ignoring areas where the Postdredge profile is above the Predredge profile.


Volumes Calculation Method Comparison in Cross Sections and Volumes

It seems that everyone has a slightly different idea about how volumes should be calculated. The original method (Standard HYPACK) was an attempt to make everyone happy. The table below gives a brief comparison of the computation methods included in the CROSS SECTION AND VOLUMES program. Select your computation method in the Survey Tab.

Name | Method | Contour Dredging | Pre-dredge vs. Post-dredge | Center Line Reference | Grades | Target Number of Segments | Fill Vals.
Standard HYPACK | Prismatic | Yes | No | No | 2 | Up to 20 | Yes
End Area 1 | End Area | Yes | No | No | 3 | 3/Non-Std | No
End Area 2 | End Area | No | No | No | 3 | 3/Non-Std | No
End Area 3 | End Area | Yes | Yes | No | 3 | 3/Non-Std | No
End Area No Segments | End Area | No | No | No | 2 | N/A | No
Philadelphia | End Area | Yes | Yes | Yes | 2 | 4/Non-Std | No
Norfolk | End Area | No | No | No | 4 | 3/Non-Std | No
Savannah | End Area | No | No | Yes | 2 | 3/Non-Std | No
Jacksonville | End Area | Yes | Yes | No | 3 | 3/Non-Std | No
Panama City | End Area | No | No | No | 3 | 4 | No
Chinese 1 End Area 1 | End Area | No | No | No | 2 | 3, 5 or 7 | No
Chinese 1 End Area 3 | End Area | No | Yes | No | 2 | 3, 5 or 7 | No
Chinese 2 End Area 1 | End Area | No | No | No | 2 | 3 | No
Chinese 2 End Area 3 | End Area | No | Yes | No | 2 | 3 | No
GLDD 1 | End Area | No | No | No | 3 | 3/Non-Std | No
GLDD 3 | End Area | No | Yes | No | 3 | 3 | No
Kingfisher | End Area | No | No | No | 3 | 3 | No
Beach Predredge | End Area | No | No | No | 3 | Up to 20 | No
Beach Postdredge | End Area | No | Yes | No | 3 | Up to 20 | No
Zone Listing Predredge | End Area | No | No | No | 2 | N/A | No
Zone Listing Postdredge | End Area | No | Yes | No | 2 | N/A | No
End Area No Template | End Area | No | No | N/A | N/A | No Template | No

The Average End Area Method calculates the average of material above or below a grade. It is a standard used throughout the hydrographic and dredging industries. Although it is not the most accurate method, it is simple enough that results can be verified by hand calculation.

The following figure gives the basic idea behind End Area calculation. The topmost area in the graph is the area above the design template, and the middle layer is the area above the subgrade template. If a supergrade is included in your design, it will be the third level.

Channel Cross Section with End Areas Shaded In

The legend, in the lower portion of the window, may give volumes figures for each of the defined areas of the cross section according to the method you have chosen.

The CROSS SECTION AND VOLUMES program approximates area by interpolating soundings every foot (or meter) along the survey line, then summing distances to the template across the entire line.

More Information

• Standard HYPACK Volumes Calculation

• End Area 1 Volumes Calculation

• End Area 2 Volumes Calculation

• End Area 3 Volumes Calculation

• End Area Volumes When Templates Have Different Numbers of Segments

• Philadelphia Volumes Calculation in CROSS SECTIONS AND VOLUMES

• Beach Volumes

• Volumes with No Template

• Volumes by Zone in CROSS SECTIONS AND VOLUMES

• Jacksonville Volumes Calculation

• Panama City Volumes Calculation

• Savannah Volumes Calculation

• Norfolk Volumes Calculation

• GLDD Volumes

• Chinese Volumes

• Kingfisher Volumes


Standard HYPACK Volumes Calculation

This method is, by far, the most flexible of all of the methods. It calculates fill values, allowing it to be used to calculate the capacity of a dumping area, or the volume of sand required for each replenishment. It supports up to 20 segments to support turning basins, and all cross sections must have the same number of points. The Standard HYPACK method also does a good job where you are using non-parallel survey lines. Where Average End Area methods will understate the amount of material if it is piled up on the outside of a turn, the Standard HYPACK method calculates the volume for slices proportionally across the channel.

Standard HYPACK Method, Plan View

The Standard HYPACK method allows overdredge calculations to differ between segments. From the GRAPH OPTIONS window, Volumes Tab, click on [Overdredge Basis].

Overdredge Bases

You can choose a different overdredge basis for each segment. Set the segment number, then the overdredge basis for each segment and click [OK].

The overdredge bases are:

•All to include all overdredge material (V2).

•None to exclude all overdredge material (0).

•Smart for contour dredging (V2P).

Standard HYPACK Diagram

A Segment of a Standard HYPACK Report


End Area 1 Volumes Calculation

The End Area 1 Method uses a third grade, called supergrade. It is used in addition to the two (design and subgrade) supported by all methods.

This method calculates volumes above each of the three grades within each of the segments.

End Area 1 Diagram

End Area 1 Report Segment


End Area 2 Volumes Calculation

This method includes the following volumes:

•V1L

•V2P

•V1

•2NP

•V1R

•V3

End Area 2 Diagram

End Area 2 Report (Segment)


End Area 3 Volumes Calculation

Load predredge data as your base survey and postdredge data in the first overlay column. The V1,V2 and V3 values from methods 1 and 2 are included in the report as well as X1, X2 and Y1 values. Comparative differences are calculated.

End Area 3 Diagram

End Area 3 Report (Segment)


End Area Volumes When Templates Have Different Numbers of Segments

For dredging projects with increased complexity, we have developed methods to automatically generate templates that accurately reflect the digging plan. We have also modified CROSS SECTIONS AND VOLUMES so that it can compute a volume quantity when it encounters templates with different numbers of segments.

Some of our volumes calculation methods now support differing numbers of segments between sections. CROSS SECTIONS AND VOLUMES assigns each segment to the left or right side slope or center channel based on its depth relative to the other segments and its position in the template. The program can then calculate volumes for the side slope and center channel areas between sections.

•The Average End Area 1, 2 and 3 methods

•The Philadelphia Predredge and Postdredge methods

•The Chinese Average End Area 1, 2 and 3 methods

If your channel design does not fit the CROSS SECTIONS AND VOLUMES template rules, you can still calculate an average end area volume using the Average End Area with No Segments method.

Average End Area with No Segments—Survey Tab

In the “AEA No Segments” method, the program will compute the entire area above the design template and the overdepth, regardless of the number of points used to define the channel template. The total area for each pair of lines is then used to compute the volume of material between each pair.

Sample sections are shown below. Any material above the design template is shown in red.

Sections 1 (Top Left), 2 (Top Right), 3 (Lower Left) and 4 (Lower Right)

In the resulting Volume Report, for each survey section, you get the total area above the template, the volume back to the previous section and the accumulated volume through the channel to that point.

Sample AEA No Segments Report

More Information

• Basic Information About Templates


Philadelphia Volumes Calculation in CROSS SECTIONS AND VOLUMES

The Philadelphia Predredge method calculates volumes between a survey depth and the channel template.

The Philadelphia Postdredge method calculates the difference in volumes between two surveys of the same area.

These methods are unique in how they handle calculating volumes of the overdredge material. They also provide choices:

•to use the channel template or to create a box template.

•to calculate or omit the overdredge in the side slope/box extension by setting it to zero.

These options are defined in the Graph Options-Volumes Tab.

Philadelphia Setup in the Graph Options-Volumes Tab

• Side-Slope Template Volumes Calculations

• Box Template Volumes Calculations

Side-Slope Template Volumes Calculations

The Side Slope Option uses the standard side slopes from the channel template.

The Dredging Option must be specified with this option.

•Non-Contour includes all overdredge material. It is overridden in the extension areas by the Shoals Only Toe Pay option.

•Contour includes overdredge material only if the depth is less than the channel depth. Contour overrides the All Toe Pay option in the extension areas.

The following diagrams show the difference:

Side Slope Non-Contour

Side Slope Contour

Set Side slope Overdredge to 0.00 omits overdredge material in the side slope areas.

Limit DBL to predredge Above Sub-Depth Side Slope performs the computation of infill and overdredged material only inward from the points where the predredge survey passes through the overdepth template.

Return to Top

Box Template Volumes Calculations

A box template uses the channel template center channel information but omits the side slopes and places vertical lines from the toes.

You can extend the box template in the Graph Options-Volumes Tab. Extend the sides by entering left and right extensions.

Note:CROSS SECTIONS AND VOLUMES calculates volumes only to the top of bank position. Therefore, the extensions must remain within the bounds of the tops of the banks.

The project depth may be increased by entering a project depth greater than the template depth. (If the project depth in the Philly setup is less than the channel template depth, the program will use the channel template depth.) The Above Channel and Overdredge volumes will then be calculated for each segment (Left and Right Extensions, Left and Right of Center line).

The Box Template in the Philadelphia method

Volumes calculations using the box template will be affected by both the Toe Pay and Dredging Options.

Toe Pay affects volumes calculations of overdredge material in the extension areas only.

•All includes all of the overdredge material in the extension areas. Contour overrides All in the extension areas.

•Shoals Only includes overdredge material in the extension area only if the depth at the toe line is less than the channel depth. Shoals Only overrides the Non-contour option.

The following figures illustrate how the Toe Pay and Dredging Options affect each other.

Non-Contour Dredging with All Toe Pay Option

Non-Contour Dredging with Shoals Only Toe Pay Option

Contour Dredging Option

The volumes calculations may be displayed in the legend in the View Tab and in the Volumes Report displayed in the Volumes Tab. The Offsets value is the distance from the center line to the toe and end of each extension.

Volumes Displayed in the Legend of the View Tab

Segment of Sample Philadelphia Pre-dredge Report—Quantities Summary, and Line Summaries

 |  | Office Engineering Section, Survey Branch Run: 8/16/2016 7:45:50 AM |  |  |  |
Dredging Quantities Summary =========================== Total Material To Project Depth ..... 7172.2 CY Total Allowable Overdepth ........... 8844.3 Total Pay Place ..................... 16016.4
Philadelphia Options Template Option Set Sideslope Overdepth to 0.00 Limit DBL To Pre Dredge Above Sub Depth Side Slope Toe Pay Option Dredging Option Set Project Depth |  |  |  |  | Side Slope false false All Non-Contour false
Line Summary |  |  |  |  |  |
Stat. | Filename | CenterDepth | Dist Prev Line | OverDepth | Left Slope | Right Slope
792+00 | 792+00.AAA | 26.0ft | 0.0ft | 28.0ft | 2.0\1 | 2.1\1
792+20 | 792+20.AAA | 26.0ft | 20.7ft | 28.0ft | 2.0\1 | 2.1\1
793+00 | 793+00.AAA | 26.0ft | 84.8ft | 28.0ft | 2.0\1 | 2.2\1
794+00 | 794+00.AAA | 26.0ft | 100.0ft | 28.0ft | 2.0\1 | 2.0\1
795+00 | 795+00.AAA | 26.0ft | 100.0ft | 28.0ft | 2.0\1 | 2.0\1
796+00 | 796+00.AAA | 26.0ft | 100.0ft | 28.0ft | 2.0\1 | 2.0\1
797+00 | 797+00.AAA | 26.0ft | 100.0ft | 28.0ft | 2.0\1 | 2.0\1
798+00 | 798+00.AAA | 26.0ft | 100.0ft | 28.0ft | 2.0\1 | 2.0\1
798+10 | 798+10.AAA | 26.0ft | 10.0ft | 28.0ft | 2.0\1 | 2.0\1
798+20 | 798+20.AAA | 26.0ft | 10.0ft | 28.0ft | 2.0\1 | 2.0\1
798+30 | 798+30.AAA | 26.0ft | 10.0ft | 28.0ft | 2.0\1 | 2.0\1
Note:[Continued through remaining line summaries.]

Segment of Sample Philadelphia Pre-dredge Report—

 | Left Slope | Left Channel | Right Channel | Right Slope | Left Slope | Left Channel | Right Channel | Right Slope
792+00 |  |  |  |  |  |  |  |
Area (sf) | 0.0 | 80.1 | 341.5 | 282.5 | 0.0 | 0.0 | 0.0 | 0.0
792+20 |  |  |  |  |  |  |  |
Area (sf) | 0.0 | 93.5 | 293.0 | 236.3 | 0.0 | 0.0 | 0.0 | 0.0
Volume (cy) | 0.0 | 66.6 | 224.1 | 170.8 | 0.0 | 0.0 | 0.0 | 0.0
793+00 |  |  |  |  |  |  |  |
Area (sf) | 0.4 | 93.7 | 106.3 | 38.4 | 0.0 | 0.0 | 0.0 | 0.0
Volume (cy) | 0.6 | 293.9 | 567.8 | 359.3 | 0.0 | 0.0 | 0.0 | 0.0
Acc. Volume (cy) | 0.6 | 360.5 | 791.9 | 530.1 | 0.0 | 0.0 | 0.0 | 0.0
794+00 |  |  |  |  |  |  |  |
Area (sf) | 4.0 | 142.8 | 97.2 | 26.7 | 0.0 | 0.0 | 0.0 | 0.0
Volume (cy) | 8.1 | 437.9 | 376.7 | 120.5 | 0.0 | 0.0 | 0.0 | 0.0
Acc. Volume (cy) | 8.7 | 798.4 | 1168.6 | 650.6 | 0.0 | 0.0 | 0.0 | 0.0
795+00 |  |  |  |  |  |  |  |
Area (sf) | 8.2 | 122.1 | 119.8 | 37.3 | 0.0 | 0.0 | 0.0 | 0.0
Volume (cy) | 22.6 | 490.7 | 402.0 | 118.6 | 0.0 | 0.0 | 0.0 | 0.0
Acc. Volume (cy) | 31.4 | 1289.1 | 1570.7 | 769.2 | 0.0 | 0.0 | 0.0 | 0.0
[Remaining Line Calculations Continue and show totals at the end.]
 | ---------Project Depth----------- |  |  |  | ---------Allowable Depth-------
 | Left Slope | Left Channel | Right Channel | Right Slope | Left Slope | Left Channel | Right Channel | Right Slope
Total Removed | 319.9 | 2753.4 | 2720.8 | 1378.0 | 0.0 | 0.0 | 0.0 | 0.0

Return to Top


Beach Volumes

Beach volumes are used for beach reclamation projects. Typically, you will have All format survey data as close to the beach as you can get with your survey vessel, and additional XYZ data gathered on land. To be loaded to CROSS SECTIONS AND VOLUMES, these data sets must be merged and converted to HYPACK All format files.

To merge the data sets, load both data sets with a 3-dimensional planned line file of your survey area to the MERGEXYZ program and export the merged data set as an All format file.

There are two calculation methods for beach volumes:

•The Beach Predredge method calculates how much material must be added to bring the profile up to the template.

•The Beach Postdredge method calculates how much material has been added beneath the design template between two surveys. It also reports how much material needs to be added to bring the postdredge survey up to the design template.

Note:Both the Beach Predredge and Beach Postdredge use a single distance between lines when computing the average end area volume quantities. When calculating volumes with non-parallel lines, and material is stacked on the inside and outside of a turn, the volumes are less accurate.

• Compensating Slopes

• Varying Template Segment Numbers

• Volumes for Minimum and Maximum Template Depths

Compensating Slopes

The Survey tab for both the Beach Predredge and Beach Postdredge methods includes a ‘Compensating Slopes’ column. When the compensating slope calculation is enabled for a segment, material that is above the template is credited against areas where the material is below the template, provided that area is ‘downhill’ from the credit material.

Note:Compensating slopes are not valid on horizontal segments (no slope).

To enable compensating slopes, enter the template segment numbers (beginning from the left end of the template) as a comma-delimited list in the Comp. Slope column. In the following example, compensating slope calculations are enabled for segments 1, 3, and 5 of each template.

Specifying Compensating Slopes in CROSS SECTIONS AND VOLUMES

Return to Top

Varying Template Segment Numbers

Both the Beach Predredge and Beach Postdredge methods support profile lines with varying numbers of design template points. CROSS SECTIONS AND VOLUMES computes the entire area under each template then the entire volume quantity for each pair of profile lines.

Return to Top

Volumes for Minimum and Maximum Template Depths

In the Graph Options-Volumes tab, you can elect to calculate the volume quantities for a Maximum Design Template and a Minimum Design Template.

Beach Volumes Graph Options

Maximum Template 2 above and Minimum Template 3 below the Design Template

Minimum Design Template and Maximum Design Template are templates that are offset vertically above and below the Design Template, respectively, by user-specified distances.

Calculate Minimum Required: Material required to reach the Minimum Design Template plus the amount required to reach the Design Template up to the level define by the Z-Level Reference. (In the following figure, it is represented by green and aqua.

Z-Level Reference is usually mean sea level.

In the following example, we have set a Maximum Design Template to be 2’ above the Design Template and a Minimum Design Template to be 3’ beneath the Design Template. CROSS SECTIONS AND VOLUMES calculates the volume quantity for each template separately. The Volume Report will have a section displaying the areas and volumes for each template.

The View Tab shows the resulting display of a Beach Postdredge computation.

Sample Beach Predredge View Tab

Sample Beach Postdredge Survey Tab

The predredge survey profile is shown as the bottom border of the blue area. The postdredge survey profile is shown as a red line.

In this example, material has been color-coded as follows:

Sample Color Codes

Color | Material
Blue | Minimum Design Template: Material added up to the Minimum Design Template.
Yellow | Design Template: Material added above the Minimum Design Template.
Brown | Maximum Design Template: Material added above the Design Template but below the Maximum Design Template.
Difference | Volume between the Minimum Design Template and the Design Template that falls above the Z-level.
Aqua | Material that needs to be added to bring the postdredge profile up to the Design Template.

The legend beneath the graph provides the Compensating Slope status, and area of material for each segment of the current profile. It also shows the Total Volume from the previous section and the Accumulated Volume up to the currently displayed line in the channel.

All of these items are duplicated when the user prints/plots the profiles.

The Volume Report for the Beach methods provides a section for each of the following reports:

•Design Template

•Minimum Design Template

•Maximum Design Template

•Minimum Required: Minimum Design Template + Design Template below the Z-Level Reference

•Difference: Volume of material between the Minimum Design Template and the Design Template that lies above the Z-level defined in the Graph Options tab.

Note:Get yourself a wide printer!

Return to Top


Volumes with No Template

CROSS SECTIONS AND VOLUMES calculates the volume of material removed between two surveys ignoring all channel template information. It calculates volume differences anywhere the two files overlap, but does not calculate any infill.

If the header of the data file contains channel template information, the program will draw the template to the View and Print screens for display only.

Average End Area No Template—View Tab

Average End Area No Template—Volume Tab


Volumes by Zone in CROSS SECTIONS AND VOLUMES

Volume zones are user-defined areas of channel templates generated in ADVANCED CHANNEL DESIGN. They are useful for volumes calculations in projects with complex channel designs.

Before you begin in CROSS SECTIONS AND VOLUMES, you must first generate your channel file (*.CHN) and a zone edge listing (*.ZEL) in ADVANCED CHANNEL DESIGN.

Zones and Planned Lines Displayed in ADVANCED CHANNEL DESIGN

Zone edge listing (*.ZEL) is an ASCII text file that contains a listing of where each line crosses each zone boundary and each inflection point of the model within a zone boundary. CROSS SECTIONS AND VOLUMES reads the ZEL file for the template information and generates volume quantities based on that listing.

In the CROSS SECTIONS AND VOLUMES, Survey tab:

1.Select the calculation method.

•For a single survey, select the Zone Listing Predredge method.

•For a postdredge comparison, select the Zone Listing Postdredge method.

2.Load your survey data to the Base Survey column.

3.Fill the Template column with your ZEL file. (Load it into the top cell of the column and click the Fill Column icon.)

When the information is complete in the Survey tab, you can view the channel profiles in the View tab and the volumes calculations in the Volume tab.

The volume report lists the totals for each design area (top) in the summary. It provides both the Overdepth and the Contour Overdepth quantities. It then lists the area, volume for each section, and the accumulated volume for the different zones throughout the report.

Sample Volume Report


Jacksonville Volumes Calculation

The Jacksonville method calculates the void areas, created by box cutting along the toe lines, in order to credit the dredging contractor for the material falling from the side slope into the void.

• Jacksonville Predredge Calculations

• Jacksonville Postdredge Calculations

Jacksonville Predredge Calculations

The Jacksonville predredge method is another average end area method of volumes calculations with a volumes report customized for the USACE in Jacksonville, FL. Its primary purpose is to provide predredge data for the Jacksonville postdredge volumes calculations. For this reason, all of the options in the Graph Options-Volumes tab should be identical for the predredge and postdredge volumes calculations. The only options applicable to the predredge calculations are whether to include side slope data and, optionally, setting a new project depth.

Return to Top

Jacksonville Postdredge Calculations

In the Jacksonville postdredge method, three volumes are calculated:

A: | Material remaining above the overdepth side slope.
B: | The void area outward from the toe line until the depth crosses above the overdepth template.
C: | The void area inward from the toe line until the depth crosses above the overdepth template or until it meets the user-defined Box Cut distance.

Jacksonville Postdredge

For each line, volume of side slope material (A) is compared to the void of the box cut (either B, C or the sum of B and C as set in the Graph Options) and the contractor is credited for the lesser value.

The Graph Options tab provides several options:

Jacksonville Volumes Options

Box Cuts define the area inward from the toe on which the C calculation is based.

Ignore Side Slope reports ‘0’ material for all side slopes and calculates only center channel volumes.

No Negative Values in Box Cut: If A, B, or C was larger in the postdredge, it is possible to get negative values. If this option is selected, negative values become 0.

Dredging Options:

•Contour dredging pays only for material removed where the bottom is above design grade (within project depth contours).

•All includes all of the overdredge material.

B Material Calculation Option:

•Post Dredge Below Overdepth/First Void Only: The program computes a void only if the depth at the toe line is beneath the specified template.

•Any Void within Box Cut Distance: When this option is selected, the program uses the X2L and X2R values from the Survey tab and will include any voids outward from the toe line within the specified distance.

Beware! This can be a little dangerous. If the extension reaches past the top of slope, it can calculate void above the V1 material. The V1L material will not move upward into the void.

Under Certain Conditions, Voids Above the V1 Material May Be Included.

Credit Calculation Options compare two values and credits the smaller of the two.

•Credit = MIN(A, B + C) compares the overdredge volume with the total of B and C.

•Credit = MIN(A, B) credits the lesser of A and B.

•Credit = MIN(A, C) credits the lesser of A and C.

The postdredge report contains a summary of the volumes calculated in the header, followed by a line-by-line accounting of the volumes calculated for each segment at design and overdredge depths.

The last section of the report displays:

•The volumes calculated for the side slope materials (A).

•The voids relating to the box cut (B and C).

•The amount credited for each line.

Remove Extensions: The volume calculation ignores the first or last template segment (or both) when the segment is defined by points at a depth of zero. This option omits line extensions, meant only to aid navigation, from affecting the side slope calculations.

Project Depth: The Average End Area methods, as well as the Philadelphia and Jacksonville methods allow you to quickly change the project depth and view the effects in your profile views and volumes calculations. This option overrides the project depth defined in your data files and in any template file and assumes a flat bottom for the entire channel. It also maintains the side slope ratio which shifts the top of bank as you change the project depth.

Project Depth Options

To modify the project depth, check the ‘Set Project Depth’ option and enter the new project depth in the field provided.

Jacksonville Postdredge Report

Return to Top


Panama City Volumes Calculation

Panama City calculations use average end area method to compare predredge and postdredge survey data and reports the results on the Government Engineering Form 80.

The Graph Options enable you to quickly revise the survey information listed in the report header or modify the project depth.

Panama City Graph Options

In the View Tab, you can set a fill color for the void areas below the deepest template.

Panama City View Tab

Panama City Report


Savannah Volumes Calculation

The Savannah Method calculates Volumes and Surface Areas of each of the three grades.

Ignore All Side Slope Material: Calculations are for only the center channel.

Overdepth Dredging Option Contour provides contour volumes calculations. Unselected, the program calculates non-contour volumes.

Set Project Depth shifts the current template to the user-specified depth.

Remove Extensions: The volume calculation ignores the first or last template segment (or both) when the segment is defined by points at a depth of zero. This option omits line extensions, meant only to aid navigation, from affecting the side slope calculations.

Savannah Graph Options

The Savannah Method

Savannah Report (Segment)


Norfolk Volumes Calculation

The Norfolk method calculates volumes of all material above each user-defined level. The quantity reported for the overdepth template contains all material above the overdepth template, including material that falls above the design template. Likewise, the quantity reported for the supergrade template contains all material above the V4, supergrade, overdepth and design templates. This is different from the other Average End Area reports, where material is only reported up to the next template.

In the Graph Options Volumes Tab:

Report Titles sets a title to be printed at the top of the Volumes Report.

Planned Line File Name will be listed in the Template column of the Volumes Report where there is no Template file (*.TPL) listed.

Report Field Width controls the column width in the Volumes Report.

Norfolk Graph Options

Norfolk Volumes Calculations


GLDD Volumes

The main differences between the GLDD method and other methods:

•GLDD reports the amount of total material above each level (Design Template, Overdepth Template, and Superdepth Template). The other methods report the material above the Design Template, the material between the Design and Overdepth Templates and the material between the Overdepth and Superdepth templates.

•GLDD allows for material on the side slopes to ‘fall’ into voids outward from the toe line.

• Reported Volumes in the GLDD Method

• Side Slope Calculations in the GLDD Method

Reported Volumes in the GLDD Method

In the following sample report, note that the ‘At OVDepth Template’ states the total amount of material above the Overdepth template, including material that is above the Design template. The ‘At SPDepth Template’ states the total amount of material above the Superdepth Template, including material above the Overdepth template and material above the Design Template.

Sample GLDD1 Report Summary

To calculate the material available in the region between templates, subtract the volume for the upper template from the volume for the lower template. For example, to find the volumes between the Design and Overdepth templates, subtract the ‘At OVDepth Template’ values from the ‘At Design Template’ values.

Return to Top

Side Slope Calculations in the GLDD Method

GLDD (Great Lakes Dock and Dredge) Volumes calculations take voids present in the side slope into account, assuming that, over time, the material higher up on the slope will drop down into the voids. The side slope volumes, therefore, report only the amount of material that exceeds the combined voids of all of the levels below.

In the following figure, V1, V2 and V3 represent the volume of material in each level, while the D, E and F areas represent the voids.

GLDD Volumes Channel Area Definitions

The Volumes Report uses the following formulae to calculate the volumes at each level. Negative results are recorded as 0.

Area | Available Material | Void Applied | Reported Material
Design Template | V1L | DL+EL+FL | V1L-(DL+EL+FL)
OV Template | V1L +V2L | EL+FL | (V1L+V2L)-(EL+FL).
SP Template | V1L+V2L+V3L | FL | (V1L+V2L+V3L)-FL.

GLDD Graph Options

Compensating Slope tells the program to assume that available material on the side slopes will migrate into the available voids for GLDD1 calculations.

Void Calculation Options:

•Postdredge Below Template/ First Void Only: The program computes a void only if the depth at the toe line is beneath the specified template.

In the following figure, it has computed the DL void because the bottom at the toe line is beneath the Design template. It has not computed any EL or FL material, as the bottom at the toe line is above the Overdepth and Superdepth templates, respectively.

Volumes are calculated only where the postdredge depth is below the template at the toe.

•Any Void within Box Cut Distance: When this option is selected, the program uses the X2L and X2R values from the Survey tab and will include any voids outward from the toe line within the specified distance.

Beware! If the distance from the toe line to the top of bank is less than the X2 distance, it will compute any void including the void at the top of the side slope. V1L material will not move upward into the void.

Return to Top


Chinese Volumes

These volumes calculations, customized for some of our Chinese users, are single survey computations. They are unique in the way they handle side slope calculations.

• Chinese 1 Average End Area Calculations

• Chinese 1 Core Volumes

• Chinese 2 Average End Area 1

Chinese 1 Average End Area Calculations

The Chinese 1 AEA 1 method supports more than one segment in the side slopes. The number of side slopes must be the same on each side of the channel. Such channel templates would typically be created using the template editor and entered in the Template column of the Survey Tab.

In the following figure, each side slope has three segments.

Multiple Side Slope Segments

Beware! You must clear the “Simplify Templates” option in the Graph Options - Data Tab. A check in this box would generate an error and, if successful, would defeat the purpose of this method of volumes calculation.

Template Settings in the Graph Options

The division between the center channel and the side slope portion of the channel is different for this method than for other calculation methods. In most other methods, the dividing line is drawn perpendicular to the bottom at each toe and extending downward through all of the channel templates. In the Chinese 1 methods, each of the lowest side slope segments of the design template is extended past the toe and downward through the lower template levels.

Chinese 1 Channel Segment Definitions

The Volumes tab reports the volumes left and right of the center channel center line and for each segment of the template. The side slope segments adjacent to the toe are designated as Left and Right A. The remaining segments up on each side will be named in order alphabetically (B, C, etc.). The following figure shows the summary at the top of the report and the detailed report for the Design depth below. The report continues to the right with similar details about overdredge calculations.

Sample Chinese Average End Area 1 Report

Beginning with the third line, the detail for each line will also include the accumulated volumes and void from the beginning of the channel to that line.

The Chinese 1 Average End Area 3 method calculates the difference between predredge and postdredge data using the same rules as the Chinese 1 AEA1 method.

Chinese 1 AEA 3 - View Tab

Return to Top

Chinese 1 Core Volumes

The Chinese End Area 1 calculation method supports a feature we call ‘core volumes’. It calculates the volume of each core level based on information you compile from core samples taken in your project area.

The program requires a planned line file that contains only the center line. The position of each core sample is entered and compared to the center line, and the distance from the beginning of the line (DBL) is calculated. Core levels are then interpolated between samples based on the difference in the distance down line.

1.Take your core samples in your project area noting the XY coordinates of each location. Take enough samples to adequately describe the core profile of your area.

2.Examine each core sample, recording each bottom type and to what depth each reaches.

Note:The Core Levels program requires the same soil types in the same order for each sample; however, the levels in each profile may change.

3.Create a Planned Line file that defines the channel’s center line.

4.Create a core file.

a.Open the CORE LEVELS utility by selecting UTILITIES-OTHER-CORE LEVELS FOR VOLUMES. The Core Levels dialog will appear.

Core Levels Dialog

b.Enter the information on the left side of the form. The table on the right side will update to reflect the number of cores and levels.

c.On the right side of the form, enter the information for each core sample:

i.Enter the Core Name (any alpha numeric name you choose) and position.

ii.Click [Calc] and the program will calculate the distance from the beginning of the center line.

Note:This utility assumes all samples are taken along the centerline and that they are representative of the entire swath perpendicular to the center line from that point.

iii.Enter the Layer Names and their lower depths.

d.When the form is complete for the current core sample, advance to the next form using the arrow buttons to increment the Core Number. The right side of the window will reset ready for information based on the next core sample. The Layer Names will remain populated, as they must be the same for each profile.

e.When all samples have been described, save your Core Level file by selecting FILE-SAVE and naming your file. The information will be read to an XML database file and stored, by default, in the Core folder in your project.

f.Exit the program.

5.Launch CROSS SECTIONS AND VOLUMES and load your session.

6.In the Graph Options-Data tab, check the ‘Use Level File’ option, click the […] and browse for your Core Level file.

Lower Right Corner of the Graph Options- Data Tab

Once the Level File is entered, the core levels will be drawn in the View Tab.

View Tab – Core Levels

The Volumes Tab will include calculations by level and accumulated values at the end.

Volumes Tab – Volumes by Line Segment and Core Level, Accumulated Volumes at the End

Return to Top

Chinese 2 Average End Area 1

Chinese 2 volumes calculations requires 4 segments in the design template: the center, and the toes and top of bank points on each side.

The Chinese 2 Average End Area 1 method is a single survey volumes calculation, while Chinese 2 Average End Area 3 reports the difference between predredge and postdredge surveys.

The Chinese 2 methods define the overdepth differently than other methods. The Overdredge Depth in the Survey tab defines the distance between the design and overdredge templates only in the center channel. The ends of the center channel overdredge area is defined by a vertical line extending down from the toe of the design template.

Chinese 2 Channel Segment Definitions

The Survey tab includes added values affecting the side slope areas in the overdredge area.

•Left and Right Extension values set the distance between the design and overdredge templates on the side slopes.

•Left and Right Slope values define the slope of the line connecting the toes to the side slopes.

The following figures show corresponding tabs using the Chinese 2 AEA1 method. The distance between the templates on the side slope is set to 20 on each side, and the segments connecting the overdredge side slope to the toe have a slope of 5.

Chinese 2 AEA 1- Survey Tab

Chinese 2 AEA 1- View Tab

Chinese 2 AEA 3- View Tab

The volumes report follows the same format as the Chinese 1 calculation methods.

Chinese 2 AEA 1 – Sample Volumes Report

Return to Top


Kingfisher Volumes

The Kingfisher method allows you to choose a different overdredge basis for each segment—Left Slope, Center Channel and Right Slope.

1.From the Graph Options, Volumes tab, click [Over Dredge Basis].

2.Set the overdredge basis for each segment and click [OK]. The overdredge bases:

•Smart for contour dredging

•All to include all overdredge material

•None to exclude all overdredge material

The report shows area and volumes for each section, and the cumulative pay volumes, but it does not show volumes by line segment.

The Kingfisher method uses slightly different terminology:

HYPACK Term | Kingfisher Term
Overdepth | Advanced Maintenance
Superdepth | Allowable Overdepth
Remaining Depth | Material Above Design

Sample Kingfisher View

Sample Kingfisher Report


Computing Reach Volumes Using the Channel Plan Feature

The Channel Plan feature of CROSS SECTIONS AND VOLUMES enables you to re-define and compute volumes for a single reach of a channel. A reach is one straight section of the channel center line Multiple segments along the center line are not allowed.

This feature provides a quick and easy way to compute and compare volumes with varied channel template information. Use the Channel Plan feature to define the channel template for the reach and note the difference in the Volume Tab when a change is made to the Project Depth field.

In the Cross Sections and Volumes program:

1.Select FILE-CHANNEL PLAN and enter the Channel Plan information.

2.Click [OK] to close the Channel Plan dialog.

3.Enter the information in each tab as usual. The volumes will be calculated using the template information defined in the Channel Plan dialog. It will override the template information in the header of the survey files and in the template column in the Survey Tab.

Note:Enter only data files that are included in your reach. If you enter survey lines that are not part of the reach, you will get an error message reading "Survey line xxx does not cross center line." and you will not be allowed to proceed until you have removed the offending lines with the delete function in the Survey Tab.

More Information

• Channel Plan Information in Cross Sections and Volumes

• Example: Using the Channel Plan Feature in Cross Sections and Volumes


Channel Plan Information in Cross Sections and Volumes

Using the Channel Plan option, you can define a new channel template and a channel depth. Once this is done, you can easily calculate the difference in volumes by changing the project depth and comparing the results in the volumes reports.

1.Select FILE-CHANNEL PLAN and enter the coordinates and their chainage (distance along the channel center line) in the top part of the Channel Plan dialog.

2.Define the new channel template in the lower half of the dialog. Enter the information for:

•the first and last survey line of the reach

•anywhere in the reach where the template changes.

•anywhere where the survey line is not perpendicular to the center line. Enter a positive angle to indicate a clockwise rotation of the survey line.

3.Define the Project Depth in the corresponding field. It is uniform for the reach calculation. (The reach is defined by the X,Y coordinates of the starting point and ending point.)


Example: Using the Channel Plan Feature in Cross Sections and Volumes

Example:

Calculating Reach Volumes with the Channel Plan Feature: Calculate the volumes for the segment from 189+00 to 197+00 in the 168_bef.log. This is a straight section of the channel in the middle of the file. Compare the volumes with depths of 23 and 24.

1.Load the planned lines in HYPACK.

2.Get the X,Y coordinates for the first line by pointing the cursor at the point where it crosses the center line, and noting the X,Y coordinates from the status bar.

3.Get the X,Y coordinates for the last line using the same method.

4.Use the measuring tool, measure the distance of the left and right toe lines from the center line then enter the measurements to the spreadsheet.

5.Select FILE-CHANNEL PLAN and enter the information in the Channel Plan dialog with the Project Depth=23 and slopes=3, and click [OK].

Channel Plan Dialog

6.In the Survey Tab, enter the 168_bef.log in the Survey column.

7.Use the [Delete] to remove lines169+00 through 188+00 and198+00 through 201+00. These are not part of your reach.

Entering the Survey Lines in the Survey Tab

8.Click on the Volumes Tab to see your calculated volumes.

Volumes at Depth of 23

9.Select FILES-CHANNEL PLAN, change the Project Depth to 24 and click [OK].

Note the change in values in the Volumes Tab.

Volumes at Depth of 24


TIN MODEL

The TIN (Triangulated Irregular Network) MODEL program creates surface models from XYZ or XYZid data files, edited or sorted ALL format files, HS2, HS2X or filled matrix files. The program creates the surface by connecting adjacent data points in optimized triangles. You may save your TIN model to a TIN format file, which you can reload to the program at a later time.

HYPACK includes two versions of TIN MODEL: 32-bit and 64-bit. Select FINAL PRODUCTS-TIN MODEL. HYPACK automatically runs the version matching your Windows® operating system.

You can save the model to a TIN file, by default, to your project directory. It can be used for the following functions:

•Creating two-dimensional and three-dimensional displays of models.

•Calculating volumes by comparing the difference in elevation of each triangle node in the TIN Model, as it is projected onto the comparison surface — a level, a channel or another surface.

•Performing simple editing on your data set. The TIN Editor enables you to select and remove data, create break lines and trim the model to a border file.

•Printing or plotting two and three-dimensional models.

•Exporting contours to DXF HYPACK options include color filling and smoothing.

•Exporting XYZ files based on user-defined options. You can export evenly spaced soundings from a single TIN model or calculate the depth difference or average between two TIN models.

•Filling Matrix Files (*.MTX) with depth or Seabed ID information (or both). The TIN Model fills in between survey lines.

•Cutting through surface models using a planned line file to guide section location. You can calculate volumes by section using the Philadelphia method in TIN MODEL or export the sections to All format and use the data in CROSS SECTIONS AND VOLUMES.

More Information

• Creating a TIN Model

• Initial Data Dialog in TIN Modeling

• TIN Model Displays

• Measuring Distance and Position in 2D TIN Models

• Improving TIN Models with Vertical Surfaces

• Editing your TIN Model

• Exporting Data from TIN Models

• Volumes Based on Surface Calculations

• Calculating Volumes in the TIN MODEL Program


Creating a TIN Model

1.Start the TIN MODEL program by clicking on its icon or by selecting FINAL PRODUCTS-TIN MODEL from the menu. The TIN MODEL shell appears.

2.Select FILE-NEW. The Initial Data dialog appears.

Tip: Alternatively, drag a file from the Project Files list to the TIN MODEL icon on the tool bar. Using this method, you can load individual HS2, HS2X, XYZ, and matrix files, as well as catalog files of All2 format files.

3.Fill in the Initial Data dialog and click [OK]. Wait while the TIN is drawn to the screen.

•To load multiple All or HS2X format files, create and load a Catalog file (*.LOG) that lists them.

•To load multiple HS2 files, set the Files of Type field (in the File Open dialog) to HS2 and hold the Ctrl key while you select the files you want to load.

4.Save your settings. (optional)

a.Select FILE-SAVE.

b.Select the *.INI file type and name your file. You can later reopen this file to repopulate your Initial Data dialog with the current settings.

5.Save the TIN Model. (optional)

a.Select FILE-SAVE.

b.Select the *.TIN extension and name it. You can re-open this file by selecting FILE-OPEN and selecting the file. You do not have to wait for TIN Model to rebuild the model, but can immediately proceed to working with your model.

More Information

• Initial Data Dialog in TIN Modeling

• TIN Model Displays

• Measuring Distance and Position in 2D TIN Models

• Improving TIN Models with Vertical Surfaces

• Editing your TIN Model

• Exporting Data from TIN Models

• Volumes Based on Surface Calculations

• Calculating Volumes in the TIN MODEL Program


Initial Data Dialog in TIN Modeling

The Initial Data Dialog contains all of the details necessary to make your TIN Model.

1.Select FILE-NEW. The Initial Data dialog will appear. This is where you will set which files will be used to accomplish your task in the program.

Initial Data Dialog

2.Enter the data files necessary for your purpose.

•An Input File is required to create the model. Enter the name of:

•An ASCII XYZ file, You can merge data from multiple XYZ files by using [Browse] then using the Alt or Ctrl key to select your files.

•An All format file. To load multiple All format files, create and load a Catalog file (*.LOG) that lists them.

•Multibeam HS2 files.To load multiple HS2 files, set the Files of Type field (in the File Open dialog) to HS2 and hold the Ctrl key while you select the files you want to load.

•A Matrix File (*.MTX).

For a predredge vs postdredge calculation, enter the predredge data.

In TIN-to-TIN volumes calculations, this is the TIN1 surface.

To export a Matrix file with Seabed ID information, enter an XYZid file, which can be created from your ALL format data in the SEABED MAPPER program.

Note:This matrix will store the Seabed ID information in the Survey Depth memory of the output matrix. Depth information will be stored in the Dredge Depth memory.

•An Additional File is required for doing TIN-to-TIN volumes calculations or comparisons. You can use any of the file types available for the Input file and the file types of the Input and Additional files do not need to match.

For predredge vs postdredge calculations, enter the postdredge data.

In TIN-to-TIN volumes calculations, this is the TIN2 surface.

•A Planned Line File containing single-segmented lines. The planned lines can be superimposed against the TIN model and sections created to either export All format information or calculate volumes using the Philadelphia volumes calculation mode in TIN MODEL.

•If you plan to export All format files, the planned line file can be either 2-dimensional or 3-dimensional. The All format files can then be read in CROSS SECTIONS AND VOLUMES and other HYPACK programs.

•If you plan to use the Philadelphia method to calculate volumes, the planned line file must be 3-dimensional.

•TIN-to-Channel volumes calculations require either a channel file or a planned line file. A channel file (*.CHN) is created in the ADVANCED CHANNEL DESIGN program. The planned line file (*.LNW) must contain channel template information.

•Channel Plan is a CHN file created in ADVANCED CHANNEL DESIGN. It describes the channel template for a TIN-to-Channel volume calculation.

Important: The depth/elevation mode of your channel file must match the TIN model to assure proper calculations. The program displays a warning when they do not.

•TIN Max Side specifies the maximum allowable triangle leg distance. You should set this large enough so your data points connect, but not so large that points which have little relationship connect to each other. Start with about 150% of your line spacing. The TIN Model will not be created if this value is 0.
The value of this field depends on the density of the input data. If the value is too small, the final result will be an incomplete TIN. If the value is too large, the creation will be slow and, the TIN will probably contain triangles with very long legs.

•Remove Narrow Edge Triangles: At times, a large TIN Max Side may be necessary to fill gaps in the center part of your data, but this may create a series of long, narrow faces down the edge of your model. These can increase your model drawing time and will cause problems, if you import such a model into in the ENC EDITOR. This option avoids this type of problem by removing any triangles containing an angle of less than 2 degrees or greater than 176 degrees.

Removing Narrow Edge Triangles—Unselected (left), Selected (right)

•Mode: Inverts the Z axis only for the purpose of drawing.

Beware! This option is different than the “Invert Z” option from HYPACK. Depth values are not inverted for export purposes. To invert your data use the EXPORT program.

•Align TIN with LNW is only helpful with single beam data when the survey lines are not perpendicular to the bottom contour. It uses a modified formula that prevents anomalies in the TIN surface caused by crooked track lines. These differences are probably most noticeable at the edges of the contour models.

Sample Portion of a Single Beam Survey File

Sample Files in TIN—Not Aligned

Sample Files in TIN—Aligned

3.Click [OK] and the TIN MODEL program will create the surface model of your Input Data file, and the Additional file if you have included one. The screen will show the progress of the model generation. You can stop the creation process at any time by clicking [Cancel].


TIN Model Displays

TIN MODEL offers several types of models and a selection of view options such as rotation, vertical scale and additional features to enhance your display. Each model is color-coded using project colors.

You can draw multiple models and each model is drawn to its own window. Each window is drawn independently of any others so you can view the same model in several windows, using different model types or view options, and compare them side-by-side.

Hold the cursor over any 2D model and the XYZ coordinates at the cursor position will be displayed in the status bar.

More Information

• TIN Model Types

• TIN View Options

• TIN Colors

• Modeling Seabed Identification Values


TIN Model Types

TIN MODEL offers several types of models. Each model type can be drawn in two or three dimensions according to which menu you select it from: 2D Models or 3D Models. In addition, the Sections menu provides both horizontal and vertical cross sections.

•Wire frame models show the color-coded triangulated web replicas of your sounding data.

Wire Frame TIN Model—2D (left), 3D (right)

•Contour models draw contour lines using the colors and intervals set in the project colors.

2D Contour Model (left) and 3D Contour Model (right)

•Vertices display color-coded pixels where the TIN legs meet.

2D Vertices (left), 3D Vertices (right)

•Filled models are solidly colored representations of your survey area. The three-dimensional solid model is available in color and gray-scale, while the two-dimensional model is only in color.

2D Filled (left), 3D Color (right)

3D Gray

•Sections are simply model cross sections. The two dimensional models, show the vertical profiles along each line in the planned line file and you can scroll through the lines using the up and down arrows.

2D Sections

A similar model can be drawn by clicking the Instant Profile icon in any 2D model display and dragging the cursor across the model where you want to view the profile. In this case, no other profiles are viewable.

The three dimensional models can be drawn either vertically according to the planned line file or horizontally according to contour levels described in the current project color settings.

3D Horizontal Level Sections (left), Vertical Profile Sections (right)


TIN View Options

Each model display window includes a toolbar with controls that affect only that model. Some tools are present in each window while others vary according to what is appropriate for 2D, 3D or Sections displays

The standard zoom tools appear in each window. You can also use your mouse and keyboard commands to adjust your display. A complete set of commands can be displayed by selecting HELP-SHORTCUTS.

The Clone Tool is available creates a new window with the same model and settings as the one where you clicked the icon. It might be useful to do this, then modify certain settings for comparison to the original view.

The Setup Icon appears on the toolbars of all model types. This icon or F9 accesses a dialog where additional view options are provided.

• 2D and 3D Models

• Sections Setup

2D and 3D Models

Many of the view options apply to both 2-dimensional and 3-dimensional models. Three-dimensional models have additional view options. In each case, only the options appropriate for the model type in that window will be enabled.

View Parameters in the TIN MODEL program—2-Dimensional Model Options (left) and 3-Dimensional Model Options (right)

The Rotation angles rotate the model counter-clockwise around the imaginary center of the model. These settings are can also be modified by using the rotation icons on the toolbars.

2D models can be rotated in either direction around the Z axis. North Up is a rotation of zero degrees.

3D models can be rotated in either direction around the Z axis—spin—and around the horizontal axis of the window—tilt. Click the right-most icon of the group to select the direction of rotation. The other icons spin and tilt your model. In addition, you can click and drag with your cursor to rotate the model directly: Drag up and down to tilt. Drag left and right to spin.

The Grid checkbox displays a grid with the model to give you a little more perspective. The Grid option defines the spacing between the grid lines or, if the grid size value is set at zero, the distance equals the Maximum TIN Leg specified in the Initial Data dialog.

To adjust the size of the grid labels, enter a Font Factor value. Values greater than 1 increase the font size, while values between 0 and 1 decrease the font.

2D (Left) and 3D (Right) Models with Grid Overlaid

Legend shows a labeled color bar for models that are color filled or color-contoured.

Planned Lines: If you have created the TIN with a section file, this option displays the Planned Line file superimposed on the 2D TIN Models and cutting the 3D models. Section models offer several options which will be discussed shortly.

2D (Left) and 3D (Right) Sections

Channel displays a CHN file, created in ADVANCED CHANNEL DESIGN, with the TIN Model of your sounding data.

TIN2 allows you to choose the surface to draw with the options in the Model menu. Show TIN2 is only available when you are doing TIN-to-TIN calculations.

Additional Options for 3D Models include the following:

•The Z-Axis Ratio stretches or shrinks the data along the Z-axis. The TIN Model already builds in some exaggeration. This can be amplified by the number in this entry.

•Pixel Size determines the size of the soundings in the Vertices models.

•Channel Shift raises and lowers the gray channel model up and down in the TIN model display.

•Superimpose geo-TIF file enables you to overlay a georeferenced TIF or PNG image on the TIN model. Click the ellipsis button and browse for the required file. When the image is overlaid, it obscures the TIN model. You can view the TIN model through the image by adjusting the image transparency with the slider.

Geo-TIF Placement options

•Skirt draws gray, vertical sides around the TIN model. In/out affects the shading of the skirt and Level affects the height of the skirt.

•TIN Surface drapes the geo-TIF on the TIN surface.

•TIFFile Transparent Color: Choose a color in the geo-TIF to be invisible in the TIN display. For example, if your geo-TIF has a lot of white amid the data, you can set white to be transparent so you can view your TIN data in those areas instead.

•Geo-TIF Transparency: Set a level of transparency so you can view the TIN model through the geo-TIF. You can set the geo-TIF to be completely invisible (highest transparency), opaque (lowest transparency) or somewhere in between.

•Lighting Effects: Two icons on the toolbars of 3D models affect changes in lighting effects.

The Light Icon is available only for three-dimensional models. It launches the light control where you can enable/disable the light feature, and set the color and position of your lighting for optimal viewing of your model.

If the ‘Enabled’ box is checked, the lighting in the Light Control, as well as in your model window will update according to each setting change.

Light Control

Color: Click on either color block to access a color dialog where you can select your favorite color for each option.

•Diffuse color comes from the light source.

•Ambient sets the color of the light that brightens the entire display. It is similar to the brightness setting in your favorite graphics program.

Position:

•Inclination is the angle of the light relative to the horizon.

•Rotation is the position around the Z-axis of the model.

Together they describe the exact position of the light source relative to the model.

Rather than puzzling out what the angles should be, you can imagine that the shape on the left is your TIN model then use your cursor to click where you would like the light source to be positioned relative to your model.

If the Static option is checked, the light source will remain stationary as you manipulate your model in the window. This setting accentuates the contours in your data because the light and shadows change as you rotate the model.

If Static is cleared, the light will maintain its position relative to the model so the same side will always remain lit in the same manner.

Light Enabled (left), Light Disabled (right)

The smooth icon softens the angles in the drawings.

Smooth On (left) and Smooth Off (right)

Return to Top

Sections Setup

Sections models have such different options a different setup dialog is required.

Two dimensional models, show the vertical profiles along each line in the planned line file. The status bar displays the current line name. You can use the up and down arrows to shift the cut in either direction one line at a time or choose the section with the Go To Section option in the View Parameters dialog.

Sample 2D Section Display

The Setup dialog provides options for scaling the display.

Setup Dialog for 2D Sections

•Minimum and Maximum Elevation set the vertical range.

•Step determines the distance between horizontal lines in the graph.

•Color: The color button next to each checkbox shows the color currently set for the corresponding material in the profile.

a.Click the color button for the value whose color you want to change. A Color dialog will appear.

b.Select a new color and click [OK]. The new color will appear in the color button and will replace the original color in the display.

•Fill Main File fills the area beneath the Main File profile with depth colors.

•Show Template overlays your section file in the display.

•Show Channel overlays your channel file in the display.

•Horizontal Step determines the distance between vertical lines in the graph.

Three dimensional models are drawn either vertically along the survey lines in your planned line file or horizontally according to the levels defined in your color settings. The cut is represented by a planar surface drawn through the model.

Setup Dialog for 3D Sections

When you make that choice by selecting Profile or Level, other options in the dialog adjust to coincide.

If you have selected the Profile option:

•The drop-down list is populated with profile line names or level depths, and you can use the up and down arrows to shift the cut in either direction one line at a time.

•The Show TIN options, and the corresponding icons on the toolbar, allow you to display the portion of the TIN to the left, right or on both sides of the section line.

TIN Sections—Both Sections

Right (below left), and Left (below right)

If you have selected the Level option:

•The drop-down list is populated with levels and you may select at which level the model should be cut. You can use the up and down arrows to shift the cut in either direction one level at a time.

•The Show TIN options, and the corresponding icons on the toolbar, allow you to elect to display the portion of the TIN to the above, below or on both sides of the selected level.

TIN Sections—Both Sections

Top (left), and Bottom (right)

A contour line is drawn at the selected level. The Line Color defaults to red, but you can customize the color by clicking the corresponding square and choosing from the color dialog that appears.

The Section Color defaults to gray, but you can customize the color by clicking the corresponding square and choosing from the color dialog that appears.

The Section Transparency is set with the slider. High transparency makes the plane invisible while a low setting makes it opaque.

Note:When you are drawing horizontal sections, low transparency can mimic the Top option under Show TIN.

Make Geo-TIF Ready resets all rotation angles to zero, which is required for TIN MODEL to generate a georeferenced TIF image from your model.

Gray TIN changes the display to a grayscale model.

Color TIN uses the current TIN MODEL colors.

Return to Top


TIN Colors

To modify the project colors,

MODIFY – COLORS or click the Colors icon on the toolbar. The standard Color Dialog will appear.

MODIFY-COLORS+AUTORANGE sets your color palette to fit your depth range.

If you have built your TIN model with an XYZ ID, MODIFY-SEABED ID COLORS configures a separate spectrum that you can configure for your seabed ID.

The new colors will be used to draw your TIN models and to update your project colors when you exit TIN MODEL.

More Information

• Project Colors in HYPACK

• Saving your ARA Seabed Data

• Seabed Identification in Mapper


Modeling Seabed Identification Values

If you build the TIN model using an XYZId file, TIN MODEL draws the model using seabed identification values.

To display your data using seabed identification colors:

1.In SEABED STATISTICS, SEABED MAPPER, or GEOCODER, export your data to XYZId format. (SEABED MAPPER also exports a Seabed Matrix, color-coded using the seabed ID numbers.)

Note:The SeabedID numbers generated by GEOCODER™ range from 0-19 where 0 is the most coarse classification and 19 is clay. They are not the same as the classification numbers assigned in SEABED STATISTICS and SEABED MAPPER.

2.Create a HYPACK Colors file (*.HCF) to represent your Seabed ID colors.

Tip: In SEABED STATISTICS, you can export the seabed ID colors defined there to a HYPACK color file. Use the COLOR EDITOR to create a color file to represent the 20 identification numbers generated by GEOCODER.

3.In HYPACK, load the Seabed HCF file as your project color file.

4.In HYPACK, set the matrix to display either Survey Depths or Seabed ID. Either will work.

5.In TIN MODEL, TIN your seabed ID values by using your XYZId (or Seabed Matrix file) as the input file.

Since you have loaded your seabed colors as your project colors, your color TIN models should draw in seabed colors. Likewise, if you export your TIN data and display it in the HYPACK map, it will be color-coded according to your seabed colors.

More Information

• Exporting Seabed Data to a Text File

• Seabed Identification in Mapper

• Converting Seabed Identification Colors to a HYPACK Color File

• Matrix File View Options in HYPACK


Measuring Distance and Position in 2D TIN Models

In the two-dimensional models, you can use the cursor to:

•Determine the XYZ of any position in the model. Point the cursor at the place of interest and the coordinates will be displayed in the window status bar.

•Measure distance and azimuth between two points. Click and drag the mouse from one point to another. The distance and azimuth of the path between them is displayed in the status bar.

More Information

• Creating a TIN Model

• Initial Data Dialog in TIN Modeling

• TIN Model Displays

• Improving TIN Models with Vertical Surfaces

• Editing your TIN Model

• Exporting Data from TIN Models

• Volumes Based on Surface Calculations

• Calculating Volumes in the TIN MODEL Program


Improving TIN Models with Vertical Surfaces

Before generating a TIN model, the TIN MODEL program projects the data onto a 2-dimensional surface. When you have vertical surfaces, soundings with different Z-values are all projected together on the 2-dimensional surface. If this is the case, you can rotate the original model to improve the data projection then regenerate the model to get a better visual representation of the surface.

Important: This feature should only be used for visualizing your bottom surface. If you plan to use the model to calculate volumes, a TIN model generated in this manner will give inaccurate results.

Data Projections for TIN Modeling—Original Orientation (left), Optimized Orientation (right)

1.Generate your model as usual.

2.Select MODIFY-EDIT 3D TIN. The 3D TIN Editor window will appear.

3D TIN Editor

3.Adjust the rotation in such a way that you can see the most data points in the window.

4. Rebuild the TIN model using your defined rotations. Click the Regenerate TIN icon. The new model will appear in gray scale in the 3D TIN Editor window and all other model windows will update to display the new model.

More Information

• Creating a TIN Model

• Initial Data Dialog in TIN Modeling

• TIN Model Displays

• Measuring Distance and Position in 2D TIN Models

• Editing your TIN Model

• Exporting Data from TIN Models

• Volumes Based on Surface Calculations

• Calculating Volumes in the TIN MODEL Program


Editing your TIN Model

The new TIN Editor provides flexibility in editing the data in your TIN model. The Trim TIN and Break Lines features, which are now part of the TIN Editor function, are further enhanced by:

•A choice of cutting methods

•The ability to perform multiple cuts simultaneously in one operation

•The tools to manually define cuts in addition to the previous methods of trimming to a border file and using a planned line file to guide breaks.

The general process is very straight forward:

1.Open the TIN Editor by selecting MODIFY-TIN EDIT.

2.If you will be defining more than one polygon, choose Union or Intersection Mode.

3.Mark the triangles to cut.

4.Perform the cutting.

Each combination of the above enhancements give you different results depending on the choices you have made.

More Information

• The TIN Editor Interface

• Choosing Union or Intersection Mode in the TIN Editor

• Cutting Break Lines in your TIN Model

• Breaking a TIN Model

• Breaking a Triangle

• Splitting TIN Model Legs

• Trimming your TIN Model to a Border

• Querying your TIN Model in the TIN EDITOR


The TIN Editor Interface

When you access the TIN Editor, a separate window with its own toolbar and a black wire frame model is created for TIN editing.

TIN Model Displayed in the TIN Editor

You will find the standard Zoom, Pan and Selection tools found on most HYPACK toolbars to adjust your view of the model in the window below it. If your model is large, it will probably be useful to zoom in and center on the area where you will be editing.

Zoom in/out allows you to zoom in/out quickly with just a click of the left/right mouse button.

Zoom Window allows you to focus an area of interest

Center allows you to select the new center of the model.

Arrow is the default. It does not give you any additional action. It tracks mouse movement and displays its world position and the model depth/elevation at the cursor location in the status bar.

Zooms Extents of the model.

There are several additional tools that are used to mark and cut your model.

More Information

• Choosing Union or Intersection Mode in the TIN Editor

• Cutting Break Lines in your TIN Model

• Trimming your TIN Model to a Border


Choosing Union or Intersection Mode in the TIN Editor

If you want to trim your TIN with only one polygon, your choice of Union or Intersect mode is irrelevant; it only works where you load multiple polygons.

If you load more than one polygon, your outcome will be different depending on which of these modes you choose.

Note:You must make this selection before creating your polygons.

The Union Mode icon toggles between the two modes.

• [image] Union Mode selects all triangles selected by any of your polygons.

• [image] Intersect Mode selects only triangles that are selected by all polygons.

The following figures illustrate each mode and how the saved area designated by the border affects the results.

Trimming a TIN Model to a Border File - Union Mode vs Intersect Mode

 | Before Trimming | After Trimming
 |  |  | -
Union Mode |  |  |
Intersection Mode |  |  |


Cutting Break Lines in your TIN Model

Break lines are lines that TIN legs will not cross. You can define these lines manually with the Polyline/Polygon Pen or by importing a Planned Line file. These lines are then used to edit your model to remove certain areas from your model and volumes calculations that might not be eliminated by the TIN Maximum Side.

1.Mark your lines.

•Manually:

i. Click the Pen icon.

ii.Define the break line by clicking at each waypoint.

iii.End the line by clicking the default Arrow icon.

Sample Line Overlaid on the TIN Model

•Import a Planned Line file. The file can contain one or more, single or multi-segmented lines. This feature does not support curved lines.

i. Click on the LNW Import icon.

ii.Select your line file from the File Select dialog and click [OK].

Note: If you are not satisfied with your selections, you can clear all selections and begin again by clicking the Clear Selection Icon.

2. Cut your Model by clicking the Eraser icon. All triangle legs that intersect with the selected line file will be removed from your model.

Break Line Data Removed with the Eraser Icon


Breaking a TIN Model

When you break a TIN Model, all of the faces crossed by a user-defined boundary subdivide to include the boundary. This is different than cutting break lines which removes the triangles crossed by the border creating a void. When you break a TIN model, no void is created.

Breaking a TIN Model - Before (left) and after (right)

1.Use the polygon pen to define the boundary. This feature works with either an open or closed polygon.

2.Select the default icon to select the triangles.

3. Click the Break TIN icon. The results are draw to the TIN Editor screen.


Breaking a Triangle

Use the Break Triangle tool to divide any triangle in your TIN model into three parts. Each part will be defined by two existing vertices and the cursor location.

1. Click the Break Triangle tool. The cursor changes to an ‘X’.

2.Click in the triangle you want to break at the location where the three parts should meet.

Breaking a Triangle - Shaded Triangle to be Broken (left), Results (right)


Splitting TIN Model Legs

The Split Leg tool divides the triangles on either side of a selected TIN model leg. In each triangle, it generates an additional leg from the cursor location to the opposite vertex.

1. Click the Split Leg tool. The cursor changes to an ‘X’ on a bar.

2.Click on the leg you want to break at the location where you want to divide the leg (and its associated triangles).

Splitting a Leg - Leg in Center of Shaded Triangles to be Split (left), Results (right)


Trimming your TIN Model to a Border

You can clip TIN models to fit an area defined by a border.

This feature is useful to calculate volumes for only a defined portion of your survey area. It may be necessary if your TIN Max leg crosses an area that should not be included in your model. This can occur where:

•There are areas such as small islands or bridge footings.

•Survey lines curve so sharply that the TIN legs may cross the land area inside the curve.

1.Mark your areas.

• [image] With the Polygon Pen. Click points around the border, then right-click inside or outside the area where you want to save your data.

• [image] With the Magic Wand. Click each triangle where you want to remove data. This is designed be used for small scale editing, where your triangles are very large or when you have an abundance of time and patience.

• [image] Import a Border file. If you have a border file that defines the area you want to clip, click on the BRD Import icon then select your border file from the File Select dialog and click [OK].

In either case, you should see the areas superimposed on your model and the affected triangles marked with red fill.

Note: If you are not satisfied with your selections, you can clear all selections and begin again by clicking the Clear Selection Icon.

Sample Border Overlaid on the TIN Model

2.Cut your Model. There are two tools that cut your data. Each has slightly different results.

Note:If you have selected triangles with the Magic Wand, you must remove the data with the Eraser.

• [image] Eraser Tool: All triangle legs that intersect with the selected border file, and those inside or outside the border as designated by the right-click, will be removed from your model.

Erasing TIN Triangles Leaves Irregularly Jagged Edges.

• [image] Scissors: All triangles inside or outside the border will be removed. The edge of the model on the cut line will be reconfigured to create a clean edge.

Cutting the TIN Creates Smooth Cut Edges

This illustration used a border where the data outside was saved. A similar edit may be done using a border where the data inside is saved.

Clipping your TIN Saving Data Inside the Border

And this can be done with the Magic Wand.

Editing with the Magic Wand


Querying your TIN Model in the TIN EDITOR

The Query Triangle tool in the TIN Editor reports the XYZ coordinates of each node for a triangle selected in the model as well as each of the surrounding triangles.

1. Click the Query Triangle icon. The cursor will become a question mark.

2.Click the triangle in which you are interested. The Query Triangle window appears to display the report.

TIN Query Results


Exporting Data from TIN Models

The EXPORT menu accesses the dialogs used to create final products from the TIN MODEL program. From these dialogs, you can produce:

•Section files in All format, DXF or XYZ format where the planned line (section) file crosses the TIN model.

•XYZ files

•DXF contours

•A screen capture to the printer or plotter

•Filled matrix files

•Border files surrounding your data set

•Planned lines based on contours in historical data

•Simple channel files

•TIN Model reports

More Information

• Creating a TIN Model

• Cutting Sections through a TIN Model

• XYZ Export from TIN Models

• Exporting Contours from TIN Models

• Exporting Buoy Locations to Target Files from TIN MODEL

• Exporting TIN Model Images

• Exporting Matrix Files from TIN Models

• Exporting Border Files (*.BRD) from TIN Models

• Simple Channel Files (*.CHN) from TIN Models

• Generating Planned Survey Lines Based on TIN MODEL Contours

• Exporting BAG Files from the TIN MODEL Program

• Exporting Your TIN Model to Google Earth

• TIN Model Reports


Cutting Sections through a TIN Model

The TIN MODEL program can be used to cut sections through any data set. The sections are cut along the lines of a Planned Line file loaded as the Sections file:

•In the Initial Input dialog when you first build the model.

•Using the MODIFY-SECTIONS menu option.

The Sections file can be either two- or three-dimensional depending on the purpose for the sectioned data. In most cases, the lines must be single-segmented (two waypoints define each line).

Once your model has been constructed and a Section file designated, you can:

•Export sounding data along the survey lines to All, XYZ or DXF format. The All format and DXF routines are described this section.

•Calculate volumes by the Philadelphia method.

•View the TIN model with the sections overlaid. The section file can be either two or three-dimensional.

• All Format Export from TIN Models

• Exporting Soundings Along a Line to DXF

All Format Export from TIN Models

To export All format files, include a planned line file defining your output sections when you build your TIN model. If the planned line file is also three-dimensional, the All format data will include the channel template information in the header. TIN Model creates an XYZ data point at user-defined intervals along your survey lines and saves them to an All format file in your Edit Folder.

The All format files can then be read in the CROSS SECTIONS AND VOLUMES, HYPLOT and EXPORT programs. This is an easy way to associate a new channel to your existing data file.

1.Start the TIN MODEL program by clicking on its icon or by selecting FINAL PRODUCTS-TIN MODEL.

2.Select FILE-NEW.

3.Create your TIN model. In the Initial Data dialog:

•Click [Main Input File] and select the data file.

•Click [Planned Lines] and select the planned line file.

•Enter a TIN Max Side of 60.

4.Click [OK] and the TIN Model will be generated.

Defining your TIN in the Initial Data Dialog

You can view your model with the sections by selecting the “Show Sections” option in the 2D or 3D model set up, or by creating a Sections type model.

Viewing TIN Sections in a 3-Dimensional Model

5.Create the Sections.

a.Select EXPORT-ALL FORMAT.

Export ALL Format Dialog

b.Select Output File Name Format. If you created the LNW file in CHANNEL DESIGN, select Use Line Name, otherwise, Use Line Number.

c.Set your File Extension. The File Extension defaults to "TIN". So the files derived from the line file will be named with the format Line_Name.TIN in the exported file. You may choose any another extension if you wish.

d.Set the sections to be exported. From and To default to the first and last section (or planned line) of your file. You may export only a portion of your file by specifying the range of sections here.

e.Set the Point Spacing. (Optional) This is the distance that will be between points in the resulting ALL format file. If point spacing equals 0, TIN MODEL will generate a point at each place where the line file intersects with a TIN MODEL leg.

Reviewing the New Files in the Main Window—Point Distance = 0 (left), Point Distance = 50 (right)

f.Choose whether to Export Points Beyond Line Limits. If you select this option and the data set extends beyond either end of the planned line file, TIN MODEL extends the data in the exported file in a straight line based on the azimuth between the first and last waypoints of the planned line file.

Export Points Beyond Line Limits—Selected (red) vs Unselected (blue)

g.Click on [Output File] and name the new file (with the path) in the dialog provided.

h.Choose whether to watch the export progress. If you check Show Picture, an image representing the export progress will be drawn in the panel on the right. It’s a nice visual but it takes more time for the export to be completed. If your data set is very large, you may want to optimize the export speed by clearing this option.

i.Click [Export] and your files will be exported, by default, to the Sort directory. You can see the results by enabling them in the main HYPACK window.

6.Click [Close] to return to the TIN MODEL shell.

Return to Top

Exporting Soundings Along a Line to DXF

You can generate a DXF file with soundings at user-defined intervals along each line of a Section file. The line file can be either 2- or 3- dimensional, and may be multi-segmented.

The soundings are output in the Russian format. The sounding location is marked with a dot with the sounding value from the Input file to its right. If you have a second TIN, the depth from the Additional file appears left of the sounding position.

1.Select EXPORT-ALL FORMAT.

2.Check the Output to DXF File option.

3.Set the DXF options:

•Color: By Depth uses your project color scheme. Note, for best results, your color scheme should use either the DXF Colors or DXF Spectrum settings.

•Height (in scaled survey units) of your text

•Decimals: You can output up to four decimal places.

4.Set the Point Spacing. This is the distance between the exported soundings. Point spacing greater than zero must be entered for this type of export.

Reviewing the New Files in the Main Window—Point Distance = 0 (left), Point Distance = 50 (right)

5.Choose whether to Export Points Beyond Line Limits. If you select this option and the data set extends beyond either end of the planned line file, TIN MODEL extends the data in the exported file in a straight line based on the azimuth between the first and last waypoints of the planned line file.

Export Points Beyond Line Limits—Selected (red) vs Unselected (blue)

6.Name the Output File. Click [Output File] and entering a name. The program will include the path in the field below.

7.Click [Export].

Load the resulting DXF file in the HYPACK screen to see the results.

Russian Format - One TIN Model (left), Two TIN Models (right - Input File right and Additional File left of the Sounding Point

Return to Top

More Information

• Creating a TIN Model


XYZ Export from TIN Models

The TIN MODEL program can extrapolate XYZ data from a TIN model and export it, typically to your project Sort folder. The values exported vary according to your choice of XY Source, Z Source and whether you have included an Additional File in your TIN Model.

•XY Source determines how the horizontal positioning of the points will be generated.

•Z Source determines what the reported Z value will represent.

To export to XYZ, select EXPORT-XYZ.

• Export XYZ Data from Single-Surfaced TIN Models

• TIN-to-Channel Comparisons

• TIN-to-TIN Comparisons

Export XYZ Data from Single-Surfaced TIN Models

If you have created your TIN model with only one data file—the Source File— the Z Source is always “TIN”. The results vary according to the XY Source.

Note:If you have two TIN surfaces, designate which TIN surface to use in the calculations by checking the TIN1 or TIN2 checkbox.

• Grid Export

• Node Export

• Line Export

Grid Export

The program creates grids with user-defined cell dimensions then exports one record for each node in the grid. This results in regularly spaced sounding data in your exported XYZ file.

You can use this gridded data to create a new, gridded TIN model. At times, these may be advantageous over regular models. They may create more quickly and usually create smoother contours. Remember, however, that you may lose some accuracy in the gridding process because the depths are calculated. Gridding can “average out” small contour changes from your original data set. This becomes more likely in larger the grids.

Sample Grid Export

Node Export

The program exports one record for each node in the TIN model. The soundings are not regularly spaced, but the Z values are the actual sounding values; they have not been calculated. This is one way to extract XYZ data from All format or matrix files.

Sample Node Export

Line Export

The program creates XY points along the lines in your Section File using a user-defined distance. It then takes the depth at that position from the TIN model. The section file can be either two or three-dimensional and multi-segmented, but may not be curved.

This was developed for a user who needed soundings along a pipeline.

Sample Line Export

Return to Top

TIN-to-Channel Comparisons

If you have included a Channel file in your TIN model, you can:

•Calculate the Average of the TIN and Channel depths,.

•Calculate the Difference between the TIN and Channel depths, which tells you the heights of the survey data above or below your design template.

The data points are horizontally located in the same way as single- surface XYZ export points.

Note:If you have two TIN surfaces, designate which TIN surface to use in the calculations by checking the TIN1 or TIN2 checkbox.

Return to Top

TIN-to-TIN Comparisons

Where you have two TIN surfaces—the Input file and the Additional file— you can perform all of the exports we have discussed to this point. If you choose one of these calculations that require only one TIN surface, designate which TIN should be the basis of the calculation by checking the TIN1 or TIN2 checkbox.

In addition, you can:

•Calculate depth differences: The Differences option creates an XYZ file where the Z value represents the difference between the two TIN Models.

•Average the depths between them.

TIN-to-TIN comparisons are made at:

•At each node of a grid with cells of user-defined size.

•At each node of TIN 1 and the corresponding XY position of TIN 2 and at each node of TIN 2 and the corresponding XY position of TIN 1.

The following examples show a sample dialog for each combination of choices with the results of each choice.

•Grid Differences: TIN MODEL creates a grid large enough to include both TIN models and with cells of a user-specified size. It then calculates a value at each node in the grid. This value represents the difference between the depth of TIN1 and the depth of TIN2 at that point

The file of differences at the TIN model nodes can be particularly useful in studies of erosion and sedimentation. In this context, you could use your exported file to build a new TIN model. The contours of this model will show the areas where material has accumulated or eroded over the time between the surveys. A TIN-to-Level volumes calculation, with a level of zero, will calculate the volume of material accumulated (Volume Above) and depleted (Volume Below). The difference of these values represents the total change in the amount of material in your channel.

Differences in a 5x5 Grid

•Node Differences: TIN MODEL will calculate a value at each node in each TIN model. This value represents the difference between the depth of TIN1 and the depth of TIN2 at that point.

Sample Node Differences

The Statistics checkbox is enabled when you export TIN-to-TIN differences. This option appends a distribution graph of the significance of their difference.

Sample TIN Differences Statistics Report

-10s:

-9s:

-8s:

-7s:

-6s:1

-5s:36

-4s:***750

-3s:******1398

-2s:****1103

-1s:**********************5102

+1s:**********************************************...********17895

+2s:*****1332

+3s:10

+4s:1

+5s:

+6s:

+7s:

+8s:

+9s:

+10s:

•Grid Averages: TIN MODEL creates a grid large enough to include both TIN models and with cells of a user-specified size. It then calculates a value at each node in the grid. This value represents the average of the depth of TIN1 and the depth of TIN2 at that point.

Sample Grid Averages in a 5x5 Grid

•Node Averages: TIN MODEL will calculate a value at each node in each TIN model. This value represents the average of the depth of TIN1 and the depth of TIN2 at that point.

Sample Node Averages

Return to Top


Exporting Contours from TIN Models

The DXF Format routine enables you to export contours of your data from the TIN model. The primary one is 2D Contours. These files can be used in HYPLOT or imported to other programs such as AutoCAD. All DXF output information is written in real world coordinates.

Tip: For the best results in exporting contours, we recommend the following:

•Use Sorted data to construct the TIN Model.

•Use the Smooth option.

•Specify a Minimum Leg appropriate to your line spacing.

1.Select EXPORT-DXF.

DXF Format Window

2.Set the options for the export file. Select options are enabled/disabled according to your Export selection.

•Output File names the exported DXF data. Most packages require DXF files to have a *.DXF extension. Click [Output File] and enter the file name to get the expected folder location.

•Export: The TIN MODEL program can export the following items to DXF format:

•2D Contour

•3D Contour

•3D TIN (wire frame model)

•2D Contour ACAD 2002

•3D Contour ACAD 2002

•Golden Soundings: Generates the selected contours as golden sounding line features.

Note:3D files only appear in three dimensions when you load them to a CAD program. In HYPACK, they are viewed from above and appear only 2-dimensional.

•The Minimum Leg removes any contour segment shorter than the specified length, and connects the remaining vertices with straight segments. A larger the ‘Minimum Leg’ without smoothing results in more jagged contours and a smaller file size.

Tip: Start with a value equal to about 15% of the spacing between planned lines.

Beware! If the Minimum Leg is too large, you can actually move a contour on the wrong side of a sounding. You may need to experiment a little to find a compromise ‘Minimum Leg’ distance that will provide you with pleasing contours that are on the correct side of the soundings.

•Minimum Area removes contours forming closed polygons smaller than the user-defined area (square survey units).

•Enable Smoothing evens the jagged edges in the contours by outputting a B-Spline anywhere the TIN leg is longer than the Minimum Leg specified. With a Minimum Leg of ‘0’, it creates a DXF file about eight times the size of the non-smoothed contours.

Tip: To counter the increased file size and speed the generation of the DXF, specify a Minimum Leg with the Smoothing option.

•Contours creates contour lines and, if specified in the contour attributes, labels for them.

•Solid Area creates color-filled contours.

If both “Contours” and “Solid Area” are selected, TIN MODEL overlays contour lines on color-filled contours.

Beware! If you are exporting golden soundings, select only the Contours option.

•3D Contour Level fills the upper or lower level of each contour range in the output file with cross-hatching. The selected option refers to the level of the contour range that holds the cross-hatching.

•Step enables you to specify a regular contour interval, used in the creation of 2D, 3D contours and golden soundings. You can select a value from the drop-down menu or type in a value of your own.

•Custom enables you to create an irregular step. Check the “Custom” option then enter your desired contour levels in the Custom Levels field. Leave a single space between each contour level. For example, “2 5 25 100".

•Color Scheme creates a contour line at each level specified in the project colors.

•File: A File button will appear for you to browse for a text file with a space-delimited listing of the levels you require.

Note:Specify only levels that occur within the range of your sounding data. Levels outside the data range will disable the Contour Attributes dialog.

3.Once you have the contour parameters set, click [Contour Attributes]. (Optional) The default contour parameters generate 0.0mm solid, black contours with no labels. In the Contour Settings dialog you can configure labels and line color, weight and style.

Note:Contour attributes are not applicable to golden soundings.

Line and Label Attributes Dialog

The left side of this dialog is populated based on the minimum and maximum of the depths in your sounding file. It shows how each contour line will appear in the exported file. You can select one or more lines, then make selections at the right to set their attributes.

To select several individual contour lines, hold the Ctrl key while you use your mouse to choose your lines

To select a range of contour lines, hold the Shift key and select the first and last line of a range.

Enable Label places labels on the selected contour according to the Label Attributes where:

•Label Spacing defines the distance, in survey units, between the labels on each contour.

•Label Height sets how big the label will be.

•Decimal Places sets the resolution of the labels. If the soundings in the Input file has accuracy to 4 decimals or more, TIN MODEL can create contours to 0.0001 unit accuracy. In most cases, two decimal accuracy (0.01 units) will be sufficient.

Note:If you intend to use these files in the ENC EDITOR program, use the highest possible accuracy. Rounding or truncation of position information may result in creating multiple points at the same position instead of side-by-side. ENC EDITOR conforms to the very strict S57 chart drawing rules and such duplication is not allowed.

•The Color can be defined using [Custom] or [HYPACK].

Note:These colors apply only to the contour lines. The filled areas in filled contours still follow the project colors, or as you set them through the TIN MODEL Colors dialog.

•[Custom] displays a color dialog from which you can choose the color of the selected line or lines.

•[HYPACK] uses the project color settings to color-code the selected contour line or lines.

•Line Weight offers a choice of increasing thicknesses for you to accentuate certain contours.

•Line Type provides five options, solid line and four combinations of dots and dashes for further distinction from other lines.

Note:Windows® can not handle both line type and weight. Therefore, in any Windows® application, including HYPACK, contours that have been given both a dotted line type and a weight thicker than 1 pixel, will appear solid. They will, however, be drawn with both type and weight characteristics if you import them into a CAD package.

•Show Picture: The DXF Export dialog expands and draws a small preview of your chart as it is generated.

4.Click [Export] to begin the export process. TIN MODEL creates the DXF file or golden sounding lines to your specifications. If you have not selected the Show Picture option, you can also see modeling progress in the status bar. When the model is complete [Preview] becomes enabled.

[Preview] provides a larger preview of the results. Another window appears with a display of the generated chart, and zoom and pan tools with which you can more closely examine your export results without leaving the TIN MODEL program.

Sample DXF Preview Window

5.Click [Exit] close the Export dialog.

More Information

• Creating a TIN Model

• TIN Colors

• Golden Soundings

• HYPACK Map View Tools


Exporting Buoy Locations to Target Files from TIN MODEL

Suppose it is your job to position buoys on either side of a channel.

You could generate a DXF chart of your contours, display it in the HYPACK Map window, then manually mark targets where your buoys should be. This method could work, if you have a very short channel, but it would be time-consuming for longer channels.

In TIN MODEL, you can overlay a planned line file on your TIN model and export targets (buoy locations) based on where the planned lines cross the TIN model at a user-defined depth.

You can then display the target file in SURVEYto provide navigational aid or to guide your buoy placement.

In addition to your survey data, this process requires two planned line files (*.LNW), one for each side of the channel, whose lines run parallel to the slope.

Data Required for Buoy Export from TIN MODEL

1.Build a TIN model of your survey area.

2.Select EXPORT-BUOYS. The Export dialog will appear.

Exporting Buoys

3.Load one of your line files. Click [...] and browse for the correct file.

4.Choose the buoy color for the selected line file.

5.Enter the depth at which you want to position your buoys.

6.If your TIN model is constructed with two surfaces (an additional file in the initial dialog), select whether you want to position the buoys based on the depths in TIN 1 or TIN 2.

7.Click [Generate]. The program will analyze the data and mark each place where a planned line crosses the model at the designated depth.

8.Check the Show Picture option and visually scan the graphical display.

9.If any line has more than one location marked, select the location at which the target should be generated in the tree view. (The selected location in the graphic is red or green while the others are gray.)

a.Expand the line in the tree view.

b.Select the correct buoy in the tree view.

10.Click [Output File] and name the target file you will create.

11.Click [Export]. The program generates a target file at each location. Each target is named and assigned an S57 symbol according to the selected buoy color.

12.Repeat the process with the other line file to generate a second target file for the other color buoy.

Resulting Target Files in HYPACK

More Information

• Creating a TIN Model


Exporting TIN Model Images

The toolbar of each 2D or 3D model window includes icons that enable you to export your model in a graphics file format:

•A Georeferenced *.TIF file which can then be used as a background file in HYPACK, SURVEY, DREDGEPACK or HYPLOT.

•Screen captures as BMP or TIF graphics files.

•Printed screen captures

• Exporting Georeferenced TIF Files from TIN Model

• Exporting your TIN Model as a BMP or TIF Image

• Printing a Screen Capture of your TIN Model

Exporting Georeferenced TIF Files from TIN Model

You can export geo-TIF images from either 2D or 3D models. To generate a geo-TIF from a 3D model, all rotation angles must be set to zero. If the Geo-TIF icon is disabled, go to the Setup dialog and reset them to zero.

1. Click the Geo-TIF Icon on a 2D or 3D model toolbar. The Geo-TIF Settings dialog will appear.

Geo-TIF Settings Dialog

2.Name your file and set your resolution.

•[File…] presents a File Save dialog for you to name your file (including the path where it will be stored). The default path will be to your project folder

•Resolution adjusts the level of detail in the resulting file. A smaller resolution creates a larger, more detailed file. Your task is to choose a resolution low enough to provide the detail you require without creating an overly large file. The size of the resulting TIF will automatically update according to the given resolution.

•Create TFW enables you to generate a separate file that contains coordinates that describe the location, scale, and rotation of the TIF. It is used by geographic information systems (GIS) software for locating areas in raster map images.

•Compression: This is a lossless compression algorithm that significantly reduces the resulting file size without losing resolution of the image.

3.Click [OK]. TIN MODEL will create a georeferenced TIF file from the contents of the TIN viewing screen You can then load it to HYPACK as a background file.

Return to Top

Exporting Your 3D TIN Model to a Web Page

You can export the current TIN model, in HTML format, to a user-defined folder, then use the exported HTML files to provide remote viewing of your current data in a browser or incorporate them into a Web page.

Note:Each export overwrites the previous output file, maintaining only the latest export.

To generate the files for a web page, select EXPORT-WEB, browse for the folder to which the files should be stored and click [OK]. The required files are stored to the selected location, ready for upload to your server.

Tip: Store the output files to a dedicated folder to keep the files together.

In the browser, you can manipulate the display for optimal viewing:

Manipulating Your Browser Display

Tasks | Keyboard | Mouse
Zoom in/out | +/- | Wheel up/down
Rotate on X Axis | Up/down arrows | Click and drag up/down
Rotate on Z Axis | Left/right arrows | Click and drag left/right
Pan |  | Right-click and drag
Increase/Decrease Z-scale | Page up/down |

Exporting your TIN Model as a BMP or TIF Image

To save a screen capture of a model, regardless of its rotation, to a BMP or TIF format file, click the Snap Shot icon in the model’s toolbar. A dialog will appear for you to name your image. These are for visual reference only. They can not be used as background files in HYPACK.

Return to Top

Printing a Screen Capture of your TIN Model

To print a screen capture, just click the Print Screen icon. A screen capture is sent directly to your default printer.

In the 2D Sections window the Print All icon prints each section to a page of the designated printer.

Return to Top

More Information

• Creating a TIN Model

• TIN Model Displays


Exporting Matrix Files from TIN Models

The TIN MODEL program can take an existing matrix file or create a new one, and fill the cells with the data from your TIN Model. The soundings from a single-surface TIN model will be saved as survey depths in the matrix. If you include an Additional File in your TIN Input, the depths from the second surface will be saved as dredge depths.

1.Select EXPORT-MATRIX.

The Matrix Export Dialog

2.Set your Matrix information.

•If you want to match to an existing matrix, click [Information] and select an existing Matrix. The program will create a matrix with the same position, size, rotation and cell dimensions as the selected matrix and save the TIN Model data to the same or a different matrix.

•If you are creating a new matrix, enter the cell dimensions. The program will calculate the matrix size and rotation to fit the data.

3.Click [Output] and name your output file. You can use the same name as the original Matrix file or specify a new name.

4.Click [Export] and the file will be exported.

More Information

• Creating a TIN Model


Exporting Border Files (*.BRD) from TIN Models

Generating border files representing the perimeter of your TIN Model is a simple task in TIN MODEL. The border can include all the curves of your survey data—a True Border—or be a simple convex shape; you can designate the side of the border on which that all-important In/Out point will reside. (The In/Out point determines which data is saved and which is discarded when the border is used in other programs.)

1.Select EXPORT-BORDER.

Border Export Dialog

2.Set the location of the In/Out Point (Pivot Point).

3.Choose your border type.

True Border (left), Convex Envelope (right)

4.Click [Output File] and name your border file.

5.Click [Export]. The border file will be saved, by default, to your project directory.

More Information

• Creating a TIN Model


Simple Channel Files (*.CHN) from TIN Models

Very simple data sets can be converted into Channel Template (*.CHN) files using the TIN MODEL program. This can be a useful tool for converting small XYZ files to CHN files. It is faster and easier than manually entering each coordinate into ADVANCED CHANNEL DESIGN.

Note:SURVEY limits CHN files to 250 nodes so this is only useful if your TIN model is very simple.

This application of TIN MODEL has been frequently used in beach reclamation projects where the project specifications designate areas that may be dug to different depths. Using the XYZ COLLECTOR, we can quickly create an XYZ file describing the borders and depths of each area, then use it in TIN MODEL to create the channel file.

1.Define each depth area using the XYZ COLLECTOR. In this example, we are creating a stair-step template with depths at 30, 40 and 50 feet.

Three Areas Defined by an XYZ File.

2.Use the XYZ file to create a TIN Model.

TIN Model from the XYZ file.

3.Select FILE-SAVE and change the file type to CHN in the File Save dialog. TIN Model will save the channel file to your project directory.

Resultant CHN File Displayed in ADVANCED CHANNEL DESIGN

More Information

• Creating a TIN Model


Generating Planned Survey Lines Based on TIN MODEL Contours

TIN MODEL can use data from a previous survey to generate planned lines that will provide full coverage based on the bottom contours, an initial planned line, and other user-defined options.

Tip: In HYPACK SURVEY, the Autoline device driver generates the next survey line in a similar manner, based on the contours of the last survey line and the user-defined swath width.

For best results, over sloping bottoms, the initial line should run along the slope.

Planned Lines Generated Based on the TIN Model (bottom right)

1.Use the LINE EDITOR to create the initial line.

2.Construct the TIN model using the previous survey data.

3.Load the initial line. Click [Initial Line] and select the line you made.

4.Set the other options and click [Generate].

•Initial Line: A single planned line that provides a starting point from which the program calculates the additional lines.

•Beam Angle: Beams used either side of the nadir.

•Minimum Point Distance: Distance between waypoints on the LNW so larger number makes less detailed lines.

•Smoothing Distance: Once the program calculates the initial line set, it checks each line, three waypoints at a time. If the center point falls within the smoothing distance left or right of a line between the first and third, it is considered redundant and removed.

•Average Span: The approximate line spacing in the output file.

•Minimum Depth: Omits any lines or line segments that cross shoaler areas.

The program draws the outline of the surface model and the calculated line set. If the results are not what you expected, modify your parameters and generate a new line set.

Note:The calculated lines may include some that fall outside the model area. The export includes only segments that cross the TIN model.

5.Save the planned line file.

a.Click [Output File] and name the planned line file.

b.Click [Export].

TIN MODEL generates the line file, drawing the output lines in red and the dialog remains open.

6.When you are finished generating planned lines, click [Exit].

More Information

• Creating a TIN Model


Exporting BAG Files from the TIN MODEL Program

The Bathymetric Attribute Grid (BAG) file type is the standard for the National Ocean Service (NOS) hydrographic data files. They contain XML metadata and two Layers in a matrix format one of Elevation and another Uncertainty. Also contained is a list of post file creation edits to the data.

Note:In TIN MODEL, we do not calculate uncertainty values; we assign ‘0’ for all uncertainty values.

To create a BAG file in TIN MODEL:

1.Open TIN MODEL and build the model of your data.

2.Select EXPORT-BAG to open the Export window.

3.Enter the metadata.

a.In the Bag tab, choose to set the metadata yourself, or import the information from a pre-existing metadata (*.GEN) file.

b.If you are loading data from the GEN file, click [Set Metadata] to browse for the required file.

4.Edit the metadata if required.

Generating BAG Files from TIN MODEL

5.Enter the matrix spacing.

6.Click [Output File] and provide a name for the BAG file.

7.Click [Export]. The program will generate the BAG file that includes your metadata and the TIN data as the elevation layer.

More Information

• Creating a TIN Model


Exporting Your TIN Model to Google Earth

You can export your TIN model to a Google Earth KMZ file which you can then open in the Google Earth program to view your model in their display.

1.Select EXPORT-KMZ. A File Save dialog will appear.

2.Name your file and click [Save]. The Google Earth format KMZ file is generated and a dialog will ask whether you want to launch Google Earth. If you click [Yes], Google Earth opens with your new KMZ file loaded under Temporary Places.

KMZ from TIN MODEL in Google Earth

More Information

• Creating a TIN Model


TIN Model Reports

The View Report and Print Report options in the Export Menu are used to view and print the TIN Model report.

Tip: Some reports are too wide even if you set the page to landscape view. If this happens, save the report to a text file and reopen it in a word processing program where you can adjust the print font. Try using:

•Landscape paper orientation

•Left and Right Margins at 0.25 inches

•Font at 8 points

Alternatively, the Create PDF Report with Graph provides slightly less detailed information in a more print-friendly format for TIN-to-Level or TIN-to-Channel calculations. For TIN-to-Level calculations at multiple levels, a graph compares the volumes and areas above and below each level.

Sample TIN-to-Level PDF Report

Sample TIN to Channel Report

More Information

• Creating a TIN Model


Volumes Based on Surface Calculations

The TIN MODEL Program is capable of calculating the volumes between two different surfaces. Volumes are calculated in cubic meters for metric grids and cubic yards for foot grids. These calculations can be based on the following methods:

•Survey Surface vs. Level

•Survey Surface vs. Channel

•Reported by Face

•Reported by Section

•Reported by Zone

•Survey Surface vs 2nd Survey Surface

•Philadelphia Method

TIN MODEL can read data files in, either ASCII XYZ format, the HYPACK edited ALL or HS2 format or a matrix file. You can specify a catalog file (*.LOG) that contains a list of data files.

TIN MODEL creates a surface by connecting adjacent data points in optimized triangles. The program then calculates volumes by comparing the difference in elevation of each triangle node as it is projected onto the comparison surface. Surface-based volumes calculations are the most accurate where you are using multibeam or multiple transducer survey data and non-parallel survey lines.

Note:The thinner the data used to create the TIN Models, the less time it will take to compute the volumes calculations and the less accurate they will be. Of course, while choosing not to thin your data at all might improve your accuracy, it could mean that it will take a long time to create the TIN Models and calculate the volumes. It's up to you to balance the two factors to your satisfaction when you choose the grid size in the matrix used in MAPPER or the 32-bit HYSWEEP EDITOR.

Tip: As a starting point, we suggest that for soft bottoms, which tend to be smooth, try a 10 or 20 foot grid. For hard bottoms, which are more likely to have sharp contours, try a 5 foot grid.

Advantages to Calculating Volumes in the TIN MODEL Program:

•It is generally very fast.

•It is the most accurate computation available particularly where the surface is uniform and survey lines are non-parallel or unequal in length, or both.

•It calculates both cut and fill.

•It graphically shows you where the material is that must be removed.

•Volume quantities can be computed with multibeam and multiple transducer data.

•Accounts for variations in bottom topography between planned lines.

•You can quickly calculate the change in volume over different channel templates just by changing your Section file and recalculating the volume with the same data set.

Disadvantages to Calculating Volumes in the TIN MODEL Program

•It does not calculate separate numbers for subgrade or supergrade surfaces.

•Where survey lines are not perpendicular to the side slope, your volumes may be overstated, particularly where material is concentrated at the inside or outside of the turn. In this case, we recommend the Standard HYPACK method and align the TIN to the planned line.


Calculating Volumes in the TIN MODEL Program

1.Create the surface model. In addition to the depth data, remember to include any other files required by your desired volume calculation in the Initial Data dialog.

Entering your Data in the Initial Data Dialog

Beware! In HYPACK, some users inverted their data for TIN-to-TIN volumes calculations. This option should no longer be necessary, nor is it available. If depths in your exported files need to be inverted, this conversion can be made in the EXPORT program.

Tip: After you have generated your TIN model, if you need to change to another channel or planned line file, select MODIFY and the menu option of the correct file type. You can then browse for the new file to be used from that point forward.

2.Select CALCULATE-VOLUME and select the appropriate settings in the Volume Calculations Control dialog. When you click [OK], the volume calculation will begin.

Show Picture allows your TIN Model to draw to the screen as the calculations progress.

Tip: To significantly speed up your volume calculations, turn the Show Picture option off.

3.Save the results by selecting EXPORT-VIEW REPORT. Your volumes report file (tin_report_Date_Time.txt) open in NotePad where you can save it to another text file.

More Information

• Volumes Calculation Control

• TIN-to-Level Calculations

• TIN-to-Channel Calculations

• TIN-to-TIN Calculations

• Philadelphia Calculations in TIN MODEL

• Restricting Volumes Calculations with Border Files in TIN MODEL


Volumes Calculation Control

CALCULATE-VOLUME displays the Volume Calculation Control dialog where you can set options for your volume computation. When the calculation mode is set, the relevant options in the lower part of the dialog will be enabled and disabled accordingly.

Sample Volume Calculation Controls

More Information

• TIN-to-Level Calculations

• TIN-to-Channel Calculations

• TIN-to-TIN Calculations

• Philadelphia Calculations in TIN MODEL

• Restricting Volumes Calculations with Border Files in TIN MODEL


TIN-to-Level Calculations

TIN-to-Level (reservoir volumes) calculations compute the volume of material above one or more user-specified levels and the volume of material required to bring any low areas up to the same levels. It also calculates the area of the model that lies above and below the specified levels.

•The Volume Above shows the number of cubic meters (or cubic yards) which must be removed to get the channel to the specified level.

•The Volume Below is the amount of material that would have to be added to bring the surface up to the design surface or level.

•The Area Above and Area Below are the surface areas above and below the specified level.

TIN-to-Level Settings enable you to set a depth or range of depths to be used in calculations. TIN-to-Level calculations can be limited to user-defined areas by adding one or more borders in the Borders tab.

Sample TIN-to-Level Settings

• Volumes for Multiple Levels

• Volume at One Level

Volumes for Multiple Levels

To calculate volumes to a range of levels, enter a range of levels and the level increment. For example, you can calculate the volumes between your data set and 5, 10, 15 and 20 foot (or meter) levels by entering From = 5, To = 20, Step = 5.

Alternatively, you can check Use Color Table for volumes calculations at each level defined in your project colors file.

Include options: Choose which calculations you want to include at each level.

Sample TIN-to-Level Volumes Report—From 40 to 55 with Step=2.

Return to Top

Volume at One Level

To calculate volumes at only one level, enter the same level in both the From and To fields and set Step=1.

Return to Top

More Information

• Restricting Volumes Calculations with Border Files in TIN MODEL


TIN-to-Channel Calculations

The TIN-to-Channel calculation method computes several values relating the Input File (and the Additional File if one is present), and the Channel Plan file. It will only calculate where the two surfaces overlap.

•Cut Volume: Volume above the design template.

•Overdepth Volume: Volume above the overdepth level.

•Contour Volume: Reports overdepth material only in areas only where the depth is shoaler than the design template.

•Fill Below Depth: Volume of material that must be added to bring the surface up to the depth template.

•Fill Below Overdepth: Volume of material that must be added to bring the surface up to the overdepth level.

•Cut Area: Area of ‘Cut Volume’.

•Fill Area: Area of ‘Fill Below Depth’.

•Overdepth Area: Area of ‘Overdepth Volume’.

•Overdepth Fill Area: Area of ‘Fill Below Overdepth’.

The Report Options in the Volume Calculation dialog enable you to configure which values are included in your volumes report:

•Include Surface Areas: Reports areas corresponding to the cut and overdepth volumes, and the two fill volumes.

•Include Overdepth Volume: Reports all, Non-Contour overdepth volumes.

•Include Contour Overdepth Volume: Reports overdepth material only in areas only where the depth is shoaler than the design template.

•Include Fill Volume: Reports Fill Below Channel and OverDepth.

Additional options in the dialog affect the report display:

•Include Records with no Volume: By default, the program will omit any bordered areas where the bottom is less than the overdepth. If you would prefer to report all areas, check this option.

•The Itemize by selection determines how the volumes are tabulated:

•Channel Face

•Sections

•Channel Zones Only when you have defined zones for your channel file.

•Sections and Zones

•Border File (When you have one or more border files (*. BRD) loaded in the Borders tab.)

• Itemized by Channel Face

• Itemized by Section

• Itemized by Channel Zone

• Itemized by Section and Zone

• TIN-to-Channel Volumes with Multiple Channel Files

• Scour Face Volume Calculations

Itemized by Channel Face

For a straight comparison between your survey surface and the channel file. TIN MODEL requires only the channel file or a 3D planned line file with the Input data file in the initial setup dialog.

Building the TIN Model for Standard TIN-to-Channel Volumes

In the Volume Calculations Dialog:

Sample TIN-to-Channel Settings

1.Select ‘TIN to Channel’.

2.Set your report options.

3.Click [Calculate].

Beware! Use caution when computing volumes where the survey lines are not perpendicular to your side slope. Because of the way TIN Models are created, your volumes may be overstated.

Beware! With so many different options that can affect your outcome It requires some careful checking to ensure you are classifying the material as either accumulated or depleted. Such options include:

•XYZ Files are in Depth or Elevation

•Initial File survey came before or after the Additional File survey. In HYPACK

Sample TIN to CHN Report Itemized by Channel Face—Beginning (top) and End (bottom) Data at the break has been omitted.

TIN vs Channel Volume Totals - Itemized by Channel Faces

Volume unit: Cubic Yard

TIN File: C:\Test Projects\1FinalProducts\Sample_Volumes\Edit\b106pd4pat.log

CHN File: C:\Test Projects\1FinalProducts\Sample_Volumes\JAX_New.chn

LNW File: C:\Test Projects\1FinalProducts\Sample_Volumes\JAX.LNW

Global Overdepth: 2.0

*****

Design Overdepth Design Overdepth

Cut NoContour Fill Fill

Face Volume Volume Volume Volume

--------------------------------------------------------

1 4.4 40.1 12540.5 11487.1

2 11.2 1068.2 785.4 0.0

3 0.0 431.3 1374.5 0.1

4 2.3 3.4 12026.4 11065.1

5 0.4 27.7 12490.4 11435.4

6 17.5 1023.8 831.0 0.0

Data Omitted

119 0.0 29.7 2279.4 454.5

120 0.0 3.3 11661.9 10584.3

--------------------------------------------------------

Total 4267.5 27002.5 822553.8 673346.0

Return to Top

Itemized by Section

A TIN-to-Channel comparison itemized by section requires the initial file, a planned line file and the channel file.

In the Volumes Calculation dialog, select the Itemize by Section option.

Sample TIN to CHN Report Itemized by Section—Beginning (top) and End (bottom) Data at the break has been omitted*

TIN vs Channel Volume Totals - Itemized by Section Files

Volume unit: Cubic Yard

TIN File: C:\Test Projects\1FinalProducts\Sample_Volumes\Edit\b106pd4pat.log

CHN File: C:\Test Projects\1FinalProducts\Sample_Volumes\JAX_New.chn

LNW File: C:\Test Projects\1FinalProducts\Sample_Volumes\JAX.LNW

Global Overdepth: 2.0

*****

Design Overdepth Design Overdepth

Cut NoContour Fill Fill

Section Volume Volume Volume Volume

----------------------------------------------------------

360+00 to 361+00 17.9 1542.9 26726.8 22552.3

361+00 to 362+00 17.9 1451.6 28789.1 24345.5

362+00 to 363+00 22.5 1597.1 27967.3 23688.4

363+00 to 364+00 46.5 1595.5 27344.1 23072.6

364+00 to 365+00 91.5 1557.9 27064.1 22747.2

Data Omitted

386+00 to 387+00 33.7 406.0 27913.5 22439.4

387+00 to 388+00 231.1 663.1 26765.0 21543.4

388+00 to 389+00 567.5 855.7 24968.0 19949.8

389+00 to 390+00 687.6 759.8 24186.2 19078.2

----------------------------------------------------------

Total 4267.5 27002.5 822553.8 673346.0

Return to Top

Itemized by Channel Zone

A TIN-to-channel comparison in the TIN MODEL program typically reports a volume for each face of your channel. In a complex channel, it might be more helpful for you to define the areas in your channel for which volumes will be calculated. That is exactly what we do with channel zones. Before you can calculate the TIN-to-CHN volume with zones, you will define your channel template (*.CHN) and your desired zones in ADVANCED CHANNEL DESIGN.

Note:Zoned calculations are not limited by border files.

Zoned TIN-to-Channel calculations require an input file and the zoned channel file. In the Volumes Calculation dialog, select the Itemize by Channel Zone option.

In the Volume Calculations Dialog:

Sample TIN-to-Channel Settings

1.Select TIN to Channel calculation mode.

2.Itemize by the Channel Zone.

3.Set your report options.

4.Click [Calculate].

Sample Single TIN Itemized by Channel Zone

TIN vs Channel Volume Totals - Itemized by Channel Zones

Volume unit: Cubic Yard

TIN File: C:\Test Projects\1FinalProducts\Sample_Volumes\Edit\b150ad4pat.log

CHN File: C:\Test Projects\1FinalProducts\Sample_Volumes\JAX_New.chn

Global Overdepth: 2.0

*****

Design Overdepth Design Overdepth

Cut NoContour Fill Fill

Zone Volume Volume Volume Volume

------------------------------------------------------------------------

LeftSlope 999.4 2181.5 332064.7 301563.3

LeftCenter 1965.7 18661.4 44490.6 7503.7

RightCenter 5.4 20566.2 35474.4 406.3

RightSlope 11.9 462.0 364639.8 332386.6

------------------------------------------------------------------------

Total 2982.4 41871.1 776669.5 641859.9

Return to Top

Itemized by Section and Zone

Zoned TIN-to-Channel calculations may be further itemized by section. These calculations require an input file, a planned line file and the zoned channel file.

Sample Single TIN Itemized by Sections and Zone (Data Omitted)

TIN vs Channel Volume Totals - Itemized by Sections, Zones

Volume unit: Cubic Yard

TIN File: C:\000 Test Projects\1FinalProducts\Sample_Volumes\Edit\b106pd4pat.log

CHN File: C:\000 Test Projects\1FinalProducts\Sample_Volumes\JAX.chn

LNW File: C:\000 Test Projects\1FinalProducts\Sample_Volumes\JAX.LNW

Global Overdepth: 1.0

*****

Section: 360+00 to 361+00

Design Overdepth Overdepth Design Overdepth

Cut NoContour Contour Fill Fill

Zone Volume Volume Volume Volume Volume

--------------------------------------------------------------------------

LeftSlope 0.9 7.5 ... 8442.5 8087.3

Center 13.3 205.3 ... 2166.1 537.3

RightSlope 0.0 0.0 ... 8289.2 7963.5

--------------------------------------------------------------------------

Section Total 14.2 212.8 0.0 18897.9 16588.0

Accum. Total 14.2 212.8 0.0 18897.9 16588.0

Data Omitted

Section: 389+00 to 390+00

Design Overdepth Overdepth Design Overdepth

Cut NoContour Contour Fill Fill

Zone Volume Volume Volume Volume Volume

--------------------------------------------------------------------------

LeftSlope 95.7 45.3 ... 6198.6 5880.9

Center 523.2 221.3 ... 3613.0 1982.4

RightSlope 0.0 0.0 ... 8326.7 7963.7

--------------------------------------------------------------------------

Section Total 618.9 266.5 0.0 18138.3 15827.0

Accum. Total 3910.3 6036.1 0.0 596611.5 525369.8

Totals by zones

Design Overdepth Overdepth Design Overdepth

Cut NoContour Contour Fill Fill

Zone Volume Volume Volume Volume Volume

--------------------------------------------------------------------------

LeftSlope 503.5 503.0 0.0 232042.1 221656.3

Center 3406.8 5531.5 0.0 104216.2 54210.3

RightSlope 0.0 1.7 0.0 260353.2 249503.2

--------------------------------------------------------------------------

Total 3910.3 6036.1 0.0 596611.5 525369.8

Return to Top

More Information

• Creating Channel Zones in ADVANCED CHANNEL DESIGN


TIN-to-Channel Volumes with Multiple Channel Files

If you have multiple nested channel files (*.CHN), TIN MODEL can use the Philadelphia method to calculate the volume between each one.

The channels in the following figure show the situation for which this process was developed. They had previously dredged to the depths of the upper two channels, but needed to expand the channel design to that described by the deeper two channel profiles. Thus the channels represent the design depth and overdredge depth of the original channel and the new, larger channel.

Sample Nested Channel Profiles

Sample Channel Files

Maintenance Dredging:

CHN1: Above Design

CHN2: Overdredge

New Dredging Area:

CHN3: Above Design

CHN4: Overdredge

It reports the volumes based on the areas defined by a center line file and a section file. For each section, the volumes are reported for the areas left and right of center.

Volumes Calculated Left and Right of Center for Each Section

To calculate volumes in this manner requires a specialized setup listing your channel files and the line files.

1.Build your TIN model.

2.Select VOLUMES-CALCULATE to access the Volumes Calculation dialog.

3.Click [MultiCHN Philadelphia]. The Multi Channel dialog will appear.

Sample Multi Channel Philadelphia Dialog

4.Enter your channel files (*.CHN) and your center line and section files (*.LNW) and click [OK].

As the program calculates the volumes, it draws each section to the screen:

•Material above CHN4 is yellow.

•Material above CHN3 is blue.

•Material above CHN2 is green.

•Material above CHN1 is red.

Sample Volumes in Process

The resulting volumes report shows the volumes for each section and the accumulated volumes as each section is completed.


Scour Face Volume Calculations

In the TIN MODEL interface, create a single CHN face (channel design surface) then calculate the amount of fill required to bring the TIN surface up to the design surface.

1.Build your TIN model.

2.Select CALCULATE-SCOUR FACE. The Scour Face dialog will appear with a map display of your TIN model.

Sample Scour Face Dialog Display

3.Define the horizontal location of the top edge of the scour face surface.

•To use the cursor:

i.Click the Digitize Top Edge icon.

i.Click in the map display defining the top edge.

•To use a planned line file:

i.In the LINE EDITOR, create an LNW file containing only one line that defines the top edge of the scour face.

i.In the Scour Face dialog, click on the Import Top Edge icon. A File Open dialog will appear.

ii.Select the a planned line file created in step 1 and click [Open].

The defined edge will appear in the map display.

Defining the Top Edge of the Scour Face

4.Enter the scour face parameters:

•Z-value Bottom: Depth at the lower edge of the channel face.

•Z-value Top: Depth at the upper edge of the channel face.

•Width of Face: The horizontal distance from the top edge to the bottom edge of the face.

Note:The slope of the face is calculated using the Width of Face and the change in depth between the bottom and top of the face.

Scour Face Parameters.

Previewing the Scour Face CHN

5.Generate the channel file.

a. Click on the Generate Channel icon. The channel face will be created according to your specifications and drawn on the Scour Face map display for you to preview.

b.If you need to adjust the channel file, edit the scour face parameters and click the Generate Channel icon again.

c. When you are satisfied with the channel preview, save it to CHN format. Click the Save Channel icon and name your file. The CHN file will be stored, by default, to your project folder.

6.Calculate the scour face fill volume.

a. Click the Calculate Volume icon. The TIN MODEL Volumes Calculation dialog will appear. The settings will default to those for a TIN-to-CHN volume calculation using the channel file you just created.

b.Verify the volume calculation options and click [Calculate]. The resulting volumes calculations are displayed in the dialog and stored to the tin_report_Date_Time.txt file in your project folder.

Resulting Scour Face Volume

Return to Top

More Information

• Restricting Volumes Calculations with Border Files in TIN MODEL


TIN-to-TIN Calculations

In TIN-to-TIN calculations, TIN MODEL creates two surfaces—one for the Input file (TIN1) and one for the Additional File (TIN2) specified in the Initial Data dialog. It then compares the two surfaces and calculates the volume of material from TIN1 which falls above and below TIN2.

Sample TIN-to-TIN Calculation Settings

Note:>It is important to note that it will make a difference which set of data is used for TIN1 vs TIN2. TIN1 is used as a pattern to match to TIN2. Since no two surveys will be exactly alike, data from TIN2 will be discarded where TIN2 goes outside the bounds of TIN1.

>Using dense data sets will give you more accurate results because TIN MODEL can make a more accurate match to the TIN1 pattern. You may want to run a few tests of your own to compare how varying grid sizes during sounding selection affects the volumes results when you use the data in these volumes calculations.

TIN-to-TIN calculations can be limited to user-defined areas by adding one or more borders in the Borders tab.

Sample TIN-to-TIN Volume Report

TIN vs TIN Volume Totals

Volume unit: Cubic Yard

TIN1 File: C:\TestProjects\Sample_TIN_MODEL_Differences\Sort\Multibeam10x10Mar.xyz

TIN2 File: C:\TestProjects\Sample_TIN_MODEL_Differences\Sort\Multibeam3x3Oct.xyz

Volume Tin1 Above Tin2 = 15135.2

Area Tin1 Above Tin2 = 181198.8

Volume Tin1 Below Tin2 = 6013.7

Area Tin1 Below Tin2 = 100752.9

Sample TIN-to-TIN Volume Report with Border

TIN vs TIN with Borders Volume Totals

Volume unit: Cubic Yard

TIN1 File: C:\TestProjects\Sample_TIN_MODEL_Differences\Sort\Multibeam10x10Mar.xyz

TIN2 File: C:\TestProjects\Sample_TIN_MODEL_Differences\Sort\Multibeam3x3Oct.xyz

Border Volume Above Area Above Volume Below Area Below

--------------------------------------------------------------------------------

TINLimit 8717.3 94307.6 4669.7 61236.4

--------------------------------------------------------------------------------

Total 8717.3 94307.6 4669.7 61236.4

More Information

• Restricting Volumes Calculations with Border Files in TIN MODEL


Philadelphia Calculations in TIN MODEL

The Philadelphia option calculates predredge and postdredge volumes, section-by-section, based on the planned line file entered in the Initial Data dialog. CROSS SECTIONS AND VOLUMES also includes Philadelphia calculations, but TIN MODEL has a few advantages:

•TIN MODEL can read single beam (All format) or multibeam (*.HS2 or *.HS2X) directly from the editors.

•The Survey data can be collected in any direction. The volumes are calculated based on the planned lines in its initial data dialog; it need not be the same lines used during data collection.

•You can quickly calculate the effects of different channel plans by changing the LNW and using the same model.

Note:The Philadelphia method requires a 3-dimensional planned line file with nine or eleven template points.

Tip: You can quickly replace your channel or planned line files through the Modify menu.

In the Philadelphia method, the initial data available determines if TIN MODEL creates a pre-dredge or post-dredge report. If the Input file represents the only survey surface, TIN MODEL generates a predredge report. If an Additional file is included, TIN MODEL generates a postdredge report. This method also requires a 3-dimensional, single-segmented planned line file.

Volumes calculated include design, overdepth and overdredged materials. Each level is itemized by left slope (or box), left of center, right of center, and right slope (or box).

The Philadelphia methods are unique in how they handle calculating volumes of the overdredge material. They also provide several choices:

•To use the channel template or to create a box template.

•To omit the volumes in the box extension by setting them to zero.

•To omit overdredge volumes in the side slope

•To calculate volumes for any combination of template segments.

•To modify the channel depth.

Sample Philadelphia Volumes Settings

The Slope option calculates volumes on the side slopes. Clear this option to replace the slopes with a box template. A box template omits the side slope and places a vertical line from the toes.

Contour includes overdredge material only if the depth is less than the channel depth. Clear this option to include all overdredge material.

Side Slope Non-Contour (left) vs Side Slope Contour (right)

To use box templates, clear the Slope checkbox.

•Left and right extensions extend the box template by a user-specified distance.

•The Above Channel and Overdredge volumes may then be calculated for each segment (Left and Right Extensions, Left and Right of Center line). Select those segments for which you want to calculate volumes using the corresponding checkboxes.

Left Box and Right Box are enabled when the slope option is cleared. The template will be based on the left or right toe, the center line and the channel template information left or right of the center line. Any extensions will be added beyond the toe on one side and beyond the center line on the other side.

Left Box Template

Right Box Template

Channel Depth is a quick and easy way to vary the design depth used in the volumes calculations from the original template depth.

Overdepth determines the overdepth on the slope. A value of 0.00 omits overdredge material in the side slope areas.

Ignore Volume in Side Slope Overdepth always reports the overdepth volume as zero.

The Philadelphia Predredge method uses one TIN surface and calculates volumes between the survey depth and the channel template. The volumes for each segment of each line is listed and the totals of each are calculated at the end.

Sample Philadelphia Predredge Volumes Report

The Philadelphia Postdredge method uses two TIN surfaces. It calculates the difference between two surveys of the same area where the data sets overlap by calculating the volumes between each overlapping TIN surface area and the channel, then the difference.

The postdredge volumes report calculates the same volumes, but this time for two surfaces, and then calculates the difference for each line. The totals are again, listed at the bottom.

Sample Philadelphia Postdredge Report

•Total Pay Removed to Project Depth: the difference in available material above the design template between the pre- and postdredge surveys.

•Total Pay Removed in Overdepth: The difference in available material in the overdepth area between the pre- and postdredge surveys.

•Total pay removed: A + B

•Total Removed: A + B + Any material removed beneath the overdepth template.

•Total Remaining above project depth: The available material above the design template based on the postdredge survey.

•Total Overdredged Material: material removed beneath the overdepth template.

•Total Infill Material: The total material in areas where the postdredge survey is shoaler than the predredge survey.

Gross Values - Infill Values = Net Values


Restricting Volumes Calculations with Border Files in TIN MODEL

TIN-to-Channel, Dual TIN-to-Channel, TIN-to-Level and TIN-to-TIN calculations can be limited to user-defined areas by adding one or more borders in the Borders tab.

Managing Border Files in TIN MODEL

To Add a Border, click [Add Border]. A File Open dialog will appear to select the border defining the area where you want to calculate volumes. All Border files affecting the volume calculations will appear in the list in the dialog.

To Remove a Border, select a border file in the list and click [Remove Border].

Sample TIN-to-Level Report Limited by a Border Files

Dual TIN vs Channel Volume Totals - Itemized by Border File

Volume unit: Cubic Yard

TIN File: C:\Test Projects\Sample_Volumes\Edit\b106pd4pat.log

Second TIN File: C:\Test Projects\Sample_Volumes\Edit\b150ad4pat.log

CHN File: C:\Test Projects\Sample_Volumes\JAX.chn

LNW File: C:\Test Projects\Sample_Volumes\JAX.LNW

BRD Files:

C:\Test Projects\Sample_Volumes\CrossCHN.brd

C:\Test Projects\Sample_Volumes\LeftEndInside.brd

Global Overdepth: 1.0

Design Overdepth Design Overdepth

Cut NonCont. Fill Fill

Border Volume Volume Volume Volume

----------------------------------------------------------------

CrossCHN 301.5 1093.0 23.9 997.9

LeftEndInside 567.3 1878.2 95.8 4295.6

----------------------------------------------------------------

Total 868.8 2971.2 119.7 5293.5


3D MESH

The 3D MESH program generates a surface model from XYZ data using a 3D Poisson Mesh. This method takes longer to generate than the TIN model, but it generates a more accurate representation of vertical and concave surfaces.

You may save the model to a HYPACK 3PC file in order to quickly restore the same model in 3D MESH at a later time.

3D MESH Interface

More Information

• Running 3D MESH

• 3D MESH Interface

• Point Reduction in 3D MESH

• Modeling Options in 3D MESH

• Limiting your Model with a Bounding Box in 3D MESH

• View Options in 3D MESH

• Modeling Options in 3D MESH

• Capturing Model Displays in 3D MESH


Running 3D MESH

1.Start the 3D MESH program. Select FINAL PRODUCTS-3D MESH.

3D MESH Interface

2.Load your soundings.

a.Select FILE-NEW (or the New icon). A File Open dialog appears.

b.Select your XYZ file and click [Open]. The program loads and displays the soundings.

3.Build your model.

a.Point Reduction (Optional)

b.Limit the modeling area. (Optional)

c.Set your modeling parameters in the Properties panel.

d. Click the execute icon. The program models the data accordingly.

To stop the model construction process, press the ESC key. 3D MESH restores the previous model in the current 3D MESH session, if one exists.

4.View your model. 3D MESH includes several tools and settings to optimize your model display:

•Depth or Elevation mode

•Color settings

•Model options:

•Show points

•Wireframe or solid model

•Smoothing or sharp shading

•Viewing angle adjustments (camera controls)

•Lighting

5.Capture images, video or both. (Optional)

6.Save the model for future reference. The program stores the model in a 3PC file, which you can reload to 3D MESH at a later time.

Tip: Reloading a 3PC file is much faster than rebuilding the same model from the original sounding data.

More Information

• 3D MESH Interface

• Point Reduction in 3D MESH

• Modeling Options in 3D MESH

• Limiting your Model with a Bounding Box in 3D MESH

• View Options in 3D MESH

• Modeling Options in 3D MESH

• Capturing Model Displays in 3D MESH


3D MESH Interface

The 3D MESH interface displays your dataset provides tools with which you view your data and build your model.

The program constructs the model based on the options set in the Properties panel.

3D MESH Interface

The Properties panel also displays statistical data about the soundings in your dataset and the constructed model.

Properties Panel

More Information

• Running 3D MESH

• Point Reduction in 3D MESH

• Modeling Options in 3D MESH

• Limiting your Model with a Bounding Box in 3D MESH

• View Options in 3D MESH

• Modeling Options in 3D MESH

• Capturing Model Displays in 3D MESH


Point Reduction in 3D MESH

Point reduction thins your data where soundings are dense. The program eliminates any other sounding within a user-defined radial distance in any direction.This reduces the number of points, the mesh complexity and the modeling time.

Note:The reduction occurs based on the distance between points, without considering terrain characteristics.

1. Click the Point Reduction icon. The Point Reduction dialog appears.

Point Reduction Dialog

2.Enter the Point Reduction Distance and click [OK].

Point Reduction—Before (left) and After (right)

More Information

• Running 3D MESH

• 3D MESH Interface

• Modeling Options in 3D MESH

• Limiting your Model with a Bounding Box in 3D MESH

• View Options in 3D MESH

• Modeling Options in 3D MESH

• Capturing Model Displays in 3D MESH


Modeling Options in 3D MESH

The parameters used in the creation of the 3D MESH are shown in the Properties panel.

Maximum Neighbors: Number of nearby soundings to be considered as candidates for creating a triangle during the meshing process. Typical values are 50-100.

Depth is the most important factor. It represents the number of iterations the program goes through until generating the final model. The higher the number, the better definition you get, and the longer it takes to generate the model. The default is 10.

Point Weight: Importance of interpolated points. The results of the original (unscreened) Poisson Reconstruction can be obtained by setting this value to 0. Typical value is 4.

Samples Per Node: For noise-free samples, small values in the range [1.0 - 5.0] can be used. For more noisy samples, larger values in the range [15.0 - 20.0] may be needed to provide a smoother, noise-reduced, reconstruction. A typical value is 1.0.

Partitioning manages the surface reconstruction process regarding your system memory resources. The program divides the dataset and builds the surface model focusing on one section at a time, rather than on the full dataset. Particularly for large datasets, it is useful to assure a smooth and efficient modeling process.

•Off: The surface reconstruction is applied on entire point cloud. If the RAM required exceeds your computer resources, the process becomes very slow.

•Automatic: The surface reconstruction begins with no partitioning. If the RAM required exceeds your computer resources, the program divides the original point cloud into two partitions and restarts the modeling process. The program repeats this process—partitioning and restarting—until the partitions are small enough that the required RAM does not exceed your resources.

•User-Defined: Choose the Number of Partitions to stay within your RAM resources, before you build your model. This eliminates time that might be spent by the incremental partitioning of the Automatic method.

Partitions Type: The Poisson surface reconstruction algorithm tends to generate mesh that exceeds the point cloud borders, so the program trims the partition after construction. The value of this property determines the trimming method:

•Overlapped: Neighboring partitions overlap slightly to eliminate breaks between partitions.

•Split: The partitions are trimmed so that neighboring partitions are clearly separate.

Tip: Alternatively, you can limit your modeling to a user-defined area using a bounding box.

More Information

• Running 3D MESH

• 3D MESH Interface

• Point Reduction in 3D MESH

• Limiting your Model with a Bounding Box in 3D MESH

• View Options in 3D MESH

• Modeling Options in 3D MESH

• Capturing Model Displays in 3D MESH


Limiting your Model with a Bounding Box in 3D MESH

If you don’t need to model the full dataset, you can save time by modeling only a user-defined area

1.Define the boundaries where you want to model the data with a bounding box.

2.Click the Apply Bounding Box icon. The bounding box appears in the sounding display.

Tip: If the preview of the bounding box with the sounding data is not as you intended, return to the Bounding Box Editor where you can edit the current boundary or clear the current boundary, and try again.

When the bounding box is applied in the display, the 3D MESH models only the data within the bounding box; otherwise, the program models the full dataset.

Bounding Box and Soundings (left), Limited Model Result (right)

More Information

• The Bounding Box Editor

• Creating a Bounding Box

• Editing the Bounding Box


The Bounding Box Editor

The Bounding Box Editor is where you define the area where you want to model your data. The sounding depth range in the defined area determines the vertical dimension of the bounding box.

To open the Bounding Box Editor, select TOOLS-BOUNDING BOX-EDIT.

Bounding Box Editor

The bounding Box Editor includes several display options and drawing aids:

Bounding Box Editor Drawing Board Features:

Icon Name | Icon | Added Drawing Guide
Axis Marks |  | Tics at each quarter distance along each axis.
Grid |  | Dots marking a grid at intervals of 0.05 units.
Snap to Grid |  | Assists in keeping sides straight and aligned with the drawing board grid.
Vertical Ruler |  | Draws a straight vertical line from first point (an end point) defined by cursor to the levels of each subsequent position. A dotted line creates a crosshair effect to that assists in precise point positioning.
Horizontal Ruler |  | Draws a straight horizontal line from first point (an end point) defined by cursor to the levels of each subsequent position. A dotted line creates a crosshair effect to that assists in precise point positioning.
Vertically Symmetric |  | Automatically mirrors a user-defined shape drawn above the horizontal axis in the area below.
Horizontally Symmetric |  | Automatically mirrors a user-defined shape drawn left the vertical axis in the area on the right.
Undo |  | Reverses the last operation.
Redo |  | Reverses the last "Undo" command.
Clear |  | Clears the current boundary box and activates the Add Point cursor.

More Information

• Modeling Options in 3D MESH

• Creating a Bounding Box

• Editing the Bounding Box


Creating a Bounding Box

Use the Bounding Box Editor in 3D MESH to define the area of the bounding box.

1. Open the Bounding Box Editor. Select TOOLS-BOUNDING BOX-EDIT or click the icon. When the Bounding Box Editor appears, the cursor defaults to the drawing pencil cursor. (The Add Point icon is selected.)

2.Select the drawing board features that are helpful to you.

3.Use the Add Point cursor to draw the footprint of your bounding box.

•To fine tune the positioning of each point, use the arrow keys as you draw them.

•To remove the last point, use the delete key.

•To close the polygon, do any of the following:

•Deselect the Add Point icon.

•Press the Enter key.

•Click on the first point.

• [image] To draw regular shapes, click the Equilateral Polygon Icon and enter the desired number of sides. The defined shape will be drawn.

More Information

• Modeling Options in 3D MESH

• The Bounding Box Editor

• Editing the Bounding Box


Editing the Bounding Box

Once you have a closed bounding box shape. There are several ways that you can modify the size and shape.

Moving the Boundary:

1. Click the Select icon.

2.Click inside the shape and drag it to the new position.

Moving a Point:

1.Click the Select icon.

2.Use the cursor to drag existing points in your polygon to new positions.

Inserting a Point:

1. Click the Insert Point icon. (The cursor will return to the pencil.)

2.Use the cursor to click where, on the polygon edge, you need an additional defining point. If you click elsewhere in the grid, the Bounding Box Editor will include the added point to the nearest polygon segment and adjust the shape accordingly.

Deleting a Point:

1. Click the Delete Point icon (the cursor will change to an eraser).

2.Click the point that you want to remove from your footprint shape.

More Information

• Modeling Options in 3D MESH

• The Bounding Box Editor

• Creating a Bounding Box


View Options in 3D MESH

3D MESH provides a selection of options and tools with which you can optimize your display:

•Depth or Elevation Mode

•Color Settings

•Model Type and Smoothing

•Camera Positioning (viewing angle)

•Lighting

More Information

• Depth/Elevation in 3D MESH

• Color Settings in 3D MESH

• Model Types in 3D MESH

• Camera Positioning in 3D MESH

• Lighting in 3D MESH


Depth/Elevation in 3D MESH

3D MESH interprets the Z-scale according to the project geodesy.

To invert the drawing, select MODEL-Z INTERPRETATION and the alternate option—Depth (Z is positive downward) or Elevation.


Color Settings in 3D MESH

In 3D MESH, you can customize the sounding colors as well as the background color.

• Sounding Colors

• Background Colors

Sounding Colors

Choose to color-code your model using your current project colors or create an custom alternative.

To use the project colors, select MODEL-COLOR SETTINGS-HYPACK COLORS.

To create a custom color set, do the following:

1.Select MODEL-COLOR SETTINGS-CUSTOM.

2.Select MODEL-COLOR SETTINGS-EDIT COLORS and define the color scheme for your model display in the HYPACK Color Editor.

Return to Top

Background Colors

Customize your background color through the VIEW-BACKGROUND COLOR menu. You can select a black, white or the Windows® default color in the menu. or configure an alternate color:

1.Select VIEW-BACKGROUND COLOR-USER DEFINED.

2.Select VIEW-BACKGROUND COLOR-EDIT BACKGROUND. A Color Select dialog appears.

3.Select your background color and click [OK]. The background updates accordingly.

Return to Top

More Information

• Setting your Palette Colors in the COLOR EDITOR


Model Types in 3D MESH

The Model menu provides several display options which are also accessible through the Model toolbar. Draw points, wire frame and solid displays individually or in combination, then choose smooth or sharp shading.

• [image] Points displays your soundings and points calculated during the modeling. When you display points, you can use the Decrease and Increase icons (or MODEL-POINT SIZE menu options) to adjust the point display size.

Note:If you have selected neither Wire Frame nor Solid options, the program defaults to a points display.

• [image] Wire Frame draws your custom shape as a white transparent line drawing. The selected wire-frame objects are displayed in color.

• [image] Solid draws an opaque, custom shape in the colors chosen for the component objects in their object properties.

Points (left), Wire Frame (right)

• [image] Sharp Shading uses the same shade intensity on the whole face, It shows the edges where faces are joined.

• [image] Smooth Shading varies the intensity of shade across the face in a more realistic manner. It smooths rounded shapes.

Sharp (left), Smooth (right)


Camera Positioning in 3D MESH

The key to 3D MESH is manipulating the imaginary camera to view your dataset in a way that is most useful for your purposes. Use the camera controls to optimize your view.

Camera Control Toolbar

•In Manual Mode, you can [image] view the model from any angle, use the manual control. Click the icon then use your mouse to manipulate your camera around your display:

•Left mouse button: Camera rotates around the center of the model.

•Right mouse button: The camera translates in the direction the mouse moves.

•Mouse wheel: Zoom in and out.

• [image] Alternatively, Circle Flight Mode automatically creates a circular path sized to fit your loaded dataset. The camera travels clockwise around the path at a speed set with the speed controls. Its yaw and tilt are fixed to point toward the center of the circle and slightly downward. This enables you to view your model or an object in the model from all sides (as if you were walking around it). The remaining camera controls affect the speed of the camera motion:

•Arrow ([<] and [>]): Increment and decrement speed by small increments.

•Double Arrow ([<<] and [>>]): Increment and decrement speed by large increments.

•Zero ( [0] ): Stops the camera.


Lighting in 3D MESH

The Mining Lamp sets the position of the light source to match the camera position. Initially, it will follow the camera’s XYZ position.

If you turn the mining lamp off, the light will remain on the most recently illuminated side of the shape.


Capturing Model Displays in 3D MESH

3D MESH provides a selection of tools with which to capture your model displays:

•Digital image files

•Printed hard copy

•AVI video files

More Information

• Exporting Screen Shots from 3D MESH

• Printing the Model Display in 3D MESH

• Recording AVI in 3D MESH


Exporting Screen Shots from 3D MESH

To save a screen capture of a model, regardless of its rotation, to a BMP file, click the Snap Shot icon in the toolbar. A dialog will appear for you to name your image. These are for visual reference only. They can not be used as background files in HYPACK.


Printing the Model Display in 3D MESH

You can print an image of the model display on any printer configured on your computer. The output file name defaults to match the current 3PC file name, but you may change it.

1. Click the Print icon on the toolbar. The Windows® Print dialog will appear.

2.Set your printer options and click [OK].

3.Name your file and click [Save].


Recording AVI in 3D MESH

You can also record motion of the model display into an AVI file. AVI files can be viewed using any media player software.

1.Set the AVI options (TOOLS-SETTINGS).

Settings Dialog

•The Compressor Name list will be automatically populated with all video compressor programs on your computer. Select the compressor you wish to use.

If the compressor supports further settings, [Options] will be enabled for you to access a compressor-specific setup dialog. Please refer to the documentation from the compressor source for information about these options.

•Reduced Sample Rate further reduces the size of your AVI file by omitting a user-defined number of frames after each recorded one.

•The Temporary File Path determines where your AVI file is stored while you're recording. When the recording is finished, a File Save dialog will appear for you to name the file and path. The file is renamed and moved.

2. Begin recording. Select TOOLS-RECORD AVI, or click the AVI icon.

Note:While AVI file recording is in progress, the 3D Terrain Window can not be resized.

3.Stop recording. Select TOOLS-STOP AVI, or click the AVI icon. A File Save dialog will appear for you to name your file.

4.Name your AVI file and click [Save].

You can replay your recording in any player that supports AVI format.

AVI Playback in Windows Media Player


EXPORT

EXPORT converts HYPACK data files to other formats. The primary formats supported are DXF, DWG, DGN and XYZ.

•HYPACK File to CAD: You can convert most HYPACK files to DXF, DWG or DGN format. This can be very useful if you integrate HYPACK data with work in CAD systems or if you want to display them as chart data in HYPACK.

•CAD to XYZ: You can also convert point and text objects from DXF, DWG or DGN files (as well as a few HYPACK files) to XYZ format.

This two-way file conversion capability gives you several options:

•Export the sounding data from the charts and golden soundings (point features) to XYZ format, which can then be displayed in HYPACK or loaded to several of the other program modules.

•Convert the chart files to TIN models by exporting the chart data to XYZ format, then loading the resulting file to the TIN MODEL program.

•Append XYZ sounding data to your chart file and display all of the data as a background file in HYPACK or your favorite CAD program.

•All Format and XYZ to Custom Formats All Format sounding files can be exported to a choice of several custom formats.

The following table summarizes the types of conversions possible through the EXPORT program:

EXPORT Conversion Summary.

Output Formats | Input Formats
DXF DWG DGN | ALL BKT BRD CHN DIG | DWG Edited ALL HS2/HS2x (tracklines only) LNW PLN PLT | Tics Targets XYZ Golden Soundings Anchor Sweeps (anchors.DG2)
KMZ | DXF MTX | LNW Targets | XYZ Track lines
XYZ (and variations) | ALL BRD | DGN DXF | Golden Soundings
Custom Formats | ALL |  |

More Information


Running the Export Program

1.Start the EXPORT program by selecting FINAL PRODUCTS-EXPORT. All files associated with the project are loaded in their current enabled or disabled state to the EXPORT interface.

The Main Window of the EXPORT Program

2.Select the Output file type to which you want to export from the Output File Format drop-down menu.

Selecting the Target Format

3.Click the File Open icon and name your output file. The path will default, in most cases, to your project directory. XYZ output formats default to the Sort directory.

4.Select the file or files you want to convert by enabling and disabling them in the file tree on the left side of the window as you would in the main HYPACK screen. Files of types that can not be converted to the designated output format are marked with X's.

5.Add External files (optional). These are files that were not part of your project when you started EXPORT TO CAD, but you want to add them to your exported project data. Select FILES-ADD FILES or right click on the Files folder in the External Files list and select "Add File(s)". A File Selection Dialog will appear for you to browse for additional files.

6.Set your Input and Output Options.

Export Options Dialog

a.Click [Options] or F9 to access the Options dialog.

b.For each option applicable to your output file type on the left, select the option and set the related options displayed on the right.

c.Click [OK].

7.When your list is complete and all parameters have been set, click on [Convert] (or select FILE-CONVERT). The conversion will be made and you can see its progress in the conversion log which is displayed on the screen.

Conversion Log

Note:This shows which files have been successfully converted and if, for some reason, any have not.

More Information

• Export Options in Export

• Setting Export Colors with Schemes


Export Options in Export

[Options] opens the Export Options dialog where you can control how your data is output. It is a multi-tabbed dialog. Access each tab through the navigation bar.

Export Options Dialog

Enter your settings on each tab applicable to your chosen output format.

More Information

• Input Options in Export

• CAD Output Settings in Export

• XYZ Parameters in Export

• Custom Output Formats in EXPORT

• User-Defined Output from EXPORT


Input Options in Export

For dual frequency data, use this dialog to elect to convert either Depth 1 or Depth 2 to your exported files.

Input Filters

More Information

• CAD Output Settings in Export

• XYZ Parameters in Export

• Custom Output Formats in EXPORT

• User-Defined Output from EXPORT


CAD Output Settings in Export

Define the output settings pertinent to creating DXF, DGN or DWG Files and the Source File types you are exporting to them. The Origin and Units information must only be provided if you are converting to DGN format.

CAD Parameters Menu

• CAD Parameters

• DGN Origin and Units

• CAD Planned Line Parameters

• CAD Shoreline Parameters

• CAD Sounding Parameters

• CAD Target Parameters

• CAD Plot/Tic Parameters

• CAD Track Line Export Parameters

• Edit Folder Parameters

• Anchor Sweep Parameters

CAD Parameters

The CAD settings are for creating the chart regardless of which features are included.

CAD Parameters Dialog

3D Position of Sounding: When any object (point, text, or line object) is stored in a CAD file, it has a physical X, Y, and Z position in the model. A sounding at a depth of 25.0 has a default Z value of 25.0. This option lets you manipulate that physical position in the model as follows:

•2D Sounding: For older CAD formats, there is no Z value associated with the object. This is essentially the same as the 3D Sound at Level = 0 option.

•3D Sounding at Level = 0: Stores the object at Z = 0.

•3D Sounding at Level = Z (Default): The object’s Z value is the actual depth/elevation of the sounding.

•3D Sounding at Level = -Z: Stores the object at the inverse of the actual depth/elevation of the sounding.

Sounding Text Object specifies how the object is displayed. The options are:

•Do Not Negate Text (Default) leaves the text as it is. If the sounding is 25.0, you see the text ‘25.0’.

•Negate Text inverts value of the sounding. If the sounding is 25.0, you see ‘-25.0’. If it’s -25.0, you see ‘25.0’.

•Absolute Value of Text displays the absolute value of the sounding (both 25.0 and -25.0 are displayed as ‘25.0’).

Note:The 3D Position of Soundings and Sounding Text Object act separately. Each will consider the source depth/elevation and make their adjustments accordingly.

3D Position of Sounding and Sounding Text Object with Positive Soundings

Sounding: 25.0 | Do Not Negate Text | Negate Text | Absolute Value of Text
2D Sounding | Object: 0.0 – n/a Text: “25.0” | Object: 0.0 – n/a Text: “-25.0” | Object: 0.0 – n/a Text: “25.0”
3D Sounding at Level = 0 | Object: 0.0 Text: “25.0” | Object: 0.0 Text: “-25.0” | Object: 0.0 Text: “25.0”
3D Sounding at Level = Z | Object: 25.0 Text: “25.0” | Object: 25.0 Text: “-25.0” | Object: 25.0 Text: “25.0”
3D Sounding at Level = -Z | Object: -25.0 Text: “25.0” | Object: -25.0 Text: “-25.0” | Object: -25.0 Text: “25.0”

3D Position of Sounding and Sounding Text Object with Negative Soundings

Sounding: -25.0 | Do Not Negate Text | Negate Text | Absolute Value of Text
2D Sounding | Object: 0.0 – n/a Text: “-25.0” | Object: 0.0 – n/a Text: “25.0” | Object: 0.0 – n/a Text: “25.0”
3D Sounding at Level = 0 | Object: 0.0 Text: “-25.0” | Object: 0.0 Text: “25.0” | Object: 0.0 Text: “25.0”
3D Sounding at Level = Z | Object: -25.0 Text: “-25.0” | Object: -25.0 Text: “25.0” | Object: -25.0 Text: “25.0”
3D Sounding at Level = -Z | Object: 25.0 Text: “-25.0” | Object: 25.0 Text: “25.0” | Object: 25.0 Text: “25.0”

Text X-Scale Factor: Scales the text width to the user-specified text height.

DXF/DWG Output Version and DGN Output Version: Select the output version number for in the field appropriate to your chosen output format.

Return to Top

DGN Origin and Units

The DGN Origin and Units are used for two purposes:

•To combine or overlay project data with previously created DGN data (the seed file).

•To specify the origin, Master Unit and Sub Unit for a new DGN file.

DGN Parameters Window

Source enables you to select a DGN file from which you will read all data or only the header information. Reading the data will combine all data together in your exported DGN file.

Header Only reads the header from a previously created DGN file—the Seed File—to the header of the one you are creating, thus assuring the two files will overlay accurately

DGN Selections According to Output Goals.

Export File | Source | Header Only | XYZ, mu +su
New DGN | Custom | No | Yes
New DGN to overlay Existing DGN | File + Seed File | Yes | No
New DGN combining Existing DGN with new data | File + Seed File | No | No

Return to Top

CAD Planned Line Parameters

The Planned Line Parameters set what layer (DXF or DWG) or Level (DGN) in the output file the survey lines will be and provides labeling directions.

Planned Lines Parameters Window

Layer Name / Level Number is the layer or level your data will be written on in AutoCAD.

To label the survey lines, set Label Planned Lines to True and enter the Text Height and Angle Style.

Text Height is based upon “drawing units”, which will usually be feet or meters.

Text Angle Style can either be written perpendicular to the planned line, or at a user-defined, fixed angle.

Export Template Where Available extracts any line template information from a planned line file to include in the exported DWG, DXF, or DGN file.

Return to Top

CAD Shoreline Parameters

The Shoreline Parameters set the location and label size of exported shoreline files.

Shoreline Parameters Window

Layer Name / Level Number is the layer or level your data will be written on in AutoCAD.

Text Height is based upon “drawing units”, which will usually be feet or meters.

Return to Top

CAD Sounding Parameters

The Sounding Parameters dialog defines how soundings will be output to the CAD output file. The input sounding file may be HYPACK All, HS2, HS2X or XYZ format, or golden sounding point features. EXPORT honors the project rounding rules for CAD output formats only.

Note:Be sure to check the 3D CAD Dimension in the CAD Parameters. 2D DXFs contain no Z values, which defeats the purpose when you are exporting soundings.

Sounding Parameters Window

Layer Name/Level Number displays the default layer/level name of “Soundings”.

Soundings saved to CAD format can be saved to more than one layer according to depth ranges or source file names.

To create layers based on depth ranges, check Use Sounding to Layer Ranges. You can elect to create a different layer for every 1, 2, 5 or 10 survey units of depth, or you can define your own depth increments. Just click [User-Defined] and enter your depth ranges and layer names to the User-defined Range dialog.

User-Defined Depth Ranges for Each Exported Layer

To create layers by source file name, you must first choose whether to name your layers according to each individual data file name or use the catalog file name. The following table compares each choice where the input data is the Hal0405.log which contains Hal0405.1, Hal0405.2 and Hal0405.3.

Option | Resultant Layer Name(s)
Use Source File Name as Layer Name | Hal0405_1, Hal0405_2 and Hal0405_3
Use Log File Name as Layer Name | Hal0405

Use HYPACK Color File sets layers and colors objects based on the selected HYPACK color file (project colors).

Text Height is based upon “drawing units”, which will usually be feet or meters. The width is scaled according to this measurment and the Text X-Scale Factor in the CAD Parameters tab.

Text Angle Style can either be written perpendicular to the planned line, or at a user-defined, fixed angle.

Text Italic Angle affects the amount of slant in italicized text. The results are not visible in HYPACK; they are only visible in the CAD program.

Decimal Places tells the program how many decimal places to export. Truncation and Rounding Rules are taken from the HYPACK Control Panel.

Flip Perpendicular: Available only for All or HS2X format files when the soundings are written perpendicular to line, this option rotates the text of all soundings 180 degrees. Alternatively, leave this option unselected, and select the Select Files for Perpendicular Flipping in the Edit Folder Options tab. With this option, when you click [Convert], the program displays a dialog where you can choose the files on which the soundings are flipped.

Sounding Styles: All sounding styles except Cartographic places the pixel or decimal point at the sounding location.

Point Objects Only places a dot at the sounding position. In a DXF file, it will appear as a dot. In a DGN file, it will appear as a small ellipse.

Single Object Soundings and Double Object Soundings:

•The Single Object Soundings option exports soundings, each as a complete object on the chart layer/level with the decimal point approximately on the sounding.

•The Double Object Soundings option places the decimal point separately and more accurately at the sounding position.

Note:The Single and Double Object Sounding options are unavailable for DGN v7 output.

Cartographic Soundings centers the integer portion of the sounding at the sounding location and then writes a smaller, lower fraction. If the sounding is a negative value, the integer is underlined.

Tip: To more accurately position Cartographic soundings in your display, you should also select the Vector Soundings option.

Vector Soundings draws the soundings as a polyline instead of text. This option improves the precision of positioning the soundings in your display. This option can be used together with the Cartographic Soundings option. Otherwise, it places the decimal at the sounding location.

Store Soundings In Blocks stores the sounding as a block referenced object which further improves the accuracy of its position, particularly through chart scaling and rotation. Additionally, it can reduce your file size where there are numerous equal soundings, as one block can be referenced by each sounding of the same value.

Export Colored Soundings color-codes the exported soundings according to the current project color settings. You can modify the colors through the standard Color Settings dialog. Click [Colors] to customize your sounding colors.

Return to Top

CAD Target Parameters

EXPORT only displays the target groups (not individual targets). However, when you select a target group in EXPORT, the exported file includes only the targets that are enabled in the HYPACK window.

Note:When you open a project with legacy TGT format target files from earlier HYPACK versions, HYPACK automatically converts each TGT file to a target group.

The Target Parameter dialog sets the layer/level number and labeling information. It also enables you to input the Target Circle Radius and the Number of Circles that are drawn around each Target.

Target Parameters Window

Return to Top

CAD Plot/Tic Parameters

This routine is used to include a Plotting Sheet File (*.PLT) marked with projection tic marks and labels into a CAD drawing. (You probably want only one PLT file enabled at a time.)

In the Plot/Tic Parameters dialog, you can specify whether to draw the plotting sheet border (Plot Border) and grid tics (Plot Tics). You can also enter the Distance Between Tics and Tic Size (measured in "drawing units"—typically feet or meters), and choose on what sides of the plotting sheet area you wish to label the tic marks. The grid labels will be formatted according to the HYPACK display settings set in the control panel.

Tic Parameters Window

Return to Top

CAD Track Line Export Parameters

The Track Line Parameters sets labeling information for the event marks on the Track Lines layer.

Elect to label Events by selecting either Events (Event Number) or Time in the Label Events field.

Text Height in survey units, usually feet or meters. The width is scaled according to this measurment and the Text X-Scale Factor in the CAD Parameters tab.

Text Angle Style can either be written perpendicular to the planned line, or at a user-defined, fixed angle.

A Circle Radius greater than 0 draws a circle at that distance around each event.

Use Line Name as Layer Name exports the track line for each survey line to a separate DXF layer and names the layers according to the survey line name. If this is not selected, all track lines will be stored on 1 layer.

Note:This option is unavailable for DGN v7 output.

Track Line Parameters Window

Return to Top

Edit Folder Parameters

Track lines and Soundings: Right-click on each catalog or edited ALL2 format file and choose to export the track lines, the soundings or both.

Select Files for Perpendicular Flipping: Available only for All format files whose soundings are drawn perpendicular to the line. Check this option and, when you click [Convert], a dialog will appear where you choose the lines on which the soundings will be rotated 180 degrees.

All Output Options

To select the each line individually, check its associated ‘flip’ box.

To work with multiple lines:

1.Select multiple lines by clicking the Filenames. (The files highlight.) Use the Shift key to select contiguous files or the Ctrl key to select multiple noncontiguous files.

2.Use the buttons at the bottom to manage the checkbox status of the selected files.

•[Set On] checks all selected files.

•[Set Off] clears the checkboxes for all selected files.

•[Toggle] reverses the check status of all selected files.

3.Click [Export] to continue the conversion process.

Return to Top

Anchor Sweep Parameters

Anchors.DG2 represents the project anchor sweeps. When exported to CAD formats, an anchor symbol of user-defined size (survey units) appears at the anchor drop position.

Anchor Sweep Options

Anchors.DG2 (left) and Anchors.DXF (right)

More Information

• Project Colors in HYPACK


XYZ Parameters in Export

If you prefer to export your data to XYZ format, use the XYZ Parameters to specify how the data will be output. You can use this method to convert a DXF file to a TIN Model. Just export the soundings and polylines from the DXF file to an XYZ file that can then be used in the TIN MODEL program. You could also export soundings from a DGN or DXF chart by selecting the sounding level/layer and export the soundings to XYZ format which can be displayed in HYPACK.

Output Format provides a choice of data combinations and orders.

The Decimals options set the number of decimal places to be exported with the data. The X and Y values will have the same number of places. You may choose a different number for the Z value.

Note:Reducing the number of decimal places reduces the accuracy and affects volumes calculations.

Z-Offset adds the offset value to the Z value in your data set before it is exported to your file. If you have selected Invert Z Value, that operation occurs first. This combination comes in handy for those surveying at elevations but prefer to keep everything in depth mode until the end. In this case, if you have a depth of 20 and Z Offset of 1000, the exported Z value will be 980 (-20 + 1000).

Comma Delimited set to True will insert commas between each field in the output; otherwise there will be a space.

Invert Z Value negates the current depth value in the export file unless you are also exporting XYZ soundings. In this case, the sign designated for soundings in the XYZ Parameters dialog may override this option.

Absolute Value of Z outputs the current depth value as a positive number.

Export XYZ Height above CHN works with the XY Height above Channel output option to export the height difference between a user-specified channel file (*.CHN) and the soundings. (Negative values indicate the sounding is below the channel level.) It exports nothing where the soundings fall horizontally outside the channel.

•To select the channel against which you want to compare your soundings, click [...] and select the CHN file.

•To include only soundings above the channel, check the Omit Points Below Channel option.

XYZ Parameters Window with Output Format Options

If you are exporting CAD Formats to XYZ, EXPORT analyzes the DXF or DGN file and displays a listing of the layers/levels in the file and the number of convertible (point, polyline and text) objects on each. By default, all of the layers/levels are selected (the light bulb icon is yellow).

1.Select which layers you want to include in the exported file by double clicking the corresponding icon in the Export column (or by selecting the icon and clicking [Toggle On/Off]). A gray light bulb is not selected.

Exporting CAD to XYZ

2.Choose whether to export text, point, polygon objects or any combination by checking the corresponding checkboxes.

3.Click [Export] to continue the conversion.

EXPORT converts object type a bit differently as follows:

•Point objects: The X,Y,Z values are written to the text file.

•Text objects: Writes the X and Y values of the objects, but uses numeric values of the text as the Z value.

•Polyline Points: Writes X and Y values of each vertex, but uses 0 as the Z value.

Original DXF Chart

Exported XYZ Overlaid on the Original DXF


Custom Output Formats in EXPORT

There are several pre-defined custom formats that can be selected in the Custom Formats dialog. The ISRP, Terra Model and Tulsa COE formats require additional information in their corresponding dialog. GPX format has additional options below the output selection.

Selecting Custom Output Formats

Custom Output Parameters Vary with the Selected Output


User-Defined Output from EXPORT

The user-defined output options enable you to extract data from edited ALL Format files and custom format your output strings. Just select the User-Defined option and define your ASCII output sequence.

User-defined Output Dialog

1.Select each item to include by checking the corresponding checkbox in the list.

2.If you need to add a constant string that is not listed, select one of the “Text String” options and type the string in the corresponding field.

3.Arrange the order of the items in the string by selecting an item and moving it up or down in the list using the arrow buttons.

4.Choose the Space or Comma delimiter.

5.If you want to invert your depths, check the “Invert Depth” box.

6.Choose whether to generate separate files for each input file.

7.Set your KP options (Optional).

8.Click [OK] to return to the EXPORT interface.

One Output File per Input File

EXPORT generates one text file for each input named OutputFileName_InputFileName.txt. In the following figure, the Output File Name is ‘Export’ so, when we convert 010-1114.x27, the resulting output file is Export_010-1114.txt.

Exporting One File per Input File

KP Options

Select the ‘KP’ export item, you must enter the information in the KP Options section. For each sounding in an XYZ or All format file, the KP item exports the distance from the beginning or end of a user-defined center line.

•Center Line File: The line file (*.LNW) defining the center line. It should contain only the center line.

•Offset: The distance either side of the defined center line where EXPORT should include.

•Start with Last Point: Select this option to export distance from the end of the center line.

•Kilometers: The default unit of measure is meters. Check this option to output kilometers instead.

The program will take the selected information from each record in the Input file and send it to the specified Output file. Lat/Lon formatting is determined by your settings in the HYPACK Control Panel.


Setting Export Colors with Schemes

EXPORT colors some chart features according to the current scheme (*.SCX). The following table lists the elements affected by your scheme and where you find them in the SCHEME BUILDER program.

Exported Files and their Scheme Setting Locations

Exported Object | Scheme Object
Border Files (Outline and Node Ellipses) | Chart Elements – Border Files
Advanced Channel Files (Faces and Text) | Chart Elements – Channel Files
Planned Line Files (Lines) | Survey Elements – Planned Lines – Not Yet Run
Planned Line Files (Text) | Survey Elements – Planned Lines – Text (Color Only)
Matrix Files (Border) | Survey Elements – Matrix Outline – Not Active
Channel Plan Files (Toes and Basins) | Chart Elements – Channel Plan Files (Color 1)
Channel Plan Files (Centerline) | Chart Elements – Channel Plan Files (Color 2)
Tics | Chart Elements – Grids – XY Grid
Plotting Sheets | Chart Elements – Plotting Sheet Borders
Sweep and Edited Files (Tracklines) | Survey Elements – Vessel – Main - Trackline
Edited Files (Event Text and Circle) | Survey Elements – Events - Events
Soundings | There are different options for coloring soundings: •Z-value in relation to the current color file •By layer. •If neither of those options are used, Survey Elements – Soundings – Soundings
Targets Radius Circle | Survey Elements – Targets – Not Selected
Target Text | Survey Elements – Targets – Text (Color Only)

More Information

• Display Schemes


ENC Editor

The ENC EDITOR enables you to customize an S57 chart. You can create a new chart of your own that displays as many or as few features as you desire, or you can modify an existing chart by adding, deleting or relocating features. The ENC EDITOR can be used together with the SURVEY program to do real-time chart verification.

Familiarity with the strict rules and conventions used to structure S57charts is required.

The general procedure is as follows:

1.Launch the ENC EDITOR by selecting FINAL PRODUCTS-ENC EDITOR.

2.Define your geodesy.

3.Open a chart. You can open an existing chart or open a new, blank chart.

4.Edit chart information.

5.Set display options.

6.Load files from your project area to guide feature placement. The ENC EDITOR displays select files to guide you as you create features in your S57 chart. File types supported for this purpose include the following types:

•DXF

•DGN

•Geo-TIF

•XYZ

•Targets

7.Work with the features.

8.Validate your chart. (Optional)

9.Save your chart by clicking the save icon on the Charts tab of the Browser and naming the new chart. The File Save dialog defaults to the name of the chart you originally loaded. If you have made modifications, you will probably want to modify the name.

More Information

• S57 Basics

• ENC Editor Interface

• Geodesy Settings for the ENC Editor

• Opening a Chart in the ENC Editor

• Defining your Chart Information in the ENC EDITOR

• Displaying your Charts in the ENC EDITOR

• Adjusting the Display for Lighting Conditions in the ENC Editor

• Cursor and Delete Options in the ENC Editor

• Feature Types in S57 Charts

• Working with Spatial Records in the ENC EDITOR

• Working with Chart Features in the ENC EDITOR

• Creating S57 Features with Digitize Options in the ENC Editor

• Adding DXF or DGN Chart Data to your S57 Charts in the ENC Editor

• Adding XYZ Data to your S57 Chart in the ENC EDITOR

• Importing Golden Soundings in the ENC EDITOR

• Validating your Chart in the ENC EDITOR

• Saving your Modified S57 Chart in the ENC EDITOR

• Aldebaran Tools in the ENC EDITOR

• New Orleans Sounding Overlay Tools in the ENC Editor

• On-Site Chart Verification with HYPACK SURVEY

• Exporting S57 Chart Data from the ENC EDITOR


ENC Editor Interface

There are multiple windows in the ENC EDITOR:

•The Browser displays textual information about the chart contents.

•The Map window displays the chart.

•The Clipboard identifies spatial records selected in the Map window and provides tools with which you can find associated features, assign additional features, modify the position or delete the spatial record.

The displays in the Browser and Map windows are synchronized so when a spatial object is selected in the Browser, the Map automatically displays the related information. The Browser does not automatically adjust its display according to the selection in the Map.

Tip: When you select a feature in the Map, it appears on the Clipboard. Click [Browser] to display the object in the Browser.

More Information

• The Browser in the ENC EDITOR

• The Clipboard Window in the ENC Editor.

• The Map window in the ENC Editor


The Browser in the ENC EDITOR

The Browser is a three-tabbed display that shows textual information about the features and spatial objects included in your chart.

When you select a feature in the top portion of the Browser, the References tab below lists all associated spatial references and any related master or slave features. If the feature is part of a collection, the name of the collection will be included.

Tip: You can select any of the related master or slave features by double-clicking in the References tab.

When you select a spatial record in the top portion, the References tab lists all chart features whose position depends on the spatial record. The Information tab shows the number of points used to define the spatial. A point feature should have only one point in its spatial record. Chains will have at least two points and areas at least three. The start and end points of chains will also be listed.

The Browser

The selection in this window is synchronized with the chart display in the Map window so the item selected in the Browser is highlighted in the Map window.

To synchronize the Browser to your selection in the Map window:

1.Select the object in the Map window. The object appears in the Clipboard window.

2.Select the object in the Clipboard window and click [Browser]. The object will be highlighted in the Spatial tab of the Browser.

To identify the features associated with that spatial, select the References tab in the lower portion of the Browser. Master/Slave relationships are labeled as such in the References tab and you can jump from one feature to another by double-clicking on the feature name.

To access the attributes of any associated feature, double-click the feature in the References tab.

Tip: It may be difficult to see the selected feature in the Map window if you have too much displayed. You can use the display settings (F9) to limit what will be drawn to the screen without removing them from your chart.

Each tab also includes a toolbar at the top that provides some basic tools to control the objects of its type included in your display. If you are in doubt about the function of the icon, just hold the cursor over it and a label will be displayed.

More Information

• S57 Display Options in the ENC EDITOR

• Spatial or Feature Displays in the ENC EDITOR


The Map window in the ENC Editor

The Map provides you with an up-to-date visual display of your work. The toolbars enable you to manipulate the chart display and to use the cursor to perform some of the tasks necessary to create a feature in your chart.

The Map Window —Showing Spatials (left) and Features (right)

The Map toolbar affects the view of the chart:

•Zoom In/Out: When this option is selected, a left-click decreases the scale (zoom in) and a right-click increases the scale (zoom out).

•Zoom Extents: Draws the display at a zoom scale that displays all enabled data.

•Zoom Previous returns to the previous zoom scale.

•Rotate Counter Clockwise and Rotate Clockwise rotate the chart 5 degrees.

•Rotate to North Up sets the map to position north at the top of your screen.

•Zoom Window: Select this option and drag a rectangle in the window to define the extent of your desired view. The program will redraw the screen to display the defined area optimally.

•Pan: Select this option, then click in the window at the location in the map you want centered in the map display. The window will redraw centered on that location.

•Measure the distance and azimuth between two points as follows:

a.Click the measuring tool icon in the Map View Tools.

b.Click and drag between the two points on the map. The measurements appear in the status bar.

A second toolbar provides tools for you to directly work with the spatial references in the map area.

Spatial Object Tools

Icon | Action | Icon | Action
Add Isolated Node |  | Cut | Delete
Add Connected Node |  | Cn@X | Connected node at line intersection
 | Add Chain | [\]CN | Create Connected Node by dragging a line across the segment
 | Selector tool | <-> Node | Use the cursor to drag nodes of spatial objects to new locations.
+ Connect | Enables connection | [\]PT | Insert a segment point by dragging a line across the segment.

The DISPLAY-LABELS options toggle the display of point, line and area the feature handles. These handles can make selecting a spatial object a bit easier, but they often clutter your chart display.


The Clipboard Window in the ENC Editor

The Clipboard displays the spatial type and ID number of a spatial record or the feature type and ID number of a feature record. It also provides tools with which you can work with one or more records.

To add a record to the Clipboard:

•Click on a spatial feature in the Editor.

•Drag either a spatial or feature record from the Browser to the Clipboard. Use this method to list multiple objects in the Clipboard.

Once the record is selected in the Clipboard, you can do any of the following:

•Find the feature associated with the selected spatial record in the Browser. (Click [Browser].)

•Assign the position of the spatial record to a feature.

•Modify the position of the spatial feature and its associated features. (Click [Edit].)

Some functions allow you to select multiple spatial records:

•Delete one or more selected list items from the chart. (Click [Delete].)

•Clear one or more selected list items from the clipboard. (Click [Clear].)

More Information

• Assigning Feature Position

• Moving All Features with their Spatial Reference in the ENC Editor

• Clipping A Feature Against Another in the ENC EDITOR


Geodesy Settings for the ENC Editor

Your chart geodesy is set through the GEODETIC PARAMETERS module.

To view your current settings, select ENVIRONMENT-GEODESY and the Geodetic Parameters dialog will appear.

Geoedtic Parameters Dialog

Beware! This is for display purposes only. If any changes to your project geodesy are necessary, exit from the ENC EDITOR and modify your geodesy through the GEODETIC PARAMETERS program.

More Information

• Geodesy


Opening a Chart in the ENC Editor

Choose your method to open a chart according to your goal. You can use ENC EDITOR to create a new chart or modify an existing chart.

More Information

• Creating a New Chart in the ENC Editor

• Loading an Existing S57 Chart to the ENC EDITOR

• Loading Project Files to Guide your S57 Feature Drawing in the ENC Editor


Creating a New Chart in the ENC Editor

If you want to create a chart containing only your project data, you must first begin by defining the boundaries of the area described in your chart.

1.If you want to define the boundaries with your cursor (vs typing Lat/Lon pairs), load a background chart file to guide you. (Optional) The ENC EDITOR supports DGN, DXF, TIF, S57, XYZ and targets for this purpose.

a.For each background chart do the following:

i.Select DISPLAY-BACKGROUND CHARTS. The Background Charts dialog appears.

Background Charts Dialog

ii. Click the File Open icon. A File Open dialog appears.

iii.Select your file and click [Open].

Tip: Set the charts to be transparent and select the Draw After ENC CHARTS option to see your S57 features through the charts.

b.When you have loaded all of your background charts, center them in the Editor screen. Select those for which you want to create your ENC chart and click the Zoom Extents icon.

2. Click the “Create New Chart” icon. The Create New Chart dialog appears.

Note:This dialog is available only when you are creating a new chart. You can not alter the boundaries of a chart once they are created.

Defining the Boundaries of your Chart

3.Define the boundaries of your chart. Every S57 chart is defined by a pair of latitudinal lines and a pair of longitudinal lines. You can set these values using either of two methods:

•Enter the latitudes for the northern and southern edges of your chart and the longitudes for the eastern and western edges. The ENC EDITOR automatically reads the geodesy settings from your project, so you can enter the local coordinates. You can use decimal degrees, degrees decimal minutes or degrees minutes seconds format.

•Click [Set with Cursor] and click in the ENC EDITOR Map display at each corner of the chart to be generated. A small square temporarily marks each location.

4.Click [OK]. The New Chart Information dialog appears.

5.Set the Product Specification and click [OK]. This selection (e.g. S57 or IENC) affects the remaining attributes and the values they can assume, and initiates the default values based on the product specification encoded in the unified schema.

New Chart Information Dialog

Now that you have defined the area that your chart will cover, you are ready to enter your remaining chart information and add your chart features.

More Information

• Previewing the S57 Display Schema in the ENC EDITOR

• Defining your Chart Information in the ENC EDITOR

• Working with Spatial Records in the ENC EDITOR

• Working with Chart Features in the ENC EDITOR

• Adding DXF or DGN Chart Data to your S57 Charts in the ENC Editor

• Adding XYZ Data to your S57 Chart in the ENC EDITOR


Loading an Existing S57 Chart to the ENC EDITOR

There are multiple methods to load an existing chart.

• Loading a Chart Directly

• Loading a Chart Through a Catalog

Loading a Chart Directly

1. On the Chart tab of the Browser, click the “Load Chart” icon. A File Selection dialog will appear for you to select the chart with which you wish to work.

2.Select your chart and click [OK]. The data will be loaded to the Browser and it will be displayed in the Map window.

Tip: Alternatively, double-click on the S57 chart you want to edit in the HYPACK Project Files list.

S57 Chart updates may be available for the area where you are working. Updates are named with the same root, but the extension increments with each update. For example, the original ‘base’ chart might be named ‘USRCA11M/US4CA11M.000’, and the updates would be ‘USRCA11M/US4CA11M.001, USRCA11M/US4CA11M.002…

In this case, you will probably want to include those to display the most current chart information. You can load them:

•Manually, taking care to load them in sequence of course, as you did the base chart.

•Automatically by loading the base chart then clicking the red button on the Charts tab of the Browser.

As each update file is loaded, the Message window will display the changes loaded from each chart.

S57 Modifications Listed as Updated Files are Loaded

If you are planning to make further modifications, you may want to update your Chart Information at this time.

Return to Top

Loading a Chart Through a Catalog

1.Select ENC-CATALOG EDITOR from the Editor menu. A secondary window, the Catalog Editor, will appear.

Selecting a Chart from the Catalog Editor

2.Click the Load Chart icon in the Browser and select a catalog from the File Select dialog. The files included in the selected catalog will be listed in the Catalog Editor.

3.Select the chart that you wish to edit then click the Edit Chart icon and the chart will load.

Note:*.TIF and *.TXT files are also included in S57 Catalog files. If you select either of these file types instead of a chart file, they will open in a separate window.

When the chart is loaded, the chart name will appear in the Browser with its Chart Information. The chart will also appear in the Map window according to the display settings.

Return to Top


Loading Project Files to Guide your S57 Feature Drawing in the ENC Editor

Particularly if you are building a S57 chart of your own, once you define your chart information, accurately placing your chart features may be a little daunting.

The ENC EDITOR displays select files to guide you as you create features in your S57 chart. You can position point, line and area features in your S57 chart on features of interest in the underlying background chart.

File types supported for this purpose include the following types:

Charts | Project Files
•ARCS Raster (*.CHR) •HYPACK DIG •HYPACK DG2 •HYPACK DGW •Autocad DXF •Microstation DGN •ECW •Geo-Tif •Georeferenced PNG •*.SID | •Border (*.BRD) •Channel (*.CHN) •Channel Plans (*.PLN) •KTD •Matrix Files (*.MTX) •Planned Lines (*.LNW) •Plotting Sheets (*.PLT) •Target (*.TGT) •XYZ

To load these files to the background in the ENC EDITOR:

1.Select DISPLAY-BACKGROUND CHARTS. A dialog will appear for you to load and order these files behind the ENC EDITOR display.

2.Click the File Open icon,

3.Set the file type and choose the file in the File Select dialog,

Geo-TIF Loaded as a Background File in the ENC EDITOR.

These charts do not become part of your S57 chart in any way. They only display features for you to ‘trace’ with your S57 features.

The ENC EDITOR can also import features from DXF, DGN, XYZ and targets. This is a process that generates the S57 features corresponding to user-selected features from the imported chart.

More Information

• Adding DXF or DGN Chart Data to your S57 Charts in the ENC Editor

• Adding XYZ Data to your S57 Chart in the ENC EDITOR


Defining your Chart Information in the ENC EDITOR

Define the chart information in the Charts tab of the Browser. The Charts tab has three tabs: Identification, Parameter and Information. Review the information in each tab and modify each attribute as necessary.

1.Double-click the attribute. An Attribute Editor dialog will appear with options specific to that attribute.

Fields that have certain required settings have been disabled and already contain the required data. Others display the current information or are blank, but are editable.

Editing your Chart Attributes

2.Describe the attributes. Often this is as easy as choosing from a list of standard options provided in the dialog.

3.Click [OK].

More Information

• ENC EDITOR Identification Tab

• ENC EDITOR Information Tab

• ENC EDITOR Parameter Tab


ENC EDITOR Identification Tab

The Identification Tab includes data about the name and version of your chart.

The Identification Tab

•If you are creating a new chart, four of the fields default to fixed values which are required to create a new chart with the ENC EDITOR.

•Exchange Purpose

•S57 Edition Number

•Product Specification

•Application Profile ID

In addition, you must at least enter a Data Set Name and the Production Agency. Typically, you would also enter the Update Application Date and Issue Date, which would probably be the same initially.

When you save the chart, it automatically receives the *.000 extension of S57 charts.

•If you are modifying an existing chart, all of the fields are editable. You probably want to change the following attributes:

•Exchange Purpose to “Revision”

•Edition Number

•Update Number

•Update Date


ENC EDITOR Information Tab

The Information Tab displays information about your chart contents. The only settings that may affect your work are the two Lexical Level items. If you are working in Latin characters, they should be set to “1”. If you are working in Asian characters, use “2”.

The Information Tab


ENC EDITOR Parameter Tab

Typically, ENC charts store coordinates in WGS-84 Latitude and Longitude with distance units in meters. Software using the chart files either use the spatial points directly or convert them using a simple transformation. HYPACK uses the geodetic parameters of the current project to convert the spatial data to local projection coordinates in order to use it as a background file in your project.

The Parameter Tab


Displaying your Charts in the ENC EDITOR

The ENC EDITOR provides a wide selection of options with which you can customize your chart display:

•S57 display options affect the chart features themselves.

•Contour Planning options adjust the ECDIS.

•Spatial or Feature display options toggle the display of the spatial and feature chart information.

•Depth options for removing or minimizing the clutter of excessive sounding data.

More Information

• S57 Display Options in the ENC EDITOR

• Contour Planning Displays in the ENC EDITOR

• Spatial or Feature Displays in the ENC EDITOR

• Depth Display Options in the ENC EDITOR

• Previewing the S57 Display Schema in the ENC EDITOR


S57 Display Options in the ENC EDITOR

In the Map window, select DISPLAY-DISPLAY OPTIONS (F9) and the S57 Display Options dialog will appear for you to choose how your chart will be presented in the Editor display.

The General tab provides options based on industry standards.

S57 Options Dialog

Symbols: Choose between Traditional and Simplified.

Boundaries: Choose to have them marked with symbols (Symbolized) or as plain lines (Plain).

Units: Displays depths in your choice of U.S. feet or meters.

Scheme:

•S52: The industry standard where the colors progress from darkest to lighter shades of blue as depths increase.

•Bathy Blue: The reverse of S52 where the deepest water is the darkest color.

•Red Yellow Green: Displays three categories of depth areas:

•unsafe (red),

•safe with caution (yellow)

•safe (green)

S57 Color Schemes: S52 (left), Bathy Blue (center), Red Yellow Green (right)

Safety Depth displays depth labels in different colors above and below this depth.

Safety Contour, Shallow Contour and Deep Contour define different depth ranges which will be displayed with backgrounds of different shades of blue.

Note:This option is overridden by the Two Depth Shades option.

Scale Minimum displays different map features and symbols at varying zoom scales according to S57 standards. This option prevents your Map window from becoming overly cluttered. If this option is clear, everything will be displayed regardless of the zoom scale.

Two Depth Shades uses only two shades to display depths greater than and less than the Safety Contour.

Shallow Pattern draws a pattern in the areas of the map where the depth is shoaler than the safety contour.

Full Sector Lights includes data regarding direction and color of lights. If this is off, you will see only the position of the light source.

Show Soundings toggles the display of chart soundings.

Visual Quality of Data: S57 charts include markings that indicate whether the chart has been tested for accuracy and, if so, how accurate it is. Check this option to clear this ‘clutter’ from your display.

Draw Information Boxes: Draws S57 markers at all points of interest. Clearing this option will provide a less cluttered display.

Load Chart Updates: When you load a base chart (typically *.000) and there are update charts (typically *.001, *.002…) in the same folder, checking this option loads all related chart information to provide the most updated display.

Seasonal/Time Period Filter: Object attributes may specify time ranges when they would be most applicable to display. Check this option to display only objects whose attributes match the current time.

HYPACK Soundings Display: When 'Show Soundings' is checked, this option toggles between ECDIS display and HYPACK display options.

Isolated Danger in Shallow Water assures that those features coded as isolated dangers are always displayed.

Hide Extra Contours: Omits any contour that is above the deep contour or below the shallow contour. They are valid contours, but do not contribute to the safe navigation of your vessel.

Text Display Groups: Charts can get cluttered with excessive text. Select only those text features you want to see in your chart display.

More Information

• Entering your Geodetic Parameters


Contour Planning Displays in the ENC EDITOR

In the Map window, select S57-DISPLAY OPTIONS (F9) and the S57 Display Options dialog will appear for you to choose how your chart will be presented in the Editor display.

The Contour Planning tab provides options that adjust the display by additional user-defined variables related to your vessel and tide conditions. It also enables you to search for features, such as bridges, that may be too low for your vessel to safely pass under.

Contour Planning View Options

Tide: Tide level expected when you will be on the water.

Keel Depth: Distance from the water surface to the tip of the keel.

Safety Margin: Enables you to adjust the contours to allow for this amount of clearance beneath the keel.

Ship Height: Distance from the water level to the highest point on your vessel.

Set Shallow Contour to Keel Depth and Safety Contour to Keel Depth + Safety Margin calculates the adjusted contours based on your Keel Depth and Safety Margin variables.

Adjust Contours to Tide: Depth areas, contours and spot soundings are displayed accounting for changing tide levels to provide more accurate, real-time depth information for the helmsman.

Calculating the Adjusted Contours

To calculate the adjusted contour levels without affecting the chart display, enter your variables and click [Update]. The lower part of the dialog compares your contour depths as defined in the General Display tab and their adjusted values based on your contour planning options.

Checking Vertical Clearance

To verify safe vertical clearance, click [Vertical Clearance]. The program lists chart features that include the Vertical Clearance attribute, and use the user-defined Keel Depth, Vessel Height and (optionally) tide to calculate locations where your vessel has inadequate clearance.

Vertical Clearance Report


Spatial or Feature Displays in the ENC EDITOR

At times, it will be helpful if the map view displays only the spatial references or only the features. Then, of course, there are bound to be times when you need the spatial references overlaid on the features.

Two icons on Map window’s toolbar provide all of this functionality for you.

Display Chart Icon (left) and Display Geometry Icon (right)

The Display Chart icon toggles the display of the feature objects, while the Display Geometry icon controls the spatial reference display. You can set one on and one off or both on, depending on your needs at any time. (Of course, you can also set them both off, but an empty screen is not very useful!)

In addition to turning spatial and feature displays on and off, you can include or exclude certain objects in your chart display through the general options (DISPLAY-GENERAL OPTIONS).

•Show IN Spatial toggles isolated node displays on and off

•Show 3D Spatial toggles 3-dimensional spatial information (like depths) on and off.

•SOE (Skin of the Earth) Only Feature toggles features that are not Skin of the Earth features on and off. SOE features include geological features such as land and water. This option overrides other options that might be selected to display but are not Skin of the Earth.


Depth Display Options in the ENC EDITOR

The Processing menu includes options for removing or minimizing the clutter of excessive sounding data.

Combine Soundings assigns all soundings to a specialized type of spatial object which lists the positions for all soundings currently in the chart. This reduces the amount of memory required to store and display the information. If you import new soundings from subsequent surveys, they will remain separate from the grouped soundings unless you select this option again.

Remove Soundings, Depth Areas and Contours omits the chart’s depth data from the display.

Removing Hydrographic Data Before (left) and After (right)


Previewing the S57 Display Schema in the ENC EDITOR

The ENC EDITOR displays your charts based on a standard scheme of colors and symbols.

To preview how features are drawn to a chart without actually adding the feature to a chart, select ENC-SCHEMA. In the Display Commands tab, you can select any chart feature in the library and view a sample of the corresponding feature.

Schema Library


Adjusting the Display for Lighting Conditions in the ENC Editor

If you work in varying lighting situations, you can adjust the brightness of the chart display in the Map window to optimize your viewing.

In the menu, select ENVIRONMENT then any of the lighting choices from “Day Bright” to “Night”. The chart will darken or brighten accordingly. This does not affect the window elements of the ENC EDITOR windows.

Setting your Lighting Option


Cursor and Delete Options in the ENC Editor

To set options for the cursor display and delete confirmation, select DISPLAY-GENERAL OPTIONS.

Environment Options Dialog

Cursor Position Display Options: The status bar in the Editor shows the position of your cursor in the chart. Select ENVIRONMENT-OPTIONS and select the format of this display. It can be X,Y or Lat./Lon. (3 configurations).

Confirmation on Delete tells the program to ask you for confirmation each time you delete an object in your chart.

Default Attributes on Feature Create is in development. The intent is that any feature with a ‘required’ attribute tag, but without a defined attribute, will be assigned the default ‘missing attribute’. In this way, the chart will pass validation, though the attribute has not been specified.


Feature Types in S57 Charts

There are four types of chart features:

•Point features can be positioned using a single point (usually an isolated node). A rock, a buoy, a light or a wreck may all be adequately positioned in this way.

•Line features require 2 or more connected points forming a line (not a closed polygon) to describe them. Pipelines, roadways and shorelines are all line features. This type of feature will be described by a chain (or a series of chains each) terminated by a connected node.

•Area features are described by closed polygons. These areas may be defined by one or more chains. The simplest area is described by a chain that begins and ends at the same connected node. The area described is always to the right of the chain.

•Collections feature that references other features, but contains no spatial information.

Each feature is positioned in your chart by associating it with a spatial record.

Both features and spatial records have properties defined in the S57 chart. They can be displayed by clicking the Feature Information icon in the Features and Spatials tabs.


Working with Spatial Records in the ENC EDITOR

Some situations require you to create a new spatial reference without a feature assigned to it yet. For example, if you have multiple features associated to one spatial reference, then decide to relocate one or some (but not all) of them.

Let’s say the Coast Guard Station has been out on a rocky point by the lighthouse with an isolated beacon, but now the Coast Guard is moving down the beach. In this case, you would create a spatial record at the new location (where the Coast Guard Station is), then assign the feature (the Coast Guard Station) to the new spatial record. That leaves the beacon at the lighthouse which has not moved.

There are two methods to do this:

•Using the Spatial Editor

•Using your Cursor

More Information

• Creating Spatial Records through the Spatial Editor

• Creating Spatial Records using the Cursor

• Modifying Chains using Cursor Tools

• Chain Direction Affects the S57 Area Described

• Removing Spatial Records

• Moving All Features with their Spatial Reference in the ENC Editor


Creating Spatial Records through the Spatial Editor

1.In the Browser-Spatials tab, click the Add Spatial icon. The Spatial Editor dialog will appear.

Spatial Editor

2.Select the type of spatial that you want to create and click [Create]. In this example, we will create an Isolated Node for the new Coast Guard Station. (The procedure for other feature types is basically the same.) The spatial record will appear in the Browser Spatials list. Since, this time, we have only created a node, there is only one point listed in the spatial information. Chains and areas show no points; you will have to define them in the Point Editor.

Note:There are no references listed because this spatial reference does not yet have any features associated with it.

The New Spatial Object Listed in the Browser.

3.Double-click on the points information in the Information Tab. The Point Editor will appear.

Tip: The Follow on Map checkbox will highlight the spatial selected in the Map, regardless of your zoom scale. This will be particularly handy when you are defining areas.

4.Choose to input position information in lat./lon. or in local coordinates. A button on the toolbar toggles between the two options—[XY] and [LL].

Point Editor

5.Enter the correct coordinates for your spatial record and click [OK].

•If you chose “Isolated Node” or “Connected Node” in step 2, default point coordinates will appear. Modify them for your purpose and click [OK].

•If you chose “Soundings” or “Chain”, the icons will be enabled for you to create the required number of points and enter the coordinates.

•Add Point adds a row to the bottom of the spreadsheet.

•Insert Point adds a blank row above the currently selected row.

• Delete Point removes the current row from the spreadsheet.

•[Import] enables you to read the points from an XYZ file. Just click [Import] and select the XYZ file containing points that describe your feature.

Creating a chain or area requires a few more steps to create and attach the mandatory connected nodes as follows:

Tip: This process is easier if you zoom in closely to where you are adding the connected node.

6. Click the Add Connected Node icon and create 2 Connected Nodes for the ends of a Chain (or 1 for a simple Area).

7.Close the Point Editor.

8.Connect the connected node and the chain. Click [+Connect] then click the connected node and the chain end. A connecting line will be created. Repeat to connect the other end of the chain to the other connected node (or, in the case of a simple area, to the same connected node).

A new spatial object will appear red because it is currently selected. When it is no longer selected, it will be blue.

More Information

• Assigning Feature Position


Creating Spatial Records using the Cursor

1.Load the chart or chart area. This method is most useful if you do not have a list of specific coordinates that define the positions of the nodes. (It is difficult to be that accurate with the cursor, though you can make an approximation then edit the coordinates later.)

2.In the toolbar, click the add button for the type of spatial object you want to create.

Icons for Spatial Objects.

Add Button | Spatial Object | Chart Display Symbol | Sample Feature
[Add Isolated Node] | Point | Triangle |
 | Chain and Area | Small squares connected with straight lines. |

3.Click the location or locations of the feature on your chart and the corresponding feature will appear.

•For Point Objects, a point spatial is generated at each location you click in the chart until you click the Add button again.

• [image] For Chains and Areas, an additional control dialog will appear. Click in the chart to define all of the nodes in the chain then click [Done].

If the Closed option is selected, the ENC EDITOR will create a closed polygon by adding a segment and a connected node between the first and last nodes. Otherwise, the chain will be created as a polyline with connected nodes at each end.

4.When you are finished, change back to the Selections Tool by clicking the arrow on the toolbar.

Important: If you fail to do this, you are likely to create some unintended spatial references.


Modifying Chains using Cursor Tools

After a chain or area spatial has been defined, you may want to adjust the shape in a way that requires additional points to define the chain. Using cursor tools, you can insert either a simple point or a connected node into an existing chain.

1.Use the selector tool to select the chain or chain segment.

2.Click the tool for the type of spatial you want to insert.

•For a simple point, click [/]PT.

•For a connected node, click [\]CN.

3.Using your cursor, drag a line across the chain at the position where you want to insert the point. When you release your mouse button, the point or connected node will be inserted.

Inserting a Point (top row) and Connected Node (bottom row)


Chain Direction Affects the S57 Area Described

When you are describing areas, S57 rules require that the area being described always lie on the right of the line. The questions now become, “Which side is the right side?” and “Have I described an island (the interior of the polygon) or a hole (the exterior of the polygon)?”.

When you have assigned a chain (or series of chains) to an area feature, they are listed in the references list of the Features Tab. You will see, as part of that listing, three properties of the chain listed in parentheses. The first describes the direction of the chain. There are two choices:

•Forward (Fwd) means that the chain goes in the direction it was created with a connected node on each end. (Connected Node, #1, #2,…#n, Connected Node)

•Reverse (Rvs) means that the chain goes from last to first node created with a connected node on each end. (Connected Node, #n,…#2,#1, Connected Node)

• Determining Chain Direction

• Determining Left and Right of the Chain

• Modifying Chain Direction

Determining Chain Direction

At this point in the process, we are referring to the direction of the spatial object. Just click on the spatial object displayed in the map and the chain will highlight with arrows indicating its direction. (The Clipboard will also appear showing the name of the chain you have chosen.)

The direction indicated by the arrows may be different than the direction of the chain in one or more of its assigned features. For example, a chain may be created in the clockwise direction to define an island. The same chain may be assigned to the surrounding water depth area which would require that its direction be reversed.

Clockwise Defines the Coastline

Counter-clockwise Defines the Depth Area

Note:Take care that you select the object only in the Map or Clipboard (forward direction). If you have also selected one of the features to which it is assigned where its direction is reversed, you will see arrows going in both directions.

Return to Top

Determining Left and Right of the Chain

Once you have the direction of the chain, determining the left and right just needs a little imagination. Imagine that you are standing on the first point of the chain (#1) and looking toward the second point. The area that you have described with that chain is to the right. If this is not what you intended, reverse the direction of the line.

Return to Top

Modifying Chain Direction

There are two procedures for changing the direction of the chain.

•Using the Spatial Point Editor: This process is most useful if you have only a few chains and all you have to do is change the direction of one or two.

•Using the Chain Reference Editor. This method is more useful when an area is described by multiple chains. It allows you to see all of the chains, their order and how they relate to each other. In addition to enabling you to reverse chain direction of more than one chain, the dialog provides tools for you to remove or re-order them as well.

Modifying the Chain Direction with the Spatial Reference Editor:

1.In the Features Tab, select the chain in the references list.

2.Click the Edit Reference icon and the Spatial Reference Editor will appear.

Spatial Reference Editor

3.Select the correct orientation using the drop-down list and click [OK].

Modifying Chain Direction in the Chain Reference Editor:

1. In the Features Tab, click the Open Chain Reference Tool icon. The Chain Reference Editor will appear. It displays the ID numbers of the connecting node pairs that link all of the chains that describe the line or area.

2.Check for two conditions.

•The last ID of one chain should be the first ID of the next chain following it in the list.

•If you have defined an area, the last ID of the last node should match the first ID of the first node to describe a closed polygon.

Chain Reference Editor

3.If either of these conditions is not met, modify your list to meet them.

•To re-order the chains select them, one at a time, and shift them up or down using the arrow buttons.

•To swap the begin and end points, select the chain and click [Reverse].

4.When the two criteria are met, click [Close] to return to the Browser.

Return to Top


Removing Spatial Records

An ‘Orphan’ is a spatial feature that has no chart feature associated with it. If a spatial does not describe a chart feature or any part of a chart feature, it is likely not contributing anything to the chart in its current state.

You can manually delete individual spatial records or, if your chart is in a finished state, with all chart features created and assigned to their spatial references, you can quickly remove all orphaned spatial features.

Beware! Before you delete a spatial record, always check the list of features associated with it to be sure you are not deleting something important.

Manually Deleting A Spatial Record:

1.Select the spatial in the Map window. The selected spatial appears in the Clipboard window.

2.In the Spatials tab, confirm the spatial has no associated feature that you need.

3.Click the red [X]. The program asks you to confirm your deletion.

4.Finalize the deletion. Click [OK].

Automatically Removing All Orphans:

Select PROCESSING-REMOVE ORPHANS. The ENC EDITOR checks each spatial for an associated chart feature and removes all orphans from your chart.

Removing Orphaned Spatial Features—Before (left) and After (right)


Working with Chart Features in the ENC EDITOR

Whether you are creating a new chart and have a blank area within your boundaries in front of you, or you are modifying an existing chart, the procedures for adding, moving or deleting chart features are generally the same.

Point Features are the simplest type, then the Line and Area Features are only a bit more complex.

More Information

• Adding Features in the ENC Editor

• Modifying a Feature in the ENC Editor

• Moving a Feature in the ENC Editor

• Deleting a Feature in the ENC Editor

• Creating Spatial Records using the Cursor

• Reversing Edit Operations in the ENC EDITOR


Adding Features in the ENC Editor

All feature types are added in, generally, the same way. The following sections will provide detailed information on how to:

1.Create a feature.

2.Assign attributes to the feature.

3.Assign a location to the feature.

• Adding Point Features

• Adding Line or Area Features

• Assigning Feature Attributes

• Assigning Feature Position

• Skin of the Earth Features

Adding Point Features

Point features are unique in that, you can create the feature and link it to an isolated node all in one process. Of course, you can also create them separately then link them together.

Creating a Point Feature with Spatial Record

If you are creating a point feature in a location where no spatial record exists, you can create both at once by using the following method.

1.In the Chart tab of the Object Editor, select the chart to which you want to add the feature.

2.Capture the location where you want to place the feature. Double-click in the Map window chart display at the location where you will place the object. The ENC EDITOR will capture the cursor position.

3.Add the feature.

a.In the Browser, select the Feature tab and click the Add Feature icon. The Create New Feature dialog will appear for you to describe your feature.

Create New Feature Dialog with Spatial Record

b.Select the feature class and geometry from the lists. Since you are creating a point feature, select ‘Geo’ and ‘Point’. When you select the geometry, the list of features will include only those that can be point features.

c.Make a selection from the Features list. A generic feature description appears.

d.Enter the captured position.

i.Check the ‘Create Spatial for this Feature’ box.

ii.Click the clipboard icon. The ENC EDITOR calculates the local X Y and enters the captured position for you.

e.Click [Create]. The dialog will close and the new feature will be drawn in the Map window and added to the Features and Spatials lists in the Browser.

Feature listed in the Browser—Features Tab (left), Spatial Tab (right)

Creating a Point Feature Without Spatial Record

You may have more than one feature located in the same place. After you create the first feature with its spatial record, additional features are added at the same location by creating them without spatial records, then assigning them to the existing spatial record.

For example, this would occur if you have submerged rocks marked by a buoy. In this case you might create your rocks with a spatial record (as described above), then create the buoy and assign it to the same spatial record.

1.Select the Feature tab and click the Add Feature icon. The Create New Feature dialog will appear for you to describe your feature.

Note:Leave the Spatial Data area blank.

2.Click [Create].

3.Assign your feature to your spatial record.

Note:Until this feature is assigned to a spatial record, it is not listed in the Spatials tab nor are there any references in the Features tab.

Feature Listed in the Browser—Features Tab

Return to Top

Adding Line or Area Features

Now that you are experts at manipulating points, the procedures for working with chains and areas follow about the same pattern.

Chains differ from Points as follows:

•You cannot create them with spatial information in one process.

•Chains must be terminated by connected nodes.

•For a Line Feature, you would add a connected node to each end.

•For an Area, create a chain or a series of chains and link the ends with a connected node to form a polygon.

A Line or Area Feature is created in the same way as a Point Feature that is created initially without spatial data. The sequence of events is always:

1.Create a Line or Area Feature.

2.Create a Chain Spatial Object.

3.Link the Line or Area Feature to the spatial record in the same manner as Point Features are linked to their spatial records.

In the following example, we are creating a berth feature as a Line Feature in order to compare creating a Line Feature with creating a Point Feature. A berth feature could also be an Area Feature, since it can define an enclosed space so we will also note the minor differences in the process to create the Area Feature instead.

1.In the Browser, select the Feature tab and click the Add Feature icon. The Create New Feature dialog will appear for you to describe your feature and click [OK].

Create New Feature Dialog with Spatial Record

2.Under ‘Geometry’, select ‘Line’ (or ‘Area’) and the list of features will include only those that can be Line Features. (If you wanted to create an Area Feature, the same would apply if you chose the "Area" geometry.)

3.Select the feature class, ‘Berth’, from the list and click [Create].

Note:The Spatial fields are only displayed in the Create New Feature dialog when you are creating a Point Feature. Spatial information for line and area features must be created and assigned separately.

4.Click [Create]. The dialog will close and the new feature will be added to the Features list in the Browser. It cannot be drawn to the map yet because it has no position information (spatial record) assigned to it.

Feature Listed in the Browser—Features Tab

Return to Top

Assigning Feature Attributes

When a feature is created, regardless of whether it is Point, Line or Area, the ENC EDITOR has only a minimal amount of information about it. Each feature type has a series of attributes that further describe it. Attributes that may be applicable to your feature are listed under Attributes in the Features tab of the Browser.

Sample Browser Listing Objects and Attributes

When a new feature is first created, each attribute is followed by “N/A”, which indicates the attribute has not been assigned to the feature. You need only apply the attribute (or attributes) pertinent to your feature. All are optional.

1. Select the attribute that you want to apply in the list and click the Edit Attribute icon (or double-click the attribute). An Attribute Editor dialog will appear with options specific to that attribute.

Sample Attribute Editor

2.Describe the attributes. Often this is as easy as choosing from a list of standard options provided in the dialog. Otherwise, enter the appropriate information.

3.Click [OK] to apply the attribute and return to the Browser. The selected description will replace the “N/A” next to that attribute type in the Attributes list.

Removing an Attribute:

Select the attribute under Attributes in the Features tab of the Browser and click the “Remove Attribute” icon. The description will return to “N/A”.

Modifying an Attribute:

Select the attribute under Attributes in the Features tab of the Browser and click the Edit Attribute icon again. Change the setting in the Attribute Editor and click [OK].

Return to Top

Assigning Feature Position

If you have created a feature without spatial record, the chart still needs to know where the feature is located.

1.If a spatial record does not exist at the correct location, create one.

2.Select your feature in the Features tab of the Browser. Notice the References area is blank when there are no spatial records assigned.

Features with No Spatial Records Show No References.

3. Set the Map window to show spatial records only by clicking the Display Geometry button.

Selecting the Spatial Record in the Editor

4.Click on the Selector Tool icon in the toolbar then use the cursor to click on the spatial object in the map window. The Clipboard window will appear and display a 2-letter code to indicate the type of spatial and an ID number that is unique to the selected object.

The Clipboard window is used, in this case, to record your spatial information so that you can transfer it to the Browser.

a.Check to be sure the Browser Features Tab is still on the feature you have created for that location.

b.Drag the spatial object from the Clipboard window to the References area in the Browser. The spatial information should now be written in the References Area of the Browser. Also, if you change to the Spatials Tab, the feature you have created should be displayed in the reference area for the spatial feature in the Spatials list.

Feature Listed in the Browser—Features Tab (left), Spatial Tab (right)

c.In the Map window, click the Display Chart icon and the appropriate symbols, if there are any, will be displayed.

Features Show Symbols in Chart View

Return to Top

Skin of the Earth Features

The Skin of the Earth Only display option (DISPLAY-GENERAL OPTIONS) displays only Skin of the Earth features. Typically, these features are bodies of land and water.

To make your feature a Skin of the Earth feature:

1.Select the feature in the Features tab of the Browser.

a.Select the feature in the Map window. Its name appears in the Clipboard window.

b.Click [Browser].

2. Click the Feature Information icon. The Feature Properties dialog will appear.

Sample Feature Properties Dialog

3.Check the Skin of the Earth checkbox and click [OK].

Return to Top

More Information

• Working with Spatial Records in the ENC EDITOR

• Assigning Feature Position


Modifying a Feature in the ENC Editor

If a feature on your chart has changed, you could update the chart by deleting a feature and then creating a new one at the same location. However, it is quicker and easier to just modify the feature associated with the same spatial record.

1.Select the spatial record in the map window. The Clipboard will appear with the name and ID of the selected spatial.

2.In the Clipboard, click [Browser] to display the associated features in Spatials tab under References.

3.In the References list, double-click on the feature that you want to change. The browser automatically switches to the Feature tab with the same feature selected.

4. Click the Change Selected Features icon. A Create Feature dialog will appear.

5.Select a new feature of the same type as the original feature and click [OK]. The original feature will be replaced with the new one.

More Information

• Modifying Chain Direction


Moving a Feature in the ENC Editor

There are two ways to move a feature. The method you choose depends on how the spatials and features are constructed and what you are trying to accomplish.

•Moving All Features with their Spatial Reference in the ENC EDITOR: Each feature is assigned to a spatial record which defines its position. If you want to move all features assigned to the spatial record, just change the coordinates of the spatial record.

•Moving Features to a New Spatial Record: If you have more than one feature assigned to a spatial record, but you don’t want to relocate them all, it is a little more complicated. You must create another spatial (unless an appropriate one already exists) and reassign the feature (or features) to the new spatial record.

• Moving All Features with their Spatial Reference in the ENC Editor

• Moving Features to a New Spatial Record in the ENC Editor

Moving All Features with their Spatial Reference in the ENC Editor

If you have the XY coordinates at the new position, you can identify the spatial and enter the new position in the Point Editor dialog.

You can also use the cursor to drag points in the chart geometry display in the Map window. Additional lines will appear to display the projected results of the move. This method is probably most useful when you don't need exact positioning. Though the cursor positioning is displayed in the status bar, it is still difficult to position nodes exactly using this method.

Moving Spatial Records through the Point Editor:

1.Find the feature that you want to move in your Map display.

2.Set the Editor chart display to show only the spatial data using the icons on the toolbar.

3.Select the spatial associated with the feature. (It will become highlighted and the selected point or line segment will turn red.) It will also be listed in the Clipboard window.

4.Verify you want to move all features associated with the spatial record.

a.Click [Browser] in the Clipboard window, to automatically select the spatial to which your feature is referenced in the listing in the Spatial tab.

b.Check the list of associated features in the References tab of the Browser.

Connected Node Selected in the Browser

5.Click [Edit] in the Clipboard and the Points Editor dialog will appear with a display of the point coordinates that define the spatial position.

Editing the Coordinates in the Point Editor

6.Elect whether to display XY or Lat/Lon. coordinates. The button on the toolbar toggles between the two options.

7.Change the coordinates in the Points Editor to define the new location and click [OK]. Depending on the distance you are moving the spatial and the scale at which you have set your chart display, you may see the symbol move on the chart.

Moving Spatial Records using the Cursor:

You can use the cursor to drag points in the chart geometry display in the Map window. Additional lines will appear to display the projected results of the move.

This method is probably most useful when you don’t need exact positioning. Though the cursor positioning is displayed in the status bar, it is still difficult to position nodes exactly using this method.

1.Set the Editor Map display to show only the spatial data using the icons on the toolbar. Depress the Show Geometry icon. Deselect the Show Chart icon.

2.Click [< - > Node] in the toolbar.

3.Drag the point or points in the spatial record to the new location.

Note:You can abort the operation by clicking the Escape key before releasing the mouse button.

4.Return to the selection tool to cancel the Move Spatial cursor mode.

Important: Failure to cancel the Move Spatial mode may cause you to inadvertently move additional spatial features.

Return to Top

Moving Features to a New Spatial Record in the ENC Editor

If you have more than one feature assigned to a spatial record, but you don’t want to relocate them all, it is a little more complicated. You must create another spatial (unless an appropriate one already exists) and reassign the feature (or features) to the new spatial record.

We already know how to create a spatial record. Now we have to move the feature.

1.Select the feature in the Features tab of the Browser.

a.Select the feature in the Map.

b.In the Clipboard, click [Browser]. The spatial reference is listed in the References tab.

c.Double-click the reference to open it in the Features tab.

2.Remove the link between the feature and the current spatial information.

a.Select the spatial reference and click the Remove Attribute icon. You will be asked to confirm that you want to remove the attribute.

b.Click [Yes] and the reference will be removed.

3.Assign the feature to the new spatial record.

Return to Top

More Information

• Working with Spatial Records in the ENC EDITOR

• Assigning Feature Position


Deleting a Feature in the ENC Editor

It is important in this process to remember the difference between spatial records and features, as well as the results of deleting a feature versus deleting a spatial record.

A feature is an object with all of its descriptive data except its position. When you delete a feature, you will delete one object that is associated with a spatial record.

The spatial record is the position information. If you delete the spatial record, the ENC EDITOR cannot display any of the features that had been referenced to it because it no longer knows where to draw them.

Beware! Before you delete a spatial record, always check the list of features associated with it to be sure you are not deleting something important.

To delete a feature, select it in the Features tab of the Browser and click the Remove Feature Icon.

That sounds simple, right? Well, not quite. The trick is sorting through the potentially lengthy list of features and spatial records to find the one you want to delete. For example, the Features tab may list many lateral buoys and you have to find the one you want to delete.

Most often, it will be easier for you to select it first in the Map window then delete it in the Browser. Here’s how it works:

1.Find the feature that you want to delete in your chart display.

2. Set the Editor chart display to show the spatial data using the icons on the toolbar. Depress the Show Geometry icon.

3.Select the spatial object associated with the feature by clicking on it in the chart. (The selected point or line segment will turn red.) It will also be listed in the Clipboard.

Selected Point (left), Chain (right)

Chain Shown in the Clipboard Window

4.Click [Browser] in the Clipboard window, to automatically select the spatial in the Browser’s Spatial tab.

Browser—Spatials Tab

Remember, for every object listed in the Browser, there is additional information about it. The Spatials tab includes a listing of the features that are associated with the selected spatial. The feature that you are deleting should be listed there.

5.Double-click the feature in the Reference list of the Spatials tab. The Browser will change to the Features tab with your selected feature highlighted.

Browser—Features Tab

6.Click the Remove Feature icon. You must confirm that you want to delete the feature, then it will be removed.


Clipping A Feature Against Another in the ENC EDITOR

When you have two overlapping features, you may need to edit them for a number of reasons. For example:

•For the physical features to make sense. (Overlapping land areas of different types would not really occur.)

•To adhere to S57 spatial rules. (There should be a connected node where chain segments intersect and features cannot extend beyond the chart borders.)

You can clip features against each other to correct these problems.

To clip one feature against another:

1.Drag two features (not the spatials), each of line or area type, to the clipboard.

Important: The order is important. The first line or area is the one against which the other is clipped.

Two Area Features in the Clipboard

2.Select PROCESSING-CLIP. The Clipping Options dialog will appear.

Clipping Options Dialog —The White Square Represents the First Feature in the Clipboard

3.Select your clipping options. There are several clipping results depending on the chosen feature types—line or area—and the combination of selected options. The diagram in the dialog, where the white square represents the first feature in the clipboard and the blue the second, updates to reflect the results of each set of options.

Note:If you are clipping against a line feature, only the ‘Connected Nodes Only’ option is available.

Full Clipping Options

Relationship | Clip Type |  | Results Diagram
Connected Nodes Only | Not Applicable | If chains intersect, inserts connected nodes at the intersections. |
Universal | B to Interior of A | Keeps A, and B only where it falls within A. |
 | B to Exterior of A | Keeps A, and B only where it falls outside A. |
Intersection Only | B to Interior of A | If chains intersect, keeps B only where it falls within A. |
 | B to Exterior of A | If chains intersect, keeps B only where it falls outside A. |

4.Click [Clip]. The feature display automatically updates in the map and any orphan spatial records are removed.

Tip: If the results are not what you intended, click [Undo] and try again.


Reversing Edit Operations in the ENC EDITOR

Each change is recorded as user actions in a log. This log can be viewed clicking the glasses icon in the Charts Tab. Each operation is comprised of one or more edits marked with the same number in parentheses.

Viewing the Edit Log

Each time you click [Undo], your latest action will be reversed; the chart features will return to their previous state and the corresponding entries (all with the same number) will be removed from the log.

[Undo All] reverses all of ‘User Action’ operations, returning you to the base chart in its original state.


Saving an Update Chart

Each change is recorded as user actions in a log. This log can be viewed clicking the glasses icon in the Charts Tab.

Viewing the Edit Log

[Save Update] saves all user actions to an update chart file in your project. The file name will use the original root and increment the extension by one from the latest update in your project.

Note:For a complete chart display that includes your work, you should load your base chart and its update charts.


Creating S57 Features with Digitize Options in the ENC Editor

The Digitize routine automatically generates both the spatial and feature records as you use your cursor to digitize a feature in the Map display.

1.Click [Digitize] in the toolbar. The Digitize Options dialog will appear.

Digitize Options Dialog

2.Select New Feature and click [...]. The Create New Feature dialog will appear.

Create New Feature Dialog

3.Select the feature with its class and geometry and click [OK].

If you have chosen a feature with Area geometry, the Spatial Target options will be enabled in the Digitize Options dialog.

4.If you are creating an area object, choose a spatial target.

•Exterior Polygon: You are describing the area inside the polygon.

•Interior Polygon: You are describing an area outside the polygon.

Note:Take care to describe your polygon in the correct direction—clockwise for exterior polygons and counterclockwise for interior polygons.

Exterior and Interior Polygons

5.Use the Add Chain icon and [+ Connect] tools to digitize your feature in the map display. When the first spatial is completed, the feature and its spatial reference automatically appear in the Browser. As each chain or node is added to the feature, the spatial is added in the feature’s reference list.

Tip: When defining and area feature, click the Add Chain icon and select the Closed option in the Action dialog. When you have digitized all points on the perimeter of the feature, click [Done] and the editor will automatically close the polygon.

6.Click [Done with Feature].

7.For each additional feature, repeat the process from step 2.

8.When you have finished digitizing features, click [Close].

More Information

• Creating Spatial Records using the Cursor

• Chain Direction Affects the S57 Area Described


Adding DXF or DGN Chart Data to your S57 Charts in the ENC Editor

The ENC EDITOR can read data from DXF and DGN charts so you can incorporate it into a new or existing S57 chart. DXF/DGN chart information can be used to create additional spatial features.

1.Importing the DXF/DGN file.

2.Converting the DXF/DGN features to S57 features.

3.Save your S57 chart by selecting the Save Chart icon.

•If you are creating a new chart, you are free to name it whatever you want within the confines of the S57 naming convention.

•If you are updating a chart, you probably want to adjust the name in a way that you know the chart from which it originated and its revision.

More Information

• Importing DXF/DGN Charts to your S57 Charts in the ENC Editor

• Converting DXF/DGN Features to S57 Features in the ENC Editor


Importing DXF/DGN Charts to your S57 Charts in the ENC Editor

1.If you are creating a new chart, note the minimum and maximum latitudes and longitudes. (HYPACK users can display the DXF/DGN and see where it falls on their grid.)

2.Open the ENC EDITOR.

3.Set the geodesy to match the project’s geodesy. This assures that the S57 chart and your DXF/DGN chart are in the same place.

4.Load a chart.

•Create a new chart using your lat./lon. positions.

•Load an existing S57 chart for the area.

5.Enter your Chart Information.

6.Import your HYPACK DXF/DGN file.

a.Select ENC-IMPORT and a file open dialog will appear.

b.Select your file type and file. The chart data will be displayed in the map window of the Editor and an additional tab will be included in the Browser with a feature listing for each item found in the DXF/DGN.

7.Verify the imported chart falls within the boundaries of the S57 chart. To do this, display the chart geometry, which will include the chart boundary. All data must fall within your chart boundary to comply with S57 chart standards.

•If you want to update an existing chart, but your data extends beyond the boundaries, you must clip your data to fit the chart boundary or delete those points that are outside the chart boundaries.

•If you are creating a new chart, you can begin again, adjusting the Lat./Lon of your boundaries to accommodate your data.

More Information

• Defining your Chart Information in the ENC EDITOR


Converting DXF/DGN Features to S57 Features in the ENC Editor

Once the ENC EDITOR has read the DXF/DGN data, the next step is to convert the DXF/DGN features to the S57 spatial/feature pairs. This can be done manually or, if you imported a DXF chart of certain specifications from the TIN MODEL program, it can also be done automatically.

• Manual Conversion of DXF/DGN Features to S57 Features

• Automatic Conversion of TIN Model Contours in your S57 Chart

Manual Conversion of DXF/DGN Features to S57 Features

1.Select the DXF/DGN feature that you want to include in your S57 chart. When you select a DXF/DGN feature, it will be displayed in red in the Editor and highlighted in the Browser.

•In the Browser: Hold the Shift key and select the first and last point in a range or hold the Ctrl key and select individual points.

•In the Map display: Click [P+] on the imported file tab in the Browser, then select the points in the map. You may select multiple points in a region by clicking and dragging a rectangle.

2.Use the buttons at the bottom of the DXF tab to convert the selected feature or features.

Button | Function
Chain 1:1 | Converts each selected DXF/DGN polyline feature to a chain spatial object. This could be useful if you have several DXF/DGN features that should all be converted to chains. You would then need to assign S57 features to each chain.
Chain N:1 | Converts point objects, targets or C-points to a chain spatial object. They will be joined in the order in which they appear in the Browser.
Snd N:1 | Converts all selected points to a single sounding record.
Ftr 1:1 | Converts each selected feature to an individual S57 feature. For example, if you have multiple rocks, you can convert them all at once.
Ftr N:1 | Converts all selected DXF/DGN features to a single S57 feature. For example, depth areas and land masses are often described by more than one chain. Select them all (in order and in the proper direction) to create the S57 feature.

As each conversion is made, the spatial and feature records will be added to their respective tabs. You can choose to also remove them from the DXF tab by clicking [Options] in the DXF tab and selecting Delete Entries after Conversion.

In the following examples, we have already loaded a DXF file to a new S57 chart. Each example uses a different conversion button. The first example converts soundings. In the last three conversions the DXF file contains contour lines.

• Converting with Snd N:1:

• Converting with Chain 1:1

• Converting with Chain N:1

• Converting with FTR 1:1

• Converting with Ftr N:1:

Converting with Snd N:1:

1.Select all text objects that represent soundings from your DXF/DGN.

All Soundings Selected

2.Click [Snd N:1]. All of the soundings are converted to a spot sounding feature.

Soundings Converted

Converting with Chain 1:1

1.Select the contour. The contour shows red and the feature is highlighted in the Browser.

2.Click [Chain 1:1] and the selected feature will be converted to a chain spatial object.

Using this method, you have only spatial information. You would still need to create the Depth Contour line feature and assign it to the chain spatial record.

Converting with Chain N:1

1.Select multiple point objects, targets or C-points. The point shows red and the feature is highlighted in the Browser.

Note:Soundings objects are not supported in this operation.

Multiple Targets Selected

2.Click [Chain N:1] and the selected features will be converted to a chain.

Note:They will be joined in the order in which they appear in the Browser.

Selected Targets Converted

Converting with FTR 1:1

1.Select the contour. The contour shows red and the feature is highlighted in the Browser.

Selecting a DXF Feature

2.Click [FTR 1:1] and the Create New Feature dialog will appear.

Create New Feature Dialog

3.Select the Filter. In this case, we should select “Line” because the selected chain is not a closed polygon. The dialog will now only show line features.

4.Select “Depth Contour” and click [OK]. Both the chain spatial object and the program will generate the reference to a depth contour feature.

If you are importing a HYPACK DXF contour file, a single operation can convert all of the DXF contours to S57 contours, each with the correct depths attribute.

1.Import your DXF chart.

2.In the DXF tab in the Browser, click [Options], check the ‘Depth Value Attributes from DXF Name’ option and click [OK].

3.Select any number of contours.

4.Click the Ftr1:1 button.

5.Select Line geometry and the Depth Contour feature, and click [OK]. The program reads the depth value attribute for each selected DXF contour, converts the contour to an S57 depth contour and assigns the correct depth attribute.

Converting with Ftr N:1:

In this case, instead of creating a contour, we’ll create a depth area. This particular area has a few “islands” in the middle of it, so it requires multiple chains to describe it.

1.Select multiple features holding the shift key.

Selecting Multiple DXF Features

2.Click [Ftr N:1] and the Create New Feature dialog will appear.

3.Select the area filter and Depth Area from the list and click [OK].

Four Chains Converted

4.Check the line directions. Remember the chain describes something to the right. Be sure all of the chains’ directions are set so the “right-hand” sides are all toward the depth area we are describing. In this example, we reversed the direction of three of the chains. It was a good thing we checked!

More Information

• Modifying Chain Direction

Return to Top

Automatic Conversion of TIN Model Contours in your S57 Chart

The ENC EDITOR enables you to import 2-dimensional filled contour files, created in the HYPACK TIN MODEL program and, with a click of one button, automatically incorporate them into your S57 chart.

File Specifications:

The DXF files must be created in a particular manner in order to contain the information in the format necessary for the ENC EDITOR:

•It must be created through the HYPACK TIN MODEL program.

•It must contain both contour lines and solid fill.

•It can contain no labels as the ENC EDITOR requires unbroken polylines.

•It must have exactly three custom levels. They will be read by the program as the three standard shallow, deep and safety zones of S57 charts.

Exporting DXF Files from the TIN MODEL Program for ENC EDITOR

Note: The fill colors are unimportant as they are not displayed once the file is imported to the S57 chart. The ENC EDITOR reads the depths from the DXF and colors it according to the S57 Display Options.

1.Select ENC-IMPORT and a File Open dialog will appear.

a.Select the DXF file type.

b.Select the DXF filled contour file and click [Open]. The selected file will load to the editor and display with your chart. A tab named with the file name is generated in the Browser to display your data.

2.Verify that the contours fall within the S57 chart boundaries you are creating or updating.

3.Click [TIN Import]. The program will automatically merge the contour data with the S57 chart.

Tip: Click the “Show Chart” icon and the chart will display the S57 colors according to your S57 Display Options.

The DXF File Loaded to the ENC EDITOR

The DXF File Merged in the S57 Chart

Return to Top


Adding XYZ Data to your S57 Chart in the ENC EDITOR

The ENC EDITOR can read XYZ data and enables you to incorporate it into a new or existing S57 chart. XYZ information can be used to create additional spatial features. This is really a two phase process:

•Importing the XYZ file.

•Converting the data to S57 features

The XYZ file can be either space or comma delimited. The program assumes the depth units match those indicated in your project geodesy settings, and converts them, as necessary to the units set in the Chart Information. They will, in turn, display according to the S57 display options (DISPLAY-DISPLAY OPTIONS).

Tip: If your data set is large or dense, you may want to consider changing the font settings so the text will not obliterate the other chart features or thinning the XYZ data set before you import it.

1.Select ENC-IMPORT and a File Open dialog will appear.

a.Select the XYZ file type.

b.Select the XYZ file and click [Open]. The selected file will load to the editor and display with your chart. A tab named with the file name is generated in the Browser to display your data points.

2.Verify that the soundings within the S57 chart boundaries you are creating or updating.

3.Merge your data with the chart.

•[XYZ->SND] converts all coordinate triads in your file to a single sounding feature.

•Additional options allow you to create a spatial object at selected points from your imported data set. The Feature options then enable you to create a feature associated with the spatial object.

a.Select your points.

•In the list in the Browser. Hold the Shift key and select the first and last point in a range or hold the Ctrl key and select individual points.

•In the Map display: Click [+P] on the imported file tab in the Browser then select the points in the map. You may select multiple points in a region by clicking and dragging a rectangle.

b.Click one of the following buttons according to your needs:

•[Snd N:1] converts all selected points to a single sounding feature.

•[Ch N:1] connects all selected points to form a chain spatial feature.

•[Ftr 1:1]: For each selected point, it generates a point feature with the same user-defined feature object. A dialog will appear for you to select your point feature object.

Note:You must select the point geometry and choose a point feature. Otherwise, no features will be generated.

•[Ftr N:1]: Use this to generate line or area features from your selected points. It connects all selected points to form a chain or area feature. A dialog will appear for you to select your spatial feature class and geometry, and the associated feature object.

Note:If you select point geometry and a point feature, a spatial record will be created at each point, but generate only 1 point feature positioned on the first spatial record.

Create New Feature Dialog

c.Describe the feature class and geometry. The Feature list updates accordingly.

d.Select the type of feature and click [OK]. The specified objects will be generated and displayed in the Map window.


Importing Golden Soundings in the ENC EDITOR

Golden Soundings are soundings or a series of soundings whose positions are used to generate Point, Line or Area features that are designated as more important than other project data. They are stored as point, polyline or poly-polygon features in a project-specific Golden Soundings database and listed in the Project Items list. You can closely examine, modify and delete your golden sounding records in the GOLDEN SOUNDING EDITOR.

In HYPACK, programs that support golden soundings either write them to the database or read them from the database, but not both.

Note:Golden soundings are visible in the programs that write them only until you close that program.

Programs that Support Golden Soundings

Function | Program
Write | •SINGLE BEAM EDITOR •64-bit HYSWEEP EDITOR •SB SELECTION •SORT •TIN MODEL •CLOUD
Read | •HYPACK •HYPLOT

If you have marked golden soundings, you can import them to your S57 chart in much the same manner as soundings and DXF contours; it is again a two-phase process before saving the resulting chart:

1.Import the golden soundings (ENC-IMPORT GOLDEN SOUNDINGS).

2.Converting the golden soundings to S57 features.

a.Select your points.

•In the list in the Browser. Hold the Shift key and select the first and last point in a range or hold the Ctrl key and select individual points.

•In the Map display: Click [+P] on the imported file tab in the Browser then select the points in the map. You may select multiple points in a region by clicking and dragging a rectangle.

b.Click one of the following buttons according to your needs:

•[Snd N:1] converts all selected points to a single sounding feature.

•[Ch N:1] connects all selected points to form a chain spatial feature.

•[Ftr 1:1]: For each selected point, it generates a point feature with the same user-defined feature object. A dialog will appear for you to select your point feature object.

Note:You must select the point geometry and choose a point feature. Otherwise, no features will be generated.

•[Ftr N:1]: Use this to generate line or area features from your selected points. It connects all selected points to form a chain or area feature. A dialog will appear for you to select your spatial feature class and geometry, and the associated feature object.

Note:If you select point geometry and a point feature, a spatial record will be created at each point, but generate only 1 point feature positioned on the first spatial record.

Create New Feature Dialog

c.Describe the feature class and geometry. The Feature list updates accordingly.

d.Select the type of feature and click [OK]. The specified objects will be generated and displayed in the Map window.

3.Save your S57 chart by selecting the Save Chart icon.

•If you are creating a new chart, you are free to name it whatever you want within the confines of the S57 naming convention.

•If you are updating a chart, you probably want to adjust the name in a way that you know the chart from which it originated and its revision.

More Information

• Adding DXF or DGN Chart Data to your S57 Charts in the ENC Editor

• Marking Golden Soundings in the SINGLE BEAM EDITOR

• Golden Soundings in SB SELECTION

• Golden Soundings in the 64-bit HYSWEEP EDITOR

• Sort Options

• Exporting Contours from TIN Models

• Soundings in HYPLOT


Validating your Chart in the ENC EDITOR

Chart validation is an optional routine you can use to automatically scan your chart for anything that breaks S57 specifications. The Chart Validator lists each feature with an error, specifies the error type and provides feedback and tools with which to correct the error.

To validate the chart currently open in the ENC EDITOR:

1.Select PROCESSING-VALIDATE CHART. The Chart Validator will appear.

2.Select the portions of the chart you wish to validate by checking the corresponding checkbox for each.

•Feature records

•Spatial records

•Chart geometry

•Metadata

Sample Chart Validator Display

3.Click [Go]. You can monitor the progress by the changing names of each feature in the ‘Checking’ field as it is evaluated.

When the process is complete, the feature names will be replaced by ‘Finished’ and any problems will be listed in the dialog.

4.Select one or more

5.Select the problems you want to autocorrect and click [AutoCorrect]. The Validator corrects all problems it can according to the selected options; those items are removed from the list.

Note:The Chart Validator can not autocorrect every type of problem so there may be some you may have to correct manually.

6.Manually correct remaining problems. Select an error in the list.

Tip: If there are multiple errors of the same type, you may be able to select them all and correct them in one operation.

•Click [Suggestions] (Optional) to see if the program has any suggested resolutions for the problem.

•Click [Options...] and select the resolutions that match the problems listed in the validator and click [OK].

Note:Often, if you double-click the item in the Chart Validator, it will open the interface required to correct that item.

7.Revalidate your chart (Optional) to confirm all possible errors have been corrected and that no new ones have been created.

8.Save the resulting chart.

Tip: Occasionally, the ENC Editor fails to draw certain corrected features. If you feel this is the case, ask the program to recheck all of the features and redraw the chart according to its new findings by selecting PROCESSING-RECHECK FEATURES FOR DRAWING.


Saving your Modified S57 Chart in the ENC EDITOR

To save the chart, with all of its changes, to a single chart, select the Charts tab in the Browser and click the Save icon. You can overwrite the (original) base chart file or provide a new name for the updated chart.

To save a chart update, separately from the base chart:

1. Click the Show Log icon in the Chart tab of the Browser. The Logview will appear.

2.Click [Save Update]. The features marked ‘User Action’ are saved to a file using the same root name as the base chart, and incrementing the extension from the most recent update chart.


Aldebaran Tools in the ENC EDITOR

The Aldebaran tools provide semi-automated procedures for generating S57 charts with specific data, attributes, attribute values and metadata settings. You will construct these charts based on your survey data in DXF and XYZ formats.

1.Prepare your data files.

•DXF Contours: The DXF file must be generated by the TIN MODEL program to enable the automation in this tool.

•XYZ Files: Consider the density of the soundings in your data set. You may need to thin your data to improve readability when you display the chart.

2.Launch the ENC EDITOR.

3.Create or open a chart for your project area.

4.Select PROCESSING-ALDEBARAN CHART. The Aldebaran dialog will appear.

Aldebaran Dialog

5.Enter your project depth and data files. As each file is loaded, it will appear in the editor display.

6.Load your chart. You can generate a new chart or load an existing chart that you want to update with your DXF and XYZ data.

Tip: When generating a new chart, the data file display in the editor map guides you in the placement of the chart boundaries.

7.In the Aldebaran dialog, click [Go]. Your data files will update your chart.

8.Close the Aldebaran dialog.

9.Save your chart. Click the Save icon on the Chart tab of the Object Editor and name your updated chart.

Resulting Char in HYPACKt

More Information

• Creating a New Chart in the ENC Editor

• Loading an Existing S57 Chart to the ENC EDITOR

• Defining your Chart Information in the ENC EDITOR


New Orleans Sounding Overlay Tools in the ENC Editor

The New Orleans Overlay tools provide semi-automated procedures for generating S57 charts with current sounding data. With this tool, you can pursue either of two strategies:

•Create an overlay chart containing only the sounding data. The overlay chart is a very small chart file used to supplement data in a chart that is otherwise complete. Its size enables you to easily transmit it to other users.

•Create a whole new chart based on an existing chart on which you will overlay the current sounding data. The template chart will not be changed. Only a copy of it will be modified and ultimately saved to a new file name.

More Information

• Creating Charts with Current Soundings in the ENC Editor

• Sounding Overlay Sounding Options in the ENC Editor


Creating Charts with Current Soundings in the ENC Editor

Whether you want to create an overlay chart with only updated sounding information, or to update your base chart with the sounding overlay, the procedure differs only in the chart options. The New Orleans Overlay tool supports Edited All, XYZ and New Orleans Raw formats.

1.Prepare your data files. Consider the density of the soundings in your data set. You may need to thin your data to improve readability when you display the chart.

2.Launch the ENC EDITOR.

3.Select PROCESSING-NEW ORLEANS OVERLAY. The New Orleans Overlay dialog will appear.

New Orleans Overlay Dialog

4.Load one or more sounding files to be incorporated into the overlay chart file.

a. Click the File Open icon next to the Sounding Files field.

b.Browse to select your sounding data and click [Open].

5.Set your Sounding Options.

6.Set your Chart Options to determine whether you will generate an overlay chart or update an existing chart.

•To create an overlay chart:

i.Select ‘Create S57 Chart to encompass soundings’.

ii.Click [Set Default Chart Parameters].

iii.Enter your chart information and click [Close].

Entering Chart Information

•To create a complete chart,

i.Select ‘Insert Soundings into Template Chart’.

ii. Open the chart you want to update. Click the File Open icon, browse to select the S57 chart on which you will overlay your sounding data, and click [Open].

7.Click [Create ENC Overlay]. A dialog appears for you to name the new chart. The resulting chart will be saved to the project folder.

Template Chart (top left), Sounding Overlay (top right), Template Chart with Overlay Chart (bottom)

More Information

• Sounding Overlay Sounding Options in the ENC Editor

• Defining your Chart Information in the ENC EDITOR


Sounding Overlay Sounding Options in the ENC Editor

The ENC EDITOR can use Edited All, XYZ and New Orleans Raw formats to generate a sounding overlay chart file or create an complete updated chart.

Include Profile Soundings integrates the profile soundings with the depths from a New Orleans Raw format sounding file.

Sounding Adjustment for Datum Correction: The program adds this value to each sounding, then places the result in the new chart.

Adjust Scale Minimum to Prevent Sounding Overwrites: Soundings first display in ECS/ECDIS charts at the user-specified Maximum Scale. When this zoom scale is reached, soundings appear, but they are gridded with sufficient spacing to make them readable at varying zoom scales. To accomplish this, the number of soundings displayed in a given area changes with the zoom range. The algorithm will attempt to insert depths from shallowest to deepest. This gives least depths priority and thus the first chance to be displayed at the highest minimum scale.

Note:Any sounding which hasn't found a scale for clear writing by the time the minimum scale has been reached will just be inserted into the chart at the minimum scale.

This is for display purposes only. It does not thin your data.

Setting the Chart Parameters

Note:The settings are maintained specifically for this dialog in its own persistent section of the encEdit.ini file. This means, any settings adjusted here won't affect the default chart settings used in other parts of the editor. This also means that you needn't configure chart options each time you create an overlay; they will be maintained between editor sessions.


On-Site Chart Verification with HYPACK SURVEY

HYPACK has combined the functions of the ENC EDITOR program and the HYPACK SURVEY program to enable you to perform on-site modifications of point features in an S57 chart. It has been developed, initially, for use in chart feature verification work where users wanted to make changes to their charts while on the water.

As you navigate over your project area, you may find the area has changed since your chart was created. Bottom conditions may have changed requiring buoys to be relocated or new ones to be installed. Perhaps one buoy is replaced by another of a different type. Something may have happened to create a new hazard. The possibilities are endless.

The on-site chart editing typically handled through this program collaboration. It involves three basic operations:

•Relocating an existing point feature.

•Deleting an existing point feature.

•Creating a point feature where none exists.

More Information

• Setting ENC EDITOR to Read Shared Memory

• On-site Relocation of an Existing Point Feature in the ENC EDITOR

• On-Site Deletion of an Existing Point Feature in the ENC EDITOR

• On-Site Creation of New Point Features in the ENC EDITOR


Setting ENC EDITOR to Read Shared Memory

For chart verification, HYPACK SURVEY and the ENC EDITOR run simultaneously. HYPACK SURVEY is used for navigation and to provide position information to the ENC EDITOR. The ENC EDITOR reads data from Shared Memory to position new or existing point features in your S57 chart. Here’s how it works:

1.Set up your project in HYPACK.

a.Set your geodetic parameters.

b.Load your S57 chart.

Note:You may load more than one chart, but the ENC EDITOR can only work within one chart at a time.

c.Launch HYPACK SURVEY.

2.Set up the ENC EDITOR.

a.Set the geodesy options to match your HYPACK geodesy.

b.Select PROCESSING-SURVEY SHARED MEMORY. The Survey (Shared Memory) tab will appear.

Shared Memory Dialog

c.Check the Shared Memory and Show Targets options. Track Boat is optional. Shared Memory allows the ENC EDITOR to read the data from HYPACK SURVEY.

•Shared Memory allows the ENC EDITOR to read the data from HYPACK SURVEY.

•Vessel Up orients your display so your vessel is traveling toward the top. This is the equivalent to the “Vessel Up” Map Orientation in SURVEY.

•Show Targets displays enabled targets as dots labeled with large white T’s. The X, Y coordinates of targets displayed in the ENC EDITOR are listed in the center window.

•Track Boat keeps the display centered on the vessel. This is the equivalent to the “In Center” Vessel Tracking in SURVEY.

If targets are enabled in HYPACK SURVEY when the ENC EDITOR is loaded, the ENC EDITOR will load the selected targets.

To display an entire target group, click the Load Target File icon and select the group you want to display.

Tip: Keep the Survey tab open as you will need the icons for other parts of your work.

3.Navigate to your project area.

More Information

• On-site Relocation of an Existing Point Feature in the ENC EDITOR

• On-Site Deletion of an Existing Point Feature in the ENC EDITOR

• On-Site Creation of New Point Features in the ENC EDITOR


On-site Relocation of an Existing Point Feature in the ENC EDITOR

To relocate a point feature, you mark a target at the new location and the ENC EDITOR reads the target location through Shared Memory and can shift the target feature to the target location. In the following example, the Newburyport harbor light at the mouth of the Merrimack river has shifted to a new location on the point.

1.Mark a target at the new location of the light. The target location appears as a red dot with a ‘T’ in the ENC EDITOR and its coordinates are written in the list on the Survey tab.

2.Select the target coordinates in the Survey tab. The ‘T’ marking the target turns blue. This indicates the location which the ENC EDITOR will reference.

Target Marked at the New Location for the Light

3. Set your search distance. Click the Configure Options icon in the Shared Memory dialog and enter the distance in the dialog that appears.

Setting the Search Distance

4. Click the Find Objects icon and all chart features within your search distance of the selected target are displayed in the features list.

Searching for Chart Features

5.Select one or more features you want to relocate. Selected features need not originate from the same location.

6.Click [Move Selected Feature to Target Location]. The selected features are moved to a new spatial record at the target location.

Light Moved to the New Location

Note:If more than one feature is associated with the same node, all features for that node move. In this example, the beacon and two lights are all assigned to the same node. No matter which feature you select in the list, all of them will move in the chart.

More Information

• Setting ENC EDITOR to Read Shared Memory

• On-Site Deletion of an Existing Point Feature in the ENC EDITOR

• On-Site Creation of New Point Features in the ENC EDITOR


On-Site Deletion of an Existing Point Feature in the ENC EDITOR

Farther down the island, the chart has a wreck charted a short distance off shore.

1.In HYPACK SURVEY, mark a target on the wreck symbol.

Marking the Wreck Symbol with a Target

2. Check your search distance by clicking the Configure Options icon in the Shared Memory dialog. The default distance is 100 so, unless you have set this to something quite small or have not placed the target on the symbol, it should work.

Setting the Search Distance

3. Click the Find Objects icon and all chart features within your search distance of the selected target will be displayed in the features list.

Searching for Chart Features

4.Select the wreck feature and click [Delete Selected Feature]. The wreck will be removed from the chart, but the target will remain in its location.

Delete Selected Target Icon

5.Remove the Target (optional). You can remove the target, now that it has served its purpose by selecting it in the Shared Memory dialog and clicking the Delete Selected Target icon.

More Information

• Setting ENC EDITOR to Read Shared Memory

• On-site Relocation of an Existing Point Feature in the ENC EDITOR

• On-Site Creation of New Point Features in the ENC EDITOR


On-Site Creation of New Point Features in the ENC EDITOR

As you navigate your project area, if you discover that a new point feature should be added to the chart, you can quickly add it to your S57 chart with a few simple steps.

In this example, the wreck is there, and has been marked with a buoy that does not appear on your chart. We can create the buoy feature and add it to the chart.

1.Mark the location of the buoy with a target in HYPACK SURVEY.

Target Wreck in HYPACK SURVEY

2. Click the Find Objects icon. In this case, you probably do not need the list of nearby chart features, but we do this to access the dialog from which you can create the new feature.

Searching for Chart Features

3.Click [Create New Feature at Target Position]. The Create New Feature dialog will appear with the target location listed as the location where the spatial record should be created.

4.Select the feature you want to create. For this example, choose "Buoy, isolated danger".

Create New Feature Dialog

5.Verify that all the information is correct and click [Create] to generate the feature. You can edit the position coordinates, but if the feature information is not accurate, click [Cancel] and try again.

Isolated Danger Buoy is Displayed with the Wreck

You can create the same feature at multiple targets in a similar manner.

6.Mark targets at each location in SURVEY. The coordinates for each target will appear in the Shared Memory dialog.

7.In the Shared Memory dialog, select all targets at which you want to create a feature.

8.Click the red button. The Create Feature dialog will appear.

9.Select the feature that you want to place at each target location and click [OK]. The ENC EDITOR will create like features, one at each selected target location.

More Information

• Setting ENC EDITOR to Read Shared Memory

• On-site Relocation of an Existing Point Feature in the ENC EDITOR

• On-Site Deletion of an Existing Point Feature in the ENC EDITOR


Exporting S57 Chart Data from the ENC EDITOR

The ENC EDITOR provides a selection of routines that extract select data from your S57 chart and store it to another format for use in another HYPACK module or in a third-party program.

More Information

• S57 Chart Data to DXF Format in the ENC Editor

• Exporting S57 Chart Levels to XYZ Format in the ENC Editor

• Exporting S57 Symbols to the 3D Terrain Viewer from the ENC Editor


S57 Chart Data to DXF Format in the ENC Editor

The ENC EDITOR can export S57 chart information for display in AutoCAD. This routine always converts the filled contours, but you may choose whether to include the S57 chart symbols, soundings or both.

1.Select PROCESSING – EXPORT TO AUTOCAD. An Export dialog will appear, automatically naming your new chart using the S57 root name and the DXF extension.

Export to CAD Dialog

2.If you want to include the chart symbols, check the Symbols option.

3.If you want to include the chart depths, check the Soundings option.

4.Click [Save] and the DXF chart will be saved, by default, to your project directory.

Original S57 in HYPACK

Resulting DXF displayed in CAD


Exporting S57 Chart Levels to XYZ Format in the ENC Editor

The ENC EDITOR can read the spot depths and elevations, and contour data in the S57 chart and export it to an XYZ file.

The Z values can be exported in meters, as they are stored in the chart, or you can convert them to feet as they are saved to the exported file. This is a handy option if you are surveying in feet.

You export only the soundings and contours in the water to display in HYPACK or include land contours then load it to the 3D TERRAIN VIEWER and take a virtual tour of your project area.

1.Select PROCESSING-EXPORT TO XYZ. The Export to XYZ dialog appears.

S57 to XYZ Options

2.Choose whether to convert your Z values to feet, and whether to include land contours, and click [OK]. The output file will be saved with the root name of the original S57 chart to your project Sort directory.

The Soundings and Contours are exported to XYZ Data

Tip: If you want to display your contours in 3DTV and the exported data is a too thin between the contours, you may want to take it to the TIN MODEL to fill in the spaces, then export it in a more uniform density.

XYZ data in 3DTV


Exporting S57 Symbols to the 3D Terrain Viewer from the ENC Editor

The 3D TERRAIN VIEWER allows us to make models of objects in the environment and display them with the terrain model. The ENC EDITOR can read the information in your S57 chart about the buoys, beacons, wrecks and rocks, and update a 3DTV project file to display them next time you load the project to 3DTV.

1.Select PROCESSING – EXPORT TO 3DTV. The Export to 3DTV dialog will appear.

S57 to 3DTV Options

2.Enter the name of the 3DV file from your project that will include the chart objects.

3.Choose which objects from the S57 chart you want to display in 3DTV.

4.For each selected object, enter a shape file (*.3OD). One shape file of each type has been included in your HYPACK install. You can make your own in the 3D SHAPE EDITOR and substitute it for any of the default shapes by clicking the […] and browsing for your shape.

5.Click [OK]. A message will appear to tell you that the selected 3DV file has been updated with the S57 information.

The Original S57 Chart Shows Rows of Buoys Marking a Channel

Buoys Displayed Along a Channel in 3DTV


3D TERRAIN VIEWER

The 3D TERRAIN VIEWER program (also known as 3DTV) is a versatile tool that enables you to closely examine a three-dimensional model of your survey or dredge project area.

3DTV can be run in two operational modes:

•3DTV can be launched from the HYPACK Final Products menu or from SURVEY or DREDGEPACK to view existing data from your project area. The 3D Terrain Viewer mode is displayed in the title bar.

•Matrix 3DTV is accessed only from SURVEY or DREDGEPACK. The Matrix 3DTV mode is displayed in the title bar. The file name is read from shared memory. You can watch a real-time representation of your project. The data is loaded from a matrix file and is updated in real time based on new data through shared memory. The display can also include project features such as the channel, survey lines, the water surface and your vessel. If you are set up to receive position data from multiple vessels, you can view your dredge and your cutting tool, your vessel and a towfish, or multiple vessels broadcasting positions in your area over radio network connections.

The scale models of objects such as buildings, buoys, power lines, and bridges can be created in the 3D SHAPE EDITOR and imported to your 3DTV display to provide further realism and additional points of reference on your screen.

Imagine that there is a camera flying above your project area sending the image to your computer and you are at the controls. You can direct the camera's flight to view the model from any angle except beneath it. Just load an XYZ data file or a matrix file, and perhaps define a few settings and you're ready to go.

3DTV Interface

While you are viewing the data, you can use the movie tools to create a file that can later replay what you saw. In this way you can record the "points of interest" (or the entire survey) and review them at any time.

More Information

• Running the 3DTV Program

• Launching the 3D Terrain Viewer

• Configuring a New 3DTV Project

• Terrain Settings

• Managing Display Configurations in the 3D Terrain Viewer

• Changing the Terrain Data Set in 3D Terrain Viewer

• 3D Terrain Viewer Flight Modes

• Display Options in the 3D Terrain Viewer

• Features Beyond the Survey Data in the 3DTV Display

• Viewing Custom Shapes (*.3OD) in 3D Terrain Viewer

• Positioning your Camera in the 3D Terrain Viewer

• Saving your Views in the 3D Terrain Viewer

• Optimizing 3D Terrain Viewer Performance

• Saving Your 3DTV Project

• Archiving 3DTV Projects


Running the 3DTV Program

1.Launch 3DTV. The program launches differently according to your chosen mode.

2.Size and position your windows. (Optional)

3.Select the flight mode in which you want to use 3DTV.

Function | Mode
Manipulate the camera manually | Free Flight mode
Simulate the view as you follow planned survey lines | Follow Path mode
Follow the vessel trajectory supplied by SURVEY | Attached to Vessel mode
Define and follow a circular path | Circle Flight

In Matrix 3DTV mode, only Free Flight and Attached to Vessel modes are available.

4.Set your display options. These include such things as your display method, and color and lighting settings.

5.Use the camera controls to set your view angles and move it across the project area.

6.Use the movie tools to make a record of what you see (Optional). This is not recording survey data. It creates a specialized file that can replay your view in 3DTV, but does not contain your survey data. You can record a 3DM file, which is saved to your project directory and can be used only for the purpose of replaying your movie in the 3DTV program. Alternatively, you can record it to an AVI file and replay it in a media player.

7.Save your current settings by selecting FILE-SAVE and providing a name. By default, 3DTV will save 3DTV mode information to the 3DV file in your project directory. The most recently used settings will be used the next time 3DTV or Matrix 3DTV is launched from the same HYPACK project.

More Information

• Launching the 3D Terrain Viewer

• Terrain Settings

• 3D Terrain Viewer Flight Modes

• Display Options in the 3D Terrain Viewer

• Positioning your Camera in the 3D Terrain Viewer

• Saving your Views in the 3D Terrain Viewer


Launching the 3D Terrain Viewer

To launch the program in 3DTV Mode:

•From the main menu select FINAL PROJECTS-3DTV. If you want 3DTV to automatically load the same data set next time (for all projects), select FILE-LOAD LAST DATA FILES.

•From the SURVEY or DREDGEPACK menu, select OPTIONS-SHARED MEMORY-3DTV or MATRIX 3DTV.

The first time that you run the program in a project, it will ask you to select data and your choices for creating the model. 3D TERRAIN VIEWER models XYZ or MTX format files. You may select multiple files of the same type by holding the control key and selecting each with your cursor in the File Select dialog. Each file will be individually modeled and drawn in the Terrain windows. XYZ data is modeled according to the options set in the Terrain Settings dialog. Matrix data is modeled according to the grid size and rotation of the matrix.

To launch the program in Matrix 3DTV Mode from the SURVEY or DREDGEPACK menu, select OPTIONS-SHARED MEMORY-MATRIX 3DTV. Since the purpose of Matrix 3DTV mode is to update depth data in an existing matrix with current depth data, Matrix 3DTV mode requires one or more matrix files to be enabled in your project. The program will create the terrain model based on the data in the enabled matrix.

In multibeam surveys you can use an empty matrix, and MATRIX 3DTV models the multibeam swath in real time.

In single beam surveys, it is best to use a filled matrix. MATRIX 3DTV can not create an accurate model from a single row of points, but it can update a complete model. If there is no existing data for your survey area, you can create a matrix filled with a uniform depth in the MATRIX EDITOR and update it with your survey data.

The first time MATRIX 3DTV is started in a project, it will ask for:

•Your Terrain Setting choices for creating the model. Otherwise, it will load the 3DTV settings that have been most recently used in the project.

•Vessel Display Options: Defined in the Multiple Vessel Settings dialog, these settings will be saved and automatically loaded next time you launch MATRIX 3DTV. If you want to modify your settings, You can access the same dialog in the Vessel settings (VESSELS-SETTINGS) or in the Object Deployment dialog (VIEW-TOOLBARS-OBJECT DEPLOYMENT).


Configuring a New 3DTV Project

A project configuration is a list of all settings that affect the 3D TERRAIN VIEWER display. It described what windows and toolbars are displayed and the size and position of each, as well as what is displayed in the Terrain windows.

You can configure your project manually, use the 3DTV wizard, or use a combination of both methods. Both methods automatically ask for terrain and vessel information, while the wizard also helps configure channel and planned lines, chart datum, and sky features.

When you are finished, save your project (FILE-SAVE) so it opens using the current settings next time you open the project.

Note:The first time you open projects configured before the 2013 release, they will use a default 2013 layout supported by the new 3DTV software technology. You must reconfigure the layout of windows and toolbars in your project for your purposes and save the 2013 configuration.

More Information

• Configuring Your 3DTV Project Using the Wizard

• Manually Configuring Your 3DTV Project


Configuring Your 3DTV Project Using the Wizard

To quickly configure a new project, 3D TERRAIN VIEWER provides a wizard to guide you through loading the survey data for your model; adding channel, planned line and nature features; and arranging your windows and toolbars.

The wizard offers three layouts of Terrain windows and toolbars, and a few basic display options. However, it does not include all of the features supported by 3DTV. Typically you will use the wizard to get started, then manually modify your configuration as you prefer.

1.Select FILE-NEW BY WIZARD and make the selections for your project in the three dialogs that follow.

• Terrain Settings

• Layout

• Object and Nature Settings

2.Customize your display settings (Optional) using one or more of the following:

•Use the View menu to turn the toolbars, color bar and status bar on and off, and to set other view options.

•Use your mouse to reposition and resize the windows to suit you. (WINDOWS-TILE automatically arranges your Terrain windows to provide optimum viewing, but not the toolbars.)

•Use the Settings dialog (FILE-SETTINGS) to configure view options for objects in the Terrain window, Camera View and Light View displays, as well as the settings for how 3DTV receives and records data.

3.When you have the configuration that you like, save your project (FILE-SAVE). When a saved project is closed and reopened, it opens with the settings that were active when it was last saved.

4.If this is an arrangement that you want to be the default for all new projects, select FILE-SAVE DEFAULTS.

Terrain Settings

The options in the Terrain Settings dialog affect how your model will be created in your Terrain Windows. Set your options and click [Next].

Note:The same options can be accessed by selecting TERRAIN-SETTINGS. You may have to suspend shared memory updates, by selecting VIEW-SUSPEND UPDATES, to enable this option.

When 3DTV first draws your data displays, or if you change your terrain settings in the Settings dialog, the process may take significant time, especially when your data set is large. A progress bar (bottom right) assures you that the program is hard at work.

Note:When you configure a project manually with an XYZ data file, the Terrain Settings dialog includes the [Default Cell Size] button which calculates a grid cell size that balances performance and quality of the presentation in Static Fast mode. When you load a matrix file, the Grid Cell Size will match the matrix cell size.

Terrain Settings —Wizard (left), Manual (right)

The Grid Cell Size defines width and height of the grid cell. The grid is used to detect camera-terrain collision conditions in both 3DTV and Matrix 3DTV modes and to affect change in the drawing rate and quality of the model in 3DTV mode only.

The Grid Extents are derived by the program from the data set and are for display purposes only.

The Grid Rotation enables you to turn the grid about the Y axis. A positive value rotates the grid clockwise. Rotating the grid to match the orientation of your data set may create a border that eliminates large empty areas and optimizing grid size to improve program performance. This option is disabled in Matrix 3DTV when the display adopts the orientation of the matrix file.

Max Edge Size is only required in 3DTV mode. It defines the longest distance between two horizontal plane projections of soundings that will be connected in the model.

Max Edge Size

You should set this large enough so your data points connect, but not so large that points which have little relationship connect to each other.

Z-Interpretation:

The Z-interpretation option generally reflects your elevation mode setting in your geodetic parameters and is disabled. In this case, it can only be changed in the GEODETIC PARAMETERS program.

Under certain specific conditions this option is enabled allowing you to choose whether your soundings should be interpreted as depths or elevations. The mode will be displayed in the dialogs and display windows that indicate a Z-level.

The scale of the Z-axis of your terrain, as well as other objects displayed in your terrain window, can be adjusted using the vertical exaggeration feature.

Model:

Logically, larger data sets tend to slow the frame rate in the Terrain window. You can trade some of the quality of the model drawn for a faster drawing speed by selecting the appropriate model for your project. Experiment with these settings to see what works best with your computer and project needs.

The Static model does not change when camera moves. The model may be:

•Accurate, based on points from the imported file. This option draws the same type of detailed model that you may have seen in the TIN MODEL program—a Triangular Irregular Network

•Fast, that simplifies the terrain by drawing only one (center) point for each defined grid cell. This option creates the model based on the grid defined in the dialog—a TRN model (Triangular Regular Network) rather than a TIN model.

Note:When a matrix file is loaded in 3DTV mode and the Accurate option is selected, the model looks like a TRN structure, although it is actually a TIN structure.

The Dynamic model is reconfigurable during camera motion. It always presents terrain areas closer to the camera in greater detail. When the camera moves, the terrain model changes to keep the refresh rate approximately constant.

When Dynamic mode is selected, you can further affect the speed and quality of your drawing by using the Quality/Speed slider.

•Quality will provide the most detailed presentation.

•Speed will produce very rough images of the area and a corresponding high frame rate.

The Accurate Border option maintains a constant border on the display of your terrain model. This option uses a lot of your CPU resources. Unless you have a super-powered computer, leave this option off.

The following figures demonstrate the differences. They are most evident in the wire frame models.

Static Accurate Presentation

Static Fast Presentation

Dynamic Quality Presentation

Dynamic Speed Presentation

In 3DTV Mode:

When Static Fast mode is selected, you can further affect the speed and quality of your drawing by adjusting the cell size. Larger cell dimensions generate less-detailed models, which can be drawn even more quickly by 3DTV.

Note:Note Conversely, you can negate the effect of the Fast option by setting a small cell size.

All options mentioned above are available in the 3DTV program mode.

In Matrix 3DTV Mode:

The model is always drawn based on the cell size of the matrix that is currently loaded to SURVEY or DREDGEPACK. This means that the Cell Size in the Terrain Settings will have no effect on the model quality or drawing speed.

For the same reason, there is no difference between Static Accurate and Static Fast models in Matrix 3DTV mode. Therefore, the radio buttons Accurate and Fast will be disabled.

More Information

• Vertical Exaggeration of the 3DTV Terrain Window

• 3D Terrain Viewer Model Types

Return To Top

Layout

The Layout dialog provides three pre-defined project configurations. Choose the one that most closely represents the layout you would like and click [Next].

If the configuration isn’t exactly what you would like, you can modify it after the wizard is finished.

Layout Dialog

Return To Top

Object and Nature Settings

The Object and Nature dialog enables you to add channel (CHN or PLN) and planned line (LNW) files, along with simulated water and sky displays to your Terrain window.

Select your options and click [Next].

Note:The same options can be accessed in the Nature and Object tabs of the Settings dialog.

Object and Nature Dialog

To display channel information, planned lines or both in your Terrain windows, click the [...] that corresponds to the file type you want to display—Channel (*.CHN), Channel Plan (*.PLN) or Planned Line (*.LNW)—and browse for your file.

Nature options:

•Water Surface displays a representation of water at the correct water level. After you have finished in the wizard, you can choose more detailed water settings in the Nature tab of the Settings dialog.

•Chart Datum is the height of the chart datum above Mean Sea Level.

•Sky and Clouds: In configuring your skyscape, the static Sky display would typically be used alone or as a backdrop for clouds and fog. Choose from the list of sky types that range from Day to Dusk to Night, and Fair to Overcast to Storm.

Return To Top


Manually Configuring Your 3DTV Project

To begin a new project that you will configure manually, you load the data set and enter the terrain settings and 3D TERRAIN VIEWER does the rest.

A new project begins with default settings for your window sizing and position, visible toolbars, etc., but you can manually configure your windows and settings according to your needs.

1.Select FILE-NEW PROJECT. A File Open dialog will appear.

2.Enter sounding data and click [Open]. 3DTV can model data from either an XYZ or matrix file. The Terrain Settings dialog appears next.

3.Enter the terrain settings and click [OK]. During a manual configuration, the terrain settings dialog includes an additional [Default Cell Size] button.

4.Customize your display settings using one or more of the following:

•Use the View menu to turn the toolbars, color bar and status bar on and off, and to set other view options.

•Use your mouse to reposition and resize the windows to suit you. When you drag the toolbar of any window, the interface displays "landing pads" where you can dock your window.

Tip: WINDOWS-TILE and WINDOWS-TAB automatically arrange your Terrain windows (not the toolbars) to provide optimum viewing.

"Landing Pads" at Possible Docking Positions

•Use the Settings dialog (FILE-SETTINGS) to configure view options for objects in the Terrain window, Camera View and Light View displays, as well as the settings for how 3DTV receives and records data.

5.When you have the configuration that you like, save your project (FILE-SAVE). When a saved project is closed and reopened, it opens with the settings that were active when it was last saved.

6.If this is an arrangement that you want to be the default for all new projects, select FILE-SAVE DEFAULTS.


Managing Display Configurations in the 3D Terrain Viewer

There may be multiple display configurations which are frequently used by different people or for different purposes. Each window in 3DTV may be resized and repositioned on your screen so you can arrange your display to suit your needs and preferences.

Toolbars are typically docked at the top of the 3DTV window, but you may drag any number of them from there to any location you choose, even outside the 3DTV window. The camera controls are also free-standing and can be placed at any location.

Note:If you have arranged your toolbars across multiple monitors, and your monitor configuration changes from one work session to another, some of your toolbars may be out of view.

Tip: To easily ‘retrieve’ toolbars that are floating offscreen, select VIEW-TOOLBARS-BRING ALL TO CENTER.

You can also display selected project files and other survey features, and configure the display options for each feature represented.

3DTV provides an easy method to change between configurations without manually repositioning and resizing each window, or reconfiguring survey feature displays every time. Simply save each configuration to a separate 3DV file and load their settings as needed.

For each configuration:

1.Arrange your 3DTV windows and toolbars.

2.Select the survey features to display.

3.Set your display options.

4.Save the configuration to a 3DV file by selecting FILE-SAVE PROJECT AS and naming the configuration.

Each time you launch 3DTV or Matrix 3DTV, the project’s most recently used settings will be used.

To load alternate project settings, simply open the 3DV file where your settings are saved. Two menu options provide slightly different results.

•FILE-OPEN: For this option, you will also select the data set for your terrain model.

•FILE-OPEN PROJECT SETTINGS: This option maintains the current data set, but adopts the window configuration and other data-independent display settings from the selected 3DV.

More Information

• Features Beyond the Survey Data in the 3DTV Display

• Display Options in the 3D Terrain Viewer


Changing the Terrain Data Set in 3D Terrain Viewer

In 3DTV Mode, you can add and remove data sets that are modeled in your Terrain window at any time.

Adding Data to the Display:

1.Select FILE-APPEND DATA FILE(S).

2.Choose the new XYZ or MTX data.

3.Define your terrain model settings.

Removing Data from the Display:

1.Select FILE-CLOSE DATA FILE(S). A dialog will appear listing the data files currently modeled in your Terrain window.

Close Data Files Dialog

2.Select one or more files to remove from the display. You can select multiple individual files by holding the Ctrl key, or multiple contiguous files by holding the Shift key, while you select the files.

3.Click [Close].

Clearing All Data and Select a New Set:

1.Select FILE-CHANGE DATA FILE(S).

2.Choose the new XYZ or MTX data.

3.Define your terrain model settings.


3D Terrain Viewer Flight Modes

The 3D TERRAIN VIEWER can be run in four different modes. The mode is selected through the Flight Mode toolbar or through the CAMERA-FLIGHT MODE menu.

When you exit from 3DTV, the flight mode is recorded so it may be restored the next time you launch the program. In some cases, however, flight mode restoration will not be possible.

3DTV and Matrix 3DTV do not support all of the same flight modes. If the next time you open 3DTV in the project, you open it in the other operation mode, the previous flight mode may be unavailable to be restored. In this case, each operation mode will open in its default flight mode: 3DTV in Free Flight mode, and Matrix 3DTV in Attached to Vessel mode.

More Information

• Free Flight Mode

• Follow Path Mode

• Attached to Vessel Mode

• Circle Flight Mode


Free Flight Mode

Free Flight Mode gives you full control to use the camera controls to view your data from almost any angle.

Camera Controls-Free Flight Mode


Follow Path Mode

Follow Path Mode asks you to load a Planned Line (LNW) file and automatically simulates travel down each survey line in the file. Since this mode follows the survey line, the Turn controls are disabled, while orientation controls (Yaw and Tilt) are enabled. This option is only available in 3DTV mode.

In this mode, additional options appear in the camera controls.

•The selected planned line file is displayed with a [Browse] so you can load a different line file.

•If the planned line file contains multiple lines, a control for line number selection will appear. Select the line number and the camera will be positioned at the start point of the line with heading to match the first segment of the line.

Camera Controls-Follow Path Mode

•Camera Yaw, the angle relative to the line segment (path), will default to 0 degrees. At this setting, the program will automatically change the camera heading for each new line segment to follow the changed direction of the survey line. The camera yaw will remain the same relative to the line path when the line direction changes.


Attached to Vessel Mode

Attached to Vessel Mode is used simultaneously with SURVEY or DREDGEPACK. In 3DTV mode, it might be useful to review previously existing data as you tour the survey area, while in MATRIX 3DTV mode, you can watch the previous data being updated in real time as you survey.

•If the vessel is not shown (VESSELS-SHOW is not selected), the camera position and direction are taken from the Shared Memory created by the SURVEY program. It appears directly above the boat position and a Yaw setting of zero orients the camera to match the boat heading. Speed and Turn controls are disabled for this option as they are controlled by SURVEY. Camera orientation (Yaw and Tilt), zoom, and elevation change controls are enabled.

•If the vessel is shown, the camera is positioned relative to the vessel.

More Information

• Viewing Boat Shapes in 3D Terrain Viewer


Circle Flight Mode

Circle Flight Mode automatically creates a circular path sized to fit your loaded data set. The camera travels clockwise around the path at a speed set with the speed controls. Its yaw and tilt are fixed to point toward the center of the circle and slightly downward. This enables you to view your model or an object in the model from all sides (as if you were walking around it). This option is only available in 3DTV mode.

Circle Flight Mode—The Camera Travels Clockwise Around a Circular Path.

You can create a new path in the Camera View. Just click where you want the center of the circle to be and drag a distance equaling the radius. Dotted lines will show the size and location of your new path until you release the mouse button and the path is created with the camera set at the point of release. When a new path is created, the speed will be reset to zero. If you are not happy with the results, try again.


Display Options in the 3D Terrain Viewer

Most of the view options are included in the multitabbed Settings dialog. Select FILE-SETTINGS or click the Settings icon.

When you access the dialog from the Settings icon, 3DTV displays the dialog with the most recently used tab visible. The menu selection displays the tab relevant to the menu from which you accessed the dialog. For example, NATURE-SETTINGS displays the Nature tab of the Settings dialog, while CAMERA-SETTINGS displays the Light and Camera tab.

The settings in this dialog apply to all of the terrain windows; however, you can also configure each Terrain window independently: just select the Terrain window you want to configure, then select which items to display through the Nature and Object menus.

In the Settings dialog, there are two Apply functions:

•[Apply] applies the settings of the currently visible tab.

•[Apply All] applies all settings in all tabs.

Settings Dialog

More Information

• Viewing your Survey Data in 3DTV

• Lighting in 3DTV

• Full Screen Mode in 3DTV

• Manual Control of 3DTV Display Updates

• Camera View Settings


Viewing your Survey Data in 3DTV

The 3D TERRAIN VIEWER has several options affecting how you view your data. From within 3DTV, you can control the type of model created, the color scheme and lighting. You can also adjust the settings for the speed that the program can redraw the data in a window that has been repositioned or suspend display updates in 3DTV completely.

Note:If you have more than one Terrain window the menu options apply only to the currently active window. Options in the Settings dialog apply to all Terrain windows.

• 3D Terrain Viewer Model Types

• 3D Terrain Viewer Color Settings

• Vertical Exaggeration of the 3DTV Terrain Window

More Information

• Lighting in 3DTV

• Viewing Sky Displays in 3DTV

• Full Screen Mode in 3DTV

• Manual Control of 3DTV Display Updates

• Camera View Settings

• Features Beyond the Survey Data in the 3DTV Display

• Viewing Custom Shapes (*.3OD) in 3D Terrain Viewer

3D Terrain Viewer Model Types

3DTV provides a choice to view your data as a solid, color-coded model, a white wire frame model or with a georeferenced TIF file draped over the surface.

The solid and wire models only require that you make your selection in the VIEW-DISPLAY METHOD menu or with icons on the Accessories toolbar.

For static, solid models you may also choose to display a smooth surface or a more angular one by selecting VIEW-DISPLAY METHOD-SMOOTH SURFACE.

Solid Model

Wire Frame Model

Photo-Texture Models Display TIF Charts

More Information

• Terrain Settings

• Manual Control of 3DTV Display Updates

Return To Top

3D Terrain Viewer Color Settings

In each project, the first time 3D TERRAIN VIEWER is opened from HYPACK, it will begin with the HYPACK color scheme. You can retain these colors or create a new set of colors for 3DTV.

A color bar may be displayed in the Terrain window so you can easily interpret the depths in your model. Select VIEW-COLOR BAR to toggle the color bar on and off. When you display the color bar with your custom colors, you can quickly access the color dialog by double clicking on the color bar.

Customizing the Sounding Color Settings

1.Select TERRAIN-COLOR SETTINGS-CUSTOM COLORS.

2.Select TERRAIN-COLOR SETTINGS-EDIT COLORS. This displays the standard HYPACK colors dialog for you to set your new color scheme.

Note:The custom colors only affect 3DTV. They are saved in the 3DTV project settings (and are restored when you later re-open the project *.3DV file), but they do not affect the project color settings outside of the 3DTV module.

Creating Multiple Sets of Custom Colors for the Same Project

Follow this procedure and save them to different 3DV files. If your desired settings are not in the most recently used project file (3DTV_Project.3DV for 3DTV or DV_Project.3DV for MATRIX 3DTV, which will be read when the program starts, use OPEN-FILE to select the appropriate 3DV file.

You can toggle between HYPACK and Custom Colors by changing your TERRAIN-COLOR SETTINGS menu selection at any time.

You can also choose the background color for your display through the VIEW-BACKGROUND menu item. From here you can elect to display black or white, or set another color.

Choosing a Background Color

1.Select VIEW-BACKGROUND-USER DEFINED.

2.Select VIEW-BACKGROUND-EDIT BACKGROUND. A color dialog will appear for you to select the new color.

3.Click [OK] to return to 3DTVand apply the selected color. This will be the background color whenever you choose the ‘User-defined’ option until you choose another color.

Return To Top

Vertical Exaggeration of the 3DTV Terrain Window

The scale of the Z-axis of your terrain, as well as other objects displayed in your Terrain Window, can be adjusted using the Vertical Exaggeration feature. The water level and channel will also be scaled by the same factor in order to keep the scale of the entire display synchronized. This can be particularly helpful if your terrain is nearly flat.

Accentuating Changes in Depth or Elevation

Multiply the Z-scale by a factor larger than 1.

Flatten the Terrain

Enter a value between 0 and 1.

Setting the Z-scale

•Click and drag the slider on the Vertical Exaggeration Toolbar. The current Z-scale is displayed on the left end of the toolbar.

•Select VIEW-SETTINGS and enter a Z-scale factor in the View tab.

Vertical Exaggeration Settings

Scale Factor=1 (left), Scale Factor=5 (Right)

The Do not apply to Vessels checkbox allows you to exaggerate the features in your survey area without distorting the proportions of your boat shapes and floating objects.

Setting the Z-scale to One

Click the [->1<-] button on the toolbar.

Toolbar

Viewing the Project Area Without the Terrain Model

The Terrain menu includes two options that affect the presence of the terrain model in the Terrain windows:

•SHOW TERRAIN toggles the display of the surface model on and off.

•SHOW TERRAIN CURTAIN: When the terrain model is showing, this option adds a vertical extension downward from the edges of the terrain model.

Terrain Curtain—With (left) and Without (right)

Return To Top


Lighting in 3DTV

The Light View controls the position of the light source relative to your data set. The cursor position is shown in the status bar: X,Y horizontal position in the left side and vertical position—Depth (D) or Elevation (E)—on the left.

There is one light source available for each 3D Terrain Window. The light settings are independent in each window. Changes made in the Light View will be applied to the currently selected 3D Terrain Window.

Light View

To adjust the display in the map view, place the focus on the Light View and use the tools in the toolbar.

Light View Toolbar

The toolbar includes the usual pan and zoom:

•Zoom In/Out: When this option is selected, a left-click decreases the scale (zoom in) and a right-click increases the scale (zoom out).

•Zoom Window: Select this option and drag a rectangle in the window to define the extent of your desired view. The program redraws the screen to display the defined area optimally.

•Zoom Extents: Draws the display at a zoom scale that displays all enabled data.

•Pan: Select this option, then click in the window and drag the cursor to the position where that point should be displayed. As you drag, the program displays the distance and azimuth of the cursor motion. When you release the mouse button the display updates accordingly.

Additional functions work as follows:

•Zoom in Vessel and Zoom out Vessel position the vessel in the center, then zoom in or out. The map view is translated to position the vessel in the center, then zooms in or out while remaining centered on the vessel origin. These tools are disabled when the vessel is not available.

•Synchronized Zoom keeps zoom synchronized between the Camera View and Light View.

• Positioning the Light Source

• Dynamic Lighting Settings

Positioning the Light Source

You can position the light source manually or automatically.

•Manually, in the Light View. (If the Light View is not visible, select VIEW-TOOLBARS-LIGHT VIEW.)

•Adjust the horizontal position of the light source on the left side of the window where an aerial view of your data file and a yellow circle that represents the light source are displayed. Click where you want your light source relative to your data and the circle will move to that location. The effect will be seen in the 3D Terrain window.

•Adjust the vertical position of the light source on the right side of the window where the minimum and maximum Z-values of your data file are displayed. Click in that window at the level relative to the data where you want the light. The yellow circle will move to that location and the effect will be seen in the 3D Terrain window.

• [image] Automatically: Synchronize the light position with the camera position using the Mining Lamp feature. Select LIGHTING-MINING LAMP (or enable the Mining Lamp Mode icon.)

Note:When the mining lamp is selected, you can not adjust the light’s horizontal position manually.

Return to Top

Dynamic Lighting Settings

The dynamic lighting settings adjust the lighting in the 3D TERRAIN VIEWER. Select LIGHTING-ENABLE to toggle this feature on and off.

To select your dynamic lighting settings, select LIGHTING-SETTINGS and the Settings dialog will appear.

Dynamic Lighting Settings

Ambient light comes from "everywhere".

Diffuse light originates from the light source, which is precisely positioned in space.

To customize the color of each type of light click the corresponding button and select your color from the color selection dialog that appears.

Note:You are free to select any color. However, keep in mind that only the white light (or shades of gray, which represent the white light of lower intensity) would not affect colors of the solid model.

The Maximum Displayed Height is the vertical extent of the side view of the Light View. It can be set

•At a user-defined constant by entering a level here. This value may not be less than the default value which is calculated based on the current data set. (Click [Default] to find out what that value is.)

Note:The Maximum Displayed Height setting does not limit the level of the lighting source, but if the lamp level exceeds the user-defined level, it will not be visible in the Light View.

•Automatically by the program. The Automatic Adjust option adjusts the Maximum Light Height based on the current light position. If your light position is near the top of the current range, the Maximum Light Height will increase; if the light is near the lower end of the range, the Maximum Light Height will decrease.

The Show Objects options determine what is shown in the left side of the Light Position window in addition to the light symbol. You may choose to display a filled, color-coded representation (Data), or only an outline of your data files (Border), or both. When channel information or planned lines have been imported to your Terrain window, you may also display them in the Light Position window by checking their corresponding checkboxes in this dialog.

Texture Border displays an orange outline of the photo-texture file.

Return to Top


Full Screen Mode in 3DTV

Full Screen Mode displays only the contents of the currently active Terrain window. In this mode, no other windows or controls in the graphic interface are available.

Entering Full Screen Mode:

•Select VIEW-FULL SCREEN

• [image] Click the full screen mode icon on the Accessories Toolbar.

Note:The Full Screen feature is disabled during AVI recording.

Leaving the Full Screen Mode:

While in Full Screen mode, all of the keyboard commands and mouse controls are still available. On screen cues (F2) are provided for your reference.

There are two interaction modes using mouse controls in Full Screen mode. Use F3 to toggle between the two modes.

•Anchor Mode controls may also be used when you are not in Full Screen mode.

Controlling the Camera with your Mouse in Anchor Mode

Mouse Action

Result

Click + drag

Shifts the camera position horizontally in a manner such that it appears the terrain model moves in the direction of the cursor motion.

Ctrl + Click and drag

•Drag mouse forward and back shifts the camera position horizontally and vertically, and adjusts its height and tilt in a manner such that it appears the terrain model rotates around the Y-axis of the display at the cursor position. (This is only the same as the Y-axis of the projection if the camera heading is zero.).

•Drag mouse left and right shifts the camera position horizontally, and adjusts its tilt and heading such that it appears the terrain is rotating around the cursor position.

Click + scroll (with the mouse wheel)

Changes camera distance from the selected point on the terrain. This operation shifts both the horizontal and vertical positions in a manner that maintains the current camera tilt.

Note:This control is limited to Free Flight mode when at least a portion of the terrain is visible.

•Sliding Mode controls were developed in the earlier versions of 3DTV.

Controlling the Camera with your Mouse in Sliding Mode

Mouse Actions | Result
Click and drag | Affects Camera Yaw and Tilt.
Right-click and drag forward/back | Terrain moves forward/back
Ctrl + Right-click and drag forward/back | Terrain moves up/down

More Information

• Keyboard Shortcut Commands


Manual Control of 3DTV Display Updates

If you are running MATRIX 3DTV while you are logging data, you may find that the demand of 3DTV on your CPU resources is affecting the performance of other programs you are running. The power of your computer and your program options, in 3DTV as well as in other programs, all contribute to your system performance.

If your system is temporarily over-taxed, you can suspend the display updates in 3DTV. VIEW-SUSPEND UPDATES tells 3DTV to temporarily ignore new data from shared memory. All vessels will stop moving and the model will not be updated. This option helps free your CPU resources to make them available while you are changing your settings in 3DTV. If you are logging data in SURVEY or DREDGEPACK while in MATRIX 3DTV, it will not affect your data collection; only the 3DTV display is affected.

While your updates are suspended, you can manually control the camera and light. Alternatively, you can update the model by selecting VIEW-REFRESH or by clicking the Refresh View icon.

Tip: If you want to suspend 3DTV activity for longer periods, particularly if you are logging data, you should refresh your display regularly or close 3DTV until you are ready to use it again. This will assure that your display is always current and that you are using your CPU resources to your best advantage.

More Information

• Terrain Settings

• Optimizing 3D Terrain Viewer Performance


Camera View Settings

The Camera View controls the position of the camera relative to your data set. The cursor position is shown in the status bar: X, Y horizontal position in the left map view and vertical position—Depth (D) or Elevation (E)—on the right.

The Camera View can be configured using the Camera settings where there are options to set the vertical range of the window and to display imported objects.

The Camera View options apply to all 3D Terrain windows.

• Adjusting the Display in the Camera View Window

• Adjusting the Display Using the Camera Settings

Adjusting the Display in the Camera View Window

With the focus on the Camera View and use the tools in the toolbar to optimize your Camera View display.

Camera View Toolbar

The toolbar includes the usual pan and zoom:

•Zoom In/Out: When this option is selected, a left-click decreases the scale (zoom in) and a right-click increases the scale (zoom out).

•Zoom Window: Select this option and drag a rectangle in the window to define the extent of your desired view. The program redraws the screen to display the defined area optimally.

•Zoom Extents: Draws the display at a zoom scale that displays all enabled data.

•Pan: Select this option, then click in the window and drag the cursor to the position where that point should be displayed. As you drag, the program displays the distance and azimuth of the cursor motion. When you release the mouse button the display updates accordingly.

Additional functions work as follows:

•Zoom in Vessel and Zoom out Vessel position the vessel in the center, then zoom in or out. The map view is translated to position the vessel in the center, then zooms in or out while remaining centered on the vessel origin. These tools are disabled when the vessel is not available.

•Synchronized Zoom keeps zoom synchronized between the Camera View and Light View.

•Follow Camera synchronizes the light position with the camera position. Also, if the camera motion would take it out of view, the Camera View will automatically zoom out to keep it visible.

Return to Top

Adjusting the Display Using the Camera Settings

Select CAMERA-SETTINGS to access the Camera settings.

Camera Settings

The Maximum Camera Height in the Camera View can be set to a constant level or to automatically adjust according to the height at which you set the camera.

Setting the Maximum Camera Height:

•At a constant, user-defined level, select the User-Defined option and enter the level. This value may not be less than the default value which is calculated based on the current data set. (To find out what that value is, click [Default].)

•Automatically by the program. The Automatic Adjust option adjusts the Maximum Camera Height based on the current camera position. If your camera position is near the top of the current range, the Maximum Camera Height will increase; if the camera is near the lower end of the range, the Maximum Camera Height will decrease.

Setting the Minimum Camera Height:

The Minimum Camera Height sets the lowest camera position.

•No Limit: The camera may even go beneath terrain surface.

•Approximate Limit: The camera will go only as low as the maximum height in the model cell below it.

•Precise Limit: The camera will go only as low as the maximum height point in the entire model below it. This option may slow-down frame rate as it requires more calculation.

The Show Objects options determine what is shown in the left side of the Camera View in addition to the camera symbol. You may choose to display a filled, color-coded representation (Data), or only an outline of your data files (Border) or both. When channel information or planned lines have been imported to your Terrain window, you may also display them in the Camera View by checking their corresponding checkbox in this dialog.

Camera View Displays the Data Border, Boat, Channel Lines and Planned Lines

•Border draws a green outline of your terrain model.

•Data draws a 2-dimensional, color, solid representation of your data.

•Channel Lines draws the center line and toe lines if you have imported a Channel Plan file (*.PLN).

•Planned Lines draws the survey lines if you have imported a Planned Line file (*.LNW).

•Followed Path Lines draws the survey lines the vessel is following in ‘Follow Path’ mode. This option is only available in Follow Path mode.

•Channel draws a white outline of the channel area if you have imported a Channel File (*.CHN).

•Texture Border draws an orange outline of your photo-texture file.

Camera Changing Position Smoothly: When you change the camera position the terrain window shows the transition as if the camera was flying between locations rather than abruptly jumping to the new location.

Return to Top

More Information

• Positioning your Camera in the 3D Terrain Viewer


Features Beyond the Survey Data in the 3DTV Display

To enhance the display of your sounding data, you can add a selection of features in your project area.

Most of the view options are included in the multitabbed Settings dialog. Select FILE-SETTINGS or click the Settings icon.

When you access the dialog from the Settings icon, 3DTV displays the dialog with the most recently used tab visible. The menu selection displays the tab relevant to the menu from which you accessed the dialog. For example, NATURE-SETTINGS displays the Nature tab of the Settings dialog, while CAMERA-SETTINGS displays the Light and Camera tab.

The settings in this dialog apply to all of the terrain windows; however, you can also configure each Terrain window independently: just select the Terrain window you want to configure, then select which items to display through the Nature and Object menus.

In the Settings dialog, there are two Apply functions:

•[Apply] applies the settings of the currently visible tab.

•[Apply All] applies all settings in all tabs.

More Information

• Draping Charts over your Terrain Model in 3DTV

• Viewing Planned Lines and Channel Information in 3DTV

• Viewing the Water Surface in 3DTV

• Viewing Targets in 3DTV

• Viewing Boat Shapes in 3D Terrain Viewer

• Viewing Dredging Equipment in 3DTV

• Viewing Custom Shapes (*.3OD) in 3D Terrain Viewer

• Viewing Sky Displays in 3DTV

• Wind Sound Effects in 3D Terrain Viewer


Draping Charts over your Terrain Model in 3DTV

To display a TIF file draped over the surface, in the surrounding area or both is a two step process; you must first load one or more TIF files to your project before the photo-texture option is available.

To load your TIF files:

1.Select TERRAIN-PHOTOTEXTURE and the Photo-Texture tab of the Settings dialog will appear.

Photo-Texture Settings Dialog

2.Choose the TIF files that you want to display.

•For each TIF file, click [Add] and browse for your file. As each file is selected, it will be listed in the Photo-texture tab.

•If you change your mind do one of the following:

•To remove one file, select it in the list and click [Remove Selected].

•To start over, click [Remove All].

3.Choose your photo-texture display settings.

Note:Most settings apply to all photo-textures. Only the Transparent Color options are set for each layer independently.

•Photo Texture Outside Terrain options pertain only to geo-TIFs that extend beyond the range of the terrain data (XYZ or MTX) used to build your model.

•Show tells the program to display portions of the TIF that extend beyond the terrain model.

•At Level: The Z-level at which all TIFs are displayed. The space between the terrain level and this level where your TIF charts are drawn is filled in gray or the project colors for the depth.

Difference in Z-level between the Geo-TIF and the Terrain Model Covered in black

•Automatic Update: In Matrix 3DTV mode, the program constantly updates the terrain borders as 3DTV receives depth updates. Alternatively, you may leave this option unchecked and manually update the terrain as necessary.

Note:Photo-textures outside the terrain model are supported only when the Accurate Border option is selected in the Terrain Settings.

•Photo Texture Transparency: In addition to the transparency color you can set the photo-texture to be partially transparent so that the matrix file over which the chart is superimposed can be seen. Use the "Photo-texture Transparency" slider in Photo-texture Settings dialog to adjust the level of chart transparency.

•Opaque: The depth-colored model can not be seen through the texture.

•Transparent: Only the depth-colored model is displayed.

All slider positions between will mix these two in the specified ratio.

Sample Displays.- Opaque (left), Transparent (right), Partial Transparency Displays the Color-coded TIN and the Chart Simultaneously (bottom)

•Transparent Color: You can choose one color in your chart to become transparent in the display which allows the matrix to show through while the remaining areas of the TIF are fully opaque: Select the Transparent Color option for the chart you want to affect and click the [...] in the value column. The Transparent Color Selection dialog appears with your photo-texture displayed.

Transparent Color Selection Dialog

To pick a color from the photo-texture image, select the Pick Color tool and click on the color you want transparent in the image. Otherwise, click the More Colors icon and define the transparency color in the Color dialog.

A Transparent Center-channel Color of the S57 Converted to Geo-TIF Allows the Color-coded TIN Surface to Show Through.

2D Contours Exported in Geo-TIF Format from TIN MODEL. Project Colors Were Changed and the TIF Overlaid on 3DTV’s Color-coded Model.

Note:If the graphics hardware does not support texture mixing, this feature might be disabled and only plain photo-texture or plain depth-colored model can be displayed. This is unlikely with graphic adapters made after about 2002.

•Photo-texture Reloading: Creating a large photo-texture takes at least 10 times longer than reloading a previously created texture from a file. As you can imagine, if your data file is very large, this could make a significant difference.

If Optimize for Disk Space is selected, 3DTV will recreate the photo-texture each time you enter the program. Optimize for Speed, saves the photo-texture in the project folder (to GeoTiffFileName.pho) ready to be reloaded without rebuilding it next time 3DTV is opened in the project. This photo-texture file is deleted when you select ‘Optimize for Disk Space’ again and save the project.

Note:The PHO file requires significant hard drive space.

•Color of Terrain Uncovered by Photo-texture determines what will be visible where your matrix or XYZ data extends beyond the edged of the TIF file. Choose to use gray or your project colors.

•Photo-texture Quality allows you to balance your needs for a quality display of your TIF with the drawing speed.

[Default] automatically selects gray terrain and the best quality display of your TIF files.

4.Click [Apply] to preview your display. (Optional)

5.Modify the draw order of your TIF files if necessary. If you have more than one file loaded in the photo-texture tab, one may hide another in your display. To change the draw order, change the order in which they are listed in the Photo-texture tab.

a.Select one of the TIF files in the Photo-texture tab.

b.Click [Up] or [Down] to reposition it in the list. (The files listed last, draw last.)

c.Click [Apply]. A progress bar shows the program is at work.

6.When you are satisfied with your display, click [OK].

Once your TIF files are loaded, you can select the Photo-textured display method by selecting VIEW-DISPLAY METHOD-photo-textureD.


Viewing Planned Lines and Channel Information in 3DTV

You can display planned lines and channel information in your Terrain window as well as in the Camera and Light Position windows. Such information provides the helmsman with important information to guide his navigation and improve digging accuracy.

The channel file can contain either depth or elevation data. The information on the expected Z-interpretation of channel file data will be read directly from the channel file or, if the mode is not indicated there, the mode will be set to match the Z-interpretation selection in the program.

• Importing Planned Lines and Channel Information to 3DTV

• Display Options for Planned Lines and Channel Information in 3DTV

Importing Planned Lines and Channel Information to 3DTV

Load your choice of files by selecting OBJECTS-CHANNEL-IMPORT and the file type you want to view then choose your file from the file selection dialog that appears. 3DTV accepts:

Feature | Source
Channel | CHN files are Channel Plan files created in ADVANCED CHANNEL DESIGN.
Channel Lines | PLN files are Channel Plan files created in CHANNEL DESIGN. They include Toe Lines, Center Lines and Basin Lines.
Planned Lines | LNW files are created primarily in the LINE EDITOR or in ADVANCED CHANNEL DESIGN.

Planned lines will be displayed with their line name above each end.

Note:If you want to display channel lines with the planned lines, you would typically create the LNW file and PLN files both at the same time in CHANNEL DESIGN.

Return to Top

Display Options for Planned Lines and Channel Information in 3DTV

Once you have loaded your choice of features, you can customize how they are displayed.

The Terrain window display is controlled through the Channel Settings which can be accessed by selecting OBJECTS-SETTINGS. Take a little time to experiment with the different settings and you will quickly understand how they work and develop preferences for your purposes.

Channel Settings Dialog

You can customize the properties of each type of feature as follows:

Color: Click the button corresponding to the feature color that you want to modify. A color selection dialog will appear for you to choose your new color. The current color is displayed next to the button that modifies it. Notice that you can choose separate settings for the toe lines, center lines and turning basin lines, as well as the portion of the Channel file that falls above and below the model created from the survey data.

Transparency: Use the sliders to change the percentage of transparency when the feature is displayed in 3 dimensions. 100% transparency is invisible, while 0% transparency is opaque. Again, you can choose separate settings for the portion of the Channel file that falls above and below the model created from the survey data.

Dimensions: Channels, by definition, can only be displayed in 3 dimensions. Channel Lines and Planned Lines can be drawn in 2 or 3 dimensions. When Channel or Planned Lines are drawn in 2 dimensions, additional options are enabled that allow you to project the lines' shadows directly below the object.

•Show Shadow Over Terrain shows the shadow against the terrain. If a channel (CHN) is being displayed and is above terrain level, the shadow will not show.

•Also Over Channel always displays the shadow over the project area.

Shadow Thickness sets the weight of the shadows when they are displayed against the terrain or channel.

2D Channel Lines + Shadow (left), 3D channel Lines (right)

2D Planned Lines (left), 3D Planned Lines (right)

Channel Display (left), All Feature Types: 2D Channel Lines, 3D Planned Lines and Channel (right)

Clip against Terrain Extents: The ends of planned and channel lines will follow the boundaries of the ensonified area.

Note:The accuracy of the clipping is, affected by the Grid Cell Size set in your terrain settings. A smaller Grid Cell Size will clip the lines more closely to the edges of the ensonified area.

[Default] resets all settings to their defaults as shown in the sample dialog. All transparency settings are set to 50%, Channel Lines and Planned Lines are set to draw in 2 dimensions and each feature has a separate and distinct color.

The Camera and Lighting Views are controlled through the Camera and Lighting tab in the Settings dialog. Once any of these objects are displayed in the Terrain window, you may also display them in the Camera or Light View by checking the corresponding option in the Settings dialog.

Camera View and Camera Settings

Lighting Position Window and Settings Dialog

Note:During data collection, when survey depths are continuously being updated, displaying the data in the Camera and Lighting Position Windows can slow the frame rate.

Return to Top


Viewing the Water Surface in 3DTV

You can improve the realism of the display by superimposing a water surface in your survey area. To do this, select NATURE-WATER SURFACE.

Survey Data Displayed in 3DTV—
No Water Surface (left), Water Surface Enabled (right)

The Water Surface Level is also drawn in the Camera and Light Views. In the following figures, the water level is represented by the line in the selected water color on the right side of the window.

The Water Level Drawn in the Camera and Light Views

The water's level, transparency and color are controlled in the Nature tab of the Settings dialog. (Select NATURE-SETTINGS.)

Water Surface Settings—Default Settings

The Chart Datum Level is the height of the chart datum above Mean Sea Level. It is read from your geodesy settings.

Note:If the control is enabled, the geodesy settings do not contain the value, so set it to the desired level. This Z value will be interpreted as elevation, regardless of Z-interpretation mode, since all displayed Z-values in the 3DV are elevations.

The Water Surface Level is determined by the Chart Datum Level and, in Attached to Vessel Flight Mode, the Tide Correction value which is read from shared memory.

Transparency affects the transparency of the water surface. A value of zero results in an opaque surface while 100 causes it to become invisible.

[Color] displays a color dialog from which you can choose a color for the water in your display. Note that, unless you choose white, the color of the water will affect the color display of the depths below water level.

The Waves option overlays a wave-like texture on the water surface. When this option is checked the corresponding slide sets the degree of wave action.

Note:This option is only supported by certain video cards. At this writing, Invidia cards support waves. ATI graphics cards do not.

Wave Sounds: When the Waves option is selected, check this option to add water sound effects that match the selected wave type.

Note:You can turn 3DTV wind and water sounds on and off by selecting NATURE-MUTE SOUNDS.

[Apply] updates the 3DTV window according to your settings without leaving the settings dialog.

[Default] resets the values to CDL = the value defined in the geodesy settings (or 0.0), Transparency = 80 and the Color to blue.


Viewing Targets in 3DTV

When targets are enabled in SURVEY or DREDGEPACK, the targets can be displayed on the water surface in the 3D Terrain Viewer. They resemble the targets displayed in SURVEY or DREDGEPACK in the number of circles surrounding the target point and the distance between them. The target name is displayed above the target.

To control which targets are displayed, select OBJECTS-TARGETS and choose your option.

•HIDE omits the targets from the display.

•SHOW SELECTED displays only the currently selected target.

•SHOW ALL displays all targets.

You can further customize the target display in 3DTV through the Multi-target Settings dialog which is accessed by selecting OBJECTS-SETTINGS.

Target Settings

The Transparency is defined as a percentage where 100 makes them completely invisible and 0 makes them opaque. This is particularly important if you choose to display 3D targets. The labels are constantly visible.

Model Quality, based on a scale of 20, effects smoothness of the curved lines or surfaces that draw the target.

[Inactive Color] and [Active Color] enable you to choose the colors of the target display. The Active Color is for the currently selected target. Any other targets will be displayed in the Inactive Color.

2D Mode draws the targets on the water surface level. This is valid even if water surface itself is not shown. In this mode, you can also choose to project a shadow directly below the target.

•Show Shadow Over Terrain shows the shadow against the terrain. If a channel (CHN) is being displayed and is above terrain level, the shadow will not show.

•Also Over Channel always displays the shadow over the project area.

3D Mode vertically expands the target and any circles that surround it. The resulting appearance is a rod passing through the target center. Any surrounding circles appear as cylinders.


Viewing Boat Shapes in 3D Terrain Viewer

You can load a vessel shape that will be positioned in 3DTV according to the information received through shared memory. Its origin (determined when the boat shape is created) is located at the current X,Y position. The vertical position of the vessel is adjusted according to the current chart datum level (CDL), and the tide and draft correction values. The vessel heading will coincide with heading data in shared memory.

If the selected boat is not shown, the camera is positioned at the boat position according to the information from shared memory.

If the selected boat is shown, the camera in 3DTV will be positioned relative to the selected vessel according to the settings in the Multi-vessel Settings dialog. Once the boat is loaded and showing, you can view your data and your vessel as the survey progresses. This requires a 3D boat shape for each of your vessels that can then be imported into 3DTV. You can build custom shapes to match your actual vessel in the 3D SHAPE EDITOR or choose from those that are provided with the HYPACK installation in the \HYPACK 2017\Shapes folder.

Importing Custom Boat Shapes to Matrix 3DTV

When you open a project in 3DTV or Matrix 3DTV for the first time, the Multivessel Settings dialog will appear. You can access the same options from Matrix 3DTV at any time:

•Select VESSELS-SETTINGS and open the Vessels tab or

•Open the Object Deployment dialog. Select VIEW-TOOLBARS-OBJECT DEPLOYMENT and select the vessel name in the Object Name list.

Vessel Settings Tab (left), Object Deployment Dialog (right)

The Vessel Name drop-down box is automatically populated with the vessel(s) in your hardware configuration. Select the vessel which the dialog settings should affect.

Type displays the custom shape type.

Shape enables you to assign a custom 3D Shape file (*.3OD) of your vessel. You can build custom shapes to match your actual vessel in the 3D SHAPE EDITOR.

•To see a rotating display of your shape in the bottom right of the dialog, click [Preview].

•To modify the selected shape file, click [Edit]. The 3D SHAPE EDITOR will be launched with the shape file loaded and ready for your changes.

Scale sets the scale of the shape in your display. If the scale of your vessel is unrealistic, you can use the scale factor to adjust it to something more accurate.

Selected makes all camera motion relative to that vessel. It is also the vessel on which the camera focuses when you click the ‘Focus on Vessel’ option. When the flight mode is ‘Attached To Vessel’, this vessel would be the ‘active’ vessel. In a multivessel project, checking this option for one boat will clear it for all other project vessels.

Visible controls the display of each vessel on an individual basis. You can remove all vessels from your display in 3DTV by selecting VESSELS-HIDE ALL VESSELS.

Camera Position Relative to Vessel: When a vessel is showing, the camera is positioned relative to the boat rather than at the boat position. The Camera Position settings enable you to set the angle and distance from the boat where the camera should be located. As the vessel moves, the camera position will update to maintain these distances.

•Above (default=18.2) places the camera above the vessel reference point by the specified distance. You can use a negative value to view the vessel from beneath the waterline, but you can not position the camera below the survey bottom.

•Behind (default=50) positions the camera to follow the vessel by the defined distance. A negative value positions the camera in front of the vessel. (In this case, you probably want to check the Focus the Vessel option so the camera will face the vessel and move backward.)

•Aside (default=0) offsets the camera port or starboard of the vessel midline. A positive distance value positions the camera to the port side, while a negative value moves the camera starboard.

[Default] sets all of these camera position settings to their default value. These values are shown in the previous figure.

A 2-dimensional boat shape is also displayed in the Map View of the Camera and Light Position Windows. The settings under “Map View Vessel Symbol provide display options for this symbol.

•Show Vessel Name displays the name associated with each vessel beside each shape.

•Fill Color displays a color dialog from which you can choose a color for the vessel. This enables you to easily differentiate between multiple vessels in the map view.

•Active Vessel Border Color sets the color of the perimeter of the shape when it is the selected vessel.

•The Default colors will automatically choose a color that will appear clearly against the current background color. If you choose one of the User-Defined options, its Color button will be enabled for you to access a color dialog and choose a new color.

[Apply] updates the vessel settings allowing you to preview your display in the Terrain window without leaving the settings dialog.

In addition to the options in the Vessel Settings dialog, the Vessels menu includes a number of features that can be toggled on and off.

Show Shadow: If a boat shape is showing, you can also display the shadow of the shape on the survey bottom, positioned directly below the boat (regardless of the light source position). It may be very useful to know exactly where you are above the terrain. You can control the shadow display by selecting VESSELS-SHADOW and one of the options.

•Hide turns the shadow display off.

•Over Terrain shows the shadow against the terrain. If a channel (CHN) is being displayed and is above terrain level, the shadow will not show.

•Over Terrain and Channel always displays the shadow over the project area.

Altitude of Vessel Above Bottom: This option was designed to monitor submerged mobiles. It calculates the distance between the bottom of your mobile and the seafloor, and displays it with the current flight mode in the Terrain window.

Map View Vessel Symbol Options affect the displays in the map view of the Camera and Light View windows.

•Show Vessel Name: Displays the mobile name from HARDWARE.

•Fill Color: The Vessel Fill Color is the color used to fill a boat shape. The default is gray. Click [Color] to customize your fill color.

•Selected Vessel Marker Color: The color for a vessel symbol. The default is red.) Click [Color] to customize your marker color.

More Information

• 3D SHAPE EDITOR


Viewing Dredging Equipment in 3DTV

In a dredging project, if you display your vessel, Matrix 3DTV can also display your digging tool, the arm on which it is mounted, and any configured anchors. The Vessel menu provides options which toggle the display of each of these items on and off. The Vessel Tools settings (VESSELS-TOOL SETTINGS) customize the display of each item.

Tool Settings Dialog

• Digging Tool Options

• Dredge Arm Options

Digging Tool Options

If the vessel is showing, you can display a representation of the digging tool. The digging tool is shown with its lower point at the X, Y, Z position read from HYPACK Shared Memory.

Digging Tool Displayed as a Red Pyramid.

You can customize the size (height and width are the same), color and shape of the tool through the Digging Tool Settings.

Digging Tool Settings

The Size of the digging tool is expressed in survey units.

[Color] accesses a color selection dialog. Choose the color you like and click [OK].

Shape provides a selection of shapes that you may use to represent the digging tool.

Return to Top

Dredge Arm Options

Elect to display the arm connecting the digging tool to the vessel by selecting VESSELS-SHOW ARMS.

You can customize the arm display through the Arm Settings.

Arm Settings

Diameter controls the thickness of the arm in survey units.

[Color] access a color selection dialog. Choose the color you like and click [OK].

Return to Top


Viewing Custom Shapes (*.3OD) in 3D Terrain Viewer

In addition to vessel shapes, other custom shapes created in the 3D SHAPE EDITOR can be imported for display in 3DTV to enhance your presentation. Enter shape, positioning and scale information in the Object Deployment dialog and your display can include models of such things as buildings, bridges, piers, buoys, power lines, and pipe lines. The possibilities are endless.

In the following figure, you can see both floating and static shapes.

Displaying Custom Shapes in the Terrain Window

The process is as follows:

1.Make your custom shapes (*.3OD) in the 3D SHAPE EDITOR. If your display has multiple instances of the same shape, only one custom shape file is required.

2.Prepare a positioning file (*.3OP) for any single object that has constant XY position (static or float type). Use any text editor for this.

3.Launch 3DTV or MATRIX 3DTV.

4.Open the Object Deployment dialog by selecting VIEW-TOOLBARS-OBJECT DEPLOYMENT.

Custom Shapes in 3DTV

5.Load and position your custom shapes in your display. Once you have applied the object type, shape file and positioning information, you should see your shapes appear in your 3DTV landscape at the defined positions to match the scale of the custom shape with the scale of your 3DTV presentation.

Tip: The display in the Object Deployment dialog is synchronized with the map display. When you have loaded multiple shapes, you can select a shape in either the dialog or the map and see it highlighted in the other location. All of the shapes in a multistatic or multifloat entry will be highlighted together.

Tip: If at this point you realize you need to modify or create a new shape (*.3OD) or positioning (*.3OP) file the Edit button is an easy solution.

• [image] To modify an existing file, place the cursor in the Shape field of the Object Deployment dialog and click the Edit File icon. 3DTV automatically launches the 3D SHAPE EDITOR.

•If the Shape field was filled, that shape will be loaded in the editor, ready for your changes.

•If the Shape field was blank, the New dialog will appear for you to select the 3OD file to be changed, then listed in the Shape field.

•To generate a new file, place the cursor in the empty field and click [Edit]. When the New dialog appears, name your new 3OD file and click [Save].

6.Set the Visible option, typically to ‘True’. This option works together with OBJECTS-3D OBJECTS options as follows:

Object Deployment ‘Visible’ Option Affected by Objects Menu ‘3D Objects-Show’ Option.

To show… |  | Obj. Deployment Show Setting | Menu 3D Objects Setting
To always show all objects |  | Set all objects to ‘Yes’ | Show Selected
 | OR | N/A | Show All
To show only selected objects |  | Set those you want to see to ‘Yes’ | Show Selected
To show no objects |  | Set all objects to ‘No’ | N/A
 | OR | Set some or all to ‘Yes’ | Hide

7.Apply a scale factor (optional). If the scale of your custom shape is not accurate, this modifies its size in your 3DTV display. A factor less than one decreases the size while factors greater than one increase the size. (Negative factors should not be used. They invert your shape.)

8.When you are satisfied with your display, click [OK] to return to save your settings and return to 3DTV.

More Information

• 3OD Object Types in the 3D Terrain Viewer

• Loading Custom Shapes in the 3D Terrain Viewer

Return To Top

3OD Object Types in the 3D Terrain Viewer

Object Types tell 3DTV how 3OD shapes are positioned and whether their vertical position is affected by changing tides.

•Static objects have constant XYZ positions. These might include such objects as bridges and buildings. The Static object option displays only one custom shape.

•Multistatic objects display multiple instances of static objects using the same custom shape. Notice there is a separate setting for objects derived from the Pole templates in 3D SHAPE EDITOR.

•Floating objects have fixed XY positions, but their vertical position (Z) changes with the tide. Buoys are a common example of floating objects.

•Multifloating objects display multiple instances of floating objects using the same custom shape (*.3OD).

•Poles are created from the Pole template in the 3D SHAPE EDITOR. They resemble a basic power or telephone pole with a user-defined number of wires connecting their crosspieces. When multiple poles are displayed in 3DTV, wires automatically connect the like-numbered wire attachment points defined in the shape file. The order in which they are connected is determined by the positioning file.

•Pipes are horizontal, possibly multi-segmented cylinders. They are not 3OD files. Instead, their properties are described in the Object Deployment dialog.

Return To Top

Loading Custom Shapes in the 3D Terrain Viewer

1.Select VIEW-TOOLBARS-OBJECT DEPLOYMENT and the Object Deployment dialog will appear.

2.Add a Custom Shape:

a. Click the Insert Object icon. An additional dialog will appear.

Insert Object Dialog

b.Enter the object name and type, and click [OK]. The right-hand side of the Object Deployment dialog automatically fills with the required display parameters for the chosen object type.

c.Select the custom shape. Place your cursor in the Position Value field click its […]. A File Select dialog will open for you to indicate your shape file.

Note:If you have not yet created the custom shape you need, you may access the 3D SHAPE EDITOR by placing your cursor in the Shape Value field and clicking [Edit].

3.Position your Custom shape. Positioning is defined through X, Y, Z, and heading information.

•For Static and Floating objects, this data is entered directly into the Object Deployment dialog.

•Multistatic, Multifloating objects, as well as Poles and Pipes, require a positioning file (*3OP).

A positioning file is a simple space-delimited ASCII text file (created in your favorite text editor) listing a set of X, Y, Z, heading settings for each incident of this custom shape in the display. For Pipes the positions define each end and each vertex and the headings are ignored. Even though the height of Multifloat objects is determined by the water height, a Z value of 0.00 must be included in the positioning file.

Sample Positioning File (*.3OP)

Note: If you have not yet created the positioning file you need, you may access NotePad (or other text editor assigned to 3OP files in your Windows settings) by placing your cursor in the Positions field and clicking the Edit icon.

Adjusting the Positioning:

Select the loaded 3OP file and click [Edit]. The 3OP will open in the application defined for them in the Windows settings or, by default, in NotePad. If you save the modified file to a new name, you update the file selection in the Object Deployment dialog.

Deleting a Custom Shape:

Select the custom shape and click [Delete Object].

Return To Top


Viewing Sky Displays in 3DTV

In addition to your project data and project files, the 3D TERRAIN VIEWER provides a selection of options that affect the sky displays.

•Sky is a static sky display. In configuring your skyscape, the sky setting would typically be used alone or as a backdrop for added clouds and fog.

•Clouds draws three, individually configured cloud displays representing low, medium and high altitude clouds.

•Fog draws clouds just above ground level.

• 3DTV Sky Backdrop

• 3DTV Clouds

• 3DTV Fog

3DTV Sky Backdrop

In addition to your project data and project files, you can include an image representing the sky in your Terrain window display. 3D TERRAIN VIEWER provides several images representing different lighting and weather conditions.

To display a skyscape select NATURE-SKY and the type of sky you wish to display. A bullet will appear next to the selected option and the sky image will be drawn to the Terrain window.

Note:Drawing the sky image initially may take several seconds. The status bar indicates the progress of this process.

Day Fair Skyscape

Dusk Overcast Skyscape

To remove the sky from your display, select NATURE-SKY-NONE.

Return to Top

3DTV Clouds

Clouds are drawn in three layers to represent clouds at high, medium and low altitude. They would typically be overlaid on a sky display.

Displaying Clouds in the Terrain Window:

Select NATURE-CLOUDS-SHOW and indicate layers you want to display.

•Show All Layers and Hide: With one selection, turn all three layers on and off respectively.

•High, Medium and Low Altitude Layer options toggle each layer individually.

Sample Cloud Displays

Configuring the Cloud Display:

Each cloud layer is independently configured with motion and appearance settings in the Cloud Settings dialog.

1.Access the Cloud Settings dialog by selecting NATURE-SETTINGS.

Cloud Settings

2.For each layer, do the following:

a.Select the layer to configure in the Layer drop-down list.

b.Enter your parameters and click [Apply].

•Motion settings determine the speed and direction the clouds will travel.

•Color: Click the colored square and choose the color.

•Scattering determines how isolated or clustered the clouds are.

•Thickness determines how opaque and distinctly formed the clouds will be.

Note:If either the Scattering or Thickness slider is positioned at the far left, there will be no clouds.

c.Preview the results in the Terrain window.

3.When all layers are satisfactorily configured, click [OK] to close the dialog.

Return to Top

3DTV Fog

Fog would typically be overlaid on a Sky backdrop to further mimic possible environmental conditions.

Your computer must meet certain requirements to draw fog.

Displaying fog:

To toggle the fog display, select NATURE-FOG.

Fog Display in 3DTV

You can configure motion and appearance of the fog through the Fog Settings dialog.

Configuring the Fog Display:

1.Access the Fog Settings dialog by selecting NATURE-SETTINGS.

Fog Settings Dialog

2.Enter your parameters and click [Apply].

•Motion settings determine the speed and direction the fog can travel.

•Color:

•Background: The fog color will match the color set for the background of the display.

•User-defined: The fog color is set independently of anything else. Click the colored square, choose the color and click [OK].

•Maximum Height: The upper limit of the fog. (When the Z-values in your data set exceed this value, Those areas of the terrain model will show above the fog.)

•Scattering: Choose light to think fog, keeping in mind that fog density will increase with distance from the camera.

3.Preview the results in the Terrain window.

4.Click [OK] to close the dialog.

Return to Top


Wind Sound Effects in 3D Terrain Viewer

Wind settings in the Objects and Nature tab of the Settings dialog provide sound effects for a breezy or stormy day.

1.Check Enable.

2.Select the type of wind.

3.Use the slider to set the intensity of the sound.

Wind Settings

Note:You can turn 3DTV wind and water sounds on and off by selecting NATURE-MUTE SOUNDS.


Positioning your Camera in the 3D Terrain Viewer

The key to 3DTV is manipulating the imaginary camera to view your data set, and any objects you may have loaded to your display, in a way that is most useful for your purposes.

In Free Flight mode, you are in full control of the camera. You can define the:

•Horizontal Position

•Heading

•Tilt

•Zoom

•Vertical Position

•Yaw

•Speed

In other flight modes, some of these attributes are determined by nature of the mode. For example, in Attached to Vessel Mode, the camera speed and heading matches that of the Survey Vessel. The controls are disabled and 3DTV reads the information from shared memory.

More Information

• Camera Positioning Tools in the 3D Terrain Viewer

• Modifying the Camera's Horizontal Position

• Modifying the Camera's Vertical Position

• Modifying the Camera Heading

• Modifying the Camera Yaw

• Modifying the Camera Tilt

• Modifying the Camera Speed

• Modifying the Camera Zoom


Camera Positioning Tools in the 3D Terrain Viewer

All of the camera position, direction and orientation settings can be controlled in multiple places in the 3DTV interface. (Speed and Zoom can only be set using the corresponding controls on the Camera Control Toolbar.) The following sections provide a brief description of each tool.

• Cursor Interaction In The Terrain Window

• The Camera View

• Camera Set Position Dialog

• Multivessel Settings

• Bookmarks

• Camera Controls

• Keyboard Shortcut Commands

Cursor Interaction In The Terrain Window

A few simple operations with your cursor in the Terrain window quickly and intuitively adjust the camera position, heading, height and tilt.

Each operation begins with a click on the terrain model which places a cone-shaped marker at that location. The mouse operation centers around that point.

Note:The distance between the marker and camera is limited to 5 times the terrain size.

Controlling the Camera with your Mouse in Anchor Mode

Mouse Action

Result

Click + drag

Shifts the camera position horizontally in a manner such that it appears the terrain model moves in the direction of the cursor motion.

Ctrl + Click and drag

•Drag mouse forward and back shifts the camera position horizontally and vertically, and adjusts its height and tilt in a manner such that it appears the terrain model rotates around the Y-axis of the display at the cursor position. (This is only the same as the Y-axis of the projection if the camera heading is zero.).

•Drag mouse left and right shifts the camera position horizontally, and adjusts its tilt and heading such that it appears the terrain is rotating around the cursor position.

Click + scroll (with the mouse wheel)

Changes camera distance from the selected point on the terrain. This operation shifts both the horizontal and vertical positions in a manner that maintains the current camera tilt.

Note:This control is limited to Free Flight mode when at least a portion of the terrain is visible.

Return to Top

The Camera View

The Camera View can be displayed (if it isn't already) by selecting CAMERA-POSITION WINDOW. It displays:

•The horizontal position relative to your survey area (left pane).

•The camera's vertical position relative to the minimum and maximum depth found in your file (right pane).

•The direction the camera is pointing—both yaw and tilt (green arrow).

•The direction the camera is traveling (red arrow).

•The view range (the area between the green lines).

•The water level (if it is displayed).

•The maximum graph depth/elevation, which determines the scale of the graphic.

•The current level of the camera or, if the cursor is over the vertical scale, of the cursor.

•The vertical direction in which the Z-value is positive (arrow on Z-axis).

The displays in each side of the window update to give you visual feedback as you move the camera.

Camera View

To adjust the display in the map view, place the focus on the Camera View and use the tools in the map view toolbar. The unusual functions work as follows:

•Zoom in Vessel and Zoom out Vessel position the vessel in the center, then zoom in or out. The map view is translated to position the vessel in the center, then zooms in or out while remaining centered on the vessel origin. These tools are disabled when the vessel is not available.

•Synchronized Zoom keeps zoom synchronized between the Camera View and Light View.

Return to Top

Camera Set Position Dialog

The Camera Set Position Dialog is accessed by selecting CAMERA-SET POSITION. It enables you to set the horizontal and vertical positioning, as well as the heading of the camera. The Z-value will be labeled with "Depth" or "Elevation" according to your project mode.

Camera Position Dialog.

1.Enter the settings for each attribute.

2.Use [Apply] to preview your settings in the 3DTV windows.

3.When you are satisfied, click [OK] to return to the program.

If the camera is moving, when a new position is applied, it immediately changes position and heading according to the new settings, but continues moving at the same speed. Camera Yaw and Tilt are unchanged.

Return to Top

Multivessel Settings

When a vessel is being displayed, the camera is positioned relative to the boat according to the settings in the Vessel Settings. Select VESSELS-SETTINGS and enter the distance the camera should be offset from the vessel in each direction.

Note:These options are disabled when no vessel is present.

Setting the Camera Position Relative to the Vessel

More Information

• Viewing Boat Shapes in 3D Terrain Viewer

Return to Top

Bookmarks

At any time, you can save a composite of all current camera position, direction, and orientation settings. (Zoom and Speed are not included.) These positions are handy if you see something particularly interesting, or you find that you have an especially good viewing angle, and you want to be able to easily return to that viewing position later.

Bookmarks enable you to save and name multiple camera positions. They are controlled in the Bookmarks area of the Camera Controls toolbars.

Bookmarks Tab in the Compact Camera Controls

Bookmark availability depends on the current flight mode and the mode in which you created your bookmarks.

Mode | Bookmarks Visible
Free Flight | ALL
Follow Path | Bookmarks generated on the current line of the current line file. Note:Bookmarks will become unavailable, except in Free Flight mode, if there is any change in the line file name, the line name or line position
Circle | Bookmarks generated while on the same circle (same center and radius).

Note:While bookmarks may be generated and manipulated in Circle mode, it is nearly impossible to display them in Circle mode again, as there is no easy way to re-establish the exact same circle size and position. They are, however, always available in Free Flight mode.

Bookmarking a Position:

Click [Store Position]. Each stored position is saved with a default “Position_Number” label and its XYZ coordinates are displayed in the Bookmarks area.

Modifying the Bookmark Name:

1.Select the bookmark by clicking on it. (It will be highlighted.)

2.Click [Rename], enter the new position name and press the enter key.

Restoring the Camera to Bookmarked Positions:

Select the correct bookmark and click [Restore Position] (or double click on the bookmark). When the camera is at a restored position, the corresponding bookmark is indicated with an arrow symbol (>). If the camera was in motion, the motion will be paused at the restored position.

Note:Note You cannot restore positions when you are in Attached to Vessel flight mode.

Removing a Bookmark:

Select it and click [Delete].

Removing all Bookmarks:

Click [Delete All].

Return to Top

Camera Controls

Camera controls are contained in the Camera Control toolbars. Each attribute has a labeled control with which you can manipulate the camera. The diagrams and text information provided with each set of controls, gives you detailed information about the status of each setting in the camera controls. Modes other than Free Flight Mode predefine some of these attributes and will disable the corresponding controls as noted.

Note:The Compact Camera Control has the same functions as the Camera Control except the Map and Side View diagrams It simply frees screen space for other displays.

Return to Top

Focus on Vessel

In ‘Attached to Vessel’ mode, the camera is always positioned relative to the vessel position. The ‘Focus on Vessel’ feature adjusts the tilt and yaw of the camera to face it toward the vessel of your choice. The icons on the

Focus on Vessel Toolbar

Icon | Function
 | Focuses the camera on the vessel selected in the Mulivessel Setup dialog.
 | Locks the camera focus on the current vessel.
 | Changes focus to the next or previous vessel in your configuration. These are enabled only when the lock is off.

More Information

• Attached to Vessel Mode

• Multivessel Settings

Return to Top

Keyboard Shortcut Commands

A set of keyboard shortcuts have been created to replicate all of the camera control functions (except the default positioning feature). Once you are familiar with them, your viewing area can be increased by hiding the Camera Control toolbar. To help you along, a list of the keyboard commands can be accessed by selecting HELP-KEYBOARD SHORTCUT.

A few of these shortcuts affect camera motion regardless of the type of motion.

Shortcuts Affecting All Camera Motion

Keyboard | Camera Control | Function
Spacebar | [Pause] | Temporarily stops the camera motion. When the motion is paused, the text on the button changes to "Resume".
Spacebar | [Resume] | Restarts the camera motion at the same speed and rate of turn values as before the pause.
Alt + NumPad+0 | [Stop] | Permanently stops the camera motion, setting its speed, and turn and elevation rates of change to zero. Stop does not affect Yaw, Tilt, and Zoom controls

Tip: In some cases, to initiate the opposite action, it will be more efficient to click [0] to stop the camera motion, then use the opposite arrow to begin motion in the opposite direction.

More Information

• 3D Terrain Viewer Keyboard Commands

Return to Top


Modifying the Camera's Horizontal Position

The horizontal positioning is the XY position of the camera.

Tool

Procedure

Camera Positioning Window

Click in the map view at the position relative to your data where you want the camera.

The red circle will move to that location and the effect will be seen in the 3D Terrain window and in the Side View. This method is quick and easy, is not accurate.

Camera Set Position Dialog

Enter the X and Y projection coordinates. Use this option for accurate positioning.

Camera Controls

Use the Speed and Turn controls together to navigate your camera in the display. (Turn controls alone will not change the camera position.)

Use the Turn buttons to change the direction the camera moves.

•Left and Right Arrows (<- and ->): Controls the speed of the camera's change in direction of travel Each click increases the turning speed by 1 degree/second.

•Zero ( [0] ): Stops the turn.

Use the Speed buttons to control how fast (or slowly) it moves.

•Arrow ([<] and [>]): Increment and decrement speed by 1 unit/sec.

•Double Arrow ([<<] and [>>]): Increment and decrement speed by 10 units/sec.

•Zero ( [0] ): Stops the camera's travel.

Camera Speed and Turn Controls

Keyboard Shortcuts

•Alt + Right Arrow: Turns +1 degree/second

•Ctrl + Right Arrow: Turns +10 degrees/second

•Alt + Left Arrow: Turns -1 degree/second

•Ctrl + Left Arrow: Turns -10 degrees/second

•Alt + R: Set turn change to 0.

Cursor in the Terrain Window

Each of the cursor actions in the Terrain window cause the terrain to shift horizontally.

More Information

• Cursor Interaction In The Terrain Window


Modifying the Camera's Vertical Position

The vertical positioning is the Z coordinate of the camera.

Tool

Procedure

Camera Positioning Window

Click in the side view of the window at the height, relative to your data, where you want the camera.

The red circle will move to that location and the effect will be seen in the 3D Terrain Window and in the Side View. This method is quick and easy, but is not accurate

Camera Set Position Dialog

Enter the Z coordinate. Use this option for fast and accurate positioning.

Camera Controls

The Elevation controls adjust the height above the survey area by changing the vertical speed of the camera.

•Up and Down Arrows: Increases/decreases the elevation by 1 unit/second for each click.

•Zero ( [0] ): Stops the camera at the current height.

Camera Elevation Controls

Keyboard Shortcuts

Alt + Up Arrow: +1 unit/second

Ctrl + Up Arrow: +10 units/second

Alt + Down Arrow: -1 unit/second

Ctrl + Down Arrow: -10 units/second

Alt + Z: Stop elevation change

Cursor in the Terrain Window

Some of the cursor actions in the Terrain window cause the terrain to shift vertically..

The camera position relative to the depth/elevation range found in your data set is displayed in the Side View graphic. If the camera is outside of the window's range, an arrow will point to the top of the window. The program does not allow you to position the camera lower than the maximum depth found in the current grid cell. (You determined the grid cell size in the Terrain Settings when you began this 3DTV project. They can be edited by selecting TERRAIN- SETTINGS.) If some grid cells are "empty" (there is no data sounding in them), the camera may drop through the terrain.

More Information

• Cursor Interaction In The Terrain Window


Modifying the Camera Heading

As with vessel heading, camera heading is its direction of travel.

Tool

Procedure

Camera Positioning Window

•CTRL + Right-click in the map view on the point toward which you want the camera to travel.

•Click and drag the mouse to determine direction of the camera (blue arrow will appear). The red camera indicator will be positioned at the point of the click and move in the direction of the drag.

The effect will be seen in the 3D Terrain Window, in the Heading under the Speed and Turn control, and in the Map View.

Camera Set Position Dialog

Enter Heading. A value of 0 is straight up. Use this option for fast and accurate positioning.

Camera Controls

The Turn controls determine the direction in which the camera moves. Turn buttons are only enabled in Free Flight mode.

•Left and Right Arrows (<- and ->): Controls the speed of the camera's change in direction of travel Each click increases the turning speed by 1 degree/second.

•Zero ( [0] ): Stops the turn.

The data below the Speed and Turn buttons displays your current settings. The Map View and Camera View also provide a pictorial representation. If the camera position is outside of the Map View, an arrow will point to the window edge to indicate where it is positioned.

Camera Speed and Turn Controls

Keyboard Shortcuts

•Alt + Right Arrow: Turns +1 degree/second.

•Ctrl + Right Arrow: Turns +10 degrees/second

•Alt + Left Arrow: Turns -1 degree/second

•Ctrl + Left Arrow: Turns -10 degrees/second

•Alt + R: Set turn change to 0.

Cursor in Terrain Window

•Ctrl + Click and drag mouse left/right shifts the camera position horizontally, and adjusts its tilt and heading such that it appears the terrain is rotating around the cursor position.


Modifying the Camera Yaw

Yaw is the angle at which the camera is pointing relative to the direction of travel.

Tool

Procedure

Camera Positioning Window

Right click in map view on the point at which you want the camera to face.

The green camera indicator arrow will update here and in the Map View on the Camera Control toolbar. The 3D Terrain Window and the Camera Yaw control will also update.

This is a quick way to modify the camera yaw, however it is difficult to adjust to an exact yaw angle if it is required.

Camera Controls

The Camera Yaw Controls enable you to turn the camera left and right of the direction of travel.

•Arrow ([<] and [>]): Turns the camera left and right by 1 degree.

•Double Arrow ([<<] and [>>]): Turns the camera left and right by 10 degrees.

•Zero ( [0] ): Camera looks in the direction of travel.

The orientation relative to North and relative to the direction of travel are displayed below the control buttons.

Camera Yaw Controls

Radar Mode

Radar mode allows the camera to sweep back and forth, constantly changing yaw at a user-defined speed and within a user-defined range. The map in the Camera Position window shows the angle with two dotted lines.

1.Put the program in Free Flight Mode.

2.Activate Radar Mode by depressing the Camera Radar Mode icon.

3.Click the Radar Angle Icon.

4.Set the sweep angle by clicking at the enter point of the viewing angle and drag to define the distance port or starboard you to which you want to scan. The radar angle will automatically expand the same distance in the other direction. (The final radar angle will be twice what you define with your cursor.)

5.Control the speed of the sweeps using the Camera Yaw controls.

Keyboard Shortcut

•NumLock + Alt + NumPad 6: Yaw +1 degree

•NumLock + Ctrl + NumPad 6: Yaw + 10 degrees

•NumLock + Alt + NumPad 4:Yaw – 1 degree

•NumLock + Ctrl + NumPad 4: Yaw - 10 degrees

•NumLock + Alt + NumPad 5: Yaw and Tilt set to 0

•Alt + Y: Yaw set to 0


Modifying the Camera Tilt

The Camera Tilt adjusts the angle of view relative to the horizon. The tilt angle may range from -90 degrees to 90 degrees.

Tool | Procedure
Camera Positioning Window | Right click in the side view at the spot to which you want the camera to point. The green arrow will adjust accordingly. Updates will also occur in the 3D Terrain Window and in the Camera Tilt control. This method is good to establish the general "pitch" of the camera.
Camera Controls | The Camera Tilt controls adjust the tilt. The current setting is displayed below the graphic. •Arrow: Tilts camera up and down by 1 degree/click •Double Arrow: Tilts camera up and down by 10 degrees/click •Zero ( [0] ): Tilts camera to 0 degrees. This method is more accurate and is useful for fine tuning your view.
Camera Tilt Controls |
Keyboard Shortcuts | •NumLock + Alt + NumPad 8: Tilt + 1 degree •NumLock + Ctrl + NumPad 8: Tilt + 10 degrees •NumLock + Alt + NumPad 2: Tilt - 1 degree •NumLock + Ctrl + NumPad 2: Tilt - 10 degrees •NumLock + Alt + NumPad 5: Yaw and Tilt set to 0. •Alt + T: Tilt set to 0
Cursor in Terrain Window | Ctrl + Click and drag mouse left/right shifts the camera position horizontally, and adjusts its tilt and heading such that it appears the terrain is rotating around the cursor position.


Modifying the Camera Speed

The Speed controls determine the camera's travel speed. Speed buttons are enabled in Free Flight, Follow Path, and Circle Flight modes.

Tool | Procedure
Camera Controls | •Arrow ([<] and [>]): Increment and decrement speed by 1 unit/sec. •Double Arrow ([<<] and [>>]): Increment and decrement speed by 10 units/sec. •Zero ( [0] ): Stops the camera.
Keyboard Shortcuts | •Alt + NumPad –: Decrease Speed by 1 unit/second •Alt + NumPad +: Increase Speed by 1 unit/second •Alt+ S: Sets Speed to 0


Modifying the Camera ZoomToolProcedureCamera ControlThe Camera Zoom slide control adjusts the range o

Modifying the Camera Zoom

Tool | Procedure
Camera Control | The Camera Zoom slide control adjusts the range of view. (This is similar to the standard snap shot versus wide angle and panoramic shots with a still life camera.) The current angle is printed below the slide control. [Default] snaps the angle to 45 degrees. The Map View and Camera View show the view range (the area between the green lines) .
Camera Zoom Controls |
Keyboard Shortcuts | •Alt + NumPad /: Zoom In •Alt+ NumPad *: Zoom Out


Saving your Views in the 3D Terrain Viewer

3DTV provides a selection of tools to store selected views in your Terrain window. You can save a simple screen capture or record either a 3DM or AVI file to store moving displays.

More Information

• Exporting Screen Captures from the 3D Terrain Viewer

• Recording a 3D TERRAIN VIEWER Movie

• Replaying a 3D TERRAIN VIEWER Movie

• Recording to an AVI File from the 3D Terrain Viewer


Exporting Screen Captures from the 3D Terrain Viewer

You can quickly and easily take screen captures of your 3D Terrain Window. With one click of an icon, 3DTV captures one image (snapshot), or several in series (multishot) and save them in your choice of JPG, BMP or TIF format.

You can also pre-set the save parameters so, when you click the icon, your images are automatically named and filed.

• Screen Capture Settings

• Capturing Single Snapshots

• Capturing Multishot Series

Screen Capture Settings

The Recording tab of the Settings dialog provides separate options for single snapshots and those taken in series (multishots).

Snapshot Settings in the Recording Tab of the Settings Dialog

When 3DTV automatically names images, it uses the following format and saves them to a user-defined location.

Image File Naming Format

Format |  | PrefixDate_Time.Tag
Where: | Prefix | User-defined in the Settings dialog.
 | Date | Current date in the YYYY-MM-DD format
 | Time | Snapshot time in the HH-MM-SS format.
 | Tag | Select JPG, BMP or TIF in the Settings dialog.

Snapshot Settings:

•File Name Prefix: The prefix portion of the auto-named single snapshots.

•Always Ask Me Where To Save Snapshots: When you click the snapshot icon (F12), a File Save dialog appears so you can choose a new name and, if necessary, a new save location.

Important: The File Save dialog automatically appears with the name of the last saved image in the file name field. If you click [Save] without changing the name, location or both, you will overwrite the last image.

•Save To: Image automatically saves to the defined location.

To define the location, click [Browse] and go to the location to which you want to save the images, making a new folder if necessary. Click [OK].

•File Type: Select the file format to which you want to save your images. If you choose JPG or TIF format, click [Options] to set format-specific save options:

TIF and JPG Options Dialog

•JPG Options: Use the slider to indicate the required level of image quality. This is a balance between image quality and file size.

•TIF Options: If you choose to compress TIF images, select JPEG and use the slider to indicate the required level of image quality. It uses the same algorithm as it uses for JPG quality.

Multishot Options:

•Folder Name Prefix: This is the prefix for the image file names. A multishot series is stored in a sub-folder with the same name as the first shot in the series.

•Interval Between Two Shots (sec): Time between images in the multishot series.

•Maximum Shots Per Recording: Number of images in a multishot series. A second click of the multishot icon before this number of images is captured terminates the series.

•Save To: Image automatically saves to the defined location. A subfolder is created in this location for each multishot series and named to match the first image in the series.

•File Type: Select the file format to which you want to save your images. If you choose JPG or TIF format, click [Options] to set format-specific save options:

Return to Top

Capturing Single Snapshots

To take a single snapshot:

1.Set your save parameters in the Recording tab of the Settings dialog.

2. Click the snapshot icon in the Accessories toolbar (F12) or select TOOLS-TAKE A SNAPSHOT.

•If you have selected the Always Ask Me Where To Save Snapshots option in th Settings dialog, the Windows® File Save dialog will appear for you to name the file and set the save location. You can choose to save it as a JPG, BMP or TIF file.

•If you have selected the Save To option, the image is automatically saved according to the snapshot options in the Recording tab of the Settings dialog.

Each snapshot is also saved to the clipboard in case you want to also paste it into a document or graphics program.

Sample Output

Return to Top

Capturing Multishot Series

To capture a multishot series:

1.Set your save parameters in the Recording tab of the Settings dialog.

2. Click the multishot icon in the Accessories toolbar or select TOOLS-MULTISHOT. The program creates a subfolder at the Save To location and automatically saves a series of images according to the multishot options in the Recording tab of the Settings dialog.

Note:A second click of the multishot icon before the maximum number of images in a series is captured terminates the series.

Return to Top


Recording a 3D TERRAIN VIEWER Movie

3D TERRAIN VIEWER enables you to record and replay a specialized 3DTV movie of your display so you can later replay what it viewed. The resulting 3DM file is much smaller than an AVI file, but it can only be replayed in 3DTV.

The Movie Control toolbar provides all of the tools related to 3DTV movies. (Movie icons in the Accessories toolbar only start and stop recording 3DM or AVI movies.)

Camera Movie Controls

To record a movie, click the record button (or select TOOLS-RECORD MOVIE) then use the camera controls to scan the area.

Note:In Matrix 3DTV mode, when the vessel passes from one MTX file to another, the movie recording will be stopped automatically. You can save the recorded movie or start recording again.

To pause the recording, click the pause button on the movie control toolbar. This can be useful if you're viewing an area that's of no particular interest. The camera motion will continue while the movie is paused.

To resume recording, click the pause button again.

To stop recording ,click the stop button on the movie toolbar.

To save your movie, click [Save]. 3DTV will display a File Save dialog for you to name your file. The information will be saved to a *.3DM file. The File Save dialog will first default to your project directory, but you may choose another location. Each save after that will default to the last save location chosen.


Replaying a 3D TERRAIN VIEWER Movie

3DM movies can only be replayed using the movie control toolbar in the 3D TERRAIN VIEWER program.

Click [Load] (or select TOOLS-LOAD MOVIE) and select the 3DM file.

•To play the movie at normal speed, click the play button (or MOVIE-PLAYBACK).

•To manually scan your movie, drag the slide button across the toolbar. This is helpful if you want to review certain portions of the movie without taking the time to see the whole recording. It also enables you to move back and forth through your data. After positioning to the desired frame of the movie, you can start replaying the movie from that point by clicking the Play button.

Note:Manual scanning is disabled while a movie is being replayed.

•To pause the movie playback, click the Pause button on the movie toolbar.

•To resume playback by pressing the Pause button again.

Note:Movie playback will work only when you have loaded the same terrain data as when the movie is recorded. You can not load a movie recorded above other terrains.


Recording to an AVI File from the 3D Terrain Viewer

You can also record the output of the most recently activated Terrain window into an AVI file. AVI files are much larger than a 3DM file, but they can be viewed using any media player software.

There are few issues that should be aware of as you consider AVI recording:

•A smaller Terrain window results in a smaller AVI file.

•A smaller Terrain window allows faster AVI capture. Unfortunately, the speed at which the terrain is being rendered depends on the complexity of the model (the size of the dataset).

•AVI recording is unavailable in the Full Screen Display.

•AVI recording is a CPU intensive operation. Thus, when the AVI is being recorded, the rate at which terrain windows present a complex terrain model will inevitably be lower than usual.

•3DTV only records changes in the window from which contents are being captured. Thus, for example, if the camera holds still, the AVI file will be quite small.

1.Set the compression options in the AVI Recording section of the Settings dialog. Access the AVI Options dialog by selecting TOOLS-RECORD SETTINGS.

AVI Options

•The Compressor Name list will be automatically populated with all video compressor programs on your computer. Select the compressor you wish to use.

•The Compressor Quality slide controls the resolution of the resulting AVI display. It is enabled only when supported by your selected compressor. A higher quality setting results in a larger file with improved resolution.

•If the compressor supports further settings, [Options] will be enabled for you to access a compressor-specific setup dialog. Please refer to the documentation from the compressor source for information about these options.

•Reduced Sample Rate further reduces the size of your AVI file by omitting a user-defined number of frames after each recorded one.

•The Temporary File Path determines where your AVI file is stored while you're recording. When the recording is finished, a File Save dialog will appear for you to name the file and path. The file is renamed and moved.

2. Begin recording. Select TOOLS-RECORD AVI, or click the AVI icon on the Accessories toolbar.

Note:While AVI file recording is in progress, the 3D Terrain Window can not be resized.

3.Stop recording. Select TOOLS-STOP AVI, or click the AVI icon on the Accessories toolbar. A File Save dialog will appear for you to name your file.

4.Name your AVI file and click [Save].


Optimizing 3D Terrain Viewer Performance

A number of options are provided under the View menu that allow you to optimize the function of 3DTV on your computer. You may need to do a bit of experimenting to find the best settings for your equipment.

More Information

• Graphical User Interface Response Mode

• Buffering in 3DTV

• Limited Frame Rate

• Interpolated Position in 3DTV Displays

• Communications Settings

• Summarizing the HYPACK Computer Display Components


Graphical User Interface Response Mode

GUI Response mode affects the speed of the response to your interaction with the interface controls versus the speed that the terrain is updated and redrawn when you are using very large data sets.

In Fast Response mode, the interface responds immediately while the program simultaneously continues to refresh your terrain when camera moves (e.g. camera control buttons work, terrain picture changes while camera is moving and menu is opened). If you are using a very large data set, the display rate is slightly lower in this mode. Some video cards are unreliable in this mode.

Use the Safe Response mode when you load a large data set if:

•You prefer a fast refresh rate in the Terrain window over quick response to your interactions

•3DTV appears unstable in Fast Response mode.


Buffering in 3DTV

Buffering offers options for the speed that the program can redraw the data in a window that has been repositioned or restored after minimizing or hiding.

Fast buffering is the ideal setting, but some video cards cannot perform well under these conditions and may require a slower setting. In this case, try Safe Buffering (a medium speed) or No Buffering (slowest).


Limited Frame Rate

3DTV typically will consume all of available computer's CPU time resources in order to achieve maximum frame rate. This, in turn, will slow other programs that you may be running simultaneously. You can free some of the CPU usage for use by other programs by limiting the frame rate in 3DTV.

Frame Rate Options

Check "Limited Frame" Rate and reduce the number of frames per second. 3DTV will try to achieve desired frame rate if possible, but will not go above defined frame rate.

If the user-defined frame rate is small enough, 3DTV will not spend all available CPU time for drawing terrain windows (scene rendering).

If the user-defined frame rate is too low in Matrix 3DTV mode, a buffer overflow message may occur, because Matrix 3DTV is not able to collect all terrain data changes.


Interpolated Position in 3DTV Displays

If the 3DTV display in the Terrain window updated at the Record Rate from SURVEY, the vessel would not move smoothly in your display. By default, therefore, 3DTV attempts to predict interpolated positions to smooth the display.

Unfortunately, this process requires significant CPU time. If this is a problem, you can regain CPU time by omitting the interpolation. The VESSELS-INTERPOLATED ANIMATION menu option can be used to toggle the animation on and off.


Communications Settings

3DTV supports two methods of communication with SURVEY or DREDGEPACK: Shared Memory and TCP/IP Network communication. The most common is the Shared Memory method, but TCP/IP supports certain, more complicated applications of the software:

•You can run 3DTV and SURVEY or DREDGEPACK on separate, networked machines.

•3DTV can display dredging simultaneously on more than one matrix.

•If the 3DTV is restarted, it can receive all MTX files updates from DREDGEPACK starting from the beginning of dredging producing an accurate terrain view. On the other hand, when Shared Memory is used, only the latest updates stored in Shared Memory are forwarded to 3DTV.

The current communication mode appears in the 3DTV status bar.

Settings Dialog—Communication Tab

Shared Memory: 3DTV communicates with SURVEY or DREDGEPACK through HYPACK Shared Memory.

Network (TCP): 3DTV communicates with SURVEY or DREDGEPACK using TCP/IP communication. When you select this option, you must also provide the communication parameters.

•Server IP Address defines the IP address of the machine running SURVEY or DREDGEPACK. The address must be entered using IP address notation.

•Server TCP Port defines the TCP port on the machine running SURVEY or DREDGEPACK . The TCP port value on the client side (3DTV) must match the TCP port value on the server side (SURVEY or DREDGEPACK).

•Timeout Interval (sec): When the connection is established, the timeout interval defines how long 3DTV will wait for a message (data) reply after sending a request to SURVEY or DREDGEPACK. If the reply is not received within defined interval, the TCP/IP connection will be dropped and reestablished.

•Data Refresh Interval (sec) defines the interval between receiving the reply from SURVEY or DREDGEPACK and sending new request.

•Connection Establishing Retry Interval (sec): If the connection between 3DTV and SURVEY or DREDGEPACK can not be established, the interval defines how long will 3DTV wait before retrying to establish TCP/IP connection.

•Initial Data Acquiring Interval (sec): When TCP/IP connection between 3DTV and SURVEY or DREDGEPACK is established, it is necessary to exchange some initial data, like loaded MTX files or available vessels. The interval defines how long 3DTV will wait to receive the initial data. If the initial data is not received within the defined interval, 3DTV will assume that there are no loaded MTX files or vessels. (in Matrix 3DTV mode the project will not open in the situation when MTX files are not loaded).

Communication with Web Client options facilitate remote viewing of the 3D Terrain window. You can invite anyone with Web access to view your Terrain window from devices other than your Survey computer through a Web browser.

You must configure the survey computer for remote viewing, then provide the IP Address and Port number with a User Name and Password to your remote viewers. When they enter IP Address:Port in their Web Browser, an authentication dialog appears where they must enter the User Name and Password to gain access to your 3DTV display.

3DTV Remote View

More Information

• Monitoring SURVEY or DREDGEPACK Over the Network with Remote Access


Summarizing the HYPACK Computer Display Components

Some of the graphics features included in the 3DTV module (photo-texture transparency, waves on water, fog) may fail either because your computer graphics configuration doesn’t support the technology used or due to the particular combination of hardware and software that support graphics display. If you experience such a problem, 3DTV provides some tools that can help determine where the problem lies.

• Advanced Features Support

• System and Project Information

Advanced Features Support

To determine if your system graphics supports the advanced graphics features in 3DTV select HELP-ADVANCED FEATURE SUPPORT. A window will appear with a list of the advanced graphics features and whether your system supports them.

Sample Advanced System Features Dialog

Return to Top

System and Project Information

3DTV provides a utility that scans your computer and compiles a list of the various hardware and software components that affect the display capabilities in 3DTV. It includes items such as all HYPACK files used to draw the 3DTV displays with their version numbers, OpenGL version information, operating system and graphics adapter information.

In addition to the system information, this dialog has a Project Information display which lists the 3DTV project file (*.3DV) and the names of any HYPACK project files included in your display.

To compile the list of display components, select FILE-INFORMATION.

Information Display

With this information, we may see that a simple file update can correct your display. If your display is still incorrect, please forward the compiled list to HYPACK Technical Support (help@hypack.com) so we can attempt to determine and correct the cause.

To export the information to a text file, click [SaveAs] and name the file. In addition to the data displayed in the dialog, the text report includes a list of supported Open GL extensions.

Return to Top


Saving Your 3DTV Project

When you save your project, 3DTV will save 3DTV mode information, by default, to the 3DV file in your project directory.

The most recently used settings will be used the next time 3DTV or Matrix 3DTV is launched from the same HYPACK project, however, you can restore an alternate configuration by selecting FILE-OPEN and selecting the 3DV file where your configuration is stored.

1.Select FILE-SAVE PROJECT.

2.Name your project and click [Save]. Your settings are stored, by default, to a 3DV file in your project folder.


Archiving 3DTV Projects

Archiving projects with 3DTV displays can be a complex and time-consuming task because of all of the files that may reside outside of the project directory which also need to be transferred.

Normally, you would have to manually transfer 3OD files and any other files stored outside the project folder to the target computer. It would also require that each file have the same path as they had on the source computer. In addition to being inefficient, this process has a high probability of error. 3DTV’s ‘Pack’ and ‘Unpack’ routines solve all of these difficulties.

The Pack routine (FILE-PACK) packages the 3DTV settings file (*.3DV) along with all of the project and data files included in the display to an information packet file (*.3DP) which can be saved to the location of your choice.

The Unpack and Open (FILE-UNPACK AND OPEN, or double-click the 3DP file) routine reads the archive package. It asks for the folder where the archive is to be unpacked, then saves the project (3DV) and color (HCF) files in that folder. It also creates a subfolder named ProjectName files where all of the remaining files from the packet are stored. After unpacking, 3DTV will automatically open the unpacked 3DTV display.


FINAL PRODUCT WIZARD

The FINAL PRODUCT WIZARD automatically processes edited (All format, HS2 or HS2x) and XYZ sounding data to produce one or more final products according to your sounding selection and output specifications. Output options include plotting sheets, which may also be used to generate georeferenced PDF or TIF chart files, DXF contours, channel condition reports and Electronic Chart Overlays.

FINAL PRODUCT WIZARD

More Information

• Running the FINAL PRODUCT WIZARD

• Loading your Edited Data to the FINAL PRODUCT WIZARD

• Sounding Selection Options in the FINAL PRODUCT WIZARD

• Exporting Contours in the FINAL PRODUCT WIZARD

• Plotting Your Data in the FINAL PRODUCT WIZARD

• Channel Condition Report Options in the FINAL PRODUCT WIZARD

• Managing Processes in the FINAL PRODUCT WIZARD


Running the FINAL PRODUCT WIZARD

The FINAL PRODUCT WIZARD combines the settings and processes from several HYPACK postprocessing modules to generate one or more final products. If you are familiar with the individual modules, you should recognize most of the options in the FINAL PRODUCT WIZARD.

Once you have configured your process, if you plan to process multiple data sets using the same specifications, you can save your process settings and reuse them in later sessions just by reloading the process file.

1.Select FINAL PRODUCTS-FINAL PRODUCT WIZARD from the HYPACK menu to open the program.

Final Products Wizard

2.List the edited data to be processed.

3.Select your final product output formats.

4.Configure your process. Enable the final product routines for the output formats you want to generate and set the related options.

•In the Sounding Selection area, select the sort method and the related parameters. If your data is pre-sorted, select None.

Important: Unless your data has already been sorted, we strongly recommend sorting your data.

•In the Contours tab, set the options to generate contours from your data set as needed.

•In the Plotting tab, set the options to plot your data and any additional chart files as needed.

•A Channel Condition Report requires an existing report file (generated and saved in the CHANNEL CONDITION REPORTER) with the channel and reach specifications.

•In the ENC Overlay tab, set the overlay chart attributes.

Tip: If you have a saved process file (*.AFP) with the correct settings, click [Load Process] and select the process file. Otherwise, select the options in the wizard according to your needs.

5.Customize your sounding colors. (Optional) If you want to process your data using colors other than your current project colors, click [Set Colors] to access the Colors dialog and modify your project colors without leaving the wizard.

6.If you have configured a new process, save the settings. (Optional)

•[Save Process] saves a new process or overwrites the currently loaded process.

•[Save Process As] saves the process to a new process file.

7.Click [Run]. The program reads the listed edited data files and processes them according to your specifications.

More Information

• Loading your Edited Data to the FINAL PRODUCT WIZARD

• Sounding Selection Options in the FINAL PRODUCT WIZARD

• Exporting Contours in the FINAL PRODUCT WIZARD

• Plotting Your Data in the FINAL PRODUCT WIZARD

• Channel Condition Report Options in the FINAL PRODUCT WIZARD

• ENC Overlay Options

• Managing Processes in the FINAL PRODUCT WIZARD


Loading your Edited Data to the FINAL PRODUCT WIZARD

The FINAL PRODUCT WIZARD reads edited (All format, HS2 or HS2x) or XYZ sounding data. Use the buttons in the Edited Data Files area to list the data files to be processed by the program. You can add one or more file type to the Edited Data Files list.

•To add files do the following:

a.Click [Add] and browse for your data in the File Open dialog. You can add catalog files, or one or more individual data files of any supported file type.

To multiselect files, hold the Ctrl key and select multiple individual files or hold the Shift key and click on the first and last file in a range of consecutive files.

b.Click [Open]. The wizard displays all files in the Edited Data Files area.

•To remove a single file from the Edited Data Files list, select the file in the Edited Data Files list and click [Remove].

•To remove all files from the Edited Data Files list, click [Clear].

More Information

• Running the FINAL PRODUCT WIZARD


Sounding Selection Options in the FINAL PRODUCT WIZARD

The FINAL PRODUCT WIZARD includes all of the HYPACK sounding selection routines in the Sorting tab: SORT, CROSS SORT, SB SELECTION and MAPPER. As you load your Edited data files, the program enables only sounding selection methods that normally apply to your edited data file type.

Important: Unless your data has already been sorted, we strongly recommend sorting your data.

The Plot Sort and Contour Sort sub-tabs enable you to specify different sort parameters for when the FINAL PRODUCT WIZARD generates a contour chart than when it plots the soundings.

You can apply the different sort parameters to the same edited data set to generate sorted data optimal for contouring (contsort.xyz) as well as plotting (plotsort.xyz).

1.In the Sounding Selection area, select the sort method. If your data is presorted, select None. The parameters change according to the sort method selection.

2.Set the sounding selection parameters.

Sounding Selection Options

After you set all of the processing options and you process the data, the program saves the data resulting from your sounding selection choices in the project Sort folder. (If you choose not to sort your data, all of the soundings are represented in the output XYZ files.)

More Information

• Running the FINAL PRODUCT WIZARD

• Sort Options

• CROSS SORT Program

• Sounding Selection Options in SB SELECTION

• Mapper Data Selection Options


Exporting Contours in the FINAL PRODUCT WIZARD

To generate DXF contours, check the Contours option and set your parameters in the Contours tab.

Note:If your data is not pre-sorted, remember to set appropriate options in the Sorting tab to maintain enough data for accurate contours, but thin the data where the terrain is more uniform to reduce your processing time.

The FINAL PRODUCT WIZARD uses the same layout, options, and method to generate DXF contours as the TIN MODEL program.

Contour Export Options

Tip: The TIN Maximum Side can be estimated based on your sounding selection parameters and, for All format files, the line spacing.

The program saves the contour file as FPWcontours.DXF in the project folder.

More Information

• Running the FINAL PRODUCT WIZARD

• Exporting Contours from TIN Models


Plotting Your Data in the FINAL PRODUCT WIZARD

Once the program has completed any specified sorting and contouring, you can plot your newly created files to one or more of the following formats:

•Geo-TIF

•Georeferenced PDF

•DXF

•DWG

Plotting Options—PDF and GeoTIF Resolution in Pixels (left) CAD Formats in your Choice of Version

1.In the Plotting Files area, select one or more plotting sheet (*.PLT) files that overlay all or some part of your listed data files.

•To add files do the following:

i.Click [Add] and browse for your PLT file in the File Open dialog.

To multiselect files, hold the Ctrl key and select multiple individual files or hold the Shift key and click on the first and last file in a range of consecutive files.

ii.Click [Open]. The wizard displays all files in the Plotting Files area.

Note:If you use plotting sheet files with different scales, but the same plotting settings, it is likely the results will be different.

•To remove a single file from the Plotting Files list, select the file in the Edited Data Files list and click [Remove].

•To remove all files from the Plotting Files list, click [Clear].

2.Apply a HYPLOT template.(Optional) Click [Apply Template File to Plot] and choose the required HYT file. The program applies the same template to all listed PLT files.

3.Modify the title block for each plotting sheet as required.

a.Select a plotting file in the Plotting Files area and click [Edit Title Blocks]. If there is only one title block in the plotting sheet, it automatically loads to the Title Block Editor. Otherwise, a dialog listing all title blocks (HTB file) currently loaded to the plotting sheet appears.

b.Select the title block that you want to modify and click [Edit]. The Title Block Editor opens with the selected title block file.

c.Modify and save your title block for the selected plotting sheet. The PLT file stores the revised title block content.

Note:This enables you to use the same title block with different content in different plotting sheets (e.g. the Agency title block with different names and dates for each plotting sheet) as required.

4.Add one or more background files to your plot. (Optional)

a.Load your background files, in the Background Files area, in the same manner as the plotting sheet files.

b.Use the arrow buttons to modify the draw order as necessary. The first file in the list is drawn first and overlaid by each subsequent chart in the list.

5.Disable targets, if necessary. Targets enabled in the project when you launch the FINAL PRODUCT WIZARD automatically display in your plot.

To remove the targets from your plot, deselect the Enable Targets option.

6.Select the output file type and corresponding settings:

•PDF or Geo-TIF output in a selection of resolutions.

Tip: Try different resolutions to see which works best for your purposes. Higher resolution settings result in larger file size often with no discernible visual difference.

•DXF or DWG formats are offered in a range of release versions to provide compatibility with your CAD tool.

7.Select the resolution for the output file.

Your output file is saved in the project folder and named using the PLT file name, date and time and the appropriate extension (PLTFileName_yyyymmdd_hhmmss.ext).

More Information

• Running the FINAL PRODUCT WIZARD

• Creating Plotting Sheets in the Plotting Sheet Editor

• Creating a Custom Title Block Title Block Editor

• Plotting Sheet Templates


Channel Condition Report Options in the FINAL PRODUCT WIZARD

A Channel Condition Report requires an existing report file (generated and saved in the CHANNEL CONDITION REPORTER) with the channel and reach specifications.

Channel Condition Report Options

1.Enable the Channel Condition Reporter routine.

2.Click the corresponding [...] button and browse for the report file (*.RPT).

More Information

• Running the FINAL PRODUCT WIZARD

• Running the CHANNEL CONDITION REPORTER Program

• Saving Your Channel and Reach Settings in Channel Condition Reporter


ENC Overlay Options

In the FINAL PRODUCT WIZARD, you can generate an overlay file containing both contour data and spot soundings:

1.In the General Tab, check the Enable ENC Overlay option. The ENC Overlay tab appears.

2.In the ENC Overlay tab, enter the overlay chart attributes according to your product specification.

ENC Overlay Options

•Cell Code determined by the Product Specification.

•Compilation Scale: The scale at which the data was originally compiled. Zoom in to a smaller scale does not improve the accuracy.

•Coordinate Multiplication Factor: The default value is 10,000,000. There is no benefit to changing it.

•Overlay Usage: The range of overlay use sub-categories for which you will use the overlay file.

•Producing Agency: The organization under whose authority you are generating the overlay chart.

More Information

• Running the FINAL PRODUCT WIZARD


Managing Processes in the FINAL PRODUCT WIZARD

When you are satisfied with your configuration, you can save the process to a process file (*.AFP). The AFP file includes selected processing options at the time that you save the process. (It omits the data files and plotting sheet files.) This enables you to quickly reuse the same wizard settings for other data sets: just load the data, the appropriate plot file and the process file, then click [Run]. You’re done!

•[Save Process] saves a new process or overwrites the currently loaded process.

•[Save Process As] saves the process to a new process file.

•[Load Process] restores the settings from an existing process file.

More Information

• Running the FINAL PRODUCT WIZARD


HYDROGRAPHIC DATABASE

The HYDROGRAPHIC DATABASE program creates a library of files that you can quickly locate and add to other projects.

The program generates an SQLite database, which is stored, by default, as \HYPACK 2017\dbhydb.sqlite, but you can choose an alternate location. When you add a HYPACK file to the database, you must enter the information (metadata) that will be later used to distinguish the file from others in the database. If you have consistently entered enough metadata for each record (file) in the database, the filters provided by the HYDROGRAPHIC DATABASE program accurately narrow your file list so you can quickly find the file you need for other projects. You can then import the database file to your current project.

Currently, you can store files in the following formats in the database:

•Planned line files (*.LNW),

•Channel files (*.CHN),

•DXF files,

•Targets

•XYZ format files.

HYDROGRAPHIC DATABASE Interface

More Information

• Database Location

• Adding Files in the HYDROGRAPHIC DATABASE

• File Add Metadata Options

• Removing Files from the HYDROGRAPHIC DATABASE

• Retrieving HYDROGRAPHIC DATABASE Files


Database Location

The first time you open the HYDROGRAPHIC DATABASE program, it asks you where you want to store your database:

Choosing the Hydrographic Database Location

•Click [Yes] to browse for folder where the database will be created OR

•Click [No] and the program automatically creates the database in the \HYPACK 2017\db folder and opens the HYDROGRAPHIC DATABASE interface.


Adding Files in the HYDROGRAPHIC DATABASE

When you add a file to the database, you must enter the information that will be later used to distinguish the file from others in the database. Later, you can use one or more filters to narrow your file list to only those with metadata matching your filter criteria.

Important: Plan ahead! Before you do the data entry, decide what metadata you will want to use to retrieve your data so you can consistently and systematically include it all in each record. HYDROGRAPHIC DATABASE can only retrieve records based on what you have entered.

Think about using uniform, informative formats for the Title, and including such information as project name, project location, client name, vessel name that distinguishes the files in this project from others.

When you have worked out your data entry system, you are ready to build your database.

1.Select FILE-ADD. A File Select dialog appears for you to browse for the file you are adding to the database.

2.Select the file you want to upload and click [Open]. An Add File dialog appears with the path and file name of the selected file in the title bar. The available fields vary according to the selected file type.

HYDROGRAPHIC DATABASE File Add Dialog—LNW (left), XYZ (right)

3.Enter the file metadata and click [OK]. The file is added to the database and the program returns to the HYDROGRAPHIC DATABASE interface.

More Information

• File Add Metadata Options

• Removing Files from the HYDROGRAPHIC DATABASE


File Add Metadata Options

The metadata fields available in the Add File dialog vary according to the selected file type:

File Add Data by File Type

File Type | Metadata Fields
All File Types | •Title •Abstract •Purpose •Supplemental Information
TGT, XYZ | •Survey Date •Position System •Depth System

Title, Abstract, Supplemental Information all accept whatever text you choose to enter. These fields are limited to 1024 characters.

Purpose: The reason for the project data. Choose from the following options:

•Any

•Hydrographic Survey

•Before Dredging

•After Dredging

•Condition Survey

•Plans and Specs

•Reconnaissance

•Progress after Dredging

•Cross Sections

•Dredge Guidance

Survey Date: Date of the data collection.

Position System: The type of positioning used. Choose from the following options:

•Any

•DGPS

•Real Time Kinematic

•Topographic

Depth System: Type of sounder. Choose from the following options:

•Any

•Single Beam

•Multibeam

•Topographic

More Information

• Adding Files in the HYDROGRAPHIC DATABASE


Removing Files from the HYDROGRAPHIC DATABASE

When you no longer need select files in the database, you can remove them from the database.

1.In the Files list, check one or more files that you want to remove from the database.

2.Click [Delete Selected].

HYDROGRAPHIC DATABASE removes the selected files from the files list, the database file and the \HYPACK 2017\db folder.

More Information

• Adding Files in the HYDROGRAPHIC DATABASE


Retrieving HYDROGRAPHIC DATABASE Files

The purpose of the database is to create a library of files that you can quickly locate and add to other projects. If you have consistently entered enough metadata for each record (file) in the database, the filters provided by the HYDROGRAPHIC DATABASE program will accurately narrow your file list so you can quickly find the file you need for other projects. You can then import the database file to your current project:

1.Open the project to which you want to add files from your database.

2.Locate the required files in the database.

3.Import the files to your current project.

More Information

• Filtering the HYDROGRAPHIC DATABASE Files

• Importing Files from the HYDROGRAPHIC DATABASE to the Current Project


Filtering the HYDROGRAPHIC DATABASE Files

The HYDROGRAPHIC DATABASE filters the records based on select metadata to help find the exact files you want:

1.Set one or more filters.

2.Click [Apply Filters]. The Files list displays only database files whose meta data matches all of the filter criteria.

• Filtering Records Based on Position

• Filtering by Date

• Filtering by Purpose, Positioning System or Depth System

• Filtering by Key Words

Filtering Records Based on Position

You can filter your records in the HYDROGRAPHIC DATABASE based on the geographical positions they contain. If the file falls within the user-defined geographical area, it will be included in the filtered list.

The HYDROGRAPHIC DATABASE provides two methods with which you can define the area:

•Filter by Spatial Extent looks for records that fall within a rectangular area defined by the coordinates of it’s northwest and south east corners. The query dialog initially defaults to a coordinate range that includes all of your records.

a.Check the Filter by Spatial Extent option.

b.Elect to enter the coordinates using XY or Latitude/Longitude coordinates. Select OPTIONS-BOUNDING COORDINATES and your choice.

c.Enter the coordinates that define your desired area.

•Filter by Border File looks for records that fall within the area defined by a user-defined border file (*.BRD).

a.Use the BORDER EDITOR to create a border file that defines the area in which you want to search for files.

b.Check the Filter by Border File option.

c.Click the corresponding [...] and browse for the border file.

Return to Top

Filtering by Date

You can filter your records in the HYDROGRAPHIC DATABASE based on the dates they contain. If the dates in the file fall within the user-defined date range, it will be included in the filtered list.

The HYDROGRAPHIC DATABASE provides two methods with which you can filter by date:

•Filter by Creation Date: Date the file was entered to the HYDROGRAPHIC DATABASE. The query dialog initially defaults to a date range that includes all of your records.

a.Check the Filter by Creation Date option.

b.Enter the Starting Date and Ending Date that define your desired time range.

•Filter by Survey Date: Date of the data collection as you entered it when adding the file to the database. The query dialog initially defaults to a date range that includes all of your records.

a.Check the Filter by Survey Date option.

b.Enter the Starting Date and Ending Date that define your desired time range.

Return to Top

Filtering by Purpose, Positioning System or Depth System

Purpose, Positioning System and Depth System are all pre-defined lists of metadata. You can select a value from one or more of these lists to be included in the record when you add your file to the database.

You can then filter your records in the HYDROGRAPHIC DATABASE based on those same values they contain. If the purpose, position system and depth system in the record match the filter criteria selected in the drop-down lists, it will be included in the filtered list.

Return to Top

Filtering by Key Words

You can filter your records in the HYDROGRAPHIC DATABASE based on any part of the file metadata. If the text is found in the record, it will be included in the filtered list.

Return to Top

More Information

• Adding Files in the HYDROGRAPHIC DATABASE

• File Add Metadata Options


Importing Files from the HYDROGRAPHIC DATABASE to the Current Project

When you have successfully filtered your database files, you should easily find any that you want and add them to your current project.

1.Check the checkbox for each database file you want to add to your current project.

2.Click [Import Files].

More Information

• Filtering the HYDROGRAPHIC DATABASE Files


Util_Intro

Utilities

HYPACK utilities is a collection of programs that serve a variety of purposes:

•Hardware Communication and Calibration

•Geodesy related calculations

•Generating support files:

•Tide correction files

•Boat shapes

•Specialized files for dredge projects

•Specialized files for seabed identification projects

•Manipulating data intoformats more useful in your project. These processes may be file format conversion, or merging or extrapolating data.

•Statistical Reports

•Hydrographic Database for file retrieval.

More Information

•Geodesy calculations

•Hardware Communication and Calibration

•Testing Serial Communication (COM Port Query and WCOM32)

•Latency Test

•ZDA Test

•Generating support files:

• Tide (Water Level) Corrections,

•Boat Shapes

• BOAT SHAPE EDITOR

• 3D SHAPE EDITOR

•Specialized files for dredge projects

•BUCKETS

•BUCKET LOG

•DREDGE REPORT

• DREDGE STATISTICS

• INTERSECTOR Program

•LNW GENERATOR

•Specialized files for Seabed ID projects.

• SEABED STATISTICS (Seabed ID)

•SEABED MAPPER

•Manipulating data

• DATA CONVERTER

• DATA SPLITTER-JOINER

• MERGE XYZ

• PATHFINDER

• SOUNDING ADJUSTMENT

• XYZ MANAGER

• XYZ TO MATRIX

•Simple, manual editing

• CLOUD

• MANUAL ENTRY

• ECHOGRAM

• CONTOUR EDITOR

• SBET EDITOR

•Statistical reports

• ADCP PROFILE

• ADCP IN SITU

• CHANNEL CONDITION REPORTER

• CROSS CHECK STATISTICS

• METADATA

• HYDROGRAPHIC DATABASE


Tide (Water Level) Corrections

There are several ways to incorporate your tide corrections into your data set. These include the following:

•Log the data from a telemetry tide gauge in real time in the SURVEY program.

•Manually enter the corrections in real time in the SURVEY program.

•Create a Tide Correction file using:

•Harmonic predictions in the HARMONIC PREDICTION program.

•Predicted high-low water times in the MANUAL TIDES program.

•Actual tide levels and times in the MANUAL TIDES program.

•Interpolate tide corrections based on the vessel position relative to pairs of tide stations along a tidal river using the Tide Adjustments tool in the editor programs.

•Tide Zones apply a time offset and magnitude multiplier according to based on the tidal zone around the tide gauge in which the sounding falls.

The important thing to remember in all of these methods is that the tide correction is added to the raw sounding. Tide corrections relate raw soundings to the chart (low water) datum. Since you normally want to remove the water column above the sounding datum, the overwhelming majority of the time your tide corrections will be negative numbers! The HARMONIC PREDICTION program takes care of this automatically. You have to make some mental adjustments when entering tidal heights in the MANUAL TIDES program.

•When creating a tide file for depth mode, enter tide values as negative numbers.

•When creating a tide file for elevation mode, enter tide values as positive numbers.

Tide corrections are measured in survey units.

Any sounding collected before the first time of your *.TID file will get the value of that first time. Any sounding collected after the last time of your *.TID file will get the value of that last time.

If you logged tides from a telemetry gauge or if you manually entered them while collecting survey data in the SURVEY program, tide files are not required in processing. The editing programs read the logged tide data to compute tide corrections for each sounding; however, you may override the logged tide corrections in the editors by loading a tide file.

Additionally, in the editors you can recalculate RTK tide based on RAW, POSPac or PPK (post-processed kinematic) data.

More Information

• Tide Corrections in SURVEY

• Harmonic Tidal Predictions

• Tide Corrections from High-Low Water Times and Heights

• Tide Corrections with Manual Observations

• Tidal Zoning

• Real Time Kinematic (RTK) Tide Corrections

• TIDE ANALYZER

• Interpolating Tide Corrections from Multiple Tide Gauges

• Interpolating Tide Corrections from Multiple Tide Gauges

• SBET EDITOR

• Adjusting Single Beam Data with POSPac Data

• Recalculating POS MV Data from POSPac Raw Data in the 64-bit SINGLE BEAM EDITOR

• Recalculating Positioning and RTK Tides from HYPACK Raw Data in the 64-bit SINGLE BEAM EDITOR

• Correcting Positioning and RTK Tides Based on GPS PPK Data in the 64-bit SINGLE BEAM EDITOR

• Recalculating RTK Tides from RAW Data in the 32-bit HYSWEEP EDITOR

• Recalculating POS MV Data from POSPac Raw Data in the 64-bit HYSWEEP EDITOR

• Recalculating Positioning and RTK Tides from HYPACK Raw Data in the 64-bit HYSWEEP EDITOR

• Correcting Positioning and RTK Tides Based on GPS PPK Data


Harmonic Tidal Predictions

We don’t intend to teach you about Harmonic Tidal Predictions and harmonic constituents. All we want to do is show you how to create a Tide Correction file (*.TID) using the HARMONIC PREDICTION program.

The routines in this program are taken from the British Admiralty publication N.R.203. It uses combined constituent data for M2, S2, O1, and K1. This means that the minor constituents of them are combined into these four values. The harmonic constituents published by the French hydrographic authorities take a slightly different approach, so they won’t give the correct answer if you plug them into these formulae.

In order to compute a harmonic tidal prediction, you need the following information:

•The harmonic constituents for the desired port

•The day factors (0000H) for the day in question

•The day factors (0000H) for the next day

It needs the day factors. for both days in order to perform an interpolation throughout the day. All of these constituents and factors are published in the British Admiralty publication N.R.203. It comes out every year and is divided into three volumes. One is for the Atlantic Ocean, Caribbean, and Mediterranean. The second is for the Pacific Ocean. The third is for the Indian Ocean ports. You can buy these from your Admiralty chart agent.

More Information

• Running the Harmonic Tides Program


Running the Harmonic Tides Program

1.Start the program from the tides icon or by clicking PROCESSING-TIDES-HARMONIC TIDES. The Harmonic Tides dialog will appear.

2.Enter the necessary information.

•The Date for Prediction, Site for Prediction, Mean Level and Seasonal Correction come from the Port Factor page.

•Enter the Harmonic Constituents for the port.

•Enter the day factors (0000H) for the day of the prediction

•Enter the day factors (0000H) for the day after the prediction

3.Save the input data by clicking [Save Tide Ref].

4.Click on [Compute And Graph]. A graph of your tide corrections over a 24 hour period will appear. You can return to the spreadsheet to recheck your data by clicking [Exit] or continue on.

5.Save your corrections by clicking on [Save To *.TID]. You will be asked for a name for the Tide Correction file. Give it a name you can remember, one that reminds you both of the area and the day for which the corrections are made.

In the input dialog:

•[Get Last Reference] reloads the last saved data.

•[New Prediction] presents an empty dialog.

In the graph dialog:

•[Print Graph] sends the graph display to the Windows® default printer.

•[Print Corrections] sends a copy of your entries in the spreadsheet and a listing of time ranges and their predicted tide corrections over the specified time range.


Manual Tides Program

In the MANUAL TIDES program, you will enter a series of dates, times and tide correction values spanning the time of your data collection. The program creates two files:

•A *.TDX file contains the date, time, correction information. It is used to repopulate the spreadsheet if you want to reload it in MANUAL TIDES.

•A *.TID file contains the tide correction value for every minute of each day. It is used in the editing programs to correct your Raw data for changing water levels.

Your tide corrections will almost always be negative numbers because HYPACK adds your tide correction to the raw sounding, but you are removing the water column from your sounding value.

More Information

• Tide Corrections from High-Low Water Times and Heights

• Tide Corrections with Manual Observations

• Importing Tide Data to the Manual Tides Program

• Editing Tide Files in the Manual Tides Program


Tide Corrections from High-Low Water Times and Heights

1.Open the MANUAL TIDES program by selecting PROCESSING-TIDES - MANUAL TIDES. The Manual tides dialog will appear.

2.Enter your tide data. The program requires date (mm/dd/yyyy), time (hh:mm) and water level (survey units) data for the period of your survey. It can read up to 14400 records.

3.Select Min-Max. This tells the program to use the high water-low water prediction algorithm developed by NOAA. The program calculates a tide height for every minute of each day. The results are graphed on the right. You can use the left and right arrows to view the graph for each day.

4.Save the tide data. Select FILE-SAVE and enter the file name. The program saves the table data to the FileName.TDX file and the tide corrections to the FileName.TID file.

Note:If you are using the NOAA tide book and you are working in depth mode, place a minus sign in front of all of your height entries. For example, if the NOAA book shows a high tide that is 5.6’ above gauge, you need to remove 5.6’ from the water column. You, therefore, must enter -5.6’ in HYPACK.


Tide Corrections with Manual Observations

1.Open the MANUAL TIDES program by clicking PROCESSING-TIDES-MANUAL TIDE or from the TIDES icon.

2.Enter the time and tide correction pairs in the grid. A handy feature with the MANUAL TIDES program is the AutoTime feature. Enter a Starting Time and Ending Time, along with a time increment, click [OK] and the program will automatically fill the time column with the requested times.

Tip: It works best to include a tide reading from before you start your survey and one after you finish so the program can finish the tides for the period of survey.

Auto-time Dialog

3.Select either the Linear or the Spline method. The Spline method fits the curve through your data points.

Note:You need at least five points to run the spline algorithm.

4.Save your tide corrections. The MANUAL TIDES program saves your table of data to a *.TDX file and your tide corrections to a *.TID file. The TDX file allows you to later retrieve the tide table should there be any questions about what values were used. The TID file is used in post-processing to correct your soundings.

5.Save the tide data. Select FILE-SAVE and enter the file name. The program saves the table data to the FileName.TDX file and the tide corrections to the FileName.TID file.


Importing Tide Data to the Manual Tides Program

While you can manually type tide corrections data into the spreadsheet, it is a time-consuming process. The MANUAL TIDES program has routines that efficiently import tide data to the spreadsheet.

• Importing Tide Data from a Text file

• Importing NOAA Tide Data

Importing Tide Data from a Text file

The Import feature enables you to load your tide data from a text file in one simple operation.

Each line of the text file is one tide record and must all be structured in the same pattern which you will describe in the Import dialog.

1.Access the Import dialog by clicking [Import File].

Import Dialog

2.Load your text file.

a.Click [Load File]. The File Open dialog will appear.

b.Select the text file and click [Open].

3.Define the structure of each tide record.

a.Check the data elements included in your text file and arrange them in the proper order.

•Use the ‘Ignore’ field to indicate data the editor should omit. If there is more than one item in each line, use [Add Ignore Field] to create more.

•Arrange the order of the fields by dragging them to their proper positions in the list with your cursor.

b.Define the delimiter between the items in each record. The program supports spaces, commas or tabs. You can select one or more delimiters as required by your text file. (The NOAA CSV format requires both space and comma delimiters.)

c.Define the format in which the date appears in your text file.

d.If the tide correction value in your text file is positive, check the ‘Invert Tide’ option.

e.If there are any lines that don’t conform to the same structure, you can omit them by checking ‘Skip Problem Lines’.

4.Confirm the record structure you have described matches the text you have loaded by clicking [Check Syntax].

If your defined structure is incorrect, adjust your settings and try again.

Correct Syntax Configuration Parses All But 1 Line

5.Click [Convert] to import the data from the text file to the Manual Tides spreadsheet.

6.Save the tide data. Select FILE-SAVE and enter the file name. The program saves the table data to the FileName.TDX file and the tide corrections to the FileName.TID file.

Return to Top

Importing NOAA Tide Data

Historical water level data can be obtained from the NOAA website and imported into the MANUAL TIDES program.

1.Select FILE-NOAA TIDE STATION IMPORT.

2.Select the tide station nearest you.

3.Enter the dates for which you want data from that tide station.along with the correct datum, distance units and time zone.

NOAA Tide Station Import Dialog

4.Click the button corresponding to the type of tide data you want to load:

•Get Measured Tides

•Get Predicted Tides

MANUAL TIDES automatically downloads the requested data and displays it in the interface.

5.Close the NOAA Tide Station Import dialog.

6.Save the tide data. Select FILE-SAVE and enter the file name. The program saves the table data to the FileName.TDX file and the tide corrections to the FileName.TID file.

Return to Top


Editing Tide Files in the Manual Tides Program

Tide Files (*.TID) that have been created in the MANUAL TIDES program may also be edited in MANUAL TIDES.

1.Open the MANUAL TIDES program by selecting PROCESSING-TIDES-MANUAL TIDES.

2.Select the file to edit by selecting FILE-OPEN and choose the *.TDX file of the same name from the file manager.

Note:If you open a TDX file that was generated in single-day mode of earlier versions of MANUAL TIDES, the program asks for the date, which it then uses to autofill the new Date column.

3.Make any changes:

•[Insert Row] creates a blank row above the current cursor position.

•[Delete Row] removes the current row from the spreadsheet.

•[Fill Column] copies the entry from the current cell to the last filled cell in the column.

•ADJUST-ADJUST TIME: Add a user-defined constant to each time.

•ADJUST-ADJUST MAGNITUDE: Multiply the correction by a user-defined multiplier.

•ADJUST-MAGNITUDE OFFSET: Add a user-defined constant to each correction.

Adjust Dialogs—Adjust Time (left), Adjust Magnitude (center), Magnitude Offset (right)

•ADJUST-INVERT TIDES: Multiply all tide values by -1.

4.Save your file. Changes will be saved, both to the *.TID File and the *.TDX File.


Tidal Zoning

The TIDAL ZONE program interpolates tide correction values between tide gauges spread over your survey area and applies a user-defined time offset and magnitude multiplier to each tide correction based on the tidal zone in which the sounding falls.

A Tidal Zone is an area in which the soundings should receive similar tide correction values. They can be in whatever shape, size and number that is appropriate for the conditions in your survey area. Each zone is initially defined by a time offset and magnitude multiplier pair. These values are further interpolated by the TIN MODEL program to provide smooth transitions between tidal zones.

The TIDAL ZONE program calculates the final tide correction for each sounding based on:

•Sounding Position

•Adjustment Factors (time offset and magnitude multiplier) for the sounding position.

•Sounding Time

In addition to the usual tide correction file (*.TID) for your local tide station, you will create two TIN models, one containing time offsets and one containing magnitude multipliers for the zones included in your survey area. The TIDAL ZONE program refers to these models to get a pair of adjustment factors based on the position of each sounding. It uses these values to calculate the tide correction value as follows:

1.It adjusts the time of the tide correction. TIDAL ZONE refers to the time offset TIN and finds the time adjustment value based on the position of the sounding. It then calculates a new tide time by subtracting the time adjustment from the sounding time tag.

2.Gets a tide correction value from the TID file for the adjusted time.

3.Applies the magnitude multiplier to the tide correction. TIDAL ZONE refers to the magnitude multiplier TIN to determine the multiplier appropriate to the position of the sounding, multiplies it with the value from the TID file and stores the result as the final tide correction.

For example, Zone 1 has a 24 minute time offset and a .92 multiplier. For a sounding taken at 11:00AM, TIDAL ZONE would adjust the time to 10:36 and look up the corresponding tide gauge reading in the TID file. For this example we'll use 2.00 feet above gauge. The program would then multiply that by .92 to get a final tide correction of 1.84 feet above gauge to be used at our sounding location. Since the tide corrections are added to our raw soundings in HYPACK, our actual correction would be -1.84 feet.

In RAW Format Files, for each position record (POS), the program will store the final tide correction to a TID record. If you have alternate tide information from a telemetry tide system, RTK Tides, or manually entered tide corrections, they will be maintained as separate records in the raw file with a different device ID. When you read the data into the editing program, you can choose which set of tide corrections you want to apply through the Read Parameters dialog of the editing program.

In ALL Format Files, the program creates new ALL format files, using a user-defined naming convention, and writes the final tide correction in the Tide field of each record.

More Information

• Creating Tidal Zones

• Applying Tide Corrections using the Tidal Zone Program


Creating Tidal Zones

Before you can apply tide corrections using the TIDAL ZONE program, you have to prepare the TIN models which determine the adjustment factors.

1.Create a background file outlining your tidal zones as a temporary guide. You can create a DXF or DGN file in an external CAD package and import it to HYPACK as a background file.

2.Define the adjustment factors for each zone. XYZ files, which normally contain 3-dimensional position information, in this context associate the adjustment factors with their XY positions. Use the XYZ COLLECTOR to create two files—one containing X, Y, Time Offset data and the other with X, Y, Magnitude Multiplier data for each zone.

Sample Time Offset XYZ Overlaid on the Tidal Zone Background File

There is not very much precision required here. It is important, however, to construct the files in a way that the TIN models built with them will accurately guide your corrections. Keep in mind that the TIN models will interpolate between different Z-values. In the previous figure, for example, if a sounding were to fall on the line between zone SCB1 and MAC604, the time offset would be about -15—the interpolated value for a position about half-way between -12 and -18. (It might help to envision your Z values as depths and treat them as contours. Think about creating "slopes" rather than "steep cliffs".)

•If your zone is long and narrow, collect a series of records down the center of the zone.

•If your zone covers a wider area, collect enough samples to cover the area.

3.Save each XYZ file to your project. By default, the XYZ COLLECTOR saves them to the Sort directory but, because these files are not sorted sounding files, they can be stored anywhere.

4.Build a TIN model with each XYZ file and name it in the format TideGaugeName_Content.TIN (Ex. JamesRiver_Times.TIN).

Note:Though the TIN MODEL program will default to the project directory when you save it, for the TIDAL ZONE program to work correctly, these TIN models must be saved to the \HYPACK 2017\TideModel folder.


Applying Tide Corrections using the Tidal Zone Program

Once you have created the TIN models with the adjustment factors for your project area, Onthe TIDAL ZONE program can calculate tide corrections for either Raw or All format files.

1.Launch the TIDAL ZONE program by selecting PROCESSING-TIDES-TIDAL ZONE. The TIDAL ZONE dialog will appear.

The Tidal Zone Dialog

2.Select your input data.

•Gauge Location is populated by the beginning portion of the TIN file names stored in the \\HYPACK 2017\TideModel directory. Select the tide gauge location on which your tide correction file is based.

•Input Data is the Raw or All format file for which you want to calculate the tide corrections. You can enter an individual file or a catalog file. Use the […] to browse for the desired file.

•TID File Name is the tide correction file for the specified gauge covering the time span of your data collection.

3.Set your export options. Select FILE-EXPORT OPTIONS, set your file renaming options and click [OK]. The export options include a user-defined text string, and how it will be used in the names of the output files.

Tidal Zone Export Options

•Add File Extension adds a "." followed by your text to the end of your text name. Ex. 041_1322.edt.new, FirstOne.log.new.log

•Change File Extension replaces the original extension with the text. Ex. 041_1322.new, FirstOne.new.log

•Add Text to Filename Beginning begins each file name with your text. Ex. new041_1322.edt, newFirstOne.log

•Add Text to Filename End inserts the text string after the filename just before the existing extension. Ex. 041_1322new.edt, 041_1322new.log

4.Click [Run]. The TIDAL ZONE program will calculate the tide correction value for each sounding in the file and write them to new files named according to the specified export options.


Real Time Kinematic (RTK) Tide Corrections

Real Time Kinematic (RTK) GPS receivers can measure the latitude, longitude and height above the WGS-84 reference ellipsoid to within a few centimeters. Using this vertical accuracy, you can determine water level corrections (tide corrections). This eliminates the need to use conventional tide gauges or to assign personnel to monitor tide staffs.

HYPACK supports several RTK calculation methods depending on the project location. In the following table, find the area description that matches your project conditions then, in the GEODETIC PARAMETERS program, enter the information indicated in the remaining cells in the row.

The Orthometric Height Correction is added to the geoid height value. It can be used to adjust HYPACK calculations to exactly match your local tide gauge.

Configuring your Geodesy for RTK Tide Corrections

Area Description | RTK Selection | Enter Geoid? | KTD File? | Enter Chart DatumA?
•US Coastal Waters | N from GeoidB, K from VDatumC | Yes | No | Chart Datum
•Geoid Present •Constant Separation of Geoid - Chart Datum | N from Geoid, K from user value | Yes | No | Height of Geoid above Chart Datum
•Geoid Present •Changing Separation of Geoid - Chart Datum | N from Geoid, K from KTD | Yes | Yes Geoid above Chart Datum values | No
•No Geoid Present •Constant Separation of Reference Ellipsoid-Chart Datum | (K-N) from user value | No | No | Height of Ellipsoid above Chart Datum
•No Geoid Present •Changing Separation of Reference Ellipsoid-Chart Datum | (K-N) from KTD | No | Yes Ellipsoid above Chart Datum values | No

AThese fields are enabled and disabled according to the RTK selection.

BIf you use the 2012 Geoid, you must also use the 2012 VDatum files. Otherwise, use the previous version of VDatum with Geoid 2009.

CWhen using the VDatum database, you must use one of the pre-defined chart datums. If you enter a user-defined chart datum level, the VDatum database is ignored.The Vertical Datum field is written to the header of your file, but HYPACK® doesn’t use it for anything else.

More Information

• RTK Methodology

• Using KTD Files

• Determining the Values for the KTD File

• Creating a KTD file in the KTD Editor

• Operating without a KTD File

• Editing RTK GPS Data with Water Level Data

• Editing RTK GPS Data with Conventional Tides

• Adjusting Single Beam Data with POSPac Data

• Recalculating RTK Tides from RAW Data in the 32-bit HYSWEEP EDITOR


RTK Methodology

The following figure shows all of the components needed to compute the Chart Sounding (CS = the distance of the bottom below the Chart Datum).

Obtaining Real Time Water Levels

Using conventional survey techniques we have always added the various corrections to the measured depth from the echosounder to obtain the chart sounding. In this example, we have calibrated our echosounder to the surface. The formula would be:

Format |  | CS = B + TC + D
In the figure: |  | CS = 30 + (-10) + 0 = 20.0
where: | TC | Conventional Tide Corr.
 | B | Measured Sounding
 | D | Dynamic Draft Meas.

The idea behind the computation of RTK Tide is that we can use the z-value of our GPS antenna to determine the tide correction in real time. Assuming the vessel is not pitching and rolling (which adds another level of difficulty), we can compute the RTK Tide Correction (TR) by subtracting the Height of the WGS-84 Ellipsoid Above the Chart Datum (K-N) from the Height of the WGS-84 Ellipsoid Above the Static Waterline (-H - A).

TR = -H – A – ( K – N) = -H – A – K + N

TR = -(-7) - 22 - 4 + 9 = -10

Conventional tide accounts for dynamic draft as follows:

Format |  | TC = N - K – A – H – D
In the figure: |  | TC = 9 - 4 – 22 - (-7) – 0 = - 10
where: | K | Height of the Geoid Above the Chart Datum
 | N | Height of the Geoid Above the Ellipsoid Reference
 | A | Height of the RTK Antenna Above the Ellipsoid Reference
 | H | Height of the RTK Antenna Above the Boat Origin Point
 | D | Dynamic Draft Measurement

Conventional Tide Calculations

K comes from a KTD (Kinematic Tidal Datum) file you create in the KTD EDITOR or, if you are working in the United States, you can use the NOAA VDatum database (incorporated into your HYPACK install). Measurements are in depth units as set in your geodetic parameters.

•If you are using a geoid model, choose one of the following options:

•Enter the height of the geoid above the chart datum (K).

•If this value is constant, enter the distance in the Height of Geoid Above Chart Datum field.

•If the separation value changes over your project area, create a KTD file with your (K) separation values.

•Select the VDatum zone for your project area in your geodetic parameters.

Note:If a VDatum is selected, HYPACK will ignore any KTD files in your project.

•If you are not using a geoid model, enter the height of the reference ellipsoid above the chart datum (K-N).

•If the separation value is constant, enter the distance in the Height of Ellipsoid Above Chart Datum field.

•If the separation value changes over your project area, create a KTD file with your (K-N) separation values.

N is the height of the Geoid above the Ellipsoid (as read from the Geoid model in real time) plus an orthometric correction specified in the GEODETIC PARAMETERS program. If you are not using the geoid model, N=0.

A is the height of the antenna above the reference ellipsoid. This is broadcast as a part of a GGA, GGK or other message from your RTK system. Every time the GPS.dll device driver receives a position update, it computes the new position, along with a new RTK Tide value.

H is the static height of the RTK Antenna above the water line. In order to maximize accuracy, this measurement should be taken at the same time you calibrate your echosounder to the surface. In theory, this should be measured to the same point (boat origin = static waterline) that you are using to calibrate your echosounder. In actual practice, it’s not practical to measure the antenna height out in the middle of the channel when you are doing a bar check.

Note:Note This value should almost always be negative as the antenna is above the water line.

Tip: We suggest that you measure the antenna height when the vessel is at the dock and place a mark on the hull to denote the static waterline. Then make an adjustment to the antenna height when you calibrate the echosounder by noting the change in height of the waterline relative to the mark.

D (Dynamic Draft) represents the vertical movement of the transducer in the water column. If you are using RTK tides with HYPACK, you do not need to enter any draft corrections. We see this when we substitute the formula for calculating conventional tide for the tide value in the formula that calculates the chart sounding:

If TC = N - K – A – H – D and CS = B + D + TC, then
CS = B + D + (N - K – A – H – D) and the two draft values cancel each other:
= B + N - K – A – H

Without a draft correction, the driver will still calculate a correct chart sounding, but the RTK Tide value will be different from the conventional tide value.

For example: In the previous figure, draft=0 and the RTK tide value is calculated to be –10.0 and the CS=20. Now add a draft value of D=1.

RTK Setup with Draft

The tide calculations then become as follows:

(EQ 1) TR = 9 – 4 – 21 – (-7) = -9

Moving forward, if we substitute the formula for calculating the chart sounding, we see the chart sounding is still calculated correctly without the draft correction:

(EQ 2) CS = 29 + (-9) = 20.0

Tip: If your vessel is prone to squat and settlement or sits differently due to fuel loading, we suggest that you let your RTK system calculate the tides for the best accuracy.


Using KTD Files

A KTD file is used in cases where the separation between the ellipsoid and chart datum, actually changes within your project area. Use the KTD EDITOR to generate your KTD file and enter it in your GEODETIC PARAMETERS.

The values in the KTD file differ depending on whether you are using a geoid model.

•If you are using a geoid model, the KTD file contains the height of the geoid above the chart datum (K).

RTK Tide Geodesy Settings—With a Geoid

•If you are not using a geoid model, the KTD file contains the height of the reference ellipsoid above the chart datum (K-N).

RTK Tide Geodesy Settings—No Geoid

SURVEY interpolates the KTD values and uses them to calculate real time tide corrections.


Determining the Values for the KTD File

Before you head out on the water to start your survey, create your KTD file.

If you are not using a geoid, determine the height of the chart datum above the WGS-84 reference ellipsoid.

If you are using a geoid, determine the height of the geoid above the chart datum (K).

Measurements are in depth units as set in your geodetic parameters.

If your survey is conducted in a small area, you may need only a single point. If your survey is conducted over a large area where the separation between the ellipsoid and chart datum changes, you will need several points to “model” the difference.

The following steps should be taken at each location to determine the KTD values.

Determining Your KTD Value

1.Set up your GPS adjacent to your tide staff. The staff should be referenced to the local chart datum.

2.Write down the water level from the tide staff (T).

3.Measure the distance from your GPS antenna to the water level surface (H).

4.Once your GPS is stable and in RTK mode, write down the height of the GPS antenna above the reference ellipsoid (A). This is normally contained in the GGA and GGK messages. It might also be available on the front data display of some GPS. You should take care to note whether your GPS provides this value in feet or meters. If you are measuring depths in feet, you will need to convert the ellipsoid height of your antenna to feet. (1 meter = 3.280833333 feet).

5.If you are using a geoid model, record a reading from your geoid model (N). This is the height of the geoid above the Reference Ellipsoid.

6.Calculate the Value for the KTD file.

Geoid? | Calculations
If you are using a Geoid Model, use -K: | K = – T – A – H – D + N = - (-10) – 22 –( -7) – 0 + 9 = 10 – 22 + 7 + 9 = 4 KTD value = -4
If you are not using a Geoid Model use N-K: | N – K = A + H + D + T = 22 + (-7) + 0 +(-10) = 22 - 7 -10 = 5


Creating a KTD file in the KTD Editor

The values in the KTD file differ depending on whether you are using a geoid model.

•If you are using a geoid model, the KTD file contains the height of the geoid above the chart datum.

•If you are not using a geoid model, the KTD file contains the height of the ellipsoid above chart datum (N-K).

You can generate your KTD file in either the KTD EDITOR or the TIN MODEL program. The KTD EDITOR is suitable for smaller project areas with a limited number of tide stations. For larger project areas with more separation data, TIN MODEL can speed things along.

When a KTD file is enabled in your project, the correction values are drawn and circled at each node location in the area map. You can set the circle color in the General tab of the Control Panel.

Sample KTD File in the HYPACK Area Map

• Creating a KTD File in the KTD Editor

• Creating a KTD File in the TIN MODEL Program

Creating a KTD File in the KTD Editor

1.Prepare your data.

a.Plot your survey area on a piece of paper.

b.Plot the location of your tide stations, where you have determined the separation values. Write the separation values next to each gauge.

c.Draw a rectangular grid around your survey area. This is the border of your KTD file. Make a note of the lower left X-Y and upper right X-Y coordinates. They will be needed when you create the KTD file.

d.Determine how many nodes you want in each direction. The limit is 100 in each direction. See the following sample diagram.

Separations: Ellipsoid above Chart Datum

In this case, there are 3 nodes in the X-direction and 5-nodes in the Y-direction.

e.Contour the separation data, as shown in the diagram.

f.Determine a separation value at each node, based on the contour information.

2.Start the KTD TIDE EDITOR by selecting PREPARATION-EDITORS-KTD TIDE EDITOR.

3.Enter the maximum and minimum values for your X and Y coordinates. These were obtained in step 3.

4.Enter the number of nodes (or divisions) in each direction. The spreadsheet below will change to reflect the number you have entered.

KTD Editor

5.Enter the separation value for each node in the appropriate grid. Measurements are in depth units as set in your GEODETIC PARAMETERS.

6.Save your file. Click FILE-SAVE and save the file to a KTD file. KTD files a stored, by default in the \HYPACK 2017\PROJECTS\ProjectName folder.

Return To Top

Creating a KTD File in the TIN MODEL Program

1.Prepare your separation data. List each tide gauge location and its separation value in an XYZ data file. (A space-delimited text file with one line per XYZ record where XY represents the tide gauge position and Z is the required separation value.)

2.In the TIN MODEL program, generate a TIN model with your separation values. Load your separation data file as the input file and generate the model.

3.Select EXPORT-XYZ.

4.Enter a grid spacing.

5.Check the KTD Output option.

6.Click [Output File] and enter an output file name.

7.Click [Export].

HYPACK automatically adds the new KTD file to the Project Items list.

Return To Top

More Information

• RTK Methodology

• Using KTD Files

• Determining the Values for the KTD File


Operating without a KTD File

A KTD file is only necessary if you are in an area where the separation between the reference ellipsoid and chart datum is not a constant.

You do not need a KTD file if any of the following are true:

•You are using a geoid and the separation between the reference ellipsoid and chart datum is a constant.

In this case, select N from Geoid Model, K from User Value and enter the Height of the Geoid Above Chart Datum.

GEODETIC PARAMETERS—RTK Options Where There is a Geoid and Height of the Geoid Above Chart Datum is Constant

•You are not using a geoid, but the height of the ellipsoid above chart datum is constant. This is common when your survey area is very small.

In this case, select (K-N) from User Value and enter the Height of Ellipsoid Above Chart Datum.

GEODETIC PARAMETERS—RTK Options Where There is No Geoid and Height of Ellipsoid Above Chart Datum is Constant

•You are surveying in United States coastal waters.

In this case, Select N From Geoid Model, K From VDatum, enter your VDatum Zone, chart datum and geoid. You get the height of geoid above chart datum from the VDatum database.

GEODETIC PARAMETERS—RTK Options Using the VDatum Database

•You are not calculating RTK tide corrections.

GEODETIC PARAMETERS—SURVEY Does Not Calculate RTK Tides


Editing RTK GPS Data with Water Level Data

Provided you have correctly set up your survey to record real time water level corrections, processing is simple. The single beam or multibeam editing programs can read the raw format data file and use the tide records contained in the file automatically.

The Read Parameters Advanced Tab accesses the RTK Tide parameters.

The Advanced Read Parameters Dialog in the SINGLE BEAM EDITOR

If you check the RTK Tides Method, editor will then use the RTK tide records written in the raw data file for tide corrections. This will activate the two options on how the program combines RTK water level elevations with heave corrections.

Merge Tide Data with Heave uses the RTK elevations as vertical “anchors”. Between the GPS elevation updates, the program “fits” the heave data to predict the change in vessel movement.

Average Tide Data to Remove Heave averages the RTK elevations over a user-defined time period to obtain a “normalized heave plane”. In theory, this average vertical level should be the zero plane as defined by the heave-pitch-roll sensor. The program then applies the exact heave corrections to the data to obtain the exact vessel position at the time of the depth measurement.

Tip: A time period of 30 seconds seems to work quite well.

Recalculate RTK Tides Using Project Geodesy: Recalculates the RTK tide correction value for each sounding based on the current geodesy settings; the current, enabled KTD (Kinematic Tide Datum) file in your project; and the RAW messages in your raw data files. This option enables you to recover from errors in your RTK configuration including:

•Incorrect geoid model or orthometric height correction

•Incorrect KTD information

•A hardware configuration that excludes the tide function from the GPS configuration.

More Information

• RTK Tides in the SINGLE BEAM EDITOR

• Advanced Read Parameters in the 32-bit HYSWEEP EDITOR

• Recalculating RTK Tides from RAW Data in the 32-bit HYSWEEP EDITOR

• Device Offsets in the 64-bit HYSWEEP EDITOR

• Heave Options in the Read Parameters in the 64-bit HYSWEEP EDITOR

• Recalculating Positioning and RTK Tides from HYPACK Raw Data in the 64-bit HYSWEEP EDITOR


Editing RTK GPS Data with Conventional Tides

You can process raw data files that have RTK water level corrections using conventional tides by simply reading a tide corrections file (*.TID) file while in the editor. (A tide corrections file, loaded to the editor, overrides the tide data recorded in your data files.) You can, therefore, process the data using RTK water levels or conventional tide corrections, and compare the results in the CROSS SECTIONS AND VOLUMES program (or in the editor profile screen by using the Overlay feature).


TIDE ANALYZER

The TIDE ANALYZER compares tide corrections in a tide file to those in your data files or in another tide file. You can smooth the data extracted from your working data or tide file. It then displays a graph of the two sets of tide corrections, and compares and calculates the average difference and standard deviation of differences between the data sets.

From the TIDE ANALYZER, you can:

•View the tide value from each data set and the difference between them at the current cursor position.

•View the Average Difference and Standard Deviation of the differences.

•Remove data from the working file using the graphical editing tools.

•Export the tide corrections from the working file to a TID file.

•Print the graph.

Sample TIDE ANALYZER Display

More Information

• Running the TIDE ANALYZER

• TIDE ANALYZER View Options

• Exporting Tides in the TIDE ANALYZER

• Printing the TIDE ANALYZER Graph


Running the TIDE ANALYZER

1.Open the TIDE ANALYZER by selecting PROCESSING-TIDES-TIDE ANALYZER.

2.Load the files from which the TIDE ANALYZER will compare the tide data. The TIDE ANALYZER can extract the tide data from individual files or catalogs of raw, edited All format, HSX or HS2 data files containing tide correction data, or from a tide correction file (*.TID).

Note:Tide corrections must have been logged to raw or HSX files during SURVEY.

3.If you load raw data that logs tide from more than one source, a dialog will appear for you to select the source from which you want the TIDE ANALYZER to read the tide data.

Select Tide Device Dialog

4.Set your smoothing options for the tide data from the working file.

•None

•Spline method fits the curve through your data points.

•Savitsky-Golay smooths the data while typically retaining more detail than the Moving Average method.

•Median Filter

•Moving Window Average smooths but doesn’t respond to small changes.

Note:There is no smoothing option selected, when you initially open the program. You must make a selection to export a file with data other than zeros.

5.Examine the graph display with the average difference and standard deviation of the differences.

6.Edit your working tide as necessary:

7.Choose whether you want the TDX as well as the TID. Check the Include.TDX option to generate both files.

8.Export the results of the smoothing to a new tide file. (Optional)

9.Print the graph. (Optional)

More Information

• TIDE ANALYZER View Options

• Examining the Tide Graph

• Editing Tide Data in the TIDE ANALYZER

• Exporting Tides in the TIDE ANALYZER

• Printing the TIDE ANALYZER Graph


TIDE ANALYZER View Options

The TIDE ANALYZER graphs tide (Y-axis) over time (X-axis). You can configure the frequency of the tics and tic labels on each axis as well as the colors used to graph each set of values.

Tic Settings

Time Major Tics: A longer tic and tic label are drawn on the X-axis at intervals evenly divisible by the user-define value. The minimum value is 1.

Time Minor Tics: A shorter tic is drawn on the X-axis at intervals evenly divisible by the user-define value. The minimum value is 1.

Tide Major Tics: A longer tic and tic label are drawn on the Y-axis at intervals evenly divisible by the user-define value.

Tide Minor Tics: A longer tic is drawn on the Y-axis at intervals evenly divisible by the user-define value.

Color Settings

To set the color for each data set drawn in the graph, click in its color square then select your chosen color from the color dialog that appears and click [OK].

More Information

• Running the TIDE ANALYZER

• Examining the Tide Graph

• Editing Tide Data in the TIDE ANALYZER

• Exporting Tides in the TIDE ANALYZER

• Printing the TIDE ANALYZER Graph


Examining the Tide Graph

The TIDE ANALYZER compares the two sets of tide data.

Activate the crosshair cursor then, as you move your cursor across the graph, the crosshairs follow the working file and the vertical line marks the corresponding time in the tide file. The status bar displays statistics for the time at the current cursor position: time, working file tide, tide file tide and the deviation between the two tide values.

Sample TIDE ANALYZER Display

More Information

• Running the TIDE ANALYZER

• TIDE ANALYZER View Options

• Editing Tide Data in the TIDE ANALYZER

• Exporting Tides in the TIDE ANALYZER

• Printing the TIDE ANALYZER Graph


Editing Tide Data in the TIDE ANALYZER

The tools on the toolbar affect only the working file.

You can remove points in the working file using your choice of methods:

To delete individual points, click the eraser tool icon (the cursor becomes a small square), then click each point in the graph that you choose to remove. Any soundings visible in the square when you click are deleted.

To delete all points above a user defined line (the cursor includes the icon image), click the Delete Above Line icon then use the cursor to drag a line across the graph.

To delete all points below a user defined line (the cursor includes the icon image), click the Delete Below Line icon then use the cursor to drag a line across the graph.

To reverse the most recent operation, click the Undo icon.

More Information

• Running the TIDE ANALYZER

• TIDE ANALYZER View Options

• Examining the Tide Graph

• Exporting Tides in the TIDE ANALYZER

• Printing the TIDE ANALYZER Graph


Exporting Tides in the TIDE ANALYZER

Once you have extracted the tide corrections data from your working data, completed any (optional) editing, and chosen your smoothing method, you can export the resulting correction data to a new tide corrections file (*.TID) and, if you choose, the corresponding TDX file. The TDX file populates the spreadsheet in the MANUAL TIDES program where you can view or modify the tide data.

1.If you want to generate the TDX, check the Include TDX option.

2.Click [Save to *TID], name your output file and click [Save].

The new tide corrections file will be saved, by default, to a tide file in the project folder.

More Information

• Running the TIDE ANALYZER

• TIDE ANALYZER View Options

• Examining the Tide Graph

• Editing Tide Data in the TIDE ANALYZER

• Printing the TIDE ANALYZER Graph


Printing the TIDE ANALYZER Graph

Once you have loaded your data and chosen your smoothing method, you can print the resulting graph.

1.Click [Print]. The Print dialog will appear.

2.Select your printer and set your printer properties and click [OK].

More Information

• Running the TIDE ANALYZER

• TIDE ANALYZER View Options

• Examining the Tide Graph

• Editing Tide Data in the TIDE ANALYZER

• Exporting Tides in the TIDE ANALYZER


BOAT SHAPE EDITOR

The BOAT SHAPE EDITOR is used to create a custom, true-to-scale boat shape that matches your survey or dredge vessel. Boat shapes include, at least, a polygon defining the perimeter of your vessel relative to your boat origin. It may also include structural features and anchor attachment points.

Boat shape files (*.SHP) are saved, by default, to the \HYPACK 2017\Boat Shapes folder. You may then load a boat shape to represent each mobile displayed in the Map windows of SURVEY, HYSWEEP SURVEY or DREDGEPACK to show real-time boat position, and use the Anchor Manager to display your anchor positions when you drop, raise and transport them.

More Information

• Creating a Boat Shape

• Modifying an Existing Boat Shape


Creating a Boat Shape

In the BOAT SHAPE EDITOR, you draw your boat shape in the design area. You describe the boat shape using XY coordinates, in survey units, relative to the boat origin. This is the same origin from which you offset your devices in the HARDWARE program. A solid circle represents the origin in the design area.

•In Manual Mode, type the offset coordinates in the spreadsheets provided: Boat Points, Anchor Points and Drawing Objects.

•In Mouse Mode, use the drawing tools and click in the design area to define the boat shape perimeter and features.

The Snap to Grid feature shifts each point to the nearest grid intersection.

A Sample Boat Shape in the Editor.

1.Establish an origin point on your vessel.

2.Open the BOAT SHAPE EDITOR by clicking PREPARATION-EDITORS-BOAT SHAPE EDITOR.

3.Click on FILE-NEW SHAPE to indicate that you are creating a new boat shape (or FILE-OPEN SHAPE to load a boat shape that you want to modify).

4.Set your display options.

•Check which items you want to see drawn in the BOAT SHAPE EDITOR.

•Show Devices shows a list of hardware devices in the upper left corner of the drawing area.

•Show Offsets draws devices and tracking point in position on the boat shape according to the listing in the Survey32.ini.

•Show Anchor Points draws an "X" at each anchor point.

•Show Drawing Objects draws the lines described in the Drawing Objects spreadsheet.

•Set your grid options. (Optional) Using a grid is not required, but it is much easier to create a vessel with the correct dimensions.

BOAT SHAPE EDITOR Grid Options

•Show Grid implements the grid display in the design window. If you check ‘Snap to Grid’ in the editor toolbar, all points that you define with your cursor while drawing your boat shape will automatically shift to the nearest grid line.

•Grid Increment sets the distance represented by each grid line.

•Grid Style determines whether the grid is drawn with lines or only marks where line intersections would occur.

5.Describe your boat shape.

•In Manual Mode: In the Boat Shape spreadsheet, enter the coordinates defining the perimeter of the boat shape relative to the boat origin.

•In Mouse Mode: Click the boat tool and, using the origin and the grid to guide you, click around the outline of your vessel. The horizontal offset coordinates of those points (in survey units) relative to the origin appear in the Boat Points list on the left. The program will automatically close your boat shape back to the first point in the list.

Drawing Tools—(left to right) Boat, Anchor, Drawing and Box Tools

6.Enter your anchor points. (Optional)

•In Manual Mode: In the Anchor Points spreadsheet, enter the coordinates defining the offsets relative to the boat origin for each anchor attachment point.

•In Mouse Mode: Click the anchor tool then click on the boat shape at the anchor locations. The horizontal offset coordinates of those points, relative to your vessel origin, appear in the Anchor Points list on the left.

You can enter up to nine anchor locations for your boat.

7.Describe any drawing objects. (Optional) Drawing objects describe objects inside the perimeter of the vessel for visual effect only. The programs do not take them into account for any calculations. Each drawing object is comprised of the start and end points, and the radius. The start and end points are expressed as offsets relative to your vessel origin. Radius measurements create arcs between the points. Radius values can be positive or negative to arc right or left respectively, but the absolute value should be greater than half the distance between the end points.

Tip: Use the Box tool to draw the four segments of a user-defined rectangle in one operation.

•In Manual Mode: In the Drawing Object spreadsheet, enter the coordinates defining the end points and arc of each line segment in your object.

•In Mouse Mode: Use the drawing object tool to click and drag each line segment in your object then enter the radius in the spreadsheet in the Mouse Mode tab.

8.When you are finished, save your file. You may do either of the following to save your file, by default, to the boat shapes directory:

•To save a HYPACK boat shape file, click on FILE-SAVE SHAPE and name your file. It is saved with an SHP extension.

•To save your shape in a format that may also be opened in CAD, select FILE-EXPORT TO DXF.


Modifying an Existing Boat Shape

It’s simple to modify your boat shape in the BOAT SHAPE EDITOR. At any time, you can do any of the following:

•Edit any of the coordinates that describe the vessel outline, anchors or drawing objects.

•Change the location of the vessel origin.

•Rescale the vessel to a different size.

More Information

• Modifying Object Coordinates in your Boat Shape

• Relocating the Vessel Origin in your Boat Shape

• Scaling your Boat Shape in the Boat Shape Editor


Modifying Object Coordinates in your Boat Shape

You may need to change one or more coordinate pairs in your boat shape for any of the following reasons:

•To change the vessel outline

•To relocate an anchor

•To change the size, shape or location of a drawing object

There are two methods to relocate select coordinates that describe your vessel.

Relocating Coordinates Using your Cursor

1.Click the tool appropriate for the object you want to change.

2.In the design area, drag the object to a its new location. The coordinates will update accordingly.

3.Save your boat shape file. Select FILE-SAVE SHAPE and name your shape in the dialog provided.

Relocating Coordinates in the Spreadsheet

1.Select the coordinates in the object list.

2.Edit them in the spreadsheet at the lower left. The drawing in the design area will update accordingly.

3.Save your boat shape file. Select FILE-SAVE SHAPE and name your shape in the dialog provided.

Adding a Point in your Boat Shape Outline

1.Select the boat tool.

2.Right-click on the coordinate pair preceding where you need the new point and select ‘Insert Point’. A point is added mid-way between the selected point and the next existing coordinate pair.

Tip: The selected point is displayed in blue in the design area. You can determine which side of a selected point the new one will be drawn by clicking two consecutive points and observing where they are located relative to each other.

3.Edit the coordinates to position the new point as required for your boat shape.

4.Save your boat shape file. Select FILE-SAVE SHAPE and name your shape in the dialog provided.

Deleting Points in the Boat Shape

You can delete any point in your boat shape—in boat points, in drawing objects or anchor points—through the right-click menu in the Mouse Mode tab:

1.Open the Mouse Mode tab.

2.Expand the area of the tree where you want to delete points.

3.Right-click on the point you want to delete and select the Delete Point option. The drawing in the design area updates accordingly.


Relocating the Vessel Origin in your Boat Shape

If you have an existing boat shape file, but the origin on which it is based, is not the origin of your hardware configuration, you could draw a new boat shape file, but there’s an easier solution. You can redefine the position of the origin in your shape file and the BOAT SHAPE EDITOR updates all the offset coordinates accordingly.

Note:This does not affect your hardware configuration.

1.Select OPTIONS-SET ORIGIN POINT. The cursor, held over the drawing area, appears as two concentric circles.

2.In the drawing area, click at the new origin position. The origin marker will move to the click position and all coordinates listed on the left will update accordingly.

3.Save your boat shape file. Select FILE-SAVE SHAPE and name your shape in the dialog provided.


Scaling your Boat Shape in the Boat Shape Editor

You can uniformly increase or decrease the size of your boat shape by multiplying all offsets and radii by the same number. You could do this by manually editing each set of coordinates and radii individually, but there’s a much easier way.

1.Select OPTIONS-SCALE BOAT SHAPE.

2.Enter a value by which the coordinates should be multiplied. For example, to double the size of the boat shape, enter 2.

3.Click [OK]. The coordinates and radii will be multiplied and the drawing in the design area will update accordingly.

4.Save your boat shape file. Select FILE-SAVE SHAPE and name your shape in the dialog provided.


3D SHAPE EDITOR

The 3D SHAPE EDITOR is used to create custom, 3-dimensional shapes. These shapes are saved to 3OD files that can then be imported to the 3D TERRAIN VIEWER (3DTV or MATRIX 3DTV) in order to provide the most realistic display possible.

3D Shapes Displayed in the 3D TERRAIN VIEWER

The 3D SHAPE EDITOR can be used to create near replicas of your vessel. You can then import them to the 3D TERRAIN VIEWER programs and navigate on the virtual water there as you steer your vessel during your survey or dredging. Dredges constructed using the 3D SHAPE EDITOR dredge templates can be fully animated showing your digging tool at work.

You can also create objects other than vessels which can be imported to 3DTV to enhance your display.

•The pole template provides a ready-made shape depicting a typical telephone or electric pole. A series of these in 3DTV will automatically be connected with a user-defined number of wires.

•Custom buoy shapes can be created to float on the water surface in the correct horizontal position.

•Stationary objects such as buildings and fences can be created to display on the land surrounding your survey area.

More Information

• 3D Shape Editor Interface

• Adjusting the View in 3D Shape Editor

• Running the 3D Shape Editor

• Opening Custom Shape Files in the 3D Shape Editor

• Previewing Animated Shapes in the 3D Shape Editor

• Creating Objects in the 3D Shape Editor

• Connecting Objects and Shapes in the 3D Shape Editors

• Removing Objects from the Custom Shape

• Setting Object Properties in the 3D Shape Editor

• Grouping Objects in your Custom Shape in the 3D Shape Editor

• Saving your Custom 3D Shape File


3D Shape Editor Interface

Launch the 3D SHAPE EDITOR by selecting PREPARATION-EDITORS-3D SHAPE EDITOR.

3D SHAPE EDITOR Interface

Toolbars Object Browser |  |  | 30D Library
 | Object Properties | 4 Drawings: Perspective, Top/Bottom, Front/Back, Left/Right |

The 3D SHAPE EDITOR has a series of toolbars that are used to create and manipulate various 3-dimensional shapes, which can be put together to model your custom shape. Hold your cursor over any icon to view the icon function. You may reposition and size all windows by using the cursor to drag the title bars and window edges. You can arrange the windows in one or more monitors. Once you have sized and placed the windows on the screen, the program will remember and restore them to the same status and location each time you start the program.

More Information

• Object Browser in 3D Shape Editor

• Object Properties in 3D Shape Editor

• Design Window in 3D Shape Editor


Object Browser in 3D Shape Editor

The Object Browser shows a tree view listing of each object as it is created.

In addition to the usual resizing and repositioning, you can ‘hide’ it along the side to which it is docked. When it is hidden, only a tab appears along the margin of the editor and temporarily bring them into view when you need them by clicking on the tab. When you move your focus off the window, it slides back into hiding.

To hide and restore the window, click on the thumbtack in the upper right corner of the window.

Simple objects (an individual object as it is created from the menu bars) can be listed under the root of the tree view, or grouped together into subgroups which appear as nodes on the tree view.

Grouped objects create complex objects which can then be selected and translated or rotated as a unit within the design while maintaining each component object's size, orientation and position relative to the others in the group.

Sample Object Browser


Object Properties in 3D Shape Editor

The Object Properties lists various attributes of a selected object as it is drawn in the design windows. Through the Object Properties, you can view and modify the following attributes:

•name

•orientation (rotation)

•color

•transparency

•size (scale)

•position (translation)

•texture

•visibility

Basic Objects have additional properties that are specific to the object type. These include:

•Edge measurement

•Radius

•Height

These properties, with the object’s scale properties, determine the final object size. The effects of any modifications will be updated and displayed in the drawings.

In addition to the usual resizing and repositioning, you can ‘hide’ it along the side to which it is docked. When it is hidden, only a tab appears along the margin of the editor and temporarily bring them into view when you need them by clicking on the tab. When you move your focus off the window, it slides back into hiding.

To hide and restore the window, click on the thumbtack in the upper right corner of the window.


Design Window in 3D Shape Editor

The 4-paned design window enables you to view and manipulate your design from all angles. Right-click and select "Change View" to toggle the 2-dimensional design windows (top, front or right side views) to show the opposite face (bottom, back or left side views respectively).

The System Default background color is read from your Windows® settings, but you can:

•Choose a black or white background by selecting VIEW-BACKGROUND COLOR- and either BLACK or WHITE.

•Choose another color by selecting VIEW-BACKGROUND COLOR-USER DEFINED, then VIEW-BACKGROUND COLOR-EDIT and choosing your color through the color dialog.

If a color other than that chosen in Windows® is active when you select FILE-SET DEFAULTS, that color will be used each time you launch the 3D SHAPE EDITOR or begin a new shape.

To guide your drawing, you can toggle a display of rulers and grid tics through the VIEW ORTHO TOOLS menu.

The upper right pane is a 3-dimensional perspective view of your design which may be viewed from any angle using the Move 3D Camera tool.

The Status bar shows the current cursor position or object rotation, translation or scaling, depending on which tool is active.

Active Tool | Display
Select Tool | Current Cursor position relative to the origin of the complex shape (X, Y, Z)
Rotation Tool | Rotation of currently selected object where 0 is upward and values increase in a clockwise direction. (RotX, RotY, RotZ)
Horizontal or Vertical Translation | Translation of current object relative to the origin of the complex shape (TransX, TransY, TransZ)
Horizontal or Vertical Scaling | Scale of current object (ScaleX, ScaleY, ScaleZ).


Adjusting the View in 3D Shape Editor

The 3D SHAPE EDITOR provides several options to optimize your view of your custom shape in the design panes. You can change the:

•Model itself by changing the model type, color and shading.

•Camera Position (viewing distance and angle)

•Lighting to optimize your view

Once you have chosen these settings, as well as others controlled through the menus and icons, you can set them as your default settings by selecting FILE-SET DEFAULT. These settings will be implemented for each new custom shape.

More Information

• Model Type in the 3D Shape Editor

• Lighting and Shading in the 3D Shape Editor

• Object Color in the 3D Shape Editor

• Camera Positioning in the 3D Shape Editor


Model Type in the 3D Shape Editor

The Model menu provides a few display options which are also accessible through the Model toolbar.

Solid draws an opaque, custom shape in the colors chosen for the component objects in their object properties.

Wire Frame draws your custom shape as a white transparent line drawing. The selected wire-frame objects are displayed in color.

Wire Frame Model


Lighting and Shading in the 3D Shape Editor

The Mining Lamp sets the position of the light source to match the camera position. Initially, it will follow the camera’s XYZ position.

If you turn the mining lamp off, the light will remain on the most recently illuminated side of the shape, regardless of its orientation in the design panes.

Sharp Shading (MODEL-SHARP SHADING) uses the same shade intensity on the whole face, It shows the edges where faces are joined. Smooth Shading (MODEL-SMOOTH SHADING) varies the intensity of shade across the face in a more realistic manner. It smooths rounded shapes.

Solid Shading - Smooth (left), Sharp (right)


Object Color in the 3D Shape Editor

The Default Color will be used when each new object is created. It can be changed through the standard Color dialog which is opened by selecting MODEL-DEFAULT COLOR.

You can change the object color after it is created by changing its Color property.

More Information

• Setting Object Colors


Camera Positioning in the 3D Shape Editor

As you build your custom shape, you will often find it necessary to adjust what you see in the design panes in order to work on your model effectively.

In the 2-Dimensional Design Panes

•The Camera toolbar provides the customary Zoom and Pan functions, which allow you to adjust the view in the 2-dimensional design panes to optimize the display for your use.

Camera Toolbar

•The right-click menu for each design pane contains two options that can affect the display:

3D Shape Editor Right-click Menu

•Change View allows you to see the opposite face of the custom shape. The label of the design pane will update with each change.

•Maximize Screen expands the pane to full screen view. It will be restored to its smaller size by clearing this option.

In the 3-Dimensional Design Pane

•Zoom in and out:

•Hold Shift and use the up and down arrow keys.

•Hold Shift + Ctrl and use the up and down arrow keys for faster motion.

•Use the 3D Camera Control to change the camera angle to view the custom shape from any angle. This gives the effect of rotating, pitching and rolling the custom shape display around the center point of the shape.

•Left mouse button: Camera rotates around the center of the custom shape.

•Right mouse button: The camera translates in the direction the mouse moves.

•The Up and Down Arrow keys rotate camera vertically around the center point. Add the Control key to increase the amount of change for each click.

•The Left and Right Arrow keys rotate horizontally around the center point. Add the Control key to increase the amount of change for each click.


Running the 3D Shape Editor

The 3D SHAPE EDITOR is a little challenging to use but, with practice, you can create detailed images that can greatly enhance your display.

Before we begin, it will be helpful to note the distinction between objects and shapes in the 3D SHAPE EDITOR.

Objects are 3D forms which are positioned and grouped together to build your custom shape. A variety of predefined forms are available as "basic" objects. Additional "advanced" objects are formed from user input which provides considerable flexibility in creating objects that you need to build your custom shape.

A very over-simplified sequence to create a custom shape might be as follows:

1.Open a 3OD file. This file contains all of the information about your custom shape. You can either create a new one or open an existing file to modify.

2.Set your default dimensions for each object to be created. You can set them to 1x1x1 or 2x2x2 survey units through the MODEL-DEFAULT DIMENSIONS menu.

3.Select an object from one of the toolbars and place it in the design window.

4.Set the object properties. Properties include:

•Scale

•Position

•Rotation

•Color

•Texture

•Transparency

•Visibility

•Other object-specific properties

5.Repeat steps 3 and 4 using various objects with which to "build" a custom shape that matches your real-world shape, grouping the objects where appropriate.

6.Save your custom shape by selecting FILE-SAVE (or FILE-SAVE AS) and naming your file. It will be saved, by default, to your \\HYPACK 2017\Shapes directory with a 3OD extension.

Note:If you make a change that turns out not to be what you had in mind, click the Undo button to reverse the action. The Redo button reverses the Undo.

More Information

• Opening Custom Shape Files in the 3D Shape Editor

• Creating Objects in the 3D Shape Editor

• Setting Object Properties in the 3D Shape Editor

• Saving your Custom 3D Shape File


Opening Custom Shape Files in the 3D Shape Editor

Whether you are using the 3D SHAPE EDITOR to build a new custom shape or to modify an existing one, the first step is to open the 3D shape file (*.3OD).

More Information

• Creating a New Shape in 3D Shape Editor

• Importing Third Party Shape Files to 3D Shape Editor

• Loading Existing Custom Shapes in the 3D SHAPE EDITOR


Creating a New Shape in 3D Shape Editor

In the 3D SHAPE EDITOR, you may construct a custom shape manually, or you may select a shape template through the wizard.

A shape template is a predefined 3D shape file with certain unalterable features including object groups, the number, orientation and names of axes that create joints on mobile dredge parts, and the number and names of wire-attach points. You may modify other object parts, although they have a default shape, to more closely resemble your vessel.

•To create a new shape manually, select FILE-NEW. The 3D SHAPE EDITOR interface will provide a blank display, ready for you to set your default dimensions and begin building your own custom shape.

•To select a template shape:

a.Select FILE-NEW BY WIZARD. A dialog will appear providing a choice of object types: Vessel, Dredger, Pole, and Free.

New Shape Wizard

b.Select the kind of complex object you want to create and click [Next].

•To create a boat, select Vessel.

•To create a dredge with moving parts, you must select a dredger template. You can not manually build a vessel with moving parts.

•To create power lines, select ‘Pole’. When deployed in the 3D TERRAIN VIEWER, wires automatically link the like-numbered attachment points.

•To create a shape other than one of the predefined types, you should choose the "Free" option and build it yourself.

If you have selected any option but "Free", an object type-specific dialog will appear according to your selection.

c.If you are opening a Vessel or Dredge, select the predefined shape that most closely matches your vessel and click [Next].

Selecting a Predetermined Vessel (left) or Dredger (right)

A properties dialog for the selected object type appears next.

d.Set the properties for your object.

•Vessel Properties

Vessel Properties

Dimensions: Enter the length, width or height of your real world vessel. The program will adjust the scale of the vessel shape proportionately.

Name: Text that will appear on the hull.

Color: Click the button for the cabin or hull to access a Colors dialog where you can choose the color for the component objects of the cabin.

Flag: Choose a graphic in BMP or JPG format for the flag.

•Excavator Properties: Indicate the type of excavator: clamshell or bucket.

Excavator Properties

•Crane Properties: Indicate the type of Crane: clamshell or hook.

Crane Properties

•Cutter Suction Properties: Indicate whether you have one or two spuds. The Motorized option shifts the right-hand spud to the center.

Cutter Suction Properties

•Hopper Properties: Indicate how many arms are on your dredge and how many segments are in each one.

Hopper Properties

•Pole Properties: Indicate the number of wires the poles support.

Pole Properties

e.Click [Finish].

f.Save your custom shape by selecting FILE-SAVE (or FILE-SAVE AS) and naming your file. It will be saved, by default, to your \\HYPACK 2017\Shapes directory with a 3OD extension.


Loading Existing Custom Shapes in the 3D SHAPE EDITOR

If you want to modify a 3D shape, you begin by loading the 3D shape file into the 3D SHAPE EDITOR.

1.Select FILE-OPEN. The File Select dialog defaults to the location to or from which you last exported or imported 3OD file.

2.Select the required 3OD file and the 3D shape will be displayed.


Importing Third Party Shape Files to 3D Shape Editor

3D SHAPE EDITOR can import files from a selection of file formats of other types than its current 3OD files. Progress bars provide feedback that the import is still working. The 3D SHAPE EDITOR supports the following formats:

•VES files are a shape format created by early versions of the 3D SHAPE EDITOR. Users who may have created such custom shapes can now be imported and converted to 3OD format.

•CHN files were used in the original 3D SHAPE EDITOR. Though HYPACK provided no utility with which to create shapes beyond the generic Boat.CHN included in HYPACK, some creative users located freeware tools with which to create them. They can now be imported and converted to 3OD files.

•3DS files are generated in 3D modeling, animation and rendering software. The 3D SHAPE EDITOR imports only geometry, color and texture of the objects defined in 3DS files. The texture file must be in the same folder as the 3DS file, and it must be a BMP file that conforms to certain specifications.

•DAE, KML and KMZ files (Collada files) are a format for 3-dimensional applications such as Google Earth and Google Sketchup.

•MD2 is a mesh based 3D object format, widely accepted among the 3D designers and modelers. It is used in Quake for object representation.

•WRL files created in VRML97 (ISO/IEC 14772-1:1997) compliant packages. Nodes related to interaction with user, extern links, scene presentation (background, views, lights), sound and animation are ignored.

All shapes imported from these formats are converted to *3OD format. They appear as a single ‘mesh’ object in the 3D SHAPE EDITOR, and can be modified by adding objects.

To import these files:

1.Select FILE-IMPORT. An Import dialog will appear.

2.Select your file type and file name then click [Open].

More Information

• Setting Object Textures


Previewing Animated Shapes in the 3D Shape Editor

The 3D SHAPE EDITOR enables motion in your shapes by multiple methods:

•Use an animated GIF as a texture file on one or more faces of your custom object.

•Include a waving flag from the 3OD Library.

•Use one of the dredge templates from the New Object Wizard.

Animated shapes can be animated in the 3D SHAPE EDITOR to preview the type of motion you might expect during SURVEY or DREDGEPACK.

Use the Animation toolbar to start and stop the preprogrammed motion. The dredge shape will repeat the animation loop, which depicts typical motion for the type of dredge you have chosen, until you click the stop button. While it is in motion, you can zoom, pan and rotate the model to inspect it from any angle you desire or modify any of the object properties.

Note:Animation is not available when VIEW–WHOLE MODEL is selected.

More Information

• The 3OD Library

• Editing Object Faces in the 3D Shape Editor

• Creating a New Shape in 3D Shape Editor


Creating Objects in the 3D Shape Editor

Objects are the component parts used to build a complex custom shape. Several common shapes are pre-programmed into the editor interface to help create close facsimiles of survey vessels, dredges, buoys, buildings, power lines, etc.

When each object is initially placed in the design window:

•It is assigned a unique name according to the object type and order of creation (ex.Cube_1).

•It is created according to the default dimensions, which can be set to 1x1x1 or 2x2x2 survey units through the MODEL-DEFAULT DIMENSIONS menu.

Tip: If your default dimensions are 1x1x1 and no other properties (such as height or radius) are set to affect the object dimensions, you can enter the object’s real-world measurements in the X, Y, and Z Scale properties to obtain an object with the correct dimensions for your purpose.

More Information

• Creating Basic Objects in the 3D Shape Editor

• Creating Advanced Objects in the 3D Shape Editor

• Creating Vessel Origin and Attachment Points in the 3D Shape Editor

• Replicating Objects in your Custom Shape in the 3D Shape Editor


Creating Basic Objects in the 3D Shape Editor

The Basic Objects toolbar provides a choice of basic 3-dimensional shapes that can be used as components of your custom shape.

Basic Objects Toolbar

Just click the icon corresponding to the shape you need, then click in any of the 2-dimensional design panes to place the object in its approximate position. You will set exact positioning, as well as other properties, in the properties toolbar.

More Information

• Creating Advanced Objects in the 3D Shape Editor

• The 3OD Library

• Setting Object Properties in the 3D Shape Editor


Creating Advanced Objects in the 3D Shape Editor

The Advanced Objects toolbar enables you to create more complex shapes that might be useful in creating your custom shape. The first set will each access the Object Modeling Window where you draw the footprint of the desired shape and set any applicable additional settings. When that is completed, the finished shape is created according to the icon selected and ‘floats’ at the end of your cursor ready to be positioned in any of the 2-dimensional views.

Advanced Objects Toolbar

The Prism top and bottom faces match the user-defined footprint. Side faces are drawn by connecting corresponding vertices on the base and the top.

The Pyramid creates an edge of the pyramid between each point that defines the footprint and a point that is above the base. When you select a pyramid shape, the Object Modeling window includes sloped option which allows you to offset the base from the position of the apex, which will then remain above the coordinated system center.

The Truncated Pyramid forms a face parallel to the base that is a smaller scale version of the footprint. The side faces are drawn by connecting corresponding points on the base and the top. When you select a truncated pyramid shape, the Object Modeling window includes ratio and sloped options.

The Hull uses the user-defined footprint as the base. A scale version of the footprint forms a parallel top face. Side faces are drawn by connecting corresponding points on the base and the top. The outer edges, however, are bowed rather than straight in an attempt to approximate the shape of a boat hull. When you select a hull shape, the Object Modeling window includes the sloped, ratio and slices options with which you can control the object shape.

The Revolution object uses a user-defined object profile, which is then repeated around the Y axis to complete the object form. When this object is selected, the Object Modeling window will only allow you to draw a right profile as the shape is symmetrical around the Y axis.

Additional Settings may include:

•The Sloped checkbox creates a prism, pyramid, truncated pyramid, or hull in which the upper face (or pyramid apex) is offset from the lower face. The offset is determined by the distance off center that you draw the footprint on the drawing board.

•Smooth softens the appearance of lateral edges in prisms and pyramids.

•Ratio defines the proportion of the upper face compared to the lower face. The value must be in the range from 0.01 to 10 inclusive.

Ratio Value | Result
< 1 | a top face smaller than the bottom. The hull sides are concave.
= 1 | a prism
> 1 | a top face larger than the bottom. The hull sides are convex.

•Slices determines the number of segments in the line that connects the upper to lower face. The value must be in the following ranges:

Object | Allowable Values | Result
Hull | 1-20 | A value of 1 results in straight lines joining each corresponding point on the upper and lower faces (a truncated pyramid) and 20 creates a smoothly curved surface. This is most clearly visible in the top or bottom view.
Revolution Object | 3-30 | This value sets the number of sides in a horizontal cross section of the object. 30 makes a smoothly round cross section.

Note:An increased number of slices results in a better presentation quality, but may slow the refresh rate in 3DTV.

The Wire and Wire Attachment Point icons are used to create wire and cable objects.

• Object Modeling Window

• Drawing Advanced Object Faces in the Object Modeling Window

• Editing Advanced Objects

• Wire and Cable Objects in the 3D Shape Editor

Object Modeling Window

When you select any of the advanced object icons, the Object Modeling Window will automatically appear.

Object Modeling Window

Tip: If your screen resolution is too small to view the dialog without scrolling, VIEW-WIDE DIALOGS displays the window in a shorter, wider layout.

The white area is your drawing board. In its simplest presentation, it is only bisected, both vertically and horizontally by a plain line. You can add further drawing guides by selecting various icons from the toolbar as follows:

Drawing Board Tools

Icon Name | Icon | Added Drawing Guide
Axis Marks |  | Tics at each quarter distance along each axis.
Grid |  | Dots marking a grid at intervals of 0.05 units.
Snap to Grid |  | Assists in keeping sides straight and aligned with the drawing board grid.
Vertical Ruler |  | Draws a straight vertical line from first point (an end point) defined by cursor to the levels of each subsequent position. A dotted line creates a crosshair effect to that assists in precise point positioning.
Horizontal Ruler |  | Draws a straight horizontal line from first point (an end point) defined by cursor to the levels of each subsequent position. A dotted line creates a crosshair effect to that assists in precise point positioning.
Vertically Symmetric |  | Automatically mirrors a user-defined shape drawn above the horizontal axis in the area below.
Horizontally Symmetric |  | Automatically mirrors a user-defined shape drawn left the vertical axis in the area on the right.
Undo |  | Reverses the last operation.
Redo |  | Reverses the last "Undo" command.

The length of each axis depends on the default set through the MODEL-DEFAULT DIMENSIONS menu option.

•When 2x2x2 is selected, the length is one unit in each direction from the center 0,0 point.

•When 1x1x1 is selected the length is 0.5 in each direction.

You can further adjust the scale of your component pieces in the object properties.

The scale of your custom shape can be adjusted in the 3D TERRAIN VIEWER in the Vessel Settings dialog.

A small preview of your object is shown below the drawing board. If it doesn't look right to you, go back to the drawing board!

Return to Top

Drawing Advanced Object Faces in the Object Modeling Window

When the Object Modeling Window appears, the cursor defaults to the drawing pencil cursor (the Add Point icon is selected).

1.Select the drawing board features that are helpful to you.

2.Use the Add Point cursor to draw the footprint of your custom shape.

•Fine tune the positioning of each point using the arrow keys as you draw them.

•Remove the last point using the delete key

•The OBJECT MODELING WINDOW will automatically close the polygon when you do any of the following:

•Deselect the Add Point icon

•Press the Enter key

•Click on the first point.

• [image] To draw regular shapes, click the Equilateral Polygon Icon and enter the desired number of sides. The defined shape will be drawn.

3.Set slope, ratio and slices options where applicable to the chosen object.

4.Preview the described shape in the lower area of the window. If the shape is not as you had planned, you can "go back to the drawing board" (literally) and either modify what you have created or erase it and start over.

5.Modify your shape, if necessary, using the editing tools.

6.When you are satisfied with your shape, click [OK]. The dialog will close and your shape will be ready at the end of your cursor to be placed in your custom shape design.

7.Place the object in its approximate position by clicking in any of the 2-dimensional design panes. You will set exact positioning in the properties toolbar.

Return to Top

Editing Advanced Objects

Once you have a closed polygon on your drawing board. There are several ways that you can modify the size and shape.

Moving the Shape on the Drawing Board:

1. Click the Select icon.

2.Click inside the shape and drag it to the new position.

Moving a Point:

1.Click the Select icon.

2.Use the cursor to drag existing points in your polygon to new positions.

Inserting a Point:

1. Click the Insert Point icon. (The cursor will return to the pencil.)

2.Use the cursor to click where, on the polygon edge, you need an additional defining point. If you click elsewhere in the drawing board, the Object Modeling window will include the added point to the nearest polygon segment and adjust the shape accordingly.

Deleting a Point:

1. Click the Delete Point icon (the cursor will change to an eraser).

2.Click the point that you want to remove from your footprint shape.

The Object Modeling Window also includes some additional tools that may help you achieve the results you need. The Copy and Paste icons may be helpful particularly if you are working with complex shapes.

Object Modeling Window

The Copy and Paste functions work together. The Copy icon stores the polygon as it appears in the drawing board to a temporary memory. You can restore the drawing board with the most recently copied shape using the Paste icon.

Using this pair of features, you can modify a footprint incrementally, saving each change or set of changes as you progress by clicking the Copy icon. At any time during the modification process, you can return to the most recently copied shape with the Paste icon.

The copied shape is stored even after leaving the Object Modeling window. This enables you to create multiple advanced objects with identical footprints by copying the first footprint, then pasting it into the drawing board for the subsequent advanced objects.

Erasing a Polygon:

To erase the polygon, from the drawing board, click the Delete Polygon icon.

Note:You can also use the Object Modeling window to modify advanced shapes after they are placed in your design window. Right click on the object in the Object Browser or in one of the design panes and select "Edit/Activate Face" (or double click the object)

Once you have placed an advanced object in the design window, you may use the smoothing tool to round the edges and planes in your shape. You may smooth the same object multiple times, however the resulting shape may not have more than 50,000 faces.

Smoothing an Object - Original Object (left), Smoothed Once (center), Smoothed Twice (right)

Return to Top

More Information

• Creating Basic Objects in the 3D Shape Editor

• The 3OD Library

• Setting Object Properties in the 3D Shape Editor


Creating Custom Animated Flags

3D SHAPE EDITOR includes waving flags in the 3OD Library which you can modify to create additional flags to represent another country or organization:

1.Drag and drop one of the waving flag objects from the 3OD Library to the design window.

2.Select the flag mesh object in the Object Browser.

3.In the Object Properties, change the texture property using an image file for your new flag.

4.In the Perspective window, zoom in on the flag. The program captures this window to display your new flag in the 3OD Library.

5.In the Object Browser, rename the folder with the new flag name.

6.Drag the renamed folder from the Object Browser to the 3OD Library.

More Information

• The 3OD Library

• Editing Object Faces in the 3D Shape Editor

• Renaming Objects in your Custom Shape


The 3OD Library

The 3OD Library is a tabbed toolbar with pre-defined objects and object groups that you can include in your custom shape. In addition, you can add custom shapes of your own.

3OD Library—Hulls and Cabins

3OD Library—Fences and Flags

To access the 3OD toolbar, select VIEW-TOOLBAR-3OD LIBRARY.

If you use multiple object groups from the 3OD Library, there may be more than one group with the same name. In this case, the program allows you to provide an alternate name, let the program provide an alternate name, or allow two groups with the same name.

• Loading Objects from the 3OD Library

• Customizing the Tabs in the 3OD Library

• Adding Your Custom Shapes to the Library

Loading Objects from the 3OD Library

To load each object from the 3OD Library do the following:

1.Select a tab for the type of object you want.

2.Click and drag an object from the library to one of the design panes in the design window.

3.If the Name Conflict Dialog appears, tell the program how to proceed and click [OK].

Name Conflict Dialog

•Replace it with: allows you to enter an alternate name for the group.

•Resolve following name conflicts automatically: The program appends a numerical suffix to the existing group name. In the previous figure, the first option suggests the name it will provide automatically; the added group named ‘left’ would become ‘left.1’.

•Do not resolve name conflicts allows your shape to have more than one group with the same name.

4.Once the object group is in the design window, use the other tools to scale and position it in your custom shape.

Return to Top

Customizing the Tabs in the 3OD Library

You can add a tab, change the tab names and the order in which they appear in the 3OD Library by renaming their corresponding folders in Windows® Explorer.

Each tab has a folder in \HYPACK 2017\Library. Each file name begins with a 3-digit number, which sets the tab order, followed by the tab name.

To add a tab, use Windows® Explorer to add a folder in the \HYPACK 2017\Library folder. When you next launch the 3D SHAPE EDITOR, the corresponding tab will appear in the library.

To change the tab order, rename the folders in such a way that the numerical prefixes reflect the order in which you want the tabs to appear in the 3OD Library. If more than one folder have the same prefix, they will appear in numerical position relative to the other folders, and in alphabetical order relative to each other.

Note:At least one folder must begin ‘001’. After that, you may skip numbers. Thus, you can reorder the tabs without necessarily renaming every folder.

In the following example, the library folders are renamed and renumbered:

•The Cabins and Flags tabs appear first because their folders both begin with ‘001’.

•Since both Cabins and Flags folders begin with the same number, they are secondarily ordered alphabetically.

•The ‘Fences’ tab has been renamed ‘Rails’.

•The tabs are correctly ordered even though there is no folder beginning with ‘002’ or ‘004’.

Original Tab Order and Names

Customized Tab Order and Names

Return to Top

Adding Your Custom Shapes to the Library

You can quickly and easily save an object group except the root group from the Object Browser to any tab in the 3OD Library. The custom shape then appears in the library tab and the corresponding 3OD file is stored in the corresponding Windows® folder.

Note:Notes: The new shape must have a different name from the other shapes in the tab.
The object group can not be the root object; it must be in a sub-folder.

1.Create your custom shape in a sub-folder

2.Rename the sub-folder with the shape name for the library.

3.Optimize the display of the object group in the Perspective view. (Recommended.) It is this view that will appear in the 3OD Library.

4.In the 3OD Library, open the tab to which you want to add your custom shape.

5.Click and drag the custom shape sub-folder from the Object Browser to the 3OD Library.

Return to Top

More Information

• Creating Basic Objects in the 3D Shape Editor

• Creating Advanced Objects in the 3D Shape Editor

• Setting Object Properties in the 3D Shape Editor


Creating Vessel Origin and Attachment Points in the 3D Shape Editor

The vessel origin, as you probably know by now, is the key to accurately positioning everything in SURVEY! When you create a custom shape to represent your vessel, the vessel origin is required for HYPACK to accurately position the vessel. Position the origin in your 3D vessel in the same position as in your hardware setup.

Note:To assist you in selecting small points, you can select EDIT-SELECTION SPOT RADIUS-BIG. This increases the area where you can select an object, but it will decrease accuracy.

On a dredge, the attachment points for dredge arms and spuds should also be included; do not include the spuds and arms themselves. (You can attach up to three items.)

When your vessel is imported into the 3D TERRAIN VIEWER:

•Dredge arms are represented by a single cylinder between the attachment point and the digging tool.

•Spuds are represented by a vertical cylinder:

•At the attachment point, or

•Connected with attachment point by horizontal cylinder if the spud is placed on motorized carrier.

The cylinders' diameter and color, as well as cylinder length for vertical bar should be set in 3DTV.


Replicating Objects in your Custom Shape in the 3D Shape Editor

You can quickly and easily create multiple objects of the same size, shape and color using the ‘copy and paste’ method. This option can be handy in creating items, such as railings or ladders that have several identical pieces.

1.Create the first object as described in the previous sections.

2.Copy the object. There are two methods to do this, each with the same results:

•Select the object then select EDIT-COPY (Ctrl + C).

•Right click the object, in the Object Browser or in a 2D design window, and select Copy from the pop-up menu.

3.Paste the object into your custom shape. There are two methods to do this, each with different results.

•Select EDIT-PASTE (or Ctrl + V) and a duplicate object will appear at the origin of the active group.

•Right-click at the location in your custom shape where you want the duplicate object to be positioned and select Paste from the pop-up menu. The duplicate object will be centered on your cursor position.


Connecting Objects and Shapes in the 3D Shape Editors

3D Shape Editor provides a selection of methods to create connecting parts. Select the object type according to the required properties.

•A wire may have multiple attachment points along its length, it can be attached to any type of object and have an extension factor which allows the wire to be tight or slack between attachment points.

•An Extensible Object is a cylindrical object whose ends are each attached to independently moving objects in the shape. It expands and contracts as the mobiles move to maintain contact at each attachment point.

•A Connector is similar to an extensible object in that it connects two moving parts and its length adjusts according to the distance between the shapes. A connector joins separate 3OD files, while extensible objects join moving object groups within the same 3OD file.

More Information

• Wire and Cable Objects in the 3D Shape Editor

• Extensible Objects in the 3D Shape Editor

• Connectors in 3D Shape Editor


Wire and Cable Objects in the 3D Shape Editor

The 3D SHAPE EDITOR supports wire objects that are initially defined by their attachment point locations. Wire objects are further described by radii and extension factor properties that are applied to the connecting wire.

Automatic Wire Connections:

The pole template provides a ready-made shape depicting a typical telephone or electric pole. Notice that the template is, complete with a user-defined number of wire attachment points; you should not manually add any more. A series of these poles in 3DTV will automatically be connected with wires.

Manual Wire Connections:

You can create other shapes that include wire objects by manually creating the wire attachment points. The attachment points are created in the order that the wire will connect them.

Note:A large number of wires may slow the refresh rate in 3DTV, so we recommend using them sparingly.

This feature is intended to create wires to connect moving parts of the dredge template shapes which will move and adjust length with the motion of the dredge. It is important to place the attachment points in the appropriate group within the dredge template shape.

In the following figure, the first attachment point (WAP1_1) is at the cable spool in front of the cabin, the second (WAP1_2) on top of the A-frame and the third (WAP1_3) on the ladder and in the ‘Arm’ group. If a second wire were created, the attachment points would be named WAP2_1, WAP2_2, etc.

Wires Accommodate the Motion of the Cutter Head

Joining Objects with Wires:

To join objects with wires:

1.Create all of the solid objects.

2.Click the Wire icon to begin the wire object.

3.Define each attachment point, in order, for that wire object.

4.Click the Wire Attachment Points icon.

5.Click the position in your custom shape in one of the design windows. The wire attachment points are named ‘WAP’ followed by two numbers representing the wire number and its order in the wire. For example, WAP_1_2 is the second attachment point of the first wire.

6.Click the Wire icon again to end the object.

7.Position the attachment point accurately using the translation tools and properties. Depending on which design window you used to initially set your point, you will probably need to adjust its position along the other axes to perfect its position within the context of your custom shape.

More Information

• Setting Object Physical Attributes in the 3D Shape Editor


Extensible Objects in the 3D Shape Editor

Extensible objects join two objects, at least one of which moves. The extensible object expands and contracts as the distance between the objects varies.

Extensible Part Start and End Icons —Start (left) and End (right)

Creating Extensible Objects:

1.Click the Extensible Part Start icon and place the object at the attachment point on one of the objects in your shape.

2.Click the Extensible Part End icon and place the object at the other attachment point on a different mobile group in the shape.

Each extensible object will be created with the default radius and color.

An Extensible Object in the Excavator Boom

Modifying the Radius and Color of Extensible Objects:

1.Double-click on the object or attachment point. The Extensible Part Properties dialog will appear.

Extensible Parts Properties

2.Set the radius and color of your extensible object and click [OK].

Modifying the Default Extensible Object Settings:

1.Select MODEL-EXTENSIBLE PART PROPERTIES. The Extensible Part Default Properties dialog will appear.

2.Set the radius and color and click [OK].

Extensible Part Default Properties Dialog


Connectors in 3D Shape Editor

Connectors are similar to the extensible objects, except each end resides on separate 3OD files. They appear only as a type of attachment point in 3D SHAPE EDITOR. However, in 3DTV, like-named connection points will be joined by a cylinder of user-defined radius, whose length will automatically adjust according to the distance between the mobiles on which they reside.

One Connection Point is the Attachment Point of the Survey Boat

A Second Connection Point is the Attachment Point of the Towfish

Boat and Towfish Connected by a Connector.

To create connectors:

1.Click the Connection Point icon. .

2.Click at the attachment point on the object in one of the design windows. A blue attachment point will be displayed.

Each 3OD shape must include a connection point and they must have matching names. If the default name generated when you create a connector attachment point is different from the connector on your other 3OD shape, you can rename it by right-clicking on the object name, selecting ‘rename’ and entering the correct name.


Removing Objects from the Custom Shape

Any object can be easily removed from the custom shape design by any of the following methods:

•Select the object and press the Delete key.

•Right-click on the object and select Delete from the pop-up menu.


Setting Object Properties in the 3D Shape Editor

Once you have set an object into your design panes. You will probably need to adjust its size, orientation and position in the design, and possibly its color, transparency, texture or visibility as well. These are the object properties.

You can modify the properties of a selected object or group of objects:

•With tools from the Transformations or Alignment and Distributions toolbars

Transformations Toolbar

Alignment and Distribution Toolbar

•By changing the values in the Object Properties.

Object Properties

Certain attachment points and origins have limited properties in order to preserve their function or because of the nature of the object within the context of the complex shape. In these cases, only select and translation properties and tools will be enabled.

When you want to change any of the object properties, the object or group itself must first be selected. When an object or group is selected, its properties are displayed in the Properties dialog and it is highlighted in the Object Browser and design panes.

Selecting an Object:

• [image] Use the Select Tool by clicking the icon then the object in one of the 2-dimensional design pane windows. When the Select Tool is used, the current cursor position is displayed in the status bar.

•Use the cursor by clicking on the object or group in the Object Browser.

Selecting Objects in the 3D SHAPE EDITOR

Alignment and distribution, as well as grouping operations, require selection of multiple objects or groups.

Selecting Multiple Objects or Groups:

Hold your Ctrl key and the multi-select cursor will appear. Click on each object you want to select. (You can click in either the Object Browser or a 2D design window.) The name of each selected object will be highlighted in the Object Browser.

Note:All objects or groups must reside within the same group. For example, in this figure, you could select the hull and the GPS group, but you could not select the hull and the cone.

When a multiple selection is complete 3D SHAPE EDITOR will enable only operations that can be applied to all of the selected objects:

•The right-click menu enables Group, Ungroup, Move Up and Delete.

•The Object Properties window enables the Color, Texture, Visibility, Transparency properties, while the positioning properties are disabled. Changes in these properties will be applied to each selected object or group. They will not be applied to subgroups.

Note:If a property is different for some of the selected objects, the property will be blank. When you assign a setting, it will then be applied to all selected objects.

If you have selected a group, property changes will only apply to objects directly in that group; sub-groups will be excluded from property modifications.

More Information

• Positioning Objects into your Custom Shape

• Setting Object Physical Attributes in the 3D Shape Editor

• Editing Object Faces in the 3D Shape Editor

• Renaming Objects in your Custom Shape

• Merging 3OD Files


Positioning Objects into your Custom Shape

You can fine-tune the XYZ positioning and the rotation of an object by adjusting the translation and rotation properties listed in the Object Properties dialog.

You can reset all of the rotation and translation settings to zero and all scaling settings to one with the Reset Transformations icon.

• Translating Objects

• Rotating Objects

• Aligning Objects

• Distributing Objects

Translating Objects

Translation is simply moving the object to a new position within your design while maintaining its original orientation.

The transformations toolbar has three translation tools. Select the appropriate tool for your purpose then use it to drag the object into position in your 2D design panes. The translation values in the Properties dialog will update accordingly. Which values are affected depends on which tool you use and which pane you use it in.

• [image] The Horizontal Translation tool moves the selected object in a straight horizontal line. There will be no vertical change even if your cursor position moves vertically.

•Used in the Back /Front or Top/Bottom pane, this tool affect the TransX value.

•Used in the Side pane, it affects the TransY value.

• [image] The Vertical Translation tool moves the selected object in a straight vertical line. There will be no horizontal change even if your cursor position moves horizontally.

•Used in the Back /Front or Side pane, it affects the TransZ value.

•Used in the Top/Bottom pane, it affects the TransY value.

• [image] The Translation Tool moves the object in any direction with your cursor.

When the Translation Tool is used, the current position of the selected object relative to the origin of the complex shape is displayed in the status bar.

You can also modify the translation values directly in the Properties dialog. TransX, TransY and TransZ move the object parallel to the X, Y and Z axes respectively.

Translation values of 0,0,0 places the object at the center of the design area.

Return to Top

Rotating Objects

Rotation turns the object around one of the axes. The axis around which it turns depends on the pane in which you use the tool.

The Transformations toolbar contains a Rotation tool with which you can rotate the objects in the 2D design panes. The Rotation values in the Properties dialog will update accordingly.

•In the Top/Bottom pane, the object rotates around the Z axis.

•In the Right/Left pane, the object rotates around the X axis.

•In the Back/Front pane, the object rotates around the Y axis.

When the Rotation Tool is used, the current rotation of the selected object is displayed in the status bar.

You can also modify the rotation values directly in the Properties dialog. RotX, RotY and RotZ rotate the object around the X, Y and Z axes, respectively.

Note:These angle values are given in the XYZ order convention, meaning that rotations are performed around axis strictly in that order: first around X-axes, then around Y-axes, and finally around Z-axes. When you rotate an object through 2D panes, those three angles well be recalculated to reflect the given rotation applying the order of rotations convention.

Return to Top

Aligning Objects

Alignment is placing two or more objects or groups in a line relative to each other. The 3D SHAPE EDITOR can align objects horizontally or vertically in the top design window.

•Vertical alignment is based on their top, center or bottom points.

•Horizontal alignment is based on their left, center or right points.

The tools in the alignment and distribution toolbar only become active if you have selected multiple objects or groups, or a combination of both.

Note:Selecting one group is not the same as selecting its component objects.

1.Select multiple objects or groups: Hold your Ctrl key and click on each object you want to select. (You can click either in the Object Browser or a 2D design window.) The name of each selected object will be highlighted in the Object Browser.

2.Once you have selected the items you want to align, just click the icon appropriate for the type of alignment you want to accomplish.

The following table shows the effects of each operation. The three objects begin in the original arrangement and are all selected. They are then aligned using one of the six alignment icons.

Object Alignment

Original Arrangement |
Vertical Alignment | Top | Center | Bottom
Horizontal Alignment | Left | Center | Right

Return to Top

Distributing Objects

Distributing evenly spaces objects or groups based on their center points. In the following table, we see that the original arrangement from our previous example has three objects that are both horizontally and vertically distributed.

Object Distribution

Horizontal Distribution

Vertical Distribution

Return to Top


Setting Object Physical Attributes in the 3D Shape Editor

In addition to positioning each object in your design, you can also define what they look like—Color, Transparency and Texture—in the Object Properties.

Color, Transparency and Texture properties can also be applied to individual faces of an object by editing the face.

• Setting Object Scale

• Setting Object Visibility

• Setting Object Colors

• Setting Object Transparency

• Setting Object Textures

• Adding Text on your Object

• Setting Wire and Extensible Object Properties

• Other Object Type-Specific Properties

• Editing Object Faces in the 3D Shape Editor

Setting Object Scale

Scaling is changing the size of the object. The Scaling tools in the 3D Shape Editor can be used to scale individual objects or entire groups. (Scale properties are disabled when multiple objects/groups are selected.) The shape can also be further scaled using the Dimension properties of the root group and when it is displayed in the 3D TERRAIN VIEWER.

The Transformations toolbar includes several tools you can use in the 2D design panes to scale your object to suit your needs. The Scale values in the Properties dialog will update accordingly. The pane in which you use the tool determines which scale values your adjustments affect.

The Horizontal and Vertical Scale Tools can only be used on objects that have not been rotated. If any of the object rotation properties is other than "0", the program plays a sound, but the tool is useless.

•Horizontal Scale Tools expand and contract the object horizontally in the pane. One (single arrow [image] ) keeps the side opposite to the one you are dragging in its original position. The other (double arrows) keeps the center of the shape in its original position.

•In the Top/Bottom and Front/Back panes, it affects the ScaleX value.

•In the Right/Left Pane, it affects the ScaleY value.

• [image] The Vertical Scale Tools expand and contract the object vertically in the pane. One (single arrow) keeps the side opposite to the one you are dragging in its original position. The other (double arrows) keeps the center of the shape in its original position.

•In the Top/Bottom and Right/Left panes, it affects the ScaleY value.

•In the Front/Back Pane, it affects the ScaleZ value.

When the Horizontal or Vertical Scale Tool is active, the current scale of the selected object is displayed in the status bar.

The Increase and Decrease Scale Tools increase and decrease the scale in all three directions. The fast tools (double arrows) change the scale by 10%. The slower tools change the scale by 1%.

You can also modify the scale values directly in the Properties dialog. ScaleX, ScaleY and ScaleZ affect the scale of the object along the X, Y and Z axes respectively.

Note:The X, Y and Z scale will be applied before rotation properties. If the object has been rotated, the scales will appear expand/contract the shape in different directions compared to objects that have not been rotated.

Basic Objects have additional properties that are specific to the object type. These properties, with the object’s scale properties, determine the final object size. Let’s look at the cone properties as an example.

If the height of the cone is 2 and the Z Scale is 5, the final height of the cone is 10.

If the radius of the base is 0.5, and the X Scale and Y Scale are 5, the base of the cone will be a circle with radius of 2.5. Note that, in this case, if the X Scale and Y Scale are unequal, the base of the cone will be an ellipse instead of a circle.

Now that you have an understanding of the tools, consider how to make a shape that will be displayed at the proper scale in the 3D TERRAIN VIEWER.

Your custom shape should be made to scale in 3D SHAPE EDITOR. It need not be a full scale model because it can be further scaled when it is displayed in the 3D TERRAIN VIEWER.

Let’s look at the SurveyBoat.3OD that was included in your HYPACK install. It will be helpful if you turn on your Ortho Tools in your View menu. They display a grid by which you can measure your shape.

If you look at Hull_1, you can see, according to the grid, that it measures 20 x 40 x 6. Let’s see how these dimensions were achieved. We have to consider three settings for each dimension:

•Original dimension

•Ratio

•Scale

Double-click Hull_1 to load it in the Object Modeling Window.

Hull_1 in the Object Modeling Window

The original dimension of the hull shape was 2 x 2 x 2 because it was created using the Polygon Tool in the Object Modeling window and the Default Dimensions, set in the View menu was 2 units cubed.

The Ratio of the top relative to the footprint is 2. This tells me that the X and Y measurements of the hull bottom will be multiplied by 2 for the deck measurements.

In the object properties, we see X, Y and Z scales of 5, 10 and 3 respectively.

We multiply all of these values to get the final dimensions of the object:

(EQ 1) Scale x Ratio x Original Dimension = Final Dimension

Final Dimensions of our Cone Example

Axis | Original Dimension | Ratio | Scale | Final Dimension
X | 2 | 2 | 5 | 20
Y | 2 | 2 | 10 | 40
Z | 2 | 1 | 3 | 6

When the vessel is displayed in the 3D TERRAIN VIEWER, you can set a scale factor in the Vessel tab of the Settings dialog. For example, if the dimensions of your boat are really 30 x 60 x 9, you would enter a scale of 1.5 to display your vessel in the correct size.

More Information

• Other Object Type-Specific Properties

• Scaling your Custom Shape to Correct Dimensions

• Viewing Custom Shapes (*.3OD) in 3D Terrain Viewer

Return to Top

Setting Object Visibility

The Visibility property lets you choose, on an object-by-object basis, which objects in your custom shape are drawn to the 3D SHAPE EDITOR design panels. By default, all visible objects (Visible property is "Yes") in the active group will be drawn to the display.

Additional tools affect multiple objects and groups.

•VIEW-WHOLE MODEL displays all visible objects regardless of which object or group is selected. This feature is useful when you want to see the spatial relationships between an object in the group you are editing (active group) and object in the surrounding, inactive groups. You will not be able to select objects outside the active group, although you will see them.

•VIEW-ATTACHMENT POINTS toggles the Visibility property of all joints and the origin.

A Make All Objects Visible icon on the toolbar resets all object Visible properties to Yes so that all objects can be displayed.

Return to Top

Setting Object Colors

As you build your custom shape you can color the component parts. This can be helpful in distinguishing one object from another within your custom shape. It can also enhance the appearance of your custom shape by making it a bit more realistic.

The default color will be used when each new object is created. If you want several objects of the same color, set the default and create them. The same color will appear for each object in the Properties dialog.

To set the default color, click the default color icon on the Model toolbar and select the desired color from the color dialog.

To change the Color Property of any object or group:

1.Select the object or group.

2.Click the color row under ‘Appearance’ in the Properties dialog.

3.Click the drop-down tab on the right-hand end of the color row and the color select dialog will appear.

4.Choose the new color from the color dialog and click [OK].

Return to Top

Setting Object Transparency

Transparency makes the entire object transparent. If this property is set to "Yes", all of the object faces appear transparent. A transparent object will retain the designated color, but you will be able to see objects that are inside or behind them. The following figures demonstrate the difference. The transparent sphere allows you to see the parts of the cubes and cone that are hidden when it is solid.

All Solid Objects (left), Transparent Sphere (right)

The Transparency property may also be applied to an object face. In the following example, one face of the cone is transparent, which allows you to see inside to the red base.

Transparent Sphere and Cone Face

More Information

• Editing Object Faces in the 3D Shape Editor

Return to Top

Setting Object Textures

3D SHAPE EDITOR has a selection of graphics that can be applied to your object to provide more realistic texture or a graphic to your shape. Textures may be applied to an entire face, to a user-defined window or to both.

Note:Textures override color and transparency properties.

To add a texture or graphic to your shape or window:

1.Click in the Texture property. The Texture dialog will appear.

Texture Dialog

2.Select your texture or graphic from:

•From the 3D Shape Editor library.

•From your own files by clicking [More] and selecting any of several graphic formats:

•BMP file

•JPG

•Static GIF

•Icons

•WMF

Note:If you include your own texture file in the design, the 3OD file containing the design will not be portable. You must keep the same path for the texture file.

3.Set your display options.

•Magnification and Minification Filters are applied as the texture is made to fit the object. The choice is between speed and quality. Nearest filter is faster but produces a lower quality appearance than the Linear option.

•Tiling causes the graphic to repeat edge-to-edge. The X and Y values determine how many repetitions there will be horizontally and vertically.

4.Click [OK] to return to 3D SHAPE EDITOR.

Whale Graphic—No Tiling (left), Tiled (right)

Note:If you are not in photo-texture mode when you apply a photo-texture, the program will automatically switch to photo-texture mode and display your work.

Once the texture is placed, you can further modify its appearance by scaling it, translating it and rotating it on the face or window. To do this:

5.Initiate Texture Editing mode by selecting the ‘Edit Face Texture’ (left) or ‘Edit Window Texture’ (right) icon [image] . The selected texture will display on the drawing board and the scaling, rotation and translation icons will be enabled.

Texture Mode Icons

6.Use the icons to adjust the texture display in the same way as you would scale, rotate and translate an object.

Scale and Rotation Tools

Task | Tool | Function
Rotation |  | The Rotation tool rotates the texture.
Scale |  | The Increase and Decrease Scale Tools increase and decrease the scale in all three directions. The fast tools (double arrows) change the scale by 10%. The slower tools change the scale by 1%.
 |  | Horizontal Scale Tool expands and contracts the texture horizontally in the pane.
 |  | The Vertical Scale Tool expands and contracts the texture vertically in the pane.
Translation |  | The Horizontal Translation tool moves the selected texture in a straight horizontal line. There will be no vertical change even if your cursor position moves vertically.
 |  | The Vertical Translation tool moves the selected texture in a straight vertical line. There will be no horizontal change even if your cursor position moves horizontally.
 |  | The Translation Tool moves the object in any direction with your cursor.

7.Preview the results on your shape by clicking [Apply].

8.When you are satisfied, click [OK] to close the Face Editing Window.

Textures Applied to Both Face and Window

If you create the custom shape on the same computer that you plan to display it, the texture will always appear as you create it. However, want to display the custom shape on a computer other than the one on which it was created, you must embed the texture in the 3OD file when you save it.

To embed your texture in the 3OD file, select FILE-SAVE and check the Embed Image Files option in the File Save dialog before you click [Save].

Return to Top

Adding Text on your Object

The 3D SHAPE EDITOR provides two methods with which you can apply text to your shapes.

•The Object Properties include Text options where you enter the content and set the font.

Text Options in the Object Properties

The text is initially applied on the side of the active object and wraps around to adjacent faces, if necessary. You can then use the tools on the Texture Transformation Bar to scale, shift and rotate the text in the design window.

Texture Transformation Bar—(left to right) Edit Texture, Edit Text, Translate, Rotate, Scale, Reset (no translation, rotation or scaling)

a.Click [Text] to indicate the feature type you will edit. The Text icon is highlighted and the Translate, Rotate, Scale and Reset icons become enabled.

b.Click the Translate, Rotate or Scale icon and use it to manipulate the text.

Tip: You can return the text to the original position and scale with the Reset button.

Note:When you select a tool on another toolbar, the Text button resets to the unselected and disables the editing tools on that toolbar.

Text On a 3D Object—Default Position (left) and Rotated (right)

•The Face Edit window also includes Caption and Font options, and tools to scale, shift and rotate them on the selected face.

Face Editing Window

Return to Top

Setting Wire and Extensible Object Properties

Wires, extensible objects and their attachment points have few properties.

Attachment Points:

The Attachment Points have only translation, color and visibility properties, which are set in the same manner as the properties of other object types.

Wires:

Wires have only two properties modified in the Specific section on the Object Properties window when a wire is selected.

•Extension Factor affects how tightly the wire stretches between the attachment points.

•Radius affects the diameter of the wire.

Extensible Objects:

Extensible objects have only two properties that can be modified in the Specific section on the Object Properties window when an extensible object is selected.

Extensible Parts Properties dialog

•Radius affects the diameter of the wire.

•Color allows you to modify the color of the object between the defined attachment points. Click [Color] and select a color from the dialog presented.

Default Properties:

To set default wire or extensible object properties, which will be applied to any new object of their kind you may create, access the appropriate dialog through the Model menu.

Default Properties Dialogs—Wire Properties Dialog (left), Extensible Parts (right)

Return to Top

Other Object Type-Specific Properties

Basic Objects have additional properties that are specific to the object type. These properties, with the object’s scale properties determine the final object size.

For example, if the height of the cone is 2 and the Z Scale is 5, the final height of the cone is 10. If the radius of the base is 0.5, and the X Scale and Y Scale are 5, the base of the cone will be a circle with radius of 2.5. Note that, in this case, if the X Scale and Y Scale are unequal, the base of the cone will be an ellipse instead of a circle.

The following table lists the properties specific to each basic object type and shows which scale properties they affect.

Object Properties Affect Scale Values

Object Type | Properties | Affected Scales
Sphere | Radius | X, Y, Z
Cube | Edge | X, Y, Z
Cylinder | Radius Height | X, Y Z
Cone | Radius Height | X, Y Z
Truncated Cone | Radius—upper and lower Height | X, Y Z
Pipe | Radius | Y,Z
Torus | Radius – inner and outer | X, Z
Tetrapod | Radius—upper and lower | X, Y

Return to Top


Editing Object Faces in the 3D Shape Editor

When an object is created, all sides are opaque and of the default color. Objects in the world are rarely so. Some sides may be of different colors or textures, or have windows and doors. All of these characteristics can be included in your custom shapes by editing individual object faces.

1.Access the Face Editing Window by right-clicking on the face that you want to edit and selecting Edit Face from the pop-up menu. The Face Editing dialog appears with an outline of the selected face on the drawing board.

Note:This dialog draws the selected face in the largest scale possible without exceeding the size of the drawing board. If you drew this face originally, it will probably be a different scale here.

Face Editing Dialog

2.Edit the face. Color, texture and transparency can be specified for the selected face in much the same way as those properties can be applied for an object. The same drawing tools, and color and texture dialogs that are used for the advanced objects are accessed from the Face Editing window to modify the face.

Editing the Window Texture in the Face Editing Window

3.Preview your work by clicking [Apply] and looking in the design panes. This provides the opportunity to make further modifications if necessary before leaving the dialog.

4.Save your changes and return to 3D SHAPE EDITOR by clicking [OK].

• Face Color

• Texture and Graphics

• Face Transparency

• Windows and Designs

Face Color

To change the face color, click [Color] and select the color from the dialog that appears.

Return to Top

Texture and Graphics

To add a texture or graphic to a face, click [Texture] and select the texture options for the selected face as you would for an object. This feature even supports animated GIF images. (Use the animation toolbar to preview the motion.)

Return to Top

Face Transparency

To make the face semitransparent or invisible, click the corresponding checkbox.

Return to Top

Windows and Designs

To create a design or window on the face.

1.Draw the window shape within the face outline using the drawing tools. The Window properties will become enabled.

2.Set Texture or Color, and Transparency properties for the window shape. These properties will be applied to the window independently of the face and object properties.

To include more than one window on a side, you must use an advanced object and define one side with more than one face. Here's an example of how it works: suppose your vessel's cabin has both a window and a door on one side.

1.Create the cabin object. You must use an advanced object. In this case, we'll use a prism.

2.Draw a rectangle, sized to match your cabin, and including a point somewhere between where the window and door will be placed. In the following figure, the bottom edge is divided into two faces by drawing it as a 2-segmented line.

Creating Multiple Faces on One Side of an Advanced Object

3.Place the object in the design panes.

4.Right click to one side of the divided face in one of the 2-dimensional design panes and select FACE EDIT. The Face Edit dialog will appear. Notice the relative dimensions of the face it represents. If it isn't the shape you would expect based on what you've drawn, you may have the wrong face.

5.Draw the window, set the window color and transparency and click [OK].

6.Repeat steps 4 and 5 at the opposite end of the side (the other face) for the door.

Drawing the Window and Door.

Viewing the Resulting Cabin Face in the Design Pane

Return to Top

More Information

• Positioning Objects into your Custom Shape

• Setting Object Physical Attributes in the 3D Shape Editor


Renaming Objects in your Custom Shape

As each object is placed in your design window, it also appears in the Object Browser. The 3D SHAPE EDITOR automatically assigns a unique name according to the object type and the number of that type of object already in your design. If you prefer a different name, you can:

•Enter a new name in the Object Properties dialog.

•Right-click the object name in the Object Browser, select "Rename" and type in your preferred name.

•Select the name of a selected object in Object Browser, and change it.

Note:Each object in a custom shape must have a unique name.


Merging 3OD Files

FILE-IMPORT 3OD imports the design in a user-selected 3OD file into another.

1.Open the 3OD file into which you want to add the other.

2.Select FILE-IMPORT 3OD choose the file to add in. A copy of the imported file will be added to the active group of your current 3OD file. The imported file will not change.

If any object names in the imported and destination file match, the imported objects will be renamed by appending a “.1” to ensure unique names for each object in the shape.


Scaling your Custom Shape to Correct Dimensions

Whether you choose one of the template shapes or build your own, the overall size of the shape is important to acheive a realistic display in 3D TERRAIN VIEWER.

When you select the root folder in the Object Browser window, the object properties includes the dimensions of the whole shape, and you can scale the shape. When you change any of the three dimensions—Length, Width or Height—the program adjusts the corresponding scale of the component objects to achieve the specified overall dimensions.

When the Change Proportionally option is selected, the shape scales in three dimensions. If it is not selected, the shape scales only in the direction required to achieve the changed dimension.

Changing Custom Shape Dimension—Original Shape (top), Unproportional Scaling Increase of Width from 30 to 50

Proportionally Scaling—Increasing Width from 30 to 50.


Grouping Objects in your Custom Shape in the 3D Shape Editor

Grouping allows you to join two or more objects in your design into a subgroup. Groups can be created either before or after their member objects have been created. You can then activate a group or subgroup for editing and work only with the member objects and subgroups.

Note:Activating a group or object is different than selecting a group or object. Active groups are indicated with bold text in the Object Browser and are available for editing.

To activate a group:

•Double-click on the object or group in the Object Browser.

•Right-click on the object or group in the Object Browser or in a design pane and select Edit/Activate.

•Right-click on a selected sub-group and select Parent Group.

When a group is activated, the activated group of objects will be highlighted in the design panes. You can:

•Add or delete objects in the group.

•Modify the properties of individual objects or subgroups within the active group.

•Translate or rotate subgroups of the active group as a unit within the design while maintaining their size and position relative to each other.

•Ungroup the components of the group.

More Information

• Grouping Existing Objects

• Grouping Objects as you Build your Custom Shape

• Naming your Groups

• Ungrouping Objects

• Moving Objects Between Groups


Grouping Existing Objects

You can create several objects, and group them afterward into one or more groups. This allows you to build the custom shape, or a portion of it at a time, then organize the component objects into groups. These groupings will be subgroups of the folder in which they began. You can create multiple layers of groups and subgroups to suit your purposes.

If you are building a complex shape such as a dredge, we recommend that you build a few objects at time, then group them. This method is less confusing and allows you to move groups as you build, which can often be easier and more efficient.

1. Build your custom shape without grouping your objects. All component objects will initially be in Group_1.

2.Select the objects to be included in a subgroup by holding the Control key and clicking on each object in the design window or Object Browser.

3.Click the "Group Selected Objects" Icon on the Advanced Objects toolbar. The selected items will be grouped and the Object Browser will be updated accordingly.

The following figures illustrate how objects can be grouped as you build your custom shape.

Grouping Objects.

Groups Viewed in the Object Browser | A prism forms the dredge. | Add a prism for the cabin and 2 cylinders to form the A-Frame .
 | Add cubes and cylinders for the pump system . | Several cylinders create each railing and the winch .


Grouping Objects as you Build your Custom Shape

If you prefer, you can create empty folders then create the objects that belong in them. This means you can either:

•Create the entire hierarchy of groups, then add the shapes appropriate to each afterward or

•Create one new group at a time and fill each one as you build your custom shape.

1.Right-click on the group in the Object Browser where you want to create a subgroup. A pop-up menu will appear.

2.Select "Add Empty Subgroup". A new Group will be created under the original group.

3.Activate the group to which you are adding the new object. (The group name will be bold.)

4.Create the object. The object will be added to the active group.

Tip: When you activate a sub-group of objects, all others in your design are hidden. This sometimes makes it difficult to position one group relative to another. In this case, select VIEW-WHOLE MODEL to show all objects regardless of which group is active.


Naming your Groups

As each Group is created, by default, it is named "Group_GroupNumber". You can rename any group by right clicking on the group name and selecting "Rename". The group name will become editable. Just type in the new name and press the Enter key.


Ungrouping Objects

Ungrouping moves the group members to the parent group and removes the group folder from the Object Browser.

Just select the group in the Object Browser and click the Ungroup icon in the Advanced Objects toolbar.

In this example, the objects in Group_3 are ungrouped and become members of Group_1, the parent group.

Ungrouping—Before (left) and After (right)

Note:This option is not available for green folders in mobile objects created through a 3D SHAPE EDITOR template.


Moving Objects Between Groups

You can easily move selected objects from one group to another in the Object Browser. Just click on the object and drag it to the desired group’s folder.

Objects that are members of a subgroup can be moved into the parent group by:

•Selecting the subgroup object in the Object Browser and clicking the Move Up icon [image] in the Advanced Objects toolbar.

•Right-clicking on the subgroup object and selecting ‘Move to Parent’.

In this example, Cylindar_2 in Group_3 moves up to Group_1, the parent group.

Moving Up— Before (left) and After (right)

Note:This option is not available for mobile objects or attachment points created through a 3D SHAPE EDITOR template.


Saving your Custom 3D Shape File

When you build a custom shape, you first save it to a 3OD (3d Object Document) file. This is an ASCII text file which saves all of the information that allows you to later access your shape:

•To reopen the shape, select FILE-OPEN. The shape will reopen with the same zoom and orientation in a display with the same layout.

•Import it into an active group using FILE-IMPORT.

It is wise to save your work in this format periodically as you work to insure against losing your work due to some system failure. You should also, of course, save the finished creation to a 3OD file.

You can overwrite the same file each time, or use FILE-SAVE AS to save incremental records of your shape as it progresses.

You can save your design manually or automatically to the default \HYPACK 2017\Shapes directory or to any other directory. The program will "remember" the last location to which you saved your 3OD file, or from which you opened your last 3OD file. This may save you some navigating through the file hierarchies every time you save your work outside of the HYPACK default location.

Manual Save:

To save your 3OD files manually, do the following::

1.Select FILE-SAVE, or FILE-SAVE AS. The File Save dialog will appear.

File Save Dialog

2.If your custom shape includes textures and you plan to display it on a computer other than where it was created, check the Embed Image Files option.

3.Name your file and click [Save].

AutoSave:

To save your 3OD files automatically at user-defined intervals, do the following:

1.Select FILE-AUTOSAVE and the Auto Save dialog will appear.

Auto Save Dialog

2.Check the Auto Save checkbox and enter a time interval (in minutes) at which your design should be saved.

3.Click [OK].

Note:If this option is selected and you have not yet named your shape, a dialog will appear after the first time interval for you to provide a name.

Saving Selected Objects

To save selected objects from your custom shape, select FILE –EXPORT 3OD and name the new 3OD file.


INTERSECTOR Program

INTERSECTOR coordinates the data from a channel file (*.CHN) or a 3-dimensional DXF channel plan (in polylines only) and a 2-dimensional planned line file (*.LNW) of the same area. It calculates the channel depth at each point where the planned line crosses a polyline in a DXF file or at the edge of a face in a channel file. From this information, it can do the following:

•Generate 3-dimensional planned lines with template information derived from the channel file.

•Generate an XYZ file containing all points where the line file crosses a line in the DXF or in the CHN where two faces meet.

•Generate template files (*.TPL) where the points calculated for each survey line are used as inflection points. These templates can then be used in CROSS SECTIONS AND VOLUMES in Average End Area-No Segments volumes calculations.

INTERSECTOR Files

1.Launch the INTERSECTOR by selecting UTILITIES-DREDGING UTILITIES - INTERSECTOR. The INTERSECTOR dialog will appear.

INTERSECTOR Interface

2.Enter the files containing the line and channel information. Use […] to browse for the correct files and to assure the correct path.

3.Select your output options.

•Extend Templates to Line Origin and Extend Templates to Line Terminus: If your planned lines extend beyond the boundaries of your channel file, INTERSECTOR can add start and end points in the template. The XY of the points match the start and end points of the line file, and the depth equals the nearest depth calculated from the template. The template extends on each end to the start and end points of the line file.

Example of Extended Templates—The templates of a 3D line file can be viewed in the template tab of the LINE EDITOR.

•Make Template Files: The INTERSECTOR generates a set of template files, one for each survey line, that can be used in CROSS SECTIONS AND VOLUMES to calculate volumes using the End Area-No Segments calculation method.

•Make XYZ File: The INTERSECTOR saves all of the calculated points to an XYZ data file.

4.Click [Calculate]. A preview window will show your channel and line files. A small circle marks each inflection point.

Preview of the Inflection Points Calculated by the INTERSECTOR

5.Exit the INTERSECTOR program. Close the preview window and click [Exit].

A new, 3-dimensional line file will be created and named with the same name as the original planned line file with an ‘_A’ appended to the root name. For example, in the above example, your input line file was 2d.lnw. The output line file would then be 2d_A.lnw. You can confirm the templates have been appended by loading the new file to the LINE EDITOR, selecting the template tab and scrolling through the lines.

Viewing Templates for Each Line in the LINE EDITOR—The template in this figure has not been extended.


ECHOGRAM

The ECHOGRAM program enables you to manually digitize your echograms. This is sometimes necessary in areas with “liquid mud” or “fluff” where the digitized sounding received from the echogram is not representative of the actual bottom. Using the ECHOGRAM program and a digitizer tablet, you can digitize the depths and their relative fix positions. This information is saved in a *.DEP file. The digitized depth data can then be merged with positions in the SINGLE BEAM EDITOR, using [Merge]. The result is saved to an Edited All format file that has the correct position and depth information.

Note:In order to run this program, you must have a Windows® digitizer driver (such as WINTAB32.DLL) installed for your digitizing table/tablet. These drivers are specific for each table/tablet and are not distributed as a part of HYPACK.

1.Open the ECHOGRAM program by selecting UTILITIES-DIGITIZING-ECHOGRAM.

2.Register your echogram on the digitizing tablet.

a.Select CHART–REGISTER CHART.

b.Use the 1st digitizer button to click:

•The top-left of your echogram scale (key-line)

•The top right of your digitizer scale (key-line)

•The bottom center of your digitizer scale

3.Set the scale for your echogram by selecting CHART–SCALE. Enter the value for the top and bottom of your echogram (where you clicked in step one).

Setting your Scale

4.Reference your event marks.

Entering your Fix Numbers

a.Enter the value of the first event mark.

b.Click on each individual event mark.

c.When you're finished, click the digitizer’s 2nd button.

The screen will draw the event marks as you digitize each one.

5.Working left-to-right, digitize the depth information. You should click the 1st button of the digitizer tablet at each location where you want to store a depth. The program will store the relative fix location (14.25 = 25% of the distance from event 14 to event 15) in an ASCII file format. When you are finished, click the 3rd button.

6.Indicate whether you want to shift the echogram and continue to digitize or you want to stop and save the results to a *.DEP file. If you shift the echogram, you will need to re-register it on your digitizing tablet.

Choosing Whether to Continue

More Information

• Merging Digitized Depth Data with Raw Survey Data


CONTOUR EDITOR

The CONTOUR EDITOR is used to manually modify lines in a DXF chart.

•Reposition contour lines: In TIN MODEL, when you export your contours to a DXF chart, the smoothing option occasionally results in crossed contour lines. The CONTOUR EDITOR enables you reposition the ‘offending contour line’ in approximately the correct position, if this occurs.

•Delete waypoints.

•Smooth contours by adjusting each waypoint position based on the positions of two waypoint on either side of it. Smooth all contours at once or one contour at a time.

•Simplify contours by removing waypoints positioned more closely than a user-defined threshold distance.

More Information

• Running the CONTOUR EDITOR

• View Options in the CONTOUR EDITOR


Running the CONTOUR EDITOR

Contour Comparison - No Smoothing (left), Smoothed (right)

1.Launch the CONTOUR EDITOR by selecting UTILITIES-FILE WORK-CONTOUR EDITOR.

2.Load the problem contour file by clicking [Open DXF File] and selecting your file from the File Open dialog.

3.Load corresponding sounding data. (Optional) The CONTOUR EDITOR accepts either XYZ or a catalog of All Format data. These soundings provide a guide as you work with the contours.

4.Optimize your view where you want to work.

5. Display your waypoints by clicking the Enable Grip Points icon. This icon toggles the waypoint display on and off.

6.Modify your DXF chart as necessary.

•To relocate your contours:

i. Click on the Move Point icon.

ii.Click -and-drag the contour that you want to reposition.

Note:You may need to do this multiple times along the contour line to position it properly.

•To smooth all of your contours, [image] click the Line Smoothing icon.

•To smooth select contours:

i. Click the Smooth Segment icon. (The cursor will change.)

ii.Use the cursor to click on each segment you want to smooth.

•To simplify your contours:

i. Click the Simplify icon. A Threshold dialog will appear.

Threshold Dialog

ii.Set the minimum distance between the points describing your contours in your simplified chart and click [OK].

•To delete waypoints in your contours:

i. Click on the Delete Waypoints icon.

ii.Click on each waypoint you want to delete.

iii.Exit delete mode by selecting another cursor tool.

7.Save your DXF. When your editing is satisfactory, click [Save DXF] and name your corrected chart. The contour chart will be saved, by default, to your project folder.

More Information

• Exporting Contours from TIN Models


View Options in the CONTOUR EDITOR

Zoom Tools

Zoom In/Out: When this option is selected, a left-click decreases the scale (zoom in) and a right-click increases the scale (zoom out).

Zoom Window: Select this option and drag a rectangle in the window to define the extent of your desired view. The program redraws the screen to display the defined area optimally.

Zoom Extents: Draws the display at a zoom scale that displays all enabled data.

Pan: Select this option, then click in the window and drag the cursor to the position where that point should be displayed. As you drag, the program displays the distance and azimuth of the cursor motion. When you release the mouse button the display updates accordingly.

Sounding Overlays

Overlay All format sounding files of your contoured area to guide your work. You can load an individual file or a catalog file of All format files. These soundings are for display purposes only. They will not be included when you save your edited contours to DXF.

1. Click the Open Data File icon. A File Open dialog will appear.

2.Select one or more sounding files and click [OK].

Contours with Soundings Overlaid


XYZ COLLECTOR

The XYZ COLLECTOR is a simple utility used to manually work with XYZ data. It is generally only useful for smaller data sets because all of the work is done manually.

•Create an XYZ data file. For example, you can create a soundings file based on the data on a raster chart. Just load the chart and use it to guide you while you gather the sounding data. The sounding data can then be displayed in HYPACK and used in other programs that recognize the XYZ file format.

Tip: You can mark each sounding location using the default depth of 0, then edit the Z-value in each record to the desired depth. However, if you have several locations with equal depth values. Set the depth, then double-click each location. Each location will be assigned the same Z. It could save you a lot of time over setting each individually!

•Edit XYZ data in a small XYZ or XYZ-date file.

1.Open the XYZ COLLECTOR by selecting PREPARATION-EDITORS-XYZ COLLECTOR. The XYZ Collection dialog will appear.

XYZ Collection Dialog

2.Set the desired depth.

a.Click [Depth]. A dialog will appear.

b.Enter the desired depth and click [OK].

3.Select the Display Soundings option. (Optional) This option displays the soundings from the XYZ COLLECTOR, without any rounding or truncation, and in red on the map. Otherwise, the program adds the sounding records, but you cannot see them in the map to track progress or accuracy.

4.Double-click on the area map at each location where you want soundings of that depth.

5.Continue setting depths and clicking sounding locations until you have collected all of your data.

6.Save the file by selecting FILE-SAVE and naming the file. The file will be saved, by default, to the project's Sort directory.

Deleting Soundings in the File

To delete a sounding, select the sounding and click [Delete].

Previewing your Soundings:

•Display Soundings displays the soundings from the XYZ COLLECTOR without any rounding or truncation, and in red in the Map window.

•Centered: The Map window shifts to center the sounding selected in the XYZ COLLECTOR, if it is initially off-screen.


SOUNDING ADJUSTMENT

The SOUNDING ADJUSTMENT program reads edited All format files and applies sound velocity corrections to them. These corrections are based on where Depth 1 falls in the Data Corrections Table and the data that you enter into it. The program adds the fixed corrections (not interpolated values) to the current sound velocity values in the data.

1.Select PROCESSING-SOUND VELOCITY-SOUNDING ADJUSTMENT. The Data Corrections Table appears.

Depth Corrections Table

2.Enter the depths and adjustment values to the Data Corrections Table.

Any sounding less than the minimum depth specified in the Depth Correction table, is assigned the sound velocity adjustment of the lowest depth in the table. Soundings equal to the minimum depth, but less than the second depth is corrected by the second correction amount, etc. In this example, depths less than or equal to 40 will receive the sound velocity correction of 0.40, depths greater than 40 and less than or equal to 60 will receive the correction of 0.60, etc.

3.Save your Depth Corrections Table. Select FILE-SAVE or FILE-SAVE AS and give it a name. Your data is saved, by default, to your project directory with a .DCT extension. It can be reloaded in another editing session, if the need arises, using FILE-OPEN.

4.Apply the corrections to your data. Select FILE-GENERATE CORRECTIONS, select the edited All format files you wish to correct from the list in the File Open dialog. The corrections are automatically saved as sound velocity corrections in the selected All format files.

If you are correcting single beam data, you can see the results by viewing your data in the SINGLE BEAM EDITOR.

More Information

• Sound Velocity Adjustments

• Correcting your Sound Velocity Profile with the Sound Speed Adjustment Tool

• Correcting your Sound Velocity Profile with the SVP Adjust Tool


MANUAL ENTRY

MANUAL ENTRY enables you to create your own depth readings along a planned line and store it in a HYPACK ALL format file. This utility was designed for you to enter tag-line distance and depth information. It generates one line at a time.

1.Start the program by selecting UTILITIES-FILE WORK-MANUAL ENTRY or by clicking on the File Work icon and selecting Manual Entry from the drop-down box. The Manual Entry window appears.

2.Enter the line location information. Use a pre-existing planned line file and select the line to which you want to assign soundings, or manually enter the start and end X, Y coordinates.

Manual Entry Dialog—File Mode

Manual Entry Dialog—Manual Mode

3.Enter the time-tagging instructions. The first sounding is time-tagged with the specified Start Time. The time-tag for each sounding after that is incremented according to the specified Time Increment.

4.Enter the DBL (Distance from Beginning of Line). Type it directly into the spreadsheet use the AutoDBL feature to enter even increments of distance over a user-defined distance range.

To use the Auto DBL feature do the following:

a.Click [Auto DBL]. A dialog appears.

Auto DBL Dialog

b.Enter the DBL range by entering the starting and ending DBL values.

c.The Tide Correction value will be added to the raw depth.

Important: Tide Corrections relate raw soundings to the chart (low water) datum. Since you normally want to remove the water column above the sounding datum, the overwhelming majority of the time your tide corrections will be negative numbers.

d.Enter the distance increment (in survey units) at which you want to define soundings.

e.Click [OK].

5.Enter the depths for each DBL.

6.Save your file. Select FILE-SAVE and name your All format output.

Note:Remember to include an extension for your file name.

7.If you want to generate another line, select FILE-NEW to clear the dialog and repeat the process.


PATHFINDER

The PATHFINDER program reads the positions from edited single beam (ALL or HS2X) or XYZ sounding files and creates a planned line file (*.LNW) that defines the track line of the survey boat.

Note:Input XYZ files should be limited to a simple waypoint listing for a single line.

1.Select UTILITIES-FILE WORK-PATH FINDER. The Pathfinder dialog will appear.

2.Select SETUP and a secondary dialog will appear.

PATHFINDER Setup Dialog

3.Select the sounding catalog file.

4.Name the resultant line file.

5.Define the number of line segments to be used. The more segments, the more closely the LNW file will be able to match a curving track line. There is no maximum number of segments you can use. It's a matter of trial to determine the optimal number of segments to use for each situation.

6.Click [OK] to return to the PATHFINDER window.

7.Select RUN. The resulting line file will be drawn to the Pathfinder window and saved to the specified file and location.

Sample Results of Running PATHFINDER

If you are not happy with the results, re-open the setup dialog and edit the input.


MERGE XYZ

The MERGE XYZ program enables you to add XYZ data to edited All format files. The program maps the XYZ data to the lines that fall within the user-defined Off Line Tolerance from the All Format data or a planned line file. It then creates a new catalog of All format files that include the data from both data sets and have a user-defined extension. The new catalog file will be named with the original catalog name with the new tag appended. For example, "catalog.log" will become "catalognew.log".

Typically, this program is used to merge land survey data that falls within the off-line tolerance limit with your hydrographic data.

1.Select UTILITIES-FILE WORK-MERGE XYZ and the Merge XYZ dialog will appear.

Merge XYZ Dialog

2.Enter the two file sets that you want to combine. Click the corresponding [+] buttons to browse for them.

•Land Files: Open one or more XYZ files.

Tip: To load more than one file of either XYZ or All format, hold the Ctrl key and select each one in the File Select dialog.

•Survey Files: Open a catalog of All format files from your hydrographic data.

3.If you want map all of the survey data to a planned line file, check ‘Use LNW File’ and load the planned line file by clicking -...] and browsing for the line file.

4.Define the tag for your new data files.

5.Click [Apply] and preview your results in the lower part of the dialog. Use the Line Display arrow buttons to highlight each line in sequence.

The Offline Tolerance is the largest allowable distance between the position of the XYZ data points and the survey line information in the All format file. If there is no planned line within this distance from a data point it will be disregarded.

Note:If your XYZ data extends beyond the end of the survey line, the program will calculate a theoretical extension of the survey line and calculate the offline tolerance based on this extension.

6.If you want to invert your depths check Yes under Negate Z-values.

7.Click [Save] and the new files will be created and saved, by default, to the project's Edit directory.


XYZ MANAGER

The XYZ MANAGER creates a database that contains all of the XYZ data from multiple surveys. From that database, you can select any number of member files and export a merged XYZ data set. The XYZ MANAGER does not simply combine all the data points into one file, but analyzes where the selected data files overlap and, based on the file’s Modified Date and Time, includes only the most recent in the output XYZ file.

More Information

• Creating a Database in the XYZ Manager

• Editing The XYZ File Properties in the XYZ Manager

• Changing the Color-coding in the XYZ Manager

• Clipping Data within a Border File with the XYZ Manager

• Filtering your Output in the XYZ Manager

• Exporting XYZ Data from the XYZ Manager

• Database Statistics in the XYZ Manager


Creating a Database in the XYZ Manager

1.Launch the XYZ MANAGER by selecting UTILITIES-FILE WORK-XYZ MANAGER. The program dialog will appear.

2.Select FILE-NEW DATABASE and name your database.

3.For each XYZ file to be included:

a.Select PROCESSING-IMPORT SOUNDINGS and select your file from File Select dialog. The Source Properties dialog will appear.

Source Properties Dialog

b.Set the Properties. When an XYZ file is added, the program connects the data points to create a TIN Model. It is the perimeter of this model that describes the area covered by the data set.

•Max TIN Side determines the maximum distance between connected points. The ideal number depends on the density of your data set. A value too large connects unrelated points, while a value too small leaves holes in your model.

The default Max TIN Side can be set by selecting DATABASE-SETTINGS.

Beware! If the leg is set too short, you may be alerted that the "bordering of soundings failed" and the sounding area will not be drawn to the dialog. If this occurs reopen the Source Properties dialog (by right-clicking the file name in the database list and selecting "Properties") and enter a larger value. A new model will be drawn to your screen.

•Description defaults to the file name. You can enter something more descriptive if you wish.

•Source Date affects the order of precedence in the XYZ Manager. It defaults to the Windows® Last Modified date, but you can modify it.

4.Click [OK]. The program displays the progress as it loads the data, then a color-coded area that each file covers.

Four Files Loaded to the XYZ MANAGER

The standard window tools may be used to adjust the display.

5.Save the database. Select DATABASE-SAVE, enter a name and click [Save]. All of the files loaded are now members of the database. At any time, you can use the XYZ MANAGER to open the database (DATABASE-OPEN), add or remove data files, or export an XYZ data set.

To delete a file from the database, right-click on it in the XYZ MANAGER and select Delete then resave the database.


Editing The XYZ File Properties in the XYZ Manager

The same properties you enter when you load each XYZ file can be edited at any time.

When you change the Date property, it affects the order in which the XYZ MANAGER gives precedence to the selected files

Effects of Editing XYZ Properties

Edit Value | Effect
TIN Max Side | Corrects the area covered by the model of the corresponding data set. A longer leg may fill some holes in the data. a shorter leg may open some areas not covered by the data.
Description | Affects only the Source name displayed in the XYZ MANAGER. It does not rename the file in your project.
Source Date | The XYZ MANAGER displays the member files in sequential order based on the Date property. It uses the same order when you export your soundings, giving precedence to the more recent soundings. If you have overlapping files with the same date, you can control which dataset has precedence in the export by changing the date property in one or more of those files.

To change the XYZ Properties for any file in the database, do the following:

1.Open the database in the XYZ MANAGER.

2.Right-click on the XYZ file whose properties you want to edit and select Properties from the menu. The Properties dialog will appear.

Properties Dialog

3.Change the one or more properties and click [OK]. The changes are reflected in the XYZ MANAGER display.


Changing the Color-coding in the XYZ Manager

When you load each XYZ file to the XYZ MANAGER, the program automatically assigns a color and uses it to draw the area it covers in its interface. You can change the color as follows:

1.Open the database in the XYZ MANAGER.

2.Right-click on the XYZ file whose color you want to edit and select Set Color from the menu. The Colors dialog will appear.

Colors Dialog

3.Select your desired color and click [OK]. The change is reflected in the XYZ MANAGER display.


Clipping Data within a Border File with the XYZ Manager

The XYZ MANAGER can clip all XYZ data in your database against the area defined by a border (*.BRD) file. The resultant soundings are exported according to the position of the In/Out point in the border file.

Note:This operation affects all data loaded to the database, regardless of whether it is selected for display in the XYZ MANAGER.

Tip: The resultant data set is the same if you export soundings from the full database using a Border Filter.

1.In the BORDER EDITOR, create a border file that will guide your clipping.

2.Launch the XYZ MANAGER and load the database containing the data you want to clip.

3.Select PROCESSING-CLIP SOUNDINGS AGAINST BORDER. A File Select dialog will appear.

4.Select the border file with which you want to clip your data and click [Open]. The program will clip the data set and display the results.

5.Export the results to your project.

Note:This will not appear in the XYZ MANAGER as a ‘clean’ cut, exactly to the border file. All soundings that fall within the border are removed and, the resulting opening is drawn based on the remaining soundings and the user-specified TIN Max Side for each file.

Original Data Set with Border File

Clipped Data Set in the XYZ MANAGER

Clipped Data Set HYPACK

To reverse this deletion, select PROCESSING-RESTORE ALL DELETED SOUNDINGS.

More Information

• Filtering your Output in the XYZ Manager

• Exporting XYZ Data from the XYZ Manager

• Border Files


Filtering your Output in the XYZ Manager

You can filter your XYZ output based on a border file (*.BRD). The soundings are exported according to the position of the In/Out point in the border file.

Tip: This process omits the need to clip the data, which clips all member XYZ files.

1.In the BORDER EDITOR, create a border file to act as your filter.

2.Open the XYZ Manager. (Select UTILITIES-FILE WORK-XYZ MANAGER.)

3.Open your database by selecting DATABASE-OPEN and the name of your database.

4.Select the files to be included in the exported data by checking the corresponding checkboxes. Only those data sets will be drawn in the dialog.

5.Set your filter. Select PROCESSING-LOAD OUTPUT FILTER and select the appropriate border file.

6.Export your data, enabling the filter in the Export Final Soundings dialog.

Original Data Set with Border File

To remove the filter, select PROCESSING-CLEAR OUTPUT FILTER.

Tip: To change the filter in one step, just load the next border file. The program only honors the most recently loaded output filter.

More Information

• Exporting XYZ Data from the XYZ Manager

• Border Files


Exporting XYZ Data from the XYZ Manager

1.Open your database by selecting DATABASE-OPEN and the name of your database.

2.Select the files to be included in the exported data by checking the corresponding checkboxes. Only those data sets are drawn in the dialog.

3.Export your soundings. Select PROCESSING-EXPORT FINAL SOUNDINGS.

Export Final Soundings Dialog

4.Set your export options.

•Output: Choose whether to export a single, merged XYZ file or a catalog of XYZ files including only soundings remaining after any clipping or filtering you may have done.

•A single, combined XYZ file where the older soundings are omitted in the area where the files overlap.

•A series of XYZ files, generated and named by date, each omitting soundings where later files overlap. If there is more than one file with the same date property, an underscore followed by a number will be added to the file name to create a unique file name in the project. (Ex. 11.03.2007_1.xyz)

•File Content options allow you to choose the content of the records in your output: X,Y,Z or X,Y,Z,Date.

•Border File Filter is enabled only if you have first loaded a border file filter through the Processing menu. Check this option to filter the output data based on that border file.

•Date Range Filter allows you output data including only files whose Date property falls within the user-defined range.

•[Export] initiates the required data output and allows you to name the resulting file.

5.Save your export file.

•If you export a combined file, name the output XYZ file.

•If you export a series of files, name the catalog file (*.LOG) in which the files will be stored.

XYZ LOG File by Date in HYPACK

The new, exported data will be saved, by default, to your project Sort directory.

More Information

• Filtering your Output in the XYZ Manager


Database Statistics in the XYZ Manager

Select PROCESSING-STATISTICS to display an assortment of information regarding the database and the data contained in it.

Database Statistics


CLOUD

CLOUD creates 3-dimensional displays of your survey data, representing each sounding with a pixel, color-coded according to your project’s sounding colors and positioned in the model according to its XYZ coordinates.

The status bar shows the number of soundings and the minimum and maximum Z value in the data set and the axes at the bottom right show the cloud orientation.

Sample Data in CLOUD - Pixel Display

This model can be used for the following functions:

•Creating three-dimensional displays of soundings. The CLOUD display is much easier and faster to manipulate than a TIN MODEL.

•Measuring relative position of two points.

•Simple editing of your data. CLOUD enables you to select and remove individual points or blocks of data and save the results in XYZ, matrix or a selection of third-party formats. If you load an HS2 file or HS2x, you may also save your edited results to HS2 or HS2x format respectively.

Note:HS2x format is supported only by the 64-bit program.

•Generating georeferenced TIF charts or simple screen captures.

•Printing or plotting models.

HYPACK includes two versions of CLOUD: 32-bit and 64-bit. Select UTILITIES-CLOUD. HYPACK automatically runs the version matching your Windows® operating system.

More Information

• Loading your Data in CLOUD

• View Options in CLOUD

• Measuring Relative Distance and Bearing in CLOUD

• Editing your Data in CLOUD

• Marking Targets in CLOUD

• Golden Soundings in CLOUD

• Saving your Edited Data in CLOUD

• Exporting Graphics from CLOUD

• CLOUD Playback


Loading your Data in CLOUD

CLOUD models data from one or more data files. CLOUD supports the following file formats:

HYPACK File Formats:

•XYZ data,

•XYZ-intensity data (output from the 32-bit HYSWEEP EDITOR),

•Matrix files (*.MTX),

•Edited HS2, HS2X, or ALL format files

Third Party File Formats:

•ASC files

•E57 files

•LAS files: Ver 1.4 includes geodesy information that can be read by third party software. Additionally, HYPACK reads embedded geodesy and converts the data to the current project geodesy.

•PTS files

1.Start the CLOUD program by selecting FINAL PRODUCTS-CLOUD from the menu. The CLOUD shell will appear.

2.Select FILE-OPEN, set the file type and select the data you wish to model.

•To load multiple ALL format or HS2 files, enter a catalog (*LOG) file of your required files.

•To load multiple XYZ files, select them at once in the File Open dialog.

•To load multiple matrix files select them at once in the File Open dialog.

Tip: To multiselect files, hold the Ctrl key and select multiple individual files or hold the Shift key and click on the first and last file in a range of consecutive files.

Sample Data in CLOUD - Pixel Display

Tip: If you are loading a large file you can enable the single cell view in the CLOUD Grid Controls before loading your data. The load time will be quicker since CLOUD draws only the cell selected.

More Information

• CLOUD

• Viewing your CLOUD Using a Grid

• Measuring Relative Distance and Bearing in CLOUD

• Editing your Data in CLOUD

• Marking Targets in CLOUD

• Golden Soundings in CLOUD

• Saving your Edited Data in CLOUD

• Exporting Graphics from CLOUD

• CLOUD Playback


View Options in CLOUD

A series of keyboard and mouse commands, as well as the Control Panel and HYPACK Files options enable you to adjust the display for optimal viewing. A set of axes at the lower right shows the current orientation of the cloud.

When you use the mouse to rotate your CLOUD model, a set of axes and a rectangular outline of the data extents temporarily appears with the depth display. The axes default to the center of the data set and they are the center of all model rotations and the focus of zoom operations.

To select an alternate center of rotation, click the Set Center Point icon, then click your location in the point cloud display.

Cloud Display During Rotation

More Information

• Control Panel Options in CLOUD

• Displaying Cursor Coordinates in CLOUD

• Displaying HYPACK Files in CLOUD

• Color Configurations in CLOUD

• Viewing your CLOUD Using a Grid

• Viewing your CLOUD in Depth vs Elevation Mode

• Cloud Keyboard Shortcuts


Control Panel Options in CLOUD

To access the view options in the Control Panel:

1. Click on the Setup Icon. The Control Panel includes display settings as follows:

CLOUD Control Panel

•Rotation options enable you to turn and view the data from any direction by entering degree values in one or more of these fields.

•Z-Axis Ratio enables vertical exaggeration or understatement. A value of 1 draws the data as it appears in the file. A value greater than 1 exaggerates the vertical scale, while a value between 0 and 1 decreases the vertical scale.

• [image] Pixel Size: The size, in pixels, each sounding appears. You can also adjust the pixel size using the controls in the upper left of the display window. The square between them reflects the current pixel size per sounding.

•Background Color enables you to choose the color displayed behind your data files.

•Show Legend displays a labeled color bar for the project color settings. The Colors icon enables you to access the Colors dialog and modify your project colors through the Cloud interface.

•Show Grid overlays a grid or grids in the display according to the user-defined Grid Size (survey units) and Font Factor.

A Grid Size of 0 sets the display to automatically generate a grid proportional to the zoom scale.

•Continuous Pan/Rotate: Drag your cursor across the display and the model will begin to rotate according to the speed and direction of your stroke and a Rotation dialog appears.

•To change the direction, speed or both, drag the cursor across the model in a different direction or speed (or both) or modify the values in the Rotation dialog.

Rotation Dialog

•To stop the motion, click on the model.

•Hide Near Points: Produces an effect similar to if you physically moved into the point cloud toward the designated cloud center. When you reach a high enough zoom scale, CLOUD removes the points closer to the edge of the point cloud allowing you to see objects in the center of the cloud more clearly. Without this option, all soundings remain in the display.

In the following figure, the tree in the center foreground is removed from the display when the option is selected.

Hiding Near Points—Distant Display (left), Near Points Removed (center), Near Points Remain (right)

•Data Limits is not a setting. It is only a display of the current data set’s minimum and maximum values in each direction.

2.Preview your results by clicking [Apply].

3.When you are satisfied, click [OK].


Displaying Cursor Coordinates in CLOUD

To display the cursor coordinates in the status bar, click the ‘Show XYZ’ icon [image] then at the position in question.

More Information

• Control Panel Options in CLOUD

• Displaying HYPACK Files in CLOUD

• Color Configurations in CLOUD

• Viewing your CLOUD Using a Grid

• Viewing your CLOUD in Depth vs Elevation Mode


Displaying HYPACK Files in CLOUD

In addition to the data you are editing, you may display certain other project files (eg. background charts, planned lines, matrix files, etc.) and a grid and to provide additional context to your work.

Note:The grid here is different than the one specified in the CLOUD Control Panel. It displays in XY or Lat/Lon (or both) according to the configuration in the HYPACK Control Panel.

Cloud Data Only (left), With Background Chart (right)

1. Click the HYPACK files icon. A dialog appears with a list of additional files, currently enabled in your project, that you may display.

Background Setup Dialog

2.Choose the files to display:

•To add another file, click [Load Chart], select the file in the File Open dialog and click [Open].

•To enable and disable file, select it in either column then use the right or left arrow button to include or omit them from your display.

•To change the chart drawing order, select an enabled chart and use the up or down arrow to move it up or down in the chart order.

3.Set Transparency. Move the slider left to increase transparency; the far right makes the chart opaque.

4.Set Chart Depth. The default value of 0.0 draws the charts at the waterline. A value slightly larger than your project depth draws your charts below your soundings so you can see each distinctly.

5.Click [OK].

More Information

• Control Panel Options in CLOUD

• Displaying Cursor Coordinates in CLOUD

• Color Configurations in CLOUD

• Viewing your CLOUD Using a Grid

• Viewing your CLOUD in Depth vs Elevation Mode


Color Configurations in CLOUD

You can set CLOUD to color-code your points based on your choice of a number of options found in the drop-down list on the toolbar and, in some cases, additional color settings.

Note:Options in the drop-down list vary according to availability of intensity and RGB definitions.

•Depth: Default to the project colors, but you can set custom colors in the CLOUD Colors dialog.

•File: Assign a color for each file loaded, regardless of depth. Use the check boxes to enable or disable them in the CLOUD display.

•Intensity: This color set is applied to HS2 files, LAS or XYZ that include intensity data.

•RGB Colors defined for each point based on the color at the corresponding position in a geo-TIF you have applied. These XYZ and LAS files include the RGB color information for each point. No other color settings are necessary.

1.Load your data files to CLOUD.

2. Click the Colors icon to access the CLOUD Colors dialog and define a set of colors for each value.

CLOUD Colors Dialog

•For Depth and Intensity, click the corresponding button and define the colors desired for the depth or intensity range found in your data set.

•Color by File: Each data file that you have loaded in CLOUD is listed under ‘Color by File’. You can assign or modify the color for each file by clicking on its color square and selecting a new color from the dialog that appears.

3.Choose the color-code basis (depth, intensity, file or RGB colors) from the drop-down list in the toolbar.

Color By Depth (left), Color By File (center), Color By Intensity (right)

Point Cloud in RGB Colors

More Information

• Control Panel Options in CLOUD

• Displaying Cursor Coordinates in CLOUD

• Displaying HYPACK Files in CLOUD

• Viewing your CLOUD Using a Grid

• Applying Geo-TIF Colors to your Point Cloud

• Project Colors in HYPACK

• Viewing your CLOUD in Depth vs Elevation Mode


Viewing your CLOUD Using a Grid

When you have a large data set, it takes more time to redraw the entire cloud display each time you rotate the model. Thus, if you want to carefully inspect the points in a large data set, it can become a lengthy process due to the number of times you shift the model to optimize the view angle of each area in the data.

The grid in CLOUD subdivides your project area into a user-defined set of cells.

Tip: If you are loading a large file you can enable the single cell view before loading your data. The load time will be quicker because CLOUD will draw only the selected cell.

To access the Cloud Grid Control, click the corresponding icon.

To configure your grid, click the Setup icon, enter the number of rows and columns and click [OK].

CLOUD Grid Control and the Resulting Display in CLOUD

More Information

• Control Panel Options in CLOUD

• Displaying Cursor Coordinates in CLOUD

• Displaying HYPACK Files in CLOUD

• Color Configurations in CLOUD

• Editing your CLOUD on the Grid

• Viewing your CLOUD in Depth vs Elevation Mode


Viewing your CLOUD in Depth vs Elevation Mode

According to HYPACK convention, in depth mode, the Z-values are positive downward. CLOUD initially displays your data in depth or elevation mode, according to your geodesy settings.

In CLOUD, you can use the cursor to rotate the cloud around any of the three axes, and the current orientation of your cloud is reflected in the axes at the bottom right of your display.

Tip: You can quickly invert the Z-axis, for display purposes only, using the Depth/Elevation icon. (This does not affect your project geodesy.)


Measuring Relative Distance and Bearing in CLOUD

You can use the cursor in CLOUD to measure the distance and bearing between two points in the model.

1.Hold the Shift key down and select the first point. It will turn red and its coordinates appear in the status bar.

2.Hold the Shift key down and select the second point. It will turn red and its coordinates will appear as X2 and Y2 in the status bar. The previous point turns blue, its coordinates remain as X1 and Y1 and the distance and angle of inclination1 between the two points are calculated and displayed.

If you continue to hold Shift and select points, the status bar display will update to display the last two points selected and the new distance and angle of inclination measurements.

More Information

• Loading your Data in CLOUD

• CLOUD

• Editing your Data in CLOUD

• Marking Targets in CLOUD

• Golden Soundings in CLOUD

• Saving your Edited Data in CLOUD

• Exporting Graphics from CLOUD

• CLOUD Playback

1. Angle of Inclination: Angle between a line extended horizontally from the first point and a line drawn from the first to the second point.


Editing your Data in CLOUD

CLOUD includes unique tools with which you can edit the actual soundings in your data.

There are two editing methods:

•Select and remove soundings

•Remove soundings above or below a user-defined line.

To reverse one or more editing operations, in the reverse order in which you performed them, click the ‘Undo’ icon.

More Information

• Deleting CLOUD Data Using the Select and Remove Method

• Deleting CLOUD Data Above or Below A User-defined Line

• Editing your CLOUD on the Grid

• Applying Geo-TIF Colors to your Point Cloud

• Filtering your Data in CLOUD


Deleting CLOUD Data Using the Select and Remove Method

Selecting the soundings you want to remove from your dataset may actually be a combination of selecting and deselecting one or more soundings to mark the data you will remove.

1. Choose select or deselect mode. One icon on the toolbar toggles between the two mode. The graphic and tool tip indicate the current modes. If you need to change modes, click the icon.

2.Mark the soundings to be removed.

•To select individual soundings: In Select Mode, click the Select Point icon [image] then on each sounding you want to include in your selection.

Note: This operation is much easier if you use a larger pixel size than the default 1 pixel setting. Click the Setup icon and set your pixel size in the dialog.

•To select blocks of soundings: In Select Mode, click the Select Block icon [image] then drag your cursor to define the block you wish to select.

Note:You can only draw blocks whose sides are parallel to the edges of the window.

Tip: If you need to select a block of points at a different angle in your model, rotate the model then select the block.

Tip: EDIT-INVERT SELECTION selects all unselected soundings and deselects the selected ones.

• [image] To deselect individual soundings: In Deselect Mode, click the Select Point icon then click each sounding you want to remove from in your selection.

• [image] To deselect blocks of soundings: In Deselect Mode, click the Select Block icon then drag your cursor to define the block you wish to deselect.

•To deselect all selected soundings, click the Clear Selection Icon [image].

3.Remove the selected points from your data set by clicking the erase icon.

4.Save the results.

More Information

• Saving your Edited Data in CLOUD


Deleting CLOUD Data Above or Below A User-defined Line

The Delete Above Line and Delete Below Line tools enable you to draw a line across your CLOUD display and remove all soundings that fall either above or below the line, according to the selected tool.

Use the tool to draw straight or curved lines in the display.

Note:This may not be above or below a certain sounding depth. It removes the data above or below the line in the current display.

Deleting Above the Line

Deleting Below the Line—Before (top) and After (bottom)

More Information

• Saving your Edited Data in CLOUD


Editing your CLOUD on the Grid

The grid in CLOUD subdivides your project area into a user-defined set of cells so you can more quickly and easily manipulate a large data set.

CLOUD Grid Control and the Resulting Display in CLOUD

Working on the grid, you can:

•Quickly rotate or relocate subsets of the data in the window to optimize your viewing angle.

•Perform any editing operation available when viewing the full display.

•Track which cells you have finished editing. Use the Mark Cell icon to overlay the selected cell with a semi-transparent, light gray.

•Quickly switch between single cell and full grid viewing with the multicell and single cell icons.

The current cell drawn in the CLOUD window is outlined with a thicker grid line.

Tip: If you are loading a large file you can enable the single cell view before loading your data. The load time will be quicker since CLOUD draws only the cell selected.

1. Access the Cloud Grid Control. Click the Grid Control icon.

2. In the CLOUD shell, load your data.

3.Configure your grid. Click the Setup icon, enter the number of rows and columns and click [OK].

4. Click the Single-cell icon. The Cloud Grid Control highlights the first grid cell and the display in the CLOUD shell changes to show only the data in the selected cell.

To select an alternate cell, click in the desired cell or use the keyboard arrows to shift the focus to the adjacent cell, then click the Apply icon.

5.View and edit your data in the shell display using the tools in the CLOUD shell.

6. View your results in the context of the whole data set. (Optional) Click the Multicell icon to draw the whole data cloud in the shell.

7.When editing the current cell is complete, mark it. (Optional) Click the Mark Cell icon. The light gray overlay indicates it has been marked.

8.If you want to continue viewing and editing other cells, return to single-cell mode and select the cell you want to edit. Repeat the process until you are done editing.

9.When you are finished, close the Cloud Grid Control and save your results.

More Information

• CLOUD


Applying Geo-TIF Colors to your Point Cloud

You can apply the colors from a geo-TIF to the soundings or multibeam backscatter in CLOUD. Points beyond the geo-TIF image area will continue to be colored based on the project colors. You can save the results to a HYPACK XYZ file or to an LAS format file for use in third-party point cloud programs.

Each record in the XYZ output contains 6 or 7 values: X, Y, Z, intensity (if we have it), R, G, B; both have an XYZ extension. The LAS format includes fields for intensity and the new RGB color definition for each sounding.

CLOUD can now color either of these output formats based on the RGB Colors from the geo-TIF, intensity (if the data was available), or one of the other color options according to your selection in the drop-down list.

Note:Options in the drop-down list vary according to availability of intensity and RGB definitions.

1.Load your sounding data in CLOUD.

2.Load one or more georeferenced TIF or PNG files of your project area. For each image file, select EDIT- IMPORT GEO-TIF and select the image of your project area. The program loads the image and applies the colors to your point cloud.

Note:The color drop-down list now includes RGB Colors option.

Geo-TIF in IMAGE GEO-REFERENCED (left) and Soundings in CLOUD (right), Point Cloud in RGB Colors (center)

3.Save the resulting point cloud with intensity (if we have that data) and the RGB color derived from the geo-TIF to LAS or XYZ files.

Tip: To cover a large area, consider using a large, lower resolution TIF or PNG covering the whole project area, and add higher resolution images to highlight areas of particular interest.

More Information

• Color Configurations in CLOUD


Filtering your Data in CLOUD

CLOUD provides filters with which you can reduce your data set. The filters you use depends on your data set and your goal in performing the reduction.

Important: Use these filters for point cloud display purposes only. Filtered data can not be used to calculate accurate volumes.

1.Load your data in CLOUD.

2. Click the Edit icon in the toolbar. The Filter dialog will appear.

Filter Dialog

3.Set your filters as follows:

•Minimum Depth and Maximum Depth removes soundings shoaler and deeper than the user defined levels, respectively. This can be used to remove data that is outside of a known depth range.

•Minimum Intensity and Maximum Intensity removes points of lesser and greater intensity than the user defined levels, respectively.

•Reduce by Percentage and Limit to Number are used to mathematically reduce the file size by thinning the data:

•Reduce by percentage thins the data by the specified percentage of the total number of points.

•Limit to Number thins the data to the specified number of points remaining.

4.Click [OK]. The CLOUD display will update to display your filtered data set.


Marking Targets in CLOUD

Mark selected soundings as targets that you can then display in any HYPACK program that supports them. CLOUD generates a target at each selected sounding position and stores it in the CLOUD target group. CLOUD targets are named "Cloud Depth".

1.Select one or more soundings in the CLOUD model.

2.Click the Export Targets icon.

More Information

• Loading your Data in CLOUD

• CLOUD

• Measuring Relative Distance and Bearing in CLOUD

• Editing your Data in CLOUD

• Golden Soundings in CLOUD

• Saving your Edited Data in CLOUD

• Exporting Graphics from CLOUD

• CLOUD Playback


Golden Soundings in CLOUD

Golden Soundings are soundings or a series of soundings whose positions are used to generate Point, Line or Area features that are designated as more important than other project data. They are stored as point, polyline or poly-polygon features in a project-specific Golden Soundings database and listed in the Project Items list. You can closely examine, modify and delete your golden sounding records in the GOLDEN SOUNDING EDITOR.

In HYPACK, programs that support golden soundings either write them to the database or read them from the database, but not both.

Note:Golden soundings are visible in the programs that write them only until you close that program.

Programs that Support Golden Soundings

Function | Program
Write | •SINGLE BEAM EDITOR •64-bit HYSWEEP EDITOR •SB SELECTION •SORT •TIN MODEL •CLOUD
Read | •HYPACK •HYPLOT

To mark golden soundings in CLOUD, use the sounding selection tools to select the soundings you want to mark then click the Golden Sounding icon. Golden soundings display as gold pixels.

Marking Soundings in CLOUD—No Golden Soundings (top), Selected (center left), Marked (center right), Resulting Golden Soundings (black) against a Matrix in HYPACK (bottom)

More Information

• Loading your Data in CLOUD

• CLOUD

• Measuring Relative Distance and Bearing in CLOUD

• Editing your Data in CLOUD

• Marking Targets in CLOUD

• Saving your Edited Data in CLOUD

• Exporting Graphics from CLOUD

• CLOUD Playback


Saving your Edited Data in CLOUD

If you load an HS2 file (32-bit only) or HS2x (64-bit only), you may also save your edited results to HS2 or HS2x format respectively.

Regardless of the number and type of files you load to CLOUD, you can save the data back to the original format or XYZ format for use in other HYPACK programs, or to LAS format for export to third-party point cloud programs.

• [image] To overwrite the files originally loaded, click the Save Icon.

• [image] To save the data back to the original number and format of the files originally loaded, but with new names, click the Save As icon and enter a name for each file.
If you have loaded multiple files, a File Save dialog will open for each file originally loaded. With this method, you can edit multiple files at the same time and in the context of all of the data sets, but save them individually rather than to one file.

•To save the data to one or more XYZ files,

•Save all of your data to one XYZ file when no grid is configured. If you have applied new colors from a geo-TIF or PNG, each record in the XYZ output contains 6 or 7 values: X, Y, Z, intensity (if we have it), R, G, B; both have an XYZ extension.

i. Click the Save as XYZ icon. A File Save dialog appears.

ii.Name your output file and click [Save].

•To save the deleted soundings to a separate file, select FILE-SAVE DELETED TO XYZ, name your file and click [Save].

•Save all of your data to one XYZ file when you have configured a grid:

i.Verify or configure your grid specifications in the Grid Control dialog.

ii. Click the Save as XYZ icon. The Save As XYZ dialog appears (only when you have accessed the Grid Control dialog).

Save As XYZ Dialog

iii.Select Save all to XYZ.

iv.Click the [...], set your output file name and location.

v.Click [OK].

•Save one XYZ file for each cell defined in the Grid Control:

i.In the Grid Control, set the number of columns and rows in your grid.

ii. Click the Save as XYZ icon.

iii.Select Save Grid to XYZ.

iv.Provide the root name for your output files and click [OK].

The program automatically names each file, appending the column and row number of the cell to the root name (eg. CloudGrid_1,1.xyz, CloudGrid_1,2.xyz, CloudGrid_2,1.xyz and CloudGrid_2,2.xyz) and stores them in the project Sort folder.

More Information

• Loading your Data in CLOUD

• CLOUD

• Measuring Relative Distance and Bearing in CLOUD

• Editing your Data in CLOUD

• Viewing your CLOUD Using a Grid

• Marking Targets in CLOUD

• Golden Soundings in CLOUD

• Exporting Graphics from CLOUD

• CLOUD Playback


Exporting Graphics from CLOUD

The toolbar includes icons that enable you to export your model in a graphics file format. You can export:

•A georeferenced *.TIF file which can then be used as a background file in HYPACK, SURVEY, DREDGEPACK or HYPLOT.

•Screen captures in BMP format.

•Screen captures to a web page (*.HTML format).

•Printed screen captures.

More Information

• Exporting Georeferenced TIF Files from CLOUD

• Exporting your CLOUD Model as a BMP Image

• Exporting your CLOUD Model as a Web Page

• Printing a Screen Capture of your CLOUD Model


Exporting Georeferenced TIF Files from CLOUD

To create a georeferenced TIF all rotation angles must be set to zero. If the model is rotated in any direction, the icon will be disabled. You must go to the Setup dialog and reset them to zero before you can export a georeferenced TIF.

1.Click the Geo-TIF Icon on the toolbar. The Geo-TIF Settings dialog will appear.

Geo-TIF Settings Dialog

2.Name your file and set your resolution.

•[File…] presents a File Save dialog for you to name your file (including the path where it will be stored). The default path will be to your project folder

•Resolution adjusts the level of detail in the resulting file. A smaller resolution creates a larger, more detailed file. Your task is to choose a resolution low enough to provide the detail you require without creating an overly large file. The size of the resulting TIF will automatically update according to the given resolution.

3.Click [OK]. CLOUD will create a georeferenced TIF file from the contents of the CLOUD viewing screen. You can then load it to HYPACK as a background file.


Exporting your CLOUD Model as a BMP Image

To save a screen capture of a model, regardless of its rotation, to a BMP file, click the Snap Shot icon in the toolbar. A dialog will appear for you to name your image. These are for visual reference only. They can not be used as background files in HYPACK.


Exporting your CLOUD Model as a Web Page

You can export the current CLOUD display, in HTML format, to a user-defined folder, then use the exported HTML files to provide remote viewing of your current data in a browser or incorporate them into a Web page.

To generate the files for a web page, select FILE-EXPORT-WEB EXPORT, browse for the folder to which the files should be stored and click [OK]. The required files are stored to the selected location, ready for upload to your server.

Tip: Store the output files to a dedicated folder to keep the files together.

Cloud (left) and Browser (right)

In the browser, you can manipulate the display for optimal viewing:

Manipulating Your Browser Display

Tasks | Keyboard | Mouse
Zoom in/out | +/- | Wheel up/down
Rotate on X Axis | Up/down arrows | Click and drag up/down
Rotate on Z Axis | Left/right arrows | Click and drag left/right
Pan |  | Right-click and drag
Increase/Decrease Z-scale | Page up/down |


Printing a Screen Capture of your CLOUD Model

To print a screen capture, just click the Print Screen Icon [image]. A screen capture is sent directly to your default printer.


CLOUD Playback

The playback feature draws the data, one swath at a time, to the screen to simulate the map display during survey.

1. Launch the playback window by clicking the Playback icon.

CLOUD Playback

2.Load the data files you want to replay. The program supports HS2, HS2X, XYZ, matrix and LOG files of either HS2, HS2X or All format.

•Load the first file using the Clear and Load icon.

•Load any additional files using the Append icon

•Unload all files using the Remove All icon.

File Loading Controls —(From left to right) Clear and Load, Append, Remove All

3.Select the drawing mode.

•OpenGL: Supported by most newer computers. Try this option first.

•GDI: Older digital drawing method. Use this method if the OpenGL method doesn’t draw smoothly.

4.Play the data. Use the play controls to start and stop, speed up and slow down.

Playback Controls—(From left to right) Play/Pause, Slow Down, Speed Up

Note:Playback supports all CLOUD keyboard controls that shift and rotate the display.

More Information

• Loading your Data in CLOUD

• CLOUD

• Measuring Relative Distance and Bearing in CLOUD

• Editing your Data in CLOUD

• Marking Targets in CLOUD

• Golden Soundings in CLOUD

• Saving your Edited Data in CLOUD

• Exporting Graphics from CLOUD


SBET EDITOR

In the SBET EDITOR, compare the SBET elevations with the POS MV true heave elevations. They should be the same, but offset by the tide. When they are obviously different, use the SBET EDITOR to interpolate across that range. The SBET EDITOR removes the bad data and automatically superimposes the heave motion on the interpolation. (The result is not a straight line as you would see when block editing heave in the editor). Save your interpolated SBET data and use them in multiple editing sessions.

1.Open the SBET EDITOR. You can access the SBET EDITOR through the HYPACK (UTILITIES-FILE WORK) menu or through the 64-bit SINGLE BEAM EDITOR or 64-bit HYSWEEP EDITOR (TOOLS-SBET FILE EDITOR).

2.Load a SBET file (*.OUT). Click the corresponding [...] and select the required file.

3.Load one or more corresponding True Heave files in the same manner. (Typically *.000, but may be *.001, *.002, etc.)

Sample Data in the SBET EDITOR

4.Set your display options:

•Depth Tic Increment draws horizontal dotted lines spaced accordingly to provide visual scale.

•Show Original Data displays the uninterpolated SBET data in gray.

Tip: Clear the Show Original Data option during editing as it significantly slows the program. Use it to intermittently review your results.

5.Scan through the data for areas where the SBET drifted.

•Mouse Wheel: Zoom in or out.

•Right Button Drag: Pan.

•Shift Right Button Drag: Vertically pan only the heave graph. This is useful in that it overlays heave, which is by definition centered at zero, with SBET elevation, which shifts with water level.

6.Mark the extents of the SBET drift. Click and drag horizontally from start time to finish time.

7.Click [Interpolate]. The data should now be more perfectly aligned. The difference between the interpolated SBET data and the true heave should be the tide correction.

After the Interpolation Original Data Shows in Gray

Tip: If the results are not as expected, you can reverse the interpolation: The Undo icon (left) reverses each interpolation in reverse order that they were performed. Alternatively, with the Undo Selection icon (right), you can select a range in the graph and reverse the interpolation only in the selected area.

8.Continue scanning and interpolating the SBET data until all drift in the SBET data is corrected.

9.Save your corrected SBET data. Click [Save As] and name your file.

•If you have accessed the SBET EDITOR through an editor interface, it automatically suggests that you progress immediately to the POSPac Adjustment routine.

PosPac Adjustments Option

•If you have accessed the SBET EDITOR through the HYPACK menu, load your survey data into the editor and apply the interpolated SBET data using the POSPac Adjustment routine.

a

More Information

• Recalculating POS MV Data from POSPac Raw Data in the 64-bit SINGLE BEAM EDITOR

• Recalculating POS MV Data from POSPac Raw Data in the 64-bit HYSWEEP EDITOR


DATA SPLITTER-JOINER

The DATA SPLITTER-JOINER is designed for you to define the segments of your RAW or HSX data that are useful for your survey and generate a new line set from the chosen segments. (You can, optionally, generate a separate line set with the unselected data.)

The program was initially designed convert long serpentine lines of unmanned vessel missions into a more conventional line file set removing the data on sharp turns and eliminating redundant data from any overlaps in the original data set.

1.Configure your display. When you load your data files in the DATA SPLITTER-JOINER, the program shows the selected survey tracklines overlaid on project files currently enabled in your project.

2.Open the DATA SPLITTER-JOINER. Select UTILITIES-FILE WORK-DATA SPLITTER-JOINER.

3.Load your data. Click [Load Files], select one or more HSX or RAW files and click [Open]. You can load individual files or a catalog file. The track lines for your data appear with any enabled project files in the Display window.

DATA SPLITTER-JOINER—Main Window (left), Display Window (right)

An additional window of tool tips appears to guide your work in the Display window.

[Resize Graph] zooms the graphic to the extent of the selected data.

Show Side Scan Swath: If you have loaded side scan data, you may also overlay a matchstick diagram of the side scan coverage.

Side Scan Swath Overlaid on Selected Survey Data

4.Define your segments. Use your cursor as follows to define each segment.

Adjusting your Line Set

Task | Method
Add a line | Double-click and drag on the second click.
Lengthen/Shorten a line | Drag the start- or end-line markers.
Delete a line | Double-click on either end of the line.
Delete all lines | Click [Delete All Lines] in the main window.

Alternatively, you can clip the original tracks to a user-defined area, then use the cursor to adjust the resulting segments:

a.Make a preliminary clip and preview the results.

•To clip with your cursor, click at each waypoint and double-click at the last waypoint location. The program closes the defined polygon.

•To clip to a border file, click [Border Select] and select a border file representing the trim area.

The program updates the display to show the proposed output: the circles show the start and end points. Green shows the proposed output data files.

Initial Clipping—Drawing the Polygon (left), Result Preview (right)

b.Adjust preliminary output as necessary until the green lines reflect your preferred output.

Adjusted Line Set

5.Generate your selected data files. Click [Create Files] and name your catalog. The program generates the catalog with the defined HSX files (LOGName_Number.HSX).

In this example, DATA SPLITTER-JOINER was used to trim the turn segments beyond the survey lines and to remove the diagonal segments from its start position to the start of the first line, and its return to the start position from the last end line.

Resulting HSX Files—Line “0003” has two segments because each of the original files occupied part of the defined output line.

6.Generate data files with the trimmed data. (Optional.) This dataset represents only the data that was unselected (red).

a.Save Unselected option.

b.Click [Create Files] and provide a second catalog file name.

The two datasets, together, represent the full, original dataset.

More Information

• Border Files


DATA CONVERTER

The DATA CONVERTER converts side scan data between third-party formats and the HYPACK HSX format. These conversions enable data sharing between HYPACK and other side scan packages.

The following conversions are supported by the DATA CONVERTER:

•Most third-party side scan formats to HYPACK HSX

•HYPACK HSX to GSF or XTF

The DATA CONVERTER also provides some tools with which you may do some examination of XTF records and make small adjustments.

More Information

• Converting Side Scan Data to HSX Format

• Converting from HSX

• HSX Utilities

• XTF Utilities

• Additional Utilities


Converting Side Scan Data to HSX Format

Conversion to HYPACK HSX format enables you to load your side scan data to the TARGETING AND MOSAICKING program, even though you may have collected it using another tool.

Note:The HYPACK TARGETING AND MOSAICKING program can read XTF format side scan data directly; however, to process bathymetry in XTF files, you must use the DATA CONVERTER to convert them to HSX format, which you can process in the HYSWEEP editors.

The DATA CONVERTER uses mean and mode averages to downsample (bin) the input data.

The program accepts:

•3dss-dx: Ping DSP

•ALL: Kongsberg Simrad EM3000, 3002, 2040, 710 models

•7k, s7k: Reson single and dual-head

•81s: Imagenex Sportscan side scan

•83p: Imagenex Delta T bathymetry

•878: Imagenex side scan

•CM2: CMAX side scan

•D1P: Imagenex bathymetry

•GPX:

•GSF: Generic Sensor Format

•IMG: Applied Signal Data Files

•JSF: Edgetech JStar side scan

•LOGDOC: Tritech Starfish

•MST: Marine Sonic side scan

•Raw or XTF: R2Sonic bathymetry

•SDF: Klein 3000 and 5000 series side scan and bathymetry

•SXI, SXP: SwathPlus files

•TDY: Teledyne Odom side scan with snippets and bathymetry

•TIL: Kraken side scan and bathymetry

•XSE: Elac Hydrostar files

•XTF: Benthos C3D bathymetry

•XTF: Qincy QPS bathymetry

•XTF: Reson or Odom bathymetry

Note:HYPACK also includes a separate conversion utility, provided by Humminbird, which converts Humminbird *.SON data files to HYPACK *. XTF format. (Humminbird data cannot be logged and displayed by HYPACK in real time.)

Once the data is converted, processing in the 32-bit HYSWEEP EDITOR or 64-bit HYSWEEP EDITOR and TARGETING AND MOSAICKING is no different than using a file collected in HYPACK.

1.Launch the program by selecting SIDE SCAN – DATA CONVERTER.

2.Select the ‘…To HSX’ tab.

Sample Conversion in the DATA CONVERTER

3.Click [File…] and select your raw data files. If you have multiple files, you can load them together by selecting multiple files in the File Select dialog.

Note:You may have to select your file of type before your files will appear for selection.

4.Configure your conversion.

a.If you want the program to generate a catalog file that includes all of the output files, check the Write Log File option. Name the Log file by clicking the […] and entering a name.

b.Set your Position Conversion. Select your ProjectName.ini or the project survey32.ini file to use the settings in your current project.

c.Limit HSX File Size: If your converted file will exceed the user-defined limit, the converter generates multiple files, each smaller than the specified limit. They will be named ‘RootName.HSX, RootName_1.HSX, RootName_2.HSX...until all of the input data has been converted.

d.Set device-specific options. Click [Setup] and set the conversion options required. Not all data require these options.

5.Choose whether to send the resulting file to the DATA SPLITTER-JOINER program. The DATA SPLITTER-JOINER is designed for you to define the segments of your HSX data that are useful for your survey and generate a new line set from the chosen segments. (You can also generate a separate line set with the unselected data.)

6.Click [Convert]. The progress of the conversion is displayed in the window at the bottom of the dialog. The files generated are saved in the same directory as the input files.

Note:Files that span midnight are broken into two files at the point of midnight. The data following midnight is saved to a file of the same name with an “_A” extension.

the program divides dual frequency data by frequency and stores it to the same file name with “_high” and “_low” appended.

The program uses PSI records from C3D data to calculate sensor depth and saves it as draft in the HSX file output.

More Information

• HSX Conversion Options for PingDSP 3dss-dx Data

• HSX Conversion Options for Benthos C3D Data

• HSX Conversion Options for CMax CM2 Data

• HSX Conversion Options for IMG Data

• HSX Conversion Options for Edgetech JSF Data

• HSX Conversion Options for Imagenex 83P Data

• HSX Conversion Options for Marine Sonic MST and SDS Data

• HSX Conversion Options for Klein 3000 and 5000 Series SDF Data

• HSX Conversion Options for Reson, Qinsy or Odom XTF Data

• HSX Conversion of Reson 7K Data

• HSX Conversion Options for Kraken TIL

• HSX Conversion Options for Kongsberg Simrad ALL Data

• HSX Conversion Options for R2Sonic RAW

• HSX Conversion Options for SEA SWATHPlus SXI or SXP Files

• HSX Conversion Options for Teledyne-Odom TDY Data

• HSX Conversion Options for GSF Data

• DATA SPLITTER-JOINER


HSX Conversion Options for Benthos C3D Data

The following settings are used to convert Benthos C3D data to HYPACK HSX format:

Setup to Convert Benthos C3D Data

Binning Tab:

Equal Angle: For Rev 1 or 2 data.

•Max Angle: Data beyond this angle is not recorded.

•Beam Angle Size: Angle range per beam.

(EQ 1) Number of beams = Max Angle/Beam Angle Size.

Multiply by 2 if you are recording both port and starboard.

Equal Distance: For Rev 1 or 2 data. Choose your swath range and beam size.

Number of beams = swath range/beam size.

Beware!The 32-bit HYSWEEP EDITOR limits the beam swath to 1440 beams while the 64-bit HYSWEEP EDITOR limits the swath to 4995 beams. Number of Beams = 2 (Max Angle)/(Beam Angle )
Enter values such that number of beams do not exceed the limit in your editor.

Navigation Heading Tab:

•Navigation Source: The field to which position data has been saved in the output string. Most users output to the Sensor field.

•Heading Source: The field to which the heading is output. Most users output to the Ship Gyro field.

More Information

• Converting Side Scan Data to HSX Format


HSX Conversion Options for CMax CM2 Data

This conversion generates separate POS records for each GPS device connected to the sonar device. If there is more than one GPS, this enables you to choose which to use in TARGETING AND MOSAICKING. It also generates additional position records to reflect layback included in the CM2 data.

The following settings are used to convert CMax CM2 data to HYPACK HSX format:

Setup to Convert CMax CM2 Data

•Use Nav from CM2 File NMEA data reads

•Merge Navigation from CSV File is selected if your CM2 data does not include the GPS NMEA data. Use the […] button to browse for the CSV file that corresponds to your CM2 data.

A CSV file is a text file with comma delimited data in the following format: Date, Time, Easting, Northing, Heading

Where: Date is expressed as mm/dd/yyyy and time is expressed as hh:mm:ss. We use the CSV extension to support files our users may generate from MicroSoft Excel spreadsheets, but you may enter any text file name in the File Select dialog.

Use the […] button to browse for the CSV file that corresponds to your CM2 data.

Note:When merging a CSV file, you can only do one file at a time. Select one CM2, and then one CSV file for navigation.

More Information

• Converting Side Scan Data to HSX Format


HSX Conversion Options for IMG Data

The program reads the bathymetry data from the IMG records. No side scan data is recorded to your HSX data.

IMG Setup Dialog

The Automatic option creates a file with the maximum number of beams (1440), fitting the footprint to the appropriate swath width for the HSX records.

The Manual: Choose your swath range and beam size.

Number of beams = swath range/beam size.

Note:The converter will not create points during the binning process. If there’s nothing to put in the cell, the data is reported as a zero depth.

Beware! The 32-bit 32-bit HYSWEEP EDITOR limits the beam swath to 1440 beams. Number of Beams = 2 (Max Angle)/(Beam Angle )
Enter values such that number of beams ≤ 1440. The DATA CONVERTER can output up to 4995 beams which can then be processed in the 64-bit HYSWEEP EDITOR.

Use optimistic binning: Includes data with a quality of zero in all bins.

Device mounted on a towfish: Select this option if data was recorded from a towed sonar. Clear the checkbox for hull-mounted sonar.

More Information

• Converting Side Scan Data to HSX Format


HSX Conversion Options for Edgetech JSF Data

Edgetech JSF data supports side scan, sub-bottom and bathymetry data. The following settings are used to convert Edgetech JSF data to HYPACK HSX format.

Setup to Convert Edgetech JSF Data

The JSF setup options enable you to apply layback to your data if your device was towed.

Edgetech JSF Setup Tab:

•Layback Options:

If you are towing your side scan, check the Apply Layback option and one of the calculation methods provided. Layback is not applicable to side-mounted side scan devices.

•Stored value uses a layback value stored in the JSF file.

•Cable out and fish depth from data uses the cable out and fish depth values from the JSF file to calculate layback.

•Use Cable Out and Catenary Factor uses the cable out from the JSF file and a user-defined catenary factor to calculate layback.

•User Entered Value in Meters tells the program to assume a fish on the water surface at a constant, user-defined distance.

•Navigation Processing: The JSF sometimes skips navigation positions. The Interpolate option adds a position for every ping, so each position is unique for each side scan ping.

•Navigation Source: Normally, position data is stored in the datagram, but it can be stored to a NMEA string in the JSF file.

Heading Filter Strength: Designed for towed sensors or sensors on autonomous underwater vehicles (AUVs), this option provides an alternate heading based on course made good with which the program calculates layback. It generates no GYR record. This is particularly helpful in processing multibeam data in the 64-bit HYSWEEP EDITOR. Enter a number of positions on which the heading will be calculated. “Off” disables this feature.

•Data Scaling: Scaling may be used to reduce the file size of your logged data. The disadvantage is that it also decreases the resolution. Typically, you won’t scale data.

•Eliminate partial pings: Check this option when your device is set to generate output files of a specific size, which can result in incomplete data in the last ping.

•Ignore course valid flag: Check this option when all of the quality flags for heading indicate the heading is bad which eliminates all data from the conversion.

•Dual Frequency options provide the choice to combine the two frequencies into a single HSX file or to generate one file for each frequency.

•Store Bathymetry Records (RMB): Check this option when your side scan generates both side scan and bathymetric data. You must also specify the footprint size in the Binning tab. Each bin is limited to 4995 samples.

•Store Sub-bottom to SEGY File: Select this option to extract the sub-bottom data to a SEGY file which can then be processed in the HYPACK SUB-BOTTOM PROCESSOR.

Important: If you intend to process your SEGY data in the HYPACK SUB-BOTTOM PROCESSOR, choose the Little Endian option.

Binning Tab:

Note:The converter will not create points during the binning process. If there’s nothing to put in the cell, the data is reported as a zero depth.

Binning Tab

Equal Angle: For Rev 1 or 2 data.

•Max Angle: Data beyond this angle is not recorded.

•Beam Angle Size: Angle range per beam.

(EQ 2) Number of beams = Max Angle/Beam Angle Size.

Multiply by 2 if you are recording both port and starboard.

Equal Distance: For Rev 1 or 2 data. Choose your swath range and beam size.

Number of beams = swath range/beam size.

Beware!The 32-bit HYSWEEP EDITOR limits the beam swath to 1440 beams while the 64-bit HYSWEEP EDITOR limits the swath to 4995 beams. Number of Beams = 2 (Max Angle)/(Beam Angle )
Enter values such that number of beams do not exceed the limit in your editor.

Use All Binned Points in rev3 JSF data which is binned in the sonar firmware during acquisition. If there is information that can be used during acquisition that better decides the good points, binning at that point is better. Also, the file sizes are smaller and processing is quicker. There is no binning by HYPACK.

When you use binned JSF data, you can use the full data set (Use Full Swath) or omit the outer beams:

•Crop Ground Range uses the user-defined distance from the center of the swath.

•Crop to Percent of Ground Range uses the user-defined percentage from the center of the swath.

More Information

• Converting Side Scan Data to HSX Format


HSX Conversion Options for Imagenex 83P Data

The following settings are used to convert Imagenex 83P and 878 data to HYPACK HSX format.

Setup to Convert Imagenex 83P Data

Output attitude data: Check this option to include the heave, pitch and roll data from the 83P output.

Heading Filter Strength: Designed for towed sensors or sensors on autonomous underwater vehicles (AUVs), this option provides an alternate heading record (GYR) based on course made good. This is particularly helpful in processing multibeam data in the 64-bit HYSWEEP EDITOR. Enter a number of positions on which the heading will be calculated. “Off” disables this feature.

If data intensity is available, the program stores it in the RMB records.

More Information

• Converting Side Scan Data to HSX Format


HSX Conversion Options for Marine Sonic MST and SDS Data

The following settings are used to convert Marine Sonic MST and SDS data to HYPACK HSX format.You can convert one type or both at once, if necessary.

Setup to Convert Marine Sonic Data

The MST purposely splits the file to 1Kb each, which generates multiple files for each line. The Output all selected files to one HSX file option rejoins the data in one file.

More Information

• Converting Side Scan Data to HSX Format


HSX Conversion Options for Klein 3000 and 5000 Series SDF Data

The following settings are used to convert Klein 3000 and 5000 series SDF data to HYPACK HSX format.

Klein SDF Setup:

Setup to Convert Klein SDF Data

Dual Frequency options: Choose to combine the two frequencies into a single HSX file or to generate one file for each frequency.

Navigation: The field to which position data has been saved in the output string. Most users output to the Sensor field, but if the SDF file includes both ship and sensor position, we can store both in the HSX file.

•Use Fix Time: Select when positions are coming from page headers. Clear this option when positions are coming from the SDFX extension which have their own time tags.

•Sensor reads position from the sensor field.

•Ship reads position from the Ship field.

•Layback: Reads the actual towfish position from the SDF data.

•GPX Insertion: Loads up a separate navigation file to replace the existing navigation from the SDF file.

Pressure Reading (for depth of the 5000 series devices): Provide the specifications (minimum and maximum voltage and maximum pressure) for your pressure sensor using one of the following methods:

•Select User Entered and manually enter the information.

•Select From File and the program reads the information from the raw files.

Bathymetry: If you want to store the bathymetry data, check ‘Store Bathymetry’ and configure the related options.

•Port and Starboard options enable you to record either side or both.

•Minimum Angle cutoff removes nadir region data.

•Ignore Beams Below: Filters points with less than the specified value before the binning process.

•SNR Value (dB): Signal-to-noise ratio. A value of 8 is a good start.

•Quality Value (%):

•Transducer Angle Installation: The declination angle of the transducers.

•Use towed system defaults (port=-20, starboard=20)

•Use file header values reads the offset information from the SDF file.

•Use custom offset values: Define your own offsets.

Note:Use negative values for the port offset.

•Attitude:

•Apply Roll Vector from SDF: Typically, this option is checked. Clear this option to output uncorrected bathymetric data. In this case, the 32-bit HYSWEEP EDITOR then uses the HCP records which contain the average roll for the ping.

•Override Draft: Use this option when and incorrect draft is included in the SDF file.

Data Scaling: Applicable to the interferometric data only. Scaling may be used to reduce the file size of your logged data. The disadvantage is that it also decreases the resolution. Typically, you won’t scale data.

Layback Options:

If you are towing your side scan, check the Apply Layback option and one of the calculation methods provided. Layback is not applicable to side-mounted side scan devices.

•Cable out and fish depth from data uses the cable out and fish depth values from the SDF file to calculate layback.

•Use Cable Out and Catenary Factor uses the cable out from the SDF file and a user-defined catenary factor to calculate layback.

•User Entered Value in Meters tells the program to assume a fish on the water surface at a constant, user-defined distance.

•Heading Filter Strength: Designed for towed sensors or sensors on autonomous underwater vehicles (AUVs), this option provides an alternate heading based on course made good with which the program calculates layback. It generates no GYR record. This is particularly helpful in processing multibeam data in the 64-bit HYSWEEP® EDITOR. Enter a number of positions on which the heading will be calculated. “Off” disables this feature.

Pings to Skip at Start of File: Omits the specified number of pings from the converted data file. Designed to remove data logged before the towfish is headed down line.

Output all selected files to one HSX File: Some sonars output numerous, very short files. Check this option to merge them into one output file named using the root of the first file.

Beware! This option could be in conflict with the Limit File Size to option in the To HSX tab.

Tip: To achieve files of a specified size, create the single HSX file, then use the HSX Utility tab to break it into the desired size or number of parts.

Binning Tab

SDF Setup Dialog - Binning Tab

Equal Angle: For Rev 1 or 2 data.

•Max Angle: Data beyond this angle is not recorded.

•Beam Angle Size: Angle range per beam.

(EQ 3) Number of beams = Max Angle/Beam Angle Size.

Multiply by 2 if you are recording both port and starboard.

Equal Distance: For Rev 1 or 2 data. Choose your swath range and beam size.

Number of beams = swath range/beam size.

Beware!The 32-bit HYSWEEP EDITOR limits the beam swath to 1440 beams while the 64-bit HYSWEEP EDITOR limits the swath to 4995 beams. Number of Beams = 2 (Max Angle)/(Beam Angle )
Enter values such that number of beams do not exceed the limit in your editor.

More Information

• Converting Side Scan Data to HSX Format


HSX Conversion Options for Kongsberg Simrad ALL Data

The following settings are used to convert Kongsberg Simrad ALL data to HYPACK HSX format with corresponding RAW files.

Setup to Convert Kongsberg Simrad ALL Data

Output RAW File: Generates a HYPACK RAW file that corresponds to the HSX file in the same folder as the original ALL file. This provides the GPS parameters required by the 64-bit HYSWEEP® EDITOR to recompute RTK tides.

Output Ellipsoid Height as Tide: The program extracts ellipsoid height or elevation from the GPS data in the ALL files and stores them as tide correction (TID) records in the HSX output files.

Output Sensor Depth: For AUV operations only. It outputs the sensor depth as draft. Thus, when added to the sonar depth, we get the total Z value.

Invert Heave: Reverses the sign for the heave values. Normally, you will not check this option.

Use Raw Bathy Datagram (If available): Generates HSX data that has not been corrected for heave, pitch and roll. You apply HYPACK corrections in post-processing. If this option is selected when no datagram is available, the program makes an XYZ file. Without this option selected, the converter outputs HSX data corrected with Kongsberg Simrad heave, pitch and roll data and ‘flagged’ to prevent you from double-correcting in post-processing.

Use Extra Detections: This uses up to 7 extra detection points designated by the sonar..

Water depth setting: The HYPACK post-processing programs expect depths at different ranges to be measured with different degrees of accuracy: centimeters, decimeters and meters for shallow, medium and deep water respectively. Select the depth range included in your conversion data so the correct multiplier is used for the conversion.

Note:Currently, the only way to properly process AUV data is to make the conversion then load to the 64-bit HYSWEEP EDITOR which extrapolates heading from course over ground.

More InformationMore Information

• Converting Side Scan Data to HSX Format


HSX Conversion Options for Kraken TIL

The following settings are used to convert Kraken TIL data to HYPACK HSX format.

Kraken Setup Dialog

dB or Intensity: Typically you draw Intensity, but you may also draw dB.

Port and Starboard in one Record instructs the program to merge the port and starboard data to one file. For single channel data, clear this option.

More Information

• Converting Side Scan Data to HSX Format


HSX Conversion Options for PingDSP 3dss-dx Data

The following settings are used to convert PingDSP 3dss-dx data to HYPACK HSX format:

Setup to Convert PingDSP 3dss-dx Data

Equal Angle: For Rev 1 or 2 data.

•Max Angle: Data beyond this angle is not recorded.

•Beam Angle Size: Angle range per beam.

(EQ 4) Number of beams = Max Angle/Beam Angle Size.

Multiply by 2 if you are recording both port and starboard.

Equal Distance: For Rev 1 or 2 data. Choose your swath range and beam size.

Number of beams = swath range/beam size.

Beware!The 32-bit HYSWEEP EDITOR limits the beam swath to 1440 beams while the 64-bit HYSWEEP EDITOR limits the swath to 4995 beams. Number of Beams = 2 (Max Angle)/(Beam Angle )
Enter values such that number of beams do not exceed the limit in your editor.

Use All Binned Points: The data is binned in the sonar firmware during acquisition. If there is information that can be used during acquisition that better decides the good points, binning at that point is better. Also, the file sizes are smaller and processing is quicker. There is no binning by HYPACK.

No Binning populates the HSX file with 3000 or more soundings per ping, that can be processed in the 64-bit HYSWEEP EDITOR.

More Information

• Converting Side Scan Data to HSX Format


HSX Conversion Options for R2Sonic RAW

The DATA CONVERTER merges the R2Sonic multibeam raw data with their heave, pitch and roll data and generates HYPACK HSX files with RMB and HPR records.

Align multibeam time messages to position times: Enter the time difference, in hours, between the timestamps from the device and HYPACK time (eg. +2, -3).

Ignore beam quality codes: Converts data strings including those in which the quality code is zero.

R2Sonic Setup Dialog

More InformationMore Information

• Converting Side Scan Data to HSX Format


HSX Conversion Options for Reson, Qinsy or Odom XTF Data

The following settings are used to convert Reson, Qinsy or Odom XTF data to HYPACK HSX format.

Setup to Convert XTF Data

•Navigation: Indicate whether the data is from mounted (Ship) or towed sonar (Sensor).

•Tide Correction instructs the program to read tide information from the input file.

•PDS2000 indicates that you are reading this type of file.

This conversion supports data from PDS2000, Odom Echoscan, Reson 900x, 81xx and 7125 sonars, and the Quinsy dual-head multibeam sonar.

More Information

• Converting Side Scan Data to HSX Format


HSX Conversion of Reson 7K Data

The DATA CONVERTER can convert single head, dual head and multidetect 7K files. There are no setup options to convert Reson 7K data.

More Information

• Converting Side Scan Data to HSX Format


HSX Conversion Options for SEA SWATHPlus SXI or SXP Files

The DATA CONVERTER reads SEA SWATHPlus SXI or SXP data files. The SXI files are logged with the HYPACK HSX data by checking the “Record Raw Message” option on the Connect tab. The program merges the multibeam (RMB) records with the SEA SWATHPlus data (including tide) and generates a new HSX file. The output files are named with the original root name appended with “_forward” (eg. 000_0707.HSX becomes 000_0707_forward.HSX).

SwathPlus Setup:

SwathPlus Setup—Setup Tab (left), Binning Tab (right)

The system has 1 channel to each side and 1 forward. Choose the forward channel. (The port and starboard channels are processed by the 32-bit HYSWEEP EDITOR and 64-bit HYSWEEP EDITOR.)

Align multibeam time messages to position times: Enter the time difference, in hours, between the time-stamps from the device and HYPACK time (eg. +2, -3).

Apply the Following Offsets: Writes these offsets to the header of the output HSX files. You can change them again in the editor program.

Binning Options:

Equal Angle: For Rev 1 or 2 data.

•Max Angle: Data beyond this angle is not recorded.

•Beam Angle Size: Angle range per beam.

(EQ 5) Number of beams = Max Angle/Beam Angle Size.

Multiply by 2 if you are recording both port and starboard.

Equal Distance: For Rev 1 or 2 data. Choose your swath range and beam size.

Number of beams = swath range/beam size.

Beware!The 32-bit HYSWEEP EDITOR limits the beam swath to 1440 beams while the 64-bit HYSWEEP EDITOR limits the swath to 4995 beams. Number of Beams = 2 (Max Angle)/(Beam Angle )
Enter values such that number of beams do not exceed the limit in your editor.

More Information

• Converting Side Scan Data to HSX Format


HSX Conversion Options for Teledyne-Odom TDY Data

There are no setup parameters to convert Teledyne-Odom TDY files to HYPACK HSX format. However, the DATA CONVERTER requires the following output messages in the TDY file:

•TDY RAW

•TDY PROC

•TDY ANGLE-RANGE

•TDY RTA RAW Serial Data

More Information

• Converting Side Scan Data to HSX Format


HSX Conversion for Tritech LOGDOC Data

The program adds the position location to the information of the conversion

No set-up options are required, but you must set the project geodesy in HYPACK before mosaicking the data.

More Information

• Converting Side Scan Data to HSX Format


HSX Conversion Options for GSF Data

Important: The conversion utility can only convert GSF data on 64-bit machines.

GSF Conversion Setup

Beam Width: The beam angle of the sonar. Required only when the GSF file does not include this information.

Add Time Offset to all records: Enables you to convert data with GMT time to local time.

More Information

• Converting Side Scan Data to HSX Format


Converting from GPX or YDFF to HYPACK Raw Format

The To HSX tab also includes a conversion from the GPX string (ECA Group) and YDFF string (SonTek) to HYPACK Raw format.

Though the output is RAW instead of HSX format, the procedure and configuration options are the same as the conversions to HSX. There are no setup options specific to these conversions.

More Information

• Converting Side Scan Data to HSX Format


Converting from HSX

Conversions from HSX to GSF or XTF are provided at the request of some of our users to integrate HYPACK bathymetric and side scan data with their historical data. It supports HSX data from most devices.

In addition, you can merge HSX data with snippet data from 7k, 81x or R2S files to generate a fully populated GSF or XTF file.

In the same manner, you can merge a HYPACK HS2 file with 81x to output only in GSF format. This option has not yet been implemented for 7k or R2S files.

1.Launch the program by selecting SIDE SCAN – DATA CONVERTER.

2.Select the ‘…from HSX tab.

Sample Conversion in the DATA CONVERTER

3.Click [File…] and select your HSX or HS2 data files. If you have multiple files, you can load them together by selecting multiple files in the File Select dialog.

4.Choose the output file format, XTF or GSF, for the conversion. If your input data contains both side scan and bathymetric data, the XTF output may be restricted to only the side scan data.

5.Set your Position Conversion.

•XY reads the coordinates directly from the HSX data.

•HSX Input Units: Select the survey units of the HSX input file.

•Geographic refers to your HYPACK Project Geodesy and outputs your positions in lat./lon.. Select this option then your ProjectName.ini to use the geodesy in your current project.

6.If you are generating GSF files, select your output:

•No snippet data output

•Include snippet data from file combines HSX data with the snippet data from a 7K, 81x and R2S or HS2 data with the snippet data from the 81x.

•Use bathy from K8E file integrates the bathymetric data from the K8E with all of the data in the HSX file. The output XTF file includes the full swath of the K8E data; it is not limited to 1440 beams.

Note:These output files are intended for use in third-party programs only.

7.Click [Convert]. The progress of the conversion is displayed in the window at the bottom of the dialog. The files generated will be saved in the same directory as the input files.


HSX Utilities

The HSX Utilities tab of the HSX REFORMATTER provides some tools with which you may extract subsets of your HSX data or make small timing adjustments.

This process does not overwrite the original data, but generates a new, adjusted data set with "_NEW" appended to the root filename. If more than one adjustment is performed, and additional numeric extension (ex. "_NEW_1") will prevent overwriting previous adjustments to the same data set.

1.Load your input data. Click [File] and indicate the HSX file you want to adjust. You can select either an individual HSX file or a catalog of HSX data.

2.Enter your adjustment criteria.

HSX Utilities Tab

•Time Adjustment Options: Enable the options by pressing the On/Off button, then set your criteria.

•Apply even increment from first to last record calculates the time difference between the first and last record. It then counts the number of records in the file and applies evenly incremented time tags to your records.

•Increment from the first record by: Begins with the time stamp of the first record, then increments each by the user-defined amount.

•Shift every record by adjusts the time on each record by a user-defined constant amount.

•Side scan increment by range/SV using: This option allows you to recalculate the time interval between pings (msec) by adjusting the sound velocity using the following equation:

Ping Interval = 1/(sound velocity/ 2(range scale) )

Note:This option affects only RSS records.

•File Adjustments:

•File Split takes an HSX file containing both multibeam (RMB records) and side scan (RSS records) data. It strips either the RSS or RMB records out and saves the results to a new file with only multibeam or side scan data respectively. The header, as well as all ancillary information (gyro, position, etc) remains intact. The output file is named with ‘_MB’ or‘ _SS’ appended to the file name. This option may be used together with the Split Into option.

•Reduce file sizes to limit breaks your data file into multiple smaller segments based on a user-defined file size. For example, you can break a 50Mb file into five 10Mbfiles by checking this option and setting the limit to 10. The output file is named with ‘_1’, ‘_2’, ‘_3’,...appended to the file name.

•Split Into divides the HSX file into a user-defined number of segments each with an equal number of pings. This option may be used together with the File Split option.

•Reverse Data corrects data collected with the mount in the reverse mode. It swaps the port and starboard bathymetry, handles the motion correctly, and adjusts the intensity and side scan data based on the swapped bathymetry. The program generates a new set of files in the same folder, each with ‘_NEW’ appended to the root name.

Note:The Reduce File Sizes to Limit and Split Into options may be used together with the File Split option.

•Scaled Position Adjustments correct the position drift of AUVs based on periodic GPS positions acquired when the vehicle surfaces. The program applies the offset as a percentage of the total error over the distance traveled, applying the same vector to the entire line.

Enable/disable the options by pressing the On/Off button, then set your criteria.

To adjust a single line, select EOL (End of Line) Offsets and enter the correct end position.

To adjust a catalog of files,

i.Create a text file with the offset information in the format filename, EOL X, EOL Y.

ii.Select From File and use the corresponding [...] to load your text file.

•Update with time, easting, northing or with time, easting, northing, heading: This option enables you to provide position and heading for an AUV (autonomous underwater vehicle). It removes all position and heading records from the input file and replaces them with data from your configuration file.

The configuration file must be a comma delimited text file with each line formatted as Time (in seconds past midnight), X, Y or Time, X, Y, Heading (in degrees).

Beware! Do not use this feature if your HSX includes records from multiple mobiles, the routine removes all of the position and heading records for all of your mobiles.

3.If you are performing one of the first three time adjustments, define which records you want to adjust.

a.Click [Select Records]. A dialog listing all of the data string types in your file will appear.

b.Select those you wish to adjust. (Hold Ctrl to select more than one type.) and click [OK].

4.Click [Process]. The files are saved automatically to the project Raw folder.


XTF Utilities

The XTF Utilities tab of the HSX REFORMATTER provides some tools with which you may do some examination of XTF records and make small adjustments.

XTF Utilities Tab

1.Load your input data. Click [File] and indicate the XTF file you want to adjust.

2.Preview data statistics (optional) by clicking [File Information].

3.Enter your adjustment criteria.

•The Downsample channels to option reduces your data to a user-specified number of samples per channel and saves the result to files named RootName_NEW.XTF.

Click [File Information] to read the number of samples per channel in your data..

Note:Downsampling reduces file size and resolution. You can experiment to find the balance.

Tip: To reduce file size and maintain the highest resolution, use the Reduce File Sizes to Limit option to break each line into multiple files of user-defined size.

•Split Dual Frequencies into Two Files generates separate files, each representing data from one frequency.

•Add these Numbers to Position shifts the vessel position by the amount entered in the lat/lon or North/East fields.

•Swap Sensor and Ship Position.

•Swap Sensor and Ship Heading.

•Swap Port and Starboard Channels: Corrects error caused by reversing port/starboard cables during data collection.

•Copy Sensor Position to Ship Position.

•Copy Ship Position to Sensor Position.

•Reduce File sizes to limit (Mb): Divides each line of output data into file sizes that do not exceed this user-defined limit.

4.Click [Process]. The files are saved automatically to the project Raw folder.

To confirm the conversion, load the converted data to the converter and compare the file information with the original information.


Additional Utilities

In the More Utilities tab of the SIDE SCAN REFORMATTER, you can make the following conversions:

•HS2 or HS2X format multibeam data to XYZ format or XYZ, Time, Date format where the time and date is read from the TND record in the corresponding HSX file. If the HSX file is absent, the program uses the current time and date.

•SEGY Unit Change allows you to change easting and northing to feet to match project geodesy. (SEGY files are, by default, in meters.)

In addition, [File Information] reads the geodesy settings from the header of the Kongsberg Simrad ALL files.

More Information

• Converting HS2 or HS2X to XYZ Formats

• Converting SEGY Units

• Reading File Information


Converting HS2 or HS2X to XYZ Formats

In this conversion, you can choose to output a file for each HS2 or HS2X file, or limit the size so the program outputs multiple files, none of which exceed the user-defined size.

1.Load your input data. Click [File] and indicate the file you want to convert.

2.If you want to limit the output file size, check ‘Split Output into Files of Size’ and enter your size limit.

Tip: Start with 10Mb and see how it works for you.

3.Click [Process]. The progress bar indicates the conversion is in process and, when it is complete, a message will appear listing the resulting files.

More Utilities Tab


Converting SEGY Units

The converter reads the project survey units from the ProjectName.ini. If they are other than meters, which is the default SEGY unit, the program converts the SEGY data to survey units and either overwrites the original data or creates a new file with the converted data. The conversion options are all in the SEGY Unit Change area of the More Utilities tab.

1.Load your input data. Click [File] and indicate the file you want to convert.

2.Provide the project survey units.

a.Check HYPACK Project Geodesy.

b.Click [...] and select the ProjectName.ini from the project folder.

3.Choose whether to overwrite the original data file or create a new file.

4.Click [Convert].

If you chose to create a new file, the program stores the converted data in the same folder "_Convert" appended to the root name of the original file.

Sample SEGY Conversion Results—Original RAW and SEG Files with Converted


Reading File Information

[File Information] reads and displays the geodesy settings from the header of the Kongsberg Simrad ALL files.

Your project geodesy must match the data geodesy to properly convert from the ALL lat/lon positions to project XY positions.


Saving and Restoring Converter Settings

Once you have configured your conversion options, if you expect to use the same options again, you can save your settings and reload them the next time. The program stores all of the settings in all of the dialog tabs to a file with an INI extension. You can save any number of settings files you may need.

To save your conversion options, select FILE-SAVE PRIVATE SETUP FILE and name your file.

To restore your conversion options, select FILE-LOAD PRIVATE SETUP FILE and select the appropriate settings file.


METADATA

In the past, geospatial data collection of any kind focused mainly on the data itself with little regard for documentation. Proper documentation that could answer questions about the content, quality, accessibility and other characteristics of the data did not necessarily exist.

The answers to these questions of content, quality etc. are called metadata. Metadata is, loosely defined by many, as “Data about Data”. Metadata covers four areas:

•Information needed to determine the sets of data that exist for a geographic location.

•Information needed to determine if a set of data fits a specific need.

•Information needed to acquire an identified set of data.

•Information needed to process and use a set of data.

To provide compilers and users of geospatial data with a common set of terminology, the FGDC (Federal Geographic Data Committee) created and approved the Content Standards for Digital Geospatial Metadata.

The FGDC standard is broken down into seven main sections:

Section | Content
Identification Information | Basic information about the data set.
Data Quality Information | A general assessment of the quality of the data set.
Spatial Data Organization | The mechanism used to represent spatial information in the data set
Spatial Reference Information | The description of the reference frame for, and the means to encode, the coordinates in the data set.
Entity and Attribute Information | Information about the information content of the data set, including the entity types, their attributes, and the domains from which attribute values may be assigned
Distribution Information | Information about the distributor of and options for obtaining the data set.
Metadata Reference Information | Information on the how current the Metadata information is, and the possible responsible party.

Metadata can be created in HYPACK with the either of two programs. Metadata created with the FGDC-compliant METADATA program adheres to the FGDC standard.

More Information

• Simplified Metadata Program

• FGDC-Compliant Metadata Program


Simplified Metadata Program

HYPACK also includes a newer, more abbreviated METADATA program that displays a tabbed form, populated with information it reads from your project files. It is a simple process to review and modify the information in the forms and generate your report.

1.Launch METADATA by right-clicking an XYZ file and selecting ‘Metadata...’. The tabbed dialog will appear.

Simplified METADATA

2.Review and edit the content of the forms for your project.

3.Generate the report by selecting FILE-SAVE AS and naming your report. The report will be saved, by default, with a GEN extension to the project folder. it may be read using any text editor.


FGDC-Compliant Metadata Program

All sections and any fields in a section of the standard are either Required, Optional, or required where applicable. To complete a section, all of the required fields under that section must be completed.

In the case of the Standard as a whole, sections 1 and 7 must be “completed” for the file to be compliant with the FGDC standard.

More Information

• Creating Metadata

• Navigation through Metadata Projects and Files

• Metadata Symbols

• Entering Data in your Metadata Report

• Building the *.MET file and Saving the *.GEN file


Creating Metadata

1.Start the Metadata program by selecting UTILITIES-FILE WORK-METADATA.

2.Enter the data in the tree items necessary for your report. Identification and METADATA Reference tree items are the minimum required for creating a METADATA project. Complete also any others that are applicable to the type of report you are creating.

3.Build your Metadata report by selecting PROJECT-BUILD METADATA FILE.

4.Save your data to *.GEN and *.MET files.


Navigation through Metadata Projects and Files

Browsing the Tree View

The tree view can be thought of as a layout of your Metadata project. The view shows all of the sections that are in the standard. Items with the + or - symbols can be expanded or collapsed by clicking the item name or clicking on the + or - respectively.

Some items in the tree view are grouped together with Selection button symbols. Only one item of this “group” can be selected at one time.

Notice the color of the key symbols beside each of the Selection buttons. The items (sections) which appear disabled are not selected and therefore are not considered part of your METADATA project.


Metadata Symbols

The following symbols will appear throughout the METADATA program.

Metadatas Symbols

 | Symbol | Meaning
General |  | Required field or section
 |  | Optional section
 |  | Required where applicable section
 |  | A section which is a member of a group of ‘n’ items
Symbol Overlays |  | The section is complete.
 |  | The section is in progress.
Symbol Modifiers |  | The section is disabled.
 |  | The section itself has no properties.
Other Symbols |  | Selection Button - selected
 |  | Selection Button - unselected

Note:The icon used in ‘Symbol Modifiers’ serves only as an example. All of the other symbols may be modified in the same manner.


Entering Data in your Metadata Report

Every item in the tree that does not have the "..." modifier on the item’s symbol, has a property dialog associated with it. To reach the property dialog for any of these items simply double click on the item in the tree or right click on the item to bring up the pop - up menu and then select Properties. (The pop-up menu does not come up if you have a dialog already displayed.)

Choosing to View the Properties

“Time Period of Content” Dialog from the “Identification” Section

All data entry is done in the property dialogs.

The three buttons on the bottom of every property dialog are always the same ( [OK], [Cancel], [Apply]), however, the contents of each dialog will change according to the item you are on in the tree. The three “standard” buttons always mean the following:

•[OK]: Save changes and close dialog.

•[Cancel]: Close dialog discarding any changes.

•[Apply]: Save changes without closing dialog.

Notice at the top of the ‘Date’ field there is a key symbol. This indicates that the ‘Date’ field is a required entry field. After each of the required entry fields is complete, the tree-item selected for edit is complete.

After saving changes to our data in a property dialog, you may notice changes to the tree item we had selected for editing. If the minimum number of required entries for the current tree - item (indicated by the key symbol) are complete, the symbol for the current tree item will appear with a check mark over it. If some, but not all, of the required entries for the current tree item are complete, then the current tree item will appear with a red dot over it.

These changes will reciprocate up the entire tree. (In some cases the ‘Status’ change of one tree item will cause changes in other items above it.) Notice in the previous figure, the changes in the tree after saving changes to our property dialog.

•The ‘Citation’ and ‘Description’ items under ‘Identification’ in the tree have the Completed (Check Mark) symbol over it.

•The ‘Identification’ item in the tree has the In Progress (Red Dot) symbol over it.

Since the ‘Citation’ and ‘Description’ items are the only items under ‘Identification’ that have been completed the ‘Identification’ item is clearly ‘In Progress’.


Building the *.MET file and Saving the *.GEN file

Building a *.MET file is only possible when you have completed at least the ‘Identification’ and ‘Metadata Reference’ sections. They are complete when the tree view shows red checks on those sections.

A Complete Project

When these conditions are met you will see both [Build All] and PROJECT-BUILD METAFILE become active. (Notice in the Tree view, that both of the required tree-items are complete.)

The Build All Button (left) and the Build Metafile Option Under the Project Menu (right)

*.MET is a Metadata file. This is the Metadata file you build while in the Metadata program. It is a formatted ASCII text file and is compliant to the FGDC standard. A portion of a *.MET file appears as follows:

Identification_Information:

Citation:

Citation_Information:

Originator: David Hodges(Ed.)

*.GEN files are METADATA Project files. This is the file you save while in the METADATA program. It is NOT compliant to the FGDC standard.

At any time when the METADATA program is running, you may save the current METADATA project by selecting FILE-SAVE or by clicking the Save icon. You can save the current project under a new name by selecting FILE-SAVE AS or click the Save As icon. The project will be saved with the *.GEN extension to the project directory.


SEABED STATISTICS

SEABED STATISTICS is the routine where you can define a set of classifications for your project area in a Seabed ID Square.

The Seabed ID Square includes:

•A list of bottom types

•Their corresponding E1 and E2 ranges from the echosounder data. (You have to have a Seabed ID system.)

•A seabed identification color and number for each bottom type.

All of the data is saved to your project in an *.SIX file.

The Seabed ID device driver uses the SeabedID Square during SURVEY, or during postprocessing in the SEABED STATISTICS program, to apply classification numbers for each sounding record according to the E1-E2 range in which it falls. You can use these Seabed ID numbers to color your matrix in SURVEY or HYPACK, or plot your soundings and track lines in HYPLOT. A TIN Model drawn with an XYZid file draws to the screen using Seabed ID colors. You may also export your soundings in limited formats.

SEABED STATISTICS can also read All format data containing seabed ID information (the E1 and E2 data). It can then assign seabed identification codes to each sounding record based on any SIX file and graph the distribution of each data set. The graph indicates the return ranges within which 68% and 95% of the returns fall.

More Information

• Creating a Seabed Square in Seabed Statistics

• Creating Seabed Statistics

• Reassigning Seabed Identification Values

• Exporting from Seabed Statistics


Creating a Seabed Square in Seabed Statistics

Before you can define the square, you must collect some sample data in various parts of your survey area where the bottom compositions differ to determine what bottom types exist and what their corresponding E1 and E2 ranges are. The number of readings necessary will vary depending on how much your survey area varies.

If you are working in the same general area of the world where the geological conditions are similar, it may be possible to use the same square for several projects. However, if the bottom types are significantly different, you will have to create a seabed ID square appropriate to each project area. (You wouldn't use the same square file in the Mississippi delta as you would on the rocky coast of Maine.)

Once you have gathered this information, you are ready to build your Seabed ID Square.

1.Launch the SEABED STATISTICS by selecting UTILITIES- SEABED -SEABED ID.

The Seabed ID window displays five resizable windows that can be toggled on and off through the View menu.

2.Select FILE-NEW SEABED ID SQUARE. The screen will clear, ready for the new information.

3.Load calibration data (optional). You can load your data files or just representative "calibration points" from each bottom type area to guide you.

4.Define your bottom types with their corresponding E1 and E2 ranges. You can load your data files or just a representative "calibration point" from each bottom type area to guide you.

Seabed ID Square in Seabed Statistics

5.Modify the seabed identification colors (optional). SEABED STATISTICS automatically assigns colors to each color range, but you can change them by double-clicking on the sample color to the left of each range description. A color dialog will appear for you to select your desired color.

6.Save the square by selecting FILE-SAVE SEABED ID SQUARE and naming the file. The file will be saved with a SIX extension in the project directory.

Note:You can choose to also save the same colors and ranges to the project's HYPACK Color File (*HCF) which will allow you to display your data using your seabed identification colors.

More Information

• Loading Calibration Data to Seabed Statistics

• Entering Seabed Classification Ranges in Seabed Statistics

• Editing Seabed Squares


Loading Calibration Data to Seabed Statistics

You can enter your sample data files, or manually enter information derived from them, to be displayed in the Seabed ID Square window. This data is useful to guide you while you define your E1 and E2 ranges for each bottom type.

• Loading Calibration Data to Seabed Statistics

• Entering Seabed Classification Ranges in Seabed Statistics

Loading Data Files to Seabed Statistics

Select FILE-ADD MATERIAL then the Raw or All format files from the file selection dialog. When you do this the files are listed on the tree view file list at the left of the main window and displayed in the Seabed ID Square window.

Ideally, there would be one file for each bottom type. Whether you load them individually or using a LOG file, each file will display in a different color (up to 15) in the Seabed ID Square window.

Manually Assigning Colors:

Assign colors manually to each file or to all of the files in the catalog.

1.Right-click on the file or catalog in the tree view.

2.Select ‘Choose Color’ and select your color from the color dialog.

If you have right-click on a catalog, all files contained in the catalog will all be assigned the same color.

Tree View File List

Viewing Sample Data

If some of your data files overlap, you can bring one set forward in the display by right clicking on the name in the tree view and selecting the "Highlight" option.

Unloading Data:

To unload data files from SEABED STATISTICS, right click on the name in the tree view and select the "Remove" option.

Return to Top

Entering Field Samples to Seabed Statistics

To enter a list of field samples, open the Calibration Points tab of Spreadsheet window and enter your bottom types with approximate E1 and E2 values. In this spreadsheet, the Notes field names the sample; it is not the seabed identification.

Entering Calibration Points

A Blank Seabed ID Square with Calibration Points Displayed

Return to Top


Entering Seabed Classification Ranges in Seabed Statistics

In the previous versions of Seabed Statistics, the defined ranges for the roughness (e1) and hardness (e2) identification were rectangular.

Seabed ID Square in Seabed Statistics

Because the scatter from the roughness and hardness readings on a particular surface are not square, we now support “polygon” ranges to better “fit” the scatter areas.

You can define the ranges using one or both of the following methods.

•Manually type the information to the Limits tab of the Spreadsheet window.

a.Create a new range name by pressing the “Add” button on the left side of the Spreadsheet window and typing the name into the space created in the spreadsheet.

b.Define your range by pressing the “Add” button on the right side of the window, once for each point needed to define your range, then manually entering the hardness/roughness (e1/e2) levels that define the range.

As each classification is defined, the corresponding area will be drawn in the Seabed ID Square window.

The Edit Ranges Spreadsheet

The Resulting Seabed ID Square

•Use the cursor to draw the ranges in the Seabed ID Square window.

a. Click the Range Edit Icon on the bottom of the Seabed ID Square window. This will change the cursor to the Range Edit cursor.

b.Define the polygon.

i. Press the “Shift” button. When you press the Shift button the cursor changes to let you know you are adding points. Keep it pressed as you click all the points in the range perimeter.

ii.Click the points around the perimeter of your polygon. As you click on the screen the polygon will be built.

iii.Close the polygon by releasing the Shift key.

To create another new range, press the Shift button again and click the points for the new range.

Return to Top

More Information

• Editing Seabed Squares


Editing Seabed Squares

As you are developing the Seabed Square for your project area, you may need to modify your settings or add new ranges.

1.Load the seabed square into SEABED STATISTICS by selecting FILE-OPEN and choosing the SIX file you wish to edit.

2.Modify your square.

•Define additional ranges.

•Change your current range settings. You can enter new values in the spreadsheet or use the cursor in the Seabed ID Square window.

To change existing range settings:

1.Select the range.

2.When a range is selected, you can add nodes to the border or move the existing nodes.

• Selecting a Seabed Range

• Adding a Node to the Selected Range

• Moving a Node on the Selected Range

Selecting a Seabed Range

1. Enter Range Edit Mode. (Press the Range Edit Icon.) As you move over an unselected range with the mouse you will see a Range Select cursor.

2. Click on any range in the Seabed ID Square window. The cursor will change to the Node Edit Cursor while it is within the selected range and the nodes defining the selected range will be displayed (shown below).

The range on the right is selected (active/current range).

A range can also be selected by clicking on it in the Spreadsheet window.

Return to Top

Adding a Node to the Selected Range

A new node must be added on an existing edge.

1.Press the Shift key. (Remember, new points can only be added with the Shift button pressed.)

2. Move the cursor (with the Shift key pressed) over an edge of the selected range. You will notice the Node Addition cursor.

3.Click on the point where you want to add a node on that edge.

Nodes can also be added by using the Spreadsheet window.

Return to Top

Moving a Node on the Selected Range

To move a node:

•In the Seabed Square, move the cursor over a node point on the selected range. When the cursor changes to the Node cursor [image], click and drag the node to the new position.

•In the Spreadsheet by changing the roughness/hardness (e1/e2) values for that node in the Spreadsheet window. When you select a node either by the Node tool or the spreadsheet window, that node is drawn in white (circled in the previous image) on the Seabed ID Square window.

Return to Top


Creating Seabed Statistics

The second function of SEABED STATISTICS is to read and analyze the E1 and E2 values in the survey data you have loaded to the program, then present statistical information about it. Four windows display the data statistics.

When you load survey data to SEABED STATISTICS:

•The file names are listed in the tree view on the left.

•The statistics are automatically calculated and displayed.

If you have loaded data files that should not be included in the statistical analysis, you must omit them from your display and statistical calculations by right clicking on the name in the tree view and clearing the "Enable" option.

Beware! E1 Distribution and E2 Distribution windows: The distribution of the E1 and E2 values are graphed in the two distribution windows.

E1 Distribution Graph

E2 Distribution Graph

•The Material Statistics display presents the same data in numeric form.

Material Statistics

•The Seabed ID Square overlays the E1 and E2 data on the classification squares.

E1 and E2 overlays the Seabed ID Square

The tools in the Seabed ID Square window enable you to remove any data from the statistical analysis. You can omit selected data points or entire files from your display and statistical calculations.

To omit select data points:

1.Click on the Material Selection Icon (right-most on the toolbar).

2.Drag an area around the data you want to remove with your cursor. The selected points will turn white. If you are not satisfied with the selection, you can:

•Make a new selection by dragging a new area.

•Deselect the data by selecting EDIT-CLEAR SELECTION.

3.Select EDIT-DELETE SELECTED MATERIALS or hit the Delete key. The Material Statistics and the E1 and E2 Distribution displays will all update accordingly.

To omit entire data files:

Right-click on the name in the tree view and clear the "Enable" option.

Note:This does not delete the data from the data files.


Reassigning Seabed Identification Values

The Seabed Square is used by the SeabedID.dll to assign Seabed Identification values to each sounding record. In SEABED STATISTICS, you can reassign these values based on a different Seabed Square. When you do this, SEABED STATISTICS creates a new set of data files with the modified identification numbers.

1.Open the new Seabed Square by selecting FILE-OPEN SEABED ID SQUARE.

2.Load your sounding files by selecting FILE-ADD MATERIAL then the Raw or All format files from the file selection dialog.

3.Select FILE-REMAP MATERIAL. A dialog will appear with a number of options for naming the remapped files.

Seabed Statistics Remap Dialog

•Text Extension sets the extension to be used in naming the files. There are three ways this text can be used. The following table describes each option. The sample names result from using "new" as the text to reassign 041_322.edt which is listed in the FirstOne.log.

•Add File Extension adds a "." followed by your text to the end of your text name. Ex. 041_1322.edt.new, FirstOne.log.new.log

•Change File Extension replaces the original extension with the text. Ex. 041_1322.new, FirstOne.new.log

•Add Text to Filename Beginning begins each file name with your text. Ex. new041_1322.edt, newFirstOne.log

•Save Remapping Results to Log File creates a catalog file listing all remapped files.

4.Enter your settings and click [Remap]. A window will appear with a line-by-line accounting of the conversion and the converted files will be saved to the same folder as the original data files.


Exporting from Seabed Statistics

Once you have configured your seabed square and loaded your survey data to the SEABED STATISTICS program, you can export the information to formats that may be useful in other modules or outside of HYPACK.

SEABED STATISTICS Export Formats

Seabed Data | Output
Selected Sounding and ID data | Text
Seabed ID Colors | HYPACK Colors File (*.HCF)
Legend | Graphic (*.BMP)

More Information

• Exporting Seabed Data to a Text File

• Converting Seabed Identification Colors to a HYPACK Color File

• Generating a Seabed Legend in BMP Format

• Seabed Identification in Mapper


Exporting Seabed Data to a Text File

SEABED STATISTICS can reassign the seabed identification values in your survey data and export selected data to a text file. This does not affect the input data files.

For each record, it reads the E1 and E2 values, refers to the currently loaded Seabed Square to determine the ID number and writes the requested information to the exported XYZ file.

Values available for output include the following data:

Output Options from SEABED STATISTICS

•ID

•X

•Y

•Z1

•Z2

•E1

•E2

To export your seabed data to text:

1.Load your seabed square. The identification numbers exported will be based on this square.

2.Load your edited data files. The depths, E1 and E2 data will come from these files.

3.Select FILE-EXPORT MATERIAL and the XYZ/ID Export dialog will appear for you to choose your export options.

XYZ ID Export Dialog

•Filename: Click the File Open icon and define the path and name for the exported file.

•Fields to Export provides a series of check boxes, one for each type of data that may be included in the resulting text file. Check those that you wish to export along with the Delimiter that will separate each value.

4.Click [Export] and the text file will be created according to your choices.


Converting Seabed Identification Colors to a HYPACK Color File

You can export your Seabed Identification colors from SEABED STATISTICS to your project colors. By doing this:

•SURVEY can color-code the matrix using Seabed ID colors.

•HYPACK can display a seabed matrix using seabed colors.

Exporting your Colors:

•When you save your SIX file, SEABED STATISTICS asks you if you would like to save the color codes to an HCF file (HYPACK Color File) and transfer the seabed color coding to the project color settings. The new HCF file will be named SixFileName_six.HCF.

•Select FILE-EXPORT ID SQUARE TO HYPACK COLOR FILE and naming the file.

In either case, the new HCF file will be saved to the project directory. When you exit SEABED STATISTICS, it will be implemented in the HYPACK display.

In order to avoid confusion, a brief explanation about how this works with seabed identification data is in order.

Each cell in a matrix file actually has space in the matrix code for two depths. (This is what allows us to show the survey depth, dredge depth or the difference between the two values in dredge projects.) When you are collecting seabed identification data, the SeabedID device driver stores the seabed identification number in the first memory space, and the depth in the second.

The HCF file normally specifies the color that goes with each depth range. When SEABED STATISTICS exports the seabed colors to the HCF, it saves a range for each seabed identification number (plus and minus 0.5) with its corresponding color. Since the seabed identification numbers are stored in the first "depth" memory, SURVEY reads it as a depth and colors the matrix accordingly.

Displaying a Seabed Matrix using Seabed ID Colors in HYPACK:

1.Load your seabed colors HCF file to your project.

2.Right-click on the Matrix folder in the Project Files list and select ‘Seabed ID’.


Generating a Seabed Legend in BMP Format

The colors and bottom types defined in a seabed square may be exported to a labeled BMP file. This graphic may then be imported to HYPLOT for use as a legend in the smooth sheet plot.

Seabed Legend

Once you have loaded the seabed square to SEABED STATISTICS, select FILE-EXPORT ID SQUARE TO IMAGE (Ctrl+I) and name your output file in the dialog that appears. The file will be saved, by default, to the project directory.


CROSS CHECK STATISTICS

The STATISTICS program enables you to compute and display the sounding difference between intersecting lines of edited single beam data (All format). The program provides a statistical report showing the standard deviation distribution and average error. The output report contains detailed information for every intersecting point.

•High Mean Difference, Low Std. Dev.: There may be a systemic error that caused all of the check lines to be higher/lower than the normal lines.

•Low Mean Difference, High Std. Dev.: This means that you have an equal number of values in the check lines that are above and below the mean difference. They average out in the end, but there will be large differences in some intersections.

•High Mean Difference, High Std. Dev.: Time to stop the survey and figure out where you’re going wrong.

•Low Mean Difference, Low Std. Dev.: Optimal results. Good job!

More Information

• Running the Statistics Program

• View Options in the Statistics Program

• Cross Check Statistics Report


Running the Statistics Program

Typically, the statistics are calculated based on the intersection of your planned survey lines, regardless of how accurately your survey data follows them.. It is easiest to create 2 sets of lines that each cover your survey area and that run perpendicular to each other.

If you log your data without survey lines, the program assumes a straight line between the first and last position in each file.

1.Create planned lines to cover your survey area. (Recommended)

Sample Planned Lines

2.Collect single beam survey data along each line. The files may be:

•Divided into two log files, one for section lines and one for cross lines. The program runs faster if the section lines and cross lines are assigned to separate catalog files.

•Listed in one catalog file.

3.Start the STATISTICS program by clicking UTILITIES-CROSS CHECK STATISTICS.

4.Open the Input dialog by clicking the Open Files icon. The Input dialog will appear.

5.Fill the Input dialog and click [OK]. The program will calculate the statistics and show the your results on your screen.

a.Enter your Input files by clicking on the corresponding button and choosing them in the File Select dialog. The Input Info dialog requires one or two Catalog (*.log) files. Each file should be entered (with their path) in the corresponding field. (The program will work properly even if the places for section and cross lines are reversed.)
If all files are listed in one catalog file, it is placed in the Section File field while the Cross Line File field is left empty. The program will proceed using only the lines in the Section File.

Note:The LOG files and the Output file must all reside in the same directory.

b.Set the Search Radius—the distance from the intersection point of the planned lines that the program will search for intersecting data. A smaller search radius makes the program execute faster, but choosing too small a search radius will cause you to miss intersection points.

Input Information Dialog

c.Click [OK] and the program displays the depth differences between each pair of survey lines that meet the search criteria.

For each pair of lines, the program interpolates a sounding value at the intersection point and takes the difference between these values for this intersection. Once it has computed all of the intersection values, it runs statistics on all the values to calculate the mean difference and standard deviation. The results are shown in multiple formats:

•In a graphical display

•In a statistical distribution graph

•In a spreadsheet of all intersections.

Graphical Display of the Cross Statistics

6.Save your report. (Optional)

•To save the statistics to a spreadsheet, click the ‘Save Report to File’ icon and provide a name for the Microsoft® Excel® file that will be generated.

•To save the statistics graphic, click the ‘Export to Bitmap’ icon. The Windows® printer window appears for you to send it to the printer.

•To print the statistics report, click the ‘Print’ icon. The Windows® printer window appears for you to send it to your printer.

More Information

• View Options in the Statistics Program

• Cross Check Statistics Report


View Options in the Statistics Program

You can adjust the viewing perspective of the graphic display by clicking the ‘Properties’ icon. The Setup dialog will appear.

Setup View Dialog

The Rotation angles turn the graphic in all directions.

The Z-Axis ratio stretches or shrinks data along Z axis to achieve better view. Choosing negative values allows you to invert data along Z-axis.

Pixel Size will change the size of the soundings on the intersections.

Background Color will change the background color in the data view window.

Line Elevation: Level where the planned lines are drawn in the Statistics diagram. This can be helpful to bring the planned lines closer to the data level.

A series of icons and mouse actions further control your view.

Action | Icon | Mouse Action
Zoom functions | •Zoom In •Zoom Out •Zoom Extents | •Mouse wheel
Rotate |  | •Left drag
Pan |  | •Right drag
Reset Center | •Recenter |


Cross Check Statistics Report

Once you load your data files, the statistics are automatically calculated and displayed.

Sample Statistics Report Display

•Data Set Statistics: Arithmetic Mean, Difference Mean and Standard Deviation are calculated using well-known statistical formulas. They are included, with other statistics about your data set, in the display.

•The standard deviation chart shows the mean absolute difference and the differences out to +/1 3Σ.

•The spreadsheet lists each line pair that intersects, the XY position of the intersection, the depth values of each line at that position and the vertical difference.

•Positive differences show that File 1 data is above File 2 data.

•Negative differences show that File 1 data is below File 2 data.


CHANNEL CONDITION REPORTER

The USACE_RPT program is special utility developed for USACE-New England District, which automatically generates Channel Condition reports.

More Information

• Running the CHANNEL CONDITION REPORTER Program

• Running the CHANNEL CONDITION REPORTER Program


CHANNEL CONDITION REPORTER Interface

Load the program by selecting UTILITIES-FILE WORK-OTHER-CHANNEL CONDITION REPORTER. The screen will contain a blank screen with a menu (top), the Object Editor (on the left) and a tool bar (on the right).

Channel Condition Reporter

The Tool bar assists you in navigating the screen when you have objects displayed.

CHANNEL CONDIITON REPORTER Toolbar

From top to bottom:

•Zoom In

•Zoom Out

•Zoom Window

•Pan

•Zoom Extents

•Rotate Counterclockwise

•Rotate Clockwise

•North Up

•Measure Tool

•Assign Limits

•Select Tool

•Unzoom

The Measure Tool can be used to measure the distance and azimuth between two points in the area map. Just click the Measure Tool icon then click and drag between the two points on the map.

Unzoom can undo the last 20 zoom commands.

The cursor position and zoom ratio is displayed in the status bar.

Accessing the Object Editor:

Click on the book icon. The Object Editor lists all charts and reaches that have been loaded to the project.

Unloading a Chart:

Right-click the chart in the Object Editor and select ‘Unload Chart’.


Running the CHANNEL CONDITION REPORTER Program

1.Start Channel Condition Reporter and open a project. Select FILE-NEW for a new project. (Use FILE-OPEN PROJECT SETTINGS for existing projects.)

2.Create your Channels.

3.Set your Channel Properties.

4.Create your Reaches.

5.Save your Channel and Reach settings.

6.Load your Sounding Data.

7.Determine your Shoal Data.

8.Preview your results.

9.Generate your report.

More Information

• Defining a Channel in the CHANNEL CONDITION REPORTER

• Setting your Channel Properties in the CHANNEL CONDITION REPORTER

• Creating your Reaches in the CHANNEL CONDITION REPORTER

• Setting Reach Properties in the CHANNEL CONDITION REPORTER

• Saving Your Channel and Reach Settings in Channel Condition Reporter

• Loading Your Soundings Data in Channel Condition Reporter

• Determining your Shoal Data in Channel Condition Reporter

• Previewing your Results in Channel Condition Reporter

• Generating your Reports in Channel Condition Reporter


Defining a Channel in the CHANNEL CONDITION REPORTER

1.Load a channel definition file into the project by selecting DIALOGS-CHANNEL DEFINITION (or clicking [CHNL DEF]) and entering the name of your file. A channel definition file may be either of the following:

•A DXF or DGN v7 with, at minimum, the following items:

•A closed polygon which represents the outer limits of your channel.

•A 3-D polylines which represent, at minimum, the center line and top-of-banks for your channel.

•An LNW with lines defining, at minimum, the center line, and top-of-banks.

Note:If you want to report separate shoal depths for the side slope and center channel regions, your channel definition file must also define the toe lines.

When you first load your channel definition file to the screen, the program may do a poor job zooming on the contents. You can use the Zoom Window tool to click and drag around your area until it is an appropriate size.

Primary DGN Loaded to the Project

2.An additional background chart is an optional file that may be loaded to enhance the on screen display. It does not affect the report. Select DIALOGS-BACKGROUND CHARTS and choose the file.

3.If are using a DGN file for your Channel Definition file, select the layers for display. Right-click on the chart name in the Object Editor and select DGN LAYERS. A dialog will appear listing the layers in the chart. Check the boxes for any layer you wish to include. (Right-click in the list area and use the pop-up menu selections to check All or None of the boxes.) [Apply] lets you preview the results of your selections in the map view.

Note:This feature is not available for DXF files; it's all or nothing for them.

DGN Layer Control Dialog

4.Assign Limits to the center line, and inside and outside lines on each side of center.

a.Select TOOLS-ASSIGN LIMITS or the Assign Limits icon and a dialog will appear.

Assign Limits Dialog

b.Choose the Channel Type.

•Single Channel generates a report of information across the entire channel.

•Quarter Half Quarter divides the channel longitudinally into 3 divisions (outside left quarter, inside half, outside right quarter) and presents the data by division.

•Four Quarter does the same with four divisions.

c.Define your channel.

i.Select "Channel Limits".

ii.One at a time, select one of the lines in the dialog to be defined then click on the corresponding line in the map. The selected line will display arrows indicating line direction.

Note:To determine the left and right sides of the channel, imagine that you are standing at the beginning of the center line looking down the channel. Be sure these are defined accurately. If you are unsure, take your best guess, then create your reaches. The first reach divider will appear at the beginning of the center line. If you assigned the limits incorrectly, start over and reverse your lefts and rights.

Tip: It may be easier to accurately select the lines in the map if you have turned off the display of other layers, even if only temporarily, in the Layer Control dialog.

5.If your channel includes a turning basin,

a.Select Basin then click on the basin line on the chart. The Basin Editor will appear.

b.Enter your settings and click [OK].

Basin Editor

The Basin Name is used in the Object Editor file list.

You can check "Override" and set a Basin Depth different than the Channel Depth.

The Gutter creates lines at a user-specified distance inside the basin perimeter. If a gutter is created, the report generated will exclude the data in these zones from the available depths for the channel. The shoalest depths will be footnoted in the report, but they will not be recognized as controlling depths. Excluding the distance along the shore acknowledges and defines sloping banks, and focuses the report on the center navigable area.

Note:At a later time, you can access this dialog to modify these settings by right clicking the Basin Name in the Object Editor and selecting "Properties".

6.Create the Channel. When all of the lines have been assigned, click on [Close] to exit the dialog and store the information.


Setting your Channel Properties in the CHANNEL CONDITION REPORTER

Enter the Channel Properties by selecting CHANNEL-PROPERTIES or clicking [Channel]. The Channel Properties dialog will appear.

Channel Properties Dialog

The Channel Name can be any name you choose with 2 lines available.

Producer Name and Address is included in the header of the final report.

The Survey Date represents the day(s) when you conducted the survey upon which the report is based.

The Project Depth is assigned to the entire channel. You can "over-ride" this value for an individual reach by right-clicking on the Reach name on the map and selecting PROPERTIES. A dialog will be displayed in which you may edit the settings for that reach.

Footnote Configuration: Footnotes list soundings excluded from the available depths for the channel by any Outer Left and Outer Right Distances set in the Reach Properties. The minimum footnote includes the excluded depth and its distance from the left or right channel limit. You can choose to also include the sounding's lat./lon. position in either WGS84 or using local grid coordinates presented in your choice of three Lat./Lon. Formats.

The Shoal Color displays the current color for the shoal soundings display. Click [Shoal Color…] to set a different color.

More Information

• Setting Reach Properties in the CHANNEL CONDITION REPORTER


Creating your Reaches in the CHANNEL CONDITION REPORTER

YOU can divide the channel into any number of reaches. Each reach will be presented with a separate set of statistics in the Channel Conditions Report.

1.Select DIALOGS-MULTIPLE REACHES (or click [Reaches]) and a dialog will appear.

2.Define either the number of reaches you want, or the distance a reach covers.

3.Click [OK] and dividers will be drawn across the channel accordingly.

Reaches Displayed Along the Channel

The properties of each reach will default to the channel property settings, but they may be edited through the Reach Editor.

Insert additional dividers by selecting the Reach Tool and clicking at the position in the channel where you want the new divider.

Delete a divider by right clicking on the handle of the divider and selecting Delete Divider. The remaining dividers will not be renumbered.

Reposition a divider by clicking and dragging the handle in the center of the divider.

More Information

• Setting Reach Properties in the CHANNEL CONDITION REPORTER


Setting Reach Properties in the CHANNEL CONDITION REPORTER

Right-click on a reach handle (or on the reach title in the list on the left) and select "Properties". The Reach Editor will appear.

Reach Editor

Reach ID specifies which divider is described. You can change the name if you wish.

Reach Depth displays the channel depth from that divider to the next. Check Override to enable a change in the depth for that segment only and type in the new depth.

Reach Width and Length are displayed, but may not be edited.

Orientation offers 3 choices:

•Minimum Distance positions the divider at the angle where it crosses the shortest distance between the outside left and right lines of the channel.

•Perpendicular positions the divider perpendicular to the outside lines.

•Set Angle enables you to set the angle at which the divider crosses the channel.

Note:The divider must cross the outer left and right sides. If the orientation entered does not allow this, the divider orientation will not change.

OLT (Outer Left) and ORT (Outer Right) Distances may be specified for each reach. This option creates longitudinal lines at the specified distances, parallel to the left and right toe lines respectively. If these are created, the report generated will exclude the data in these zones from the available depths for the channel. The shoalest depth in these zones, if less than project depth, will be footnoted in your final report. (They will be totally excluded from the Segment Review.) Excluding the distance along the shore acknowledges and defines sloping banks, and focuses the report on the center navigable area.


Saving Your Channel and Reach Settings in Channel Condition Reporter

Save your Settings by selecting FILE-SAVE PROJECT or FILE-SAVE PROJECT AS and naming your file. The information you have set so far is saved with an RPT extension. For future reports for this same channel, you can save time by selecting FILE-OPEN PROJECT and select the RPT file to get to this point in the process.


Loading Your Soundings Data in Channel Condition Reporter

Load your Soundings data file. Select DIALOGS-LOAD SOUNDINGS (or click [XYZ], select Load Soundings) and select your file. The CHANNEL CONDITIONS program supports the use of either a HYPACK XYZ file or a DGN version 7 file. Typically, this file will be a sorted HYPACK File. All of the soundings in the file will be drawn to the screen without regard to overwrites.

Note:Soundings are not saved when you exit CHANNEL CONDITIONS REPORTER. Even if the project settings are saved, the soundings must be reloaded each time you re-open the project in the program.

Soundings Loaded to the Project

• Sounding Display Settings

• Inverting Depths in the CHANNEL CONDITION REPORTER

Sounding Display Settings

Display settings are defined in the Sounding Display dialog. Select DIALOGS-SOUNDINGS-SOUNDING DISPLAY (or click [XYZ] and select Sounding Display) and the Sounding Display dialog will appear.

Sounding Display Dialog

Hide Sounding over Depth: To omit larger soundings, check the box and specify the depth limit. Soundings larger than this value will not be displayed.

Sounding Display options: Select one or more options to determine which depths appear in the display—All depths, shoal depths, controlling depths and footnoted depths.

To change sounding colors, click [Color Table] and define different color ranges, increments and colors.

To change the color for shoal soundings, click [Shoal Soundings Color...] and choose the color from the Color dialog.

[Apply] allows you to preview the effect of your changes on the sounding display before leaving the dialog. Color changes made here will remain in effect for your project when you close the CHANNEL CONDITION REPORTER.

If you have loaded soundings in DGN format, define which layer of your DGN file to display under ‘DGN Level to Extract Soundings’.

Note:Though the Sounding files must always be reloaded when you re-enter a project in this program, the display settings from the Sounding Display Options dialog are saved with the project settings. If changes are made in the sounding display options, you should save the project settings before exiting the program.

Return to Top

Inverting Depths in the CHANNEL CONDITION REPORTER

If your file is XY(-Z), invert the depths.

1.Load the soundings file.

2.Double-click on the "Charts" item in the Object Editor to expand the tree view.

3.Right-click on the name of the XYZ file.

4.Click "Invert Depths" to negate all to the depths.

Return to Top

More Information

• Project Colors in HYPACK


Determining your Shoal Data in Channel Condition Reporter

Click on [Shoals]. The program will go through the Soundings file and determine the minimum depth in each reach and any other shoals that are less than the project depth as specified in the Properties window.

On the screen display you’ll see different colored depths.

•Red = Controlling Depth

•Yellow = Shoals, deeper than the Controlling Depth, but shoaler than Project Depth. You can choose another in the Channel Properties dialog.

•Blue = These soundings would have been a Controlling Depth, but it lies in an OLT or ORT zone.

Shoals Display


Previewing your Results in Channel Condition Reporter

Preview your report by segments (optional). The results may be viewed, one reach at a time, by clicking [Review]. The Segment Review dialog appears. Select the Reach and, unless you have chosen the single Channel Type, the segment you want. The description, controlling shoal and additional shoals in the defined area will be displayed.

Export your Shoal Depths or your Controlling Depths (or both) to an XYZ format file. Just check the corresponding box or boxes and click [XYZ Output]. Name the output file in the dialog presented and it will be saved by default to the Sort directory of your project. You can view these depths later in the main window by enabling the output file in the Sorted files list.

Tip: Since the XYZ output file does not distinguish between the Controlling Depths and the Shoal Depths, you may wish to export one set of depths at a time so they may be loaded separately for viewing in the main window.

Segment Review Dialog


Generating your Reports in Channel Condition Reporter

Generate your report by selecting REPORT then SCREEN or Text File. This option generates the ER-1130-2-416 Channel Condition Report. Most is self-explanatory. The Depths Available represent the controlling depths of each channel segment.

Note:Any Controlling Depths greater than the Project Depth will be reported as the Project Depth.

You may edit any field in the report. The rows may be adjusted in the spreadsheet using the corresponding buttons.

[Printer] and [Font], display Windows® Font and Print dialogs to perform each of those functions.

A Sample Report Printed to the Screen

You can export this report to an Excel spreadsheet (*.XLS) by clicking [Export Xcel]. The Channel Condition Reporter exports the report data directly into a new worksheet (CCR_mmddyyyy.xls) and stores it in the project folder.


DREDGEPACK

DREDGEPACK enables you to monitor and track digging operations for all dredge types. DREDGEPACK monitors the position and depth of the cutting tool in real time and re-maps the bottom based on the depth and location of the digging tool. The color-coded depth information is displayed in plan and profile views to show the “As Surveyed” and the “As Dredged” depths for millions of cells. This enables you to maximize digging efficiency and provide a record of digging operations.

If you are using a bucket dredge, you can use a bucket pattern display instead of, or together with, the matrix display to track the dredge depths. In capping operations, the bucket pattern display can be used to track how many buckets of soil have been placed in each location.

The DREDGEPACK module is only enabled if you have a DREDGEPACK license. In addition to running DREDGEPACK, your dongle will also enable you to operate several HYPACK functions that are needed to support the program.

Once you have setup your project, you are ready to set up your DREDGEPACK options. The consider the following tasks before you begin to collect data:

•Set the correct geodesy settings.

•Test and calibrate your hardware. Do this before you are far from shore with pressing deadlines.

•Configure the size, position and features of the display windows.

•Load and configure planned survey lines. (Optional) Recommended for survey projects.

•Set the Navigation Parameters.

•Input the Project Information.

•Load and configure any Targets. (Optional)

•Recommended in dredging projects. )

More Information

• SURVEY and DREDGEPACK Preparation Flowchart

• DREDGEPACK Interface

• Running DREDGEPACK

• Windows in DREDGEPACK

• Boat Features in DREDGEPACK

• Charts in DREDGEPACK

• Creating Bucket Charts in the BUCKETS Program

• Corrections in DREDGEPACK

• Logging Data in DREDGEPACK

• Dredge Volume Estimates

• DREDGE STATISTICS


DREDGEPACK Interface

DREDGEPACK Interface

To launch DREDGEPACK, click the DREDGEPACK icon (the ’D’) or select SURVEY-DREDGEPACK.

The DREDGEPACK program loads the information from the current project. It gets geodetic information and hardware information by reading the project’s initialization files. It will load the most recently used planned survey line file (*.LNW) from the current project, as well as any background files and matrix files that are currently ‘Enabled’.

DREDGEPACK functions can be executed through the menus in the shell, the (optional) toolbar, or through keyboard shortcuts.

DREDGEPACK Toolbar

The toolbar is a row of icons that duplicate the function of several of the menu selections. To determine each icon's function, hold the cursor over the icon and a tool tip will appear.

Though color schemes are defined in the SCHEME BUILDER program, you can choose an alternate color scheme to use while you are in DREDGEPACK from the OPTIONS-COLOR SCHEME menu item and DREDGEPACK will immediately assume the new color scheme. This is handy if the environmental lighting changes while you are working as it allows you to change to a more suitable scheme without suspending your work.

More Information

• Running DREDGEPACK

• Windows in DREDGEPACK

• Boat Features in DREDGEPACK

• Charts in DREDGEPACK

• Corrections in DREDGEPACK

• Logging Data in DREDGEPACK

• Dredge Volume Estimates

• DREDGE STATISTICS

• Loading Channel Profile Information

• Matrix Record Options in DREDGEPACK

• Matrix Display Options

• Display Schemes


Running DREDGEPACK

The following outlines a typical DREDGEPACK task sequence.

1.Create a new project in the HYPACK shell.

2.Conduct a predredge survey of your project area.

3.Create a matrix file of your project area and fill it with your predredge survey data.

•XYZ TO MTX and TIN MODEL are the most useful methods for filling matrices as they interpolate data to cover areas where your data is sparse or non-existent. They can therefore create a fully filled, yet quite accurate HYPACK®-type matrix file to guide your dredge project.

•If you do your predredge survey with a multibeam system, you can save your edited data to a matrix in the 32-bit HYSWEEP EDITOR or 64-bit HYSWEEP EDITOR.

4.Enable your matrix in the project. When you launch DREDGEPACK, it automatically loads enabled files.

5.Create and enable a channel template file. (Optional) When you launch DREDGEPACK, it automatically loads enabled files.

6.Configure your hardware. Your GPS and dredging equipment are entered in the HARDWARE program.

7.Create a file to describe your channel design (optional). This provides template information which can be displayed in the Profile window to guide your work. For this purpose, DREDGEPACK can read the following files:

•A Channel Plan file (*.PLN) created in the CHANNEL DESIGN program.

•A Channel file (*.CHN) created in ADVANCED CHANNEL DESIGN.

•A Planned Line file (*.LNW) combined with a channel Template file (*.TPL). The line file, created in the LINE EDITOR, represents only the center line of your channel. The template file, created in the template editor of either CROSS SECTIONS AND VOLUMES or the LINE EDITOR, is aligned with the center line and provides the channel geometry.

•A Matrix file (*.MTX) of the predredge data can also provide guidance for projects that require you to deepen the area by a particular amount relative to the predredge survey. Use your multibeam editor program, TIN MODEL or XYZ to MATRIX to fill a matrix with survey data.

Alternatively, ADVANCED CHANNEL DESIGN can output complex channel templates as matrix files.

8.Generate a planned line file. (optional) This can be displayed in DREDGEPACK to guide your dredge operator.

9.Launch DREDGEPACK by clicking the DREDGEPACK icon or selecting SURVEY-DREDGEPACK.

10.Set the matrix file options.

Important: Particularly if you choose not to log raw data as you dredge, it is important to backup your matrix data frequently during your work day to insure no data is lost should some sort of system failure occur. Set a Matrix Backup Time (OPTIONS - NAVIGATION PARAMETERS) to automatically save your matrix data.

11.Use your Matrix and the Profile window to guide you as you dredge.

•The sounding data in the matrix is repainted in real time according to the Matrix Options settings. You can paint new data as you dredge and compare it to the predredge depths.

•If you have loaded channel template information, you can see it and its position relative to your cutter head in the Profile window.

12.Save your data. You can save the filled matrix (FILE-SAVE MTX) or only the sounding data in XYZ format (FILE-SAVE AS XYZ).

More Information

• Dredge Configurations

• Boat Features in DREDGEPACK

• Charts in DREDGEPACK

• Tide Corrections in DREDGEPACK

• Draft Corrections in DREDGEPACK

• Logging Data in DREDGEPACK

• Dredge Volume Estimates


Windows in DREDGEPACK

The SURVEY or DREDGEPACK display is comprised of the ‘shell’, with a menu bar and toolbars, as well as your choice of several independently-displayed and configured windows:

•Area Map: This is a plan view of your project area. It displays any enabled project files along with the position of the vessels and their track lines.

•Left-Right Indicator: Shows the position of the boat relative to the current planned line segment.

•Data Display: Shows real-time, textual information regarding your work.

•Profile: Displays the cross section display through the cutting tool, based on the current orientation of the vessel. It shows the ‘As Surveyed’ and ‘As Dredged’ profiles for a section through the cutting tool.

The water level changes based on tide input. A model dredge rises and falls based on tide and draft input.

SURVEY or DREDGEPACK can display multiple windows of each type, each independently configurable through its menus. Multiple windows of the same type are distinguished by numbers, both on their title bars and in the Window Manager.

You may reposition and size all windows, in one or more monitors, using the cursor to drag the title bars and window edges.

Once you have configured, sized and placed the windows on the screen, the SURVEY or DREDGEPACK program remembers and restores them to the same status and location each time you start the SURVEY or DREDGEPACK program.

Most windows in DREDGEPACK are the same as those that appear in SURVEY.

See Also

• Device Windows in SURVEY

• GPS Graphs in SURVEY

• Alarms in SURVEY

• Configuring your Window Display with the Window Manager

• Broadcasting Survey Data over the Network


Area Map Window in DREDGEPACK

The Area Map window contains a plan view of your survey area that includes all files active in HYPACK when you start DREDGEPACK and a symbol representing each mobile in your hardware configuration.

Sample Area Map

You can set DREDGEPACK to display the matrix data in different ways depending on the nature of your work:

•Either the survey depth (if it is greater than the dredge depth) or the dredge depth (if it is greater than the survey depth: This provides the operator with a useful graphic to determine areas that remain to be dredged to achieve the project depth.

•The difference between the survey depths and the dredge depths to show how much material has been added or removed during dredging.

•The difference between a channel template loaded to DREDGEPACK and either the survey or dredge depth to show how much material you need to add or remove to meet the channel design specification.

More Information

• Loading Files to your Area Map Display in SURVEY

• Configuring your Area Map Display in SURVEY

• Editing Matrix Depths in SURVEY


Data Display Window in DREDGEPACK

The Data Display window is identical to the one described in the SURVEY program.

Sample Data Display

See Also

• Data Display Window in SURVEY


Left-Right Indicator in DREDGEPACK

The Left-Right Indicator window only appears when you have planned lines loaded into the SURVEY or DREDGEPACK program. It shows the position of the main vessel relative to the planned survey line, as well as certain information of particular interest to the helmsman:

Left-Right Indicator Statistics

Logging Status | Display
Logging | Distance and TimeA to the end of the current survey line.
Not Logging | Distance and Time* to the start of the next survey line.
Always | Logging status, uncorrected depth and tide

ATimes are calculated based on distance and current speed.

Additional, displays can be loaded by selecting WINDOW-NEW- LR INDICATOR.

More Information

• Left-Right Indicator in SURVEY


Boat Profile Window in DREDGEPACK

The Boat Profile window provides a cross section display through the cutting tool, based on the current orientation of the vessel. It shows the ‘As Surveyed’ and ‘As Dredged’ profiles for a section through the cutting tool.

The water level changes based on tide input. A model dredge rises and falls based on tide and draft input.

Sample Boat Profile Windows in DREDGEPACK

More Information

• Loading Channel Profile Information

• Channel Profile Settings in DREDGEPACK

• Displaying the Vessel in the Profile Window of DREDGEPACK

• Customizing your Dredge Display


Loading Channel Profile Information

If your planned line file does not include channel template information, you can load any of the following files in SURVEY or DREDGEPACK to provide that information.

The cross section profile in the Profile window can be drawn from:

•A Channel Plan file (*.PLN) created in CHANNEL DESIGN.

•A 3-dimensional Line file (*.LNW), typically created in ADVANCED CHANNEL DESIGN.

•An Advanced Channel file (*.CHN) from ADVANCED CHANNEL DESIGN or TIN MODEL.

•A filled Matrix file (*.MTX), typically generated the TIN MODEL program. You can use this option for channels too complex to generate in ADVANCED CHANNEL DESIGN or when you need to dig or cap a uniform distance relative to the existing surface.

Note:DREDGEPACK performs more reliably using a matrix in place of an excessively complex channel file (*.CHN) from ADVANCED CHANNEL DESIGN.

ADVANCED CHANNEL DESIGN can also export matrix files representing the channel surface which can be used in SURVEY or DREDGEPACK as the channel template. Use this option for extremely complex channels.

•A combination of a 2-dimensional center line created in the LINE EDITOR and a template (*.TPL) created in CROSS SECTIONS AND VOLUMES or LINE EDITOR. In this case, the line file should have only one line representing the center line of the channel. It can be a multi-segmented line. Create the template file referencing the distances to the center line; negative values are left of the center line and positive values are right. Negative depths will be recognized as points above chart datum. The program will automatically enter the correct depths and widths according to the template information. The resulting channel will also be displayed in the Map Window.


Channel Profile Settings in DREDGEPACK

DREDGEPACK displays a profile window for each mobile. Each window is independently configured.

To configure the profile window, click ‘Setup’ in the profile window menu. The Profile Setup dialog will appear.

Profile Setup Dialog

•Profile Direction and Orientation:

•The Perpendicular Profile Direction displays a profile at the cutter head, and of user-defined length.

•A straight line cut perpendicular to the vessel.

•A straight line cut perpendicular to the survey line.

•Profile Width sets the length of the profile graph in survey units. The tracking point of the vessel will be centered in the profile.

•Parallel Profile Direction displays a profile parallel to either the vessel or the survey line, and of a user-defined length.

•Vessel Position: If you choose a profile parallel to the vessel, a portion of the length is drawn ‘in front’ of the vessel and the remaining length is drawn behind the vessel. The vessel position relative to the profile is adjusted using the Vessel Position setting. It is the position of the digging tool within the profile length. For example: If the Length is set to 500, a Vessel Position of 250 will position the digging tool in the center.

•Profile Width determines the length of the profile in survey units.

•Arc: Used with cutter suction dredges, it shows a curved profile centered on the cutter head tracking point.

•Center: The drop-down list includes all mobiles in the configuration, Automatic and Current Target. Typically, you will select the cutting tool mobile. Automatic computes Arc Radius from digital feed.

•Radius: Enabled when Boat is the selected center. It should be the distance from the spud to the cutter head.

•Profile Width sets the length of the Arc in survey units.

•Smooth Channel Profile. DREDGEPACK attempts to calculate straight line segments that pass through sequential faces on the slope.

Note:If your channel is very complex, use a matrix file for your channel.

Channel Profile in DREDGEPACK—Not Smooth (left), and Smoothed (right)

•Channel and Depth View Options affect the display of channel and depth information.

•Solid Line and Filled Area determine how the bottom profile is displayed.

•Dredge and Survey display dredging and predredge depths respectively.

•Dredge Shape options: The Profile window displays a BMP graphic that represents your dredge. DREDGEPACK includes profile and center views of a ‘generic’ dredge (or you can customize your display with your own). The options allow you to choose the graphic and configure the display to match the size of your equipment.

•Select your dredge shape from the drop-down list.

•Size: The length or width of your dredge (in survey units).

•Arm Size: The length of the arm (in survey units).

•The Digging Tool option is in development to draw a boat shape file in place of a generic triangle. As of the 2010 release, it can only display the triangle at the cutter head location.

•Vertical and Horizontal Label settings control the spacing of the labels and tics on each axis of the graph:

•Tics and Label Interval: The horizontal and vertical axes of the profile window are configured with labels and two sizes of tics at user-defined intervals (survey units) to provide scale to the display.

•Min Depth and Max Depth set the vertical range of the graph display. In depth mode, the minimum depth should be 0. In elevation mode, the minimum depth is the chart datum level.

•Mark 1 and Mark 2 draw horizontal lines across the graph display at the specified depths.

•The Top of Graph and Bottom of Graph are used to set the depth values at the top and bottom of the depth portion of the Profile window.

•[Colors] enables you to set unique colors for items displayed in the Profile window. Select a feature on the left then use the color controls to adjust the color. Click [OK] to return to the Boat Profile Setup dialog.

Setting the Profile Colors in DREDGEPACK

More Information

• Displaying the Vessel in the Profile Window of DREDGEPACK


Displaying the Vessel in the Profile Window of DREDGEPACK

In the Profile Setup dialog, the Dredge Shape settings enable you to include an approximate representation of your dredge in your Profile Window.

Boat Profile Setup Dialog

You can use the dredge shapes provided in your HYPACK install or create new ones that look a little more like your dredge. In either case, select your dredge shape from the drop-down list. (A setting of ‘None’ displays only the cutter head location.) Then enter the dimensions of the dredge and the length of the arm (measured in survey units).

The Profile Window will display a figure approximating your dredge according to these settings.

Note:If the scale or the arm angle (or both) looks a little peculiar, check the scaling of the Profile Window. The horizontal and vertical scales are independent of each other and can skew the display of the vessel.

When a Dredge Shape is loaded, DREDGEPACK will also display a blue waterline which will be positioned in your window according to the current tide correction values. As the tide rises and falls, your vessel is positioned accordingly.

The vertical position of the boat is also affected by its draft. The “Level” measurement must be corrected in the initialization file to more accurately display your dredge relative to the waterline. The vertical position of the Dredge Shape will change relative to the waterline as the draft changes.

Boat Profile – Perpendicular View

Boat Profile – Parallel View


Customizing your Dredge Display

The HYPACK install includes a set of drawings of cutter and hopper dredges for your Boat Profile window display. However, you can customize your cutter or hopper dredge display by creating dredge shapes that look more like your vessel side and end view. The DREDGE_BMP utility imports your BMP file and generates the initialization file which correctly positions the shape and the cutting tool in your Profile window.

The Custom Dredge Shape

DREDGEPACK requires bitmaps of the port or starboard side view and the front or rear end view of your vessel. You can:

•Import photos, saved in BMP format. In this case, we suggest that you replace the background with white space.

•Use a graphics program to create a scale drawing of your dredge’s starboard side view and rear view and save them as *.BMP files.

The Dredge Type Initialization File

Each Dredge Shape type has two *.INI files, one for the parallel to vessel (profile) view and one for the perpendicular to vessel (end) view. They tell DREDGEPACK about the *.BMP file and how to position it in your Profile window. The initialization files are stored in the \HYPACK 2017\Shapes folder.

Dredge Shape Type | Profile View | INI File
Cutter Suction | Perpendicular to Vessel | Cuttercross.ini
Cutter Suction | Parallel to Vessel | Cutterprof.ini
Hopper (Center) | Perpendicular to Vessel | HopperCrossC.ini
Hopper (Center) | Parallel to Vessel | HopperProfC.ini
Hopper (Right) | Perpendicular to Vessel | HopperCrossR.ini
Hopper (Right) | Parallel to Vessel | HopperProfR.ini
Hopper (Left) | Perpendicular to Vessel | HopperCrossL.ini
Hopper (Left) | Parallel to Vessel | HopperProfL.ini

The following is a sample file:

[General]

Level=85

ArmX=336

ArmY=78

ORIENTATION=2

TYPE=0

BMPFILE=c:\\HYPACK 2017\shapes\cutterprof.bmp

Each graphic is measured in pixels that correspond to your Dredge Shape Type using an X,Y coordinate system where 0,0 is the upper left corner. Level, ArmX and ArmY are all based on this system. It is not the same as your hardware offset measurements.

Level is the BMP Y coordinate corresponding to the water level when the draft is 0.

ArmX and ArmY describe where the drag arm is attached to the vessel.

Orientation indicates which profile your graphic represents:

•0: Rear profile

•1: Front profile

•2: Left profile

•3: Right profile

Type indicates the type of dredge represented in your graphic.

•0: Cutter dredge

•1: Hopper dredge

BMP File names the file, including the path, of the graphic file. You would use the side view graphic for Profile Views that are parallel to your vessel and the end view graphic for the perpendicular to vessel Profile View.

To edit the initialization files that correspond to your Dredge Shape Type, use the Dredge BMP routine.

1.Open the Dredge BMP utility by selecting PREPARATION-EDITORS-DREDGE BMP.

2. Click the File Open icon and select one of the BMP files resembling your dredge. The image will display in the Dredge BMP window.

Dredge BMP Displays--Back (left) and Right Side (right)

3.Use the drop-down lists to describe the profile you have loaded. This tells DREDGEPACK what image it can display for each profile view of cutter and hopper dredges.

4. Set your water level when draft is zero. Click the Set Level icon then click the position of the waterline at zero draft on the BMP image.

5. Define the cutting tool attachment position. Click the Set Arm icon then click the position where the cutting tool attaches to the dredge.

6. Save your initialization file. Click the File Save icon and name your configuration. The information will be saved to the \HYPACK 2017\Shapes folder with an INI extension.


Real Time Cloud Display

The Real Time Cloud window provides a 3-dimensional display of your survey area. Originally designed to draw a point cloud of multibeam soundings, it can now be configured to include other project files.

Real Time Cloud in DREDGEPACK can provide 3-dimensional matrix updates in real time as you work. You may provide further context to the display with the projection grid, charts and other project files (planned lines, plotting sheets, matrix files, etc.) displayed as charts.

Real Time Cloud with 3D Matrix in DREDGEPACK

The 3-dimentional, real-time matrix display requires the following preparation:

•In HARDWARE, configure your digging tool to update the matrix with its depths.

•Create a Dredge type matrix for your project area filled with your predredge survey data. This allows you to display the color-coded depth information while digging, changing the colors based on the depth of the digging tool as it passes through each cell.

If the predredge survey was performed with HYPACK® there may already be a dredge matrix filled with survey data ready for the dredge. Otherwise, there are other methods to prepare such a filled matrix.

Tip: Before you launch DREDGEPACK, enable your Dredge matrix and any other project files you may want to display in any of the DREDGEPACK displays. This is the quickest and easiest way to assure the files are loaded and enabled in DREDGEPACK.

1.Launch DREDGEPACK and open the Real Time Cloud display. Select OPTIONS-SHARED MEMORY-HYPACK REAL TIME CLOUD.

2.Open the Settings dialog. (Click the Settings icon.)

Note:Most of the options in the Settings dialog are not applicable to dredge projects and should be deselected.

3.Use the tools to optimize the display and enhance your viewing capabilities.

•In the Settings dialog, select Capture Matrix. (Required.)

•In the Background Charts dialog, configure charts and project files to be displayed as charts. (Optional)

•In the Vessels dialog, configure a 3D shape (*.3OD or *.3DS) for each mobile. (Optional, but the default shape is a survey boat rather than part of a dredge.)

•Lighting settings (Optional) can accentuate bottom contours.

4.Go to work!

More Information

• Real Time Cloud Toolbar

• Painting a 3-dimensional Matrix in Dredge Projects

• Charts and Project Files

• Vessel Display in Real Time Cloud

• Real Time Cloud Colors

• Lighting in Real Time Cloud


Real Time Cloud Toolbar

Use the tools to optimize the display and enhance your viewing capabilities.

Real Time Cloud Toolbar

Real-time Cloud Display Tools

Icon | Useage
 | Zoom Extents: Draws the display at a zoom scale that displays all enabled data from above.
 | Reset removes all of the currently displayed points.
 | Add Target sets the cursor to mark targets.
 | Set Center Point set a user-selected point as the world center point around which the cloud rotates.
 | Measure Tool: Click at two locations in the REAL TIME CLOUD display. The status bar displays the coordinates of the two locations and the distance between them.
 | Play and Pause start and stop the collection of points in the display, respectively. This only affects the display. Logging continues uninterrupted.
 | Center on Boat focuses the display on the boat rotating around it. Deselected, it leaves the focus on the last position.
 | Change Mobile advances the display to focus on the next vessel in the hardware configuration.
 | [ - ] and [ + ] decrease and increase the size of the points in the cloud respectively.
 | Export to image enables you to save the current display to a BMP, PNG or TIFF image.
 | Set Colors accesses the colors dialog where you can modify the Palette 1 colors for your display.
 | Background Color enables you to choose the color behind your sounding display.
 | Legend toggles a color bar display on and off.


Painting a 3-dimensional Matrix in Dredge Projects

You c an use the Real Time Cloud display in DREDGEPACK to paint the matrix in three dimensions. With boat shape files that mirror your dredge, this option provides a realistic view of your work.

Painting a matrix in Real Time Cloud requires the following conditions:

•An enabled matrix in your project of the correct type according to your project—Survey for single beam surveys, HYSWEEP for multibeam surveys, or dredge for dredging projects.

•Your depth device (sounder for surveys or cutting tool for dredge projects) is configured to paint the matrix.

•The Gap Interpolation option in the Matrix Options dialog is disabled.

1.Open the Real Time Cloud Settings dialog. (Click the Settings icon.)

2.Check the Capture Matrix option. The other display and Channel settings are not applicable. Background Chart settings are optional.

Real Time Cloud Settings Dialog

3.Click [OK].

More Information

• Creating a Matrix File with the Matrix Editor

• MAPPER

• Matrix Files in SURVEY


Charts and Project Files

When you launch DREDGEPACK, it automatically loads all project files enabled in your project. From the Settings dialog, the Background Charts options enable you to modify the configuration for the Real Time Cloud window.

Real Time Cloud Bacground Charts Dialog

1.Check Enable Charts. (Required)

2.Check Enable Grid (Optional) to overlay the projection grid on your display.

3.Click [Configure Charts]. A dialog appears with a list of additional files, currently enabled in your project, that you may display.

4.Choose the files to display:

•To add another file, click [Load Chart], select the file in the File Open dialog and click [Open].

•To enable and disable file, select it in either column then use the right or left arrow button to include or omit them from your display.

•To change the chart drawing order, select an enabled chart and use the up or down arrow to move it up or down in the chart order.

5.Set Transparency. Move the slider left to increase transparency; the far right makes the chart opaque.

6.Set Chart Depth. The default value of 0.0 draws the charts at the waterline. A value slightly larger than your project depth draws your charts below your soundings so you can see each distinctly.

7.Click [OK].

More Information

• HYPACK Project Files

• Background Charts

• Matrix Files in SURVEY

• 3D SHAPE EDITOR


Vessel Display in Real Time Cloud

Boat Settings affect the mobile display in the Real Time Cloud window.

To access the dialog, click the Boat Settings icon.

Boat Settings Dialog

•Active Mobile: Select the mobile on which to focus the display.

•Shape: Choose a 3-dimensional shape (*.3OD or *.3DS) for your active mobile.

•Default uses a generic boat shape for which you can adjust the size using the Width, Length and Height options.

•From File: Click [...] and choose a file from the \HYPACK 2017\Shapes folder. The HYPACK install includes several shapes, or you may create your own *.3OD shapes in the 3D SHAPE EDITOR or import *3DS files from a third-party source. In this case, you adjust the display scale using percentages of the original shape size.

•Width and Length affect the horizontal display size of the shape.

•Height affects the vertical display size.

Note:Height, Width and Length are based on the orientation of the 3OD file in the 3D SHAPE EDITOR. If you make a custom boat shape, take care to use the orientation.

More Information

• 3D SHAPE EDITOR


Real Time Cloud Colors

In DREDGEPACK, color the soundings in the Real Time Cloud display using depth, which uses the project colors. Use the VIEW-COLOR METHOD menu options to make your selection.

To modify the project colors, click the Set Colors icon and configure the desired palette.

More Information

• Project Colors in HYPACK


Lighting in Real Time Cloud

The Light Icon is available only for three-dimensional models. It launches the light control where you can enable/disable the light feature, and set the color and position of your lighting for optimal viewing of your model.

If the ‘Enabled’ box is checked, the lighting in the Light Control, as well as in your model window will update according to each setting change.

Light Control

Color: Click on either color block to access a color dialog where you can select your favorite color for each option.

•Diffuse color comes from the light source.

•Ambient sets the color of the light that brightens the entire display. It is similar to the brightness setting in your favorite graphics program.

Position:

•Inclination is the angle of the light relative to the horizon.

•Rotation is the position around the Z-axis of the model.

Together they describe the exact position of the light source relative to the model.

Rather than puzzling out what the angles should be, you can imagine that the shape on the left is your TIN model then use your cursor to click where you would like the light source to be positioned relative to your model.


Boat Features in DREDGEPACK

You can configure the display options and draft correction for each vessel through a Vessel Setup dialog. In addition, each Map window can display the same vessels identically or differently, each according to its own vessel setup.

Vessel Setup Dialog

1.Open the Vessels Setup dialog by clicking VESSELS on the menu bar.

2.Select the vessel whose features you want to modify and the Map window for which these settings apply at the upper left.

3.Choose your vessel settings and click [Apply]. The Apply button allows you to preview your display before exiting the dialog. If it doesn't suit you, make some adjustments and apply again.

4.When you are satisfied, click [OK].

The configuration for each vessel is saved when you exit the SURVEY or DREDGEPACK program and are restored when you re-start the program.

Vessel configuration options are the same as those found in SURVEY.

More Information

• Boat Features in HYPACK SURVEY

• Anchors in SURVEY


Charts in DREDGEPACK

The SURVEY or DREDGEPACK program loads the information from the current project. It gets geodetic information and hardware information by reading the project’s initialization files. It will load the most recently used planned survey line file (*.LNW) from the current project, as well as any background files and matrix files that are currently “Enabled”.

In addition to background chart files, you can also load several other HYPACK file types in SURVEY or DREDGEPACK (eg. BRD, CHN, MTX, LNW, PLN, TGT...) for display purposes only.

SURVEY or DREDGEPACK with a DIG Chart, Target File (*.TGT) as Background File (Red Buoy) and an Active Target File (13:26:17).

More Information

• Loading Charts during SURVEY

• Unloading Charts During SURVEY


Creating Bucket Charts in the BUCKETS Program

Bucket dredging projects often require a detailed accounting of your work. In DREDGEPACK, bucket charts and patterns can improve the precision of your work.

Bucket Charts: The BUCKETS program enables you to create a DG2 background chart of planned bucket prints to guide your work in a bucket dredging project.

Bucket Patterns: You can generate a bucket print, in the DREDGEPACK Area Map, at each location you remove or place material to track your work.

The BUCKETS program enables you to create a DG2 background chart of planned bucket prints to guide your work in a bucket dredging project. It uses the center line of a channel plan file (*.PLN) or a planned line file (*.LNW) with one line representing the center line to position the first lane of the array, then generates parallel, overlapping lanes based on the user-defined parameters.

When you use a PLN file, BUCKETS limits the array of bucket prints with the toe lines. When you use an LNW file, the number of lines specified in the LNW Offsets dialog sets the extents of the array. In either case, you may further limit the array with the extents of a border file (*.BRD). BUCKETS generates bucket prints to completely cover the area defined by the channel plan toes or border file; the edges of the outer bucket prints may extend beyond the toe or border to provide full coverage. You can manually adjust these bucket prints as necessary.

More Information

• BUCKETS Parameters

• Creating Bucket Charts Using a Channel Plan File

• Creating Bucket Charts Using a Planned Line File

• Editing the Bucket Array

• Background Charts

• Loading Background Charts to the Project


BUCKETS Parameters

Whether you use a channel plan or planned line file to guide the BUCKETS program, the initial parameters are the same:

BUCKETS Interface

File Name: The name of the bucket session populates when you open the session.

Line File: the channel plan (*.PLN) or a planned line file (*.LNW) that sets the track along which to create the bucket prints.

A Border File (Optional) limits the bucket print area to this boundary.

A Background File (Optional) can show you charts of your area the array will overlay (ie. DXF, S-57 etc.) for display purposes only.

Specify the Bucket Width and Length as measured.

Bucket Radius is the distance of the arc calculated from the swing of the bucket port and starboard. When using a PLN, it must be greater than or equal to the widest distance between the center line and the toe.

Overlapping Percentages tell the program how much of the print to place in the neighboring bucket mark.

Rows Before Move is how many boom sets you can reach before you move the dredge. It places additional buckets in the print pattern.

Move Overlap is the percentage of overlap along the intended direction of movement of the dredge during a reposition. This ensures that, if the move forward or backward is not precise, there is extra overlap coverage.

Hooks set the buckets to stay within the toes of Channel Plan file. You can set to port, starboard or both. If you are using an LNW file, choose None.

Lane Number: Multiple lanes can be set into one bucket session. Specify which lane you wish to create or modify and type this lane into input box. If you have several cuts, you can lay them out separately.

Number of Buckets affects how the center of each cut is constructed.

•Even: Creates two buckets—one on each side of the center line.

•Odd: Centers the first bucket on the centerline and aligns the first bucket on either side with it.

Even Number of Buckets (left), Odd Number of Buckets (right)

More Information

• Creating Bucket Charts in the BUCKETS Program

• BUCKETS Parameters

• Creating Bucket Charts Using a Channel Plan File

• Creating Bucket Charts Using a Planned Line File

• Editing the Bucket Array


Creating Bucket Charts Using a Channel Plan File

1.Open the BUCKETS program. Select UTILIES-DREDGING UTILITIES-BUCKETS.

BUCKETS Interface

2.Create a new Bucket session. Select FILE-NEW and name the session. The session saves all parameter data into a *.BUD file. You can open and modify this file at another time, if necessary.

3.Enter the parameters to create the array.

4.Generate a preliminary bucket array based on the your parameters. Click [Create Buckets]. If your Line File is a channel plan file, the program generates the bucket prints.

At the top, the BUCKETS interface will show you a Bucket Count. This count shows how many buckets were created in your lane.

5.Preview your bucket array. Select FILE-VIEW/EDIT BUCKETS. The Bucket Editor appears.

Bucket Editor

6.Manually modify the bucket array as necessary to perfectly fit your needs. Use the zoom tools and pay particular attention to the bucket prints along the edges of your project area. Use the editing tools to add, delete or reposition bucket prints.

7.Generate the HYPACK DG2 chart file from your bucket array. Select FILE-EXPORT TO DG2 and choose whether to number the buckets cells.

The Buckets Array DG2 Chart

More Information

• Creating Bucket Charts in the BUCKETS Program

• BUCKETS Parameters

• Creating Bucket Charts Using a Planned Line File

• Editing the Bucket Array


Creating Bucket Charts Using a Planned Line File

1.Open the BUCKETS program. Select UTILIES-DREDGING UTILITIES-BUCKETS.

BUCKETS Interface

2.Create a new Bucket session. Select FILE-NEW and name the session. The session saves all parameter data into a *.BUD file. You can open and modify this file at another time, if necessary.

3.Enter the parameters to create the array. In this case, use a planned line file that represents the center line of your channel.

4.Click [Create Buckets]. The LNW Offsets dialog appears for additional parameters regarding the bucket print construction.

LNW Offsets Dialog

5.Enter the LNW parameters and click [OK]. The BUCKETS generates the preliminary bucket array.

•Lane Offset: The distance between lane centers

•Number of Lanes: Number of lanes to create.

Note:This may be overridden by a border file with a narrower range than the specified number of lanes.

•Direction: Left or right of the center line as you stand at the start of the line and face down line.

More Information

• Creating Bucket Charts in the BUCKETS Program

• BUCKETS Parameters

• Creating Bucket Charts Using a Channel Plan File

• Editing the Bucket Array


Editing the Bucket Array

1.Select FILE-VIEW/EDIT BUCKETS. The Bucket Editor displays a map view of your current bucket array.

Editing a Bucket Array

2.Select one or more bucket prints.

• [image] To select one or more individual files, click the Edit icon and hold the Ctrl key while you use your mouse to choose your bucket prints.

• [image] To select a range of bucket prints, click the Edit icon and hold the Shift key and select the first and last file of a range. Alternatively, click the Multiselect icon, then drag a box around the range of bucket prints you want to select.

3.Modify the selected bucket prints.

•To add bucket prints, right-click at each location where you want to create your new bucket prints. Each right-click copies the number and relative position of the selected bucket prints to the indicated location.

•To delete bucket prints press the delete key. The program asks you to confirm the deletion.

•To translate the bucket prints, use the cursor to drag the selected bucket prints to the new position.

•To rotate a bucket print, use the cursor to drag the corner with the circle to its new position.

Alternatively, you can modify the bucket print properties. Using the bucket properties, you can more precisely translate or rotate select bucket prints, and change any other property you choose.

a. Select the bucket print and click the Properties icon.

b.Modify the properties as necessary and click [Update].

Bucket Properties—Before (left) and After (right)

4.Close the window.

More Information

• Creating Bucket Charts in the BUCKETS Program

• BUCKETS Parameters

• Creating Bucket Charts Using a Channel Plan File

• Creating Bucket Charts Using a Planned Line File


Corrections in DREDGEPACK

Tide Corrections in DREDGEPACK

In HYPACK:

Final Depth

=

Measured Depth

+

Tide
Correction

+

Draft
Correction

+

Sound Velocity
Correction

Since the tide correction is normally added to the measured depth, it will normally be a negative value in HYPACK (unless the tide drops below the chart datum).

For example, if the water level is 1.3m above the chart datum, the tide correction in HYPACK would be “-1.3”.

Assigning Tide Corrections to Your Sounding Data

•Use a telemetry tide system.

•Manually enter tide corrections in the SURVEY or DREDGEPACK program.

•Use the Real Time Kinematic (RTK) Tide options in the GPS device driver.

•Read predicted tides into SURVEY or DREDGEPACK using the Tidefile driver.

•Enter the tide correction values in post-processing.

Configuring your Data Display Window to Show Tide Data

You can display one or more of the following data affected by tide in the Data Display:

•Current tide correction

•Measured depth from the echosounder

•Corrected depth

Since the tide correction is applied to all vessels, it is displayed in Black in the Data Display window.

More Information

• Tide (Water Level) Corrections

• Data Display Window in SURVEY


Telemetry Tide Gauges

The SURVEY or DREDGEPACK program treats telemetry tide gauges like another piece of survey equipment. A device driver in the hardware configuration receives data from the device and automatically sets the tide correction to the appropriate value.


Manual Entry of Tide Corrections in DREDGEPACK

You can set the initial value of the tide correction by clicking the TIDE–SET menu item. This value will be assigned to all soundings logged until you set a new value. Update this value often, especially if the tide level is changing quickly.

Setting the Tide Value

The Tide Increase (Alt-Y) and Tide Decrease (Alt-Z) can be used to increase or decrease the current tide value by the current increment. The increment is set from the OPTIONS–CORRECTIONS INCREMENT menu item.

Setting the Corrections Increments

Note:If you use the same time and tide correction information to create a tide correction file, then use it to apply your corrections during post-processing, your results will be more realistic. The editor will interpolate the tide correction values over time, thus avoiding the sudden changes in tide correction values.

The tide correction value at the time each raw file is opened will be recorded in the header of the file. Each time you modify the correction value, it will be recorded as a TID record and used to correct soundings taken after that time.


Draft Corrections in DREDGEPACK

In HYPACK, Final Depth = Raw Depth + Static Draft + Dynamic Draft (+ Tide, SV and Heave corrections)

To log accurate depths, you must correct for both static and dynamic draft. You have already accounted for static draft in your hardware configuration, but you correct for dynamic draft during data collection.

Dynamic draft corrections are logged with the rest of your data using your choice of the following options:

•Manual Corrections: Use the Draft option in the Vessel Setup dialog to adjust the correction currently logged in the data file. The draft correction is logged in the header of each data file and to a DFT record each time it is changed. This value is also displayed for each vessel in the Data Display using the Vessel Perimeter Color associated with each vessel.

•Use the DraftTable Driver: The DRAFTTABLE.DLL allows you to construct a table of Dynamic Draft Correction versus Speed. The driver then uses the Speed Over Ground from the GPS (or the internal speed computed by SURVEY or DREDGEPACK) and interpolates a draft correction based on the Speed Over Ground.

Note:On a river, your speed through the water column may not equal your speed over ground. This could cause some significant errors in the Dynamic Draft correction being assigned by the driver.

In dredge configurations, the need for draft varies depending on the type of dredge.

•On excavators and bucket dredges, the draft is taken into account during the calibration process.

Important: This type of calibration accounts only for static draft at the time of the calibration. Be mindful of events that may affect your draft and recalibrate as needed!

A draft sensor may also be installed at the location of the trunnion and calibrated relative to the static water line to monitor dynamic draft.

•Cutter suction dredge configurations include a pressure sensor with a vertical offset from the trunnion to the keel.

•Hopper dredges, due to their ever-changing loads, require draft sensors to update the vessel draft in real time.


Logging Data in DREDGEPACK

The DREDGEPACK program logs HYPACK Raw format data files and repaints the matrix cells.

The Raw format files contain the time, tracking point, location of the cutting tool and the depth of the cutting tool at time intervals defined in the Survey Connect tab in HARDWARE.

The matrix is painted according to the criteria set in the matrix options. (Select MATRIX-OPTIONS.)

Matrix Options Dialog

See Also

• Connection Information in HARDWARE

• Project Information in SURVEY

• Raw Data File Options in SURVEY

• Matrix Record Options in DREDGEPACK

• Bucket Patterns in DREDGEPACK


Project Information in DREDGEPACK

The project header data, which is written to the header of the raw data files, is defined in the project information. The header data is optional, (for display purposes only) but a year from now you may be thankful that somebody took the time to fill out the available fields.

More Information

• Project Information in SURVEY


Matrix Files in DREDGEPACK

Matrix files (*MTX) are gridded rectangular areas. You can fill the cells with depth information from your echosounder or dredge cutting tool in real time during data collection, or in post-processing.

Empty matrix files are typically created in the MATRIX EDITOR and saved to the project folder.

A Matrix File in the Map Window of DREDGEPACK

Filled matrices can be used in DREDGEPACK® to monitor dredging progress and to compare pre-and post-dredging depths. With a channel loaded, you can also display the difference between either depth value and the channel depth at that location. In the HYPACK® design window, you can display matrices used in this manner showing any of the same values.

DREDGEPACK can then update the matrix with depths recorded at the digging tool. In this way, the operator can see where digging has occurred and what depths they have reached.

If the predredge survey was performed with HYPACK there may already be a matrix filled with survey data ready for the dredge. If the surveyors did not store data to a matrix during the predredge survey, there are other methods to prepare such a filled matrix.

One of the first steps before beginning the digging operation is to transfer your predredge survey data into a matrix. This allows you to display the color-coded depth information while digging, changing the colors based on the depth of the digging tool as it passes through each cell.

The DREDGEPACK program logs HYPACK raw format data files and repaints the matrix cells, according to the criteria set in the matrix record options. The raw format files contain the time, tracking point, location of the cutting tool and the depth of the cutting tool at user-defined intervals. Matrix files can be saved at even time intervals by setting a Matrix Backup Time in the navigation parameters.

Typically, the matrix cells are color-coded, one-at-a-time, as your cutting tool passes through the corresponding location. In most cases, the user-defined matrix options determine the depths stored in the matrix. However, if your hardware configuration includes the Vulcan driver, it is possible to fill multiple matrix cells at once.

Tip: We suggest that you configure your display as follows:

•Matrix Options: In the shell menu, select MATRIX- OPTIONS and set Record Depth to Maximum values when you are working in Depth Mode, (Minimum when you are in Elevation Mode).

•In the Area Map window, select MATRIX-DISPLAY OPTIONS and opt to show dredge data.

With these settings, as the cutting tool passes over each cell, it determines the cell over which the cutting tool is positioned. If the depth of the cutting tool is deeper than the previous dredge depth or the survey depth for the cell, it saves the depth of the cutting tool to the dredge depths data set. The screen displays either the survey depth (if it is greater than the dredge depth) or the dredge depth (if it is greater than the survey depth. This provides the operator with a useful graphic to determine areas that remain to be dredged to achieve the project depth.

More Information

• Creating a Matrix File with the Matrix Editor

• Matrix File View Options in HYPACK

• Matrix Files in SURVEY

• Matrix Record Options in DREDGEPACK

• Expanding Matrix Cell Coverage with the Vulcan Driver


Matrix Record Options in DREDGEPACK

The soundings you record to the matrix will be saved according to the criteria set in the matrix options. Select MATRIX-OPTIONS and the Matrix Options dialog will appear.

Matrix Options Dialog

Record Depth determines the depth reading to be stored to each Matrix Cell. Note how they are affected by Elevation or Depth Mode that you have set in the Matrix Menu.

Minimum will record the smallest depth value received in that cell.

•In Depth Mode, the smallest value is at the shoalest point.

•In Elevation Mode, the smallest value is at the deepest point.

Maximum will record the largest depth value received in that cell.

•In Depth Mode, the largest depth is deepest, while the smallest depth is shoalest.

•In Elevation Mode, the largest depth is shoalest, while the smallest depth is deepest.

Last will record the last sounding received.

Use Depth Filter option can be used to eliminate depths outside a user-defined range (Min Depth to Max Depth) from being saved to the matrix. This function can be used in either Depth or Elevation Mode. Since soundings are output as positive values, the Min. and Max values are always positive and the depths saved will fall in that range.

Save only strikes in XYZ file: When you select MATRIX-SAVE TO XYZ, it saves the difference between the sounding value and the user-defined Strike Depth. This is useful to see how much must be dredged to level the area to the strike depth.

•If selected in depth mode, it only saves sounding if the Z-value of the As Dredged Depth is less than the Strike Depth. In this case, it saves the difference of the Strike Depth minus the Z-value of the As Dredged Depth

•If selected in elevation mode, it only saves sounding if the Z-value of the As Dredged Depth is greater than the Strike Depth. In this case, it saves the difference of the As Dredged Depth minus the Z-value of the Strike Depth

•If unselected, this option saves all depths.

Matrix Update Basis:

•Always updates your Matrix continuously. This option enables you to follow your dredging in the Matrix while not recording the Raw data if you don't need it.

•While Logging updates your Matrix only when you are logging Raw data.

•Never causes the program not to update the matrix with dredge depths.

Use Uncorrected Depths: The Matrix is updated, by default, with corrected depth information. If your device outputs corrected data, check ‘Use Uncorrected Depths’ to avoid double corrections in the matrix.

Gap Interpolation Span fills empty cells between filled cells in SURVEY. The interpolated data is not saved in the matrix, but you may export it with the all of the other cell depths to and XYZ file from SURVEY.

Backup to XYZ at Midnight: At midnight, the program saves the value of each cell to an XYZ file at the position of the cell center.

Dredge Data in Empty Cells: This option, available only in DREDGEPACK, enables you to paint matrix cells in DREDGEPACK even if they contain no survey data. Use this option to paint an empty matrix or when you are working beyond the filled area of the matrix.

Tip: We suggest that you configure your dredge display as follows:

•Matrix Options: In the shell menu, select MATRIX- OPTIONS and set Record Depth to Maximum values when you are working in Depth Mode, (Minimum when you are in Elevation Mode)

•In the Area Map window, select MATRIX-DISPLAY OPTIONS and opt to show dredge data.

With these settings, as the cutting tool passes over each cell, it determines the cell over which the cutting tool is positioned. If the depth of the cutting tool is deeper than the previous dredge depth or the survey depth for the cell, it saves the depth of the cutting tool to the dredge depth data set. The screen displays either the survey depth (if it is greater than the dredge depth) or the dredge depth (if it is greater than the survey depth). This provides the operator with a useful graphic to determine areas that remain to be dredged to achieve the project depth.

Alternatively, in the display options, you may choose to view the difference between the survey depths and the dredge depths. This shows how much material has been added or removed during dredging.


Expanding Matrix Cell Coverage with the Vulcan Driver

The Vulcan driver expands cell coverage based on the dimensions entered in the device setup. Set the bucket dimensions and the spacing of your soundings. As you dredge, multiple soundings will be recorded over the area of the bucket. Any matrix cell touched by any part of the bucket area will be color-coded according to the bucket depth. The mobile number is the number of the bucket mobile.

Vulcan Driver Setup

Matrix painting—Without the Vulcan.dll (left)With the Vulcan.dll (right)


Matrix Display Options

The matrix file display can be independently configured in each area map using the Matrix Appearance dialog (In the Map window, select MATRIX-DISPLAY OPTIONS.)

Set Matrix Appearance Dialog

Matrix files have two depth fields. This allows you to choose for the matrix to be color-coded according to any of the following values:

•In SURVEY

•Survey displays the ‘as surveyed’ depths (stored in column 1).

•Channel-Survey: Available only if channel information is loaded. Displays the difference between the survey depth and channel template. Soundings outside of the channel are black.

•Soundings Count: Number of soundings/matrix cell (stored in column 2).

•Seabed ID: Seabed identification stored to the matrix in place as depth 1 by the SeabedID driver.

•In DREDGEPACK:

•Survey displays the survey depths.

•Dredge displays the dredge depths.

•Dredge-Survey displays the difference between the survey and dredge depths.

•Channel-Survey: Available only if channel information is loaded. Displays the difference between the survey and channel template. Soundings outside of the channel are black.

•Channel-Dredge: Available only if channel information is loaded. Shows the difference between the dredge depth and the channel template. Soundings outside of the channel are black.

Note:Note These settings do not affect the values that are stored in the matrix. They are for display purposes only. You can change them at any time.

Sun Illuminated Model Options: When you enable these options, the matrix will be displayed as a gray-scale solid TIN Model with a virtual light source that can be repositioned to accentuate the contours of your surface model.

•Z-factor multiplies the depth values to exaggerate or flatten the surface contours.

•Light Azimuth is the horizontal angle of the light source relative to the matrix.

•Light Inclination is the vertical angle of the light source relative to the matrix.

The Transparency option allows a user-defined transparency of the matrix in order to see displays, such as charts, that are drawn beneath it. The following figures show the matrix at varying levels of transparency.

Transparency equal to 0

Transparency equal to 1

Transparency equal to 0.4 (or 40% )


Bucket Patterns in DREDGEPACK

If you are using a bucket dredge, you can include the bucket device driver to display bucket patterns. This option can be helpful in tracking your coverage and in achieving optimal bucket placement.

Sample Bucket Patterns

There are two distinct uses for bucket patterns:

•Dredging to remove material. Click F3 or press the bucket switch each time your bucket reaches the bottom and your project depth colors will be used to color-code bucket foot-prints according to the depth and orientation of your bucket.

•Capping puts material down. Click F3 or press the bucket switch each time you drop material to track the number of drops at each position.

In both applications, the location of the previous bucket provides a visual reference with which to control the next placement.

A Bucket file (*.BKT) is automatically created in your project each day you work with bucket patterns. By default, bucket files are named Date.BKT All of the bucket footprints created in any one day are saved to the file for the day. Display the bucket file in the area map of DREDGEPACK and in HYPACK. Bucket files can be automatically saved at even time intervals by setting a Bucket File Backup Time in the Bucket Setup Dialog.

More Information

• Displaying Bucket Patterns in DREDGEPACK

• Displaying Bucket Patterns in HYPACK

• Creating Bucket Charts in the BUCKETS Program


Displaying Bucket Patterns in DREDGEPACK

When you launch DREDGEPACK, all bucket files that are enabled in HYPACK will be loaded as a background chart. The display of each file can be turned on and off through the map menu.

Before you begin to log data, you must set your Bucket Options. Select OPTIONS-BUCKET PARAMETERS to access the Bucket Dredge Setup dialog.

Bucket Dredge Setup Dialog

Mode tells DREDGEPACK whether you are dredging or capping. The Disable option suspends this display.

Shape describes the fill pattern of the footprints displayed on the screen.

Bucket Display Options --(left to right) Solid, Hatch and Hollow

Bucket Size determines the dimensions of the footprint displayed.

Attached To: Designate the mobile on which the digging tool resides. This tells DREDGEPACK to mark the bucket at the bucket position rather than at the tracking point of the main vessel, which is typically on the barge.

Cap Setting:

•In Dredging mode, DREDGEPACK colors the bucket prints according to your project depth colors.

•In Capping mode, DREDGEPACK tracks the number of drops at each location so you know you have achieved even coverage of an area. If you know the approximate change in depth for each drop, you can also estimate how much you have added to any location.

It is also used in Capping mode to determine which color footprint to draw. The footprint colors at each location will be incremented with each drop according to the colors in the Bucket Colors dialog and the user-specified Cap Threshold.

[Colors] accesses the Bucket Colors dialog where you customize the color scheme for capping mode. Select each color on the left and use the sliders on the right to choose the color. The selected cap color updates accordingly.

Bucket Colors Dialog

The Cap Threshold defines the amount one bucket footprint must overlap another before DREDGEPACK will increment the color in capping mode. Currently, it is not based on the footprint area, but on the distance between the footprint center points.

An example will help to illustrate how this all works. We will use the settings as in the following figure (bucket size = 10 x 10 and Cap Threshold = 0.7). The color will increment if the bucket center is more than 3 units (1-0.7=0.3 which is 30%) offset from the center of all previous bucket footprints in that area.

Bucket Dredge Setup Dialog

The first bucket dropped at any position will display a Color 1 footprint. After that, as long as the position of the bucket center for each drop is greater than 3 units (approximately 70% overlap of the bucket as indicated by the Bucket Threshold) away from any other, each of those footprints will also be Color 1. If any subsequent bucket is dropped less than the threshold distance of the bucket width away, the footprint will be Color 2. A third drop within a half-bucket width of the same location will draw in Color 3.

From left to right: -The first bucket is color1. The second bucket is more than 30% offset so it is still color 1. -The third bucket is offset less than 30% from the second, so it is color2.

Bucket File Backup Time instructs DREDGEPACK to automatically save your Bucket file at even time intervals as you work. This prevents loss of excessive data if, for some reason, your system goes down.

Visibility: If you generate bucket patterns regularly, over time, your display is likely to become cluttered with them. You can manage how much of the current day’s bucket record is displayed on the screen using the visibility setting and the Clear Bucket icon.

In the simplest scenario, all of the bucket patterns are removed from the display by a simple click of the Clear Bucket icon. The records remain in the day’s BKT file. This scenario would be accomplished by entering 1 in the Visibility field. Continue reading and it will become clear why.

Consider a more complex scenario. Let’s say you are working long days, but you want to see only the patterns from the last three hours. You begin working and, when you get to the four-hour mark, you would like to remove the records from the first hour. With the Visibility setting at 1, the whole display will clear. A solution might be to set your Visibility to 3 and click the Clear Bucket icon at the start of each hour. Here’s how it works.

Imagine your display has layers. When you start to work at the beginning of the day, the bucket pattern you create draws to the screen on Layer 1. When you click the Clear Bucket Icon, they move down to layer 2, leaving Layer 1 clean. Each time you click the icon, your patterns all shift downward one layer leaving Layer 1 blank for subsequent patterns. The Visibility option determines how many layers remain displayed in DREDGEPACK.

In our example, the dredge operator wanted to see no more than three hours’ data. By clicking the icon every hour, at the beginning of the fourth hour, the patterns from the first hour will advance to the fourth layer. With visibility set to 3, it will no longer be displayed. The records from the second and third hours will be on layers 3 and 2 respectively and will remain displayed.

More Information

• Bucket Patterns in DREDGEPACK

• Displaying Bucket Patterns in HYPACK

• Creating Bucket Charts in the BUCKETS Program


Displaying Bucket Patterns in HYPACK

Bucket files are listed in the Project Files list in the HYPACK screen. Enable or disable them, as any other file type, to control whether they are drawn to the map area.

Tip: You can also use the Export program to generate DXF charts from BKT files

Setting the Bucket Pattern

Note:While most files enabled in HYPACK are loaded and displayed in DREDGEPACK, Bucket files may only be drawn to the DREDGEPACK screen according to the Bucket History and Bucket Today options in the DREDGEPACK Map menu.

You can also choose the design of the footprint by right-clicking "Bucket Files" and selecting "Draw Style". You have the same options (solid, hatch pattern or hollow) as in DREDGEPACK.

Alternatively, you can convert bucket patterns to DXF, DGN or DWG files in the EXPORT program, then display them as background charts in HYPACK.

More Information

• Bucket Patterns in DREDGEPACK

• Displaying Bucket Patterns in DREDGEPACK

• Creating Bucket Charts in the BUCKETS Program

• Running the Export Program


BUCKET LOG Program

The BUCKET LOG program presents color-coded statistical information about the dredge operation based on the data in the bucket files (*BKT).

You can load one or more bucket files, define the time ranges and colors for up to four work shifts, then output the statistical data in the form of summary or detailed reports.

More Information

• Generating a BUCKET LOG Report

• BUCKET LOG Reports


Generating a BUCKET LOG Report

1.Open the BUCKET LOG program. Select UTILITIES-DREDGING UTILITIES-BUCKET REPORT.

BUCKET LOG Interface

2. Load one or more bucket files. Click the File Open icon, select one or more BKT files and click [Open].

To multiselect files, hold the Ctrl key and select multiple individual files or hold the Shift key and click on the first and last file in a range of consecutive files.

If you load multiple files, they populate the Specific File drop-down list.

3.Define your shifts. For each shift, enter the time range it covers and the color with which the report displays its data.

The color buttons display the current color setting for the selected shift.

To change a color, click the color button and select a new color from the color selection dialog

4.Set your report options:

•Entries defines which of your loaded files to include in the report:

•All Entries uses all loaded data in the report, printing a page for each one.

•Specific Files and select a file from the drop-down list.

•Print Options to determine the report type.

•Downtime Timeouts (in seconds): Intervals greater than this duration are not included in the reported down time.

•Show Charts from Shell displays any charts that were enabled in the HYPACK Map window when you opened BUCKET REPORT.

5. Preview your report. (Optional) Click the Preview icon. A copy of your report displays in a separate window. You can adjust the graphic of the bucket pattern using your mouse:

•To adjust positioning in the frame, click and drag the graphic.

•To adjust zoom scale, use your mouse wheel.

6. Print your report. (Optional). Click the Print icon, select your printer options and click [Print].

More Information

• BUCKET LOG Program

• BUCKET LOG Reports


BUCKET LOG Reports

The detailed report is meant for one BKT file at a time. It presents similar statistics and bucket pattern graphic, but also includes bar graphs for the time and depth of each bucket.

BUCKET LOG Detailed Report

The summary report provides a bucket pattern graphic with statistics for each shift in the BKT data. Run this report for one or more bucket files.

BUCKET LOG Summary Report

Print a line and details for each bucket generates a spreadsheet with a record for each bucket. Each record includes date, time, bucket # (day), bucket # (shift), X, Y, and Z of the bucket.

BUCKET LOG Spreadsheet Report

More Information

• BUCKET LOG Program

• Generating a BUCKET LOG Report


Dredge Volume Estimates

HYPACK features with which you can view approximations of your dredge volumes.

•You can configure your Data Display window to display estimated values in real-time as you dredge.

•The DREDGE REPORT program compares the data in your project matrix over time and derives estimates of the volumes removed each time you update the reporter.

Important: These are only estimates. A detailed hydrographic survey with precise depth measurements must be performed to calculate the true amount of material that has been removed. HYPACK makes accurate volumes calculations only in the CROSS SECTIONS AND VOLUMES or TIN MODEL programs.

.

More Information

• Real-Time Volume Estimates in DREDGEPACK

• Dredge Volume Estimates in the DREDGE REPORT Program


Real-Time Volume Estimates in DREDGEPACK

Real-time volume estimates, calculated from the difference between the ‘As Dredged’ and ‘As Surveyed’ surfaces, is available in the Data Display window. Select CONFIGURE-DREDGE.

•Volume Up: The amount of material in the ‘As Dredged’ surface that lies above the ‘As Surveyed’ surface.

•Volume Down: The amount of material in the ‘As Dredged’ surface that lies below the ‘As Surveyed’ surface.

•Area Up estimate the area of the ‘As Dredged’ surface above the ‘As Surveyed’ surface respectively.

•Area Down estimate the area of the ‘As Dredged’ surface below the ‘As Surveyed’ surface respectively.

•Partial Volume Up/Down and Partial Area Up/Down: These values are calculated in the same manner as the full values just defined with one exception: The values can be restarted by selecting MATRIX-RESET PARTIAL COUNTERS. You can use this option , for example, at the start of each shift or each day, to monitor your progress over shorter spans of time than the entire project.


Dredge Volume Estimates in the DREDGE REPORT Program

The DREDGE REPORT program tracks the changes in your dredge matrix over multiple days and, for each day, it displays color-coded areas indicating where work has been done for the day and provides a rough estimate of the amount of material removed. Print the report as required.

DREDGE REPORT program Interface

To track the changes, the DREDGE REPORT program builds a database from the data in the predredge survey matrix. Typically, you will use the same matrix to record your dredging progress each day and, at the end of each day or each shift, you load it to the DREDGE REPORT program. The program records the new data to the database and compares the new data to the data from the previous update.

Note:This is only a rough estimate; it is not a volume! This estimate is based upon the depth of a cutting tool as it traveled through the matrix. It is possible to lower the tool and pass it through the material without actually removing material so this cannot be used as a volume.

More Information

• Running the DREDGE REPORT Program

• View Options in the DREDGE REPORT Program


Running the DREDGE REPORT Program

1.Configure the HYPACK area map display and save your project. This gives you a geographical frame of reference in the DREDGE REPORT program. The DREDGE REPORT program only displays project files enabled in the HYPACK area map. When you save the project, your settings are written to the project *.INI file where the DREDGE REPORT program can read them.

Note:Due to the way the DREDGE REPORT program draws the matrix database, the zoom extents tool in the DREDGE REPORT program acts only on the project files. All other zoom and pan tools work as expected.

2.Open the DREDGE REPORT program by selecting UTILITIES-DREDGING UTILITES-DREDGE REPORT.

3.Build your predredge database.

a.Select FILE-NEW DATABASE. A File Open dialog appears.

b.Select your predredge survey matrix and click [Open]. The program generates the database file and names it using the root name of the predredge matrix and an MTD extension.

The MTD file name appears in the DREDGE REPORT program title bar.

4.Work in your project area, updating the predredge matrix (or a copy) with your ‘As Dredged’ data.

5.After each day of dredging, update your database using the matrix with your ‘As Dredged’ data (the ‘working matrix’).

a.Select FILE-ADD UPDATE. A File Select dialog will open

b.Select your working matrix and click [OK].

Important: The matrix file used for the update must have the same position, rotation and cell dimensions as the one used to generate the database. This is good reason to dredge with the same matrix file with which you built your database.

Once the update has been added to the database, the cells that have been changed will appear in the map area.

6.Configure your display in the Manage Updates and Program Options dialogs.

7.Print your report (optional).

a.Configure your printer by selecting FILE-PRINT SETUP and setting your printer options.

b.Preview your printed report by selecting FILE-PRINT PREVIEW.

c.Select FILE-PRINT.

Sample Final Report

More Information

• View Options in the DREDGE REPORT Program


View Options in the DREDGE REPORT Program

Once you are in the DREDGE REPORT program, you can not change the files that are drawn behind your matrix database display, but there are a few tools for you to customize your display.

Sample DREDGE REPORT Display

• Zoom and Pan Tools

• Manage Updates Dialog

• Program Options Dialog

Zoom and Pan Tools

The DREDGE REPORT program includes a toolbar with the standard set of zoom and pan tools:

Zoom In/Out: When this option is selected, a left-click decreases the scale (zoom in) and a right-click increases the scale (zoom out).

Zoom Window: Select this option and drag a rectangle in the window to define the extent of your desired view. The program redraws the screen to display the defined area optimally.

Zoom Extents: Draws the display at a zoom scale that displays all enabled data.

Pan: Select this option, then click in the window and drag the cursor to the position where that point should be displayed. As you drag, the program displays the distance and azimuth of the cursor motion. When you release the mouse button the display updates accordingly.

Note:Due to the way the DREDGE REPORT program draws the matrix database, the zoom extents tool in the DREDGE REPORT program acts only on the project files. All other zoom and pan tools work as expected.

Return to Top

Manage Updates Dialog

In the Manage Updates dialog you can configure your report as follows:

•Add a title to the page,

•Change the color assigned to any update,

•Change the date of any update

•Choose the dates for the graphical display.

To access the Manage Updates dialog, select FILE-MANAGE UPDATES (Ctrl + E).

Manage Updates Dialog

To add a title to your matrix report, enter it under ‘Page Title’.

To edit the update colors, click in the color box you want to change and select a new color from the Colors dialog.

To edit the dates of the update data, just enter the new date on the update record.

To choose the dates for the graphical display, use the check boxes in the ‘Show’ column. All checked records will be included on the map.

Note:When an update is hidden, it will not display on the map but the Total Material Removed Estimate will include all of the dates in the database.

Return to Top

Program Options Dialog

The Program Options dialog controls the total drawing.

To access the Program Options dialog, select VIEW-OPTIONS (Ctrl+Q).

Program Options Dialog

Matrix Transparency: With the slider set somewhere in the middle the program draws the matrix database in such a way that you can see through the database information to the project files beneath. A setting of 100% draws an opaque database; 0% makes your database invisible, defeating the purpose of the program.

‘Load last database on program start’ instructs the program to open the database where you left off in the previous session. If you check this option, at the end of each day all you have to do is open the program and update the matrix database. Otherwise, you will have to load the database manually each day.

To open an existing database, select FILE-OPEN DATABASE and select the required MTD file.

Return to Top


DREDGE STATISTICS

DREDGE STATISTICS calculates the statistics to show how many final depths in a data set are above and below a user-specified depth within a given area. The program accepts one or two data sets and compares them against the user-defined project depth. Data is only compared in the main channel; the depths on the side slopes and outside the main channel are ignored.

More Information

• Calculating Dredge Statistics

• Dredge Statistics Reports


Calculating Dredge Statistics

1.Access DREDGE STATISTICS by selecting UTILITIES-DREDGE UTILITIES-DREGE STATISTICS. The DREDGE STATISTICS window will appear.

Sample Dredge Statistics

2.Enter your survey data. The program supports edited All format, XYZ, or HSX files. Click the [...] and select your file.

3.Define the area where statistics should be calculated. Under Area Limits, load any of the following file types:

•A matrix file (*.MTX) defines a rectangular area.

•A line file (*.LNW) defines the area covered by the lines. You may further define the limits by entering a pair of lines--the Start Line and End Line--between which the statistics will be calculated.

•A border file (*.BRD) allows you to define an irregularly shaped area.

4.Set the Design Depth. This is the level to which you are comparing your data. If you define your area limits with a three-dimensional line file, the program will automatically read the design depth from the line file template information.

5.Define the Overdredge Offset. This is the distance between the design depth and the overdredge depth.

6.Click [Run]. The program calculates the following statistics:

•Mean Z-Value

•1-sigma and 2-sigma values based on Z-values.

•% of Depths Above Design Depth

•% of Depths In Overdepth Region

•% of Depths Beneath Overdepth Region

•Mean and Median Depths Beneath Overdepth Region.

DREDGE STATISTICS shows the calculated statistics in a table as well as in a distribution graph. If two datasets are provided, the predredge information is drawn in red and the postdredge in blue so you can visually compare the data.

More Information

• Dredge Statistics Reports


Dredge Statistics Reports

DREDGE STATISTICS can store the statistical data to a text file or produce a printed report of the data and the distribution graph.

Text Reports

You can record the results of any set of calculations DREDGE STATISTICS to a Comma Separated Value (CSV) file which can easily be read by a text editor or spreadsheet program. The file is generated when the first set of calculations is recorded. Subsequent calculations can be appended to an existing CSV file or stored as the first record of an additional file.

Print Reports

You can also print a report that presents all of the information from the DREDGE STATISTICS interface in a printer friendly format.

Sample DREDGE STATISTICS Print Report

More Information

• Calculating Dredge Statistics


Appendix_Intro

Appendix

The appendix contains additional information that you may find useful in understanding the principles and techniques used to run HYPACK.

More Information

• Administration

• Flowcharts

• Keyboard Shortcuts

• Data File Types

• Project File Types

• File Format Descriptions

• Geodesy 101

• Echosounders 101

• Basic Acoustics for the Hydrographer

• Finding the IP Address of the Survey Computer

• Drivers and their Devices

• How the 1PPS Box Works

• Multibeam Surveys

• Water Column Alarms

• CUBE Terminology

• Background Charts Supported in HYPACK

• S57 Basics

• Using Bitmap Images as Boat Shapes

• ADCP Data - Measured and Calculated

• Launching External Programs from the HYPACK Menu


Administration

The following sections include information and tasks for the system administrator to reference after the initial installation to the HYPACK computer and typically before building HYPACK projects.

•Configure your system settings.

•Importing Global Settings simplifies the process of upgrading HYPACK by copying a lot of HYPACK configuration settings that are not specific to a particular project.

•User Permissions can be configured to limit which modules are available to each person or group of people who use HYPACK®.

More Information

• HYPACK Minimum System Requirements

• System Settings

• Network System Requirements

• HYPACK Licensing

• Importing Global Settings

• User Permissions


HYPACK Minimum System Requirements

The following are the minimum requirements to run these programs. Particularly if you are working with sub-bottom, multibeam or side scan data, a good gaming computer (large RAM, multiple CPU cores and fast graphics) will be much more efficient.

Note:To run the 64-bit modules, you must install HYPACK on a computer with 64-bit capability.

Minimum System Requirements

 |  | HYPACK | HYSWEEP
Operating System |  | Windows® 7, Windows® 8, Windows® 10
Processor | Windows® 7,8 or 10 | 1.5 GHz dual core
RAMA | Windows® 7, 8 or 10 | 4 Gb
Hard Drive |  | 20 Gb | 250 Gb with backupB
Monitor | Resolution | 1280x720
 | Colors | 32-bit
Dongles |  | Dongles are USB devices required by HYPACK to activate the program modules associated with the license purchased.

A Increased RAM will speed the performance of many programs significantly. In this case, more is better.

BSub-bottom, multibeam and side scan data files are very large. Depending on your project, you may need a larger hard drive.

More Information

• System Settings

• Network System Requirements

• HYPACK Licensing

• Importing Global Settings

• User Permissions


System Settings

There are a few system settings that affect the proper function of HYPACK. For best results, check the following options before you begin.

•Windows® User Account Controls

•Windows® Regional Options

•Windows® 7 Data Execution Prevention setting

•Firewall

•Windows® updates: HYPACK, like any software that runs on Windows® machines, uses the most up-to-date Windows® drivers and runtime libraries. So should you.

More Information

• User Account Controls in Windows®

• Windows® Regional Options

• Windows® 7 Data Execution Prevention Settings

• Firewalls


User Account Controls in Windows®

User account controls (UAC) have been responsible for various erratic HYPACK issues. Some of these occur during installation. The UAC also interferes with time synchronization capabilities. For this reason, we recommend that you turn the user account control off.

To turn off the User Account Control:

1.In the Windows® Control Panel, go into ‘User Accounts and Family Control’.

2.Select ‘User Accounts’.

3.Click on the option to ‘Turn User Account Control on or off’. A new dialog will appear.

4.Clear the ‘Use UAC to help protect your computer’ checkbox.

5.Restart the computer to put your change into effect.

More Information

• Windows® Regional Options

• Windows® 7 Data Execution Prevention Settings

• Firewalls


Windows® Regional Options

There are varying conventions for numerical notation throughout the world. In the United States, we use a comma for digit grouping (ex. 12,345) while some of our users abroad use a period. Similarly, where in the States we use a period as the decimal symbol (56.13), some of our users use a comma.

HYPACK uses the American convention using a period for the decimal symbol and a comma for digit grouping. Problems arise if your Windows® settings for these options are not set to use the same convention.

When you install HYPACK, you may see a small warning that your settings are not compatible.

To change your conventions for numeric notation:

1.Click the Windows® Start button-SETTINGS-CONTROL PANEL.

2.Select REGIONAL AND LANGUAGE OPTIONS.

3.In the General tab, click [Customize]. The Customize Regional Options dialog appears.

Customizing your Numeric Notation Conventions

4.In the Numeric tab, set the Decimal Symbol to ‘.’ and your Digital Grouping symbol to ‘,’.

5.Click [OK].

More Information

• User Account Controls in Windows®

• Windows® 7 Data Execution Prevention Settings

• Firewalls


Windows® 7 Data Execution Prevention Settings

Some of our users on Windows® 7 machines have had periodic exception errors when they tried to launch certain HYPACK modules (GEODETIC PARAMETERS and SURVEY). The problem originated with the Windows® Data Execution Prevention (DEP) function. The solution: limit this function to Windows® programs and services.

To modify your DEP setting:

1.In the Windows® Control Panel, open ‘System and Security’ and click the System link.

2.Click on the Advanced system settings link in the navigation bar. The System Properties dialog will appear.

3.In the Advanced tab, click [Settings]. The Performance Options dialog will appear.

4.In the Data Execution Prevention tab, select ‘Turn n DEP for essential Windows® programs and services only’ and click [OK].

5.Restart your computer for these changes to take effect.

More Information

• User Account Controls in Windows®

• Windows® Regional Options

• Firewalls


Firewalls

Your firewall settings can affect HYPACK performance when you are working with network connections. As technology advances, HYPACK uses network connections increasingly more often. These applications include such uses as:

•Network dongles

•Network connections in the hardware configuration

•Using the OPC server in dredge configurations

Any time you have network connections, the firewall can interfere with required HYPACK function of these connections.

The solution: Take your computer off the Internet and turn off your firewall.

More Information

• User Account Controls in Windows®

• Windows® Regional Options

• Windows® 7 Data Execution Prevention Settings


Network System Requirements

Users can share project data across a network. You can elect to share projects on your computer with other users on your network or you can use a designated computer as a central storage facility and all users can access projects from that location.

Unless you specify otherwise, HYPACK still defaults to the directories in your \HYPACK 2017\Projects\ProjectName folder so, if you prefer, you can use HYPACK without the network capability.

Note:If you decide to have a computer act as your storage location, that computer does not need a HYPACK dongle. Only computers that actually run HYPACK require a dongle.

The network capability was originally developed to access and share your projects in the office. During SURVEY or DREDGEPACK, it is possible to load a network project and log the data directly back to the network computer only if you have totally reliable Ethernet (not WiFi) connections. If your hardware configuration includes serial devices, we recommend that you only log data to the same computer that is running the SURVEY or DREDGEPACK program.

There are some system rules that must be followed for networked projects to work completely. All further references in this manual to working with projects over the network will assume that these conditions have been met.

•All computers to which the project refers must stay on the network. If your project refers to a computer that has been disconnected from the network, those files will be listed in the Project Items list, but they will be marked with a red 'X' to indicate that they are unavailable. Of course, if the computer with the project file is off of the network, no one can open the project at all!

•All computers with files included in the project must share those directories with both read and write capabilities through the Windows® operating system. An unshared folder is as unavailable as if the computer was turned off. A read-only file can not interact with the other files in the project in order to do the work that you are trying to accomplish.

•All files included in the project must remain in the same location. If you move files, you must reload them to your project. Otherwise, the file will be marked with a red X indicating that it is unavailable.

More Information

• SURVEY DATA TRANSFER


HYPACK Licensing

Anyone, whether they own a HYPACK license or not, can use the HYPACK shell to view project data. You can change display options, and enable and disable files to view your data as you choose.

A dongle is required by HYPACK to activate the program modules associated with the license purchased. The dongle is also encoded with permit numbers required to display S63 or ARCS electronic charts.

The License Manager runs the dongle test. The program reads your license information and displays your dongle status and permit numbers.

HYPACK dongles have the following features:

•Programmable expiration date: The keys will be burned with the your maintenance plan expiration date. After this date, the dongle will not allow you to run further program upgrades until your license is renewed. (Leased dongles will not allow you to run HYPACK after the lease expiration.)

•Allows renewal over the Internet: When your license is renewed, HYPACK will email you a license file which is used to update your dongle information.

•Allows multiple users to use one dongle on a local network. One dongle on a specified computer in your office can be used for ‘n’ users (5, 10, 12, 25, etc.). The dongle automatically limits the number of users at any one time to the number of license purchased for this key.

All of these functions will be managed through the License Manager.

More Information

• License Types and their Programs

• License Manager

• Updating your License

• Network Dongles


License Types and their Programs

Licenses and Programs

More Information

• License Manager

• Updating your License

• Network Dongles


License Manager

The LICENSE MANAGER reads your HYPACK license information from your dongle and displays your dongle status with the permit numbers required for S63 and ARCS charts. You can run it either from the HYPACK interface or as a stand-alone executable.

To run the dongle test:

•Through the HYPACK interface, select on SETTINGS-LICENSE MANAGER.

•As a stand-alone program, from the Windows® Start menu, select PROGRAMS-HYPACK-LICENSE MANAGER.

LICENSE MANAGER

The LICENSE MANAGER display includes the following:

•All dongle types detected will be listed under Modules. If it detects no key, it displays a dialog with direction to either attach your key and try again or define a new network location where your network key is found.

•Key Number

•User Name, ID Number and Organization

•MP (Maintenance Plan) Ending: HYPACK continues to function, but any program updates after this date will not run. You can arrange with our Accounting department (MP@hypack.com) to renew your Maintenance Plan over the Internet.

•Leased: If this option is checked, the dongle will not be recognized and HYPACK will not run on leased keys after the expiration date.

•Number of licenses enabled on the dongle. If you are using it only for your computer, this number will be ’1’. Numbers larger than one allow multiple users to use the dongle on a local network.

•ARCS Permit Number which is used in a routine to enable you to use ARCS background charts.

•S63 User Permit Number which is used in a routine to enable you to use S63 background charts.

[Rescan] repeats the test.

More Information

• License Types and their Programs

• Updating your License

• Network Dongles


Updating your License

When your maintenance plan or lease nears expiration, you must contact HYPACK to arrange for renewal if you want to continue to receive program updates and new releases past your expiration date. When the proper arrangements have been made with our accounting department, we will email you a license file. (You may receive these burned to CD by special request.)

1.Copy the license file to your hard drive. The location on the hard drive is unimportant. (If you copy it from a CD, be sure the file on your hard drive is not read only.)

2.Select SETTINGS-CHECK HARDLOCK to access the License Manager.

3.Click [Load License File]. A File Select dialog will appear

4.Select your license file and click [Open]. The new license information will display in the License Manager.

5.Verify the new information is correct. The MP Ending date should match your new Maintenance Plan Expiration date.

Important: If, by chance, an error is made in generating your license file, you may not be able to run the modules for which you have purchased licenses.

6.Click [Update Key]. This checks that the key number matches the license information, then updates the key to run HYPACK according to your license.

More Information

• License Types and their Programs

• License Manager

• Network Dongles


Network Dongles

A network dongle is programmed to allow a pre-determined number of users to run HYPACK on a local network.

For example, you have 5 HYPACK Office licenses. You can install HYPACK on 20 office computers and configure them to look for the dongle in a specified network location. Up to five users can log on simultaneously and run the package without having a dongle on their individual computer. If a 6th user tries to log on, they get a message telling them that all licenses are currently in use and to try again later. (You can, of course, contact us and make arrangements remotely change your license to a 6-user one, for the cost of the additional license.)

• Configuring a Network Dongle

• Accessing HYPACK on a Network Key

Configuring a Network Dongle

To configure a network key on your server:

1.Run the License Manager.

2.In the Server Config tab, select the ‘Allow access from any computer’ option, enter the port number of the computer with the dongle and click [Start Server].

Server Configuration Tab

3.Click [OK].

Return to Top

Accessing HYPACK on a Network Key

To configure HYPACK to run on a network key:

1.From the Windows® Start menu, select PROGRAMS-\HYPACK 2017-LICENSE MANAGER. The License Manager appears and, since you have no dongle on your computer, it assumes you want to work on a network connection and provides the interface for you to configure such a connection.

Configuring Network Connections in the License Manager

2.Enter the name or address and the port number for the server where the dongle is installed.

3.Enter the HYPACK User ID. This is part of the display when you scan the key itself so you can get this from your network administrator. (It is also on record with HYPACK Technical Support.)

4.Click [Test connection now].

Return to Top

More Information

• License Types and their Programs

• License Manager

• Updating your License


Importing Global Settings

If you have already been working in HYPACK and you have installed a new release version on your HYPACK computer, it can be a time-consuming task to configure the interface like you are used to.

To simplify your upgrade experience, a simple menu selection automates the process. The program copies the following settings and files from the previous version of HYPACK to the install folder of the new version:

•Web Map Server Configuration

•ARCS Permits and Licenses.

•S-63 Permits and Licenses

•HYPACK Group Folders

•HYPACK Layout and toolbar customizations

•Information from the HYPACK Tools menu

•Boat Shape files (*.SHP)

•3D Shape files (*.3OD)

•HYPLOT Template Files and Title Blocks

•TPU EDITOR Settings

•HYDROGRAPHIC DATABASE Location

1.Select SETTINGS-IMPORT GLOBAL SETTINGS.

Import Global Settings

2.If you have toolbar settings generated before HYPACK 2017, import them to a layout as necessary.

a.Click [Convert Toolbar Settings to Layout].

b.Select your ToolbarSettings14A.ini file and click [Open].

c.Name your new layout and click [Save].

3.Click [Continue]. A File Open dialog appears.

4.Navigate to the install folder of the previous HYPACK version.

5.Select the Hypack.ini file and click [Open]. The program copies the settings from the selected file, and the files from the corresponding install to the new install.

6.Close HYPACK. When you open it again, the new HYPACK applies the copied files and settings.


User Permissions

User Permissions can be configured to limit which modules are available to each person or group of people who use HYPACK. User Permissions can not enable modules that are not supported by the type of license (dongle) you have purchased.

When HYPACK is launched for the first time after installation, there are no permissions set and no password is required to log on.

If you want to use the Permission feature, your designated System Administrator should:

1.Open the Control Panel and click [Security Settings] in the General Tab.

2.Choose a password by entering a password and clicking [Apply].

Note:By definition, the Administrator has access to all areas.

3.For each additional user, the Administrator will do the following:

a.Click [Add]. The Create New Account dialog appears.

Create New Account Dialog

b.Enter the Permission name and click [OK].

c.Enter the password for that user. If no password will be required, leave the field blank.

d.Select program areas where the user will be allowed to work.

e.Click [Apply] and [OK].

The next time someone launches HYPACK, the additional users will be listed in the Log On dialog. Each user can only launch HYPACK by logging on with their user name and entering their associated password. Once in the HYPACK interface, they can only access those areas designated for them.

The following example demonstrates how this might work:

Assume you have purchased a full HYPACK license (all modules available). Your company surveys during the day, and office staff edits the data and create Final Products in the evening. As the System Administrator, you might create a set of User IDs and passwords that provide access only to the modules required for each group to their assigned tasks, while maintaining full access to all licensed modules for yourself. In this example, an additional ‘Guest’ option allows anyone to log in without a password, but they can only modify the main display. They have no access to program modules beyond the HYPACK shell.

Administrator— Full Access

Survey—Modules used on the water. Could omit Preparation option.

Office—Modules used in post-processing.

Guest—Allows display only.No password required to log on.


Flowcharts

The Flowcharts in this section provide overview work flows for data collection and processing each data type—single beam, side scan and multibeam—and outline the data processing sequences for common project requirements.

For more information, click any program block and jump to the corresponding segment of the Help file.

SURVEY or DREDGEPACK Preparation

Single Beam Processing:

• Exporting Single Beam Data to CAD

• Plotting SB Data with Contours

• Volume by TIN MODEL from SB Data Reported by Lines

• Volume by TIN MODEL from SB Data Reported by Zones and Lines

Side Scan Processing:

Multibeam Processing:

• Exporting Multibeam Data to CAD

• Plotting MB Data with Contours

• Volume by TIN MODEL from MB Data Reported by Planned Lines

• Volume by TIN MODEL from MB Data Reported by Zones and Line

• Volumes by Sections from MB Data


SURVEY and DREDGEPACK Preparation Flowchart

FIGURE 1. SURVEY or DREDGEPACK Flowchart


Single Beam Processing Flowcharts

• Exporting Single Beam Data to CAD

• Plotting SB Data with Contours

• Volume by TIN MODEL from SB Data Reported by Lines

• Volume by TIN MODEL from SB Data Reported by Zones and Lines

• Computing Volumes by Sections from Single Beam Data

Exporting Single Beam Data to CAD

FIGURE 2. Exporting Single Beam Data to CAD

Return to Top

Plotting SB Data with Contours

FIGURE 3. Plotting SB Data with Contours

Return to Top

Volume by TIN MODEL from SB Data Reported by Lines

FIGURE 4. Volume by TIN MODEL from SB Data Reported by Lines

Return to Top

Volume by TIN MODEL from SB Data Reported by Zones and Lines

FIGURE 5. Volume by TIN MODEL from SB Data Reported by Zones and Lines

Return to Top

Computing Volumes by Sections from Single Beam Data

FIGURE 6. Computing Volumes by Sections from Single Beam Data

Return to Top


Side Scan Processing Flowchart

FIGURE 7. Mosaics from Side Scan Average Backscatter and Snippets


Multibeam Processing Flowcharts

• Exporting Multibeam Data to CAD

• Plotting MB Data with Contours

• Volume by TIN MODEL from MB Data Reported by Planned Lines

• Volume by TIN MODEL from MB Data Reported by Zones and Line

• Volumes by Sections from MB Data

Exporting Multibeam Data to CAD

FIGURE 8. Exporting Multibeam Data to CAD

Return to Top

Plotting MB Data with Contours

FIGURE 9. Plotting MB Data with Contours

Return to Top

Volume by TIN MODEL from MB Data Reported by Planned Lines

FIGURE 10. Volume by TIN MODEL from MB Data Reported by Planned Lines

Return to Top

Volume by TIN MODEL from MB Data Reported by Zones and Line

FIGURE 11. Volume by TIN MODEL from MB Data Reported by Zones and Lines

Return to Top

Volumes by Sections from MB Data

FIGURE 12. Volumes by Sections from MB Data

Return to Top


Keyboard Shortcuts

Several HYPACK programs include extensive keyboad shortcuts that, once mastered, are more efficient than using menu options. The following sections show the supported operations with the corresponding keyboard shortcuts in each program.

More Information

• 3D Shape Editor Keyboard Commands

• 3D Terrain Viewer Keyboard Commands

• Survey Keyboard Commands

• Cloud Keyboard Shortcuts


3D Shape Editor Keyboard Commands

In the 3D Shape Editor, keyboard commands affect either the 2D design panes or the 3D Perspective view. Select which view(s) you want to affect by first clicking in the corresponding window.

Zoom Functions.

Function | Command
Zoom in | Shift+Up Arrow
Zoom in fast | Shift + Ctrl + Up Arrow
Zoom out | Shift + Down Arrow
Zoom out fast | Shift + Ctrl + Down Arrow

Perspective View

Perspective view
Pitch forward | Down Arrow
Pitch back | Up Arrow
Roll port | Ctrl + Down Arrow
Roll starboard | Ctrl + Up Arrow
Rotate clockwise 1 unit | Right Arrow
Rotate clockwise 10 units | Ctrl + Right Arrow
Rotate counter clockwise 1 unit | Left Arrow
Rotate counter clockwise 10 units | Ctrl + Left Arrow

2D Design Panes

Function |  | Command
Note:These keyboard commands describe the motion of the viewing camera. The object appears to move in the reverse direction.
Left 1 unit | (Top and Back view move right) | Left Arrow
Left 10 units | (Top and Back view move right) | Ctrl + Left Arrow
Right 1 unit | (Top and Back view move left) | Right Arrow
Right 10 units | (Top and Back view move left) | Ctrl + Right Arrow
Down 1 unit | (Right and back view move up) | Down Arrow
Down 10 units | (Right and back view move up) | Ctrl + Down Arrow
Up 1 unit | (Right and back view move down) | Up Arrow
Up 10 units | (Right and back view move down) | Ctrl + Up Arrow


3D Terrain Viewer Keyboard Commands

Speed

Function | Command
Increase Camera Speed 1 unit/sec | NumPad +
Decrease Camera Speed 1 unit/sec | NumPad -
Set Camera Speed to 0 | S
Stop all camera motion | NumPad 0

Turning

Function | Command
Turn change +1 deg/sec | Right Arrow
Turn change by +10 deg/sec | Ctrl + Right Arrow
Turn change -1 deg/sec | Left Arrow
Turn change by -10 deg/sec | Ctrl + Left Arrow
Set Camera Turn change to 0 | R

Tilt

Function | Command
Tilt +1 degree | NumPad 8
Tilt +10 degrees | Ctrl + NumPad 8
Tilt -1 degree | NumPad 2
Tilt -10 degrees | Ctrl + NumPad 2
Set Camera Tilt to 0 | T
Set Camera Yaw and Tilt to 0 | NumPad 5

Elevation

Function | Command
Elevation change by +1 unit/sec | Up Arrow
Elevation change by +10 units/sec | Ctrl + Up Arrow
Elevation change by -1 unit/sec | Down Arrow
Elevation change by -10 units/sec | Ctrl + Down Arrow
Set Elevation change to 0 | Z
Elevation |

Yaw

Function | Command
Yaw +1 degree | NumPad 6
Yaw +10 degrees | Ctrl + NumPad 6
Yaw -1 degree | NumPad 4
Yaw -10 degrees | Ctrl + NumPad 4
Set Camera Yaw to 0 | Y
Set Camera Yaw and Tilt to 0 | NumPad 5

Zoom

Function | Command
Zoom In | NumPad /
Zoom Out | NumPad

Radar Mode

Function | Command
Set sweep speed | Yaw Controls

Function

Camera Motion Commands

Function | Command
Pauses / Resumes camera motion | Space bar
Stops all Camera motion | NumPad 0

In the Full Screen Display, the camera controls are no longer accessible. All keyboard commands still apply and a few mouse controls have been added.

Full Screen Display Controls

Function | Command
Yaw and Tilt | Left Mouse drag
Horizontal Translation | Right Mouse drag
Vertical Translation | Rt. Mouse + Ctrl


Survey Keyboard Commands

SURVEY Keyboard Commands

 | Functions | Commands
Line Functions | Decrement line by Line Increment set in the Navigation Parameters. (Only when not logging.) | Ctrl+D
 | Increment line by Line Increment set in the Navigation Parameters. (Only when not logging.) | Ctrl+I
 | Swap planned start end | Ctrl+W
 | Decrement line segment by 1 | Ctrl+B
 | Increment line segment by 1 | Ctrl+F
Logging Functions | Start Logging | Ctrl+S
 | Pause Logging | Ctrl + U
 | Resume Logging | Ctrl + R
 | Manual Event Mark | Ctrl+N
 | Abort Logging | Ctrl + A
 | End Logging | Ctrl+E
Target Commands | Mark target at tracking point | F5
 | Target Properties dialog | F6
 | Marks a Waters Edge Target | F7
Tide Corrections | Increment by current increment | Alt+Y
 | Decrement by current increment | Alt+Z
Map Zoom Commands | Zoom In | +
 | Zoom Out | -
 | Move left, right, up and down | Arrow Keys
 | Rotate Starboard | Ctrl++
 | Rotate Port | Ctrl + -
 | Center Map | Home
 | North Up | Ctrl+Home
L/R Indicator Commands | Contract scale | Ctrl+C
 | Expand scale | Ctrl+V
Profile Window Commands | Contract horizontal scale | Ctrl+C
 | Expand horizontal scale | Ctrl+V
 | Decrease Vertical scale | Alt+C
 | Increase vertical scale | Alt+V


Cloud Keyboard Shortcuts

Cloud Keyboard and Mouse Commands

Tasks |  | Keyboard | Mouse | Control Panel
Window Manipulation |  |  |  |
•Zoom in/Zoom Out |  | +/- | Wheel Up/Down |
•Center display on screen, all rotation values set to zero, Z Axis Ratio set to 1. |  | Home | Click Mouse Wheel |
•Center display on screen, maintain rotations |  |  | Click ‘Center’ Icon then on the point to center. |
•Shift the display |  | Shift + Arrows | Right-click and Drag |
Model Manipulation |  |  |  |
•Increase pixel size |  | < |  | Pixel Size
•Decrease pixel size |  | > |  | Pixel Size
X Axis | Rotate 1 degree | Up/Down Arrows | •Click and Drag up/down | X Axis Rotation Value
Y Axis | Rotate 1 degree |  |  | Y Axis Rotation Value
Z Axis | Rotate 1 degree | Left/Right Arrows | •Shift + Wheel Up/Down •Click and Drag left/right | Z Axis Rotation Value
 | Increase/Decrease Scale | Page Up/Down |  | Z Axis Ratio
 | Invert Z Axis |  | Click the ‘Depth/Elevation’ icon. |
Cursor Manipulation |  |  |  |
•Toggle between the current tool and the default cursor. |  | Shift + Right-click |  |


Data File Types

There are a few different formats in which HYPACK stores data:

Data File Types.

File Extension

Purpose

*.ADCP

Water current data from and ADCP device saved together with position and depth data from HYPACK SURVEY to the HYPACK custom format.

RAW

Raw files are the data files that result from the SURVEY or DREDGEPACK program. Every time you log data, a new Raw data file is created. They are ASCII format files that contain the header information and time-series information for each survey device.

By default, they have the RAW extension and, in a standard HYPACK project, are stored in the \HYPACK 2017\Projects\ProjectName\Raw folder.

You may choose an alternate naming format, an alternate folder or both in the SURVEY or DREDGEPACK program under OPTIONS-PROGRAM INFORMATION.

Important: All data should be logged on the SURVEY or DREDGEPACK computer.

Note:You may also load Sub-bottom SEGY and Edgetech JSF files as RAW data and display their tracklines in the map.

A list of individual data files is provided in a catalog (*.LOG) file. You can quickly draw or process a group of files by specifying the *.LOG name, instead of entering the name of each data file.

HYPACK programs use the data from the RAW files to position the data in the corresponding multibeam or side scan HSX files.

ALL

HYPACK ALL format files are ASCII files created in SINGLE BEAM EDITOR from Raw single beam data. They contain the position information, raw depths, time, correction and raw position data for every sounding. HYPACK creates an ALL format file for every survey line.

*.HS2

Multibeam survey data files, edited in the 32-bit HYSWEEP EDITOR. This is a binary format

HS2x format:

64-bit HS2 files. They load faster than HS2 files and save the original data from all devices versus only from the selected ones as in the 32-bit files. HS2x supports up to 10,000 beams/ping. HS2x files also include Total Vertical Uncertainty (TVU) and Total Horizontal Uncertainty (THU) data.

*.HSX

HYSWEEP SURVEY Raw data files. They are read and edited in the 32-bit HYSWEEP EDITOR. Edited data files of multibeam and multiple transducer data are stored in a binary format (HYPACK “HS2” Format) or the ASCII XYZ format.

*r.000

Water current data from and ADCP device saved to RD Instruments' format.

*.SEGY

Sub-bottom profile data. This is binary data which SURVEY records, in tandem, with a HYPACK Raw file. They are processed together in the SUB-BOTTOM PROCESSOR where you can digitize the depth layers of the SEGY files and save them to HYPACK ALL2 format files.

*.XYZ

ASCII Position/Depth Data: HYPACK can create XYZ format files in the MAPPER, SORT and EXPORT programs. XYZ files can be read and displayed in the Main window. They can be used as input in the EXPORT, MAPPER, SORT and TIN MODEL programs and can be plotted in HYPLOT. XYZ files must be named with a *.XYZ extension in order for HYPACK to recognize them.


Project File Types

HYPACK has many types. Once you become experienced with the package, it will not be so overwhelming. The following gives a listing of file types and a brief description of each.

Project File Types.

File Extension

Usage

*.3DM

3D Terrain Viewer movie file. It contains information that, together with the corresponding XYZ data file, can replay a set of views recorded through the 3D Terrain Viewer program.

*.3DV

3D Terrain Viewer initialization file.

*.3OD

3D Object Design File created in the 3D SHAPE EDITOR, contains all of the information about all of the objects, their properties, etc. needed to create the *.VES file. To modify your *.VES file, you must re-open its *.30D file in the 3D SHAPE EDITOR, make your changes and export a new *.VES file.

*.AFP

Final Product Wizard process file stores your settings in a process file for easy reuse.

*.BKT

Bucket File: Shows where the dredge operator marked buckets during dredging or capping.

*.BRD

Border Files (*.BRD): A user-defined listing of XY positions that defines an area in your project area. Typically, Border files are created in the BORDER EDITOR and stored in your project folder. They have several uses, most often to clip data or limit program calculations to a user-defined area.

*.BUD

Bucket Session File: Stores all parameters from a session in the Bucket Utility.

*.CAP

BSB version 4 charts. These are updated and encrypted charts. HYPACK checks for their licensing verification before it can display these charts.

*.CHN

Advanced Channel File (*.CHN): A channel design file contains a description of the geometry of an area. It is typically created in the ADVANCED CHANNEL DESIGN program, though the TIN MODEL program can generate simple channel files.

A channel file can be displayed in DREDGEPACK and MATRIX 3DTV to guide your data collection, or in the HYSWEEP editors to guide the editing process. SORT can give priority to soundings that fall within the boundaries of any flat surface in a specified channel file, and the INTERSECTOR program merges CHN and 2-dimensional planned line data to generate 3-dimensional planned lines. In TIN MODEL, you can use CHN files to calculate the volume between a surveyed or dredged surfaces and the channel surface.

s

*.COB

Cross Section Object File contains the text, pipeline and polyline information for a cross section graph in CROSS SECTIONS AND VOLUMES and ADCP PROFILER.

*.CSS

Cross Section Session File contains a list of files used in the CROSS SECTIONS AND VOLUMES program.

*.DCT

Data Corrections Table information used in the Sounding Adjustment program to correct Sound Velocity Correction Values. The program adds the "fixed" corrections (not interpolated values) to the current sound velocity values in edited All format data.

*.DEP

Digitized Depth File: A file of event marks versus depths. It is created in the ECHOGRAM digitizing program and can be used to merge depths with positions in the SINGLE BEAM EDITOR.

*.DG2

HYPACK chart digitized in the DG2 EDITOR. This format replaces the DGW format with improved chart symbols and attributes available to describe your project area.

*.DGN

Microstation design files version 7 can be imported into the CHANNEL CONDITION REPORTER to define the channel and the BOAT SHAPE EDITOR to convert it to an SHP file. DGN files can be plotted in HYPLOT and converted to S57 files in the ENC EDITOR and converted to LNW files using the HYPACK DGN to LNW conversion utility.. The EXPORT program can reformat HYPACK data to DGN format. HYPACK does not support Microstation V8 files.

*.DGW

Digitized Shoreline File: (Old Style) This is a leftover from the HYPACK DOS days. It is a format that contains shoreline and a few simple hydrographic features. You can draw them to the screen in the Main window and SURVEY program and can plot them in the HYPLOT program.

*.DIG

A Digitized Shoreline Format file created in the old SHORE MANUAL program. These files can be displayed in the HYPACK for use with the Editor programs in the Preparations menu. They can also be displayed in SURVEY and DREDGEPACK and can be plotted on the Smooth Sheet in the HYPLOT program.

*.DXF

Drawing Exchange Format: This format is a popular CAD format, used by many CAD packages. HYPACK can display DXF version 12 or 13 background chart files in the DESIGN and SURVEY programs and boat shapes in SURVEY and DREDGEPACK. DXF channel files may be used by the INTERSECTOR and LNW GENERATOR to create 3-dimensional survey lines. DXF information can be imported into S57 charts in the ENC EDITOR and some DXF features may be plotted in the HYPLOT program. Several HYPACK programs can export data to DXF format, including the REFORMAT, MAPPER, CROSS SECTIONS AND VOLUMES, and TIN MODEL programs.

*.HYT

Plotting sheet templates store all of the HYPLOT Control Panel settings for the current plotting sheet (*.PLT) at the time you save it. You can then quickly apply all of those settings to any plotting sheet file, at a later time, using the template file.

*.KAP

BSB ver. 3 background charts. These are unencrypted and can simply be loaded to HYPACK. (See Also “CAP” files.)

*.KTD

Kinematic Tidal Datum Files (*.KTD) are used in the SURVEY or DREDGEPACK program when determining real time water levels using an RTK GPS system. Created in the KTD EDITOR, they provide information regarding the height of the reference ellipsoid surface and the local chart datum, or the height of the Geoid above Chart Datum, over a large geographic area.

*.LLS

Combined Latitude/Longitude Shift file used in the CORPSCON method of computing datum transformations.

*.LNW

Planned survey lines (*.LNW) define where you want your vessel to go. The line file contains the grid coordinates and names for each planned line in your project area and can also contain cross section template information. Line files are typically created in the LINE EDITOR or ADVANCED CHANNEL DESIGN program.

*.LOG

Catalog Files: These files are simply ASCII lists that contain the names of data files. Almost all programs can read a Catalog File for data input.

*.MTD

Matrix Database file is used in the MATRIX REPORTER to generate graphical displays of your project area of each day’s work.

*.MTX

Matrix files (*MTX) are gridded rectangular areas. You can fill the cells with depth information from your echosounder or dredge cutting tool in real time during data collection, or in post-processing.

Empty matrix files are typically created in the MATRIX EDITOR and saved to the project folder.

*.MXB

Matrix Backup file is a binary record of the matrix of the same root name, minus the last letter, appended with the time of backup (hh_mm). It is generated by the Matrix Backup feature in SURVEY or DREDGEPACK and stored in the project Archive folder.

*.PLN

Channel Plan files (*.PLN) are used in the creation of 3-dimensional planned lne files. They are created in the CHANNEL DESIGN program and saved to your project directory. Channel plan files contain grid coordinates for the channel center line, left and right toe lines, and turning basins; A PLN fie can also be displayed in the DREDGEPACK profile window.

*.PLT

Plotting Sheet files (*.PLT) contain origin coordinates, scale, rotation, and sheet dimensions for plotting on smooth sheets. These files are typically created in the PLOTTING SHEET EDITOR and saved with the PLT extension to your project file. They are primarily used by HYPLOT to define the plot area, but are also used by CROSS SORT.

*.RXW:

Seabed Identification Square in HYPACK version 4.3 and earlier: A Seabed Identification Square is created in the SEABED STATISTICS program and used to display statistical data regarding the E1 and E2 data in All format files that contain such data. (This requires specialized echosounder equipment.) RXW format has been replaced by *.SIX files.

*.SHP

Boat Shape File; A Boat Shape File is created in the BOAT SHAPE EDITOR program. It can by used to display the real time boat shape in the SURVEY program.

Line and polyline shape files available from ArcView and ArcInfo. They can be displayed in your project as background files.

*.SIX

Seabed ID Square file (version 4.3A replacing *.RXW files) created in the SEABED STATISTICS program then used by the SeabedID.dll to assign seabed ID numbers to each sounding during Survey. (This requires specialized equipment.) SEABED MAPPER reads these numbers and displays a matrix coded with Seabed ID colors and export an XYZ ID file. The EXPORT TO CAD program can also create XYZ ID files. If you have created the TIN Model using an XYZ-ID Input File, TIN MODEL will save the Seabed ID information in the Survey Depth memory of the output matrix. Depth information will be stored in the Dredge Depth memory. Seabed ID matrix files can be displayed using Seabed ID colors.

*.TDX

Tide Table File: This contains a list of times and tide correction heights, as entered by the user in the MANUAL TIDES program.

*.TID

Tide Correction Files (*.TID) are created in the HARMONIC TIDES and MANUAL TIDES programs. They contain corresponding tide levels (in survey units) and time information that can be used in post-processing programs to apply water level corrections to your sounding data. For each day included in the file, there is one correction value for every minute in the 24 hr. period for a total of 1,440 records per day. A multiday file marks the beginning of each day with its date.

*.TIN

TIN File: This contains the information needed to quickly create a TIN surface model. TIN Files can only be created and read by the TIN MODEL program.

*.TMP and *.TPL

Template Files (*.TPL) created in the Template Editor of CROSS SECTIONS AND VOLUMES or the LINE EDITOR, contain the channel cross-section design information. They can be displayed in the Profile windows in SURVEY or DREDGEPACK or used in the CROSS SECTIONS & VOLUMES program.

TMP files have been discontinued to avoid confusion with Windows temporary files.

*.VEL

Sound Velocity Corrections files are generated in the SOUND VELOCITY program and contain depth vs sound velocity data in survey units. They are used to correct soundings for variations of sound in the water column. In most shallow-water, small-boat surveys, the echosounder is calibrated for the range of soundings encountered and no sound velocity corrections are needed. For multibeam surveys and deep-water surveys, sound velocity corrections are used to provide more accurate soundings. Typically, you will perform one or more sound velocity casts in your project area. You can import the data to the SOUND VELOCITY program which generates the sound velocity corrections (*.VEL) file for post-processing.

*.VES

Vessel File: A 3-dimensional vessel file exported from the 3D SHAPE EDITOR and imported to the 3D TERRAIN VIEWER. It allows you to display a custom, 3-dimensional boat shape that mirrors the actual survey boat or dredge that you use while gathering data.

*.VOL

Volumes Report information created in CROSS SECTIONS AND VOLUMES.

*.ZEL

Zone edge listing (*.ZEL) is an ASCII text file that contains a listing of where each line crosses each zone boundary and each inflection point of the model within a zone boundary. CROSS SECTIONS AND VOLUMES reads the ZEL file for the template information and generates volume quantities based on that listing.


File Format Descriptions

Often, when you are checking your data or troubleshooting a problem, it is useful to open files in a text editor and examine the data. Of course, this is only helpful if you understand how the data is formatted.

Note:Text editors can read only data stored in ASCII text. Some of the HYPACK survey data types are in binary format and can only be read by the HYPACK program designed for this purpose.

More Information

• Raw Data Format

• HYPACK All 2 Format

• Targets Database

• Sound Velocity Corrections File (*.VEL)

• Planned Line Files (*.LNW)

• Plotting Sheet Files (*.PLT)

• Matrix Files (*MTX)

• Matrix Database (*.MTXDB)

• Border files (*.BRD)

• Channel Plan Files (*.PLN)

• Channel Template Files (*.TPL)

• Advanced Channel Files (*.CHN)


Raw Data Format

Data collected by the HYPACK SURVEY program is recorded in Raw format, one file per planned survey line. Raw files are recorded as text, allowing them to be loaded into any text editor that reads large files.

When inspecting raw files, notice the format is not tabular. That is, there is not a record for each sounding containing depth, position, tide corrections, etc. Instead, there are separate records for each device measurement and the measurements are correlated through time tags.

Every raw file contains two sections:

•Header, written when data logging starts.

•Data, written as data is collected. Each record starts with a three character tag.

More Information

• Header Strings in the Raw Format

• Data Strings in the HYPACK Raw Format


Header Strings in the Raw Format

•DEV | •FIL | •LBP | •PRI | •TND
•DTM | •GEO | •LIN | •PRO | •TPN
•ELL | •HSP | •LNN | •PTS | •TPP
•EOH | •HVU | •OFF | •SVC | •USR
•EOL | •INF | •PRD | •SYN | •

DEV Strings

Device Information

Format | DEV dn dc “Device Name”
Where: | dn: | device number
 | dc: | device capabilities: A bit-coded field. Definitions in the following table.
Sample Line | DEV 0 100 "GPS"

Bit Definitions for the Device Capabilities

Bit | Mask | Meaning
0 | 1 | Device provides Range/Range positions
1 | 2 | Device provides Range/Azimuth positions
2 | 4 | Device provides Lat/Long (e.g. GPS)
3 | 8 | Device provides grid positions XY
4 | 16 | Device provides echo soundings
5 | 32 | Device provides heading
6 | 64 | Device provides ship speed
7 | 128 | HYPACK clock is synched to device clock
8 | 256 | Device provides tides
9 | 512 | Device provides heave, pitch and roll
10 | 1024 | Device is an ROV
11 | 2048 | Device is a Left/Right Indicator
12 | 4096 | Device accepts annotation strings
13 | 8192 | Device accepts output from HYPACK
14 | 16384 | xxx
15 | 32768 | Device has extended capabilities

Return to Top

DTM Strings

Datum Transformation Parameters

Format | DTM X Y Z Rx Ry Rz
Where: | X | Delta X
 | Y | Delta Y
 | Z | Delta Z
 | Rx | Delta rotation on X axis
 | Ry | Delta rotation on Y axis
 | Rz | Delta rotation on Z axis
 | S | Delta scale
Sample Line | DTM -18.38 -192.45 -96.82 -0.05600 0.14200 0.20000 0.00130

Return to Top

ELL Strings

Ellipsoid Information

Format | ELL e a f
Where: | e | Ellipsoid
 | a | Semi-Major Axis
 | f | Flattening
Sample Line | WGS-84 6378137.000 298.257223563

Return to Top

EOH Strings

The End of Header tag indicates end of the header in each file. It has no data itself. All subsequent lines are recorded data strings.

Return to Top

EOL Strings

The End of Line tag indicates end of planned line information. It has no data itself.

Return to Top

FIL Strings

File Information

Format | FIL e l
Where | e | extension
 | l | LNW file
Sample Line | FIL "RAW" "C:\HYPACK 2017\Projects\03007NovaSB\Intersectionfull..lnw"

Return to Top

GEO Strings

Geoid Information

Format | GEO O G
Where | O | Orthometric Height Correction
 | G | Geoid
Sample Line |

Return to Top

HSP Strings

HYSWEEP Multiscan Survey Parameters

Format | HSP p1 p2 p3 p4 p5 p6 p7 p8 p9 p10 p11
Where | p1 | minimum depth
 | p2: | maximum depth
 | p3: | port side offset limit
 | p4: | starboard side offset limit
 | p5: | port side beam angle limit
 | p6: | starboard side beam angle limit
 | p7: | high beam quality; codes >= this are good
 | p8: | low beam quality: codes < this are bad
 | p9: | sonar range setting
 | p10 | towfish layback
 | P11: | work units: 0=meters, 1=us foot, 2=int’l foot
Sample Line | HSP 5.0 45.0 160.0 150.0 60 60 3 1 328.0 0.0 1

Return to Top

HVU Strings

Horizontal and Vertical Units

Format | HVU h v
Where | h: | Multiplier to convert horizontal survey unit to meters
 | v: | Multiplier to convert vertical survey unit to meters
Sample Line | HVU 1.0000000000 1.0000000000

Note:Vertical survey units are always the same as horizontal survey units. Though the capability to use different survey units in each direction appears to be implemented in the GEODETIC PARAMETERS program, it is not recognized in SURVEY or DREDGEPACK.

Return to Top

INF Strings

General Project Information

Format | INF "surveyor" "boat" "project" "area" tc dc sv
Where: | tc: | initial tide correction
 | dc: | initial draft correction
 | sv: | sound velocity
Sample Line | INF "steve" "LCH 19" "mcmillen" "617.6 to 618.2" -0.7 0 1500.0

Return to Top

LBP Strings

Planned Line Begin Point.

Format |  | LBP x y
Where | x | x grid position
 | y | y grid position
Sample Line |  | LBP 5567222.42 3771640.72

Return to Top

LIN Strings

Planned Line Data follows

Format |  | LIN nw
Where | nw | Number of waypoints
Sample Line |  | LIN 5

Return to Top

LNN Strings

Planned Line Name

Format |  | LNN text
Where | text | line name or number
Sample Line |  | LNN 14

Return to Top

OFF Strings

Device Offsets

Format | OFF dn n1 n2 n3 n4 n5 n6 n7
Where | dn: | device number
 | n1: | starboard/port offset. Positive starboard.
 | n2 | forward/aft offset. Positive forward
 | n3 | height (antenna) or depth (transducer draft) offset. Always positive.
 | n4 | yaw rotation angle. Positive for clockwise rotation.
 | n5 | roll rotation angle. Port side up is positive.
 | n6 | pitch rotation angle. Bow up is positive.
 | n7 | device latency in seconds.
Sample Line | OFF 0 0 0 13.35 0 0 0 0.86

Return to Top

PRD Strings

Private Device Data has multiple formats depending on the type of device generating the data.

PRD - Multiple Transducer Offset

Format | PRD dn OFF n1 n2 n3
Where | dn: | device number
 | n1: | transducer starboard offset
 | n2: | transducer forward offset
 | n3: | transducer depth offset (draft)
Sample Line | PRD 1 OFF -25.60 0.00 0.40

PRD - Odom Echoscan II Multibeam Identifier

Format | PRD dn ECHOSCN2 n1 n2
Where | dn: | device number
 | n1: | Not used
 | n2: | Beam width
Sample Line | PRD 1 ECHOSCN2 -43.5 3.0

PRD - Reson Seabat 9001 Multibeam Identifier

Format | PRD dn sb n1 n2
Where | dn: | device number
 | sb: | SEABAT = 9001, SEA9003 , SEA8101
 | n1: | Not used
 | n2: | Beam width
Sample Line | PRD 1 SEABAT -44.2 1.5

Return to Top

PRI Strings

Primary Navigation Device

Format |  | PRI dn
Where | dn | device number
Sample Line |  | PRI 0

Return to Top

PRO Strings

Projection Information

Format | PRO P RLon S RLat NPar SPar FE FN
Where: | P | Projection
 | RLon | Reference Longitude
 | S | Scale
 | RLat | Reference Latitude
 | NPar | North Parallel in radians
 | SPar | South Parallel in radians
 | FE | False Easting
 | FN | False Northing
Sample Line | PRO TME xxxxx -111.000000 0.999600 0.000000 0.000000 0.000000 500000.0000 0.0000

Return to Top

PTS Strings

Planned Line Waypoint

Format |  | PTS x y
Where | x | waypoint easting in survey units
 | y | waypoint northing in survey units
Sample Line |  | PTS 5569134.63 3774182.61

Return to Top

SVC Strings

Sound Velocity Correction

Format |  | SVC bd ed sv
Where | bd | layer begin depth in survey units, referenced to water surface
 | ed | layer end depth in survey units
 | sv | layer sound velocity in meters/second
Sample Line |  | SVC 0.0 1.0 1481.66

Normally, there will be many of these records contained in the file header. One for each layer (velocity zone) measured by the sound velocity profiler.

Return to Top

SYN Strings

Time Synchronization Status

Format | SYN dn t n rt vt vs se fa pa
Where | dn | device number
 | t | time tag in sec. after midnight
 | n | number of values to follow
 | rt | reference time used for last synchronization in msec past midnight
 | vt | Veritime at last synchronization in msec. past midnight
 | vs | Veritime status
 | se | Filtered Synchronization error in msec
 | fa | Frequency Adjustment factor in msec. indicates how fast or slow the computer clock is compared to reference clock.A
 | pa | Phase adjustment factor in microsec/sec. indicates if computer clock is advanced or retarded compared to reference clock.a
Sample Line | SYN 1 29253.002 6 29253003.000 29253002.958 34.000 0.000 -22.295 2.577

AThis value varies due to the normal instability of the computer clock and the measurement noise of the VERITIME process.

Return to Top

TND Strings

Survey Time and Date

Format |  | TND t d b
Where | t | time string
 | d | date string
 | b | time bias (in minutes)
Sample Line |  | TND 15:54:33 08/28/2005 300

Return to Top

TPN Strings

Defines the currently selected tracking point.

Tracking Point Number

Format |  | TPN n t “V”
Where | n | Mobile ID
 | t | time
 | V | Vessel Name
Sample Line |  | TPN 3 49598.969 "Hedron"

Return to Top

TPP Strings

Tracking Point Position

Format |  | TPP n t E N V X Y Z “T”
Where | n | Mobile ID and Tracking Point ID together.
 | t | Time
 | E | Easting
 | N | Northing
 | V | Vertical position
 | X | X Offset from origin
 | Y | Y Offset from origin
 | Z | Z Offset from origin
 | T | “Mobile - Trackpoint” Name
Sample Line |  | TPP 0 49598.969 5548620.99 15432955.35 0.00 0.00 0.00 0.00 "Hedron - Origin"

Return to Top

USR Strings

User Information

Format | USR u r l k
Where | u | User name
 | r | Reseller
 | l | License Type
 | k | Key Number
Sample Line | USR "Pat Sanders" "HYPACK Inc." 0x11 15687181

Return to Top


Data Strings in the HYPACK Raw Format

FIX Strings

Fix (Event) Mark

Format | FIX v t n x y
Where | v | always 99
 | t | time (seconds past midnight)
 | n | Event number
 | x | X coordinate
 | y | Y coordinate
Sample Line | FIX 99 55990.660 5 455481.304 4942151.350

Return to Top

HCP Strings

Heave Compensation

Format | HCP dn t h r p
Where | dn: | device number
 | t | time tag (seconds past midnight)
 | h | heave in meters
 | r | roll in degrees (+ port side up)
 | p | pitch in degrees (+ bow up)
Sample Line | HCP 2 57273.81 0 3.61 0

Return to Top

EC1 Strings

Echo Sounding (single frequency)

Format | EC1 dn t rd
Where | dn | device number
 | t | time tag (seconds past midnight)
 | rd | raw depth
Sample Line | EC1 0 48077.365 3.20

Return to Top

EC2 Strings

Echo Sounding (dual frequency)

Format | EC2 dn t rd1 rd2
Where | dn | device number
 | t | time tag (seconds past midnight)
 | rd1 | raw depth 1
 | rd2 | raw depth 2
Sample Line | EC2 0 48077.365 3.20 3.15

Return to Top

ECM Strings

Echo Soundings (multiple transducer system)

Format | ECM dn t n rd1 rd2 … rdn
Where | dn | device number
 | t | time tag (seconds past midnight)
 | rd1 | raw depth 1
 | rd2 | raw depth 2
 | rdn | Raw depth, transducer n
Sample Line | ECM 1 57274.82 9 11 10.8 10.7 11.4 11.8 13 15.1 15.5 15.6

Return to Top

GYR Strings

Gyro Data (Heading)

Format | GYR dn t h
Where | dn | device number
 | t | time tag (seconds past midnight)
 | h | ship heading angle
Sample Line | GYR 0 57274.04 193

Return to Top

KTC Strings

Values used to calculate RTK tide corrections.

Kinematic Tide Components

Format | KTC dn t n Wht Lht U K A D T
Where | dn | device number
 | t | time tag (seconds past midnight)
 | n | number of values
 | Wht | WGS84 Ellipsoid Height
 | Lht | Local Ellipsoid Height
 | U | Undulation
 | K | K value
 | A | Antenna Offset
 | D | Draft Correction
 | T | Final Tide
Sample Line | KTC 0 34721.842 7 -28.360 -28.360 -29.994 0.585 0.000 0.100 2.318

POS Strings

Position

Format | POS dn t x y
Where | dn | device number
 | t | time tag (seconds past midnight)
 | x | easting
 | y | northing
Sample Line | POS 0 57274.04 5569070.02 3774080.46

Return to Top

ROX Strings

Roxann data

Format | ROX dn t n e1 e2
Where | dn | device number
 | t | time tag (seconds past midnight)
 | n | number of values to follow (always 2)
 | e1 | roxann e1 measurement
 | e2 | roxann e2 measurement
Sample Line | ROX 2 48077.474 2 0.03 0.13

Return to Top

SB2 Strings

Multibeam data

Format | SB2 dn t n sv r1 r2 r3 … rn q1 q2 … qn
Where | dn | device number
 | t | time tag (seconds past midnight)
 | n | number of values to follow. Depends on device type
 | sv | sound velocity from device
 | r1-n | ranges in device units
 | q1-n | quality codes (0 to 3 range, 0=bad). Packed 4 per number
Sample Lines
Echoscan II | SB2 1 48077.474 39 1500.00 19.50 19.31 …
Seabat 9001 | SB2 1 48077.474 76 1500.00 19.50 19.31 …
Seabat 9003 | SB2 1 48077.474 51 1500.00 19.50 19.31 …
Seabat 8101 using 101 beams | SB2 1 48077.474 51 1500.00 19.50 19.31 …

Return to Top

RAW Strings

Position Information

Format | RAW dn t n lat long alt utc
Where | dn | device number
 | t | time tag (seconds past midnight)
 | n | number of values to follow
 | lat | raw latitude X 100
 | long | raw longitude X 100
 | alt | antenna altitude above ellipsoid (meters)
 | utc | GPS time
Sample Line | RAW 0 33643.186 4 442442.89400 -831890.22200 177.86000 132459.00000

Return to Top

QUA Strings

Position Quality Information

Format | QUA dn t n m h sat mode
Where | dn | device number
 | t | time tag (seconds past midnight)
 | n | number of values to follow
 | m | 10 minus HDOP
 | h | HDOP
 | sat | number of satellites
 | mode | GPS mode (NMEA 0183 standard values) 0 = fix not available or invalid 1 = Stand-alone 2 = Differential 3 = RTK Float 4 = Wide lane fixed RTK 5 = Narrow lane fixed RTK
 | The following 3 values are decoded from GST message:
 | sigman | standard deviation of latitude error (meters)
 | sigmae | standard deviation of longitude error (meters)
 | semimaj | Standard deviation of semi-major axis of error ellipsis (meters)
 | Remaining values are present only if synchronizing computer clock with GPS clock:
 | ref | reference time at last sync (milliseconds since midnight)
 | var | computer clock at last sync (milliseconds since midnight)
 | syna | computer clock frequency adjustment factor (microseconds per sec)
 | syne | filtered synchronization error (milliseconds)
 | syns | synchronization status. Binary code with the following bits (other bits are not meaningful) 1 = not in sync 2 = low accuracy synchronization 4 = high accuracy synchronization 8 = synchronization failure
 | synb | computer clock phase adjustment status
Sample Line | QUA 0 33643.186 4 8.000 2.000 7.000 2.000 QUA 0 50040.509 7 9.083 0.917 9.000 2.000 0.000 0.000 0.000 QUA 0 30285.600 13 8.700 1.300 7.000 4.000 0.059 0.033 0.059 30284964.000 30284964.000 2.584 0.028 34.000 26131962158.485

s

Return to Top

FXX Strings

Precision Shot Record

Format | FXX dn t sn sx sy dl dbl hdg spd
Where | dn | device number
 | t | time tag (seconds past midnight)
 | sn | shot_number
 | sx | shot_x
 | sy | shot_y
 | dl | depth
 | dbl | shot_dbl
 | hdg | shot_hdg
 | spd | shot_spd

Return to Top

CAP Strings

String Capture record

Format | CAP dn t data
Where | dn | device number
 | t | time tag (seconds past midnight)
 | data | ASCII string of data as it is read from device

Return to Top

RMB Strings

Raw Multibeam data

Format | RMB t st sf bd n sv pn sonar range power gain GainMode
Where | dn | device number
 | t | time tag (seconds past midnight)
 | st | Sonar type (See MBI)
 | sf | Sonar flags (See MBI)
 | Bd | Available beam data (See MBI)
 | n | Number of beams to follow
 | sv | Sound velocity in M/sec
 | pn | Ping number ( or 0 if not tracked)
 | sonar | sonar ID (Optional.)
 | range | sonar range setting if known. 0 if unknown (Optional)
 | power | sonar power setting (Optional)
 | gain | sonar gain setting (Optional)
 | gain mode | additional gain information (Optional)
Sample Lines |  | Seabat 9001 storing slant ranges, quality codes and sounding flags: RMB 1 27244.135 1 0 E0 1500.00 0 60 19.50 19.31 18.60 1.66 18.47 … (60 slant ranges in survey units) 3 3 3 0 3 … (60 quality codes) 0 0 0 1 0 … (60 sounding flags) Multiple transducer storing 8 raw depths: RMB 1 27244.135 4 0 0 1500.00 0 60 31.44 33.01 32.83 32.80 … (8 raw depths in survey units) Dual-head Seabeam SB1185 storing range, beam pitch and roll angles, ping delay times, beam quality code and sounding flags: RMB 1 27244.135 2 5 D2 1500.00 0 108 93.18 88.30 84.74 80.46 … (108 slant ranges in working units) -69.72 -68.53 -67.36 -66.15 … (108 beam roll angles in degrees) 0 0 0 67 … (108 ping delay times in msecs) 7 7 7 7 … (108 beam quality codes) 0 0 0 0 … (108 sounding flags)

Immediately following the RMB record is a record containing slant ranges (multibeam) or raw depths (multiple transducer). Following the ranges are 0 to n additional records depending on the bd (beam data) field.

Return to Top

RSS

Raw Sidescan

Format | RSS dn t sf np ns sv pn alt sr amin amax bs freq
Where | dn | device number
 | t | time tag (seconds past midnight
 | sf | sonar flags (bit coded hexadecimal) 0100 – amplitude is bit-shifted into byte storage
 | np | number of samples, port transducer (down-sampled to 2048 max
 | ns | number of samples, starboard transducer (down-sampled to 2048 max
 | sv | sound velocity in m/sec
 | pn | ping number (or 0 if not tracked
 | alt | altitude in survey units
 | sr | sample rate (samples per second after down-sample)
 | amin | amplitude minimum
 | amax | amplitude maximum
 | bs | Bit shift for byte recording
 | freq | frequency (0 or 1 for simultaneous dual frequency operation)
Sample Line |  | RSS 3 61323.082 100 341 341 1460.00 0 10.75 4983.47 0 4096 4 109 97 84 95 120 111 … (341 port samples) 106 93 163 106 114 127 … (341 starboard samples)

Immediately following the RSS record are two records containing port and starboard amplitude samples.

Return to Top

DFT Strings

Draft Format

Format | DFT 99 t d
Where | 99 | "device number" always 99
 | t | time tag in sec. after midnight
 | d | draft correction
Sample Line | DFT 99 78741.428 0.400

Return to Top

TID Strings

Tide Correction

Format | dn t tc
Where | dn | device number or 99
 | t | time tag (seconds past midnight)
 | tc | tide correction
Sample Line | TID 99 57273.814 –1.30

Return to Top


HYPACK All 2 Format

The All2 format file has two parts:

•The header contains information about your project and hardware configuration.

•The data records follow the header. They are the result of merging the records the raw data based on the time-tags.

More Information

• All 2 Header

• All 2 Data Records


All 2 Header

The header section will be a duplication of the header from the RAW data file. Additional records may be added by various processing programs.

Note:The paths of files will not be written, provided the file is located in the expected default directory. This is being done to ease the transfer of projects between computers. For example, if someone copies a project from Drive C: on their computer to Drive D: on another computer, all of the associated files will not be found if the path has been included.

All 2 Header Format

 | Line | Description
 |  | GEO <h_corr> <geo_file> Where 'h_corr' is orthometric height correction in meters.
PRD 0 “KTD C:\HYPACK 2017\CHEAT.KTD” |  | ‘From GPS.DLL The default location of the KTD file is the current project directory.
PRD 1 OFF 3.00 -1.30 0.70 0.00 -10.00 0.00 PRD 1 OFF 3.00 0.00 0.70 0.00 0.00 0.00 PRD 1 OFF 0.00 0.00 0.65 0.00 0.00 0.00 PRD 1 OFF 0.00 -1.40 0.65 0.00 10.00 0.00 |  | ‘From Knudsen Multiple Transducer Driver Proprietary Device Record. Each device driver is capable of writing a PRD record. The first entry after the label is the device number and then whatever the device wants to write.
PLF “E:\HYPACK 2017\PROJECTS\CCSGA\SIDESCAN.LNW” |  | Planned line filename. This will replace the older ‘FIL’ record from the RAW data format. FIL "RAW" "e:\HYPACK 2017\projects\cssga\sidescan.lnw". If there is no planned line being used, the program will write a blank text field after the PLF, PLF “” . The default directory for the LNW file is the current project directory.
LIN 2 |  | Waypoints in Planned Line. This record will be immediately followed by the X-Y listing for each waypoint in the data file.
PTS 1007957.44 760823.55 |  | A waypoint record. The X (Easting) and Y (Northing) follow the PTS label. There is one record for each waypoint.
LBP 1005616.80 759784.28 |  | Line Beginning Point. This lists the first waypoint, based on the direction that the line was surveyed.
LNN 9 |  | Line Name Record. The name or number of the planned line.
LTP 63.000000 21.000000 |  | Line Template Point. Eleven LTP points follow the LNN record for lines that were created in CHANNEL DESIGN. This provides distance and depth information (distance from the line origin) that is used to reconstruct the channel template.
EOL |  | End of Line Information
REC 38 |  | Number of fields in each record. This will be used to denote how many fields are contained in each data record. The last field (38th in this example) will be a checksum for the record.
EOH ff |  | End of Header Record. After the EOH will be the two character checksum for the header information.

Projections: IDs and Properties

Projection | ID/Properties
Lambert Conformal Conical | id = LCC p1 = central meridian p2 = reference latitude p3 = scale factor p4 = North parallel p5 = South parallel
Mercator | id = MER p1 = Central Meridian p2 = Reference Latitude
Transverse Mercator | id = TME p1 = Central Meridian p2 = Reference Latitude p3 = Scale Factor
Oblique Stereographic | id = OST p1 = Central Meridian p2 = Reference Latitude p3 = Scale Factor
Oblique Cylindrical (Swiss and EOV systems) | id = OCY p1 = Central Meridian p2 = Reference Latitude p3 = Scale Factor
Hotine Oblique Mercator | id = HOM p1 = Central Meridian p2 = Reference Latitude p3 = Scale Factor p4 = Azimuth of Skew
Rectified Skew Orthomorphic | id = RSO p1 = Central Meridian p2 = Reference Latitude p3 = Scale Factor p4 = Azimuth of Skew
Azimuthal Equidistant | id = AZD p1 = Central Meridian p2 = Reference Latitude
CMAP Mercator | id = CME, (no parameters)
Albers Equal Area | id = ALA p1 = central meridian p2 = reference latitude p3 = North parallel p4 = South parallel
Cassini-Soldner | id = CAS p1 = Central Meridian p2 = Reference Latitude


All 2 Data Records

The data records proceed immediately after the CR-LF of the EOH record.

Each record will be comma delimited and contain the following fields. If no value exists for a field, it will be left unfilled (no zero).

All 2 Format Data Records - Field Definitions

Field | Item
1 | Last Event Number
2 | X (Easting)
3 | Y (Northing)
4 | Time of Sounding (hh:mm:ss.sss)
5 | High Frequency Depth (Depth 1)
6 | High Frequency Flag: •0 = Valid (Not modified) •1 = Valid (Modified) •2 = Deleted
7 | High Frequency SV Correction
8 | Low Frequency Depth (Depth 2)
9 | Low Frequency Flag (same scheme as 5)
10 | Low Frequency SV Correction
11 | Tide Correction
12 | Draft Correction
13 | Heave Correction
14 | Raw Heave (meters or feet)
15 | Raw Roll (decimal degrees)
16 | Raw Pitch (decimal degrees)
17 | WGS84 Lat: SDDMM.MMMMMMMM
18 | WGS84 Long: SDDDMM.MMMMMMMM
19 | WGS84 Ellipsoid Height
20 | GPS Status Code (e.g.: 2=Diff)
21 | GPS HDOP/PDOP
22 | GPS Number of Satellites
23 | GPS Standard Error X
24 | GPS Standard Error Y
25 | GPS Standard Error Z
26 | Vessel Heading
27 | Vessel Course Made Good
28 | Vessel XTE (=0 if no planned line)
29 | Vessel DBL (=0 if no planned line)
30 | Vessel Speed (knots)
31 | Seabed E1
32 | Seabed E2
33 | Seabed ID
34 | Seabed ID Color Code
35 | Height of Ellipsoid Above Chart Datum
36 | Height of Ellipsoid Above Geoid
37 | Total Positioning Error
38 | Record Checksum: The last two characters in each Data Record (followed by CHR$(13)+CHR$(10)). It will be recomputed anytime a Data Record is written by a HYPACK program.


Targets Database

Each project maintains a target database (targets.db) in the project folder. All HYPACK® programs—acquisition, processing, and final products—read and write target information to this database. The database model currently supports a lengthy list of target properties and attributes. Each program reads and writes only the properties and attributes they need.

Properties

Target Properties can apply to all targets, regardless of where or how you generate them.

Target Properties

Property | Definition | Editable?
Name | Target Name | Yes
Date Acquired | Date and time the target was originally generated. | No
Date Modified | Date and time the target was last edited. | No
WGS-84 Latitude and Longitude | Current target position. Automatically updates if you change X,Y. | Yes
X, Y | Current target position. Automatically updates if you change Lat/Lon. | Yes
Depth | Water depth at target location. | Yes
Event | If the target is marked during SURVEY, this is the latest event number. Otherwise, this value will be 0. | Yes
Survey File/Line Name | Survey line file on which the target is marked during SURVEY or DREDGEPACK. | Yes
Source | Program in which you mark the target or “imported”. | No
Notes | User-defined memo regarding target position. User notes entered in the Target Properties dialog in SURVEY or DREDGEPACK, in TARGETING AND MOSAICKING during targeting, or in TARGET VIEWER. | Yes
Symbol | S57 chart display symbol that can be displayed at target locations. The symbols are set in the TARGET EDITOR or through the right-click menu from the Project Items list. Overridden by Display Method = 1 (Alarm) | Yes
Rotation | Clockwise symbol rotation. | Yes

Attributes

Target attributes are generally only pertinent to the source program. For example, circles, alarm, transparency is only supported in HYPACK SURVEY, but not in main HYPACK Map window.

Target Attributes

Attribute | Definition | Editable?
Distance | Distance from the current target position. SURVEY or DREDGEPACK displays the target at the position calculated using Distance and Bearing properties, with a dotted line back to the original location. You can relocate all targets based on these attributes in the TARGET EDITOR. | Yes
Bearing | Direction the target is offset by the Distance property value. | Yes.
Code | Target type: 0 = Default Value, 1 = Water’s Edge | In development
Quality | Confidence Code for Target Classification. Otherwise, value is always ‘0’. | Yes
Orientation | The angle of the alarm flag from the target when displaying it in SURVEY or DREDGEPACK. | Yes
Sigma |  |
Circle Radius | Radius of the first circle around the target (and distance from there to any subsequent circles) when you select the Circle Target Display option in the HYPACK Control Panel | Yes
Number of Circles | Number of concentric circles around the target when you select the Circle Target Display Method in the HYPACK Control Panel. | Yes
Height | Height of targeted object from the bottom. Typically originates in TARGETING AND MOSAICKING. | Yes
Length | Measured Length of targeted object. Typically originates in TARGETING AND MOSAICKING. | Yes
Width | Measured width of targeted object. Typically originates in TARGETING AND MOSAICKING. | Yes
Range | Distance (measured diagonally) from the sonar head to the object. | Yes
Towfish Altitude | Towfish Height above the bottom when the target was marked. | Yes
Towfish Heading | Towfish Heading when the target was marked. | Yes
Capture File | •Screen capture of targeted object originating in TARGETING AND MOSAICKING. •Screen capture of the WMA display from the MAGNETOMETER EDITOR. | No
Display Method | Circle or Alarm | Yes
Class Name | Target Classification. Generated in TARGETING AND MOSAICKING. | Yes
Distance Over Ground | For Magnetometer targets. Geographical distance covered. Generated in the MAGNETOMETER EDITOR. | Yes
Time Elapsed | For Magnetometer targets. Time span for user-defined peak-to-peak data. Generated in the MAGNETOMETER EDITOR. | Yes
Peak Minimum | For Magnetometer targets. Generated in the MAGNETOMETER EDITOR. | Yes
Peak Maximum | For Magnetometer targets. Generated in the MAGNETOMETER EDITOR. | Yes
Peak Spread | For Magnetometer targets. Peak Maximum - Peak Minimum. Generated in the MAGNETOMETER EDITOR. | Yes
Depth of Burial | Isopach depth. Generated in the SUB-BOTTOM PROCESSOR. | Yes
Transparency | Percent opaqueness. (0 = transparent, 100 fully opaque) | Yes

More Information

• Targets

• Target Display Options

• Creating Targets in the TARGET EDITOR

• Editing Target Properties

• Targets in SURVEY

• Target Properties in SURVEY

• Target Classification

• Marking Targets in Scan View

• Targets in the MAGNETOMETER EDITOR

• Marking Targets in the SUB-BOTTOM PROCESSOR


Sound Velocity Corrections File (*.VEL)

The first line is “FTP NEW 3” followed by cast location in WGS84 latitude/longitude, cast time and date.

Note:The cast information supports interpolating sound velocity based on position in 64-bit HYSWEEP EDITOR. Older VEL files (with 2 instead of 3 in the header) do not include the required cast information.

The remaining lines are End Depth and Sound Velocity pairs.

Example:

FTP NEW 3 39.530413825 -75.815745590 08:46 02/13/2015

1.00 1480.00

2.00 1479.00

4.00 1485.00

8.00 1487.00

12.00 1490.00

VEL file in the SOUND VELOCITY Program


Planned Line Files (*.LNW)

The first line is always the number of lines. After that, each line is described as follows:

Description | Definition
LNS n | Always the first line. n = number of lines in the file.
LIN n | n = number of waypoints in the line.
PTS X Y | One record for each waypoint where X and Y are the waypoint projection grid coordinates.
LNN LineName | LineName defaults to consecutive numbers, but may be edited in the LINE EDITOR.
EOL | End of Line

Example

LNS 10

LIN 2

PTS 618379.72 668369.24

PTS 618307.74 668206.38

LNN 1

EOL

LIN 2

PTS 618338.57 668387.43

PTS 618266.58 668224.58

LNN 2

EOL…


Plotting Sheet Files (*.PLT)

An ASCII text file listing information entered in the PLOTTING SHEET EDITOR, one item per line as follows:

PLT Field Definitions

Description | Sample File
•FileName •HPG/L •Length •Width •Origin X •Origin Y •Scale •Rotation •1.00 •20.00 •2.00 •90.00 | HAL.PLT HPG/L 82.00 54.00 454210.00 4945770.00 5000.00 90.00 1.00 20.00 2.00 90.00

Description Sample file

Example Displayed in the PLOTTING SHEET EDITOR


Layout Files (*.LOT)

Layout files (*.LOT) represent one page that you will send to the plotter from HYPLOT. It includes the page dimensions as well as the content. Select objects (eg. graphics, text, title blocks, etc.) can be stand-alone objects in the layout or configured in one or more plotting sheets (*.PLT). LOT files are saved, by default, to the project folder.

The LOT file format mirrors the PLT format to maintain compatibility as they work together:

LOT Field Definitions

Description | Sample File
•FileName •Master vs Slave PLT •Width •Height •Origin X •Origin Y •Compatibility placeholder •Compatibility placeholder •Compatibility placeholder •Compatibility placeholder •Compatibility placeholder •Compatibility placeholder •Standard •Sheet Definition | C (17 X 22).LOT MASTER 20.50 15.50 Always 0.00 Always 0.00 1.0 0.0 1.00 20.00 2.00 90.00 ANSI C C (17 X 22)

Description Sample file


Matrix Files (*MTX)

An ASCII file describes the matrix. Each file begins with a header which includes only the information you see in the MATRIX EDITOR.

MTX Header Format

Description | Sample file
Corner X Corner Y Length Width Cell Length Cell Width Rotation Matrix Type | 454387.68 4945260.49 3443.62 285.21 10 10 72 1
Where | 0 = Survey 1 = Dredge 2 = Hysweep

If the matrix is empty, it contains only header data.

If the HYPACK matrix contains sounding data, the header will be followed by cell data, most commonly depths, but it may also record Sounding Count/Cell in HYSWEEP surveys or Seabed ID.

•The HYPACK SURVEY Data Only matrix begins with two columns. The first is the cell number and the second contains the survey depth, sounding count or Seabed ID. The third column is created only if the matrix is opened for use in the DREDGEPACK program. The Seabed ID matrix looks the same, but the second column stores the Seabed ID instead of depths.

•The Dredge matrix contains the third column with the dredge depths. The first three cells listed have had material removed by the dredge so the depth values are different. The last three cells have not been dredged and their depth values are the same.

•The HYSWEEP Matrix records Cell Number, Minimum Depth, Maximum Depth, Sum of all depths, number of depths in the cell, time stamp (msec after midnight).

Matrix Body Format Examples:

SURVEY Matrix: •CellNumber DepthAsSurveyed •CellNumber Number of Soundings •CellNumber Seabed ID | 2422 65 2423 71.5 2079 62.8 2080 69.1 2424 71.5…
Dredge Matrix: CellNumber DepthAsSurveyed DepthAsDredged | 5021 14.55 14.20 5022 14.51 14.20 5023 14.76 14.55 5024 14.57 14.57 5025 14.52 14.52 5026 14.19 14.19
HYSWEEP Matrix | 5107 102.03 102.43 204.46 2 43925700 5108 102.10 102.82 204.92 2 43925700 5109 102.33 102.89 205.22 2 43925700 5110 102.39 102.69 307.77 3 44451813


Matrix Database (*.MTXDB)

One of the output format options in MAPPER is a database (*.mtxdb). This is an SQLite database. SQLite (www.sqlite.org) a free, open-source database program that is becoming widely used. If you know SQL (Structured Query Language) and one of the free tools available to view and query SQLite databases, you can use the database generated for you (and by you) in MAPPER to extract more extensive information (eg X-Y-Zmin-Zmax-Zaverage file for example) from the data set than the MAPPER interface provides.

A Firefox Web Browser add-in called SQLite Manager with an .mtxdb file.

The tables that make up a Matrix Database are tbl_Header and tbl_Data.

The header table contains all of the information about the structure of the matrix file. The columns in the table are:

•id: Unique ID of the row. Since the table only contains one row, this record has the id of 1.

•x_ref: X reference point of the matrix corner.

•y_ref: Y reference point of the matrix corner.

•mtx_width: The X width of the matrix.

•mtx_length: The Y length of the matrix.

•cell_width: The cell width of the cells in the matrix.

•cell_length: The cell length of the cells in the matrix.

•rotation: The rotation of the matrix.

•type: The type of matrix (HYPACK or HYSWEEP).

This data should be familiar if you have ever looked at the header of a matrix (*.MTX) file.

The data table stores a lot of information for each record. If you have used the MAPPER program in the past, you know that some of the data selection choices are things like minimum, maximum, range, average, etc. Each record in the data table contains all of those data options. The columns in this table are:

•cell: The cell number in the matrix.

•ZMin: The minimum Z value in that cell.

•XatMin: The X value (relative to the matrix reference point – all X and Y values are saved this way) at the minimum Z.

•YatMin: The Y value at the minimum Z.

•ZMax: The maximum Z value.

•XatMax: The X value at the maximum Z.

•YatMax: The Y value at the maximum Z.

•DistCenter: The field is saved to keep track of the XY value nearest to the cell center.

•ZCenter: The Z value nearest to the cell center.

•XatCenter: The X value for the sounding nearest to the cell center.

•YatCenter: The Y value for the sounding nearest to the cell center.

•BestAng: For and HS2 files to keep the sounding closest to the best given angle.

•ZatAngle: The Z value at the best angle.

•XatAngle: The Y value at the best angle.

•YatAngle: The Y value at the best angle.

•ZSum: The sum of all Z values to hit that cell.

•ZCount: The number of Z values to hit that cell.

The one piece of data that would difficult to retrieve would be the X and Y at cell center (or corners). The SQLite engine does not provide trigonometric functions to factor in the rotation. It could be extracted with a 0 rotation matrix however.


Border files (*.BRD)

Border files contain only a list of coordinate pairs for each waypoint in the border. HYPACK uses all but the last point to create a polygon, then determines if the last point falls inside or outside the defined area.

Example

10.58 55.25

11.64 73.36

34.63 77.93

38.74 58.75

10.58 55.25

24.43 65.91


Channel Plan Files (*.PLN)

Channel Plan files have two sections:

•From the top to the ‘[Geometry]’ label, we list all of the data and settings that you have entered to the CHANNEL DESIGN tabs. The information for each tab has a label preceding it in square brackets (for example ‘[Center]’).

•The [Geometry] section contains channel waypoints that have been calculated by CHANNEL DESIGN. Most of them will be the same as in the upper portion. However, if the ends of the toes and center line are not even, CHANNEL DESIGN adjusts the toes to be square with the center line and records the adjusted waypoints in this section.

When the PLN file is displayed in the HYPACK window, the calculated points will be used to draw the channel, while the original points will be marked with small squares.

Example

[General]

Version=3

DepthMode=1

Arc=0

LeftLevel=0.00

RightLevel=0.00

LeftExt=0.00

RightExt=0.00

Spacing=100.00

Corner=0

Smart=1

NameFormat=0

HandleSize=0.00

[Center]

NoPoints=5

450.00 0.00 20.00 0.00 0.00

480.00 700.00 20.00 700.64 0.00

450.00 1800.00 20.00 1801.05 0.00

820.00 2520.00 20.00 2610.56 0.00

820.00 3999.00 20.00 4089.56 0.00

[LeftToe]

Shift=0.00

NoPoints=8

350.00 0.00 3.00:1.00 0.00

350.00 100.00 3.00:1.00 0.00

300.00 500.00 3.00:1.00 0.00

300.00 800.00 3.00:1.00 0.00

300.00 1600.00 3.00:1.00 0.00

300.00 1800.00 3.00:1.00 0.00

650.00 2550.00 3.00:1.00 0.00

650.00 4001.00 1.00:1.00 0.00

[RightToe]

Shift=0.00

NoPoints=8

550.00 0.00 2.00:1.00 0.00

600.00 100.00 2.00:1.00 0.00

600.00 500.00 2.00:1.00 0.00

700.00 700.00 2.00:1.00 0.00

700.00 1300.00 2.00:1.00 0.00

800.00 1800.00 2.00:1.00 0.00

950.00 2450.00 2.00:1.00 0.00

950.00 3999.10 1.00:1.00 0.00

[LeftBasins]

NoBasins=1

[Basin]

Level=16.00

NoPoints=4

300.00 800.00 3.00:1.00 0.00

100.00 1000.00 3.00:1.00 0.00

100.00 1400.00 3.00:1.00 0.00

300.00 1600.00 3.00:1.00 0.00

[RightBasins]

NoBasins=0

[Geometry]

NoPoly=7

Name=Center

NoPoints=5

450.00 0.00 20.00

480.00 700.00 20.00

450.00 1800.00 20.00

820.00 2520.00 20.00

820.00 3999.00 20.00

Name=LeftToe

NoPoints=8

350.00 4.29 20.00

350.00 100.00 20.00

300.00 500.00 20.00

300.00 800.00 20.00

300.00 1600.00 20.00

300.00 1800.00 20.00

650.00 2550.00 20.00

650.00 3999.00 20.00

Name=RightToe

NoPoints=8

547.90 -4.20 20.00

600.00 100.00 20.00

600.00 500.00 20.00

700.00 700.00 20.00

700.00 1300.00 20.00

800.00 1800.00 20.00

950.00 2450.00 20.00

950.00 3999.00 20.00

Name=LeftTop

NoPoints=10

290.00 6.86 0.00

290.00 96.26 0.00

240.00 496.26 0.00

240.00 776.23 0.00

52.00 980.98 0.00

52.00 1419.02 0.00

240.00 1623.77 0.00

240.00 1813.31 0.00

590.00 2563.31 0.00

590.00 3999.00 0.00

Name=RightTop

NoPoints=8

591.69 -6.07 0.00

640.00 90.56 0.00

640.00 490.56 0.00

740.00 690.56 0.00

740.00 1296.04 0.00

839.11 1791.58 0.00

990.00 2445.44 0.00

990.00 3999.00 0.00

Name=LeftBasinIn0

NoPoints=2

288.00 800.00 16.00

288.00 1600.00 16.00

Name=LeftBasinOut0

NoPoints=4

288.00 800.00 16.00

100.00 1000.00 16.00

100.00 1400.00 16.00

288.00 1600.00 16.00

MinArc=0.00


Channel Template Files (*.TPL)

A Channel Template file begins with the header that designates the format in which it is constructed. The most recent TPL format begins “FTP NEW”.

Following the header, there are from 4 to 21 lines that define the channel.

Format | LTP dbl dep
Where | LTP | Tag
 | dbl | Distance from the beginning of the survey line.
 | dep | Depth
Sample Line | LTP 251.87 58.00

Beware! Take care that the calculation method you are using supports the number of template points you are creating. For example, the Standard HYPACK method is the only method that supports 21 points.

Example

FTP NEW

LTP -400.0000 0.0000

LTP -350.0000 10.0000

LTP -300.0000 25.0000

LTP -250.0000 49.0000

LTP 0.0000 49.0000

LTP 250.0000 49.0000

LTP 300.0000 25.0000

LTP 350.0000 10.0000

LTP 400.0000 0.0000


Advanced Channel Files (*.CHN)

A Channel File is composed of a series lists which each begin with the list name and the number of items in the list. CHN files may not include all of the data, depending on how they were generated.

•Nodes: The Nodes list begins with the heading (ex. NODES 159), followed by the node data. One node is defined in each line, and each line contains the X, Y, Z and ID of the node.

•Faces: The Faces section begins with the heading (ex FACES 169), then describes the faces of the channel through space delimited lists of node IDs, one line per face.

•Segments lists each pair of nodes that are connected to form the edge of one or more faces.

•Labels are a complete list of the nodes Program-generated nodes have numeric labels begin with and underscore (ex _35).

•Zones: Describes each zone with name, color identification, number of faces, a list of face numbers where the numbers are assigned based on the order in which the faces are described in the Faces list.

These lists are followed by an Elevation multiplier which indicates whether the CHN was generated in depth or elevation mode, and the data from the Center Line, Left Toe, Right Toe, Left Basin, and Right Basin tabs.

Example

NODES 8

916761.84 260215.20 49.00 0

916784.66 259715.72 49.00 1

919768.64 260352.08 49.00 2

919791.46 259852.60 49.00 3

916789.12 259617.82 0.00 4

919795.92 259754.70 0.00 5

919764.18 260449.98 0.00 6

916757.38 260313.10 0.00 7

FACES 3

0 1 3 2 0

4 5 3 1 4

6 7 0 2 6

SEGMENTS 10

1 0

3 1

2 3

0 2

5 4

3 5

4 1

7 6

0 7

6 2

LABELS 8

2

3

92

93

5_

6_

7_

8_

ZONES 3

LeftSlope

255

1

2

Center

65280

1

0

RightSlope

16711680

1

1


HSX Format – HYSWEEP Text (ASCII) Logging

HSX format files store multibeam or side scan data. Each time you log data with HYSWEEP SURVEY or SIDE SCAN SURVEY, it generates a file with the same root name as the RAW file from HYPACK SURVEY. HYPACK programs use the data from the RAW files to position the data in the corresponding multibeam or side scan HSX files.

Each file contains two sections; a header, which is written when data logging starts, and a data section, which is written as data is collected. Most records start with a three character tag that indicates the type of data it stores.

More Information

• HSX Header Strings

• HSX Data Strings


HSX Header Strings

The header is a section of data at the beginning of each data file. It contains project information which is read in post-processing.

•DEV | •DV2 | •EOH | •EOL | •FTP
•HSP | •HSX | •INF | •LBP | •LIN
•LNN | •MBI | •OF2 | •PRI | •PTS
•SNR | •SSI | •SVC | •TND |

DEV Strings

HYPACK Device Information

Format |  | DEV dn dc “name”
Where | dn | device number
 | dc | Device capabilities (bit code) •1, 2, 4, 8 – Position •16 – depth •32 – heading •512 – MRU •32768 – extended capabilities
 | name | Device Name
Sample Line (GPS positions, speed and heading) |  | DEV 0 100 "GPS"

Return to HSX Header String Table

DV2 Strings

HYSWEEP Device Information

Format |  | DV2 dn dc tf en
Where | dn | device number
 | dc | HYSWEEP Device capabilities (bit code): •0001 - Multibeam Sonar •0002 - Multiple Transducer sonar •0004 - GPS (Boat Position) •0008 - Sidescan Sonar •0010 - Single Beam Echosounder •0020 - Gyro (boat heading) •0040 - Tide •0200 - MRU (heave, pitch and roll compensation)
 | tf | 1 if device is mounted on a tow fish
 | en | 1 if device is enabled
Sample Line |  | DV2 0 1 0 1

Return to HSX Header String Table

EOH Strings

The End of Header tag indicates end of the header in each file. It has no data itself. All subsequent lines are recorded data strings.

Return to HSX Header String Table

EOL Strings

The End of Line tag indicates end of planned line information. It has no data itself.

Return to HSX Header String Table

FTP Strings

The File Type (HYPACK File Identifier) identifies HYPACK 8.9 raw file. It is always 1st record in file.

Sample Line: FTP NEW 2

Return to HSX Header String Table

HSP Strings

HYSWEEP SURVEY Parameters

Format | HSP p1 p2 p3 p4 p5 p6 p7 p8 p9 p10 p11 p12
Where | P1 | minimum depth (survey units)
 | P2 | maximum depth (survey units)
 | P3 | port side offset limit (survey units)
 | P4 | starboard side offset limit (survey units)
 | P5 | port side beam angle limit (degrees)
 | P6 | starboard side beam angle limit (degrees)
 | P7 | high beam quality; codes >= this are good
 | P8 | low beam quality: codes < this are bad
 | P9 | sonar range setting (survey units)
 | P10 | towfish layback (survey units)
 | P11 | survey units: 0=meters, 1=us foot, 2=int’l foot
 | P12 | sonar id for advanced processing (See “HYSWEEP Sonar ID Numbers,” )
Sample Line |  | HSP 5.0 45.0 160.0 150.0 60 60 3 1 328.0 0.0 1

HYSWEEP Sonar ID Numbers

Sonar | ID Number
*Not Specified | 0
Reson Seabat 8101 - 150 Deg | 1
Atlas Fansweep 20 | 2
Benthos C3D | 3
CMAX CM-2 | 4
EdgeTech 272 | 5
EdgeTech 4100 | 6
EdgeTech 4125 | 7
EdgeTech 4150 | 8
EdgeTech 4200 | 9
EdgeTech 4300 | 10
GeoAcoustics GeoSwath | 11
Imagenex Sportscan | 12
Imagenex Yellowfin | 13
Klein 595 | 14
Klein 2000 | 15
Klein 3000 | 16
Klein 3900 | 17
Klein 5000 | 18
Odom CV3 | 19
Odom Echoscan 2 | 20
Odom ES3 | 21
Reson Seabat 7125 | 22
Reson Seabat 8111 | 23
Reson Seabat 8124 | 24
Reson Seabat 8125 | 25
Reson Seabat 9001 | 26
Reson Seabat 9003 | 27
SEA Swathplus | 28
Seabeam 2100 | 29
Seabeam SB1185 | 30
Simrad EA400 | 31
Simrad EM102 | 32
Simrad EM1002 | 33
Simrad EM2000 | 34
Simrad EM3000 | 35
Simrad EM3000D | 36
Simrad EM3002 | 37
Simrad EM3002D | 38
Reson Seabat 8101 - 210 Deg | 39
Imagenex Delta T | 40
Atlas Hydrosweep MD2 | 41
Simrad SM2000 | 42
Simrad EM710 | 43
Simrad EM302 | 44

Return to HSX Header String Table

HSX Strings

HSX File Identifier

Format |  | HSX vn
Where | vn | HSX format version number.
 |  | Always 2nd record in file. HSX Format Versions: •29-Mar-2000:0 HYPACK Max 0.4 •11-Sep-2000: 1 HYPACK Max 0.5 •18-Jun-2001: 2 HYPACK Max 0.5B •05-Jun-2003: 3 HYPACK Max 2.12A, Remove TFP (tow fish position) records
Sample Line |  | HSX 0

Return to HSX Header String Table

INF Strings

General Project Information

Format | INF "surveyor" "boat" "project" "area" tc dc sv
Where: | tc: | initial tide correction
 | dc: | initial draft correction
 | sv: | sound velocity
Sample Line | INF "steve" "LCH 19" "mcmillen" "617.6 to 618.2" -0.7 0 1500.0

Return to HSX Header String Table

LBP Strings

Planned Line Begin Point.

Format |  | LBP x y
Where | x | x grid position
 | y | y grid position
Sample Line |  | LBP 5567222.42 3771640.72

Return to HSX Header String Table

LIN Strings

Planned Line Data follows

Format |  | LIN nw
Where | nw | Number of waypoints
Sample Line |  | LIN 5

Return to HSX Header String Table

LNN Strings

Planned Line Name

Format |  | LNN text
Where | text | line name or number
Sample Line |  | LNN 14

Return to HSX Header String Table

MBI Strings

Multibeam / Multiple Transducer Device information

Format |  | MBI dn st sf bd n1 n2 fa aI
Where | dn | device number
 | st | sonar type code •0 – invalid •1 – fixed beam roll angles (e.g., Reson Seabat) •2 – variable beam roll angles (e.g., Seabeam SB1185) •3 – beam info in spherical coordinates (e.g., Simrad EM3000) •4 – multiple transducer (e.g., Odom Miniscan)
 | sf | sonar flags (bit coded hexadecimal) •0001– roll corrected by sonar •0002– pitch corrected by sonar •0004– dual head •0008–heading corrected by sonar (ver 1) •0010 – medium depth: slant ranges recorded to 1 dm res. (version 2) •0020 – deep water: slant ranges divided by 1 m resolution (ver 2) •0040 - SVP corrected by sonar (ver 5) •0080 - topographic device; upgoing beams accepted. (ver 6)
 | bd | beam data (bit coded hexadecimal) •0001 – beam ranges are available (survey units) •0002 – sounding point easting available (survey units) •0004 – point northing available (survey units) •0008 – point corrected depth available (survey units) •0010 – along track distance available (survey units) •0020 – across track distance available (survey units) •0040 – beam pitch angles available (degrees, TSS convention) •0080 – beam roll angles available (degrees, TSS convention) •0100 – beam takeoff angles available (degrees from vertical) •0200 – beam direction angles available (degrees from forward) •0400 – ping delay times included (milliseconds) •0800 – beam intensity data available •1000 – beam quality codes (from sonar unit) available •2000 – sounding flags included •4000 - spare •8000 - spare
 | n1 | number of beams, head 1 (multibeam) or number of transducers (multitransducer)
 | n2 | number of beams, head 2 (multibeam)
 | fa | first beam angle is for sonar type = fixed angle (degrees, TSS convention)
 | ai | angle increment is for sonar type = fixed angle (degrees, TSS convention)
Sample Line |  | MBI 1 1 0 1801 60 0 44.250 -1.500

Return to HSX Header String Table

0F2 Strings

Device Offsets

Format |  | OF2 dn on n1 n2 n3 n4 n5 n6 n7
Where | dn | device number
 | on | offset number •0 – position antenna offsets •1 – gyro heading offset •2 – MRU device offsets •3 – Sonar head 1 / Transducer 1 offsets •4 – Sonar head 2 / Transducer 2 offsets •131 – Transducer 128 offsets
 | n1 | Starboard / port mounting offset. Positive starboard
 | n2 | Forward / aft mounting offset. Positive forward
 | n3 | Vertical mounting offset. Positive downward from waterline
 | n4 | Yaw rotation angle. Positive for clockwise rotation
 | n5 | Roll rotation angle. Port side up is positive
 | n6 | Pitch rotation angle. Bow up is positive
 | n7 | Device latency in seconds
Sample Line |  | OF2 0 3 6.2 –1.3 6.1 2.15 -0.27 1.00 0.000

Return to HSX Header String Table

PRI Strings

Primary Navigation Device

Format |  | PRI dn
Where | dn | device number
Sample Line |  | PRI 0

Return to HSX Header String Table

PTS Strings

Planned Line Waypoint

Format |  | PTS x y
Where | x | waypoint easting in survey units
 | y | waypoint northing in survey units
Sample Line |  | PTS 5569134.63 3774182.61

Return to HSX Header String Table

SNR Strings

Side Scan Sonar Frequency

Format |  | SNR dn i f
Where | dn | device number
 | i | frequency index
 | f | frequency
Sample Lines: |  | Edgetech 4200 side scan, dual freq. 100/400 Hz: SNR 1 0 100 SNR 1 1 400

Return to HSX Header String Table

SSI Strings

Sidescan Device Information

Format |  | SSI dn sf np ns
Where | dn | device number
 | sf | sonar flags (bit coded hexadecimal) 0100 – amplitude is bit-shifted into byte storage
 | np | number of samples per ping, port transducer
 | ns | number of samples per ping, starboard transducer
Sample Line |  | SSI 1 256 1024 1024

Return to HSX Header String Table

SVC Strings

Sound Velocity Correction

Format |  | SVC bd ed sv
Where | bd | layer begin depth in survey units, referenced to water surface
 | ed | layer end depth in survey units
 | sv | layer sound velocity in meters/second
Sample Line |  | SVC 0.0 1.0 1481.66

Normally, there will be many of these records contained in the file header. One for each layer (velocity zone) measured by the sound velocity profiler.

Return to HSX Header String Table

TND Strings

Survey Time and Date

Format |  | TND t d b
Where | t | time string
 | d | date string
 | b | time bias (in minutes)
Sample Line |  | TND 15:54:33 08/28/2005 300

Return to HSX Header String Table


HSX Data Strings

CAB Strings

Cable Out

Format |  | CAB dn t n c l sf sd sa wd
Where | dn | device number or 99
 | t | time tag (seconds past midnight)
 | n | number of values to follow
 | c | cable out
 | l | layback
 | sf | slope factor
 | sd | sensor depth
 | sa | sensor altitude
 | wd | water depth
Sample Line |  | CAB 1 48738.528 6 100.000 64.503 0.645 0.000 63.500 63.500

Return to Top

DFT Strings

Dynamic Draft (Squat) Correction

Format |  | DFT dn t dc
Where | dn | device number or 99
 | t | time tag (seconds past midnight)
 | dc | draft correction
Sample Line |  | DFT 99 57273.81 –0.30

Return to Top

FIX Strings

Fix (Event) Mark

Format |  | FIX dn t n
Where | dn | device number or 99
 | t | time tag (seconds past midnight)
 | n | event number
Sample Line |  | FIX 99 57273.81 15

Return to Top

GPS Strings

GPS measurements

Format |  | GPS dn t cog sog hdop mode nsats
Where | dn | device number
 | t | time tag (seconds past midnight)
 | COG | Course Over Ground (degrees)
 | SOG | Speed Over Ground (knots)
 | HDOP | GPS HDOP
 | Mode | GPS mode •0 : unknown •1: stand alone •2: differential •3: RTK
 | NSats | Number of Satellites
Sample Line |  | GPS 0 57274.044 124.4 5.66 2.1 2 4

Return to Top

GYR Strings

Gyro Data (Heading)

Format |  | GYR dn t h
Where | dn | device number
 | t | time tag (seconds past midnight)
 | h | vessel heading angle
Sample Line |  | GYR 0 57274.04 193.71

Return to Top

HCP Strings

Heave Compensation

Format |  | HCP dn t h r p
Where | dn | device number
 | t | time tag (seconds past midnight)
 | h | heave in meters
 | r | roll in degrees (+ port side up)
 | p | pitch in degrees (+ bow up)
Sample Line |  | HCP 2 57273.81 0 3.61 0

Return to Top

POS Strings

Position

Format |  | POS dn t x y
Where | dn | device number
 | t | time tag (seconds past midnight
 | x | easting
 | y | northing
Sample Line |  | POS 0 57274.042 5569070.02 3774080.46

Return to Top

PSA Strings

Pitch Stabilization Angle

Format |  | PSA dn t pn a0 a1
Where | dn | device number
 | t | time tag (seconds past midnight
 | pn | ping number
 | a0 | projector (head 0) pitch angle
 | a1 | projector (head 1) pitch angle
Sample Line |  |

Note:PSA records are recorded only when pitch stabilization is active. They immediately precede corresponding RMB records.

Return to Top

RMB Strings

Raw Multibeam Data

Format | RMB t st sf bd n sv pn sonar range power gain GainMode
Where | dn | device number
 | t | time tag (seconds past midnight)
 | st | Sonar type
 | sf | Sonar flags
 | Bd | Available beam data
 | n | Number of beams to follow
 | sv | Sound velocity in M/sec
 | pn | Ping number ( or 0 if not tracked)
Immediately following the RMB record is a record containing slant ranges (multibeam) or raw depths (multiple transducer). Following the ranges are 0 to n additional records depending on the bd (beam data) field.
Sample Lines | Seabat 9001 storing slant ranges, quality codes and sounding flags: RMB 1 27244.135 1 0 E0 1500.00 0 60 19.50 19.31 18.60 1.66 18.47 … (60 slant ranges in survey units) 3 3 3 0 3 … (60 quality codes) 0 0 0 1 0 … (60 sounding flags)
 | Multiple transducer storing 8 raw depths: RMB 1 27244.135 4 0 0 1500.00 0 60 31.44 33.01 32.83 32.80 … (8 raw depths in survey units)
 | Dual-head Seabeam SB1185 storing range, beam pitch and roll angles, ping delay times, beam quality code and sounding flags: RMB 1 27244.135 2 5 D2 1500.00 0 108 93.18 88.30 84.74 80.46 … (108 slant ranges in working units) -69.72 -68.53 -67.36 -66.15 … (108 beam roll angles in degrees) 0 0 0 67 … (108 ping delay times in msecs) 7 7 7 7 … (108 beam quality codes) 0 0 0 0 … (108 sounding flags)
Sonar Type Codes

•0 – invalid

•1 – fixed beam roll angles (e.g., Reson Seabat)

•2 – variable beam roll angles (e.g., Seabeam SB1185)

•3 – beam info in spherical coordinates (e.g., Simrad EM3000)

•4 – multiple transducer (e.g., Odom Miniscan)

Sonar Type Flags

•0001– roll corrected by sonar

•0002– pitch corrected by sonar

•0004– dual head

•0008–heading corrected by sonar (ver 1)

•0010 – medium depth: slant ranges recorded to 1 dm res. (version 2)

•0020 – deep water: slant ranges divided by 1 m resolution (ver 2)

•0040 - SVP corrected by sonar (ver 5)

•0080 - topographic device; upgoing beams accepted. (ver 6)

Beam Data

•0001 – beam ranges are available (survey units)

•0002 – sounding point easting available (survey units)

•0004 – point northing available (survey units)

•0008 – point corrected depth available (survey units)

•0010 – along track distance available (survey units)

•0020 – across track distance available (survey units)

•0040 – beam pitch angles available (degrees, TSS convention)

•0080 – beam roll angles available (degrees, TSS convention)

•0100 – beam takeoff angles available (degrees from vertical)

•0200 – beam direction angles available (degrees from forward)

•0400 – ping delay times included (milliseconds)

•0800 – beam intensity data available

•1000 – beam quality codes (from sonar unit) available

•2000 – sounding flags included

•4000 - spare

•8000 - spare

Return to Top

RSS Strings

Raw Sidescan

Format | RSS dn t sf np ns sv pn alt sr amin amax bs freq
Where | dn | device number
 | t | time tag (seconds past midnight)
 | sf | sonar flags (bit coded hexadecimal) 0100 – amplitude is bit-shifted into byte storage
 | np | number of samples, port transducer (down-sampled to 2048 max)
 | ns | number of samples, starboard transducer (down-sampled to 2048 max)
 | sv | sound velocity in m/sec
 | pn | ping number (or 0 if not tracked)
 | alt | altitude in survey units
 | sr | sample rate (samples per second after down-sample)
 | amin | amplitude minimum
 | amax | amplitude maximum
 | bs | Bit shift for byte recording
 | freq | frequency (0 for single frequency or 1 for simultaneous dual frequency operation)
Sample Line |  | RSS 3 61323.082 100 341 341 1460.00 0 10.75 4983.47 0 4096 4 109 97 84 95 120 111 … (341 port samples) 106 93 163 106 114 127 … (341 starboard samples)

Immediately following the RSS record are two records containing port and starboard amplitude samples.

Return to Top

SNR Strings

Sonar Runtime Settings

Format |  | TID dn t tc
Where | dn | device number or 99
 | t | time tag (seconds past midnight
 | pn | ping number (0 if not tracked)
 | sonar | sonar ID (See “HYSWEEP Sonar ID Numbers,” )
 | ns | Number of setting to follow
 | s | up to 12 settings
Sample Line |  | SNR 1 65751.781 218 9 5 100 107 11400 12600 8

Five optional fields are included at the end of RMB records giving sonar range, power and gain settings. These settings are defined differently depending on sonar model and manufacturer.

For Seabat 81XX Serial and 81XX Network Drivers:

Sonar ID | 1, 23, 24, 25, 39
P0 | Sonar range setting in meters.
P1 | power setting, 0 - 8
P2 | gain setting, 1 – 45
P3 | gain modes: bit 0 = TVG on/off, bit 1 = auto gain on/off.

For Seabat 7XXX Drivers (7125, 7101, 7150, 7111 ):

Sonar ID | 22, 53, 60, 62
P0 | Sonar range selection in meters.
P1 | Transmit power selection in dBs relative to 1 uPa
P2 | Receiver gain selection in 0.1 dBs
P3 | Transmitter frequency in KHz.
P4 | Transmit pulse width in microseconds.

For EdgeTech 4200 Driver

Sonar ID | 7-10
P0 | Pulse power setting, 0 to 100 percent.
P1 | ADC Gain factor.
P2 | Start Frequency in 10 * Hz.
P3 | End Frequency in 10 * Hz.
P4 | Sweep length in milliseconds.

Return to Top

SVM Strings

Other Towfish Sensor Data

Format |  | SVM dn t p fdep temp sal sv
Where | dn | device number or 99
 | t | time tag (seconds past midnight
 | p | pressure in decibars
 | fdep | towfish depth in survey units
 | temp | temperature in Celsius degrees
 | sal | salinity in PSU
 | sv | sound velocity in m/sec
Sample Line |  |

Note:If any value is absent, it is logged as ‘0’.

Return to Top

TID Strings

Tide Correction

Format | dn t tc
Where | dn | device number or 99
 | t | time tag (seconds past midnight)
 | tc | tide correction
Sample Line | TID 99 57273.814 –1.30

Return to Top


Echosounders 101

Echosounders 101 provides a general explanation of how sounders work. This understanding may give you some insight about the reasons for various HYPACK settings and procedures.

More Information

• How Echosounders Work

• Beam Patterns

• Basic Acoustics for the Hydrographer


How Echosounders Work

The digitizer of an echosounder is a sensitive device that, when properly calibrated, gives accurate estimations of the bottom depth.

A Typical Echosounder Reading

At the beginning of the measurement phase, the echosounder transceiver sends electrical energy to the transducer. This energy is converted to a sound wave by the transducer and an output "Pulse” is broadcast through the water column. Not all of the sound energy travels downward. Some of it is formed into side lobes that can actually reflect off the water surface and return to the transducer, providing the “Surface Backscatter” energy measured at the transducer.

As the sound wave strikes the bottom, energy is reflected from the bottom and redirected to the transducer where it is converted back into electrical signals by the transducer and returned to the transceiver for analysis. The amplitude (height) of the reflected energy depends upon the size of the output pulse and the reflectivity of the bottom. The more energy your transducer puts into the water, the more energy will be reflected back to you. The harder (or more reflective) the bottom, the more energy will be returned to you.

The following figure illustrates the difference between hard bottom and soft bottom energy returns using the same output pulse. The harder rock returns more energy over a shorter interval. The sand “diffuses” the sound energy, absorbing some and spreads out the period of the return.

Comparing Echosounder readings over different Bottom materials

Most electronic digitizers on echosounders use a “Threshold” or “Sensitivity” setting to determine the energy level of the return signal that represents the bottom. Examine the following diagram. The Threshold is set at the “T1” level. This results in a measurement shown as “Depth 1”. If we raise the threshold to the “T2” level, the depth will increase to “Depth 2”. We can influence the depth by adjusting the digitizer threshold. In the "Rock/Sand” example, it can also be seen that we will receive slightly different depths over different material using the same digitizer threshold.

Beware! If you calibrate your echosounder over hard rock and then conduct your survey over a sandy bottom, you can introduce errors into your depth measurement!

The Influence of Digitizer Threshold on Depth Readings

We can also influence the depth by controlling the amplitude of the output pulse. Examine the figure below. With the echosounder outputting power in the black (Depth 1) setting, the digitizer analyzes the return data and sets the depth where the reflected energy is greater than the Digitizer Threshold at “Depth 1”. We then increase the output power to the red (Depth 2) setting. The reflected energy also increases in amplitude and it exceeds the Digitizer Threshold slightly earlier. This results in the echosounder outputting “Depth 2”. As you increase the output power on your echosounder, you can potentially decrease the measured depth. The inverse of this is also true. Decreasing the output power can result in increased depth measurements.

Comparing Echosounder Readings at Different output powers


Beam Patterns

Based on the transducer design, echosounders produce different shaped beams. Some beams are narrow; some are wide. Most transducers have a beam pattern that shows the energy levels at various angles and signal strengths (dB levels). Most echosounders used in hydrographic surveying have a main beam that is directed perpendicular from the transducer ace plate. Two “side lobes” form at angles from the main beam. The typical pattern of a transducer beam pattern is shown in the figure below.

Transducer Beam Angle

The “beam angle” of a transducer is determined by measuring the range of the 6dB level. In this example, the transducer would have a beam angle of 8 degrees.


Basic Acoustics for the Hydrographer

Single beam, multi-channel, and multibeam echosounders all rely upon sound waves in order to measure depth 1. They are hydrographic stopwatches that accurately measure the time it takes a sound wave to travel from the transducer to the bottom and back. Based on sound velocity parameters, they convert this time to a depth. This depth must then be corrected to account for the effects of changing sound velocity and tide, the motion of the vessel, and device latency.

More Information

• Sound Velocity and Ray Bending

• Beam Frequency Effects on Survey Data

• Beam Geometry

• Timing and Latency


Sound Velocity and Ray Bending

Let’s start with a very brief review of single beam acoustics. A sounding starts when the echosounder electronics sends a short voltage pulse to the transducer, which converts the electrical energy to a mechanical energy in the form of an acoustic (sound) wave in the water; a ping. The transducer focuses the ping downward and almost all the energy of the ping travels within a beam, as shown in Single Beam Sounding Through Sound Velocity Change. No change in the Beam Direction Occurs. .

Single Beam Sounding Through Sound Velocity Change. No change in the Beam Direction Occurs.

The ping travels at the speed of sound in water. Where the sound velocity changes due to temperature or density variations, like at the boundary between velocities 1 and 2, the ping speed changes. A very small portion of the energy is reflected back upward, but the ping still travels straight down; there is no change in direction.

When the ping reaches the bottom, it encounters a large change in velocity (V3). This is because sound travels much faster in the solid bottom than it does in a liquid. A large amount of the ping energy is reflected (echoed) upward at this transition and eventually finds its way back to the transducer. The transducer converts the reflected sound back to the electrical energy. From the time delay between the outgoing and incoming pulses (and known acoustic velocity in water), depth is calculated.

Now, we take a look at multibeam sonar. In multibeam technology, a beam is sometimes called a ray, which is a mathematical term for a line with a direction. In the single beam case above, it is two directions, first down then up.

Multibeam sounding through sound velocity change; the beam is refracted upward. (V2 is greater than V1)

With multibeam, the beams are not necessarily vertical, and that changes the situation. When a non-vertical beam encounters a change in sound velocity, not only does the ping change speed, the beam (ray) changes direction slightly. This effect is known as refraction or ray bending. When sound velocity increases (v2 > v1), the ray is bent upward. Conversely, when the sound velocity decreases (v1>v2), the ray is bent downward. Snell’s Law gives the magnitude of refraction.

V1/Sin(theta 1) = V2/Sin(theta 2) where theta 1 and 2 are the vertical ray angles in V1 and V2 respectively.

In The Effect of Sound Velocity Error in Positioning , two examples are illustrated. A single beam system pointed directly below the boat and a beam from a multiple transducer system angling through the water column. The Svn numbers represent the different sound velocity layers. Since the single beam is traveling perpendicular to the sound velocity layers, it will not be refracted. The (lower) red line on the multibeam shows the path of the beam without ray bending. The (farthest right) green line shows its actual path after being refracted. Notice you receive a different position and different depth, based on the effect of ray bending.

The Effect of Sound Velocity Error in Positioning

The largest source of errors in multibeam surveys is attributed to sound velocity measurements. You can typically see errors in sound velocity measurements in real time by noticing a “curling” effect on the outer beams when over flat bottoms.

Effects of Sound Velocity Error on your Sounding Data

Sound velocity variations are most extreme in deep water surveys where thermal effects lead to large velocity variations. In shallow water, variations are significant in estuaries where velocity changes abruptly between fresh and salt water. Where the water is well mixed, refraction is typically not a problem.

Refraction will not introduce large errors in sounding data, even if the velocity table is not quite right, as long as the vertical ray angle doesn’t go too far beyond 45 degrees. (Under these circumstances there is less than 1- percent error, vertical and horizontal.) Beyond 45 degrees, however, the error will increase rapidly. If you have collected data in an area where the bottom is reasonably flat, but the outer beams are consistently shallower (or deeper) than the inner beams, you can be sure that refraction is being improperly compensated. The likely reason is erroneous sound velocity measurements.

How does this affect survey operations? Mainly, it makes the bar check procedure obsolete, which is only good for finding average sound velocity. What you will do instead, is cast a sound velocity probe to measure actual velocity variations with depth. The Velocity vs. Depth information is entered into a table that is used during post-processing to compensate for refraction.


Beam Frequency Effects on Survey Data

As the frequency of your EM wave increases, so does the precision of your measurement. Put hydrographers’ terms, the higher the frequency of your transducer, the more accurate your measurement will be. High-resolution side scan sonars use frequencies of 500KHZ. Multibeam systems for small launches use frequencies from 200KHZ to 450KHZ. Traditional single beam echosounder use frequencies around 200MHZ. Some hydrographers (for reasons to be discussed) use transducers with 24KHZ to 33KHZ. After reading this, you think everybody would be using 500KHZ transducers, but there is a price to pay for precision.

The higher the frequency of the EM wave, the greater the energy dissipation. As sound waves travel through water, their energy is dissipated by particles in the water, air bubbles, etc. High frequency sound waves quickly dissipate and cannot be used in deeper water. Deep-water transducers, used to measure depths of greater than 1000 meters, are typically in the range from 3KHZ to 12KHZ. Although not as precise as 200KHZ transducers, they can produce sound waves that can get to the bottom and back without dissipating.

The higher the frequency, the higher the reflectivity. One of the drawbacks with higher frequency (200+KHZ) transducers is they reflect off almost anything. This includes vegetation, air bubbles, fish bladders, and suspended sediments. A lower frequency transducer (e.g. 24KHZ), although slightly less precise, will allow you to pass through some of these materials to actually track the bottom. Over a soft mud, sand, silt) bottom, a low frequency transducer will generally provide deeper depths than a high frequency transducer. Over a hard (rock) bottom, the two transducers should produce almost the same depth.

The lower the frequency, the larger the transducer. The physical size of transducers has certainly been reduced over the last decades. However, this rule generally still holds true. Lower frequency transducers are heavier and larger than higher frequency transducers and sometimes can complicate the mounting procedures.


Beam Geometry

The equipment required for a single beam survey is a positioning system, an echosounder and, if the water is choppy, a heave compensator. Mount the position antenna above the transducer, and the sounding x and y are the same as antenna x and y. Depth (z) is the sounding minus heave. It's simple.

For accurate multibeam surveying, you need some additional equipment: a gyro to measure boat heading and a MRU (motion reference unit) for the pitch and roll data. The reason for the additional measurements is, again, because the directed beams are not vertical so calculation of the sounding x, y, and z values becomes more complex than in single beam surveys.

Note:MRU and Heave Compensator are interchangeable terms, although MRU more accurately describes what these things do.

Once again, we will refer to some figures, each showing a single beam, to explain some basic concepts. Looking starboard, the Beam Angle Relative to Vertical is the Boat Roll Angle shows a beam taking off from the multibeam at 45 degrees. The survey boat is rolling r degrees so the angle that we need to know is r + 45 degrees, which is only known from the measurement of the MRU.

Looking starboard, the Beam Angle Relative to Vertical is the Boat Roll Angle

Beam Angle relative to Vertical is the Pitch Angle shows the necessity of pitch measurement. Although the beam takes off vertically from the multibeam, the boat is pitched and the angle required for the sounding point is p.

Beam Angle relative to Vertical is the Pitch Angle

The final angular measurement is the gyro heading (yaw) angle (h) as shown in Beam Angle relative to Grid North .

Beam Angle relative to Grid North

There are other angles to consider that have to do with the relative alignment of the gyro, MRU and the multibeam itself. In a perfect world, all three instruments are mounted vertically and in exact alignment with the keel of the boat. Welcome to the real world, where nothing is exact and we have magnetic variations and mounting offset angles to accommodate. These offset angles must be added to the beam roll, pitch and heading angles. Note that it is nearly impossible to measure these angles accurately enough for survey quality data. That’s why the Patch Test is done — to let the computer figure out the angles for you.

Solving for sounding x, y, z requires a few steps, and is outside the scope of this introductory course. It’s enough to say, the equations are ugly, but they work!

What happens in the case of misalignment? That is, when beams are traveling at different angles than expected. The answer: Horrible things! The following table gives vertical and horizontal errors at various beam angles due to a two-degree misalignment in 40 feet of water. Think about two degrees. That’s a very small angle, but look at the vertical (depth) errors that are introduced. The conclusion is, not to forget about multibeam surveying altogether, but rather to do a good patch test to make sure misalignment errors are removed.

Expected Angle | Actual Angle | Vertical Error | Horizontal Error
0 | 2 | 0.02 | 1.40
10 | 12 | 0.27 | 1.40
20 | 22 | 0.53 | 1.39
30 | 32 | 0.84 | 1.39
40 | 42 | 1.20 | 1.38
45 | 47 | 1.42 | 1.37
50 | 52 | 1.69 | 1.37
60 | 62 | 2.44 | 1.36
70 | 72 | 3.86 | 1.33
80 | 82 | 7.95 | 1.26


Timing and Latency

As we have seen, a multibeam boat is equipped with numerous devices—a positioning system, a gyro, an MRU and the sonar itself. Each device does a good job at its specialty, measuring and transmitting to the data collection computer, some at very high data rates. The computer stores all this data, with time tags indicating time of measurement, in RAW data files.

The time tags correlate the data from the various devices. To find a sounding position at a given time, it is necessary to know the pitch, roll, heading and GPS position at the exact time of the sounding. The measurements are asynchronous, so interpolation is required, using the values just before and just after the sounding. These time tags are easily overlooked, but they are just as valuable as the measurements themselves particularly when dealing with highly dynamic data, such as +/- 10 degrees of roll over a three-second period.

Admittedly, there isn’t much you can do about system timing except (1) to sample devices often and (2) account for device latency.

Update Frequency

The more frequently devices are sampled, the better. It is far preferable to have too much data than not enough. In HYPACK, this means setting the update frequency to the maximum value of 50 milliseconds for all devices.

Latency

Latency is the time delay between measurement and transmission to the data collection computer. Some devices measure, then spend time processing or waiting for additional input, then transmit after a delay; these devices have latency. Some devices measure then transmit after an insignificant time delay, in which case the latency time is zero. Other devices have predictive filters that predict the value at time of transmission, and therefore have zero latency also. Some devices transmit after a delay, but include latency in the transmission.

Latency is subtracted for the time tag to give time of measurement. When latency is wrong, the time tag is wrong and the correlation between devices is wrong so the data is wrong. It is clear that you must know latency values either from the device manual or Tech. Support, a patch test (for positioning systems) or HYPACK.

Some serious errors can be introduced by latency. We can relate positioning and latency with the following equation:

Position = Survey Speed x Latency Error

Horizontal Error Introduced by Incorrect Latency in the Positioning System at Various Survey Speeds

Latency Error | @ 3 Knots | @ 6 Knots | @ 10 Knots
250 Msec | 1.3 ft | 2.5 ft | 4.2 ft
500 Msec | 2.5 ft | 5.1 ft | 8.4 ft.
1000 Msec (1 sec) | 5.1 ft | 10.1 ft. | 16.9 ft.

With almost all devices, the latency delay is either negligible of included as part of the transmission. The exception is GPS devices. There are two ways to correct for GPS latency. The first is to look up latency in the GPS manual and enter it in the HARDWARE program when you specify the GPS Offsets. This works well if the latency time is constant or only varies by a small amount or if you survey slowly.

The second way to correct for latency is to use the T0 pulse from the GPS receiver. This is the only way to properly correct for latency when latency time is variable.

Tip: Update frequency is how often the SURVEY program checks for device data. Use 50 milliseconds for all devices with one exception. If you are surveying in calm water, you can reduce the size of your data files by decreasing the MRU update frequency. You will have to experiment to find a value that reduces files size while providing acceptable data quality.


Serial Interfacing

For serial communication to succeed, the communication parameters must be configured in HARDWARE for each device. They must be set to match your equipment or you don’t have any chance to read the device in the SURVEY program.

The other component to serial communication is the hardware itself. Your computer needs enough serial ports to accommodate all of your sensors without port conflicts. To check port availability, select UTILITIES-COMMUNICATION-COMQUERY. A dialog will display a list of ports and whether they are available.

ComQuery Dialog

Some devices are made so you can feed the data from one, through the other to the computer on one serial port. For example, GPS units commonly send their data through echosounders and gyros. This is called multiplexing. In this case, each of the device drivers would be set to the same COM port.

More Information

• Communication Parameters

• Serial Hardware


Communication Parameters

Serial interfacing can be compared to running a single pipeline. Survey information is broken into individual characters, which are then broken down into a series of ones and zeros. These ones and zeros are known as bits. Each one or zero is transmitted by changing the voltage on a transmit wire. Your survey equipment may change the voltage to 5V to designate a zero, and then drop the voltage to 0V to designate a one.

Data bits and Stop bits: This series of bits is normally transmitted in series of seven or eight data bits. Each hardware device will have a setting called data bits, which defines the number of bits in each group. At the end of each group, the device inserts one or more Stop bits. This provides the equipment with a little time to process each message and prepare for the next message.

Parity: When serial transmission was first implemented, it was not as perfected as it is today. In order to check whether or not a message was correctly received, transmitting equipment would add a Parity bit. This was a single bit which would be either a zero or a one, depending on the sum of the data bits in the message group.

•If you selected Even Parity, the parity bit would be set so the sum of all of the data bits and parity bit would be an even number.

•If you selected Odd Parity, the parity bit would be set so the sum of all of the data bits and parity bit would be an odd number. This gave the receiving equipment a 50/50 chance of detecting a bad data group.

As serial equipment became more reliable, manufacturers began to eliminate the parity bit. In this case, a setting of None or No Parity would tell the devices not to worry about a parity bit.

Baud Rate: The final essential piece of information needed to establish communication between two devices is the Baud Rate. This is the speed, expressed in bits per second, with which the two devices send characters to each other. In order to successfully communicate, both devices need to agree as to the Baud Rate, the Data bits, Stop bits and Parity. If any of these values are not specified correctly, the results may vary. For example, if you incorrectly specify the baud rate, your computer will receive what it thinks is gibberish. If you incorrectly specify the number of Stop bits, it may be able to successfully decipher 80% of the received messages.

Handshaking: The other key, essential in serial communications is called Handshaking. This is how one device tells another device that it is either ready or not ready to receive additional information. For example, most computers can send information to a plotter faster than the plotter is capable of processing it. The plotter, first, stores information in a temporary buffer until it can process it. Once the buffer becomes full, it needs some way of telling the computer to stop sending the information. This is done via Handshaking. Handshaking is normally accomplished by one of the following methods:

Xon/Xoff is preferred by some devices because it requires no additional wires, other than a transmit, receive and signal ground wires. When a device is becoming full, it sends an Xoff character (CHR$17). Upon receipt, the transmitting device stops sending information. Once the receiving device has processed enough information and can receive more information, it sends an Xon character (CHR$19). This allows the transmitting device to resume its transmission. For equipment requiring this type of handshaking, set the Flow Control to software in the COM properties dialog.

CTS/RTS (Clear to Send/Ready to Send) and DST/DTR (Data Set Ready/Data Terminal Ready) are similar methods. They each require up to two additional wires in the serial cable. The transmitting device uses one wire to tell the receiving device it is ready to send data. The receiving device uses the other wire to tell the transmitting device it is ready to receive data. If one, or both, of the conditions are not met, the device does not transmit. HYPACK supports CTS/RTS handshaking when the Flow Control in the COM properties dialog is set to "hardware". Devices that require DST/DTR handshaking are a little different. The Flow Control is still set to "hardware", but you will also need a custom cable. The cable must connect the HYPACK RTS pin to the device DSR pin, and the HYPACK CTS pin to the device DTR pin for the devices to communicate.

Tip: In HYPACK, we prefer that all handshaking be set to None. This means that as soon as a measurement is made, it is transmitted to the computer without any additional delay. Unless there are overriding reasons, all equipment, with the exception of plotters, should be set with no handshaking.


Serial Hardware

Now that your communication parameters are set correctly, let’s look at serial hardware.

Beware! All serial ports in your computer are referenced by a location (I/O Address). Serial ports are referred to as COM ports. The first one will be called COM1:, the second one COM2:, etc. Serial ports are being phased out as standard equipment on PCs, however, they can be added by using PCMCIA or PCI serial cards. These cards come with one, two or four serial ports on a single card.

Tip: We recommend PCI type boards like the ones from Comtrol or Digi for desktop PCs and PCMCIA to serial cards like those from Quatech or Socket for notebooks.

Beware! USB technology is designed to give priority to Windows® functions. This can result in extreme and inconsistent latency issues. You cannot rely on USB to Serial connectors for time-critical data!


Finding the IP Address of the Survey Computer

To configure network connections or viewing, you must know the IP Address of the broadcasting device. To find the IP Address, follow these instructions:

1.Open Command Prompt (Press the Windows key and type “cmd”, click “cmd.exe”).

2.In the Command Prompt, type “ipconfig” (without quotes) and press Enter.

3.If you are connected via WiFi, look under “Wireless LAN adapter Wi-Fi”. If you are connected via Ethernet cable, look under “Ethernet adapter Ethernet”.

Your local IP address is under IPv4 Address. For example, in this image the local IP address is 192.168.1.116.

The IP Address of the Survey Computer

Important: If you restart/disconnect from the network, this number can and will change . If viewers are having trouble connecting, make sure they’re using the correct IP address by repeating the above steps.


Drivers and their Devices

This section provides an overview of how device drivers work to provide communication between each sensor in your HARDWARE configuration and HYPACK on the survey computer.

More Information

• Device Drivers

• Devices Supported by HARDWARE

• Devices Supported by SIDE SCAN SURVEY

• Devices Supported in HYSWEEP HARDWARE


Device Drivers

HYPACK can communicate with about 180 different types of survey equipment. This includes positioning systems, echosounders, motion sensors, gyros, tide gauges, magnetometers, and other pieces of survey equipment. If all of this code were built into the SURVEY program, it would be huge, requiring faster, more powerful computers to operate it.

HYPACK solves this problem by using “Dynamic Link Libraries” or "DLL’s”. A DLL is a piece of code, which is loaded when you execute a program. A device driver controls each piece of survey equipment in HYPACK. The code for each driver has been written as a DLL. When the SURVEY program starts, it looks to see what type of equipment you have specified. Based on the device drivers you have selected, it loads the DLL code for only those drivers. This enables us to build powerful device handlers for each type of equipment, while keeping the size and computer requirements needed to run the SURVEY program to a minimum.

How HYPACK SURVEY Uses Device Drivers (DLL’s)

For each device, we have specified a device driver that knows how to talk to the device, how to decode its information and how often it passes the information to the main body of the SURVEY program. A DLL is responsible for all communications with its piece of survey equipment. For a DGPS system, it needs to be able to read the different messages the DGPS sends, time tag them and then forward them to the main SURVEY program when requested. The DLL also sends messages from the Main program back to the survey device. An example of this would be the passing of annotation information to an echosounder.


Devices Supported by HARDWARE

The following is a list of the devices currently supported by HYPACK and the associated device driver name.

Note:This list does not include drivers that have been custom-made for individual users.

HYPACK Drivers and Devices.

Device Name | Driver Name
A2T-S USDigital | A2TSatt.dll
ADCP | ADCP.dll
AIS | AIS.dll
Allied Signal LAZ-4100 Echosounder | Laz4100.dll
Applanix POS M/V Network | posmv.dll
Applied Microsystems Smart Sound Velocity | SmartSound.dll
Applied Microsystems Sound Velocity Probe | Svp16.dll
Ashtech 3DF GPS | Ash3df.dll
Atlas Deso 14 | Deso14.dll
Atlas Deso 15 | Deso15.dll
Atlas Deso 15/17 GLDD | Deso1517GLDD.dll
Atlas Deso 17 | Deso17.dll
Atlas Deso 25 | Deso25.dll
AutoPilot | AutoPilot.dll
Autotg Aandera | Autotg.dll
Ceeducer Pro | CeeducerPro.dll
Channel Driver | channel.dll
Chesapeake Technologies, Sonar Wiz Output | Sonarwiz.dll
Coda Octopus | F180.dll
DCMS driver Laval | Dcms.dll
Del Norte Trisponder 542 | Trisp.dll
elac 4300 |
DelNorte 586 in XY mode | 586xy.dll
Delph Elics Side Scan (NOAA Ouptut Only) | Elics1.dll
Delph Elics Side Scan (Output Only) | Elics.dll
Digital Output Driver | Pio12.dll
Dova T75 Angle Sensor | Dovat75.dll
EdgeTech Special NMEA Sentences (Output) | Eggnmea.dll
EdgeTech Special NMEA Sentences (Output/Event) | Eggevnmea.dll
EG&G 260 Magnetometer | Egg260.dll
EG&G 876 Magnetometer | Egg876.dll
EG&G 880 Magnetometer | Egg880.dll
Elac MKII Hydrostar 4300 | Elac4300.dll
Elac MKII Hydrostar 4300 | New-elac4300.dll
Entek Tide Gauge | Entek.dll
EPCTape 1086 | Epctape.dll
Fahrenth 32 Bit | Fahrenth.dll
Falmouth Scientific - Micro CTD | Ctd.dll
Fluorometer | Fluoro.dll
Foruno Echosounder (DPT) | ForunoDPT.dll
Furuno Video Plotter (Output Only) | Furuno.dll
GC-03 Speed & Heading | Spdhdg.dll
Generic (Configurable) Device Driver | Gendevall.dll
Generic (Configurable) Device Parser | GenDevParse.dll
Generic GPS with NMEA-0183 output | GPS.dll
Generic Serial Bubbler/Clinometer | Clinoser.dll
Generic Speed Over Water | Gensow.dll
Geodimeter (Range/Azimuth) | Geodimet.dll
Geodimeter (XYZ) | Geodmet2.dll
Geodimeter ATS | Geodats.dll
Geodimeter G877 Magnetometer | Geog877.dll
GeoMetrics 866 Magnetometer | Geom866.dll
GeoMetrics 881 Magnetometer | Geog881.dll
Geometrics 881a Magnetometer | Geog881a.dll
Geometrics G880 Magnetometer | Geog880.dll
GSS20 | GSS20.dll
GYRO_TRAC Device | Gyrotrac.dll
Hazen HTG-5000 Tide Gauge | Htg5000.dll
Honeywell HPR | Hhpr.dll
HPGL Online Plotter | Hpgl.dll
HPGL Online Plotter | Hpglmult.dll
HYPACK Cable Counter | Towfish.dll
HYPACK. Draft Table | Drafttable.dll
HYPACK Event Mark Generator | Lpt_Tap.dll
HYPACK. Event Mark Sounder | Beep.dll
HYPACK Generic Device Parsing | GenDevParse.dll
HYPACK Generic Draft | Gendraft.dll
HYPACK Generic Echosounder | Genecho.dll
HYPACK Generic Echosounder with warning outside depth range | Genechow.dll
HYPACK Generic Gyro | Gengyro.dll
HYPACK Generic Offsets | Genoffset.dll
HYPACK Generic Simulator | Sim32.dll
HYPACK. Generic Tide Gauge | Gentide.dll
HYPACK Generic XY | Generxy.dll
HYPACK Generic XYZ | XYZ.dll
HYPACK GPS Compare | GpsComp.dll
HYPACK HYSWEEP Interface | Hysweep.dll
HYPACK LCD3 Helmsman | Lcd3.dll
HYPACK LCD4 Helmsman | Lcd4.dll
HYPACK Manual Entry | Manual.dll
HYPACK OTF-Gyro/Comparison | OTFGyro.dll
HYPACK' OutInfo | OutInfo.dll
HYPACK Playback driver | Playback.dll
HYPACK Simulation (Range-Azimuth/Sounder) | Testdev.dll
HYPACK Tides (From File) | Tidefile.dll
HYPACK Tides (From File) + Adjustment | Tidefile2.dll
Innerspace 455 | Inn455b.dll
Innerspace 455 (and 456) | Inn455.dll
Innerspace 440 Echosounder (Serial) | Inn440s.dll
Innerspace 448 Echosounder (Serial) | Inn448.dll
Innerspace 449 Echosounder (Serial) | Inn449.dll
Innerspace 449 rev. 2 | Inn449R2.dll
Innerspace 449 Rev. 2 (Serial) | Inn449rev2.dll
Innerspace 449Rc | Inn449DFZ.dll
Innerspace 455 | Inn455.dll
Innerspace LCD Helmsman | InnLCD.dll
Innomar SES-2000 | SesInno.dll
Isis (Triton) Custom EOD | Isiseod.dll
Isis (Triton) Dynamic Data Exchange Interface | Hdde.dll
IT2000 Series Intelligent Pressure Transducer | IT2000.dll
Kaijo PS-20R Echosounder | Ps20r.dll
Kaijo PS-30R Echosounder | Ps30r.dll
Kel320Scsi | Kel320Scsi.dll
Klein 595 & System 2000 Side Scan (Annotation/Speed Only) | Klein.dll
Knudsen 320 (NOAA) | Noaaknud.dll
Knudsen 320M (CHS Serial) | K320s.dll
Knudsen 320M (Dual Transducer) | K320smt.dll
Knudsen 320M Echosounder (Serial) | Knu320ms.dll
Krupp Atlas Polarfix Range/Azimuth | Polarfix.dll
Krupp Atlas Polarfix Range/Azimuth (Beach Profile) | Polar2.dll
Krupp Atlas PolarTrack | Polartrk.dll
KVH Azimuth Digital Compass | Kvh_Ad.dll
KVH Digital Compass | ADGC.dll
KVH Fluxgate Compass | Kvh.dll
Laser Atlanta Range/Azimuth | Atlanta.dll
Laser Technologies Hydrolink (Modem Link) | Hydroml.dll
Laser Technologies Hydrolink II (USGS) | Hydroii.dll
LaserTrack L5000 Range/Azimuth | Lt_L5000.dll
LaserTrack L5001 Range/Azimuth | Lt_L5001.dll
Leica RTK GPS | LLQ.dll
Leica Total Station | Leica.dll
Leica total station 2122 | Leica2122.dll
Line Switch Input | Lineswitchin.dll
Line Switch Output | Lineswitchout.dll
Lundahl RST-1 Air Transducer | Lundahl.dll
Magnavox MX7400 DGPS | Mag7400.dll
Manual HPR | ManHPR.dll
Marimatech E-Sea Echosounder | E-Sea.dll
Marine Magnetics SeaSpy Magnetometer | SeaSpy.dll
Marine Microsystems Roxann Seabed Identification | Roxann.dll
MD TOTCO Series 2000 | Mdtotco.dll
MD4S Depth Device | MD4S.dll
Measurement Technology NW LCI-90 | Lci90.dll
Meconaut Bubbler System | Meconaut.dll
Minesens | Minesens.dll
Motorola Falcon | Falcon.dll
Motorola Falcon IV Range/Range | Falcon4.dll
Motorola Miniranger III (NM788 Serial Interface) | Nm788.dll
Motorola Sixgun DGPS | Sixgun.dll
Navisound 200/400 Series | Navisound.dll
Navisound 210 | Navsound210.dll
Navitron Sound50 Echosounder | Sound50.dll
Navitronic Sounding 30 Echosounder | Sdig30.dll
Navitronics Dpp1b Serial Echosounder | Dpp1b.dll
Navitronics DPP2B | Dpp2b.dll
Navitronics MCS2000 | MCS2000.dll
Navitronics MCS2000-PWGSC Moncton | Dpp2000.dll
Navitronics PGU-1000 | Pgu1000.dll
NMEA Auto Pilot | Autop.dll
NMEA In Klein Out | Nmeakl.dll
NMEA Server Client | Nmeasc.dll
NMEA SSB Position Device | SSB.dll
NMEA TKV Message (Speed/Temp) | Nmeatkv.dll
NMEA-0183 Standard GPS | Nmea.dll
Nmea-UDP | Netnmea.dll
NOAA Delph Output | Delph.dll
NOAA Isis | Isis.dll
Novatel DGPS - OEM Card | Novoem.dll
Novatel PC Card | Novatel.dll
Novatel PC Card | Novax.dll
Novatel RTK GPS | Novp20.dll
Novatel RTK GPS (CHS-OEM4) | Chsoem4.dll
NSWCLaserTrack L5000 | NSWCTRK.dll
Nuclear Density Meter | Tndm.dll
Ocean Data Bathy 1500 | Bathy1500.dll
Ocean Data Bathy 500 | Bathy500.dll
Ocean Data DSF-6000 (NOAA) | Dsf6000.dll
Octopus460 | Octopus460.dll
Odom Digitrace | Dtrace.dll
Odom Echoscan (Multi-Transducer) | Echoscan.dll
Odom Echotrac (NAVOCEANO Mod4) | Echomod4.dll
Odom Echotrack GLDD | Echotrackgldd.dll
Odom Hydro700R Range/Range System | Hydro700.dll
Odom Hydrotrac/Echotrac | Echotrac.dll
Odom MKII Multi Transducer | Mkii.dll
Odom Star (Range/Azimuth) | Star.dll
Offset Mobile Device | OffsetMobile.dll
OS200 | Os200.dll
Port Capture Device | Capture.dll
Precision Shot Driver | Shot.dll
PSA916 | Psa916.dll
Reson Sound Velocity Probe | Svpc.dll
Rockwell Collins 3A/DGPS (Serial) | Rockser.dll
Ross 603 Echosounder (BCD) | Ross603.dll
Ross BCD Toscaloosa | Multibcdt.dll
Ross Dolphin (BCD) | Dolphin.dll
Ross MultiTrack Multiple Transducer Echosounder (BCD) | Multibcd.dll
Ross Single-Transducer (BCD) | Singlbcd.dll
Ross Smart Echosounder (Serial) | Rossmart.dll
Ross SmartSweep | Smartswp.dll
Rouen Tide System | Rouentide.dll
Scan 2000 Gyro | SC2000.DLL
Scandinavian Microsystems LR20, 40, 60 | Sms.dll
SDI12 sensor unit | H419.dll
Seabat9001 | Seabat.dll
Seabed Identification Devices | SeabedID.dll
Seabon PDR-130 Echosounder | Pdr130.dll
Seabon PDR-601 Echosounder (Four Channel) | Pdr6014.dll
Seabon PDR-601 Echosounder (Single Channel) | Pdr6011.dll
Seatex MRU-6 motion sensor | Mru6.dll
Seatex MRUH Motion Sensor | Mruh.dll
Seismic | Seismic.dll
Sercel Axyle (XY mode) | Sercel.dll
SGBrown Gyro | SGBrown.dll
Shanghai Suction Tube Indicator | Shtube.dll
Shanghai Tide System | Chtide.dll
Simrad (EOD) | Eod.dll
Simrad EA300 Echosounder | Ea300.dll
Simrad EA500 Echosounder | Ea500.dll
Simrad HPR410P | SimradHPR410.dll
Sitex Positioning System | Sitex.dll
Smart CTD | Smartctd.dll
Sonar Research & Development Tide Guage | Sonar_Tm.dll
Sonardyne USBL Device | Sdyne.dll
SonarLite Echosounder | Sonarlite.dll
Sperry Gyro | Sperry.dll
Suction Tube Position Indicator | Stpi.dll
Suction Tube Position Monitor | Ihc.dll
Syqwest Stratabox | Strata.dll
Tangent's QTC View Seabed Classification | Qtc.dll
TDS 1000 Echosounder | Tds1000.dll
Thomas Marconi SMM II Towed Magnetometer | Smm_Ii.dll
Tianjin Cutter With Spud | Spudcut.dll
Tianjin Spud Position | Spudpos.dll
TianJing Cutter-Suction | Tjcut.dll
Tidealite Tide Guage | Tidalite.dll
TOPCON APL1A | APL1A.dll
Trackpoint II ROV Acoustic System | Trackp.dll
Trackpoint LXT ROV Acoustic System | Trkplxt.dll
Trackpoint Multivehicle Driver | Trackpoint.dll
Trimble DGPS (Special NMEA) | Trimnmea.dll
Trimble DGPS Cycle Printout Message | Trimcp.dll
Trimble Echo-XL Helmsman | Echoxl.dll
Trimble Kinematic (NMEA) | Trimkin.dll
Trimble RTK Cycle Printout | RTKcp.dll
Tripmate GPS | Tripmate.dll
Triton (EOD) | Trieod.dll
TSS Motion Reference Unit & Depth | Tss320.dll
TSS POS/MV | Posmv.dll
TSS POSMV using Simrad Message Formats | Posmv3000.dll
Turner Fluorometer | Osifloro.dll
USGS – EPC Recorder | EPC.dll
USGS - IsisOut | ISISOUT.dll
USGS - Manual Draft | Mandraft.dll
USGS - Printer | Printer.dll
USGS - Slant Range | Edgetech.dll
Valeport In | Vale2.dll
Valeport InOut | Vale1.dll
Valeport Tide Gauge | Valeport.dll
Vyner-LP Tide Gauge | Vynerlp.dll
YSI 5100 Dissolved Oxygen Meter | Ysi5100.dll


Devices Supported by SIDE SCAN SURVEY

Side Scan Drivers

Device Name | Driver Name
Analog Side Scan | Side Scan driver
Benthos C3D | Side Scan driver
C-MAX CM2 | Side Scan driver
C-MAX CM2 (USB) | Side Scan driver
Edgetech 272-T/TD | Side Scan driver
Edgetech 4100 | Side Scan driver
Edgetech 4200 | Side Scan driver
Edgetech 4300 | Side Scan driver
GeoAcoustics Digital Side Scan | Side Scan driver
GeoAcoustics GeoSwath | Side Scan driver
HYPACK Mobile | Additional Vessel
HYPACK Navigation | Link to HYPACK Survey
HYPACK Side Scan | Link to HYPACK Side Scan
Imaginex 881 Sportscan | Side Scan driver
Klein 3000 | Side Scan driver
Klein 5000 | Side Scan driver
Kongsberg Pulsar | Side Scan driver
Sonartech Sonarbeam S-150 | Side Scan driver
Yellowfin Side Scan | Side Scan driver


Devices Supported in HYSWEEP HARDWARE

HYSWEEP HARDWARE Drivers

Driver | Description
Analog Side Scan | Side Scan driver—2-channel side scan information from analog input
Applanix POS/MV Network | Motion Sensor
Applanix POS/MV Serial | Motion Sensor
Atlas Bomasweep | Multiple transducer driver
Atlas Fansweep (Network) | Multibeam driver—Atlas Fansweep 15 and 20 and Hydrosweep MD2 medium depth system.
Atlas Fansweep (Serial) | Fansweep Multibeam driver using the COM port interface
Atlas Hydrosweep DS, MD/30, MD/50, MD2 | Multibeam driver
Benthos 162X | Side Scan driver
Benthos C3D | C3D Multibeam / Side Scan
BlueView Multibeam systems | Multibeam driver
BV5000 | 3D mechanical scanning sonar system
C-Max CM2 | Side Scan driver
C-Max CM2 USB | Side Scan driver
Coda_Octopus F180 | F180 Motion Sensor
Dynascan | Lasar scanner
Edgetech 272-T/TD | Side Scan driver
Edgetech 4100, 4125 4200, 4300, 4600 | Side Scan driver
Furuno HS Series | Multibeam driver
Generic Attitude | Generic Pitch, Roll, Heading driver
GeoAcoustics Digital Side Scan | Side Scan
GeoAcoustics GeoSwath | Multibeam / Side Scan driver—Provides multibeam soundings, beam intensity values and side scan imagery.
HYPACK Mobile | Mobile Position
HYPACK Navigation | Link to HYPACK Survey -Main Vessel
HYPACK Sidescan | Single Beam Side Scan
Imagenex Delta T | Delta T Multibeam driver
Imagenex DT100 SIR | DT100 multibeam using SIR (Sensor Input Relay)
Imagenex DualDelta T | Dual Delta T Multibeam driver
Imagenex Sportscan | Imaginex Sportscan Side Scan driver
Imagenex Yellowfin | Yellowfin Side scan driver
IS Tech Mutlibeam | Multibeam soundings and side scan (Network)
IXSEA OCTANS Network | Motion Sensor
IXSEA OCTANS Serial | Motion Sensor
JAE JM7531 | Motion Sensor
Klein 3000, 3900, 5000 | Side Scan
Kongsberg 2040 | Multibeam driver
Kongsberg MS 1000 | Multibeam driver
KVH Gyrotrac | Heading, pitch and roll driver
Marine Sonic Sea Scan | Side Scan driver
Marine Sonic Sea Scan HDS | Side Scan driver
MDL Dynascan | MDL Dynascan Laser Scanner
NMEA-0183 Gyro | Gyro driver for NMEA HDT messages
Odom Dual ES3 | Multibeam driver
Novatel SPAN | Heading, heave, pitch and roll driver
Odom Dual ES3 | Multibeam driver
Odom Dual MB1 | Multibeam driver
Odom Echoscan II | Multibeam driver
Odom Miniscan | Multiple transducer driver
Odom ES3 | Multibeam driver
Odom MB1 | Multibeam driver
Odom Miniscan | Odom Miniscan multiple transducer system
Optech ILRIS | Laser Scanner
R2Sonic Dual Head | Multibeam driver
R2Sonic SONIC 2024 | R2Sonic SONIC 2024 multibeam sonar
Reson Dual 7125 | Multibeam driver
Reson Dual 8101 (NY) | Dual Head Seabat
Reson Seabat 7101, 7111, 7125, 7150 | Multibeam driver
Reson Seabat 8101, 8125H | Multibeam driver
Reson Seabat 81xx (Network) | 8124, 8125 and newer 8101 multibeam driver with network interface
Reson Seabat 81xx (Serial) | 8124, 8125 and newer 8101 multibeam driver with COM port interface
Reson Seabat 9001, 9003 | Multibeam driver
Reson Seabat T20-P | Multibeam driver
Reigl LMS Series | Side scan
Riegl V Series | Side scan
Ross Smart Sweep | Multitransducer
SEA SWATHplus | Multibeam driver
Seabeam 2100 | Multibeam driver
Seabeam 3000 Series | Multibeam driver
Seabeam SB1000 Series | Multibeam driver
Seatex MRU6 | Heave, pitch and roll driver
SG Brown 1000S Gyro | Gyro driver
Simrad EM1002 | Multibeam driver
Simrad EM2000, 2024, 2040 | Multibeam driver
Simrad EM3000, 3002, 3002D | Multibeam driver
Simrad EM 302 | Multibeam driver
Simrad EM 710 | Multibeam driver
Simrad SM2000 | Multibeam driver
Simulation (Multibeam) | Multibeam simulation
Simulation (Side Scan) | Side Scan simulation
Tritech Gemini Profiler |
Tritech SeaKing | Scanning sonar
Tritech StarFish 450, 990 | Side Scan sonar
TSS 335 | Heave, pitch and roll driver
TSS DMS | Heave, pitch and roll driver
TSS Pos/MV | Pos/MV Heave, pitch, roll and heading driver
Velodyne HDL-32E (center beam) | LIDAR driver
WASSP Multibeam | Multibeam driver
WASSP DRX | Multibeam driver


How the 1PPS Box Works

The Use PPS Box for Timing option instructs the SURVEY program that you have the special hardware needed to perform this method of time tagging. The problem with T0 pulses is that their duration is normally too short to successfully be captured by normal PC hardware (2-5 nanoseconds).

In order to capture the pulse, HYPACK builds a special hardware box. This box contains a simple transistor. Every time a pulse is received from the GPS, the transistor changes a voltage level from 0 VDC to 5 VDC or from 5 VDC to 0 VDC. This voltage is wired into the CTS (Clear to Send) port of the serial port that captures the GPS messages.

Cabling Diagram for 1PPS Connections

The transmit line from the +GPS (TX) is connected to the receive line (RX) on the computer's serial port. The signal ground (GRD) is connected between the GPS and the computer. These are the normal cable connections between a GPS and a computer. The 1PPS output is connected to the 1PPS Capture box. The signal ground from the 1PPS box is connected to the common signal ground. The output signal from the capture box is connected to the Clear to Send (CTS) line on the same computer serial port.

1PPS Box—Input (left): RS232 In from GPS, 1PPS In from GPS, 12V DC In, 1PPS Strobe

; Output (right): RS232 Out to PC


Multibeam Surveys

So you’re interested in multibeam surveying. Known also, at times, as sweep, swath, multi-transducer and full coverage surveying. This section provides some general information about multibeam systems and why you might consider them for your work.

More Information

• Multibeam versus Single Beam

• Sweep Sonar Systems


Multibeam versus Single Beam

TIN Model of 6 lines of multibeam sonar data. The sonar is a hull-mounted, Reson Seabat 9001, collected, processed and modeled entirely by HYPACK/ HYSWEEP . Data collection courtesy of USACE, Los Angeles District.

This lunar-looking image shows dredging progress at the entrance of Los Angeles Harbor. While the image is presented three-dimensionally with artificial illumination, the data from which the image is created is accurate to IHO standards bathymetrically.

If this area were surveyed with a traditional single transducer boat. That’s why there is so much interest in multibeam surveying.

TIN Model of the Same Data Shown Before, Using Only the Nadir Beam.

If it was cheap and easy, we would all be working with multibeam systems. You will pay considerably more for a multibeam than for a single beam system.

Are multibeam systems easy to use? When everything is working well, it is just as easy to collect multibeam as single beam data, in many cases easier. Installation and calibration of a multibeam system is a bit harder. Multibeam systems also log a lot more data to process, but it’s the increased data that provides the increased coverage and detailed bottom imagery.


Sweep Sonar Systems

The fundamental idea behind sweep sonar is this; instead of sounding directly beneath the boat, as with single beam systems, the sweep sonars extend the soundings off to the sides. Hence, it is possible to sound an area (as opposed to a line) with a single pass. It is easy to see now why the terms sweep and swath are used. And when the sweep boat returns with some overlap in the ensonified area (ensonifies translates to illuminated by sound), it is clear why we speak of full coverage surveying.

Map view of Sweep and single beam transducer boats. The Sweep boat sounds an area, the single bean boat sounds a line.

So, how is it that a sweep boat can sound off to the side? There are two methods supported by HYSWEEP software and now we get a little subtle with the terms. The figure below shows what we call a multi-transducer system. The separation of the transducers allows for sweep coverage, even though the sonar beams are directed straight downward.

Typical Multi Transducer System

The second type is what we call multibeam. The sonar beams originate from the same approximate location, with sweep coverage attained through varying beam angles.

Typical Multibeam System

There are benefits and drawbacks associated with each type. Multi-transducer boats have a constant sweep width (usually referred to as coverage) regardless of water depth, making them well-suited for work in very shallow water. Note that the coverage is approximately 60 feet — typical for boats working on the Mississippi River. Boats such as this are not suitable to rough waters due to the lengthy booms on which the transducers are mounted. Multi-transducer systems are relatively simple in theory and operation, just 10 (or 12 or whatever) transducers lined up next to each other. People with single transducer experience should have no trouble adapting to multi-transducer.

Multibeam boats can survey in much rougher water, with certain disclaimers. We have seen good results with up to 3-foot heave and +/- 10 degrees pitch and roll, but there is a limit. Multibeam systems offer greater coverage in moderate water depth. In the figure to the right, with water depth of 20 feet and fan of 90 degrees, the sweep width is approximately 40 feet. With this configuration, coverage is twice water depth, so beyond 30 feet, the coverage is greater than with the multi-transducer.

Some multibeam sonars can be tilted as shown in Multibeam Sonar Tilted to survey a Jetty for bank and jetty surveys. They may also be purchased with angular coverage of much greater than 90 degrees.

Multibeam Sonar Tilted to survey a Jetty

The power of the multibeam sonars is that the narrow beams may be directed at practically any angle with great accuracy. These directed beams are also the source of all the complications including acoustic refraction, pitch and roll compensation, patch tests, etc. That’s why training courses are offered!

More Information

• Devices Supported in HYSWEEP HARDWARE


Geodesy 101

Geodesy is the science of determining your position. Since the earth’s surface is very irregular, it would be impossible to develop a set of equations that describe it. In order to simplify things, hydrographers use a mathematical shape called an ellipsoid for their reference surface.

More Information

• Ellipsoids

• Geoids

• Datums

• Datum Transformations

• Projections

• VDatum Zones


Ellipsoids

Ellipsoid – A mathematical surface created by rotating a 2-dimensional ellipse about its axis. Examples of ellipsoids include WGA-1984, International, Clarke 1866 and Bessel.

An ellipsoid is defined by the semi-minor and semi-major axes

An ellipsoid is normally defined by its semi-major axis (a) and its semi-minor axis (b). The semi-major axis (a) and the flattening (f) also often define them. The flattening is a ratio of the difference between the two axes, divided by the semi-major axis.

f = (a-b)/a

The semi-major and semi-minor axes are normally expressed in meters. The flattening is often expressed as the inverse (1/f) of the flattening.

Sample values for some common ellipsoids are:

Ellipsoid | a (m) | b (m) | 1/f
Bessel | 6,378,206.4 |  | 299.1528128
Clarke 1866 | 6378206.4 |  | 294.9784982
Clarke 1880 | 6378249.145 |  | 293.465
GRS 1980 | 6378137.0 |  | 298.25722101
Everest | 6377276.345 |  | 300.8017
International | 6378388.0 |  | 298.0
WGS 1972 | 6378135.0 |  | 298.26
WGS 1984 | 6378137. |  | 298.257223563

Your position on the ellipsoid is defined with three variables:

•Latitude: Your Latitude is the angle that a line drawn from your position normal (perpendicular) to the ellipsoidal surface makes with the ellipsoidal equator.

Defining Latitude on an Ellipsoid

•Longitude: Your longitude is the polar angle of your point, measured counter-clockwise from a user-defined reference. For many ellipsoids, this reference is the Greenwich meridian (0).

•Height: The height is the distance from your point to the surface, measured along a line, which is normal (perpendicular) to the ellipsoidal surface.

Your latitude, longitude, and height will differ, depending on the ellipsoid used as your reference surface. In other words, a single point can be described with a different latitude, longitude and height combination for each ellipsoid you create.

Ellipsoids are chosen so they conform to the shape of the geoid for a user’s area.


Geoids

A geoid is an equipotential surface, meaning the pull of gravity measured anywhere on the surface is equal. Base on the surrounding mass (mountains, canyons, etc.), this surface rises and falls and is much more irregular than an ellipsoid, although much smoother than the earth’s surface.

One of the important features about a geoid is that a plumb bob always points normal (perpendicular) to the geoidal surface. It does not point directly to the center of the earth. This means that your local land measurements will be affected by the local geoidal surface. In order to reduce the errors caused in computing positions on the ellipsoid using measurements affected by the geoid, the ellipsoid is shifted so it closely matches the geoid in your local area. When this is done, it becomes a datum.

Choosing your Geoid Model

Geoid | Geoid File Name | Area Covered
CONUS | g2012b-CONUS.geo | Continental United States
Alaska | g2012b-ALASKA.geo | Alaska
Hawaii | g2012b-HAWAII.geo | 18-24N, 199-206E
Puerto Rico/Virgin Islands | g2012b-PR_VI.geo | 15-21N, 291-296E
Australia | ausgeoid09.geo, ausgeoid98.geo | 46-8S, 108-160W
Baleares Islands | BALR2009.geo | 38°N to 40° 48', 0° 50'E to 4° 40'E
Brazil | Brazil10.geo |
Canada | HT2_0.geo |
Canarias Islands | egm08canarias.geo | 27°30'N to 29°30'N, 18°30'W to 13°W
Faroe Islands | fo_geoid2011.geo |
France | raf98.geo raf09.geo | 42-51.5N, 5.5E-8.5W
Germany | GCG2011_Nord.geo |
Mexico West | mex97w.geo | 14-32.9981N, 106.0013-119E
Mexico Central | mex97c.geo | 14-32.9981N, 96.0013-109E
Mexico East | mex97e.geo | 14-32.9981N, 86.0013-99E
New Zealand | nzgeoid09.geo |
Netherlands | nap04.geo | 50.525-53.675N, 3.2083-7.4583W
Portugal | geodpt08.geo | 36.513-42.238N, 10.012-5.987E
Peninsular Spain, Baleares Islands, Ceuta and Melilla | egm08ign.geo | 35°N to 44°N, 9°30'W to 4°30'E
South Africa | sageoid.geo | 35 to 22S, 16 to 33E
UK | osgm02.geo | 49.7661-60.8772N, 9.39E-3.4433W


Datums

A datum is an ellipsoidal surface, which has been moved to closely match the geoidal surface for a user’s area.

When you move your ellipsoid to create a datum, you are also affecting the latitude, longitude and height above the ellipsoid of your point. When someone describes a position location to you with latitude, longitude and height, you don’t know anything until you know which datum was used to define the point and which ellipsoid the datum is based upon.

Example #1: Say that your friend confesses to you on his deathbed that he robbed a bank and buried the money at exactly 45N and 78W. You had better quickly ask him what his reference datum was, or you are going to be digging a long time!

Example #2: An oil company pays you a lot of money to survey between 26 00N and 72 00W and 26 01N and 72 01W. Since they are a modern survey company, you assume they are working on WGS-84 and go out and perform the survey. When you get back home, you find out they are working on the Everest ellipsoid and you should have been surveying an area 2 miles to the south.


Datum Transformations

There is always a need to be able to convert a latitude, longitude and height from one datum to another. This is performed with a datum transformation.

For example, your DGPS provides you with a position in WGS-84. Your survey is being performed on NAD1927. In order to convert the position from WGS-84 to NAD1927, you need to perform the datum transformation.

More Information

• Three-Parameter Datum Transformation

• Seven-Parameter Datum Transformation


Three-Parameter Datum Transformation

In geocentric methods, the latitude, longitude and height above the ellipsoid are converted to Cartesian XYZ coordinates using the center of the ellipsoid as the origin. These are referred to as “geocentric coordinates”. Based upon the separation between the centers of the two datums, an offset is added to each coordinate to “shift” them from the first datum to the second datum. The geocentric coordinates for the second datum are then converted back into latitude, longitude and height using the ellipsoidal constants for the second ellipsoid.

In summary:

Lat1/Long1/H1 à X1, Y1, Z1, à X2,Y2,Z2 à Lat2/Long2/H2

To go from X1, Y1, Z1 to X2, Y2, Z2, we added a dX, dY and dZ to each specific value. This is called a three-parameter shift and is typically used for only a local area (10km). The same process is performed in a technique known as the Molodensky Formulae. The Abridged Molodensky Formulae is very similar, but eliminates a few variables while giving almost the same result.

To obtain these dX, dY and dZ values, you can either look up published information (such as DMA TM 8511) or calculate them. To calculate them, you need to know the latitude, longitude and height for the same point in the two different datums. Calculate the geocentric coordinates for both points, using the ellipsoidal parameters associated with each datum. Take the difference between the X1 and X2 values to determine the dX parameter. Repeat the same for the dY and dZ parameters. Voila, you have computed the exact datum transformation parameters for your area.

The dX, dY, and dZ values used in a datum transformation are typically valid for a small area (10 km X 10km?). As you move further from your area, the values change as the relationship between the two ellipsoids change.


Seven-Parameter Datum Transformation

To cover a wider area, a seven-parameter datum transformation can be used. A seven-parameter transformation contains, the dX, dY and dZ values mentioned above, as well as ӨX, ӨY and ӨZ and dScale values. The Ө values represent the difference in alignment of the X-, Y-, and Z-axis of the two ellipsoidal geocentric axes. The dScale represents difference in scale measured between the two systems.

The advantage of a seven-parameter datum transformation over a three-parameter datum transformation is that it is valid for a much larger area. Many countries, such a Saudi Arabia publish a single seven-parameter datum transform, which is used for the entire country.


Projections

A projection is a flat (2-dimensional) representation of a 3-dimensional surface.

In order to present hydrographic data on flat, easy-to-store charts, hydrographers have always been faced with the challenge of accurately representing the real world in two dimensions. To accomplish this task, a projection is used. The key to choosing a good projection is to minimize the amount of distortion that takes place when moving between the real world and the flat chart.

More Information

• Mercator Projection

• Transverse Mercator Projection

• Universal Transverse Mercator (UTM) Projection

• Oblique Mercator

• Conical Projections

• Polyconic Projections


Mercator Projection

Most projections are based upon either cylindrical or conical shapes. In the figure to the right, the ellipsoid has been wrapped by a giant cylinder that “touches” the ellipsoid at the equator. If there was a light source at the center of the ellipsoid, all points on the ellipsoidal surface could be projected somewhere on the cylinder. For example, point D on the ellipsoid in the figure below would be projected to D1 on the cylindrical projection.

Mercator Projections

Since points A and B are on the line of coincidence (where the ellipsoid touches the cylinder), the ellipsoidal distance between A and B would equal the projection distance. In this case, there would be no distortion between distances measured on our map and the ellipsoidal distance.

Point C is projected to C1 and point D is projected to D1. It is easy to see that the projection distance, in this case, will be greater than the ellipsoidal distance. The ratio of the projection distance divided by the ellipsoidal distance is called the line scale factor. With no distortion (AB), this has a value of 1. When the projection has “stretched” the ellipsoidal distance, as in the CD to C1D1 case, the line scale factor is greater than 1.

When the projection has “compressed” the ellipsoidal distance, the line scale factor is less than 1. As lines on the projection become smaller and smaller, they become a point and hydrographers will refer to a point scale factor. This is a measure of the distortion of the projection at that point.

In the previous figure, notice that point E, on the ellipsoidal North Pole cannot be projected onto this cylinder. The further north/south from the ellipsoidal equator, the greater the distortion, until it becomes infinite at the poles. This example shows the basis behind the Mercator projection. By studying the figure, you can see there is little distortion in a Mercator projection about the equator. As you go further south/north from the equator, distortion soon becomes large. At 45oN, the point scale factor on a Mercator projection is 1.41, which means that 10,000 meters in the real world would be represented as 14,100 on your nautical chart.

Points on the projection are usually referred to by easting (X) and northing (Y). The easting is the projection distance from a user-defined reference meridian (line of longitude). The northing is the projection distance from a user-defined reference parallel (line of latitude). Distances are usually denoted as positive to the north of a parallel and to the east of a meridian. In order to avoid working with negative numbers, a false northing and/or false easting are sometimes added to the projection distances to come up with a final easting and northing.


Transverse Mercator Projection

In order to reduce distortion away from the equator, a transverse mercator projection can be used. In a transverse mercator projection, the cylinder is rotated 90o, as shown in the figure below. The cylinder is co-incident (touches) the ellipsoid along a north-south meridian. This north-south meridian is called the central meridian.

Transverse Mercator Projection

In the previous figure, since points A and B fall on the central meridian, the ellipsoidal distance will equal the projection distance. As you move away from the central meridian, the difference in ellipsoidal and projection distances will begin to increase. The ellipsoidal distance between points CD is much less than the projection distance. Point E, which is 90o in longitude from the central meridian and on the equator, will not project onto the cylinder.


Universal Transverse Mercator (UTM) Projection

A special case of the transverse mercator projection is the Universal Transverse Mercator (UTM) projection. By a convention that has been accepted around the world, the UTM system divides the world into six-degree zones, beginning at the Greenwich Meridian.

Each six-degree zone has a central meridian located midway between the zone limits. For example, the UTM zone from W72 to W78 has a central meridian of W75. The nothing is the projection distance from the reference latitude (equator) and the easing is the projection distance from the central meridian of W75. The nothing is the projection distance from the reference latitude (equator) and the easing is the projection distance from the central meridian. A false easing of 500,000 meters is added to all easing values. A false nothing of 10,000,000 meters is added to all nothings calculated in the soother hemisphere. Since the projection distance to a point in the Southern Hemisphere will be a negative number, this results in a northing valueless than 10,000,000.

In order to reduce the amount of distortion on the outer edges of a UTM projection, the point scale factor along the central meridian is defined as .9996 meters on my chart. As I move away from the central meridian, I will pass through a curved line where the point scale factor is 1.0. On the outer reaches of a UTM projection (3o from the central meridian), the point scale factor at the equator is 1.00098 (10,000 meters along the ellipsoid would be represented by 10,009.8 on the projection. If a value of 1.000 was used as the scale factor along the central meridian, the point scale factor along the outer reaches would rise to 1.00138. By accepting a bit of compression along the central meridian, we have reduced the amount of stretching needed at the outer limits of the projection. UTM projections are used from 80oN to 80oS. Although there is no distortion along the central meridian in the polar regions, the distortion begins to become unacceptably large as you move to the edge of the zone.

Some countries, such as Canada, use a modified UTM system. In Canada, the zones span only 3o of longitude.


Oblique Mercator

Oblique Mercator Projection

The Mercator projection is favorable for maps that span east-west along the equatorial region. Transverse Mercator projections are favorable for regions that span north-south areas. Some areas that don’t run primarily east-west or north-south use a cylindrical projection where the cylinder is rotated so the line of co-incidence runs through the center of their area. This is called an Oblique Mercator projection. Examples of oblique mercator projections include Alaska Zone 1, Malaysia and Brunei national grids. The projection is defined by a Reference Azimuth that passes through a Reference Latitude and Longitude (Projection Origin).


Conical Projections

One of the more popular conical projections is the Lambert Conformal Conic (LCC) projection. Many state plane zones in the USA which cover states with large east-west distance use LCC projections. This projection uses a cone shape that is co-incident with the ellipsoid in either one or two parallels.

Conical Projection With One Line of Incidence

The projection is normally defined with either a single or two parallels (north and south). Northings are measured from a reference latitude and eastings are measured from a central meridian.

The point scale factor along the line(s) of co-incidence is normally equal to one, meaning there is no distortion between the projection and the ellipsoidal distances. In LCC projections with one line of coincidence, the point scale factor increases as you move away from that line. In LCC projections with two lines of co-incidence, the point scale factor will be less than one (compression) in the area between the two lines and greater than one (stretching) outside that area. LCC projections with two lines of co-incidence are used to expand the north-south area that can be covered by the projection, while reducing the overall distortion at its edges.

Conical Projection With Two Lines of incidence


Polyconic Projections

The classic polyconic projection has circular parallels (except the Equator), all with constant and correct scale, but not concentric. The same scale applies to the straight central meridian; all other meridians are curved. Neither equivalent nor conformal, this projection is better suited for local or regional maps.

Three partial equidistant conic maps, each based on a different standard parallel, therefore wrapped on a different tangent cone. When the number of cones increases to infinity, each strip infinitesimally narrow, the result is a continuous polyconic projection

World Map Derived from a Polyconic Projection


VDatum Zones

If you are working in the coastal areas of the United States, you can use VDatum zones to apply height corrections in place of a Kinematic Tide Datum (KTD) file.

East Coast VDatum Zones

Gulf Coast VDatum Zones

West Coast VDatum Zones


East Coast VDatum Zones

New York/Connecticut/Rhode Island – Outer NY Bight, Eastern Long Island Sound, Block Island Sound

39.00N - 42.00N

70.99W - 75.00W

VDatum: Outer NY Bight, Eastern Long Island Sound, Block Island Sound

New York - The Great South Bay

40.49N - 40.91N

72.39W - 73.89W

VDatum: Great South Bay

New Jersey/New York/Connecticut – Northern NJ, NY Harbor, western Long Island Sound

39.00N - 42.00N,

70.99W - 75.00W

VDatum: Northern NJ, NY Harbor, Western Long Island Sound

New Jersey - Coastal Embayment

38.92N - 40.07N,

74.04W - 74.93W

VDatum: NJ Coastal Embayment

Virginia/Maryland/Delaware/New Jersey - Mid-atlantic Bight Shelf

35.93N - 40.062N,

72.75W - 75.73W

VDatum: Mid-Atlantic Bight Shelf

Delaware - Delaware Bay

38.50N - 40.25N,

74.52W - 75.78W

VDatum: Delaware Bay

Virginia/Maryland/Delaware - Coastal Embayment

37.11N - 38.71N,

75.03W - 75.96W

VDatum: Coastal Embayment

Virginia/Maryland - Chesapeake Bay

35.95N - 39.65N,

75.58W - 77.48W

VDatum: Chesapeake Bay

North Carolina - Coastal North

35.29N - 36.75N,

74.84W - 75.95W

VDatum: NC - Coastal North

North Carolina - Coastal Central

34.02N - 35.30N,

74.84W - 77.25W

VDatum: NC - Coastal Central

North Carolina - Pamlico Sound

35.59N - 35.87N,

75.45W - 77.25W

VDatum: NC - Pamlico Sound

Georgia/South Carolina/North Carolina – Sapelo Island GA to New River NC

31.42N - 34.59N,

76.33W - 81.38W

VDatum: Sapelo Island GA to New River NC

Florida/Georgia – Fort Lauderdale FL to Sapelo Island GA

26.15N - 31.51N,

79.38W - 81.80W

VDatum: Fort Lauderdale, FL to Sapelo Island, GA


Gulf Coast VDatum Zones

Florida – South Florida, Naples to Fort Lauderdale FL, and Florida Bay

23.94N - 26.19N,

79.38W - 83.50W

VDatum: South Florida, Naples to Fort Lauderdale FL, and Florida Bay

Florida – Anclote Key to Naples

26.15N - 28.16N,

81.60W - 83.51W

VDatum: Anclote Key to Naples

Florida – Apalachicola to Anclote Key

28.13N - 30.20N,

82.48W - 86.51W

VDatum: Apalachicola to Anclote Key

Florida - St. Joseph's Bay and the Gulf of Mexico

29.65N - 29.98N,

85.30W - 85.86W

VDatum: St. Joseph's Bay and the Gulf of Mexico

Florida - St. Andrew's Bay and the Gulf of Mexico

29.98N - 30.31N,

85.38W - 85.86W

VDatum: St. Andrew's Bay and the Gulf of Mexico

Florida - Perdido, Pensacola and Choctawhatchee Bays

30.25N - 30.64N,

85.86W - 87.68W

VDatum: Perdido, Pensacola and Choctawhatchee Bays

Florida/Alabama - Gulf of Mexico from Mobile Bay to east of Choctawhatchee Bay

29.65N - 30.39N,

85.86W - 88.16W

VDatum: Gulf of Mexico from Mobile Bay to East of Choctawhatchee Bay

Alabama - Mobile Bay and Perdido Bay

30.15N - 30.74N,

87.32W - 88.16W

VDatum: Mobile Bay and Perdido Bay

Louisiana/Mississippi - Eastern Louisiana to Mississippi Sound

28.00N - 30.50N,

88.00W - 93.00W

VDatum: Eastern Louisiana to Mississippi Sound

Louisiana - Lake Calcasieu and Charles East

29.34N - 30.24N,

93.21W - 93.44W

VDatum: Lake Calcasieu and Charles East

Louisiana - Lake Calcasieu and Charles Main

29.34N - 30.24N,

93.21W - 93.44W

VDatum: Lake Calcasieu and Charles Main

Louisiana - Lake Calcasieu and Charles West

29.34N - 30.24N,

93.21W - 93.44W

VDatum: Lake Calcasieu and Charles West


West Coast VDatum Zones

Washington - Puget Sound

47.016N - 48.183N,

122.165W - 123.183W

VDatum: Puget Sound

Washington - Juan de Fuca Strait

47.986N - 48.999N,

122.348W - 126.288W

VDatum: Juan de Fuca Strait

Washington/Oregon - Southern Washington and Columbia River

45.35N - 48.02N,

121.94W - 126.4W

VDatum: Southern Washington and Columbia River

Oregon - Central Oregon

42.69N - 45.37N,

123.88W - 126.47W

VDatum: Central Oregon

Oregon/California - Punta Gorda to Cape Blanco

39.99N - 42.71N,

123.88W - 126.47W

VDatum: Punta Gorda to Cape Blanco

California - San Francisco Bay Vicinity

37.39N - 40.01N,

121.82W - 126.2W

VDatum: San Francisco Bay Vicinity

California - Monterey Bay to Morro Bay

34.89N - 37.41N,

120.565W - 124.81W

VDatum: Monterey Bay to Morrow Bay

California - Southern California from Morro Bay South to US/Mexico Border

32.11N - 35N,

117.04W - 122.14W

VDatum: Southern California from Morro Bay South to US/Mexico Border


Basic Acoustics for the Hydrographer

Single beam, multi-channel, and multibeam echosounders all rely upon sound waves in order to measure depth 1. They are hydrographic stopwatches that accurately measure the time it takes a sound wave to travel from the transducer to the bottom and back. Based on sound velocity parameters, they convert this time to a depth. This depth must then be corrected to account for the effects of changing sound velocity and tide, the motion of the vessel, and device latency.


Timing and Latency

As we have seen, a multibeam boat is equipped with numerous devices—a positioning system, a gyro, an MRU and the sonar itself. Each device does a good job at its specialty, measuring and transmitting to the data collection computer, some at very high data rates. The computer stores all this data, with time tags indicating time of measurement, in RAW data files.

The time tags correlate the data from the various devices. To find a sounding position at a given time, it is necessary to know the pitch, roll, heading and GPS position at the exact time of the sounding. The measurements are asynchronous, so interpolation is required, using the values just before and just after the sounding. These time tags are easily overlooked, but they are just as valuable as the measurements themselves particularly when dealing with highly dynamic data, such as +/- 10 degrees of roll over a three-second period.

Admittedly, there isn’t much you can do about system timing except (1) to sample devices often and (2) account for device latency.


Update Frequency

The more frequently devices are sampled, the better. It is far preferable to have too much data than not enough. In HYPACK, this means setting the update frequency to the maximum value of 50 milliseconds for all devices.


Latency

Latency is the time delay between measurement and transmission to the data collection computer. Some devices measure, then spend time processing or waiting for additional input, then transmit after a delay; these devices have latency. Some devices measure then transmit after an insignificant time delay, in which case the latency time is zero. Other devices have predictive filters that predict the value at time of transmission, and therefore have zero latency also. Some devices transmit after a delay, but include latency in the transmission.

Latency is subtracted for the time tag to give time of measurement. When latency is wrong, the time tag is wrong and the correlation between devices is wrong so the data is wrong. It is clear that you must know latency values either from the device manual or Tech. Support, a patch test (for positioning systems) or HYPACK.

Some serious errors can be introduced by latency. We can relate positioning and latency with the following equation:

Position = Survey Speed x Latency Error

Horizontal Error Introduced by Incorrect Latency in the Positioning System at Various Survey Speeds

Latency Error | @ 3 Knots | @ 6 Knots | @ 10 Knots
250 Msec | 1.3 ft | 2.5 ft | 4.2 ft
500 Msec | 2.5 ft | 5.1 ft | 8.4 ft.
1000 Msec (1 sec) | 5.1 ft | 10.1 ft. | 16.9 ft.

With almost all devices, the latency delay is either negligible of included as part of the transmission. The exception is GPS devices. There are two ways to correct for GPS latency. The first is to look up latency in the GPS manual and enter it in the HARDWARE program when you specify the GPS Offsets. This works well if the latency time is constant or only varies by a small amount or if you survey slowly.

The second way to correct for latency is to use the T0 pulse from the GPS receiver. This is the only way to properly correct for latency when latency time is variable.

Tip: Update frequency is how often the SURVEY program checks for device data. Use 50 milliseconds for all devices with one exception. If you are surveying in calm water, you can reduce the size of your data files by decreasing the MRU update frequency. You will have to experiment to find a value that reduces files size while providing acceptable data quality.


Water Column Alarms

Water Column Alarms

Status Text | Cause
Network Initialization Error (100xx) | Failure to connect to the sonar system. Check your network connections and settings.
Network Receive Error (100xx) | Error receiving water column data.
Network Messages Lost = nnn | Count of lost water column datagrams. A few is normal. Large numbers indicate the quality of your overall data is compromised.
Sonar Device is Disabled | Enable the watercolumn sonar in HARDWARE.
Sonar Timeout | No data from the sonar.
Navigation Timeout | No data from the navigation system. Are HYPACK SURVEY and HYSWEEP SURVEY logging?
File Open Error | Your hard drive is unreliable.
File Write Error | Your hard drive is unreliable.
Cannot Access Logging Folder | Check the path and connection to the logging folder location.
Low Disk Limit | Available disk space is less than the threshold set in the Water Column Logging Setup.


CUBE Terminology

CUBE: The Combined Uncertainty and Bathymetry Estimator applies Bayesian statistics and modeling to multibeam data and provides uncertainty and depth estimations over a gridded surface.

The CUBE software library is licensed by HYPACK from CCOM/JHC at the University of New Hampshire. Dr. Brian Calder is the scientist behind CUBE. For more information check the publication at http://ccom.unh.edu/sites/default/files/publications/Calder_07_CUBE_User_Manual.pdf.

CUBE Node: A bathymetric estimation point, including the uncertainties of estimation. CUBE calculations require a gridded surface. A Node is the center of one cell in the grid.

CUBE Grid: A regularly spaced grid of CUBE nodes encompassing the survey area.

Hypothesis: Each CUBE node has one or more depth hypotheses. In this context, a hypothesis is a set of soundings, consistent within themselves, leading to a reasonable depth estimate.

Depth Estimation Strength: See ratio.

Multiple Depth Estimates: More than one depth estimate may exist within a node. Consider sounding over a school of fish; perhaps half the soundings are returned by the fish and the other half are bottom returns. Each set of soundings (depth estimation) is consistent within itself, but CUBE is constrained to choose only one.

Multiple Estimate Disambiguation: Choosing the correct depth estimate from 2 or more. Automatically done in CUBE by comparison with surrounding nodes. Of course the user has the option of over-riding that selection.

Ratio: Indicator of the strength of the depth estimate, zero being best and 5 being worst.

Ratio = 5 – ns / ( na – ns )

where:

ns = # depth samples in the selected depth estimate and,

na = # depth samples in all depth estimates.

Examples from strongest to weakest:

•In the case where there are 2 depth estimates, the selected hypothesis with 40 samples and the alternate with 10,
ratio = 5 – 40 / (50 – 40) = 1.

•In the case where there are 2 depth estimates each with 20 samples, ratio = 5 – 20 / (40 – 20) = 4.

•In the case where there are 3 depth estimates each with 20 samples, ratio = 5 – 20 / (60 – 20) = 4.5.

•In the case where there are 2 depth estimates, the selected hypothesis with 10 samples and the alternate with 40,
ratio = 5 – 10 / (50 – 10) = 4.75.

Uncertainty: This is the 95% confidence level associated with each CUBE depth. It is a function of the variance of the soundings used in estimation.

TPU (Total Propagated Uncertainty) is a calculation of sounding uncertainty based on sonar, environmental and sensor (e.g., GPS) information. There are vertical and horizontal components of TPU: TVU and THU, respectively.

The TPU calculations in HYPACK are from the spreadsheet developed by Rob Hare of the Canadian Hydrographic Service.


Background Charts Supported in HYPACK

HYPACK supports a wide range of electronic charts. They are used in HYPACK and the survey and editing programs to lend context to your work.

•ARCS Chart Files: The Admiralty Raster Chart Service (ARCS) is the digital reproduction of Admiralty charts for use in electronic navigational systems. They are available for most areas of the world. The ARCS charts installation includes a geo-referencing routine to align your charts properly according to the geodesy settings in your project. To display these charts, your dongle must be specially encrypted for this purpose. Keys issued before January 2004, must be updated with this encryption.

•ArcView Shape Files are line and polyline shape files (*.SHP) are available from ArcView and ArcInfo. For each SHP file, you can specify the line color, the fill color and the file type. Currently, we do not draw the text or allow access to any attribute data. We are studying the format to determine how we can improve the use of these files.

•BSB Chart Files (*.KAP and *.CAP) are commercially available raster chart files. These files contain electronic chart information and are based upon a particular ellipsoid and projection. For proper alignment of these charts, the geodetic parameters of HYPACK should be set to match those of the BSB chart. Unencrypted, version 3 charts covering regions in the United States may be downloaded, free of charge, from either the NOAA site (http://www.nauticalcharts.noaa.gov/staff/charts.htm) or www.freeboatingcharts.com sponsored by Maptech

HYPACK supports through version 4 charts.

BSB Chart in HYPACK

•DGN Microstation (*.DGN): Microstation is a CAD package, similar to AutoCAD. It saves its data in DGN (Design) files, which is a vector-based binary format. HYPACK can display most point, line, circle, arc, polyline and text objects from a DGN file.

Comparison of DGN version 7 vs version 8 in HYPACK

Program | DGN v8 | DGN v7
Display in HYPACK Shell, HYPLOT and SURVEY | x | x
Query Objects |  | x
EXPORT from EXPORT TO CAD |  | x
Source charts in ENC EDITOR and CHANNEL CONDITION REPORTER |  | X

DGN stores its information in an X-Y coordinate system. The X-Y coordinate systems of your DGN drawing must be based upon the projection system selected in the GEODETIC PARAMETERS program of HYPACK to be properly located on the screen.

•DGW format is digitized hydrographic information created in the HYPACK CHART and DGW EDITOR programs.

•DG2 format is a HYPACK chart digitized in the DG2 EDITOR. This format replaces the DGW format with improved chart symbols and attributes available to describe your project area.

•DIG format was used in early versions of HYPACK (DOS included) to store digitized hydrographic information.

DIG file in HYPACK

•DXF Format is a standard vector format that can be output by many different CAD or GIS packages. HYPACK supports through DXF version 13 format.

DXF stores its information in an X-Y coordinate system. The X-Y coordinate systems of your DXF drawing must be based upon the projection system selected under the Geodetic Parameters section of HYPACK. Otherwise, your data will not be properly located on the screen

DXF File in HYPACK

.

•ECW Files: Enhanced Compressed Wavelet is a compression technology developed by ERDAS to store and transmit large digital images, particularly those generated from satellite and aerial photography systems. ECW is a lossy compression, though the loss is nearly imperceptible.

ECW Chart

•GML Files: Geography Markup Language is the XML grammar, defined by the Open Geospatial Consortium (OGC), for the encoding of geographic information. The information that can be encoded includes, not only geographic objects and their geometries, but also more abstract notions like coverages and observations.

•MIF Files: The MapInfo MIF format stores vector map information.

•JPEG2000 and MrSID charts are high-compression, lossless, raster images. They provide high resolution displays with minimum file size.

•PDF Files: Georeferenced Portable Document Format. In HYPACK, you can generate georeferenced PDF charts in HYPLOT, TARGETING AND MOSAICKING AND THE FINAL PRODUCT WIZARD.

•PNG Files: If you have an Internet connection, HYPACK® can generate geo-referenced PNG files from satellite images available on Web servers through the Web Maps panel.

•S57 Version 3 (*.000) is the International Hydrographic Organization’s Transfer Standard for Digital Hydrographic Data. It is an object-oriented format, which contains both spatial and attribute information for chart features. This information is stored in WGS-84. HYPACK can transform the position to the user's local datum and then draw it correctly on the local projection. Objects are displayed only when you are zoomed in closely enough to avoid excessive clutter in the display.

The HYPACK Query tool displays attribute information about objects in S57 charts.

Many US charts are available, free for download, from the web.

•Coastal areas from NOAA

(http://chartmaker.ncd.noaa.gov/mcd/enc/ )

•Many rivers from the Army Corps of Engineers

(http://www.tec.army.mil/echarts/inlandnav/ )

S57 Chart in HYPACK

).

•S63 Charts are encrypted S57 charts. They are encrypted using the IHO Data Protection Scheme. In HYPACK, you must load the certificate and the permits for the charts you are using before they can be displayed in your project.

•SHP Charts (*.SHP) are digital charts available through Environmental Research Systems Institute, Inc. (ERSI.Inc.). We currently only support drawing the main chart file, which define points, lines and areas in HYPACK. (There are no attributes drawn.) In HYPACK, you can enhance the chart display by assigning colors and textures and line weights.

Note:Be sure these shape files are referenced to your local coordinate system. Files referenced in decimal degrees, which will not be correctly positioned in HYPACK.

SHP files in HYPACK

•TIF Orthophoto (*.TIF): HYPACK can also draw Orthometric Photo data that is stored in registered TIF format. Each TIF file must have an accompanying *.TFW file which contains the number of pixels (X vs. Y) and origin information for the photo. Both files come from the same source and must be stored together in the same directory. The X-Y information must be on the same datum and projection as specified in the Geodetic Parameters of HYPACK. TIF files may be:

•Obtained commercially

•Created from HSX format side scan data in the SIDE SCAN MOSAIC program

•Exported from the TIN MODEL program.

•Exported from HYPLOT

•Created in the main HYPACK program.

TIF Photo in HYPACK

•VPF Vector Product Format is a vector-based format, developed and used by the U.S. Department of Defense. It contains WGS-84 based chart features that are displayed in the HYPACK overlay and during the SURVEY program. HYPACK will transform the WGS-84 coordinates to the local datum before converting it to X-Y coordinates on your projection. VPF files require special routines and are found under the “Draw” menu of HYPACK. They are not accessed from the Background Files section as the other file types.

VPF File in HYPACK

More Information

• Area Map Views

• Background Charts


S57 Basics

One of the many changes in the hydrographic field over the past ten years is the use of S57 for the storage, presentation and transfer of digital chart data. HYPACK has been working for several years to be able to present S57 format files in our HYPACK and other packages. As a result of this work, we have developed the ENC EDIT program to create, maintain and update S57 chart data.

‘S57’ is shorthand for Special Publication No. 57, “IHO Transfer Standard for Digital Hydrographic Data”. IHO is the acronym for the International Hydrographic Organization.

This ‘S57 Basics’ section provides a simple and straight-forward overview of the S57 format to de-mystify how data is stored and managed.

More Information

• Feature and Spatial Data

• Nodes, Chains and Areas

• Combining Features and Spatial Data

• Boundaries and Clipping


Feature and Spatial Data

An S57 file contains digital chart information that is divided into feature and spatial data.

A feature is some kind of object, such as a buoy, or a rock, or a traffic separation zone or a light or one of several hundred available objects in S57. There are point objects (buoys, wrecks, lights, etc), polyline objects (pipelines, cables, roads, etc.) and closed polygon objects (depth areas, anchorages, shoreline, etc).

A Typical S57 Chart

Each feature can be further described by a list of available attributes. For example, the lateral buoy shown in the lower right of the figure contains the following attribute information:

•BOYSHP: [spherical]

•CATLAM: [preferred channel to port lateral mark]

•COLOUR: [orange]

•INFORM: [LIMITE DE PESCA]

•SCAMIN: [100000]

•STATUS: [permanent]

Each attribute is described by a six-letter abbreviation. Thus, BOYSHP = Buoy Shape, SCAMIN = Scale Minimum. Each attribute can require a user entry, a single user choice from a list, or multiple user choices from a list.

Example 1:

Attribute Editor For The INFORM Attribute

The Attribute Editor for the INFORM attribute allows you to enter a single line of text. In this case, we have entered ‘Fishing Limit’.

Example 2:

Attribute Editor For The COLOUR Attribute

The Attribute Editor for the COLOUR attribute enables you to select a single color or multiple colors to describe the object. [In this example, we have the famous brown, violet and orange buoy, used to denote islands inhabited by people with no sense of color coordination.]

Example 3:

Attribute Editor For The Buoy Shape Attribute

In the Attribute Editor for the BOYSHP (Buoy Shape) attribute, you can only select one item from the available list.

So, a feature tells us what kind of object we have and there are attributes assigned to the feature to tell us some more details. We haven’t yet described where the object is located. That is done with the spatial data.

Spatial data is a fancy way of saying ‘where is the feature located’. In the S57 format, the locations of objects are described by their WGS-84 positions. Although a user interface might allow you to enter and display the spatial data on a local coordinate system, in the background of the S57 file, all the S57 data is being written as a geographic coordinate (Latitude and Longitude) in WGS-84.


Nodes, Chains and Areas

It would have been simpler if Nodes, Chains and Areas were named Points, Lines and Areas respectively.

One of the favorite buzzwords of S57 experts is ‘chain-node topography’. It’s a fancy way of saying that everything in your S57 file is either a point (‘node’) or a series of lines (‘chains’). Sometimes the lines form an enclosed shape (‘area’).

A node is a single spatial data point, composed of a WGS-84 coordinate pair. There are two kinds of nodes, isolated and connected. An isolated node represents the position of a point feature, like a buoy or a rock or a wreck. It can’t be used for anything else.

A chain (also referred to by some as an ‘edge’) is a line or a polyline, constructed between two or more coordinate pairs. At each end of the edge is a connected node. We can connect one chain to another by either having them share the same connected node or by making another chain that connects their connecting node with a single line.

An area is a series of chains (or a single chain) that starts and ends at the same connecting node. In other words, it’s a polygon that describes an area. An area can contain multiple chains (and multiple connecting nodes) or can be comprised of a single edge that starts and ends at a single connecting node.

Sample Nodes, Chains and Areas

In this figure:

CHAIN 1 consists of a single line drawn between two connected nodes. This is the simplest of chains.

CHAIN 2 shows a series of coordinate pairs, terminated by connected nodes. This is more typical of a chain.

AREA 1 shows an area constructed from a single chain. It starts and ends on the same connected node.

AREA 2 shows an area constructed from four chains. It is very typical for a area to consist of multiple chains.

CHAIN 3 takes off from a connected node. This is also very typical, as several features may share the same connecting nodes.

One of the things to keep in mind when you define an area is that as you move along a chain that bounds the area, the enclosed area is always off the right side of the chain.

Defining an Area

Take a look at the graphic above that shows an island (brown), surrounded by a Depth Area (0m to 5m in Light Blue), surrounded by a deeper depth area.

When we create the chain that describes the island as a ‘Land Area’, we need it to go counter-clockwise. That way, the area we are interested in defining is to the right as we travel around the chain.

Defining an Area

Now take a look at the graphic used to define the Depth Area. We need to define an area with a hole in it. This is done by defining one polygon along the outside and a second polygon along the inside.

Note that the chain defining the outside goes in a counter-clockwise direction, keeping the Depth Area to the right. The chain surrounding the hole (island) travels in a clockwise direction, meaning the depth area is to the right.

Luckily, we can use the same chain to define the Land Area and the inside of the Depth Area. When I select a chain to be used in the definition of an area, I can ‘reverse’ the direction of the chain when used by a particular feature.


Combining Features and Spatial Data

The S57 format stores feature and spatial data as separate records. Each feature record contains information as to what spatial record(s) applies to the feature.

When I want a new buoy to be included in my S57 file, I first create the buoy ‘feature’ and specify the attributes for the buoy. I then give it the position where I want it to place the buoy. A new feature record will be created that contains the feature type and attribute info. A new spatial record will be created that contains the coordinate point (as an isolated node).

When drawing the S57 data, it comes across the new buoy in the feature records. It figures out what kind of buoy to draw and what labels are drawn with it from the attribute information in the feature record. The same feature record also contains the location of the spatial record that tells me where to draw the buoy. I open up the spatial record, get the coordinate pair for the buoy and then draw the feature at that location.

This seems a little crazy. Why not just keep the spatial data with each feature record?

One reason for the separation of feature and spatial data is that the same chain might be used for several different features. In our previous example with the island and the depth area, the same chain is used to create the Land Area and the Depth Area. Rather than listing the same set of points for each feature, we save space by only listing the points in one place.

The Center Chain is Used to Define the Island and the Depth Area

Also, by using this approach, if we change a coordinate pair in the chain used to define the Land Area, we are also automatically changing the coordinate pair used in defining the Depth Area. If each feature had its own set of separate coordinate lists, we would have to make sure that we changed the coordinate pair in every feature’s coordinate list, instead of changing it in only one location in the S57 scheme.


Boundaries and Clipping

S57 files are ‘bounded’ by two parallels of latitude and two parallels of longitude. The area formed by the bounds is sometimes referred to as the ‘bounding rectangle’. It’s illegal to have any spatial data located outside the boundary area.

Spatial Data can not be located outside of the Lat./Lon. boundaries of your area.

In this graphic, the top chain would be ‘illegal’, because it contains coordinate pairs that are outside the bounding rectangle.

The lower series of chains forms a legal area. We created it with ‘connected nodes’ along the boundary line, as other features may want to take off from these points.

Some S57 Editors will either automatically clip your chains that pass outside the bounding rectangle while others will just notify you that you have an illegal chain.


Using Bitmap Images as Boat Shapes

The SURVEY program allows you to use BMP files (in addition to SHP and DXF) for your boat shape.

The procedure requires several steps:

1.Create the BMP file using paint or any bitmap editor of your choice. Bear in mind that anything that is white in the BMP will be transparent in DREDGEPACK. This means that all pixels outside of the boat border must be white. You may also use white for any part of your vessel that you want to appear hollow.

2.Measure height and width of the picture in pixels and determine the boat origin assuming that lower left corner is reference point.

3.Create a text file (*.txt) file that has the same name as your BMP file.

•The first line must contain two integers that refer to boat origin determined in step 2.

•The second line is the boat length in survey units.

4.In SURVEY, and open the Vessel Setup dialog.

•In the Shape tab:

•Load the boat shape BMP file.

Sample BMP Boat Shapes—Shapes (left) in SURVEY (right)

•Adjust the scale factor if you want to change the original boat length.

•Adjust boat transparency level.

•In the Map tab, check display shape.

5.Close the Vessel Setup dialog.

The previous figure shows two vessels using the same bitmap and text file as follows:

Bitmap Text File

Line 1: boat origin - 76 156

Line 2: boat length - 100

The first boat has scale = 2 and transparency 50%.

The second boat has scale = 1 and full transparency.


ADCP Data - Measured and Calculated

The behavior of water currents is affected by the proximity of solid surfaces such as channel side slopes and survey area bottoms. For this reason, ADCP data can be accurately measured at a distance from solid masses, the measurements taken close to solid surfaces must be calculated.

The following figure shows the areas in a survey area where discharge and volume data must be estimated.

Areas Measured by ADCP

Measured Area (4) : The area where the ensemble data lies. Discharge in all other regions is calculated based on this region.

Bottom Area (5) : The discharge in this region is estimated based on the last good bin data and the distance between that bin and bottom.

Top Area (2): The area between first good bin and water surface. Discharge is calculated on the basis of first good bin data: the first good bin distance and ADCP depth.

Start Area (start edge 3): The distance between the first ensemble and bank of river or channel from where survey line starts.

End Area (end edge 1) : The distance between the last ensemble and bank of the river or channel from where the survey line ends.

More Information

• ADCP PROFILE

• ADCP IN SITU


Launching External Programs from the HYPACK Menu

You can use the TOOLS menu that will launch external executable files. Just another handy alternative to using the usual Windows® methods.

1.Select TOOLS-SETUP. The Tool Options dialog will appear.

Tool Options Dialog

2.Click [Add] and the Tool Options Properties dialog will appear.

Tool Options Properties Dialog

3.Fill in the fields of the dialog then click [OK] and close the program.

The contents of the Title field will now appear in the HYPACK Help menu. In the future, when you select this menu item, it will launch the Program named in the second field and pass it any Parameters that you have listed.

The Project Data checkbox is for internal use at HYPACK only.

You can add as many programs as you want in this manner and use the up and down arrow buttons to arrange their order if desired.

To remove programs from the menu:

Open the Tool Options dialog, select the program to be removed and click [Delete].

To change the properties of any listed program:

Open the Tool Options dialog, select the program then click [Edit]. The Tool Options Properties dialog will appear with the current data and you can edit it as desired.


First Topic

This is the first topic in your project. Delete this text and replace it with your own. To add a new topic, click the New Topic button on the tool bar.

To learn more about the Editor, press F1 (with your cursor in this pane) to display Help.